#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1406
#define LARGE_STATE_COUNT 41
#define SYMBOL_COUNT 475
#define ALIAS_COUNT 0
#define TOKEN_COUNT 198
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 13
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 17

enum ts_symbol_identifiers {
    anon_sym_short = 1,
    anon_sym_int16 = 2,
    anon_sym_long = 3,
    anon_sym_int32 = 4,
    anon_sym_longlong = 5,
    anon_sym_int64 = 6,
    sym_unsigned_tiny_int = 7,
    sym_boolean_type = 8,
    anon_sym_fixed = 9,
    sym_octet_type = 10,
    sym_signed_tiny_int = 11,
    anon_sym_unsignedshort = 12,
    anon_sym_uint16 = 13,
    anon_sym_unsignedlong = 14,
    anon_sym_uint32 = 15,
    anon_sym_unsignedlonglong = 16,
    anon_sym_uint64 = 17,
    anon_sym_float = 18,
    anon_sym_double = 19,
    anon_sym_longdouble = 20,
    sym_char_type = 21,
    sym_wide_char_type = 22,
    anon_sym_COLON_COLON = 23,
    anon_sym_string = 24,
    anon_sym_LT = 25,
    anon_sym_GT = 26,
    anon_sym_wstring = 27,
    anon_sym_any = 28,
    anon_sym_COMMA = 29,
    anon_sym_sequence = 30,
    anon_sym_map = 31,
    anon_sym_PIPE = 32,
    anon_sym_CARET = 33,
    anon_sym_AMP = 34,
    anon_sym_GT_GT = 35,
    anon_sym_LT_LT = 36,
    anon_sym_PLUS = 37,
    anon_sym_DASH = 38,
    anon_sym_STAR = 39,
    anon_sym_SLASH = 40,
    anon_sym_PERCENT = 41,
    anon_sym_LPAREN = 42,
    anon_sym_RPAREN = 43,
    anon_sym_TILDE = 44,
    sym_bin_number = 45,
    aux_sym_oct_number_token1 = 46,
    aux_sym_oct_number_token2 = 47,
    anon_sym_0 = 48,
    aux_sym_dec_number_token1 = 49,
    sym_hex_number = 50,
    anon_sym_DOT = 51,
    aux_sym_floating_pt_literal_token1 = 52,
    aux_sym_fixed_pt_literal_token1 = 53,
    sym_escape_sequence = 54,
    anon_sym_DQUOTE = 55,
    aux_sym_string_literal_token1 = 56,
    anon_sym_L = 57,
    anon_sym_SQUOTE = 58,
    aux_sym_char_literal_token1 = 59,
    anon_sym_TRUE = 60,
    anon_sym_FALSE = 61,
    anon_sym_POUNDdefine = 62,
    aux_sym_preproc_define_token1 = 63,
    aux_sym_preproc_call_token1 = 64,
    sym_preproc_directive = 65,
    sym_preproc_arg = 66,
    aux_sym_preproc_include_token1 = 67,
    sym_system_lib_path = 68,
    anon_sym_exception = 69,
    anon_sym_LBRACE = 70,
    anon_sym_RBRACE = 71,
    anon_sym_local = 72,
    anon_sym_abstract = 73,
    anon_sym_interface = 74,
    anon_sym_COLON = 75,
    anon_sym_SEMI = 76,
    anon_sym_void = 77,
    anon_sym_in = 78,
    anon_sym_out = 79,
    anon_sym_inout = 80,
    anon_sym_raises = 81,
    anon_sym_readonly = 82,
    anon_sym_attribute = 83,
    anon_sym_getraises = 84,
    anon_sym_setraises = 85,
    anon_sym_bitset = 86,
    anon_sym_bitfield = 87,
    anon_sym_bitmask = 88,
    anon_sym_ATannotation = 89,
    anon_sym_default = 90,
    anon_sym_AT = 91,
    anon_sym_SLASH_SLASH_AT = 92,
    aux_sym_extend_annotation_appl_token1 = 93,
    anon_sym_EQ = 94,
    aux_sym_annotation_appl_id_token1 = 95,
    aux_sym_annotation_appl_autoid_token1 = 96,
    aux_sym_autoid_kind_token1 = 97,
    aux_sym_autoid_kind_token2 = 98,
    aux_sym_annotation_appl_optional_token1 = 99,
    aux_sym_annotation_appl_position_token1 = 100,
    aux_sym_annotation_appl_value_token1 = 101,
    aux_sym_annotation_appl_extensibility_token1 = 102,
    aux_sym_extensibility_kind_token1 = 103,
    aux_sym_extensibility_kind_token2 = 104,
    aux_sym_extensibility_kind_token3 = 105,
    aux_sym_annotation_appl_final_token1 = 106,
    aux_sym_annotation_appl_appendable_token1 = 107,
    aux_sym_annotation_appl_mutable_token1 = 108,
    aux_sym_annotation_appl_key_token1 = 109,
    aux_sym_annotation_appl_must_understand_token1 = 110,
    aux_sym_annotation_appl_default_literal_token1 = 111,
    aux_sym_annotation_appl_default_token1 = 112,
    aux_sym_annotation_appl_range_token1 = 113,
    aux_sym_min_expr_token1 = 114,
    aux_sym_max_expr_token1 = 115,
    aux_sym_annotation_appl_unit_token1 = 116,
    aux_sym_annotation_appl_bit_bound_token1 = 117,
    aux_sym_annotation_appl_external_token1 = 118,
    aux_sym_annotation_appl_nested_token1 = 119,
    aux_sym_annotation_appl_verbatim_token1 = 120,
    aux_sym_verbatim_language_token1 = 121,
    aux_sym_verbatim_language_token2 = 122,
    aux_sym_verbatim_language_token3 = 123,
    aux_sym_verbatim_language_token4 = 124,
    aux_sym_placement_kind_token1 = 125,
    aux_sym_placement_kind_token2 = 126,
    aux_sym_placement_kind_token3 = 127,
    aux_sym_placement_kind_token4 = 128,
    aux_sym_placement_kind_token5 = 129,
    aux_sym_placement_kind_token6 = 130,
    aux_sym_annotation_appl_service_token1 = 131,
    aux_sym_service_platform_token1 = 132,
    aux_sym_service_platform_token2 = 133,
    aux_sym_annotation_appl_oneway_token1 = 134,
    aux_sym_annotation_appl_ami_token1 = 135,
    anon_sym_hashid = 136,
    aux_sym_annotation_appl_default_nested_token1 = 137,
    aux_sym_annotation_appl_ignore_literal_names_token1 = 138,
    aux_sym_annotation_appl_try_construct_token1 = 139,
    aux_sym_try_construct_fail_action_token1 = 140,
    aux_sym_try_construct_fail_action_token2 = 141,
    aux_sym_try_construct_fail_action_token3 = 142,
    aux_sym_annotation_appl_non_serialized_token1 = 143,
    aux_sym_annotation_appl_data_representation_token1 = 144,
    aux_sym_data_representation_mask_token1 = 145,
    aux_sym_data_representation_mask_token2 = 146,
    aux_sym_data_representation_mask_token3 = 147,
    aux_sym_data_representation_mask_token4 = 148,
    aux_sym_annotation_appl_topic_token1 = 149,
    anon_sym_module = 150,
    anon_sym_typename = 151,
    anon_sym_valuetype = 152,
    anon_sym_eventtype = 153,
    anon_sym_struct = 154,
    anon_sym_union = 155,
    anon_sym_enum = 156,
    anon_sym_const = 157,
    anon_sym_alias = 158,
    anon_sym_custom = 159,
    anon_sym_truncatable = 160,
    anon_sym_supports = 161,
    anon_sym_public = 162,
    anon_sym_private = 163,
    anon_sym_factory = 164,
    anon_sym_typedef = 165,
    anon_sym_LBRACK = 166,
    anon_sym_RBRACK = 167,
    anon_sym_switch = 168,
    anon_sym_case = 169,
    anon_sym_typeid = 170,
    anon_sym_typeprefix = 171,
    anon_sym_import = 172,
    anon_sym_Object = 173,
    anon_sym_oneway = 174,
    anon_sym_context = 175,
    sym_value_base_type = 176,
    anon_sym_component = 177,
    anon_sym_provides = 178,
    anon_sym_uses = 179,
    anon_sym_multiple = 180,
    anon_sym_home = 181,
    anon_sym_manages = 182,
    anon_sym_emits = 183,
    anon_sym_publishes = 184,
    anon_sym_consumes = 185,
    anon_sym_primarykey = 186,
    anon_sym_finder = 187,
    anon_sym_porttype = 188,
    anon_sym_port = 189,
    anon_sym_mirrorport = 190,
    anon_sym_connector = 191,
    anon_sym_native = 192,
    sym_identifier = 193,
    anon_sym_SLASH_SLASH = 194,
    aux_sym_comment_token1 = 195,
    anon_sym_SLASH_STAR = 196,
    aux_sym_comment_token2 = 197,
    sym_specification = 198,
    sym_signed_short_int = 199,
    sym_signed_long_int = 200,
    sym_signed_longlong_int = 201,
    sym_unsigned_int = 202,
    sym_fixed_pt_const_type = 203,
    sym_integer_type = 204,
    sym_signed_int = 205,
    sym_unsigned_short_int = 206,
    sym_unsigned_long_int = 207,
    sym_unsigned_longlong_int = 208,
    sym_floating_pt_type = 209,
    sym_scoped_name = 210,
    sym_string_type = 211,
    sym_wide_string_type = 212,
    sym_type_spec = 213,
    sym_simple_type_spec = 214,
    sym_base_type_spec = 215,
    sym_any_type = 216,
    sym_fixed_pt_type = 217,
    sym_template_type_spec = 218,
    sym_sequence_type = 219,
    sym_map_type = 220,
    sym_positive_int_const = 221,
    sym_const_expr = 222,
    sym_or_expr = 223,
    sym_xor_expr = 224,
    sym_and_expr = 225,
    sym_shift_expr = 226,
    sym_add_expr = 227,
    sym_mult_expr = 228,
    sym_unary_expr = 229,
    sym_primary_expr = 230,
    sym_unary_operator = 231,
    sym_literal = 232,
    sym_integer_literal = 233,
    sym_integer_sign = 234,
    sym_oct_number = 235,
    sym_dec_number = 236,
    sym_floating_pt_literal = 237,
    sym_fixed_pt_literal = 238,
    sym_string_literal = 239,
    sym_wide_string_literal = 240,
    sym_char_literal = 241,
    sym_wide_character_literal = 242,
    sym_boolean_literal = 243,
    sym_preproc_define = 244,
    sym_preproc_call = 245,
    sym_preproc_include = 246,
    sym_system_lib_string = 247,
    sym_except_dcl = 248,
    sym_interface_dcl = 249,
    sym_interface_kind = 250,
    sym_interface_forward_dcl = 251,
    sym_interface_def = 252,
    sym_interface_header = 253,
    sym_interface_inheritance_spec = 254,
    sym_interface_name = 255,
    sym_interface_body = 256,
    sym_export = 257,
    sym_op_dcl = 258,
    sym_op_type_spec = 259,
    sym_parameter_dcls = 260,
    sym_param_dcl = 261,
    sym_param_attribute = 262,
    sym_raises_expr = 263,
    sym_attr_dcl = 264,
    sym_readonly_attr_spec = 265,
    sym_readonly_attr_declarator = 266,
    sym_attr_spec = 267,
    sym_attr_declarator = 268,
    sym_attr_raises_expr = 269,
    sym_get_excep_expr = 270,
    sym_set_excep_expr = 271,
    sym_exception_list = 272,
    sym_bitset_dcl = 273,
    sym_bitfield = 274,
    sym_bitfield_spec = 275,
    sym_destination_type = 276,
    sym_bitmask_dcl = 277,
    sym_bit_value = 278,
    sym_annotation_dcl = 279,
    sym_annotation_body = 280,
    sym_annotation_member = 281,
    sym_annotation_member_type = 282,
    sym_any_const_type = 283,
    sym_annotation_appl = 284,
    sym_extend_annotation_appl = 285,
    sym_annotation_appl_custom_body = 286,
    sym_annotation_appl_params = 287,
    sym_annotation_appl_param = 288,
    sym_annotation_appl_builtin_body = 289,
    sym_annotation_appl_id = 290,
    sym_annotation_appl_autoid = 291,
    sym_autoid_kind = 292,
    sym_annotation_appl_optional = 293,
    sym_annotation_appl_position = 294,
    sym_annotation_appl_value = 295,
    sym_annotation_appl_extensibility = 296,
    sym_extensibility_kind = 297,
    sym_annotation_appl_final = 298,
    sym_annotation_appl_appendable = 299,
    sym_annotation_appl_mutable = 300,
    sym_annotation_appl_key = 301,
    sym_annotation_appl_must_understand = 302,
    sym_annotation_appl_default_literal = 303,
    sym_annotation_appl_default = 304,
    sym_annotation_appl_range = 305,
    sym_min_expr = 306,
    sym_max_expr = 307,
    sym_annotation_appl_min = 308,
    sym_annotation_appl_max = 309,
    sym_annotation_appl_unit = 310,
    sym_annotation_appl_bit_bound = 311,
    sym_annotation_appl_external = 312,
    sym_annotation_appl_nested = 313,
    sym_annotation_appl_verbatim = 314,
    sym_verbatim_language = 315,
    sym_placement_kind = 316,
    sym_annotation_appl_service = 317,
    sym_service_platform = 318,
    sym_annotation_appl_oneway = 319,
    sym_annotation_appl_ami = 320,
    sym_annotation_appl_hashid = 321,
    sym_annotation_appl_default_nested = 322,
    sym_annotation_appl_ignore_literal_names = 323,
    sym_annotation_appl_try_construct = 324,
    sym_try_construct_fail_action = 325,
    sym_annotation_appl_non_serialized = 326,
    sym_annotation_appl_data_representation = 327,
    sym_data_representation_mask = 328,
    sym_annotation_appl_topic = 329,
    sym_topic_platform = 330,
    sym_template_module_dcl = 331,
    sym_formal_parameters = 332,
    sym_formal_parameter = 333,
    sym_formal_parameter_type = 334,
    sym_tpl_definition = 335,
    sym_template_module_inst = 336,
    sym_actual_parameters = 337,
    sym_actual_parameter = 338,
    sym_template_module_ref = 339,
    sym_formal_parameter_names = 340,
    sym_value_dcl = 341,
    sym_value_def = 342,
    sym_value_kind = 343,
    sym_value_header = 344,
    sym_value_inheritance_spec = 345,
    sym_value_inheritance = 346,
    sym_value_supports = 347,
    sym_value_name = 348,
    sym_value_element = 349,
    sym_state_member = 350,
    sym_init_dcl = 351,
    sym_init_param_dcls = 352,
    sym_init_param_dcl = 353,
    sym_value_forward_dcl = 354,
    sym_typedef_dcl = 355,
    sym_type_declarator = 356,
    sym_any_declarators = 357,
    sym_any_declarator = 358,
    sym_simple_declarator = 359,
    sym_declarator = 360,
    sym_declarators = 361,
    sym_array_declarator = 362,
    sym_fixed_array_size = 363,
    sym_enum_dcl = 364,
    sym_enumerator = 365,
    sym_union_dcl = 366,
    sym_union_forward_dcl = 367,
    sym_union_def = 368,
    sym_case = 369,
    sym_case_label = 370,
    sym_element_spec = 371,
    sym_switch_type_spec = 372,
    sym_type_id_dcl = 373,
    sym_type_prefix_dcl = 374,
    sym_import_dcl = 375,
    sym_imported_scope = 376,
    sym_object_type = 377,
    sym_op_oneway_dcl = 378,
    sym_in_parameter_dcls = 379,
    sym_in_param_dcl = 380,
    sym_op_with_context = 381,
    sym_context_expr = 382,
    sym_value_box_def = 383,
    sym_value_abs_def = 384,
    sym_component_dcl = 385,
    sym_component_forward_dcl = 386,
    sym_component_def = 387,
    sym_component_header = 388,
    sym_component_inheritance_spec = 389,
    sym_component_body = 390,
    sym_component_export = 391,
    sym_provides_dcl = 392,
    sym_interface_type = 393,
    sym_uses_dcl = 394,
    sym_home_dcl = 395,
    sym_home_header = 396,
    sym_home_inheritance_spec = 397,
    sym_home_body = 398,
    sym_home_export = 399,
    sym_factory_dcl = 400,
    sym_factory_param_dcls = 401,
    sym_factory_param_dcl = 402,
    sym_supported_interface_spec = 403,
    sym_emits_dcl = 404,
    sym_publishes_dcl = 405,
    sym_consumes_dcl = 406,
    sym_primary_key_spec = 407,
    sym_finder_dcl = 408,
    sym_event_dcl = 409,
    sym_event_forward_dcl = 410,
    sym_event_abs_def = 411,
    sym_event_def = 412,
    sym_event_header = 413,
    sym_porttype_dcl = 414,
    sym_porttype_forward_dcl = 415,
    sym_porttype_def = 416,
    sym_port_body = 417,
    sym_port_ref = 418,
    sym_port_export = 419,
    sym_port_dcl = 420,
    sym_connector_dcl = 421,
    sym_connector_header = 422,
    sym_connector_inherit_spec = 423,
    sym_connector_export = 424,
    sym_definition = 425,
    sym_type_dcl = 426,
    sym_constr_type_dcl = 427,
    sym_native_dcl = 428,
    sym_module_dcl = 429,
    sym_struct_dcl = 430,
    sym_struct_forward_dcl = 431,
    sym_struct_def = 432,
    sym_member = 433,
    sym_default = 434,
    sym_const_dcl = 435,
    sym_const_type = 436,
    sym_comment = 437,
    aux_sym_specification_repeat1 = 438,
    aux_sym_string_literal_repeat1 = 439,
    aux_sym_char_literal_repeat1 = 440,
    aux_sym_except_dcl_repeat1 = 441,
    aux_sym_interface_dcl_repeat1 = 442,
    aux_sym_interface_inheritance_spec_repeat1 = 443,
    aux_sym_interface_body_repeat1 = 444,
    aux_sym_parameter_dcls_repeat1 = 445,
    aux_sym_raises_expr_repeat1 = 446,
    aux_sym_readonly_attr_declarator_repeat1 = 447,
    aux_sym_bitset_dcl_repeat1 = 448,
    aux_sym_bitfield_repeat1 = 449,
    aux_sym_bitmask_dcl_repeat1 = 450,
    aux_sym_annotation_dcl_repeat1 = 451,
    aux_sym_annotation_appl_params_repeat1 = 452,
    aux_sym_annotation_appl_data_representation_repeat1 = 453,
    aux_sym_template_module_dcl_repeat1 = 454,
    aux_sym_formal_parameters_repeat1 = 455,
    aux_sym_actual_parameters_repeat1 = 456,
    aux_sym_formal_parameter_names_repeat1 = 457,
    aux_sym_value_def_repeat1 = 458,
    aux_sym_value_inheritance_spec_repeat1 = 459,
    aux_sym_init_param_dcls_repeat1 = 460,
    aux_sym_any_declarators_repeat1 = 461,
    aux_sym_declarators_repeat1 = 462,
    aux_sym_array_declarator_repeat1 = 463,
    aux_sym_enum_dcl_repeat1 = 464,
    aux_sym_union_def_repeat1 = 465,
    aux_sym_case_repeat1 = 466,
    aux_sym_in_parameter_dcls_repeat1 = 467,
    aux_sym_context_expr_repeat1 = 468,
    aux_sym_component_body_repeat1 = 469,
    aux_sym_home_body_repeat1 = 470,
    aux_sym_factory_param_dcls_repeat1 = 471,
    aux_sym_port_body_repeat1 = 472,
    aux_sym_connector_dcl_repeat1 = 473,
    aux_sym_module_dcl_repeat1 = 474,
};

static const char *const ts_symbol_names[] = {
    [ts_builtin_sym_end] = "end",
    [anon_sym_short] = "short",
    [anon_sym_int16] = "int16",
    [anon_sym_long] = "long",
    [anon_sym_int32] = "int32",
    [anon_sym_longlong] = "long long",
    [anon_sym_int64] = "int64",
    [sym_unsigned_tiny_int] = "unsigned_tiny_int",
    [sym_boolean_type] = "boolean_type",
    [anon_sym_fixed] = "fixed",
    [sym_octet_type] = "octet_type",
    [sym_signed_tiny_int] = "signed_tiny_int",
    [anon_sym_unsignedshort] = "unsigned short",
    [anon_sym_uint16] = "uint16",
    [anon_sym_unsignedlong] = "unsigned long",
    [anon_sym_uint32] = "uint32",
    [anon_sym_unsignedlonglong] = "unsigned long long",
    [anon_sym_uint64] = "uint64",
    [anon_sym_float] = "float",
    [anon_sym_double] = "double",
    [anon_sym_longdouble] = "long double",
    [sym_char_type] = "char_type",
    [sym_wide_char_type] = "wide_char_type",
    [anon_sym_COLON_COLON] = "::",
    [anon_sym_string] = "string",
    [anon_sym_LT] = "<",
    [anon_sym_GT] = ">",
    [anon_sym_wstring] = "wstring",
    [anon_sym_any] = "any",
    [anon_sym_COMMA] = ",",
    [anon_sym_sequence] = "sequence",
    [anon_sym_map] = "map",
    [anon_sym_PIPE] = "|",
    [anon_sym_CARET] = "^",
    [anon_sym_AMP] = "&",
    [anon_sym_GT_GT] = ">>",
    [anon_sym_LT_LT] = "<<",
    [anon_sym_PLUS] = "+",
    [anon_sym_DASH] = "-",
    [anon_sym_STAR] = "*",
    [anon_sym_SLASH] = "/",
    [anon_sym_PERCENT] = "%",
    [anon_sym_LPAREN] = "(",
    [anon_sym_RPAREN] = ")",
    [anon_sym_TILDE] = "~",
    [sym_bin_number] = "bin_number",
    [aux_sym_oct_number_token1] = "oct_number_token1",
    [aux_sym_oct_number_token2] = "oct_number_token2",
    [anon_sym_0] = "0",
    [aux_sym_dec_number_token1] = "dec_number_token1",
    [sym_hex_number] = "hex_number",
    [anon_sym_DOT] = ".",
    [aux_sym_floating_pt_literal_token1] = "floating_pt_literal_token1",
    [aux_sym_fixed_pt_literal_token1] = "fixed_pt_literal_token1",
    [sym_escape_sequence] = "escape_sequence",
    [anon_sym_DQUOTE] = "\"",
    [aux_sym_string_literal_token1] = "string_content",
    [anon_sym_L] = "L",
    [anon_sym_SQUOTE] = "'",
    [aux_sym_char_literal_token1] = "character",
    [anon_sym_TRUE] = "TRUE",
    [anon_sym_FALSE] = "FALSE",
    [anon_sym_POUNDdefine] = "#define",
    [aux_sym_preproc_define_token1] = "preproc_define_token1",
    [aux_sym_preproc_call_token1] = "preproc_call_token1",
    [sym_preproc_directive] = "preproc_directive",
    [sym_preproc_arg] = "preproc_arg",
    [aux_sym_preproc_include_token1] = "keyword_include",
    [sym_system_lib_path] = "system_lib_path",
    [anon_sym_exception] = "exception",
    [anon_sym_LBRACE] = "{",
    [anon_sym_RBRACE] = "}",
    [anon_sym_local] = "local",
    [anon_sym_abstract] = "abstract",
    [anon_sym_interface] = "interface",
    [anon_sym_COLON] = ":",
    [anon_sym_SEMI] = ";",
    [anon_sym_void] = "void",
    [anon_sym_in] = "in",
    [anon_sym_out] = "out",
    [anon_sym_inout] = "inout",
    [anon_sym_raises] = "raises",
    [anon_sym_readonly] = "readonly",
    [anon_sym_attribute] = "attribute",
    [anon_sym_getraises] = "getraises",
    [anon_sym_setraises] = "setraises",
    [anon_sym_bitset] = "bitset",
    [anon_sym_bitfield] = "bitfield",
    [anon_sym_bitmask] = "bitmask",
    [anon_sym_ATannotation] = "@annotation",
    [anon_sym_default] = "default",
    [anon_sym_AT] = "@",
    [anon_sym_SLASH_SLASH_AT] = "//@",
    [aux_sym_extend_annotation_appl_token1] = "extend_annotation_appl_token1",
    [anon_sym_EQ] = "=",
    [aux_sym_annotation_appl_id_token1] = "anno_name",
    [aux_sym_annotation_appl_autoid_token1] = "anno_name",
    [aux_sym_autoid_kind_token1] = "autoid_kind_token1",
    [aux_sym_autoid_kind_token2] = "autoid_kind_token2",
    [aux_sym_annotation_appl_optional_token1] = "anno_name",
    [aux_sym_annotation_appl_position_token1] = "anno_name",
    [aux_sym_annotation_appl_value_token1] = "anno_name",
    [aux_sym_annotation_appl_extensibility_token1] = "anno_name",
    [aux_sym_extensibility_kind_token1] = "extensibility_kind_token1",
    [aux_sym_extensibility_kind_token2] = "extensibility_kind_token2",
    [aux_sym_extensibility_kind_token3] = "extensibility_kind_token3",
    [aux_sym_annotation_appl_final_token1] = "anno_name",
    [aux_sym_annotation_appl_appendable_token1] = "anno_name",
    [aux_sym_annotation_appl_mutable_token1] = "anno_name",
    [aux_sym_annotation_appl_key_token1] = "anno_name",
    [aux_sym_annotation_appl_must_understand_token1] = "anno_name",
    [aux_sym_annotation_appl_default_literal_token1] = "anno_name",
    [aux_sym_annotation_appl_default_token1] = "anno_name",
    [aux_sym_annotation_appl_range_token1] = "anno_name",
    [aux_sym_min_expr_token1] = "range_kind",
    [aux_sym_max_expr_token1] = "range_kind",
    [aux_sym_annotation_appl_unit_token1] = "anno_name",
    [aux_sym_annotation_appl_bit_bound_token1] = "anno_name",
    [aux_sym_annotation_appl_external_token1] = "anno_name",
    [aux_sym_annotation_appl_nested_token1] = "anno_name",
    [aux_sym_annotation_appl_verbatim_token1] = "anno_name",
    [aux_sym_verbatim_language_token1] = "verbatim_language_token1",
    [aux_sym_verbatim_language_token2] = "verbatim_language_token2",
    [aux_sym_verbatim_language_token3] = "verbatim_language_token3",
    [aux_sym_verbatim_language_token4] = "verbatim_language_token4",
    [aux_sym_placement_kind_token1] = "placement_kind_token1",
    [aux_sym_placement_kind_token2] = "placement_kind_token2",
    [aux_sym_placement_kind_token3] = "placement_kind_token3",
    [aux_sym_placement_kind_token4] = "placement_kind_token4",
    [aux_sym_placement_kind_token5] = "placement_kind_token5",
    [aux_sym_placement_kind_token6] = "placement_kind_token6",
    [aux_sym_annotation_appl_service_token1] = "anno_name",
    [aux_sym_service_platform_token1] = "service_platform_token1",
    [aux_sym_service_platform_token2] = "service_platform_token2",
    [aux_sym_annotation_appl_oneway_token1] = "anno_name",
    [aux_sym_annotation_appl_ami_token1] = "anno_name",
    [anon_sym_hashid] = "anno_name",
    [aux_sym_annotation_appl_default_nested_token1] = "anno_name",
    [aux_sym_annotation_appl_ignore_literal_names_token1] = "anno_name",
    [aux_sym_annotation_appl_try_construct_token1] = "anno_name",
    [aux_sym_try_construct_fail_action_token1] = "try_construct_fail_action_token1",
    [aux_sym_try_construct_fail_action_token2] = "try_construct_fail_action_token2",
    [aux_sym_try_construct_fail_action_token3] = "try_construct_fail_action_token3",
    [aux_sym_annotation_appl_non_serialized_token1] = "anno_name",
    [aux_sym_annotation_appl_data_representation_token1] = "anno_name",
    [aux_sym_data_representation_mask_token1] = "data_representation_mask_token1",
    [aux_sym_data_representation_mask_token2] = "data_representation_mask_token2",
    [aux_sym_data_representation_mask_token3] = "data_representation_mask_token3",
    [aux_sym_data_representation_mask_token4] = "data_representation_mask_token4",
    [aux_sym_annotation_appl_topic_token1] = "annotation_appl_topic_token1",
    [anon_sym_module] = "module",
    [anon_sym_typename] = "typename",
    [anon_sym_valuetype] = "valuetype",
    [anon_sym_eventtype] = "eventtype",
    [anon_sym_struct] = "struct",
    [anon_sym_union] = "union",
    [anon_sym_enum] = "enum",
    [anon_sym_const] = "const",
    [anon_sym_alias] = "alias",
    [anon_sym_custom] = "custom",
    [anon_sym_truncatable] = "truncatable",
    [anon_sym_supports] = "supports",
    [anon_sym_public] = "public",
    [anon_sym_private] = "private",
    [anon_sym_factory] = "factory",
    [anon_sym_typedef] = "typedef",
    [anon_sym_LBRACK] = "[",
    [anon_sym_RBRACK] = "]",
    [anon_sym_switch] = "switch",
    [anon_sym_case] = "case",
    [anon_sym_typeid] = "typeid",
    [anon_sym_typeprefix] = "typeprefix",
    [anon_sym_import] = "import",
    [anon_sym_Object] = "Object",
    [anon_sym_oneway] = "oneway",
    [anon_sym_context] = "context",
    [sym_value_base_type] = "value_base_type",
    [anon_sym_component] = "component",
    [anon_sym_provides] = "provides",
    [anon_sym_uses] = "uses",
    [anon_sym_multiple] = "multiple",
    [anon_sym_home] = "home",
    [anon_sym_manages] = "manages",
    [anon_sym_emits] = "emits",
    [anon_sym_publishes] = "publishes",
    [anon_sym_consumes] = "consumes",
    [anon_sym_primarykey] = "primarykey",
    [anon_sym_finder] = "finder",
    [anon_sym_porttype] = "porttype",
    [anon_sym_port] = "port",
    [anon_sym_mirrorport] = "mirrorport",
    [anon_sym_connector] = "connector",
    [anon_sym_native] = "native",
    [sym_identifier] = "identifier",
    [anon_sym_SLASH_SLASH] = "//",
    [aux_sym_comment_token1] = "comment_token1",
    [anon_sym_SLASH_STAR] = "/*",
    [aux_sym_comment_token2] = "comment_token2",
    [sym_specification] = "specification",
    [sym_signed_short_int] = "signed_short_int",
    [sym_signed_long_int] = "signed_long_int",
    [sym_signed_longlong_int] = "signed_longlong_int",
    [sym_unsigned_int] = "unsigned_int",
    [sym_fixed_pt_const_type] = "fixed_pt_const_type",
    [sym_integer_type] = "integer_type",
    [sym_signed_int] = "signed_int",
    [sym_unsigned_short_int] = "unsigned_short_int",
    [sym_unsigned_long_int] = "unsigned_long_int",
    [sym_unsigned_longlong_int] = "unsigned_longlong_int",
    [sym_floating_pt_type] = "floating_pt_type",
    [sym_scoped_name] = "scoped_name",
    [sym_string_type] = "string_type",
    [sym_wide_string_type] = "wide_string_type",
    [sym_type_spec] = "type_spec",
    [sym_simple_type_spec] = "simple_type_spec",
    [sym_base_type_spec] = "base_type_spec",
    [sym_any_type] = "any_type",
    [sym_fixed_pt_type] = "fixed_pt_type",
    [sym_template_type_spec] = "template_type_spec",
    [sym_sequence_type] = "sequence_type",
    [sym_map_type] = "map_type",
    [sym_positive_int_const] = "positive_int_const",
    [sym_const_expr] = "const_expr",
    [sym_or_expr] = "or_expr",
    [sym_xor_expr] = "xor_expr",
    [sym_and_expr] = "and_expr",
    [sym_shift_expr] = "shift_expr",
    [sym_add_expr] = "add_expr",
    [sym_mult_expr] = "mult_expr",
    [sym_unary_expr] = "unary_expr",
    [sym_primary_expr] = "primary_expr",
    [sym_unary_operator] = "unary_operator",
    [sym_literal] = "literal",
    [sym_integer_literal] = "integer_literal",
    [sym_integer_sign] = "integer_sign",
    [sym_oct_number] = "oct_number",
    [sym_dec_number] = "dec_number",
    [sym_floating_pt_literal] = "floating_pt_literal",
    [sym_fixed_pt_literal] = "fixed_pt_literal",
    [sym_string_literal] = "string_literal",
    [sym_wide_string_literal] = "wide_string_literal",
    [sym_char_literal] = "char_literal",
    [sym_wide_character_literal] = "wide_character_literal",
    [sym_boolean_literal] = "boolean_literal",
    [sym_preproc_define] = "preproc_define",
    [sym_preproc_call] = "preproc_call",
    [sym_preproc_include] = "preproc_include",
    [sym_system_lib_string] = "system_lib_string",
    [sym_except_dcl] = "except_dcl",
    [sym_interface_dcl] = "interface_dcl",
    [sym_interface_kind] = "interface_kind",
    [sym_interface_forward_dcl] = "interface_forward_dcl",
    [sym_interface_def] = "interface_def",
    [sym_interface_header] = "interface_header",
    [sym_interface_inheritance_spec] = "interface_inheritance_spec",
    [sym_interface_name] = "interface_name",
    [sym_interface_body] = "interface_body",
    [sym_export] = "export",
    [sym_op_dcl] = "op_dcl",
    [sym_op_type_spec] = "op_type_spec",
    [sym_parameter_dcls] = "parameter_dcls",
    [sym_param_dcl] = "param_dcl",
    [sym_param_attribute] = "param_attribute",
    [sym_raises_expr] = "raises_expr",
    [sym_attr_dcl] = "attr_dcl",
    [sym_readonly_attr_spec] = "readonly_attr_spec",
    [sym_readonly_attr_declarator] = "readonly_attr_declarator",
    [sym_attr_spec] = "attr_spec",
    [sym_attr_declarator] = "attr_declarator",
    [sym_attr_raises_expr] = "attr_raises_expr",
    [sym_get_excep_expr] = "get_excep_expr",
    [sym_set_excep_expr] = "set_excep_expr",
    [sym_exception_list] = "exception_list",
    [sym_bitset_dcl] = "bitset_dcl",
    [sym_bitfield] = "bitfield",
    [sym_bitfield_spec] = "bitfield_spec",
    [sym_destination_type] = "destination_type",
    [sym_bitmask_dcl] = "bitmask_dcl",
    [sym_bit_value] = "bit_value",
    [sym_annotation_dcl] = "annotation_dcl",
    [sym_annotation_body] = "annotation_body",
    [sym_annotation_member] = "annotation_member",
    [sym_annotation_member_type] = "annotation_member_type",
    [sym_any_const_type] = "any_const_type",
    [sym_annotation_appl] = "annotation_appl",
    [sym_extend_annotation_appl] = "extend_annotation_appl",
    [sym_annotation_appl_custom_body] = "annotation_appl_custom_body",
    [sym_annotation_appl_params] = "annotation_appl_params",
    [sym_annotation_appl_param] = "annotation_appl_param",
    [sym_annotation_appl_builtin_body] = "annotation_appl_builtin_body",
    [sym_annotation_appl_id] = "annotation_appl_id",
    [sym_annotation_appl_autoid] = "annotation_appl_autoid",
    [sym_autoid_kind] = "autoid_kind",
    [sym_annotation_appl_optional] = "annotation_appl_optional",
    [sym_annotation_appl_position] = "annotation_appl_position",
    [sym_annotation_appl_value] = "annotation_appl_value",
    [sym_annotation_appl_extensibility] = "annotation_appl_extensibility",
    [sym_extensibility_kind] = "extensibility_kind",
    [sym_annotation_appl_final] = "annotation_appl_final",
    [sym_annotation_appl_appendable] = "annotation_appl_appendable",
    [sym_annotation_appl_mutable] = "annotation_appl_mutable",
    [sym_annotation_appl_key] = "annotation_appl_key",
    [sym_annotation_appl_must_understand] = "annotation_appl_must_understand",
    [sym_annotation_appl_default_literal] = "annotation_appl_default_literal",
    [sym_annotation_appl_default] = "annotation_appl_default",
    [sym_annotation_appl_range] = "annotation_appl_range",
    [sym_min_expr] = "min_expr",
    [sym_max_expr] = "max_expr",
    [sym_annotation_appl_min] = "annotation_appl_min",
    [sym_annotation_appl_max] = "annotation_appl_max",
    [sym_annotation_appl_unit] = "annotation_appl_unit",
    [sym_annotation_appl_bit_bound] = "annotation_appl_bit_bound",
    [sym_annotation_appl_external] = "annotation_appl_external",
    [sym_annotation_appl_nested] = "annotation_appl_nested",
    [sym_annotation_appl_verbatim] = "annotation_appl_verbatim",
    [sym_verbatim_language] = "verbatim_language",
    [sym_placement_kind] = "placement_kind",
    [sym_annotation_appl_service] = "annotation_appl_service",
    [sym_service_platform] = "service_platform",
    [sym_annotation_appl_oneway] = "annotation_appl_oneway",
    [sym_annotation_appl_ami] = "annotation_appl_ami",
    [sym_annotation_appl_hashid] = "annotation_appl_hashid",
    [sym_annotation_appl_default_nested] = "annotation_appl_default_nested",
    [sym_annotation_appl_ignore_literal_names] = "annotation_appl_ignore_literal_names",
    [sym_annotation_appl_try_construct] = "annotation_appl_try_construct",
    [sym_try_construct_fail_action] = "try_construct_fail_action",
    [sym_annotation_appl_non_serialized] = "annotation_appl_non_serialized",
    [sym_annotation_appl_data_representation] = "annotation_appl_data_representation",
    [sym_data_representation_mask] = "data_representation_mask",
    [sym_annotation_appl_topic] = "annotation_appl_topic",
    [sym_topic_platform] = "topic_platform",
    [sym_template_module_dcl] = "template_module_dcl",
    [sym_formal_parameters] = "formal_parameters",
    [sym_formal_parameter] = "formal_parameter",
    [sym_formal_parameter_type] = "formal_parameter_type",
    [sym_tpl_definition] = "tpl_definition",
    [sym_template_module_inst] = "template_module_inst",
    [sym_actual_parameters] = "actual_parameters",
    [sym_actual_parameter] = "actual_parameter",
    [sym_template_module_ref] = "template_module_ref",
    [sym_formal_parameter_names] = "formal_parameter_names",
    [sym_value_dcl] = "value_dcl",
    [sym_value_def] = "value_def",
    [sym_value_kind] = "value_kind",
    [sym_value_header] = "value_header",
    [sym_value_inheritance_spec] = "value_inheritance_spec",
    [sym_value_inheritance] = "value_inheritance",
    [sym_value_supports] = "value_supports",
    [sym_value_name] = "value_name",
    [sym_value_element] = "value_element",
    [sym_state_member] = "state_member",
    [sym_init_dcl] = "init_dcl",
    [sym_init_param_dcls] = "init_param_dcls",
    [sym_init_param_dcl] = "init_param_dcl",
    [sym_value_forward_dcl] = "value_forward_dcl",
    [sym_typedef_dcl] = "typedef_dcl",
    [sym_type_declarator] = "type_declarator",
    [sym_any_declarators] = "any_declarators",
    [sym_any_declarator] = "any_declarator",
    [sym_simple_declarator] = "simple_declarator",
    [sym_declarator] = "declarator",
    [sym_declarators] = "declarators",
    [sym_array_declarator] = "array_declarator",
    [sym_fixed_array_size] = "fixed_array_size",
    [sym_enum_dcl] = "enum_dcl",
    [sym_enumerator] = "enumerator",
    [sym_union_dcl] = "union_dcl",
    [sym_union_forward_dcl] = "union_forward_dcl",
    [sym_union_def] = "union_def",
    [sym_case] = "case",
    [sym_case_label] = "case_label",
    [sym_element_spec] = "element_spec",
    [sym_switch_type_spec] = "switch_type_spec",
    [sym_type_id_dcl] = "type_id_dcl",
    [sym_type_prefix_dcl] = "type_prefix_dcl",
    [sym_import_dcl] = "import_dcl",
    [sym_imported_scope] = "imported_scope",
    [sym_object_type] = "object_type",
    [sym_op_oneway_dcl] = "op_oneway_dcl",
    [sym_in_parameter_dcls] = "in_parameter_dcls",
    [sym_in_param_dcl] = "in_param_dcl",
    [sym_op_with_context] = "op_with_context",
    [sym_context_expr] = "context_expr",
    [sym_value_box_def] = "value_box_def",
    [sym_value_abs_def] = "value_abs_def",
    [sym_component_dcl] = "component_dcl",
    [sym_component_forward_dcl] = "component_forward_dcl",
    [sym_component_def] = "component_def",
    [sym_component_header] = "component_header",
    [sym_component_inheritance_spec] = "component_inheritance_spec",
    [sym_component_body] = "component_body",
    [sym_component_export] = "component_export",
    [sym_provides_dcl] = "provides_dcl",
    [sym_interface_type] = "interface_type",
    [sym_uses_dcl] = "uses_dcl",
    [sym_home_dcl] = "home_dcl",
    [sym_home_header] = "home_header",
    [sym_home_inheritance_spec] = "home_inheritance_spec",
    [sym_home_body] = "home_body",
    [sym_home_export] = "home_export",
    [sym_factory_dcl] = "factory_dcl",
    [sym_factory_param_dcls] = "factory_param_dcls",
    [sym_factory_param_dcl] = "factory_param_dcl",
    [sym_supported_interface_spec] = "supported_interface_spec",
    [sym_emits_dcl] = "emits_dcl",
    [sym_publishes_dcl] = "publishes_dcl",
    [sym_consumes_dcl] = "consumes_dcl",
    [sym_primary_key_spec] = "primary_key_spec",
    [sym_finder_dcl] = "finder_dcl",
    [sym_event_dcl] = "event_dcl",
    [sym_event_forward_dcl] = "event_forward_dcl",
    [sym_event_abs_def] = "event_abs_def",
    [sym_event_def] = "event_def",
    [sym_event_header] = "event_header",
    [sym_porttype_dcl] = "porttype_dcl",
    [sym_porttype_forward_dcl] = "porttype_forward_dcl",
    [sym_porttype_def] = "porttype_def",
    [sym_port_body] = "port_body",
    [sym_port_ref] = "port_ref",
    [sym_port_export] = "port_export",
    [sym_port_dcl] = "port_dcl",
    [sym_connector_dcl] = "connector_dcl",
    [sym_connector_header] = "connector_header",
    [sym_connector_inherit_spec] = "connector_inherit_spec",
    [sym_connector_export] = "connector_export",
    [sym_definition] = "definition",
    [sym_type_dcl] = "type_dcl",
    [sym_constr_type_dcl] = "constr_type_dcl",
    [sym_native_dcl] = "native_dcl",
    [sym_module_dcl] = "module_dcl",
    [sym_struct_dcl] = "struct_dcl",
    [sym_struct_forward_dcl] = "struct_forward_dcl",
    [sym_struct_def] = "struct_def",
    [sym_member] = "member",
    [sym_default] = "default",
    [sym_const_dcl] = "const_dcl",
    [sym_const_type] = "const_type",
    [sym_comment] = "comment",
    [aux_sym_specification_repeat1] = "specification_repeat1",
    [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
    [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
    [aux_sym_except_dcl_repeat1] = "except_dcl_repeat1",
    [aux_sym_interface_dcl_repeat1] = "interface_dcl_repeat1",
    [aux_sym_interface_inheritance_spec_repeat1] = "interface_inheritance_spec_repeat1",
    [aux_sym_interface_body_repeat1] = "interface_body_repeat1",
    [aux_sym_parameter_dcls_repeat1] = "parameter_dcls_repeat1",
    [aux_sym_raises_expr_repeat1] = "raises_expr_repeat1",
    [aux_sym_readonly_attr_declarator_repeat1] = "readonly_attr_declarator_repeat1",
    [aux_sym_bitset_dcl_repeat1] = "bitset_dcl_repeat1",
    [aux_sym_bitfield_repeat1] = "bitfield_repeat1",
    [aux_sym_bitmask_dcl_repeat1] = "bitmask_dcl_repeat1",
    [aux_sym_annotation_dcl_repeat1] = "annotation_dcl_repeat1",
    [aux_sym_annotation_appl_params_repeat1] = "annotation_appl_params_repeat1",
    [aux_sym_annotation_appl_data_representation_repeat1] = "annotation_appl_data_representation_repeat1",
    [aux_sym_template_module_dcl_repeat1] = "template_module_dcl_repeat1",
    [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
    [aux_sym_actual_parameters_repeat1] = "actual_parameters_repeat1",
    [aux_sym_formal_parameter_names_repeat1] = "formal_parameter_names_repeat1",
    [aux_sym_value_def_repeat1] = "value_def_repeat1",
    [aux_sym_value_inheritance_spec_repeat1] = "value_inheritance_spec_repeat1",
    [aux_sym_init_param_dcls_repeat1] = "init_param_dcls_repeat1",
    [aux_sym_any_declarators_repeat1] = "any_declarators_repeat1",
    [aux_sym_declarators_repeat1] = "declarators_repeat1",
    [aux_sym_array_declarator_repeat1] = "array_declarator_repeat1",
    [aux_sym_enum_dcl_repeat1] = "enum_dcl_repeat1",
    [aux_sym_union_def_repeat1] = "union_def_repeat1",
    [aux_sym_case_repeat1] = "case_repeat1",
    [aux_sym_in_parameter_dcls_repeat1] = "in_parameter_dcls_repeat1",
    [aux_sym_context_expr_repeat1] = "context_expr_repeat1",
    [aux_sym_component_body_repeat1] = "component_body_repeat1",
    [aux_sym_home_body_repeat1] = "home_body_repeat1",
    [aux_sym_factory_param_dcls_repeat1] = "factory_param_dcls_repeat1",
    [aux_sym_port_body_repeat1] = "port_body_repeat1",
    [aux_sym_connector_dcl_repeat1] = "connector_dcl_repeat1",
    [aux_sym_module_dcl_repeat1] = "module_dcl_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
    [ts_builtin_sym_end] = ts_builtin_sym_end,
    [anon_sym_short] = anon_sym_short,
    [anon_sym_int16] = anon_sym_int16,
    [anon_sym_long] = anon_sym_long,
    [anon_sym_int32] = anon_sym_int32,
    [anon_sym_longlong] = anon_sym_longlong,
    [anon_sym_int64] = anon_sym_int64,
    [sym_unsigned_tiny_int] = sym_unsigned_tiny_int,
    [sym_boolean_type] = sym_boolean_type,
    [anon_sym_fixed] = anon_sym_fixed,
    [sym_octet_type] = sym_octet_type,
    [sym_signed_tiny_int] = sym_signed_tiny_int,
    [anon_sym_unsignedshort] = anon_sym_unsignedshort,
    [anon_sym_uint16] = anon_sym_uint16,
    [anon_sym_unsignedlong] = anon_sym_unsignedlong,
    [anon_sym_uint32] = anon_sym_uint32,
    [anon_sym_unsignedlonglong] = anon_sym_unsignedlonglong,
    [anon_sym_uint64] = anon_sym_uint64,
    [anon_sym_float] = anon_sym_float,
    [anon_sym_double] = anon_sym_double,
    [anon_sym_longdouble] = anon_sym_longdouble,
    [sym_char_type] = sym_char_type,
    [sym_wide_char_type] = sym_wide_char_type,
    [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
    [anon_sym_string] = anon_sym_string,
    [anon_sym_LT] = anon_sym_LT,
    [anon_sym_GT] = anon_sym_GT,
    [anon_sym_wstring] = anon_sym_wstring,
    [anon_sym_any] = anon_sym_any,
    [anon_sym_COMMA] = anon_sym_COMMA,
    [anon_sym_sequence] = anon_sym_sequence,
    [anon_sym_map] = anon_sym_map,
    [anon_sym_PIPE] = anon_sym_PIPE,
    [anon_sym_CARET] = anon_sym_CARET,
    [anon_sym_AMP] = anon_sym_AMP,
    [anon_sym_GT_GT] = anon_sym_GT_GT,
    [anon_sym_LT_LT] = anon_sym_LT_LT,
    [anon_sym_PLUS] = anon_sym_PLUS,
    [anon_sym_DASH] = anon_sym_DASH,
    [anon_sym_STAR] = anon_sym_STAR,
    [anon_sym_SLASH] = anon_sym_SLASH,
    [anon_sym_PERCENT] = anon_sym_PERCENT,
    [anon_sym_LPAREN] = anon_sym_LPAREN,
    [anon_sym_RPAREN] = anon_sym_RPAREN,
    [anon_sym_TILDE] = anon_sym_TILDE,
    [sym_bin_number] = sym_bin_number,
    [aux_sym_oct_number_token1] = aux_sym_oct_number_token1,
    [aux_sym_oct_number_token2] = aux_sym_oct_number_token2,
    [anon_sym_0] = anon_sym_0,
    [aux_sym_dec_number_token1] = aux_sym_dec_number_token1,
    [sym_hex_number] = sym_hex_number,
    [anon_sym_DOT] = anon_sym_DOT,
    [aux_sym_floating_pt_literal_token1] = aux_sym_floating_pt_literal_token1,
    [aux_sym_fixed_pt_literal_token1] = aux_sym_fixed_pt_literal_token1,
    [sym_escape_sequence] = sym_escape_sequence,
    [anon_sym_DQUOTE] = anon_sym_DQUOTE,
    [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
    [anon_sym_L] = anon_sym_L,
    [anon_sym_SQUOTE] = anon_sym_SQUOTE,
    [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
    [anon_sym_TRUE] = anon_sym_TRUE,
    [anon_sym_FALSE] = anon_sym_FALSE,
    [anon_sym_POUNDdefine] = anon_sym_POUNDdefine,
    [aux_sym_preproc_define_token1] = aux_sym_preproc_define_token1,
    [aux_sym_preproc_call_token1] = aux_sym_preproc_call_token1,
    [sym_preproc_directive] = sym_preproc_directive,
    [sym_preproc_arg] = sym_preproc_arg,
    [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
    [sym_system_lib_path] = sym_system_lib_path,
    [anon_sym_exception] = anon_sym_exception,
    [anon_sym_LBRACE] = anon_sym_LBRACE,
    [anon_sym_RBRACE] = anon_sym_RBRACE,
    [anon_sym_local] = anon_sym_local,
    [anon_sym_abstract] = anon_sym_abstract,
    [anon_sym_interface] = anon_sym_interface,
    [anon_sym_COLON] = anon_sym_COLON,
    [anon_sym_SEMI] = anon_sym_SEMI,
    [anon_sym_void] = anon_sym_void,
    [anon_sym_in] = anon_sym_in,
    [anon_sym_out] = anon_sym_out,
    [anon_sym_inout] = anon_sym_inout,
    [anon_sym_raises] = anon_sym_raises,
    [anon_sym_readonly] = anon_sym_readonly,
    [anon_sym_attribute] = anon_sym_attribute,
    [anon_sym_getraises] = anon_sym_getraises,
    [anon_sym_setraises] = anon_sym_setraises,
    [anon_sym_bitset] = anon_sym_bitset,
    [anon_sym_bitfield] = anon_sym_bitfield,
    [anon_sym_bitmask] = anon_sym_bitmask,
    [anon_sym_ATannotation] = anon_sym_ATannotation,
    [anon_sym_default] = anon_sym_default,
    [anon_sym_AT] = anon_sym_AT,
    [anon_sym_SLASH_SLASH_AT] = anon_sym_SLASH_SLASH_AT,
    [aux_sym_extend_annotation_appl_token1] = aux_sym_extend_annotation_appl_token1,
    [anon_sym_EQ] = anon_sym_EQ,
    [aux_sym_annotation_appl_id_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_autoid_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_autoid_kind_token1] = aux_sym_autoid_kind_token1,
    [aux_sym_autoid_kind_token2] = aux_sym_autoid_kind_token2,
    [aux_sym_annotation_appl_optional_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_position_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_value_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_extensibility_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_extensibility_kind_token1] = aux_sym_extensibility_kind_token1,
    [aux_sym_extensibility_kind_token2] = aux_sym_extensibility_kind_token2,
    [aux_sym_extensibility_kind_token3] = aux_sym_extensibility_kind_token3,
    [aux_sym_annotation_appl_final_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_appendable_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_mutable_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_key_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_must_understand_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_default_literal_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_default_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_range_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_min_expr_token1] = aux_sym_min_expr_token1,
    [aux_sym_max_expr_token1] = aux_sym_min_expr_token1,
    [aux_sym_annotation_appl_unit_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_bit_bound_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_external_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_nested_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_verbatim_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_verbatim_language_token1] = aux_sym_verbatim_language_token1,
    [aux_sym_verbatim_language_token2] = aux_sym_verbatim_language_token2,
    [aux_sym_verbatim_language_token3] = aux_sym_verbatim_language_token3,
    [aux_sym_verbatim_language_token4] = aux_sym_verbatim_language_token4,
    [aux_sym_placement_kind_token1] = aux_sym_placement_kind_token1,
    [aux_sym_placement_kind_token2] = aux_sym_placement_kind_token2,
    [aux_sym_placement_kind_token3] = aux_sym_placement_kind_token3,
    [aux_sym_placement_kind_token4] = aux_sym_placement_kind_token4,
    [aux_sym_placement_kind_token5] = aux_sym_placement_kind_token5,
    [aux_sym_placement_kind_token6] = aux_sym_placement_kind_token6,
    [aux_sym_annotation_appl_service_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_service_platform_token1] = aux_sym_service_platform_token1,
    [aux_sym_service_platform_token2] = aux_sym_service_platform_token2,
    [aux_sym_annotation_appl_oneway_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_ami_token1] = aux_sym_annotation_appl_id_token1,
    [anon_sym_hashid] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_default_nested_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_ignore_literal_names_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_try_construct_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_try_construct_fail_action_token1] = aux_sym_try_construct_fail_action_token1,
    [aux_sym_try_construct_fail_action_token2] = aux_sym_try_construct_fail_action_token2,
    [aux_sym_try_construct_fail_action_token3] = aux_sym_try_construct_fail_action_token3,
    [aux_sym_annotation_appl_non_serialized_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_annotation_appl_data_representation_token1] = aux_sym_annotation_appl_id_token1,
    [aux_sym_data_representation_mask_token1] = aux_sym_data_representation_mask_token1,
    [aux_sym_data_representation_mask_token2] = aux_sym_data_representation_mask_token2,
    [aux_sym_data_representation_mask_token3] = aux_sym_data_representation_mask_token3,
    [aux_sym_data_representation_mask_token4] = aux_sym_data_representation_mask_token4,
    [aux_sym_annotation_appl_topic_token1] = aux_sym_annotation_appl_topic_token1,
    [anon_sym_module] = anon_sym_module,
    [anon_sym_typename] = anon_sym_typename,
    [anon_sym_valuetype] = anon_sym_valuetype,
    [anon_sym_eventtype] = anon_sym_eventtype,
    [anon_sym_struct] = anon_sym_struct,
    [anon_sym_union] = anon_sym_union,
    [anon_sym_enum] = anon_sym_enum,
    [anon_sym_const] = anon_sym_const,
    [anon_sym_alias] = anon_sym_alias,
    [anon_sym_custom] = anon_sym_custom,
    [anon_sym_truncatable] = anon_sym_truncatable,
    [anon_sym_supports] = anon_sym_supports,
    [anon_sym_public] = anon_sym_public,
    [anon_sym_private] = anon_sym_private,
    [anon_sym_factory] = anon_sym_factory,
    [anon_sym_typedef] = anon_sym_typedef,
    [anon_sym_LBRACK] = anon_sym_LBRACK,
    [anon_sym_RBRACK] = anon_sym_RBRACK,
    [anon_sym_switch] = anon_sym_switch,
    [anon_sym_case] = anon_sym_case,
    [anon_sym_typeid] = anon_sym_typeid,
    [anon_sym_typeprefix] = anon_sym_typeprefix,
    [anon_sym_import] = anon_sym_import,
    [anon_sym_Object] = anon_sym_Object,
    [anon_sym_oneway] = anon_sym_oneway,
    [anon_sym_context] = anon_sym_context,
    [sym_value_base_type] = sym_value_base_type,
    [anon_sym_component] = anon_sym_component,
    [anon_sym_provides] = anon_sym_provides,
    [anon_sym_uses] = anon_sym_uses,
    [anon_sym_multiple] = anon_sym_multiple,
    [anon_sym_home] = anon_sym_home,
    [anon_sym_manages] = anon_sym_manages,
    [anon_sym_emits] = anon_sym_emits,
    [anon_sym_publishes] = anon_sym_publishes,
    [anon_sym_consumes] = anon_sym_consumes,
    [anon_sym_primarykey] = anon_sym_primarykey,
    [anon_sym_finder] = anon_sym_finder,
    [anon_sym_porttype] = anon_sym_porttype,
    [anon_sym_port] = anon_sym_port,
    [anon_sym_mirrorport] = anon_sym_mirrorport,
    [anon_sym_connector] = anon_sym_connector,
    [anon_sym_native] = anon_sym_native,
    [sym_identifier] = sym_identifier,
    [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
    [aux_sym_comment_token1] = aux_sym_comment_token1,
    [anon_sym_SLASH_STAR] = anon_sym_SLASH_STAR,
    [aux_sym_comment_token2] = aux_sym_comment_token2,
    [sym_specification] = sym_specification,
    [sym_signed_short_int] = sym_signed_short_int,
    [sym_signed_long_int] = sym_signed_long_int,
    [sym_signed_longlong_int] = sym_signed_longlong_int,
    [sym_unsigned_int] = sym_unsigned_int,
    [sym_fixed_pt_const_type] = sym_fixed_pt_const_type,
    [sym_integer_type] = sym_integer_type,
    [sym_signed_int] = sym_signed_int,
    [sym_unsigned_short_int] = sym_unsigned_short_int,
    [sym_unsigned_long_int] = sym_unsigned_long_int,
    [sym_unsigned_longlong_int] = sym_unsigned_longlong_int,
    [sym_floating_pt_type] = sym_floating_pt_type,
    [sym_scoped_name] = sym_scoped_name,
    [sym_string_type] = sym_string_type,
    [sym_wide_string_type] = sym_wide_string_type,
    [sym_type_spec] = sym_type_spec,
    [sym_simple_type_spec] = sym_simple_type_spec,
    [sym_base_type_spec] = sym_base_type_spec,
    [sym_any_type] = sym_any_type,
    [sym_fixed_pt_type] = sym_fixed_pt_type,
    [sym_template_type_spec] = sym_template_type_spec,
    [sym_sequence_type] = sym_sequence_type,
    [sym_map_type] = sym_map_type,
    [sym_positive_int_const] = sym_positive_int_const,
    [sym_const_expr] = sym_const_expr,
    [sym_or_expr] = sym_or_expr,
    [sym_xor_expr] = sym_xor_expr,
    [sym_and_expr] = sym_and_expr,
    [sym_shift_expr] = sym_shift_expr,
    [sym_add_expr] = sym_add_expr,
    [sym_mult_expr] = sym_mult_expr,
    [sym_unary_expr] = sym_unary_expr,
    [sym_primary_expr] = sym_primary_expr,
    [sym_unary_operator] = sym_unary_operator,
    [sym_literal] = sym_literal,
    [sym_integer_literal] = sym_integer_literal,
    [sym_integer_sign] = sym_integer_sign,
    [sym_oct_number] = sym_oct_number,
    [sym_dec_number] = sym_dec_number,
    [sym_floating_pt_literal] = sym_floating_pt_literal,
    [sym_fixed_pt_literal] = sym_fixed_pt_literal,
    [sym_string_literal] = sym_string_literal,
    [sym_wide_string_literal] = sym_wide_string_literal,
    [sym_char_literal] = sym_char_literal,
    [sym_wide_character_literal] = sym_wide_character_literal,
    [sym_boolean_literal] = sym_boolean_literal,
    [sym_preproc_define] = sym_preproc_define,
    [sym_preproc_call] = sym_preproc_call,
    [sym_preproc_include] = sym_preproc_include,
    [sym_system_lib_string] = sym_system_lib_string,
    [sym_except_dcl] = sym_except_dcl,
    [sym_interface_dcl] = sym_interface_dcl,
    [sym_interface_kind] = sym_interface_kind,
    [sym_interface_forward_dcl] = sym_interface_forward_dcl,
    [sym_interface_def] = sym_interface_def,
    [sym_interface_header] = sym_interface_header,
    [sym_interface_inheritance_spec] = sym_interface_inheritance_spec,
    [sym_interface_name] = sym_interface_name,
    [sym_interface_body] = sym_interface_body,
    [sym_export] = sym_export,
    [sym_op_dcl] = sym_op_dcl,
    [sym_op_type_spec] = sym_op_type_spec,
    [sym_parameter_dcls] = sym_parameter_dcls,
    [sym_param_dcl] = sym_param_dcl,
    [sym_param_attribute] = sym_param_attribute,
    [sym_raises_expr] = sym_raises_expr,
    [sym_attr_dcl] = sym_attr_dcl,
    [sym_readonly_attr_spec] = sym_readonly_attr_spec,
    [sym_readonly_attr_declarator] = sym_readonly_attr_declarator,
    [sym_attr_spec] = sym_attr_spec,
    [sym_attr_declarator] = sym_attr_declarator,
    [sym_attr_raises_expr] = sym_attr_raises_expr,
    [sym_get_excep_expr] = sym_get_excep_expr,
    [sym_set_excep_expr] = sym_set_excep_expr,
    [sym_exception_list] = sym_exception_list,
    [sym_bitset_dcl] = sym_bitset_dcl,
    [sym_bitfield] = sym_bitfield,
    [sym_bitfield_spec] = sym_bitfield_spec,
    [sym_destination_type] = sym_destination_type,
    [sym_bitmask_dcl] = sym_bitmask_dcl,
    [sym_bit_value] = sym_bit_value,
    [sym_annotation_dcl] = sym_annotation_dcl,
    [sym_annotation_body] = sym_annotation_body,
    [sym_annotation_member] = sym_annotation_member,
    [sym_annotation_member_type] = sym_annotation_member_type,
    [sym_any_const_type] = sym_any_const_type,
    [sym_annotation_appl] = sym_annotation_appl,
    [sym_extend_annotation_appl] = sym_extend_annotation_appl,
    [sym_annotation_appl_custom_body] = sym_annotation_appl_custom_body,
    [sym_annotation_appl_params] = sym_annotation_appl_params,
    [sym_annotation_appl_param] = sym_annotation_appl_param,
    [sym_annotation_appl_builtin_body] = sym_annotation_appl_builtin_body,
    [sym_annotation_appl_id] = sym_annotation_appl_id,
    [sym_annotation_appl_autoid] = sym_annotation_appl_autoid,
    [sym_autoid_kind] = sym_autoid_kind,
    [sym_annotation_appl_optional] = sym_annotation_appl_optional,
    [sym_annotation_appl_position] = sym_annotation_appl_position,
    [sym_annotation_appl_value] = sym_annotation_appl_value,
    [sym_annotation_appl_extensibility] = sym_annotation_appl_extensibility,
    [sym_extensibility_kind] = sym_extensibility_kind,
    [sym_annotation_appl_final] = sym_annotation_appl_final,
    [sym_annotation_appl_appendable] = sym_annotation_appl_appendable,
    [sym_annotation_appl_mutable] = sym_annotation_appl_mutable,
    [sym_annotation_appl_key] = sym_annotation_appl_key,
    [sym_annotation_appl_must_understand] = sym_annotation_appl_must_understand,
    [sym_annotation_appl_default_literal] = sym_annotation_appl_default_literal,
    [sym_annotation_appl_default] = sym_annotation_appl_default,
    [sym_annotation_appl_range] = sym_annotation_appl_range,
    [sym_min_expr] = sym_min_expr,
    [sym_max_expr] = sym_max_expr,
    [sym_annotation_appl_min] = sym_annotation_appl_min,
    [sym_annotation_appl_max] = sym_annotation_appl_max,
    [sym_annotation_appl_unit] = sym_annotation_appl_unit,
    [sym_annotation_appl_bit_bound] = sym_annotation_appl_bit_bound,
    [sym_annotation_appl_external] = sym_annotation_appl_external,
    [sym_annotation_appl_nested] = sym_annotation_appl_nested,
    [sym_annotation_appl_verbatim] = sym_annotation_appl_verbatim,
    [sym_verbatim_language] = sym_verbatim_language,
    [sym_placement_kind] = sym_placement_kind,
    [sym_annotation_appl_service] = sym_annotation_appl_service,
    [sym_service_platform] = sym_service_platform,
    [sym_annotation_appl_oneway] = sym_annotation_appl_oneway,
    [sym_annotation_appl_ami] = sym_annotation_appl_ami,
    [sym_annotation_appl_hashid] = sym_annotation_appl_hashid,
    [sym_annotation_appl_default_nested] = sym_annotation_appl_default_nested,
    [sym_annotation_appl_ignore_literal_names] = sym_annotation_appl_ignore_literal_names,
    [sym_annotation_appl_try_construct] = sym_annotation_appl_try_construct,
    [sym_try_construct_fail_action] = sym_try_construct_fail_action,
    [sym_annotation_appl_non_serialized] = sym_annotation_appl_non_serialized,
    [sym_annotation_appl_data_representation] = sym_annotation_appl_data_representation,
    [sym_data_representation_mask] = sym_data_representation_mask,
    [sym_annotation_appl_topic] = sym_annotation_appl_topic,
    [sym_topic_platform] = sym_topic_platform,
    [sym_template_module_dcl] = sym_template_module_dcl,
    [sym_formal_parameters] = sym_formal_parameters,
    [sym_formal_parameter] = sym_formal_parameter,
    [sym_formal_parameter_type] = sym_formal_parameter_type,
    [sym_tpl_definition] = sym_tpl_definition,
    [sym_template_module_inst] = sym_template_module_inst,
    [sym_actual_parameters] = sym_actual_parameters,
    [sym_actual_parameter] = sym_actual_parameter,
    [sym_template_module_ref] = sym_template_module_ref,
    [sym_formal_parameter_names] = sym_formal_parameter_names,
    [sym_value_dcl] = sym_value_dcl,
    [sym_value_def] = sym_value_def,
    [sym_value_kind] = sym_value_kind,
    [sym_value_header] = sym_value_header,
    [sym_value_inheritance_spec] = sym_value_inheritance_spec,
    [sym_value_inheritance] = sym_value_inheritance,
    [sym_value_supports] = sym_value_supports,
    [sym_value_name] = sym_value_name,
    [sym_value_element] = sym_value_element,
    [sym_state_member] = sym_state_member,
    [sym_init_dcl] = sym_init_dcl,
    [sym_init_param_dcls] = sym_init_param_dcls,
    [sym_init_param_dcl] = sym_init_param_dcl,
    [sym_value_forward_dcl] = sym_value_forward_dcl,
    [sym_typedef_dcl] = sym_typedef_dcl,
    [sym_type_declarator] = sym_type_declarator,
    [sym_any_declarators] = sym_any_declarators,
    [sym_any_declarator] = sym_any_declarator,
    [sym_simple_declarator] = sym_simple_declarator,
    [sym_declarator] = sym_declarator,
    [sym_declarators] = sym_declarators,
    [sym_array_declarator] = sym_array_declarator,
    [sym_fixed_array_size] = sym_fixed_array_size,
    [sym_enum_dcl] = sym_enum_dcl,
    [sym_enumerator] = sym_enumerator,
    [sym_union_dcl] = sym_union_dcl,
    [sym_union_forward_dcl] = sym_union_forward_dcl,
    [sym_union_def] = sym_union_def,
    [sym_case] = sym_case,
    [sym_case_label] = sym_case_label,
    [sym_element_spec] = sym_element_spec,
    [sym_switch_type_spec] = sym_switch_type_spec,
    [sym_type_id_dcl] = sym_type_id_dcl,
    [sym_type_prefix_dcl] = sym_type_prefix_dcl,
    [sym_import_dcl] = sym_import_dcl,
    [sym_imported_scope] = sym_imported_scope,
    [sym_object_type] = sym_object_type,
    [sym_op_oneway_dcl] = sym_op_oneway_dcl,
    [sym_in_parameter_dcls] = sym_in_parameter_dcls,
    [sym_in_param_dcl] = sym_in_param_dcl,
    [sym_op_with_context] = sym_op_with_context,
    [sym_context_expr] = sym_context_expr,
    [sym_value_box_def] = sym_value_box_def,
    [sym_value_abs_def] = sym_value_abs_def,
    [sym_component_dcl] = sym_component_dcl,
    [sym_component_forward_dcl] = sym_component_forward_dcl,
    [sym_component_def] = sym_component_def,
    [sym_component_header] = sym_component_header,
    [sym_component_inheritance_spec] = sym_component_inheritance_spec,
    [sym_component_body] = sym_component_body,
    [sym_component_export] = sym_component_export,
    [sym_provides_dcl] = sym_provides_dcl,
    [sym_interface_type] = sym_interface_type,
    [sym_uses_dcl] = sym_uses_dcl,
    [sym_home_dcl] = sym_home_dcl,
    [sym_home_header] = sym_home_header,
    [sym_home_inheritance_spec] = sym_home_inheritance_spec,
    [sym_home_body] = sym_home_body,
    [sym_home_export] = sym_home_export,
    [sym_factory_dcl] = sym_factory_dcl,
    [sym_factory_param_dcls] = sym_factory_param_dcls,
    [sym_factory_param_dcl] = sym_factory_param_dcl,
    [sym_supported_interface_spec] = sym_supported_interface_spec,
    [sym_emits_dcl] = sym_emits_dcl,
    [sym_publishes_dcl] = sym_publishes_dcl,
    [sym_consumes_dcl] = sym_consumes_dcl,
    [sym_primary_key_spec] = sym_primary_key_spec,
    [sym_finder_dcl] = sym_finder_dcl,
    [sym_event_dcl] = sym_event_dcl,
    [sym_event_forward_dcl] = sym_event_forward_dcl,
    [sym_event_abs_def] = sym_event_abs_def,
    [sym_event_def] = sym_event_def,
    [sym_event_header] = sym_event_header,
    [sym_porttype_dcl] = sym_porttype_dcl,
    [sym_porttype_forward_dcl] = sym_porttype_forward_dcl,
    [sym_porttype_def] = sym_porttype_def,
    [sym_port_body] = sym_port_body,
    [sym_port_ref] = sym_port_ref,
    [sym_port_export] = sym_port_export,
    [sym_port_dcl] = sym_port_dcl,
    [sym_connector_dcl] = sym_connector_dcl,
    [sym_connector_header] = sym_connector_header,
    [sym_connector_inherit_spec] = sym_connector_inherit_spec,
    [sym_connector_export] = sym_connector_export,
    [sym_definition] = sym_definition,
    [sym_type_dcl] = sym_type_dcl,
    [sym_constr_type_dcl] = sym_constr_type_dcl,
    [sym_native_dcl] = sym_native_dcl,
    [sym_module_dcl] = sym_module_dcl,
    [sym_struct_dcl] = sym_struct_dcl,
    [sym_struct_forward_dcl] = sym_struct_forward_dcl,
    [sym_struct_def] = sym_struct_def,
    [sym_member] = sym_member,
    [sym_default] = sym_default,
    [sym_const_dcl] = sym_const_dcl,
    [sym_const_type] = sym_const_type,
    [sym_comment] = sym_comment,
    [aux_sym_specification_repeat1] = aux_sym_specification_repeat1,
    [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
    [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
    [aux_sym_except_dcl_repeat1] = aux_sym_except_dcl_repeat1,
    [aux_sym_interface_dcl_repeat1] = aux_sym_interface_dcl_repeat1,
    [aux_sym_interface_inheritance_spec_repeat1] = aux_sym_interface_inheritance_spec_repeat1,
    [aux_sym_interface_body_repeat1] = aux_sym_interface_body_repeat1,
    [aux_sym_parameter_dcls_repeat1] = aux_sym_parameter_dcls_repeat1,
    [aux_sym_raises_expr_repeat1] = aux_sym_raises_expr_repeat1,
    [aux_sym_readonly_attr_declarator_repeat1] = aux_sym_readonly_attr_declarator_repeat1,
    [aux_sym_bitset_dcl_repeat1] = aux_sym_bitset_dcl_repeat1,
    [aux_sym_bitfield_repeat1] = aux_sym_bitfield_repeat1,
    [aux_sym_bitmask_dcl_repeat1] = aux_sym_bitmask_dcl_repeat1,
    [aux_sym_annotation_dcl_repeat1] = aux_sym_annotation_dcl_repeat1,
    [aux_sym_annotation_appl_params_repeat1] = aux_sym_annotation_appl_params_repeat1,
    [aux_sym_annotation_appl_data_representation_repeat1] = aux_sym_annotation_appl_data_representation_repeat1,
    [aux_sym_template_module_dcl_repeat1] = aux_sym_template_module_dcl_repeat1,
    [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
    [aux_sym_actual_parameters_repeat1] = aux_sym_actual_parameters_repeat1,
    [aux_sym_formal_parameter_names_repeat1] = aux_sym_formal_parameter_names_repeat1,
    [aux_sym_value_def_repeat1] = aux_sym_value_def_repeat1,
    [aux_sym_value_inheritance_spec_repeat1] = aux_sym_value_inheritance_spec_repeat1,
    [aux_sym_init_param_dcls_repeat1] = aux_sym_init_param_dcls_repeat1,
    [aux_sym_any_declarators_repeat1] = aux_sym_any_declarators_repeat1,
    [aux_sym_declarators_repeat1] = aux_sym_declarators_repeat1,
    [aux_sym_array_declarator_repeat1] = aux_sym_array_declarator_repeat1,
    [aux_sym_enum_dcl_repeat1] = aux_sym_enum_dcl_repeat1,
    [aux_sym_union_def_repeat1] = aux_sym_union_def_repeat1,
    [aux_sym_case_repeat1] = aux_sym_case_repeat1,
    [aux_sym_in_parameter_dcls_repeat1] = aux_sym_in_parameter_dcls_repeat1,
    [aux_sym_context_expr_repeat1] = aux_sym_context_expr_repeat1,
    [aux_sym_component_body_repeat1] = aux_sym_component_body_repeat1,
    [aux_sym_home_body_repeat1] = aux_sym_home_body_repeat1,
    [aux_sym_factory_param_dcls_repeat1] = aux_sym_factory_param_dcls_repeat1,
    [aux_sym_port_body_repeat1] = aux_sym_port_body_repeat1,
    [aux_sym_connector_dcl_repeat1] = aux_sym_connector_dcl_repeat1,
    [aux_sym_module_dcl_repeat1] = aux_sym_module_dcl_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
    [ts_builtin_sym_end] = {
        .visible = false,
        .named = true,
    },
    [anon_sym_short] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_int16] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_long] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_int32] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_longlong] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_int64] = {
        .visible = true,
        .named = false,
    },
    [sym_unsigned_tiny_int] = {
        .visible = true,
        .named = true,
    },
    [sym_boolean_type] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_fixed] = {
        .visible = true,
        .named = false,
    },
    [sym_octet_type] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_tiny_int] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_unsignedshort] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_uint16] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_unsignedlong] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_uint32] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_unsignedlonglong] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_uint64] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_float] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_double] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_longdouble] = {
        .visible = true,
        .named = false,
    },
    [sym_char_type] = {
        .visible = true,
        .named = true,
    },
    [sym_wide_char_type] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_COLON_COLON] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_string] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_GT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_wstring] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_any] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_COMMA] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_sequence] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_map] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PIPE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_CARET] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_AMP] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_GT_GT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LT_LT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PLUS] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_DASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_STAR] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SLASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PERCENT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LPAREN] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RPAREN] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_TILDE] = {
        .visible = true,
        .named = false,
    },
    [sym_bin_number] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_oct_number_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_oct_number_token2] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_0] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_dec_number_token1] = {
        .visible = false,
        .named = false,
    },
    [sym_hex_number] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_DOT] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_floating_pt_literal_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_fixed_pt_literal_token1] = {
        .visible = false,
        .named = false,
    },
    [sym_escape_sequence] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_DQUOTE] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_string_literal_token1] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_L] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SQUOTE] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_char_literal_token1] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_TRUE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_FALSE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_POUNDdefine] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_preproc_define_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_preproc_call_token1] = {
        .visible = false,
        .named = false,
    },
    [sym_preproc_directive] = {
        .visible = true,
        .named = true,
    },
    [sym_preproc_arg] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_preproc_include_token1] = {
        .visible = true,
        .named = true,
    },
    [sym_system_lib_path] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_exception] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_local] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_abstract] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_interface] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_COLON] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SEMI] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_void] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_in] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_out] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_inout] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_raises] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_readonly] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_attribute] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_getraises] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_setraises] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_bitset] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_bitfield] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_bitmask] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ATannotation] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_default] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_AT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SLASH_SLASH_AT] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_extend_annotation_appl_token1] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_EQ] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_annotation_appl_id_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_autoid_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_autoid_kind_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_autoid_kind_token2] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_annotation_appl_optional_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_position_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_value_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_extensibility_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_extensibility_kind_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_extensibility_kind_token2] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_extensibility_kind_token3] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_annotation_appl_final_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_appendable_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_mutable_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_key_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_must_understand_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_default_literal_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_default_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_range_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_min_expr_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_max_expr_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_unit_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_bit_bound_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_external_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_nested_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_verbatim_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_verbatim_language_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_verbatim_language_token2] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_verbatim_language_token3] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_verbatim_language_token4] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_placement_kind_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_placement_kind_token2] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_placement_kind_token3] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_placement_kind_token4] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_placement_kind_token5] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_placement_kind_token6] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_annotation_appl_service_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_service_platform_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_service_platform_token2] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_annotation_appl_oneway_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_ami_token1] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_hashid] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_default_nested_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_ignore_literal_names_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_try_construct_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_try_construct_fail_action_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_try_construct_fail_action_token2] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_try_construct_fail_action_token3] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_annotation_appl_non_serialized_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_annotation_appl_data_representation_token1] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_data_representation_mask_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_data_representation_mask_token2] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_data_representation_mask_token3] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_data_representation_mask_token4] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_annotation_appl_topic_token1] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_module] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_typename] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_valuetype] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_eventtype] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_struct] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_union] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_enum] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_const] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_alias] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_custom] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_truncatable] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_supports] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_public] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_private] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_factory] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_typedef] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACK] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RBRACK] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_switch] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_case] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_typeid] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_typeprefix] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_import] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_Object] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_oneway] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_context] = {
        .visible = true,
        .named = false,
    },
    [sym_value_base_type] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_component] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_provides] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_uses] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_multiple] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_home] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_manages] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_emits] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_publishes] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_consumes] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_primarykey] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_finder] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_porttype] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_port] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_mirrorport] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_connector] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_native] = {
        .visible = true,
        .named = false,
    },
    [sym_identifier] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_SLASH_SLASH] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_comment_token1] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_SLASH_STAR] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_comment_token2] = {
        .visible = false,
        .named = false,
    },
    [sym_specification] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_short_int] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_long_int] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_longlong_int] = {
        .visible = true,
        .named = true,
    },
    [sym_unsigned_int] = {
        .visible = true,
        .named = true,
    },
    [sym_fixed_pt_const_type] = {
        .visible = true,
        .named = true,
    },
    [sym_integer_type] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_int] = {
        .visible = true,
        .named = true,
    },
    [sym_unsigned_short_int] = {
        .visible = true,
        .named = true,
    },
    [sym_unsigned_long_int] = {
        .visible = true,
        .named = true,
    },
    [sym_unsigned_longlong_int] = {
        .visible = true,
        .named = true,
    },
    [sym_floating_pt_type] = {
        .visible = true,
        .named = true,
    },
    [sym_scoped_name] = {
        .visible = true,
        .named = true,
    },
    [sym_string_type] = {
        .visible = true,
        .named = true,
    },
    [sym_wide_string_type] = {
        .visible = true,
        .named = true,
    },
    [sym_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_simple_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_base_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_any_type] = {
        .visible = true,
        .named = true,
    },
    [sym_fixed_pt_type] = {
        .visible = true,
        .named = true,
    },
    [sym_template_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_sequence_type] = {
        .visible = true,
        .named = true,
    },
    [sym_map_type] = {
        .visible = true,
        .named = true,
    },
    [sym_positive_int_const] = {
        .visible = true,
        .named = true,
    },
    [sym_const_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_or_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_xor_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_and_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_shift_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_add_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_mult_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_unary_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_primary_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_unary_operator] = {
        .visible = true,
        .named = true,
    },
    [sym_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_integer_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_integer_sign] = {
        .visible = true,
        .named = true,
    },
    [sym_oct_number] = {
        .visible = true,
        .named = true,
    },
    [sym_dec_number] = {
        .visible = true,
        .named = true,
    },
    [sym_floating_pt_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_fixed_pt_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_string_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_wide_string_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_char_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_wide_character_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_boolean_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_preproc_define] = {
        .visible = true,
        .named = true,
    },
    [sym_preproc_call] = {
        .visible = true,
        .named = true,
    },
    [sym_preproc_include] = {
        .visible = true,
        .named = true,
    },
    [sym_system_lib_string] = {
        .visible = true,
        .named = true,
    },
    [sym_except_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_def] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_header] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_inheritance_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_name] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_body] = {
        .visible = true,
        .named = true,
    },
    [sym_export] = {
        .visible = true,
        .named = true,
    },
    [sym_op_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_op_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_parameter_dcls] = {
        .visible = true,
        .named = true,
    },
    [sym_param_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_param_attribute] = {
        .visible = true,
        .named = true,
    },
    [sym_raises_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_attr_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_readonly_attr_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_readonly_attr_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_attr_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_attr_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_attr_raises_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_get_excep_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_set_excep_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_exception_list] = {
        .visible = true,
        .named = true,
    },
    [sym_bitset_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_bitfield] = {
        .visible = true,
        .named = true,
    },
    [sym_bitfield_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_destination_type] = {
        .visible = true,
        .named = true,
    },
    [sym_bitmask_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_bit_value] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_body] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_member] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_member_type] = {
        .visible = true,
        .named = true,
    },
    [sym_any_const_type] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl] = {
        .visible = true,
        .named = true,
    },
    [sym_extend_annotation_appl] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_custom_body] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_params] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_param] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_builtin_body] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_id] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_autoid] = {
        .visible = true,
        .named = true,
    },
    [sym_autoid_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_optional] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_position] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_value] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_extensibility] = {
        .visible = true,
        .named = true,
    },
    [sym_extensibility_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_final] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_appendable] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_mutable] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_key] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_must_understand] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_default_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_default] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_range] = {
        .visible = true,
        .named = true,
    },
    [sym_min_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_max_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_min] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_max] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_unit] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_bit_bound] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_external] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_nested] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_verbatim] = {
        .visible = true,
        .named = true,
    },
    [sym_verbatim_language] = {
        .visible = true,
        .named = true,
    },
    [sym_placement_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_service] = {
        .visible = true,
        .named = true,
    },
    [sym_service_platform] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_oneway] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_ami] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_hashid] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_default_nested] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_ignore_literal_names] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_try_construct] = {
        .visible = true,
        .named = true,
    },
    [sym_try_construct_fail_action] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_non_serialized] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_data_representation] = {
        .visible = true,
        .named = true,
    },
    [sym_data_representation_mask] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_topic] = {
        .visible = true,
        .named = true,
    },
    [sym_topic_platform] = {
        .visible = true,
        .named = true,
    },
    [sym_template_module_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_formal_parameters] = {
        .visible = true,
        .named = true,
    },
    [sym_formal_parameter] = {
        .visible = true,
        .named = true,
    },
    [sym_formal_parameter_type] = {
        .visible = true,
        .named = true,
    },
    [sym_tpl_definition] = {
        .visible = true,
        .named = true,
    },
    [sym_template_module_inst] = {
        .visible = true,
        .named = true,
    },
    [sym_actual_parameters] = {
        .visible = true,
        .named = true,
    },
    [sym_actual_parameter] = {
        .visible = true,
        .named = true,
    },
    [sym_template_module_ref] = {
        .visible = true,
        .named = true,
    },
    [sym_formal_parameter_names] = {
        .visible = true,
        .named = true,
    },
    [sym_value_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_value_def] = {
        .visible = true,
        .named = true,
    },
    [sym_value_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_value_header] = {
        .visible = true,
        .named = true,
    },
    [sym_value_inheritance_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_value_inheritance] = {
        .visible = true,
        .named = true,
    },
    [sym_value_supports] = {
        .visible = true,
        .named = true,
    },
    [sym_value_name] = {
        .visible = true,
        .named = true,
    },
    [sym_value_element] = {
        .visible = true,
        .named = true,
    },
    [sym_state_member] = {
        .visible = true,
        .named = true,
    },
    [sym_init_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_init_param_dcls] = {
        .visible = true,
        .named = true,
    },
    [sym_init_param_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_value_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_typedef_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_type_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_any_declarators] = {
        .visible = true,
        .named = true,
    },
    [sym_any_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_simple_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_declarators] = {
        .visible = true,
        .named = true,
    },
    [sym_array_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_fixed_array_size] = {
        .visible = true,
        .named = true,
    },
    [sym_enum_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_enumerator] = {
        .visible = true,
        .named = true,
    },
    [sym_union_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_union_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_union_def] = {
        .visible = true,
        .named = true,
    },
    [sym_case] = {
        .visible = true,
        .named = true,
    },
    [sym_case_label] = {
        .visible = true,
        .named = true,
    },
    [sym_element_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_switch_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_type_id_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_type_prefix_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_import_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_imported_scope] = {
        .visible = true,
        .named = true,
    },
    [sym_object_type] = {
        .visible = true,
        .named = true,
    },
    [sym_op_oneway_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_in_parameter_dcls] = {
        .visible = true,
        .named = true,
    },
    [sym_in_param_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_op_with_context] = {
        .visible = true,
        .named = true,
    },
    [sym_context_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_value_box_def] = {
        .visible = true,
        .named = true,
    },
    [sym_value_abs_def] = {
        .visible = true,
        .named = true,
    },
    [sym_component_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_component_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_component_def] = {
        .visible = true,
        .named = true,
    },
    [sym_component_header] = {
        .visible = true,
        .named = true,
    },
    [sym_component_inheritance_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_component_body] = {
        .visible = true,
        .named = true,
    },
    [sym_component_export] = {
        .visible = true,
        .named = true,
    },
    [sym_provides_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_type] = {
        .visible = true,
        .named = true,
    },
    [sym_uses_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_home_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_home_header] = {
        .visible = true,
        .named = true,
    },
    [sym_home_inheritance_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_home_body] = {
        .visible = true,
        .named = true,
    },
    [sym_home_export] = {
        .visible = true,
        .named = true,
    },
    [sym_factory_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_factory_param_dcls] = {
        .visible = true,
        .named = true,
    },
    [sym_factory_param_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_supported_interface_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_emits_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_publishes_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_consumes_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_primary_key_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_finder_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_event_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_event_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_event_abs_def] = {
        .visible = true,
        .named = true,
    },
    [sym_event_def] = {
        .visible = true,
        .named = true,
    },
    [sym_event_header] = {
        .visible = true,
        .named = true,
    },
    [sym_porttype_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_porttype_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_porttype_def] = {
        .visible = true,
        .named = true,
    },
    [sym_port_body] = {
        .visible = true,
        .named = true,
    },
    [sym_port_ref] = {
        .visible = true,
        .named = true,
    },
    [sym_port_export] = {
        .visible = true,
        .named = true,
    },
    [sym_port_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_connector_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_connector_header] = {
        .visible = true,
        .named = true,
    },
    [sym_connector_inherit_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_connector_export] = {
        .visible = true,
        .named = true,
    },
    [sym_definition] = {
        .visible = true,
        .named = true,
    },
    [sym_type_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_constr_type_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_native_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_module_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_struct_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_struct_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_struct_def] = {
        .visible = true,
        .named = true,
    },
    [sym_member] = {
        .visible = true,
        .named = true,
    },
    [sym_default] = {
        .visible = true,
        .named = true,
    },
    [sym_const_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_const_type] = {
        .visible = true,
        .named = true,
    },
    [sym_comment] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_specification_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_string_literal_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_char_literal_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_except_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_interface_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_interface_inheritance_spec_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_interface_body_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_parameter_dcls_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_raises_expr_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_readonly_attr_declarator_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_bitset_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_bitfield_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_bitmask_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_annotation_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_annotation_appl_params_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_annotation_appl_data_representation_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_template_module_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_formal_parameters_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_actual_parameters_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_formal_parameter_names_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_value_def_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_value_inheritance_spec_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_init_param_dcls_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_any_declarators_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_declarators_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_array_declarator_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_enum_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_union_def_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_case_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_in_parameter_dcls_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_context_expr_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_component_body_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_home_body_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_factory_param_dcls_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_port_body_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_connector_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_module_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
};

enum ts_field_identifiers {
    field_argument = 1,
    field_directive = 2,
    field_identifier = 3,
    field_language = 4,
    field_max = 5,
    field_min = 6,
    field_name = 7,
    field_parent = 8,
    field_path = 9,
    field_placement = 10,
    field_platform = 11,
    field_text = 12,
    field_type = 13,
};

static const char *const ts_field_names[] = {
    [0] = NULL,
    [field_argument] = "argument",
    [field_directive] = "directive",
    [field_identifier] = "identifier",
    [field_language] = "language",
    [field_max] = "max",
    [field_min] = "min",
    [field_name] = "name",
    [field_parent] = "parent",
    [field_path] = "path",
    [field_placement] = "placement",
    [field_platform] = "platform",
    [field_text] = "text",
    [field_type] = "type",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
    [1] = { .index = 0, .length = 1 },
    [2] = { .index = 1, .length = 1 },
    [3] = { .index = 2, .length = 2 },
    [4] = { .index = 4, .length = 1 },
    [5] = { .index = 1, .length = 1 },
    [6] = { .index = 5, .length = 2 },
    [7] = { .index = 7, .length = 2 },
    [8] = { .index = 9, .length = 2 },
    [9] = { .index = 11, .length = 2 },
    [10] = { .index = 13, .length = 1 },
    [11] = { .index = 14, .length = 2 },
    [12] = { .index = 16, .length = 3 },
    [13] = { .index = 19, .length = 4 },
    [14] = { .index = 23, .length = 4 },
    [15] = { .index = 27, .length = 3 },
    [16] = { .index = 30, .length = 6 },
};

static const TSFieldMapEntry ts_field_map_entries[] = {
    [0] = { field_directive, 0 },
    [1] = { field_name, 0 },
    [2] = { field_argument, 1 },
    { field_directive, 0 },
    [4] = { field_path, 1 },
    [5] = { field_name, 0 },
    { field_text, 2 },
    [7] = { field_name, 0 },
    { field_name, 2 },
    [9] = { field_name, 0 },
    { field_platform, 2 },
    [11] = { field_identifier, 1 },
    { field_type, 0 },
    [13] = { field_parent, 3 },
    [14] = { field_identifier, 2 },
    { field_type, 1 },
    [16] = { field_max, 4 },
    { field_min, 2 },
    { field_name, 0 },
    [19] = { field_language, 2 },
    { field_language, 3 },
    { field_name, 0 },
    { field_text, 4 },
    [23] = { field_name, 0 },
    { field_placement, 2 },
    { field_placement, 3 },
    { field_text, 4 },
    [27] = { field_name, 0 },
    { field_name, 2 },
    { field_platform, 4 },
    [30] = { field_language, 2 },
    { field_language, 3 },
    { field_name, 0 },
    { field_placement, 4 },
    { field_placement, 5 },
    { field_text, 6 },
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
    [0] = { 0 },
    [5] = {
        [0] = aux_sym_annotation_appl_id_token1,
    },
};

static const uint16_t ts_non_terminal_alias_map[] = {
    0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
    [0] = 0,
    [1] = 1,
    [2] = 2,
    [3] = 3,
    [4] = 4,
    [5] = 5,
    [6] = 6,
    [7] = 7,
    [8] = 8,
    [9] = 9,
    [10] = 10,
    [11] = 11,
    [12] = 12,
    [13] = 13,
    [14] = 14,
    [15] = 15,
    [16] = 16,
    [17] = 17,
    [18] = 18,
    [19] = 19,
    [20] = 20,
    [21] = 21,
    [22] = 22,
    [23] = 23,
    [24] = 24,
    [25] = 25,
    [26] = 26,
    [27] = 27,
    [28] = 28,
    [29] = 29,
    [30] = 30,
    [31] = 31,
    [32] = 32,
    [33] = 33,
    [34] = 32,
    [35] = 32,
    [36] = 32,
    [37] = 33,
    [38] = 33,
    [39] = 33,
    [40] = 40,
    [41] = 41,
    [42] = 42,
    [43] = 43,
    [44] = 44,
    [45] = 45,
    [46] = 46,
    [47] = 47,
    [48] = 48,
    [49] = 49,
    [50] = 50,
    [51] = 51,
    [52] = 52,
    [53] = 53,
    [54] = 54,
    [55] = 55,
    [56] = 56,
    [57] = 57,
    [58] = 58,
    [59] = 59,
    [60] = 60,
    [61] = 61,
    [62] = 62,
    [63] = 63,
    [64] = 64,
    [65] = 65,
    [66] = 66,
    [67] = 63,
    [68] = 68,
    [69] = 69,
    [70] = 70,
    [71] = 71,
    [72] = 72,
    [73] = 69,
    [74] = 74,
    [75] = 75,
    [76] = 69,
    [77] = 77,
    [78] = 69,
    [79] = 79,
    [80] = 80,
    [81] = 81,
    [82] = 82,
    [83] = 63,
    [84] = 84,
    [85] = 85,
    [86] = 85,
    [87] = 85,
    [88] = 85,
    [89] = 89,
    [90] = 90,
    [91] = 90,
    [92] = 90,
    [93] = 93,
    [94] = 90,
    [95] = 93,
    [96] = 93,
    [97] = 93,
    [98] = 98,
    [99] = 99,
    [100] = 99,
    [101] = 99,
    [102] = 102,
    [103] = 99,
    [104] = 104,
    [105] = 105,
    [106] = 106,
    [107] = 107,
    [108] = 108,
    [109] = 109,
    [110] = 110,
    [111] = 111,
    [112] = 112,
    [113] = 113,
    [114] = 114,
    [115] = 115,
    [116] = 116,
    [117] = 117,
    [118] = 112,
    [119] = 106,
    [120] = 109,
    [121] = 121,
    [122] = 110,
    [123] = 121,
    [124] = 116,
    [125] = 115,
    [126] = 111,
    [127] = 121,
    [128] = 116,
    [129] = 129,
    [130] = 111,
    [131] = 115,
    [132] = 110,
    [133] = 133,
    [134] = 109,
    [135] = 106,
    [136] = 112,
    [137] = 106,
    [138] = 109,
    [139] = 110,
    [140] = 111,
    [141] = 121,
    [142] = 116,
    [143] = 115,
    [144] = 144,
    [145] = 112,
    [146] = 146,
    [147] = 147,
    [148] = 148,
    [149] = 149,
    [150] = 150,
    [151] = 151,
    [152] = 152,
    [153] = 150,
    [154] = 154,
    [155] = 155,
    [156] = 156,
    [157] = 157,
    [158] = 147,
    [159] = 159,
    [160] = 160,
    [161] = 161,
    [162] = 159,
    [163] = 163,
    [164] = 164,
    [165] = 165,
    [166] = 161,
    [167] = 146,
    [168] = 154,
    [169] = 160,
    [170] = 148,
    [171] = 151,
    [172] = 150,
    [173] = 154,
    [174] = 155,
    [175] = 157,
    [176] = 147,
    [177] = 155,
    [178] = 161,
    [179] = 179,
    [180] = 148,
    [181] = 181,
    [182] = 159,
    [183] = 160,
    [184] = 146,
    [185] = 160,
    [186] = 157,
    [187] = 147,
    [188] = 157,
    [189] = 146,
    [190] = 151,
    [191] = 191,
    [192] = 148,
    [193] = 159,
    [194] = 155,
    [195] = 154,
    [196] = 150,
    [197] = 161,
    [198] = 151,
    [199] = 199,
    [200] = 200,
    [201] = 201,
    [202] = 202,
    [203] = 203,
    [204] = 204,
    [205] = 205,
    [206] = 206,
    [207] = 207,
    [208] = 208,
    [209] = 209,
    [210] = 210,
    [211] = 211,
    [212] = 212,
    [213] = 213,
    [214] = 214,
    [215] = 215,
    [216] = 216,
    [217] = 217,
    [218] = 218,
    [219] = 219,
    [220] = 220,
    [221] = 221,
    [222] = 222,
    [223] = 223,
    [224] = 224,
    [225] = 225,
    [226] = 226,
    [227] = 227,
    [228] = 228,
    [229] = 229,
    [230] = 230,
    [231] = 231,
    [232] = 232,
    [233] = 233,
    [234] = 234,
    [235] = 235,
    [236] = 236,
    [237] = 237,
    [238] = 238,
    [239] = 239,
    [240] = 240,
    [241] = 241,
    [242] = 242,
    [243] = 243,
    [244] = 244,
    [245] = 245,
    [246] = 246,
    [247] = 247,
    [248] = 248,
    [249] = 249,
    [250] = 250,
    [251] = 251,
    [252] = 252,
    [253] = 253,
    [254] = 254,
    [255] = 255,
    [256] = 256,
    [257] = 257,
    [258] = 258,
    [259] = 259,
    [260] = 260,
    [261] = 261,
    [262] = 262,
    [263] = 263,
    [264] = 264,
    [265] = 265,
    [266] = 266,
    [267] = 267,
    [268] = 268,
    [269] = 269,
    [270] = 270,
    [271] = 271,
    [272] = 272,
    [273] = 273,
    [274] = 274,
    [275] = 275,
    [276] = 276,
    [277] = 277,
    [278] = 278,
    [279] = 279,
    [280] = 280,
    [281] = 281,
    [282] = 282,
    [283] = 283,
    [284] = 284,
    [285] = 285,
    [286] = 286,
    [287] = 287,
    [288] = 288,
    [289] = 289,
    [290] = 290,
    [291] = 291,
    [292] = 292,
    [293] = 293,
    [294] = 294,
    [295] = 295,
    [296] = 296,
    [297] = 297,
    [298] = 298,
    [299] = 299,
    [300] = 300,
    [301] = 301,
    [302] = 302,
    [303] = 303,
    [304] = 304,
    [305] = 232,
    [306] = 231,
    [307] = 307,
    [308] = 308,
    [309] = 227,
    [310] = 310,
    [311] = 311,
    [312] = 312,
    [313] = 313,
    [314] = 314,
    [315] = 315,
    [316] = 316,
    [317] = 317,
    [318] = 318,
    [319] = 319,
    [320] = 320,
    [321] = 321,
    [322] = 322,
    [323] = 323,
    [324] = 324,
    [325] = 325,
    [326] = 326,
    [327] = 327,
    [328] = 328,
    [329] = 329,
    [330] = 330,
    [331] = 331,
    [332] = 332,
    [333] = 333,
    [334] = 334,
    [335] = 335,
    [336] = 336,
    [337] = 337,
    [338] = 338,
    [339] = 339,
    [340] = 340,
    [341] = 341,
    [342] = 342,
    [343] = 343,
    [344] = 202,
    [345] = 345,
    [346] = 220,
    [347] = 232,
    [348] = 227,
    [349] = 231,
    [350] = 212,
    [351] = 226,
    [352] = 352,
    [353] = 353,
    [354] = 208,
    [355] = 224,
    [356] = 228,
    [357] = 229,
    [358] = 358,
    [359] = 230,
    [360] = 234,
    [361] = 225,
    [362] = 223,
    [363] = 221,
    [364] = 217,
    [365] = 365,
    [366] = 216,
    [367] = 214,
    [368] = 211,
    [369] = 240,
    [370] = 237,
    [371] = 371,
    [372] = 282,
    [373] = 271,
    [374] = 265,
    [375] = 269,
    [376] = 256,
    [377] = 270,
    [378] = 222,
    [379] = 371,
    [380] = 274,
    [381] = 275,
    [382] = 276,
    [383] = 277,
    [384] = 278,
    [385] = 279,
    [386] = 280,
    [387] = 281,
    [388] = 235,
    [389] = 260,
    [390] = 258,
    [391] = 255,
    [392] = 254,
    [393] = 371,
    [394] = 253,
    [395] = 252,
    [396] = 251,
    [397] = 259,
    [398] = 242,
    [399] = 241,
    [400] = 249,
    [401] = 257,
    [402] = 261,
    [403] = 244,
    [404] = 238,
    [405] = 239,
    [406] = 219,
    [407] = 243,
    [408] = 267,
    [409] = 371,
    [410] = 264,
    [411] = 263,
    [412] = 236,
    [413] = 246,
    [414] = 248,
    [415] = 245,
    [416] = 247,
    [417] = 268,
    [418] = 250,
    [419] = 273,
    [420] = 272,
    [421] = 266,
    [422] = 422,
    [423] = 423,
    [424] = 424,
    [425] = 425,
    [426] = 426,
    [427] = 232,
    [428] = 231,
    [429] = 429,
    [430] = 430,
    [431] = 431,
    [432] = 227,
    [433] = 433,
    [434] = 434,
    [435] = 435,
    [436] = 436,
    [437] = 437,
    [438] = 438,
    [439] = 439,
    [440] = 440,
    [441] = 441,
    [442] = 442,
    [443] = 443,
    [444] = 444,
    [445] = 445,
    [446] = 446,
    [447] = 447,
    [448] = 448,
    [449] = 449,
    [450] = 450,
    [451] = 451,
    [452] = 452,
    [453] = 453,
    [454] = 454,
    [455] = 455,
    [456] = 456,
    [457] = 457,
    [458] = 202,
    [459] = 459,
    [460] = 459,
    [461] = 461,
    [462] = 462,
    [463] = 457,
    [464] = 464,
    [465] = 457,
    [466] = 466,
    [467] = 467,
    [468] = 459,
    [469] = 469,
    [470] = 470,
    [471] = 471,
    [472] = 202,
    [473] = 457,
    [474] = 474,
    [475] = 459,
    [476] = 476,
    [477] = 477,
    [478] = 478,
    [479] = 479,
    [480] = 480,
    [481] = 481,
    [482] = 482,
    [483] = 483,
    [484] = 484,
    [485] = 485,
    [486] = 486,
    [487] = 487,
    [488] = 479,
    [489] = 489,
    [490] = 490,
    [491] = 232,
    [492] = 231,
    [493] = 493,
    [494] = 220,
    [495] = 227,
    [496] = 496,
    [497] = 497,
    [498] = 498,
    [499] = 479,
    [500] = 500,
    [501] = 232,
    [502] = 502,
    [503] = 503,
    [504] = 504,
    [505] = 231,
    [506] = 227,
    [507] = 507,
    [508] = 220,
    [509] = 509,
    [510] = 510,
    [511] = 511,
    [512] = 512,
    [513] = 513,
    [514] = 514,
    [515] = 479,
    [516] = 223,
    [517] = 517,
    [518] = 224,
    [519] = 519,
    [520] = 221,
    [521] = 521,
    [522] = 522,
    [523] = 226,
    [524] = 524,
    [525] = 525,
    [526] = 526,
    [527] = 527,
    [528] = 528,
    [529] = 529,
    [530] = 225,
    [531] = 234,
    [532] = 230,
    [533] = 533,
    [534] = 228,
    [535] = 229,
    [536] = 536,
    [537] = 537,
    [538] = 229,
    [539] = 211,
    [540] = 228,
    [541] = 226,
    [542] = 224,
    [543] = 208,
    [544] = 208,
    [545] = 217,
    [546] = 216,
    [547] = 547,
    [548] = 548,
    [549] = 549,
    [550] = 214,
    [551] = 551,
    [552] = 552,
    [553] = 553,
    [554] = 551,
    [555] = 553,
    [556] = 556,
    [557] = 557,
    [558] = 558,
    [559] = 559,
    [560] = 560,
    [561] = 553,
    [562] = 562,
    [563] = 563,
    [564] = 552,
    [565] = 230,
    [566] = 566,
    [567] = 521,
    [568] = 568,
    [569] = 547,
    [570] = 570,
    [571] = 571,
    [572] = 572,
    [573] = 573,
    [574] = 574,
    [575] = 234,
    [576] = 225,
    [577] = 577,
    [578] = 578,
    [579] = 223,
    [580] = 580,
    [581] = 521,
    [582] = 519,
    [583] = 583,
    [584] = 584,
    [585] = 585,
    [586] = 586,
    [587] = 587,
    [588] = 588,
    [589] = 221,
    [590] = 590,
    [591] = 533,
    [592] = 592,
    [593] = 593,
    [594] = 553,
    [595] = 595,
    [596] = 596,
    [597] = 597,
    [598] = 598,
    [599] = 519,
    [600] = 600,
    [601] = 551,
    [602] = 602,
    [603] = 217,
    [604] = 604,
    [605] = 605,
    [606] = 606,
    [607] = 212,
    [608] = 608,
    [609] = 609,
    [610] = 610,
    [611] = 611,
    [612] = 612,
    [613] = 551,
    [614] = 614,
    [615] = 615,
    [616] = 211,
    [617] = 216,
    [618] = 618,
    [619] = 521,
    [620] = 620,
    [621] = 621,
    [622] = 212,
    [623] = 623,
    [624] = 624,
    [625] = 519,
    [626] = 214,
    [627] = 264,
    [628] = 628,
    [629] = 629,
    [630] = 272,
    [631] = 273,
    [632] = 632,
    [633] = 274,
    [634] = 634,
    [635] = 275,
    [636] = 276,
    [637] = 637,
    [638] = 638,
    [639] = 277,
    [640] = 640,
    [641] = 641,
    [642] = 642,
    [643] = 278,
    [644] = 644,
    [645] = 634,
    [646] = 279,
    [647] = 280,
    [648] = 281,
    [649] = 649,
    [650] = 235,
    [651] = 260,
    [652] = 258,
    [653] = 255,
    [654] = 654,
    [655] = 655,
    [656] = 254,
    [657] = 657,
    [658] = 658,
    [659] = 659,
    [660] = 660,
    [661] = 253,
    [662] = 252,
    [663] = 251,
    [664] = 259,
    [665] = 665,
    [666] = 242,
    [667] = 573,
    [668] = 241,
    [669] = 669,
    [670] = 237,
    [671] = 634,
    [672] = 257,
    [673] = 673,
    [674] = 244,
    [675] = 675,
    [676] = 238,
    [677] = 239,
    [678] = 678,
    [679] = 679,
    [680] = 680,
    [681] = 240,
    [682] = 644,
    [683] = 243,
    [684] = 684,
    [685] = 236,
    [686] = 246,
    [687] = 687,
    [688] = 248,
    [689] = 689,
    [690] = 690,
    [691] = 691,
    [692] = 692,
    [693] = 693,
    [694] = 694,
    [695] = 219,
    [696] = 261,
    [697] = 269,
    [698] = 698,
    [699] = 270,
    [700] = 222,
    [701] = 701,
    [702] = 644,
    [703] = 692,
    [704] = 256,
    [705] = 705,
    [706] = 692,
    [707] = 707,
    [708] = 249,
    [709] = 709,
    [710] = 710,
    [711] = 265,
    [712] = 634,
    [713] = 266,
    [714] = 714,
    [715] = 715,
    [716] = 716,
    [717] = 247,
    [718] = 718,
    [719] = 250,
    [720] = 572,
    [721] = 721,
    [722] = 658,
    [723] = 723,
    [724] = 724,
    [725] = 659,
    [726] = 726,
    [727] = 727,
    [728] = 728,
    [729] = 729,
    [730] = 644,
    [731] = 731,
    [732] = 732,
    [733] = 733,
    [734] = 734,
    [735] = 692,
    [736] = 707,
    [737] = 737,
    [738] = 738,
    [739] = 739,
    [740] = 740,
    [741] = 245,
    [742] = 742,
    [743] = 743,
    [744] = 744,
    [745] = 745,
    [746] = 746,
    [747] = 747,
    [748] = 748,
    [749] = 749,
    [750] = 263,
    [751] = 751,
    [752] = 264,
    [753] = 267,
    [754] = 271,
    [755] = 755,
    [756] = 282,
    [757] = 247,
    [758] = 758,
    [759] = 759,
    [760] = 760,
    [761] = 250,
    [762] = 265,
    [763] = 266,
    [764] = 764,
    [765] = 765,
    [766] = 268,
    [767] = 272,
    [768] = 273,
    [769] = 274,
    [770] = 770,
    [771] = 275,
    [772] = 276,
    [773] = 277,
    [774] = 278,
    [775] = 775,
    [776] = 776,
    [777] = 777,
    [778] = 778,
    [779] = 779,
    [780] = 780,
    [781] = 781,
    [782] = 279,
    [783] = 280,
    [784] = 281,
    [785] = 235,
    [786] = 260,
    [787] = 787,
    [788] = 282,
    [789] = 789,
    [790] = 790,
    [791] = 258,
    [792] = 255,
    [793] = 793,
    [794] = 794,
    [795] = 795,
    [796] = 254,
    [797] = 797,
    [798] = 798,
    [799] = 253,
    [800] = 268,
    [801] = 271,
    [802] = 267,
    [803] = 252,
    [804] = 251,
    [805] = 805,
    [806] = 263,
    [807] = 259,
    [808] = 242,
    [809] = 707,
    [810] = 810,
    [811] = 245,
    [812] = 812,
    [813] = 241,
    [814] = 814,
    [815] = 815,
    [816] = 816,
    [817] = 817,
    [818] = 237,
    [819] = 819,
    [820] = 257,
    [821] = 244,
    [822] = 238,
    [823] = 239,
    [824] = 240,
    [825] = 243,
    [826] = 236,
    [827] = 827,
    [828] = 246,
    [829] = 248,
    [830] = 830,
    [831] = 831,
    [832] = 219,
    [833] = 833,
    [834] = 834,
    [835] = 835,
    [836] = 836,
    [837] = 261,
    [838] = 738,
    [839] = 839,
    [840] = 269,
    [841] = 270,
    [842] = 842,
    [843] = 222,
    [844] = 844,
    [845] = 845,
    [846] = 846,
    [847] = 847,
    [848] = 848,
    [849] = 849,
    [850] = 850,
    [851] = 256,
    [852] = 852,
    [853] = 853,
    [854] = 249,
    [855] = 855,
    [856] = 856,
    [857] = 857,
    [858] = 858,
    [859] = 859,
    [860] = 860,
    [861] = 861,
    [862] = 862,
    [863] = 863,
    [864] = 864,
    [865] = 865,
    [866] = 866,
    [867] = 867,
    [868] = 868,
    [869] = 869,
    [870] = 870,
    [871] = 871,
    [872] = 872,
    [873] = 873,
    [874] = 874,
    [875] = 875,
    [876] = 876,
    [877] = 877,
    [878] = 878,
    [879] = 879,
    [880] = 880,
    [881] = 881,
    [882] = 882,
    [883] = 883,
    [884] = 884,
    [885] = 885,
    [886] = 886,
    [887] = 887,
    [888] = 888,
    [889] = 889,
    [890] = 890,
    [891] = 891,
    [892] = 892,
    [893] = 893,
    [894] = 894,
    [895] = 895,
    [896] = 896,
    [897] = 897,
    [898] = 898,
    [899] = 899,
    [900] = 900,
    [901] = 901,
    [902] = 902,
    [903] = 903,
    [904] = 904,
    [905] = 905,
    [906] = 906,
    [907] = 907,
    [908] = 908,
    [909] = 909,
    [910] = 910,
    [911] = 911,
    [912] = 912,
    [913] = 913,
    [914] = 914,
    [915] = 915,
    [916] = 916,
    [917] = 917,
    [918] = 918,
    [919] = 919,
    [920] = 920,
    [921] = 921,
    [922] = 922,
    [923] = 923,
    [924] = 924,
    [925] = 925,
    [926] = 926,
    [927] = 927,
    [928] = 928,
    [929] = 929,
    [930] = 930,
    [931] = 931,
    [932] = 920,
    [933] = 933,
    [934] = 920,
    [935] = 935,
    [936] = 247,
    [937] = 937,
    [938] = 938,
    [939] = 939,
    [940] = 940,
    [941] = 941,
    [942] = 942,
    [943] = 920,
    [944] = 944,
    [945] = 945,
    [946] = 946,
    [947] = 947,
    [948] = 948,
    [949] = 949,
    [950] = 950,
    [951] = 922,
    [952] = 952,
    [953] = 953,
    [954] = 954,
    [955] = 955,
    [956] = 956,
    [957] = 957,
    [958] = 958,
    [959] = 959,
    [960] = 960,
    [961] = 961,
    [962] = 922,
    [963] = 963,
    [964] = 964,
    [965] = 965,
    [966] = 966,
    [967] = 967,
    [968] = 968,
    [969] = 922,
    [970] = 970,
    [971] = 914,
    [972] = 914,
    [973] = 914,
    [974] = 974,
    [975] = 975,
    [976] = 976,
    [977] = 977,
    [978] = 978,
    [979] = 979,
    [980] = 980,
    [981] = 981,
    [982] = 982,
    [983] = 983,
    [984] = 984,
    [985] = 985,
    [986] = 986,
    [987] = 987,
    [988] = 988,
    [989] = 989,
    [990] = 990,
    [991] = 991,
    [992] = 992,
    [993] = 993,
    [994] = 994,
    [995] = 995,
    [996] = 996,
    [997] = 997,
    [998] = 998,
    [999] = 999,
    [1000] = 250,
    [1001] = 1001,
    [1002] = 1002,
    [1003] = 1003,
    [1004] = 975,
    [1005] = 1005,
    [1006] = 1006,
    [1007] = 1007,
    [1008] = 1008,
    [1009] = 1009,
    [1010] = 1010,
    [1011] = 1011,
    [1012] = 1012,
    [1013] = 1013,
    [1014] = 1014,
    [1015] = 1015,
    [1016] = 1016,
    [1017] = 1017,
    [1018] = 1018,
    [1019] = 1019,
    [1020] = 1020,
    [1021] = 1021,
    [1022] = 1022,
    [1023] = 1023,
    [1024] = 1024,
    [1025] = 1025,
    [1026] = 1026,
    [1027] = 1027,
    [1028] = 320,
    [1029] = 1029,
    [1030] = 1030,
    [1031] = 1031,
    [1032] = 1032,
    [1033] = 1033,
    [1034] = 1034,
    [1035] = 1035,
    [1036] = 1036,
    [1037] = 1037,
    [1038] = 1038,
    [1039] = 1039,
    [1040] = 1040,
    [1041] = 1041,
    [1042] = 1042,
    [1043] = 1043,
    [1044] = 1044,
    [1045] = 1045,
    [1046] = 1046,
    [1047] = 1047,
    [1048] = 1048,
    [1049] = 1049,
    [1050] = 1050,
    [1051] = 1051,
    [1052] = 1052,
    [1053] = 1053,
    [1054] = 1054,
    [1055] = 1055,
    [1056] = 1056,
    [1057] = 1057,
    [1058] = 1058,
    [1059] = 1059,
    [1060] = 1060,
    [1061] = 1061,
    [1062] = 1062,
    [1063] = 1063,
    [1064] = 1064,
    [1065] = 1065,
    [1066] = 1066,
    [1067] = 1067,
    [1068] = 1068,
    [1069] = 1069,
    [1070] = 1070,
    [1071] = 1071,
    [1072] = 1072,
    [1073] = 1073,
    [1074] = 1074,
    [1075] = 1075,
    [1076] = 1076,
    [1077] = 1077,
    [1078] = 1078,
    [1079] = 1079,
    [1080] = 1080,
    [1081] = 1081,
    [1082] = 1082,
    [1083] = 1083,
    [1084] = 1084,
    [1085] = 1085,
    [1086] = 1086,
    [1087] = 1087,
    [1088] = 1088,
    [1089] = 1089,
    [1090] = 1090,
    [1091] = 1091,
    [1092] = 1092,
    [1093] = 1093,
    [1094] = 1094,
    [1095] = 1095,
    [1096] = 1096,
    [1097] = 1097,
    [1098] = 1098,
    [1099] = 1099,
    [1100] = 1100,
    [1101] = 1101,
    [1102] = 1102,
    [1103] = 1103,
    [1104] = 1104,
    [1105] = 1105,
    [1106] = 1106,
    [1107] = 1107,
    [1108] = 1108,
    [1109] = 1109,
    [1110] = 1110,
    [1111] = 1111,
    [1112] = 1112,
    [1113] = 1113,
    [1114] = 1114,
    [1115] = 1115,
    [1116] = 1116,
    [1117] = 1117,
    [1118] = 1118,
    [1119] = 1119,
    [1120] = 1120,
    [1121] = 1121,
    [1122] = 1122,
    [1123] = 1123,
    [1124] = 1124,
    [1125] = 1125,
    [1126] = 1126,
    [1127] = 1127,
    [1128] = 1128,
    [1129] = 1129,
    [1130] = 1130,
    [1131] = 1131,
    [1132] = 1131,
    [1133] = 1133,
    [1134] = 1134,
    [1135] = 1058,
    [1136] = 1136,
    [1137] = 1011,
    [1138] = 1009,
    [1139] = 1008,
    [1140] = 1007,
    [1141] = 1006,
    [1142] = 975,
    [1143] = 1003,
    [1144] = 1002,
    [1145] = 1001,
    [1146] = 997,
    [1147] = 996,
    [1148] = 995,
    [1149] = 994,
    [1150] = 993,
    [1151] = 992,
    [1152] = 989,
    [1153] = 985,
    [1154] = 984,
    [1155] = 983,
    [1156] = 982,
    [1157] = 1076,
    [1158] = 980,
    [1159] = 979,
    [1160] = 978,
    [1161] = 1161,
    [1162] = 1162,
    [1163] = 976,
    [1164] = 1015,
    [1165] = 1165,
    [1166] = 1166,
    [1167] = 1167,
    [1168] = 1168,
    [1169] = 1169,
    [1170] = 1161,
    [1171] = 1171,
    [1172] = 1172,
    [1173] = 1083,
    [1174] = 1174,
    [1175] = 1126,
    [1176] = 325,
    [1177] = 1177,
    [1178] = 1178,
    [1179] = 1131,
    [1180] = 1180,
    [1181] = 1181,
    [1182] = 1058,
    [1183] = 1183,
    [1184] = 1011,
    [1185] = 1009,
    [1186] = 1008,
    [1187] = 1007,
    [1188] = 1006,
    [1189] = 1189,
    [1190] = 1003,
    [1191] = 1002,
    [1192] = 1001,
    [1193] = 997,
    [1194] = 996,
    [1195] = 995,
    [1196] = 994,
    [1197] = 993,
    [1198] = 992,
    [1199] = 989,
    [1200] = 985,
    [1201] = 984,
    [1202] = 983,
    [1203] = 982,
    [1204] = 1076,
    [1205] = 980,
    [1206] = 979,
    [1207] = 978,
    [1208] = 1208,
    [1209] = 1209,
    [1210] = 976,
    [1211] = 1015,
    [1212] = 1212,
    [1213] = 1168,
    [1214] = 1169,
    [1215] = 1161,
    [1216] = 1171,
    [1217] = 1083,
    [1218] = 1218,
    [1219] = 1126,
    [1220] = 1220,
    [1221] = 1221,
    [1222] = 1222,
    [1223] = 1131,
    [1224] = 1224,
    [1225] = 1225,
    [1226] = 1011,
    [1227] = 1009,
    [1228] = 1008,
    [1229] = 1007,
    [1230] = 1006,
    [1231] = 975,
    [1232] = 1003,
    [1233] = 1002,
    [1234] = 1001,
    [1235] = 997,
    [1236] = 996,
    [1237] = 995,
    [1238] = 994,
    [1239] = 993,
    [1240] = 992,
    [1241] = 989,
    [1242] = 985,
    [1243] = 984,
    [1244] = 983,
    [1245] = 982,
    [1246] = 1076,
    [1247] = 980,
    [1248] = 979,
    [1249] = 978,
    [1250] = 1250,
    [1251] = 1251,
    [1252] = 976,
    [1253] = 1015,
    [1254] = 1254,
    [1255] = 1168,
    [1256] = 1169,
    [1257] = 1161,
    [1258] = 1171,
    [1259] = 1083,
    [1260] = 1126,
    [1261] = 1126,
    [1262] = 1131,
    [1263] = 1263,
    [1264] = 1264,
    [1265] = 1171,
    [1266] = 1266,
    [1267] = 1267,
    [1268] = 1268,
    [1269] = 1269,
    [1270] = 1270,
    [1271] = 1271,
    [1272] = 1272,
    [1273] = 1273,
    [1274] = 1274,
    [1275] = 1275,
    [1276] = 1276,
    [1277] = 1277,
    [1278] = 1278,
    [1279] = 1169,
    [1280] = 1280,
    [1281] = 1281,
    [1282] = 1282,
    [1283] = 1283,
    [1284] = 1284,
    [1285] = 1285,
    [1286] = 1180,
    [1287] = 1287,
    [1288] = 1288,
    [1289] = 1168,
    [1290] = 1290,
    [1291] = 1291,
    [1292] = 1292,
    [1293] = 1293,
    [1294] = 1294,
    [1295] = 1126,
    [1296] = 1296,
    [1297] = 1297,
    [1298] = 1298,
    [1299] = 1299,
    [1300] = 1300,
    [1301] = 1301,
    [1302] = 1302,
    [1303] = 1303,
    [1304] = 1304,
    [1305] = 1305,
    [1306] = 1306,
    [1307] = 1180,
    [1308] = 1308,
    [1309] = 1309,
    [1310] = 1310,
    [1311] = 1311,
    [1312] = 1312,
    [1313] = 1313,
    [1314] = 1314,
    [1315] = 1315,
    [1316] = 1316,
    [1317] = 1317,
    [1318] = 1318,
    [1319] = 1319,
    [1320] = 1320,
    [1321] = 1321,
    [1322] = 1322,
    [1323] = 1323,
    [1324] = 1324,
    [1325] = 1325,
    [1326] = 1326,
    [1327] = 1327,
    [1328] = 1328,
    [1329] = 1329,
    [1330] = 1330,
    [1331] = 1331,
    [1332] = 1332,
    [1333] = 1333,
    [1334] = 1334,
    [1335] = 1335,
    [1336] = 1336,
    [1337] = 1337,
    [1338] = 1338,
    [1339] = 1339,
    [1340] = 1340,
    [1341] = 1341,
    [1342] = 1342,
    [1343] = 1343,
    [1344] = 1344,
    [1345] = 1345,
    [1346] = 1346,
    [1347] = 1347,
    [1348] = 1348,
    [1349] = 1349,
    [1350] = 1350,
    [1351] = 1351,
    [1352] = 1352,
    [1353] = 1353,
    [1354] = 1354,
    [1355] = 1294,
    [1356] = 1291,
    [1357] = 1290,
    [1358] = 1288,
    [1359] = 1287,
    [1360] = 1285,
    [1361] = 1284,
    [1362] = 1283,
    [1363] = 1282,
    [1364] = 1281,
    [1365] = 1280,
    [1366] = 998,
    [1367] = 988,
    [1368] = 981,
    [1369] = 1278,
    [1370] = 1294,
    [1371] = 1291,
    [1372] = 1290,
    [1373] = 1288,
    [1374] = 1287,
    [1375] = 1285,
    [1376] = 1284,
    [1377] = 1283,
    [1378] = 1282,
    [1379] = 1281,
    [1380] = 1280,
    [1381] = 998,
    [1382] = 988,
    [1383] = 981,
    [1384] = 1278,
    [1385] = 1294,
    [1386] = 1291,
    [1387] = 1290,
    [1388] = 1288,
    [1389] = 1287,
    [1390] = 1285,
    [1391] = 1284,
    [1392] = 1283,
    [1393] = 1282,
    [1394] = 1281,
    [1395] = 1280,
    [1396] = 998,
    [1397] = 988,
    [1398] = 981,
    [1399] = 1278,
    [1400] = 1400,
    [1401] = 1401,
    [1402] = 1402,
    [1403] = 1180,
    [1404] = 1404,
    [1405] = 1405,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
    START_LEXER();
    eof = lexer->eof(lexer);
    switch(state) {
        case 0:
            if(eof)
                ADVANCE(875);
            ADVANCE_MAP(
                '"', 969,
                '#', 244,
                '%', 942,
                '&', 934,
                '\'', 975,
                '(', 943,
                ')', 944,
                '*', 939,
                '+', 937,
                ',', 927,
                '-', 938,
                '.', 958,
                '/', 940,
                '0', 952,
                ':', 1024,
                ';', 1025,
                '<', 920,
                '=', 1054,
                '>', 922,
                '@', 1051,
                'A', 682,
                'B', 648,
                'C', 1103,
                'D', 964,
                'E', 961,
                'F', 128,
                'H', 590,
                'I', 632,
                'L', 973,
                'M', 584,
                'N', 663,
                'O', 217,
                'P', 764,
                'R', 594,
                'S', 649,
                'T', 161,
                'U', 746,
                'V', 130,
                '[', 1189,
            );
            if(lookahead == '\\')
                SKIP(868);
            if(lookahead == ']')
                ADVANCE(1190);
            if(lookahead == '^')
                ADVANCE(933);
            if(lookahead == 'a')
                ADVANCE(220);
            if(lookahead == 'b')
                ADVANCE(148);
            if(lookahead == 'c')
                ADVANCE(1101);
            if(lookahead == 'd')
                ADVANCE(963);
            if(lookahead == 'e')
                ADVANCE(960);
            if(lookahead == 'f')
                ADVANCE(147);
            if(lookahead == 'g')
                ADVANCE(298);
            if(lookahead == 'h')
                ADVANCE(134);
            if(lookahead == 'i')
                ADVANCE(372);
            if(lookahead == 'l')
                ADVANCE(416);
            if(lookahead == 'm')
                ADVANCE(129);
            if(lookahead == 'n')
                ADVANCE(190);
            if(lookahead == 'o')
                ADVANCE(155);
            if(lookahead == 'p')
                ADVANCE(159);
            if(lookahead == 'r')
                ADVANCE(135);
            if(lookahead == 's')
                ADVANCE(136);
            if(lookahead == 't')
                ADVANCE(162);
            if(lookahead == 'u')
                ADVANCE(154);
            if(lookahead == 'v')
                ADVANCE(131);
            if(lookahead == 'w')
                ADVANCE(228);
            if(lookahead == '{')
                ADVANCE(1016);
            if(lookahead == '|')
                ADVANCE(932);
            if(lookahead == '}')
                ADVANCE(1017);
            if(lookahead == '~')
                ADVANCE(945);
            if(lookahead == 'J' ||
               lookahead == 'j')
                ADVANCE(585);
            if(lookahead == 'K' ||
               lookahead == 'k')
                ADVANCE(650);
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(622);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(0);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(954);
            END_STATE();
        case 1:
            if(lookahead == '\n')
                SKIP(100);
            END_STATE();
        case 2:
            if(lookahead == '\n')
                SKIP(100);
            if(lookahead == '\r')
                SKIP(1);
            END_STATE();
        case 3:
            if(lookahead == '\n')
                SKIP(101);
            END_STATE();
        case 4:
            if(lookahead == '\n')
                SKIP(101);
            if(lookahead == '\r')
                SKIP(3);
            END_STATE();
        case 5:
            if(lookahead == '\n')
                SKIP(103);
            END_STATE();
        case 6:
            if(lookahead == '\n')
                SKIP(103);
            if(lookahead == '\r')
                SKIP(5);
            END_STATE();
        case 7:
            if(lookahead == '\n')
                SKIP(92);
            END_STATE();
        case 8:
            if(lookahead == '\n')
                SKIP(92);
            if(lookahead == '\r')
                SKIP(7);
            END_STATE();
        case 9:
            if(lookahead == '\n')
                SKIP(106);
            END_STATE();
        case 10:
            if(lookahead == '\n')
                SKIP(106);
            if(lookahead == '\r')
                SKIP(9);
            END_STATE();
        case 11:
            if(lookahead == '\n')
                SKIP(89);
            END_STATE();
        case 12:
            if(lookahead == '\n')
                SKIP(89);
            if(lookahead == '\r')
                SKIP(11);
            END_STATE();
        case 13:
            if(lookahead == '\n')
                SKIP(93);
            END_STATE();
        case 14:
            if(lookahead == '\n')
                SKIP(93);
            if(lookahead == '\r')
                SKIP(13);
            END_STATE();
        case 15:
            if(lookahead == '\n')
                SKIP(105);
            END_STATE();
        case 16:
            if(lookahead == '\n')
                SKIP(105);
            if(lookahead == '\r')
                SKIP(15);
            END_STATE();
        case 17:
            if(lookahead == '\n')
                SKIP(111);
            END_STATE();
        case 18:
            if(lookahead == '\n')
                SKIP(111);
            if(lookahead == '\r')
                SKIP(17);
            END_STATE();
        case 19:
            if(lookahead == '\n')
                SKIP(107);
            END_STATE();
        case 20:
            if(lookahead == '\n')
                SKIP(107);
            if(lookahead == '\r')
                SKIP(19);
            END_STATE();
        case 21:
            if(lookahead == '\n')
                SKIP(80);
            END_STATE();
        case 22:
            if(lookahead == '\n')
                SKIP(80);
            if(lookahead == '\r')
                SKIP(21);
            END_STATE();
        case 23:
            if(lookahead == '\n')
                SKIP(108);
            END_STATE();
        case 24:
            if(lookahead == '\n')
                SKIP(108);
            if(lookahead == '\r')
                SKIP(23);
            END_STATE();
        case 25:
            if(lookahead == '\n')
                SKIP(82);
            END_STATE();
        case 26:
            if(lookahead == '\n')
                SKIP(82);
            if(lookahead == '\r')
                SKIP(25);
            END_STATE();
        case 27:
            if(lookahead == '\n')
                SKIP(112);
            END_STATE();
        case 28:
            if(lookahead == '\n')
                SKIP(112);
            if(lookahead == '\r')
                SKIP(27);
            END_STATE();
        case 29:
            if(lookahead == '\n')
                SKIP(79);
            END_STATE();
        case 30:
            if(lookahead == '\n')
                SKIP(79);
            if(lookahead == '\r')
                SKIP(29);
            END_STATE();
        case 31:
            if(lookahead == '\n')
                SKIP(81);
            END_STATE();
        case 32:
            if(lookahead == '\n')
                SKIP(81);
            if(lookahead == '\r')
                SKIP(31);
            END_STATE();
        case 33:
            if(lookahead == '\n')
                SKIP(113);
            END_STATE();
        case 34:
            if(lookahead == '\n')
                SKIP(113);
            if(lookahead == '\r')
                SKIP(33);
            END_STATE();
        case 35:
            if(lookahead == '\n')
                SKIP(90);
            END_STATE();
        case 36:
            if(lookahead == '\n')
                SKIP(90);
            if(lookahead == '\r')
                SKIP(35);
            END_STATE();
        case 37:
            if(lookahead == '\n')
                SKIP(86);
            END_STATE();
        case 38:
            if(lookahead == '\n')
                SKIP(86);
            if(lookahead == '\r')
                SKIP(37);
            END_STATE();
        case 39:
            if(lookahead == '\n')
                SKIP(78);
            END_STATE();
        case 40:
            if(lookahead == '\n')
                SKIP(78);
            if(lookahead == '\r')
                SKIP(39);
            END_STATE();
        case 41:
            if(lookahead == '\n')
                SKIP(85);
            END_STATE();
        case 42:
            if(lookahead == '\n')
                SKIP(85);
            if(lookahead == '\r')
                SKIP(41);
            END_STATE();
        case 43:
            if(lookahead == '\n')
                SKIP(83);
            END_STATE();
        case 44:
            if(lookahead == '\n')
                SKIP(83);
            if(lookahead == '\r')
                SKIP(43);
            END_STATE();
        case 45:
            if(lookahead == '\n')
                SKIP(87);
            END_STATE();
        case 46:
            if(lookahead == '\n')
                SKIP(87);
            if(lookahead == '\r')
                SKIP(45);
            END_STATE();
        case 47:
            if(lookahead == '\n')
                SKIP(91);
            END_STATE();
        case 48:
            if(lookahead == '\n')
                SKIP(91);
            if(lookahead == '\r')
                SKIP(47);
            END_STATE();
        case 49:
            if(lookahead == '\n')
                SKIP(99);
            END_STATE();
        case 50:
            if(lookahead == '\n')
                SKIP(99);
            if(lookahead == '\r')
                SKIP(49);
            END_STATE();
        case 51:
            if(lookahead == '\n')
                SKIP(53);
            END_STATE();
        case 52:
            if(lookahead == '\n')
                SKIP(53);
            if(lookahead == '\r')
                SKIP(51);
            END_STATE();
        case 53:
            if(lookahead == '\n')
                ADVANCE(1053);
            if(lookahead == '\r')
                ADVANCE(53);
            if(lookahead == '(')
                ADVANCE(943);
            if(lookahead == '/')
                ADVANCE(94);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == '@')
                ADVANCE(1050);
            if(lookahead == '\\')
                SKIP(52);
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(53);
            END_STATE();
        case 54:
            if(lookahead == '\n')
                SKIP(109);
            END_STATE();
        case 55:
            if(lookahead == '\n')
                SKIP(109);
            if(lookahead == '\r')
                SKIP(54);
            END_STATE();
        case 56:
            if(lookahead == '\n')
                SKIP(110);
            END_STATE();
        case 57:
            if(lookahead == '\n')
                SKIP(110);
            if(lookahead == '\r')
                SKIP(56);
            END_STATE();
        case 58:
            if(lookahead == '\n')
                SKIP(114);
            END_STATE();
        case 59:
            if(lookahead == '\n')
                SKIP(114);
            if(lookahead == '\r')
                SKIP(58);
            END_STATE();
        case 60:
            if(lookahead == '\n')
                SKIP(84);
            if(lookahead == '"')
                ADVANCE(969);
            if(lookahead == '/')
                ADVANCE(970);
            if(lookahead == '\\')
                ADVANCE(61);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(971);
            if(lookahead != 0)
                ADVANCE(972);
            END_STATE();
        case 61:
            if(lookahead == '\n')
                ADVANCE(966);
            if(lookahead == '\r')
                ADVANCE(965);
            if(lookahead == 'U')
                ADVANCE(865);
            if(lookahead == 'u')
                ADVANCE(861);
            if(lookahead == 'x')
                ADVANCE(859);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(968);
            if(lookahead != 0)
                ADVANCE(965);
            END_STATE();
        case 62:
            if(lookahead == '\n')
                SKIP(88);
            if(lookahead == '\'')
                ADVANCE(975);
            if(lookahead == '/')
                ADVANCE(978);
            if(lookahead == '\\')
                ADVANCE(977);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(979);
            if(lookahead != 0)
                ADVANCE(976);
            END_STATE();
        case 63:
            if(lookahead == '\n')
                SKIP(115);
            END_STATE();
        case 64:
            if(lookahead == '\n')
                SKIP(115);
            if(lookahead == '\r')
                SKIP(63);
            END_STATE();
        case 65:
            if(lookahead == '\n')
                ADVANCE(989);
            if(lookahead == '\r')
                ADVANCE(67);
            if(lookahead == '/')
                ADVANCE(1005);
            if(lookahead == '\\')
                ADVANCE(1002);
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(104);
            if(lookahead != 0)
                ADVANCE(1006);
            END_STATE();
        case 66:
            if(lookahead == '\n')
                ADVANCE(989);
            if(lookahead == '\r')
                ADVANCE(68);
            if(lookahead == '/')
                ADVANCE(95);
            if(lookahead == '\\')
                SKIP(70);
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(116);
            END_STATE();
        case 67:
            if(lookahead == '\n')
                ADVANCE(989);
            if(lookahead == '/')
                ADVANCE(1005);
            if(lookahead == '\\')
                ADVANCE(1002);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(104);
            if(lookahead != 0)
                ADVANCE(1006);
            END_STATE();
        case 68:
            if(lookahead == '\n')
                ADVANCE(989);
            if(lookahead == '/')
                ADVANCE(95);
            if(lookahead == '\\')
                SKIP(70);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(116);
            END_STATE();
        case 69:
            if(lookahead == '\n')
                SKIP(116);
            END_STATE();
        case 70:
            if(lookahead == '\n')
                SKIP(116);
            if(lookahead == '\r')
                SKIP(69);
            END_STATE();
        case 71:
            if(lookahead == '\n')
                ADVANCE(1814);
            if(lookahead == '\r')
                ADVANCE(1811);
            if(lookahead == '\\')
                ADVANCE(1812);
            if(lookahead != 0)
                ADVANCE(1815);
            END_STATE();
        case 72:
            if(lookahead == '\n')
                ADVANCE(96);
            if(lookahead == '\r')
                ADVANCE(73);
            if(lookahead == '*')
                ADVANCE(1822);
            if(lookahead != 0)
                ADVANCE(97);
            END_STATE();
        case 73:
            if(lookahead == '\n')
                ADVANCE(96);
            if(lookahead == '*')
                ADVANCE(1822);
            if(lookahead != 0)
                ADVANCE(97);
            END_STATE();
        case 74:
            if(lookahead == '\n')
                SKIP(102);
            END_STATE();
        case 75:
            if(lookahead == '\n')
                SKIP(102);
            if(lookahead == '\r')
                SKIP(74);
            END_STATE();
        case 76:
            if(lookahead == '\r')
                ADVANCE(1816);
            if(lookahead == '\\')
                ADVANCE(1812);
            if(lookahead != 0)
                ADVANCE(1815);
            END_STATE();
        case 77:
            if(lookahead == ' ')
                ADVANCE(370);
            END_STATE();
        case 78:
            ADVANCE_MAP(
                '"', 969,
                '%', 942,
                '&', 934,
                ')', 944,
                '*', 939,
                '+', 937,
                ',', 927,
                '-', 938,
                '/', 941,
                ':', 1024,
                ';', 1025,
                '<', 127,
                '>', 922,
            );
            if(lookahead == '\\')
                SKIP(40);
            if(lookahead == ']')
                ADVANCE(1190);
            if(lookahead == '^')
                ADVANCE(933);
            if(lookahead == '{')
                ADVANCE(1016);
            if(lookahead == '|')
                ADVANCE(932);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(78);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 79:
            ADVANCE_MAP(
                '"', 969,
                '\'', 975,
                '(', 943,
                ')', 944,
                '+', 937,
                '-', 938,
                '/', 95,
                '0', 953,
                ':', 126,
                'F', 1236,
                'L', 974,
                'T', 1241,
            );
            if(lookahead == '\\')
                SKIP(30);
            if(lookahead == '~')
                ADVANCE(945);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(79);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(955);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 80:
            ADVANCE_MAP(
                '"', 969,
                '\'', 975,
                '(', 943,
                '*', 939,
                '+', 937,
                '-', 938,
                '/', 95,
                '0', 953,
                ':', 126,
                'C', 1104,
                'F', 1236,
                'L', 974,
                'T', 1241,
            );
            if(lookahead == '\\')
                SKIP(22);
            if(lookahead == 'c')
                ADVANCE(1102);
            if(lookahead == '~')
                ADVANCE(945);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1631);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(1604);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1706);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1588);
            if(lookahead == 'J' ||
               lookahead == 'j')
                ADVANCE(1534);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(80);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(955);
            if(('D' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('d' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 81:
            ADVANCE_MAP(
                '"', 969,
                '\'', 975,
                '(', 943,
                '*', 939,
                '+', 937,
                '-', 938,
                '/', 95,
                '0', 953,
                ':', 126,
                'F', 1236,
                'L', 974,
                'T', 1241,
            );
            if(lookahead == '\\')
                SKIP(32);
            if(lookahead == '~')
                ADVANCE(945);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1585);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(81);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(955);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 82:
            ADVANCE_MAP(
                '"', 969,
                '\'', 975,
                '(', 943,
                '+', 937,
                '-', 938,
                '/', 95,
                '0', 953,
                ':', 126,
                'F', 1236,
                'L', 974,
                'T', 1241,
            );
            if(lookahead == '\\')
                SKIP(26);
            if(lookahead == '~')
                ADVANCE(945);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1631);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(1604);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1706);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(82);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(955);
            if(('C' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('c' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 83:
            ADVANCE_MAP(
                '"', 969,
                ')', 944,
                ',', 927,
                '/', 95,
                ':', 126,
                ';', 1025,
                '<', 920,
                '>', 921,
            );
            if(lookahead == '\\')
                SKIP(44);
            if(lookahead == '{')
                ADVANCE(1016);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(83);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 84:
            if(lookahead == '"')
                ADVANCE(969);
            if(lookahead == '/')
                ADVANCE(95);
            if(lookahead == '\\')
                ADVANCE(61);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(84);
            END_STATE();
        case 85:
            ADVANCE_MAP(
                '%', 942,
                '&', 934,
                ')', 944,
                '*', 939,
                '+', 937,
                ',', 927,
                '-', 938,
                '.', 958,
                '/', 941,
                ':', 1023,
                ';', 1025,
                '<', 127,
                '>', 922,
            );
            if(lookahead == '\\')
                SKIP(42);
            if(lookahead == ']')
                ADVANCE(1190);
            if(lookahead == '^')
                ADVANCE(933);
            if(lookahead == 'i')
                ADVANCE(390);
            if(lookahead == 'm')
                ADVANCE(205);
            if(lookahead == 's')
                ADVANCE(559);
            if(lookahead == '{')
                ADVANCE(1016);
            if(lookahead == '|')
                ADVANCE(932);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(962);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(959);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(85);
            END_STATE();
        case 86:
            ADVANCE_MAP(
                '%', 942,
                '&', 934,
                ')', 944,
                '*', 939,
                '+', 937,
                ',', 927,
                '-', 938,
                '/', 941,
                '0', 952,
                ':', 1024,
                ';', 1025,
                '<', 127,
                '>', 922,
                'A', 776,
                'C', 762,
                'D', 631,
                'M', 844,
                'S', 660,
                'U', 804,
                '[', 1189,
            );
            if(lookahead == '\\')
                SKIP(38);
            if(lookahead == ']')
                ADVANCE(1190);
            if(lookahead == '^')
                ADVANCE(933);
            if(lookahead == 'a')
                ADVANCE(507);
            if(lookahead == 'b')
                ADVANCE(344);
            if(lookahead == 'c')
                ADVANCE(158);
            if(lookahead == 'd')
                ADVANCE(301);
            if(lookahead == 'e')
                ADVANCE(376);
            if(lookahead == 'g')
                ADVANCE(298);
            if(lookahead == 'i')
                ADVANCE(408);
            if(lookahead == 'l')
                ADVANCE(436);
            if(lookahead == 'm')
                ADVANCE(206);
            if(lookahead == 'o')
                ADVANCE(231);
            if(lookahead == 'p')
                ADVANCE(443);
            if(lookahead == 'r')
                ADVANCE(215);
            if(lookahead == 's')
                ADVANCE(142);
            if(lookahead == 'u')
                ADVANCE(165);
            if(lookahead == 'v')
                ADVANCE(199);
            if(lookahead == '{')
                ADVANCE(1016);
            if(lookahead == '|')
                ADVANCE(932);
            if(lookahead == '}')
                ADVANCE(1017);
            if(lookahead == 'F' ||
               lookahead == 'f')
                ADVANCE(688);
            if(lookahead == 'H' ||
               lookahead == 'h')
                ADVANCE(590);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(788);
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(622);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(86);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(954);
            END_STATE();
        case 87:
            if(lookahead == '&')
                ADVANCE(934);
            if(lookahead == ')')
                ADVANCE(944);
            if(lookahead == ',')
                ADVANCE(927);
            if(lookahead == '/')
                ADVANCE(95);
            if(lookahead == ':')
                ADVANCE(1023);
            if(lookahead == ';')
                ADVANCE(1025);
            if(lookahead == '>')
                ADVANCE(921);
            if(lookahead == '\\')
                SKIP(46);
            if(lookahead == ']')
                ADVANCE(1190);
            if(lookahead == '^')
                ADVANCE(933);
            if(lookahead == '{')
                ADVANCE(1016);
            if(lookahead == '|')
                ADVANCE(932);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(87);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 88:
            if(lookahead == '\'')
                ADVANCE(975);
            if(lookahead == '/')
                ADVANCE(95);
            if(lookahead == '\\')
                ADVANCE(61);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(88);
            END_STATE();
        case 89:
            if(lookahead == '(')
                ADVANCE(943);
            if(lookahead == '/')
                ADVANCE(94);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == '@')
                ADVANCE(1050);
            if(lookahead == 'O')
                ADVANCE(1280);
            if(lookahead == 'V')
                ADVANCE(1256);
            if(lookahead == '\\')
                SKIP(12);
            if(lookahead == 'a')
                ADVANCE(1403);
            if(lookahead == 'b')
                ADVANCE(1425);
            if(lookahead == 'c')
                ADVANCE(1358);
            if(lookahead == 'd')
                ADVANCE(1421);
            if(lookahead == 'f')
                ADVANCE(1362);
            if(lookahead == 'i')
                ADVANCE(1407);
            if(lookahead == 'l')
                ADVANCE(1423);
            if(lookahead == 'm')
                ADVANCE(1261);
            if(lookahead == 'o')
                ADVANCE(1294);
            if(lookahead == 's')
                ADVANCE(1314);
            if(lookahead == 'u')
                ADVANCE(1370);
            if(lookahead == 'w')
                ADVANCE(1286);
            if(lookahead == '}')
                ADVANCE(1017);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(89);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 90:
            if(lookahead == '(')
                ADVANCE(943);
            if(lookahead == '/')
                ADVANCE(94);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == '@')
                ADVANCE(1050);
            if(lookahead == '\\')
                SKIP(36);
            if(lookahead == 'a')
                ADVANCE(218);
            if(lookahead == 'b')
                ADVANCE(343);
            if(lookahead == 'e')
                ADVANCE(393);
            if(lookahead == 'i')
                ADVANCE(412);
            if(lookahead == 'l')
                ADVANCE(437);
            if(lookahead == 'n')
                ADVANCE(189);
            if(lookahead == 's')
                ADVANCE(541);
            if(lookahead == 't')
                ADVANCE(583);
            if(lookahead == 'u')
                ADVANCE(414);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(90);
            END_STATE();
        case 91:
            if(lookahead == '(')
                ADVANCE(943);
            if(lookahead == '/')
                ADVANCE(94);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == '@')
                ADVANCE(1050);
            if(lookahead == '\\')
                SKIP(48);
            if(lookahead == '}')
                ADVANCE(1017);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(91);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 92:
            if(lookahead == ')')
                ADVANCE(944);
            if(lookahead == ',')
                ADVANCE(927);
            if(lookahead == '/')
                ADVANCE(95);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == '<')
                ADVANCE(920);
            if(lookahead == '>')
                ADVANCE(921);
            if(lookahead == '\\')
                SKIP(8);
            if(lookahead == ']')
                ADVANCE(1190);
            if(lookahead == 'h')
                ADVANCE(1267);
            if(lookahead == '{')
                ADVANCE(1016);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1686);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(1639);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1536);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1796);
            if(lookahead == 'F' ||
               lookahead == 'f')
                ADVANCE(1635);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1576);
            if(lookahead == 'K' ||
               lookahead == 'k')
                ADVANCE(1595);
            if(lookahead == 'M' ||
               lookahead == 'm')
                ADVANCE(1532);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1607);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(1697);
            if(lookahead == 'P' ||
               lookahead == 'p')
                ADVANCE(1714);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1540);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1596);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1713);
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(1709);
            if(lookahead == 'V' ||
               lookahead == 'v')
                ADVANCE(1530);
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(1566);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(92);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('C' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('c' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 93:
            if(lookahead == ')')
                ADVANCE(944);
            if(lookahead == '/')
                ADVANCE(95);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == 'O')
                ADVANCE(1280);
            if(lookahead == 'V')
                ADVANCE(1256);
            if(lookahead == '\\')
                SKIP(14);
            if(lookahead == 'a')
                ADVANCE(1403);
            if(lookahead == 'b')
                ADVANCE(1425);
            if(lookahead == 'c')
                ADVANCE(1358);
            if(lookahead == 'd')
                ADVANCE(1421);
            if(lookahead == 'f')
                ADVANCE(1362);
            if(lookahead == 'i')
                ADVANCE(1402);
            if(lookahead == 'l')
                ADVANCE(1423);
            if(lookahead == 'm')
                ADVANCE(1261);
            if(lookahead == 'o')
                ADVANCE(1293);
            if(lookahead == 's')
                ADVANCE(1314);
            if(lookahead == 'u')
                ADVANCE(1370);
            if(lookahead == 'w')
                ADVANCE(1286);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(93);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 94:
            if(lookahead == '*')
                ADVANCE(1817);
            if(lookahead == '/')
                ADVANCE(1807);
            END_STATE();
        case 95:
            if(lookahead == '*')
                ADVANCE(1817);
            if(lookahead == '/')
                ADVANCE(1805);
            END_STATE();
        case 96:
            if(lookahead == '*')
                ADVANCE(1822);
            if(lookahead == '/')
                ADVANCE(98);
            if(lookahead == '\\')
                ADVANCE(72);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(96);
            if(lookahead != 0)
                ADVANCE(97);
            END_STATE();
        case 97:
            if(lookahead == '*')
                ADVANCE(1822);
            if(lookahead != 0)
                ADVANCE(97);
            END_STATE();
        case 98:
            if(lookahead == '*')
                ADVANCE(1818);
            if(lookahead == '/')
                ADVANCE(1806);
            if(lookahead != 0)
                ADVANCE(97);
            END_STATE();
        case 99:
            if(lookahead == ',')
                ADVANCE(927);
            if(lookahead == '/')
                ADVANCE(95);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == '<')
                ADVANCE(920);
            if(lookahead == '>')
                ADVANCE(921);
            if(lookahead == '\\')
                SKIP(50);
            if(lookahead == 'm')
                ADVANCE(205);
            if(lookahead == 'p')
                ADVANCE(475);
            if(lookahead == 's')
                ADVANCE(559);
            if(lookahead == '{')
                ADVANCE(1016);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(99);
            END_STATE();
        case 100:
            if(lookahead == '/')
                ADVANCE(94);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == '@')
                ADVANCE(1050);
            if(lookahead == 'O')
                ADVANCE(1280);
            if(lookahead == 'V')
                ADVANCE(1256);
            if(lookahead == '\\')
                SKIP(2);
            if(lookahead == 'a')
                ADVANCE(1281);
            if(lookahead == 'b')
                ADVANCE(1364);
            if(lookahead == 'c')
                ADVANCE(1356);
            if(lookahead == 'd')
                ADVANCE(1421);
            if(lookahead == 'e')
                ADVANCE(1405);
            if(lookahead == 'f')
                ADVANCE(1259);
            if(lookahead == 'i')
                ADVANCE(1393);
            if(lookahead == 'l')
                ADVANCE(1423);
            if(lookahead == 'm')
                ADVANCE(1261);
            if(lookahead == 'n')
                ADVANCE(1266);
            if(lookahead == 'o')
                ADVANCE(1292);
            if(lookahead == 'p')
                ADVANCE(1447);
            if(lookahead == 'r')
                ADVANCE(1335);
            if(lookahead == 's')
                ADVANCE(1311);
            if(lookahead == 't')
                ADVANCE(1525);
            if(lookahead == 'u')
                ADVANCE(1369);
            if(lookahead == 'v')
                ADVANCE(1278);
            if(lookahead == 'w')
                ADVANCE(1286);
            if(lookahead == '}')
                ADVANCE(1017);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(100);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 101:
            if(lookahead == '/')
                ADVANCE(94);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == '@')
                ADVANCE(1050);
            if(lookahead == 'O')
                ADVANCE(1280);
            if(lookahead == 'V')
                ADVANCE(1256);
            if(lookahead == '\\')
                SKIP(4);
            if(lookahead == 'a')
                ADVANCE(1281);
            if(lookahead == 'b')
                ADVANCE(1364);
            if(lookahead == 'c')
                ADVANCE(1356);
            if(lookahead == 'd')
                ADVANCE(1421);
            if(lookahead == 'e')
                ADVANCE(1405);
            if(lookahead == 'f')
                ADVANCE(1260);
            if(lookahead == 'i')
                ADVANCE(1393);
            if(lookahead == 'l')
                ADVANCE(1423);
            if(lookahead == 'm')
                ADVANCE(1261);
            if(lookahead == 'n')
                ADVANCE(1266);
            if(lookahead == 'o')
                ADVANCE(1292);
            if(lookahead == 'r')
                ADVANCE(1335);
            if(lookahead == 's')
                ADVANCE(1311);
            if(lookahead == 't')
                ADVANCE(1525);
            if(lookahead == 'u')
                ADVANCE(1369);
            if(lookahead == 'v')
                ADVANCE(1278);
            if(lookahead == 'w')
                ADVANCE(1286);
            if(lookahead == '}')
                ADVANCE(1017);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(101);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 102:
            if(lookahead == '/')
                ADVANCE(94);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == '@')
                ADVANCE(1050);
            if(lookahead == 'O')
                ADVANCE(1280);
            if(lookahead == 'V')
                ADVANCE(1256);
            if(lookahead == '\\')
                SKIP(75);
            if(lookahead == 'a')
                ADVANCE(1281);
            if(lookahead == 'b')
                ADVANCE(1364);
            if(lookahead == 'c')
                ADVANCE(1356);
            if(lookahead == 'd')
                ADVANCE(1421);
            if(lookahead == 'e')
                ADVANCE(1405);
            if(lookahead == 'f')
                ADVANCE(1362);
            if(lookahead == 'i')
                ADVANCE(1393);
            if(lookahead == 'l')
                ADVANCE(1423);
            if(lookahead == 'm')
                ADVANCE(1261);
            if(lookahead == 'n')
                ADVANCE(1266);
            if(lookahead == 'o')
                ADVANCE(1292);
            if(lookahead == 'r')
                ADVANCE(1335);
            if(lookahead == 's')
                ADVANCE(1311);
            if(lookahead == 't')
                ADVANCE(1525);
            if(lookahead == 'u')
                ADVANCE(1369);
            if(lookahead == 'v')
                ADVANCE(1278);
            if(lookahead == 'w')
                ADVANCE(1286);
            if(lookahead == '}')
                ADVANCE(1017);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(102);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 103:
            if(lookahead == '/')
                ADVANCE(94);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == '@')
                ADVANCE(1050);
            if(lookahead == 'O')
                ADVANCE(1280);
            if(lookahead == 'V')
                ADVANCE(1256);
            if(lookahead == '\\')
                SKIP(6);
            if(lookahead == 'a')
                ADVANCE(1403);
            if(lookahead == 'b')
                ADVANCE(1364);
            if(lookahead == 'c')
                ADVANCE(1273);
            if(lookahead == 'd')
                ADVANCE(1332);
            if(lookahead == 'e')
                ADVANCE(1406);
            if(lookahead == 'f')
                ADVANCE(1362);
            if(lookahead == 'i')
                ADVANCE(1407);
            if(lookahead == 'l')
                ADVANCE(1423);
            if(lookahead == 'm')
                ADVANCE(1261);
            if(lookahead == 'o')
                ADVANCE(1294);
            if(lookahead == 's')
                ADVANCE(1311);
            if(lookahead == 'u')
                ADVANCE(1369);
            if(lookahead == 'w')
                ADVANCE(1286);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(103);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 104:
            if(lookahead == '/')
                ADVANCE(1005);
            if(lookahead == '\\')
                ADVANCE(1002);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(104);
            if(lookahead != 0)
                ADVANCE(1006);
            END_STATE();
        case 105:
            if(lookahead == '/')
                ADVANCE(95);
            if(lookahead == ':')
                ADVANCE(1024);
            if(lookahead == ';')
                ADVANCE(1025);
            if(lookahead == 'O')
                ADVANCE(1280);
            if(lookahead == 'V')
                ADVANCE(1256);
            if(lookahead == '\\')
                SKIP(16);
            if(lookahead == 'a')
                ADVANCE(1403);
            if(lookahead == 'b')
                ADVANCE(1425);
            if(lookahead == 'c')
                ADVANCE(1358);
            if(lookahead == 'd')
                ADVANCE(1421);
            if(lookahead == 'f')
                ADVANCE(1362);
            if(lookahead == 'i')
                ADVANCE(1407);
            if(lookahead == 'l')
                ADVANCE(1423);
            if(lookahead == 'm')
                ADVANCE(1261);
            if(lookahead == 'o')
                ADVANCE(1294);
            if(lookahead == 's')
                ADVANCE(1313);
            if(lookahead == 'u')
                ADVANCE(1370);
            if(lookahead == 'w')
                ADVANCE(1286);
            if(lookahead == '{')
                ADVANCE(1016);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(105);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 106:
            if(lookahead == '/')
                ADVANCE(95);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == 'O')
                ADVANCE(1280);
            if(lookahead == 'V')
                ADVANCE(1256);
            if(lookahead == '\\')
                SKIP(10);
            if(lookahead == 'a')
                ADVANCE(1403);
            if(lookahead == 'b')
                ADVANCE(1364);
            if(lookahead == 'c')
                ADVANCE(1358);
            if(lookahead == 'd')
                ADVANCE(1421);
            if(lookahead == 'e')
                ADVANCE(1406);
            if(lookahead == 'f')
                ADVANCE(1362);
            if(lookahead == 'i')
                ADVANCE(1407);
            if(lookahead == 'l')
                ADVANCE(1423);
            if(lookahead == 'm')
                ADVANCE(1261);
            if(lookahead == 'o')
                ADVANCE(1294);
            if(lookahead == 's')
                ADVANCE(1311);
            if(lookahead == 'u')
                ADVANCE(1369);
            if(lookahead == 'w')
                ADVANCE(1286);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(106);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 107:
            if(lookahead == '/')
                ADVANCE(95);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == 'O')
                ADVANCE(1280);
            if(lookahead == 'V')
                ADVANCE(1256);
            if(lookahead == '\\')
                SKIP(20);
            if(lookahead == 'a')
                ADVANCE(1403);
            if(lookahead == 'b')
                ADVANCE(1425);
            if(lookahead == 'c')
                ADVANCE(1357);
            if(lookahead == 'd')
                ADVANCE(1421);
            if(lookahead == 'e')
                ADVANCE(1404);
            if(lookahead == 'f')
                ADVANCE(1383);
            if(lookahead == 'i')
                ADVANCE(1416);
            if(lookahead == 'l')
                ADVANCE(1423);
            if(lookahead == 'o')
                ADVANCE(1294);
            if(lookahead == 's')
                ADVANCE(1312);
            if(lookahead == 't')
                ADVANCE(1528);
            if(lookahead == 'u')
                ADVANCE(1369);
            if(lookahead == 'v')
                ADVANCE(1279);
            if(lookahead == 'w')
                ADVANCE(1287);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(107);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 108:
            if(lookahead == '/')
                ADVANCE(95);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == 'O')
                ADVANCE(1280);
            if(lookahead == 'V')
                ADVANCE(1256);
            if(lookahead == '\\')
                SKIP(24);
            if(lookahead == 'a')
                ADVANCE(1403);
            if(lookahead == 'b')
                ADVANCE(1425);
            if(lookahead == 'c')
                ADVANCE(1358);
            if(lookahead == 'd')
                ADVANCE(1421);
            if(lookahead == 'f')
                ADVANCE(1362);
            if(lookahead == 'i')
                ADVANCE(1407);
            if(lookahead == 'l')
                ADVANCE(1423);
            if(lookahead == 'm')
                ADVANCE(1261);
            if(lookahead == 'o')
                ADVANCE(1294);
            if(lookahead == 's')
                ADVANCE(1314);
            if(lookahead == 'u')
                ADVANCE(1370);
            if(lookahead == 'w')
                ADVANCE(1286);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(108);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 109:
            if(lookahead == '/')
                ADVANCE(95);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == 'O')
                ADVANCE(1280);
            if(lookahead == '\\')
                SKIP(55);
            if(lookahead == 'm')
                ADVANCE(1512);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(109);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 110:
            if(lookahead == '/')
                ADVANCE(95);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == 'O')
                ADVANCE(1280);
            if(lookahead == '\\')
                SKIP(57);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(110);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 111:
            if(lookahead == '/')
                ADVANCE(95);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == '\\')
                SKIP(18);
            if(lookahead == 'a')
                ADVANCE(1403);
            if(lookahead == 'b')
                ADVANCE(1425);
            if(lookahead == 'c')
                ADVANCE(1357);
            if(lookahead == 'd')
                ADVANCE(1421);
            if(lookahead == 'e')
                ADVANCE(1406);
            if(lookahead == 'f')
                ADVANCE(1362);
            if(lookahead == 'i')
                ADVANCE(1407);
            if(lookahead == 'l')
                ADVANCE(1423);
            if(lookahead == 'o')
                ADVANCE(1294);
            if(lookahead == 's')
                ADVANCE(1314);
            if(lookahead == 't')
                ADVANCE(1527);
            if(lookahead == 'u')
                ADVANCE(1370);
            if(lookahead == 'w')
                ADVANCE(1286);
            if(lookahead == '}')
                ADVANCE(1017);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(111);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 112:
            if(lookahead == '/')
                ADVANCE(95);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == '\\')
                SKIP(28);
            if(lookahead == 'b')
                ADVANCE(1425);
            if(lookahead == 'c')
                ADVANCE(1358);
            if(lookahead == 'd')
                ADVANCE(1421);
            if(lookahead == 'f')
                ADVANCE(1362);
            if(lookahead == 'i')
                ADVANCE(1407);
            if(lookahead == 'l')
                ADVANCE(1423);
            if(lookahead == 'o')
                ADVANCE(1294);
            if(lookahead == 's')
                ADVANCE(1314);
            if(lookahead == 'u')
                ADVANCE(1370);
            if(lookahead == 'w')
                ADVANCE(1286);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(112);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 113:
            if(lookahead == '/')
                ADVANCE(95);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == '\\')
                SKIP(34);
            if(lookahead == 'b')
                ADVANCE(1425);
            if(lookahead == 'c')
                ADVANCE(1358);
            if(lookahead == 'i')
                ADVANCE(1407);
            if(lookahead == 'l')
                ADVANCE(1431);
            if(lookahead == 'o')
                ADVANCE(1294);
            if(lookahead == 's')
                ADVANCE(1359);
            if(lookahead == 'u')
                ADVANCE(1370);
            if(lookahead == 'w')
                ADVANCE(1287);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(113);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 114:
            if(lookahead == '/')
                ADVANCE(95);
            if(lookahead == ':')
                ADVANCE(126);
            if(lookahead == '\\')
                SKIP(59);
            if(lookahead == 't')
                ADVANCE(1456);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(114);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 115:
            if(lookahead == '/')
                ADVANCE(95);
            if(lookahead == ';')
                ADVANCE(1025);
            if(lookahead == '\\')
                SKIP(64);
            if(lookahead == 's')
                ADVANCE(1519);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(115);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 116:
            if(lookahead == '/')
                ADVANCE(95);
            if(lookahead == '\\')
                SKIP(70);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(116);
            END_STATE();
        case 117:
            if(lookahead == '1')
                ADVANCE(124);
            if(lookahead == '3')
                ADVANCE(120);
            if(lookahead == '6')
                ADVANCE(122);
            if(lookahead == '8')
                ADVANCE(897);
            END_STATE();
        case 118:
            if(lookahead == '1')
                ADVANCE(124);
            if(lookahead == '3')
                ADVANCE(120);
            if(lookahead == '6')
                ADVANCE(122);
            if(lookahead == '8')
                ADVANCE(897);
            if(lookahead == 'e')
                ADVANCE(464);
            END_STATE();
        case 119:
            if(lookahead == '1')
                ADVANCE(125);
            if(lookahead == '3')
                ADVANCE(121);
            if(lookahead == '6')
                ADVANCE(123);
            if(lookahead == '8')
                ADVANCE(889);
            END_STATE();
        case 120:
            if(lookahead == '2')
                ADVANCE(884);
            END_STATE();
        case 121:
            if(lookahead == '2')
                ADVANCE(903);
            END_STATE();
        case 122:
            if(lookahead == '4')
                ADVANCE(887);
            END_STATE();
        case 123:
            if(lookahead == '4')
                ADVANCE(906);
            END_STATE();
        case 124:
            if(lookahead == '6')
                ADVANCE(878);
            END_STATE();
        case 125:
            if(lookahead == '6')
                ADVANCE(900);
            END_STATE();
        case 126:
            if(lookahead == ':')
                ADVANCE(917);
            END_STATE();
        case 127:
            if(lookahead == '<')
                ADVANCE(936);
            END_STATE();
        case 128:
            if(lookahead == 'A')
                ADVANCE(150);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(749);
            END_STATE();
        case 129:
            if(lookahead == 'A')
                ADVANCE(850);
            if(lookahead == 'I')
                ADVANCE(738);
            if(lookahead == 'U')
                ADVANCE(805);
            if(lookahead == 'a')
                ADVANCE(400);
            if(lookahead == 'i')
                ADVANCE(468);
            if(lookahead == 'o')
                ADVANCE(251);
            if(lookahead == 'u')
                ADVANCE(368);
            END_STATE();
        case 130:
            if(lookahead == 'A')
                ADVANCE(730);
            if(lookahead == 'a')
                ADVANCE(152);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(791);
            END_STATE();
        case 131:
            if(lookahead == 'A')
                ADVANCE(730);
            if(lookahead == 'a')
                ADVANCE(153);
            if(lookahead == 'o')
                ADVANCE(331);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(791);
            END_STATE();
        case 132:
            if(lookahead == 'A')
                ADVANCE(852);
            if(lookahead == 'a')
                ADVANCE(174);
            END_STATE();
        case 133:
            if(lookahead == 'A')
                ADVANCE(839);
            if(lookahead == 'a')
                ADVANCE(169);
            END_STATE();
        case 134:
            if(lookahead == 'A')
                ADVANCE(802);
            if(lookahead == 'a')
                ADVANCE(163);
            if(lookahead == 'o')
                ADVANCE(377);
            END_STATE();
        case 135:
            if(lookahead == 'A')
                ADVANCE(739);
            if(lookahead == 'a')
                ADVANCE(346);
            if(lookahead == 'e')
                ADVANCE(191);
            END_STATE();
        case 136:
            if(lookahead == 'E')
                ADVANCE(781);
            if(lookahead == 'e')
                ADVANCE(160);
            if(lookahead == 'h')
                ADVANCE(424);
            if(lookahead == 't')
                ADVANCE(458);
            if(lookahead == 'u')
                ADVANCE(457);
            if(lookahead == 'w')
                ADVANCE(339);
            END_STATE();
        case 137:
            if(lookahead == 'E')
                ADVANCE(849);
            if(lookahead == 'e')
                ADVANCE(173);
            END_STATE();
        case 138:
            if(lookahead == 'E')
                ADVANCE(980);
            END_STATE();
        case 139:
            if(lookahead == 'E')
                ADVANCE(982);
            END_STATE();
        case 140:
            if(lookahead == 'E')
                ADVANCE(1066);
            if(lookahead == 'e')
                ADVANCE(1067);
            END_STATE();
        case 141:
            if(lookahead == 'E')
                ADVANCE(1066);
            if(lookahead == 'e')
                ADVANCE(1068);
            END_STATE();
        case 142:
            if(lookahead == 'E')
                ADVANCE(780);
            if(lookahead == 'e')
                ADVANCE(556);
            if(lookahead == 'h')
                ADVANCE(424);
            if(lookahead == 'u')
                ADVANCE(457);
            END_STATE();
        case 143:
            if(lookahead == 'E')
                ADVANCE(179);
            if(lookahead == 'e')
                ADVANCE(180);
            END_STATE();
        case 144:
            if(lookahead == 'E')
                ADVANCE(759);
            if(lookahead == 'e')
                ADVANCE(157);
            END_STATE();
        case 145:
            if(lookahead == 'F')
                ADVANCE(589);
            if(lookahead == 'f')
                ADVANCE(133);
            END_STATE();
        case 146:
            if(lookahead == 'H')
                ADVANCE(1060);
            if(lookahead == 'h')
                ADVANCE(1061);
            END_STATE();
        case 147:
            if(lookahead == 'I')
                ADVANCE(749);
            if(lookahead == 'a')
                ADVANCE(236);
            if(lookahead == 'i')
                ADVANCE(156);
            if(lookahead == 'l')
                ADVANCE(421);
            END_STATE();
        case 148:
            if(lookahead == 'I')
                ADVANCE(813);
            if(lookahead == 'i')
                ADVANCE(166);
            if(lookahead == 'o')
                ADVANCE(418);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(683);
            END_STATE();
        case 149:
            if(lookahead == 'I')
                ADVANCE(814);
            if(lookahead == 'i')
                ADVANCE(423);
            if(lookahead == 's')
                ADVANCE(332);
            END_STATE();
        case 150:
            if(lookahead == 'L')
                ADVANCE(164);
            END_STATE();
        case 151:
            if(lookahead == 'L')
                ADVANCE(815);
            if(lookahead == 'l')
                ADVANCE(167);
            END_STATE();
        case 152:
            if(lookahead == 'L')
                ADVANCE(842);
            if(lookahead == 'l')
                ADVANCE(170);
            END_STATE();
        case 153:
            if(lookahead == 'L')
                ADVANCE(842);
            if(lookahead == 'l')
                ADVANCE(171);
            END_STATE();
        case 154:
            if(lookahead == 'N')
                ADVANCE(699);
            if(lookahead == 'S')
                ADVANCE(664);
            if(lookahead == 'i')
                ADVANCE(404);
            if(lookahead == 'n')
                ADVANCE(149);
            if(lookahead == 's')
                ADVANCE(143);
            END_STATE();
        case 155:
            if(lookahead == 'N')
                ADVANCE(651);
            if(lookahead == 'c')
                ADVANCE(546);
            if(lookahead == 'n')
                ADVANCE(137);
            if(lookahead == 'u')
                ADVANCE(508);
            if(lookahead == 'P' ||
               lookahead == 'p')
                ADVANCE(821);
            END_STATE();
        case 156:
            if(lookahead == 'N')
                ADVANCE(591);
            if(lookahead == 'n')
                ADVANCE(253);
            if(lookahead == 'x')
                ADVANCE(282);
            END_STATE();
        case 157:
            if(lookahead == 'N')
                ADVANCE(832);
            if(lookahead == 'n')
                ADVANCE(240);
            END_STATE();
        case 158:
            if(lookahead == 'O')
                ADVANCE(782);
            if(lookahead == 'a')
                ADVANCE(498);
            if(lookahead == 'o')
                ADVANCE(389);
            END_STATE();
        case 159:
            if(lookahead == 'O')
                ADVANCE(810);
            if(lookahead == 'o')
                ADVANCE(471);
            if(lookahead == 'r')
                ADVANCE(325);
            if(lookahead == 'u')
                ADVANCE(221);
            END_STATE();
        case 160:
            if(lookahead == 'Q')
                ADVANCE(846);
            if(lookahead == 'q')
                ADVANCE(172);
            if(lookahead == 't')
                ADVANCE(483);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(847);
            END_STATE();
        case 161:
            if(lookahead == 'R')
                ADVANCE(168);
            if(lookahead == 'r')
                ADVANCE(691);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(777);
            END_STATE();
        case 162:
            if(lookahead == 'R')
                ADVANCE(691);
            if(lookahead == 'r')
                ADVANCE(560);
            if(lookahead == 'y')
                ADVANCE(446);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(777);
            END_STATE();
        case 163:
            if(lookahead == 'S')
                ADVANCE(687);
            if(lookahead == 's')
                ADVANCE(146);
            END_STATE();
        case 164:
            if(lookahead == 'S')
                ADVANCE(139);
            END_STATE();
        case 165:
            if(lookahead == 'S')
                ADVANCE(664);
            if(lookahead == 'i')
                ADVANCE(404);
            if(lookahead == 'n')
                ADVANCE(499);
            if(lookahead == 's')
                ADVANCE(143);
            END_STATE();
        case 166:
            if(lookahead == 'T')
                ADVANCE(176);
            if(lookahead == 't')
                ADVANCE(177);
            END_STATE();
        case 167:
            if(lookahead == 'T')
                ADVANCE(1083);
            if(lookahead == 't')
                ADVANCE(1048);
            END_STATE();
        case 168:
            if(lookahead == 'U')
                ADVANCE(138);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(735);
            if(lookahead == 'Y' ||
               lookahead == 'y')
                ADVANCE(178);
            END_STATE();
        case 169:
            if(lookahead == 'U')
                ADVANCE(720);
            if(lookahead == 'u')
                ADVANCE(151);
            END_STATE();
        case 170:
            if(lookahead == 'U')
                ADVANCE(654);
            if(lookahead == 'u')
                ADVANCE(140);
            END_STATE();
        case 171:
            if(lookahead == 'U')
                ADVANCE(654);
            if(lookahead == 'u')
                ADVANCE(141);
            END_STATE();
        case 172:
            if(lookahead == 'U')
                ADVANCE(669);
            if(lookahead == 'u')
                ADVANCE(144);
            END_STATE();
        case 173:
            if(lookahead == 'W')
                ADVANCE(588);
            if(lookahead == 'w')
                ADVANCE(132);
            END_STATE();
        case 174:
            if(lookahead == 'Y')
                ADVANCE(1128);
            if(lookahead == 'y')
                ADVANCE(1202);
            END_STATE();
        case 175:
            if(lookahead == '_')
                ADVANCE(641);
            END_STATE();
        case 176:
            if(lookahead == '_')
                ADVANCE(615);
            END_STATE();
        case 177:
            if(lookahead == '_')
                ADVANCE(615);
            if(lookahead == 'f')
                ADVANCE(341);
            if(lookahead == 'm')
                ADVANCE(196);
            if(lookahead == 's')
                ADVANCE(297);
            END_STATE();
        case 178:
            if(lookahead == '_')
                ADVANCE(623);
            END_STATE();
        case 179:
            if(lookahead == '_')
                ADVANCE(642);
            END_STATE();
        case 180:
            if(lookahead == '_')
                ADVANCE(642);
            if(lookahead == 's')
                ADVANCE(1209);
            END_STATE();
        case 181:
            if(lookahead == '_')
                ADVANCE(841);
            END_STATE();
        case 182:
            if(lookahead == '_')
                ADVANCE(787);
            END_STATE();
        case 183:
            if(lookahead == '_')
                ADVANCE(808);
            END_STATE();
        case 184:
            if(lookahead == '_')
                ADVANCE(723);
            END_STATE();
        case 185:
            if(lookahead == '_')
                ADVANCE(645);
            END_STATE();
        case 186:
            if(lookahead == '_')
                ADVANCE(757);
            END_STATE();
        case 187:
            if(lookahead == '_')
                ADVANCE(646);
            END_STATE();
        case 188:
            if(lookahead == '_')
                ADVANCE(647);
            END_STATE();
        case 189:
            if(lookahead == 'a')
                ADVANCE(533);
            END_STATE();
        case 190:
            if(lookahead == 'a')
                ADVANCE(533);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(811);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(747);
            END_STATE();
        case 191:
            if(lookahead == 'a')
                ADVANCE(258);
            END_STATE();
        case 192:
            if(lookahead == 'a')
                ADVANCE(319);
            END_STATE();
        case 193:
            if(lookahead == 'a')
                ADVANCE(486);
            END_STATE();
        case 194:
            if(lookahead == 'a')
                ADVANCE(459);
            END_STATE();
        case 195:
            if(lookahead == 'a')
                ADVANCE(355);
            END_STATE();
        case 196:
            if(lookahead == 'a')
                ADVANCE(488);
            END_STATE();
        case 197:
            if(lookahead == 'a')
                ADVANCE(460);
            END_STATE();
        case 198:
            if(lookahead == 'a')
                ADVANCE(357);
            END_STATE();
        case 199:
            if(lookahead == 'a')
                ADVANCE(357);
            if(lookahead == 'o')
                ADVANCE(331);
            END_STATE();
        case 200:
            if(lookahead == 'a')
                ADVANCE(561);
            END_STATE();
        case 201:
            if(lookahead == 'a')
                ADVANCE(386);
            END_STATE();
        case 202:
            if(lookahead == 'a')
                ADVANCE(347);
            END_STATE();
        case 203:
            if(lookahead == 'a')
                ADVANCE(465);
            END_STATE();
        case 204:
            if(lookahead == 'a')
                ADVANCE(512);
            END_STATE();
        case 205:
            if(lookahead == 'a')
                ADVANCE(399);
            END_STATE();
        case 206:
            if(lookahead == 'a')
                ADVANCE(399);
            if(lookahead == 'i')
                ADVANCE(467);
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(823);
            END_STATE();
        case 207:
            if(lookahead == 'a')
                ADVANCE(543);
            END_STATE();
        case 208:
            if(lookahead == 'a')
                ADVANCE(540);
            END_STATE();
        case 209:
            if(lookahead == 'a')
                ADVANCE(241);
            END_STATE();
        case 210:
            if(lookahead == 'a')
                ADVANCE(380);
            END_STATE();
        case 211:
            if(lookahead == 'a')
                ADVANCE(239);
            END_STATE();
        case 212:
            if(lookahead == 'a')
                ADVANCE(505);
            END_STATE();
        case 213:
            if(lookahead == 'a')
                ADVANCE(348);
            END_STATE();
        case 214:
            if(lookahead == 'a')
                ADVANCE(553);
            END_STATE();
        case 215:
            if(lookahead == 'a')
                ADVANCE(345);
            if(lookahead == 'e')
                ADVANCE(191);
            END_STATE();
        case 216:
            if(lookahead == 'a')
                ADVANCE(226);
            END_STATE();
        case 217:
            if(lookahead == 'b')
                ADVANCE(352);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(651);
            if(lookahead == 'P' ||
               lookahead == 'p')
                ADVANCE(821);
            END_STATE();
        case 218:
            if(lookahead == 'b')
                ADVANCE(506);
            END_STATE();
        case 219:
            if(lookahead == 'b')
                ADVANCE(506);
            if(lookahead == 'l')
                ADVANCE(330);
            END_STATE();
        case 220:
            ADVANCE_MAP(
                'b', 506,
                'l', 330,
                'n', 574,
                't', 530,
                'F', 822,
                'f', 822,
                'M', 689,
                'm', 689,
                'P', 778,
                'p', 778,
                'U', 818,
                'u', 818,
            );
            END_STATE();
        case 221:
            if(lookahead == 'b')
                ADVANCE(360);
            END_STATE();
        case 222:
            if(lookahead == 'b')
                ADVANCE(361);
            END_STATE();
        case 223:
            if(lookahead == 'b')
                ADVANCE(563);
            END_STATE();
        case 224:
            if(lookahead == 'b')
                ADVANCE(362);
            END_STATE();
        case 225:
            if(lookahead == 'b')
                ADVANCE(365);
            END_STATE();
        case 226:
            if(lookahead == 'b')
                ADVANCE(367);
            END_STATE();
        case 227:
            if(lookahead == 'c')
                ADVANCE(227);
            if(lookahead == 'i')
                ADVANCE(1105);
            END_STATE();
        case 228:
            if(lookahead == 'c')
                ADVANCE(322);
            if(lookahead == 's')
                ADVANCE(547);
            END_STATE();
        case 229:
            if(lookahead == 'c')
                ADVANCE(1181);
            if(lookahead == 's')
                ADVANCE(321);
            END_STATE();
        case 230:
            if(lookahead == 'c')
                ADVANCE(320);
            END_STATE();
        case 231:
            if(lookahead == 'c')
                ADVANCE(546);
            END_STATE();
        case 232:
            if(lookahead == 'c')
                ADVANCE(281);
            END_STATE();
        case 233:
            if(lookahead == 'c')
                ADVANCE(281);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(652);
            END_STATE();
        case 234:
            if(lookahead == 'c')
                ADVANCE(195);
            END_STATE();
        case 235:
            if(lookahead == 'c')
                ADVANCE(195);
            if(lookahead == 'n')
                ADVANCE(311);
            END_STATE();
        case 236:
            if(lookahead == 'c')
                ADVANCE(549);
            END_STATE();
        case 237:
            if(lookahead == 'c')
                ADVANCE(516);
            END_STATE();
        case 238:
            if(lookahead == 'c')
                ADVANCE(519);
            END_STATE();
        case 239:
            if(lookahead == 'c')
                ADVANCE(522);
            END_STATE();
        case 240:
            if(lookahead == 'c')
                ADVANCE(269);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(705);
            END_STATE();
        case 241:
            if(lookahead == 'c')
                ADVANCE(279);
            END_STATE();
        case 242:
            if(lookahead == 'c')
                ADVANCE(208);
            END_STATE();
        case 243:
            if(lookahead == 'c')
                ADVANCE(551);
            END_STATE();
        case 244:
            if(lookahead == 'd')
                ADVANCE(992);
            if(lookahead == 'i')
                ADVANCE(998);
            if(lookahead == '\t' ||
               lookahead == ' ')
                ADVANCE(324);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1001);
            END_STATE();
        case 245:
            if(lookahead == 'd')
                ADVANCE(1026);
            END_STATE();
        case 246:
            if(lookahead == 'd')
                ADVANCE(893);
            END_STATE();
        case 247:
            if(lookahead == 'd')
                ADVANCE(1132);
            END_STATE();
        case 248:
            if(lookahead == 'd')
                ADVANCE(1195);
            END_STATE();
        case 249:
            if(lookahead == 'd')
                ADVANCE(1044);
            END_STATE();
        case 250:
            if(lookahead == 'd')
                ADVANCE(77);
            END_STATE();
        case 251:
            if(lookahead == 'd')
                ADVANCE(567);
            END_STATE();
        case 252:
            if(lookahead == 'd')
                ADVANCE(444);
            if(lookahead == 'l')
                ADVANCE(429);
            END_STATE();
        case 253:
            if(lookahead == 'd')
                ADVANCE(290);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(716);
            END_STATE();
        case 254:
            if(lookahead == 'd')
                ADVANCE(266);
            END_STATE();
        case 255:
            if(lookahead == 'd')
                ADVANCE(266);
            if(lookahead == 'i')
                ADVANCE(248);
            if(lookahead == 'n')
                ADVANCE(210);
            if(lookahead == 'p')
                ADVANCE(478);
            END_STATE();
        case 256:
            if(lookahead == 'd')
                ADVANCE(266);
            if(lookahead == 'i')
                ADVANCE(248);
            if(lookahead == 'p')
                ADVANCE(478);
            END_STATE();
        case 257:
            if(lookahead == 'd')
                ADVANCE(288);
            END_STATE();
        case 258:
            if(lookahead == 'd')
                ADVANCE(426);
            END_STATE();
        case 259:
            if(lookahead == 'e')
                ADVANCE(1193);
            END_STATE();
        case 260:
            if(lookahead == 'e')
                ADVANCE(1212);
            END_STATE();
        case 261:
            if(lookahead == 'e')
                ADVANCE(255);
            END_STATE();
        case 262:
            if(lookahead == 'e')
                ADVANCE(573);
            END_STATE();
        case 263:
            if(lookahead == 'e')
                ADVANCE(910);
            END_STATE();
        case 264:
            if(lookahead == 'e')
                ADVANCE(1159);
            END_STATE();
        case 265:
            if(lookahead == 'e')
                ADVANCE(1224);
            END_STATE();
        case 266:
            if(lookahead == 'e')
                ADVANCE(306);
            END_STATE();
        case 267:
            if(lookahead == 'e')
                ADVANCE(1183);
            END_STATE();
        case 268:
            if(lookahead == 'e')
                ADVANCE(1210);
            END_STATE();
        case 269:
            if(lookahead == 'e')
                ADVANCE(928);
            END_STATE();
        case 270:
            if(lookahead == 'e')
                ADVANCE(1160);
            END_STATE();
        case 271:
            if(lookahead == 'e')
                ADVANCE(1205);
            END_STATE();
        case 272:
            if(lookahead == 'e')
                ADVANCE(1038);
            END_STATE();
        case 273:
            if(lookahead == 'e')
                ADVANCE(1164);
            END_STATE();
        case 274:
            if(lookahead == 'e')
                ADVANCE(1162);
            END_STATE();
        case 275:
            if(lookahead == 'e')
                ADVANCE(912);
            END_STATE();
        case 276:
            if(lookahead == 'e')
                ADVANCE(1177);
            END_STATE();
        case 277:
            if(lookahead == 'e')
                ADVANCE(256);
            END_STATE();
        case 278:
            if(lookahead == 'e')
                ADVANCE(1220);
            END_STATE();
        case 279:
            if(lookahead == 'e')
                ADVANCE(1021);
            END_STATE();
        case 280:
            if(lookahead == 'e')
                ADVANCE(308);
            END_STATE();
        case 281:
            if(lookahead == 'e')
                ADVANCE(452);
            END_STATE();
        case 282:
            if(lookahead == 'e')
                ADVANCE(246);
            END_STATE();
        case 283:
            if(lookahead == 'e')
                ADVANCE(358);
            END_STATE();
        case 284:
            if(lookahead == 'e')
                ADVANCE(489);
            END_STATE();
        case 285:
            if(lookahead == 'e')
                ADVANCE(577);
            END_STATE();
        case 286:
            if(lookahead == 'e')
                ADVANCE(490);
            END_STATE();
        case 287:
            if(lookahead == 'e')
                ADVANCE(491);
            END_STATE();
        case 288:
            if(lookahead == 'e')
                ADVANCE(492);
            END_STATE();
        case 289:
            if(lookahead == 'e')
                ADVANCE(250);
            END_STATE();
        case 290:
            if(lookahead == 'e')
                ADVANCE(461);
            END_STATE();
        case 291:
            if(lookahead == 'e')
                ADVANCE(201);
            END_STATE();
        case 292:
            if(lookahead == 'e')
                ADVANCE(494);
            END_STATE();
        case 293:
            if(lookahead == 'e')
                ADVANCE(495);
            END_STATE();
        case 294:
            if(lookahead == 'e')
                ADVANCE(496);
            END_STATE();
        case 295:
            if(lookahead == 'e')
                ADVANCE(514);
            END_STATE();
        case 296:
            if(lookahead == 'e')
                ADVANCE(464);
            END_STATE();
        case 297:
            if(lookahead == 'e')
                ADVANCE(517);
            END_STATE();
        case 298:
            if(lookahead == 'e')
                ADVANCE(534);
            END_STATE();
        case 299:
            if(lookahead == 'e')
                ADVANCE(237);
            END_STATE();
        case 300:
            if(lookahead == 'e')
                ADVANCE(405);
            END_STATE();
        case 301:
            if(lookahead == 'e')
                ADVANCE(310);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(800);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(801);
            END_STATE();
        case 302:
            if(lookahead == 'e')
                ADVANCE(254);
            END_STATE();
        case 303:
            if(lookahead == 'e')
                ADVANCE(407);
            END_STATE();
        case 304:
            if(lookahead == 'e')
                ADVANCE(552);
            END_STATE();
        case 305:
            if(lookahead == 'e')
                ADVANCE(243);
            END_STATE();
        case 306:
            if(lookahead == 'f')
                ADVANCE(1187);
            END_STATE();
        case 307:
            if(lookahead == 'f')
                ADVANCE(341);
            END_STATE();
        case 308:
            if(lookahead == 'f')
                ADVANCE(329);
            END_STATE();
        case 309:
            if(lookahead == 'f')
                ADVANCE(209);
            END_STATE();
        case 310:
            if(lookahead == 'f')
                ADVANCE(200);
            END_STATE();
        case 311:
            if(lookahead == 'g')
                ADVANCE(880);
            END_STATE();
        case 312:
            if(lookahead == 'g')
                ADVANCE(918);
            END_STATE();
        case 313:
            if(lookahead == 'g')
                ADVANCE(923);
            END_STATE();
        case 314:
            if(lookahead == 'g')
                ADVANCE(886);
            END_STATE();
        case 315:
            if(lookahead == 'g')
                ADVANCE(902);
            END_STATE();
        case 316:
            if(lookahead == 'g')
                ADVANCE(905);
            END_STATE();
        case 317:
            if(lookahead == 'g')
                ADVANCE(882);
            END_STATE();
        case 318:
            if(lookahead == 'g')
                ADVANCE(406);
            END_STATE();
        case 319:
            if(lookahead == 'g')
                ADVANCE(286);
            END_STATE();
        case 320:
            if(lookahead == 'h')
                ADVANCE(1191);
            END_STATE();
        case 321:
            if(lookahead == 'h')
                ADVANCE(293);
            END_STATE();
        case 322:
            if(lookahead == 'h')
                ADVANCE(197);
            END_STATE();
        case 323:
            if(lookahead == 'h')
                ADVANCE(441);
            END_STATE();
        case 324:
            if(lookahead == 'i')
                ADVANCE(998);
            if(lookahead == '\t' ||
               lookahead == ' ')
                ADVANCE(324);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1001);
            END_STATE();
        case 325:
            if(lookahead == 'i')
                ADVANCE(384);
            if(lookahead == 'o')
                ADVANCE(571);
            END_STATE();
        case 326:
            if(lookahead == 'i')
                ADVANCE(229);
            END_STATE();
        case 327:
            if(lookahead == 'i')
                ADVANCE(223);
            END_STATE();
        case 328:
            if(lookahead == 'i')
                ADVANCE(570);
            END_STATE();
        case 329:
            if(lookahead == 'i')
                ADVANCE(572);
            END_STATE();
        case 330:
            if(lookahead == 'i')
                ADVANCE(193);
            END_STATE();
        case 331:
            if(lookahead == 'i')
                ADVANCE(245);
            END_STATE();
        case 332:
            if(lookahead == 'i')
                ADVANCE(318);
            END_STATE();
        case 333:
            if(lookahead == 'i')
                ADVANCE(383);
            END_STATE();
        case 334:
            if(lookahead == 'i')
                ADVANCE(383);
            if(lookahead == 'o')
                ADVANCE(571);
            END_STATE();
        case 335:
            if(lookahead == 'i')
                ADVANCE(395);
            if(lookahead == 'u')
                ADVANCE(238);
            END_STATE();
        case 336:
            if(lookahead == 'i')
                ADVANCE(453);
            END_STATE();
        case 337:
            if(lookahead == 'i')
                ADVANCE(532);
            END_STATE();
        case 338:
            if(lookahead == 'i')
                ADVANCE(257);
            END_STATE();
        case 339:
            if(lookahead == 'i')
                ADVANCE(529);
            END_STATE();
        case 340:
            if(lookahead == 'i')
                ADVANCE(398);
            END_STATE();
        case 341:
            if(lookahead == 'i')
                ADVANCE(283);
            END_STATE();
        case 342:
            if(lookahead == 'i')
                ADVANCE(497);
            END_STATE();
        case 343:
            if(lookahead == 'i')
                ADVANCE(526);
            END_STATE();
        case 344:
            if(lookahead == 'i')
                ADVANCE(548);
            if(lookahead == 'o')
                ADVANCE(418);
            END_STATE();
        case 345:
            if(lookahead == 'i')
                ADVANCE(502);
            END_STATE();
        case 346:
            if(lookahead == 'i')
                ADVANCE(502);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(686);
            END_STATE();
        case 347:
            if(lookahead == 'i')
                ADVANCE(503);
            END_STATE();
        case 348:
            if(lookahead == 'i')
                ADVANCE(504);
            END_STATE();
        case 349:
            if(lookahead == 'i')
                ADVANCE(430);
            END_STATE();
        case 350:
            if(lookahead == 'i')
                ADVANCE(432);
            END_STATE();
        case 351:
            if(lookahead == 'i')
                ADVANCE(422);
            END_STATE();
        case 352:
            if(lookahead == 'j')
                ADVANCE(299);
            END_STATE();
        case 353:
            if(lookahead == 'k')
                ADVANCE(1045);
            END_STATE();
        case 354:
            if(lookahead == 'k')
                ADVANCE(285);
            END_STATE();
        case 355:
            if(lookahead == 'l')
                ADVANCE(1018);
            END_STATE();
        case 356:
            if(lookahead == 'l')
                ADVANCE(576);
            END_STATE();
        case 357:
            if(lookahead == 'l')
                ADVANCE(568);
            END_STATE();
        case 358:
            if(lookahead == 'l')
                ADVANCE(249);
            END_STATE();
        case 359:
            if(lookahead == 'l')
                ADVANCE(291);
            END_STATE();
        case 360:
            if(lookahead == 'l')
                ADVANCE(326);
            END_STATE();
        case 361:
            if(lookahead == 'l')
                ADVANCE(263);
            END_STATE();
        case 362:
            if(lookahead == 'l')
                ADVANCE(342);
            END_STATE();
        case 363:
            if(lookahead == 'l')
                ADVANCE(264);
            END_STATE();
        case 364:
            if(lookahead == 'l')
                ADVANCE(268);
            END_STATE();
        case 365:
            if(lookahead == 'l')
                ADVANCE(275);
            END_STATE();
        case 366:
            if(lookahead == 'l')
                ADVANCE(521);
            END_STATE();
        case 367:
            if(lookahead == 'l')
                ADVANCE(276);
            END_STATE();
        case 368:
            if(lookahead == 'l')
                ADVANCE(536);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(825);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(592);
            END_STATE();
        case 369:
            if(lookahead == 'l')
                ADVANCE(429);
            END_STATE();
        case 370:
            if(lookahead == 'l')
                ADVANCE(433);
            if(lookahead == 's')
                ADVANCE(323);
            END_STATE();
        case 371:
            if(lookahead == 'l')
                ADVANCE(434);
            END_STATE();
        case 372:
            if(lookahead == 'm')
                ADVANCE(454);
            if(lookahead == 'n')
                ADVANCE(1029);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1055);
            if(lookahead == 'G' ||
               lookahead == 'g')
                ADVANCE(760);
            END_STATE();
        case 373:
            if(lookahead == 'm')
                ADVANCE(454);
            if(lookahead == 'n')
                ADVANCE(545);
            END_STATE();
        case 374:
            if(lookahead == 'm')
                ADVANCE(1170);
            END_STATE();
        case 375:
            if(lookahead == 'm')
                ADVANCE(1175);
            END_STATE();
        case 376:
            if(lookahead == 'm')
                ADVANCE(337);
            if(lookahead == 'v')
                ADVANCE(300);
            END_STATE();
        case 377:
            if(lookahead == 'm')
                ADVANCE(260);
            END_STATE();
        case 378:
            if(lookahead == 'm')
                ADVANCE(196);
            if(lookahead == 's')
                ADVANCE(297);
            END_STATE();
        case 379:
            if(lookahead == 'm')
                ADVANCE(287);
            END_STATE();
        case 380:
            if(lookahead == 'm')
                ADVANCE(270);
            END_STATE();
        case 381:
            if(lookahead == 'm')
                ADVANCE(445);
            if(lookahead == 'n')
                ADVANCE(410);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(617);
            END_STATE();
        case 382:
            if(lookahead == 'm')
                ADVANCE(445);
            if(lookahead == 'n')
                ADVANCE(411);
            END_STATE();
        case 383:
            if(lookahead == 'm')
                ADVANCE(203);
            END_STATE();
        case 384:
            if(lookahead == 'm')
                ADVANCE(203);
            if(lookahead == 'v')
                ADVANCE(207);
            END_STATE();
        case 385:
            if(lookahead == 'n')
                ADVANCE(1168);
            END_STATE();
        case 386:
            if(lookahead == 'n')
                ADVANCE(891);
            END_STATE();
        case 387:
            if(lookahead == 'n')
                ADVANCE(1014);
            END_STATE();
        case 388:
            if(lookahead == 'n')
                ADVANCE(1047);
            END_STATE();
        case 389:
            if(lookahead == 'n')
                ADVANCE(501);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(617);
            END_STATE();
        case 390:
            if(lookahead == 'n')
                ADVANCE(1028);
            END_STATE();
        case 391:
            if(lookahead == 'n')
                ADVANCE(396);
            END_STATE();
        case 392:
            if(lookahead == 'n')
                ADVANCE(242);
            END_STATE();
        case 393:
            if(lookahead == 'n')
                ADVANCE(557);
            END_STATE();
        case 394:
            if(lookahead == 'n')
                ADVANCE(557);
            if(lookahead == 'v')
                ADVANCE(300);
            if(lookahead == 'x')
                ADVANCE(232);
            END_STATE();
        case 395:
            if(lookahead == 'n')
                ADVANCE(312);
            END_STATE();
        case 396:
            if(lookahead == 'n')
                ADVANCE(435);
            END_STATE();
        case 397:
            if(lookahead == 'n')
                ADVANCE(356);
            END_STATE();
        case 398:
            if(lookahead == 'n')
                ADVANCE(313);
            END_STATE();
        case 399:
            if(lookahead == 'n')
                ADVANCE(192);
            END_STATE();
        case 400:
            if(lookahead == 'n')
                ADVANCE(192);
            if(lookahead == 'p')
                ADVANCE(930);
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(1089);
            END_STATE();
        case 401:
            if(lookahead == 'n')
                ADVANCE(314);
            END_STATE();
        case 402:
            if(lookahead == 'n')
                ADVANCE(315);
            END_STATE();
        case 403:
            if(lookahead == 'n')
                ADVANCE(316);
            END_STATE();
        case 404:
            if(lookahead == 'n')
                ADVANCE(531);
            END_STATE();
        case 405:
            if(lookahead == 'n')
                ADVANCE(542);
            END_STATE();
        case 406:
            if(lookahead == 'n')
                ADVANCE(289);
            END_STATE();
        case 407:
            if(lookahead == 'n')
                ADVANCE(523);
            END_STATE();
        case 408:
            if(lookahead == 'n')
                ADVANCE(527);
            END_STATE();
        case 409:
            if(lookahead == 'n')
                ADVANCE(317);
            END_STATE();
        case 410:
            if(lookahead == 'n')
                ADVANCE(305);
            if(lookahead == 's')
                ADVANCE(511);
            if(lookahead == 't')
                ADVANCE(262);
            END_STATE();
        case 411:
            if(lookahead == 'n')
                ADVANCE(305);
            if(lookahead == 's')
                ADVANCE(510);
            END_STATE();
        case 412:
            if(lookahead == 'n')
                ADVANCE(545);
            END_STATE();
        case 413:
            if(lookahead == 'n')
                ADVANCE(303);
            END_STATE();
        case 414:
            if(lookahead == 'n')
                ADVANCE(351);
            END_STATE();
        case 415:
            if(lookahead == 'o')
                ADVANCE(377);
            END_STATE();
        case 416:
            if(lookahead == 'o')
                ADVANCE(235);
            END_STATE();
        case 417:
            if(lookahead == 'o')
                ADVANCE(251);
            END_STATE();
        case 418:
            if(lookahead == 'o')
                ADVANCE(359);
            END_STATE();
        case 419:
            if(lookahead == 'o')
                ADVANCE(382);
            if(lookahead == 'u')
                ADVANCE(500);
            END_STATE();
        case 420:
            if(lookahead == 'o')
                ADVANCE(375);
            END_STATE();
        case 421:
            if(lookahead == 'o')
                ADVANCE(204);
            END_STATE();
        case 422:
            if(lookahead == 'o')
                ADVANCE(385);
            END_STATE();
        case 423:
            if(lookahead == 'o')
                ADVANCE(385);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1091);
            END_STATE();
        case 424:
            if(lookahead == 'o')
                ADVANCE(476);
            END_STATE();
        case 425:
            if(lookahead == 'o')
                ADVANCE(413);
            END_STATE();
        case 426:
            if(lookahead == 'o')
                ADVANCE(397);
            END_STATE();
        case 427:
            if(lookahead == 'o')
                ADVANCE(463);
            END_STATE();
        case 428:
            if(lookahead == 'o')
                ADVANCE(485);
            END_STATE();
        case 429:
            if(lookahead == 'o')
                ADVANCE(401);
            END_STATE();
        case 430:
            if(lookahead == 'o')
                ADVANCE(387);
            END_STATE();
        case 431:
            if(lookahead == 'o')
                ADVANCE(462);
            END_STATE();
        case 432:
            if(lookahead == 'o')
                ADVANCE(388);
            END_STATE();
        case 433:
            if(lookahead == 'o')
                ADVANCE(402);
            END_STATE();
        case 434:
            if(lookahead == 'o')
                ADVANCE(403);
            END_STATE();
        case 435:
            if(lookahead == 'o')
                ADVANCE(539);
            END_STATE();
        case 436:
            if(lookahead == 'o')
                ADVANCE(409);
            END_STATE();
        case 437:
            if(lookahead == 'o')
                ADVANCE(234);
            END_STATE();
        case 438:
            if(lookahead == 'o')
                ADVANCE(477);
            END_STATE();
        case 439:
            if(lookahead == 'o')
                ADVANCE(479);
            END_STATE();
        case 440:
            if(lookahead == 'o')
                ADVANCE(480);
            END_STATE();
        case 441:
            if(lookahead == 'o')
                ADVANCE(481);
            END_STATE();
        case 442:
            if(lookahead == 'o')
                ADVANCE(484);
            END_STATE();
        case 443:
            if(lookahead == 'o')
                ADVANCE(470);
            if(lookahead == 'r')
                ADVANCE(334);
            if(lookahead == 'u')
                ADVANCE(224);
            END_STATE();
        case 444:
            if(lookahead == 'o')
                ADVANCE(569);
            END_STATE();
        case 445:
            if(lookahead == 'p')
                ADVANCE(425);
            END_STATE();
        case 446:
            if(lookahead == 'p')
                ADVANCE(261);
            END_STATE();
        case 447:
            if(lookahead == 'p')
                ADVANCE(273);
            END_STATE();
        case 448:
            if(lookahead == 'p')
                ADVANCE(274);
            END_STATE();
        case 449:
            if(lookahead == 'p')
                ADVANCE(277);
            END_STATE();
        case 450:
            if(lookahead == 'p')
                ADVANCE(278);
            END_STATE();
        case 451:
            if(lookahead == 'p')
                ADVANCE(302);
            END_STATE();
        case 452:
            if(lookahead == 'p')
                ADVANCE(538);
            END_STATE();
        case 453:
            if(lookahead == 'p')
                ADVANCE(364);
            END_STATE();
        case 454:
            if(lookahead == 'p')
                ADVANCE(438);
            END_STATE();
        case 455:
            if(lookahead == 'p')
                ADVANCE(439);
            END_STATE();
        case 456:
            if(lookahead == 'p')
                ADVANCE(440);
            END_STATE();
        case 457:
            if(lookahead == 'p')
                ADVANCE(455);
            END_STATE();
        case 458:
            if(lookahead == 'r')
                ADVANCE(335);
            END_STATE();
        case 459:
            if(lookahead == 'r')
                ADVANCE(913);
            END_STATE();
        case 460:
            if(lookahead == 'r')
                ADVANCE(915);
            END_STATE();
        case 461:
            if(lookahead == 'r')
                ADVANCE(1218);
            END_STATE();
        case 462:
            if(lookahead == 'r')
                ADVANCE(1223);
            END_STATE();
        case 463:
            if(lookahead == 'r')
                ADVANCE(575);
            END_STATE();
        case 464:
            if(lookahead == 'r')
                ADVANCE(309);
            END_STATE();
        case 465:
            if(lookahead == 'r')
                ADVANCE(578);
            END_STATE();
        case 466:
            if(lookahead == 'r')
                ADVANCE(566);
            END_STATE();
        case 467:
            if(lookahead == 'r')
                ADVANCE(482);
            END_STATE();
        case 468:
            if(lookahead == 'r')
                ADVANCE(482);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1087);
            END_STATE();
        case 469:
            if(lookahead == 'r')
                ADVANCE(327);
            END_STATE();
        case 470:
            if(lookahead == 'r')
                ADVANCE(509);
            END_STATE();
        case 471:
            if(lookahead == 'r')
                ADVANCE(509);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(701);
            END_STATE();
        case 472:
            if(lookahead == 'r')
                ADVANCE(202);
            END_STATE();
        case 473:
            if(lookahead == 'r')
                ADVANCE(211);
            END_STATE();
        case 474:
            if(lookahead == 'r')
                ADVANCE(340);
            END_STATE();
        case 475:
            if(lookahead == 'r')
                ADVANCE(333);
            END_STATE();
        case 476:
            if(lookahead == 'r')
                ADVANCE(515);
            END_STATE();
        case 477:
            if(lookahead == 'r')
                ADVANCE(518);
            END_STATE();
        case 478:
            if(lookahead == 'r')
                ADVANCE(280);
            END_STATE();
        case 479:
            if(lookahead == 'r')
                ADVANCE(537);
            END_STATE();
        case 480:
            if(lookahead == 'r')
                ADVANCE(524);
            END_STATE();
        case 481:
            if(lookahead == 'r')
                ADVANCE(525);
            END_STATE();
        case 482:
            if(lookahead == 'r')
                ADVANCE(428);
            END_STATE();
        case 483:
            if(lookahead == 'r')
                ADVANCE(213);
            END_STATE();
        case 484:
            if(lookahead == 'r')
                ADVANCE(554);
            END_STATE();
        case 485:
            if(lookahead == 'r')
                ADVANCE(456);
            END_STATE();
        case 486:
            if(lookahead == 's')
                ADVANCE(1174);
            END_STATE();
        case 487:
            if(lookahead == 's')
                ADVANCE(1214);
            END_STATE();
        case 488:
            if(lookahead == 's')
                ADVANCE(353);
            END_STATE();
        case 489:
            if(lookahead == 's')
                ADVANCE(1035);
            END_STATE();
        case 490:
            if(lookahead == 's')
                ADVANCE(1213);
            END_STATE();
        case 491:
            if(lookahead == 's')
                ADVANCE(1216);
            END_STATE();
        case 492:
            if(lookahead == 's')
                ADVANCE(1208);
            END_STATE();
        case 493:
            if(lookahead == 's')
                ADVANCE(1179);
            END_STATE();
        case 494:
            if(lookahead == 's')
                ADVANCE(1040);
            END_STATE();
        case 495:
            if(lookahead == 's')
                ADVANCE(1215);
            END_STATE();
        case 496:
            if(lookahead == 's')
                ADVANCE(1041);
            END_STATE();
        case 497:
            if(lookahead == 's')
                ADVANCE(321);
            END_STATE();
        case 498:
            if(lookahead == 's')
                ADVANCE(259);
            END_STATE();
        case 499:
            if(lookahead == 's')
                ADVANCE(332);
            END_STATE();
        case 500:
            if(lookahead == 's')
                ADVANCE(535);
            END_STATE();
        case 501:
            if(lookahead == 's')
                ADVANCE(564);
            if(lookahead == 't')
                ADVANCE(262);
            END_STATE();
        case 502:
            if(lookahead == 's')
                ADVANCE(284);
            END_STATE();
        case 503:
            if(lookahead == 's')
                ADVANCE(292);
            END_STATE();
        case 504:
            if(lookahead == 's')
                ADVANCE(294);
            END_STATE();
        case 505:
            if(lookahead == 's')
                ADVANCE(271);
            END_STATE();
        case 506:
            if(lookahead == 's')
                ADVANCE(550);
            END_STATE();
        case 507:
            if(lookahead == 't')
                ADVANCE(530);
            if(lookahead == 'P' ||
               lookahead == 'p')
                ADVANCE(778);
            END_STATE();
        case 508:
            if(lookahead == 't')
                ADVANCE(1031);
            END_STATE();
        case 509:
            if(lookahead == 't')
                ADVANCE(1221);
            END_STATE();
        case 510:
            if(lookahead == 't')
                ADVANCE(1172);
            END_STATE();
        case 511:
            if(lookahead == 't')
                ADVANCE(1172);
            if(lookahead == 'u')
                ADVANCE(379);
            END_STATE();
        case 512:
            if(lookahead == 't')
                ADVANCE(908);
            END_STATE();
        case 513:
            if(lookahead == 't')
                ADVANCE(1033);
            END_STATE();
        case 514:
            if(lookahead == 't')
                ADVANCE(895);
            END_STATE();
        case 515:
            if(lookahead == 't')
                ADVANCE(876);
            END_STATE();
        case 516:
            if(lookahead == 't')
                ADVANCE(1200);
            END_STATE();
        case 517:
            if(lookahead == 't')
                ADVANCE(1042);
            END_STATE();
        case 518:
            if(lookahead == 't')
                ADVANCE(1198);
            END_STATE();
        case 519:
            if(lookahead == 't')
                ADVANCE(1166);
            END_STATE();
        case 520:
            if(lookahead == 't')
                ADVANCE(1204);
            END_STATE();
        case 521:
            if(lookahead == 't')
                ADVANCE(1048);
            END_STATE();
        case 522:
            if(lookahead == 't')
                ADVANCE(1019);
            END_STATE();
        case 523:
            if(lookahead == 't')
                ADVANCE(1207);
            END_STATE();
        case 524:
            if(lookahead == 't')
                ADVANCE(1222);
            END_STATE();
        case 525:
            if(lookahead == 't')
                ADVANCE(899);
            END_STATE();
        case 526:
            if(lookahead == 't')
                ADVANCE(378);
            END_STATE();
        case 527:
            if(lookahead == 't')
                ADVANCE(118);
            END_STATE();
        case 528:
            if(lookahead == 't')
                ADVANCE(579);
            END_STATE();
        case 529:
            if(lookahead == 't')
                ADVANCE(230);
            END_STATE();
        case 530:
            if(lookahead == 't')
                ADVANCE(469);
            END_STATE();
        case 531:
            if(lookahead == 't')
                ADVANCE(119);
            END_STATE();
        case 532:
            if(lookahead == 't')
                ADVANCE(487);
            END_STATE();
        case 533:
            if(lookahead == 't')
                ADVANCE(328);
            END_STATE();
        case 534:
            if(lookahead == 't')
                ADVANCE(472);
            END_STATE();
        case 535:
            if(lookahead == 't')
                ADVANCE(420);
            END_STATE();
        case 536:
            if(lookahead == 't')
                ADVANCE(336);
            END_STATE();
        case 537:
            if(lookahead == 't')
                ADVANCE(493);
            END_STATE();
        case 538:
            if(lookahead == 't')
                ADVANCE(349);
            END_STATE();
        case 539:
            if(lookahead == 't')
                ADVANCE(214);
            END_STATE();
        case 540:
            if(lookahead == 't')
                ADVANCE(216);
            END_STATE();
        case 541:
            if(lookahead == 't')
                ADVANCE(466);
            END_STATE();
        case 542:
            if(lookahead == 't')
                ADVANCE(528);
            END_STATE();
        case 543:
            if(lookahead == 't')
                ADVANCE(267);
            END_STATE();
        case 544:
            if(lookahead == 't')
                ADVANCE(272);
            END_STATE();
        case 545:
            if(lookahead == 't')
                ADVANCE(296);
            END_STATE();
        case 546:
            if(lookahead == 't')
                ADVANCE(295);
            END_STATE();
        case 547:
            if(lookahead == 't')
                ADVANCE(474);
            END_STATE();
        case 548:
            if(lookahead == 't')
                ADVANCE(307);
            END_STATE();
        case 549:
            if(lookahead == 't')
                ADVANCE(427);
            END_STATE();
        case 550:
            if(lookahead == 't')
                ADVANCE(473);
            END_STATE();
        case 551:
            if(lookahead == 't')
                ADVANCE(431);
            END_STATE();
        case 552:
            if(lookahead == 't')
                ADVANCE(580);
            END_STATE();
        case 553:
            if(lookahead == 't')
                ADVANCE(350);
            END_STATE();
        case 554:
            if(lookahead == 't')
                ADVANCE(555);
            END_STATE();
        case 555:
            if(lookahead == 't')
                ADVANCE(582);
            END_STATE();
        case 556:
            if(lookahead == 't')
                ADVANCE(483);
            if(lookahead == 'Q' ||
               lookahead == 'q')
                ADVANCE(846);
            END_STATE();
        case 557:
            if(lookahead == 'u')
                ADVANCE(374);
            END_STATE();
        case 558:
            if(lookahead == 'u')
                ADVANCE(374);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(175);
            END_STATE();
        case 559:
            if(lookahead == 'u')
                ADVANCE(457);
            END_STATE();
        case 560:
            if(lookahead == 'u')
                ADVANCE(392);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(735);
            if(lookahead == 'Y' ||
               lookahead == 'y')
                ADVANCE(178);
            END_STATE();
        case 561:
            if(lookahead == 'u')
                ADVANCE(366);
            END_STATE();
        case 562:
            if(lookahead == 'u')
                ADVANCE(513);
            END_STATE();
        case 563:
            if(lookahead == 'u')
                ADVANCE(544);
            END_STATE();
        case 564:
            if(lookahead == 'u')
                ADVANCE(379);
            END_STATE();
        case 565:
            if(lookahead == 'u')
                ADVANCE(222);
            END_STATE();
        case 566:
            if(lookahead == 'u')
                ADVANCE(238);
            END_STATE();
        case 567:
            if(lookahead == 'u')
                ADVANCE(363);
            END_STATE();
        case 568:
            if(lookahead == 'u')
                ADVANCE(304);
            END_STATE();
        case 569:
            if(lookahead == 'u')
                ADVANCE(225);
            END_STATE();
        case 570:
            if(lookahead == 'v')
                ADVANCE(265);
            END_STATE();
        case 571:
            if(lookahead == 'v')
                ADVANCE(338);
            END_STATE();
        case 572:
            if(lookahead == 'x')
                ADVANCE(1197);
            END_STATE();
        case 573:
            if(lookahead == 'x')
                ADVANCE(520);
            END_STATE();
        case 574:
            if(lookahead == 'y')
                ADVANCE(925);
            END_STATE();
        case 575:
            if(lookahead == 'y')
                ADVANCE(1185);
            END_STATE();
        case 576:
            if(lookahead == 'y')
                ADVANCE(1036);
            END_STATE();
        case 577:
            if(lookahead == 'y')
                ADVANCE(1217);
            END_STATE();
        case 578:
            if(lookahead == 'y')
                ADVANCE(354);
            END_STATE();
        case 579:
            if(lookahead == 'y')
                ADVANCE(447);
            END_STATE();
        case 580:
            if(lookahead == 'y')
                ADVANCE(448);
            END_STATE();
        case 581:
            if(lookahead == 'y')
                ADVANCE(449);
            END_STATE();
        case 582:
            if(lookahead == 'y')
                ADVANCE(450);
            END_STATE();
        case 583:
            if(lookahead == 'y')
                ADVANCE(451);
            END_STATE();
        case 584:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(850);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(738);
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(805);
            END_STATE();
        case 585:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(848);
            END_STATE();
        case 586:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1107);
            END_STATE();
        case 587:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1125);
            END_STATE();
        case 588:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(852);
            END_STATE();
        case 589:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(839);
            END_STATE();
        case 590:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(802);
            END_STATE();
        case 591:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(716);
            END_STATE();
        case 592:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(616);
            END_STATE();
        case 593:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(737);
            END_STATE();
        case 594:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(739);
            END_STATE();
        case 595:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(785);
            END_STATE();
        case 596:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(182);
            END_STATE();
        case 597:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(717);
            END_STATE();
        case 598:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(795);
            END_STATE();
        case 599:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(718);
            END_STATE();
        case 600:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(719);
            END_STATE();
        case 601:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(721);
            END_STATE();
        case 602:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(753);
            END_STATE();
        case 603:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(829);
            END_STATE();
        case 604:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(726);
            END_STATE();
        case 605:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(845);
            END_STATE();
        case 606:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(620);
            END_STATE();
        case 607:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(833);
            END_STATE();
        case 608:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(834);
            END_STATE();
        case 609:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(835);
            END_STATE();
        case 610:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(836);
            END_STATE();
        case 611:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(837);
            END_STATE();
        case 612:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(797);
            END_STATE();
        case 613:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(798);
            END_STATE();
        case 614:
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(799);
            END_STATE();
        case 615:
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(773);
            END_STATE();
        case 616:
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(725);
            END_STATE();
        case 617:
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(587);
            END_STATE();
        case 618:
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(603);
            END_STATE();
        case 619:
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(702);
            END_STATE();
        case 620:
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(728);
            END_STATE();
        case 621:
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(1157);
            END_STATE();
        case 622:
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(639);
            if(lookahead == 'M' ||
               lookahead == 'm')
                ADVANCE(715);
            END_STATE();
        case 623:
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(766);
            END_STATE();
        case 624:
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(724);
            END_STATE();
        case 625:
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(595);
            END_STATE();
        case 626:
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(817);
            END_STATE();
        case 627:
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(656);
            END_STATE();
        case 628:
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(732);
            END_STATE();
        case 629:
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(733);
            END_STATE();
        case 630:
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(734);
            END_STATE();
        case 631:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(800);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(801);
            END_STATE();
        case 632:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1055);
            if(lookahead == 'G' ||
               lookahead == 'g')
                ADVANCE(760);
            END_STATE();
        case 633:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1057);
            END_STATE();
        case 634:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1097);
            END_STATE();
        case 635:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1139);
            END_STATE();
        case 636:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1093);
            END_STATE();
        case 637:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1145);
            END_STATE();
        case 638:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1080);
            END_STATE();
        case 639:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(783);
            END_STATE();
        case 640:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(175);
            END_STATE();
        case 641:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(665);
            if(lookahead == 'F' ||
               lookahead == 'f')
                ADVANCE(706);
            END_STATE();
        case 642:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(677);
            END_STATE();
        case 643:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(671);
            END_STATE();
        case 644:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(606);
            END_STATE();
        case 645:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(678);
            END_STATE();
        case 646:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(679);
            if(lookahead == 'F' ||
               lookahead == 'f')
                ADVANCE(710);
            END_STATE();
        case 647:
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(680);
            END_STATE();
        case 648:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(683);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(813);
            END_STATE();
        case 649:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(781);
            END_STATE();
        case 650:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(851);
            END_STATE();
        case 651:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(849);
            END_STATE();
        case 652:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(750);
            END_STATE();
        case 653:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1085);
            END_STATE();
        case 654:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1066);
            END_STATE();
        case 655:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1074);
            END_STATE();
        case 656:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1123);
            END_STATE();
        case 657:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1121);
            END_STATE();
        case 658:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1073);
            END_STATE();
        case 659:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1111);
            END_STATE();
        case 660:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(780);
            END_STATE();
        case 661:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(779);
            END_STATE();
        case 662:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(793);
            END_STATE();
        case 663:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(811);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(747);
            END_STATE();
        case 664:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(179);
            END_STATE();
        case 665:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(624);
            END_STATE();
        case 666:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(634);
            END_STATE();
        case 667:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(748);
            END_STATE();
        case 668:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(786);
            END_STATE();
        case 669:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(759);
            END_STATE();
        case 670:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(184);
            END_STATE();
        case 671:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(794);
            END_STATE();
        case 672:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(812);
            END_STATE();
        case 673:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(637);
            END_STATE();
        case 674:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(803);
            END_STATE();
        case 675:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(756);
            END_STATE();
        case 676:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(789);
            END_STATE();
        case 677:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(685);
            END_STATE();
        case 678:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(628);
            END_STATE();
        case 679:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(629);
            END_STATE();
        case 680:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(630);
            END_STATE();
        case 681:
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(188);
            END_STATE();
        case 682:
            ADVANCE_MAP(
                'F', 822,
                'f', 822,
                'M', 689,
                'm', 689,
                'P', 778,
                'p', 778,
                'U', 818,
                'u', 818,
            );
            END_STATE();
        case 683:
            if(lookahead == 'F' ||
               lookahead == 'f')
                ADVANCE(763);
            if(lookahead == 'G' ||
               lookahead == 'g')
                ADVANCE(700);
            END_STATE();
        case 684:
            if(lookahead == 'F' ||
               lookahead == 'f')
                ADVANCE(589);
            END_STATE();
        case 685:
            if(lookahead == 'F' ||
               lookahead == 'f')
                ADVANCE(605);
            END_STATE();
        case 686:
            if(lookahead == 'G' ||
               lookahead == 'g')
                ADVANCE(653);
            END_STATE();
        case 687:
            if(lookahead == 'H' ||
               lookahead == 'h')
                ADVANCE(1060);
            END_STATE();
        case 688:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(749);
            END_STATE();
        case 689:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1130);
            END_STATE();
        case 690:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(735);
            END_STATE();
        case 691:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(735);
            if(lookahead == 'Y' ||
               lookahead == 'y')
                ADVANCE(178);
            END_STATE();
        case 692:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(854);
            END_STATE();
        case 693:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(736);
            END_STATE();
        case 694:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(621);
            END_STATE();
        case 695:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(775);
            END_STATE();
        case 696:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(619);
            END_STATE();
        case 697:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(627);
            END_STATE();
        case 698:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(633);
            END_STATE();
        case 699:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(814);
            END_STATE();
        case 700:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(761);
            END_STATE();
        case 701:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(827);
            END_STATE();
        case 702:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(731);
            END_STATE();
        case 703:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(819);
            END_STATE();
        case 704:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(604);
            END_STATE();
        case 705:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(600);
            END_STATE();
        case 706:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(727);
            END_STATE();
        case 707:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(767);
            END_STATE();
        case 708:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(768);
            END_STATE();
        case 709:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(830);
            END_STATE();
        case 710:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(729);
            END_STATE();
        case 711:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(769);
            END_STATE();
        case 712:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(770);
            END_STATE();
        case 713:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(771);
            END_STATE();
        case 714:
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(772);
            END_STATE();
        case 715:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1153);
            END_STATE();
        case 716:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1072);
            END_STATE();
        case 717:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1095);
            END_STATE();
        case 718:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1062);
            END_STATE();
        case 719:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1059);
            END_STATE();
        case 720:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(815);
            END_STATE();
        case 721:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(186);
            END_STATE();
        case 722:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(816);
            END_STATE();
        case 723:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(709);
            END_STATE();
        case 724:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(598);
            END_STATE();
        case 725:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(655);
            END_STATE();
        case 726:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(692);
            END_STATE();
        case 727:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(657);
            END_STATE();
        case 728:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(658);
            END_STATE();
        case 729:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(659);
            END_STATE();
        case 730:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(842);
            END_STATE();
        case 731:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(703);
            END_STATE();
        case 732:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(612);
            END_STATE();
        case 733:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(613);
            END_STATE();
        case 734:
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(614);
            END_STATE();
        case 735:
            if(lookahead == 'M' ||
               lookahead == 'm')
                ADVANCE(1143);
            END_STATE();
        case 736:
            if(lookahead == 'M' ||
               lookahead == 'm')
                ADVANCE(1099);
            END_STATE();
        case 737:
            if(lookahead == 'M' ||
               lookahead == 'm')
                ADVANCE(674);
            END_STATE();
        case 738:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1087);
            END_STATE();
        case 739:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(686);
            END_STATE();
        case 740:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1064);
            END_STATE();
        case 741:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1117);
            END_STATE();
        case 742:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1119);
            END_STATE();
        case 743:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1115);
            END_STATE();
        case 744:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1113);
            END_STATE();
        case 745:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1147);
            END_STATE();
        case 746:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(699);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(664);
            END_STATE();
        case 747:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(183);
            END_STATE();
        case 748:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(644);
            END_STATE();
        case 749:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(591);
            END_STATE();
        case 750:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(807);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(754);
            END_STATE();
        case 751:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(806);
            END_STATE();
        case 752:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(636);
            END_STATE();
        case 753:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(638);
            END_STATE();
        case 754:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(597);
            END_STATE();
        case 755:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(599);
            END_STATE();
        case 756:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(838);
            END_STATE();
        case 757:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(593);
            END_STATE();
        case 758:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(643);
            END_STATE();
        case 759:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(832);
            END_STATE();
        case 760:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(774);
            END_STATE();
        case 761:
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(187);
            END_STATE();
        case 762:
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(782);
            END_STATE();
        case 763:
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(796);
            END_STATE();
        case 764:
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(810);
            END_STATE();
        case 765:
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(698);
            END_STATE();
        case 766:
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(751);
            END_STATE();
        case 767:
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(740);
            END_STATE();
        case 768:
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(741);
            END_STATE();
        case 769:
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(742);
            END_STATE();
        case 770:
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(743);
            END_STATE();
        case 771:
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(744);
            END_STATE();
        case 772:
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(745);
            END_STATE();
        case 773:
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(843);
            END_STATE();
        case 774:
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(792);
            END_STATE();
        case 775:
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(755);
            END_STATE();
        case 776:
            if(lookahead == 'P' ||
               lookahead == 'p')
                ADVANCE(778);
            END_STATE();
        case 777:
            if(lookahead == 'P' ||
               lookahead == 'p')
                ADVANCE(694);
            END_STATE();
        case 778:
            if(lookahead == 'P' ||
               lookahead == 'p')
                ADVANCE(667);
            END_STATE();
        case 779:
            if(lookahead == 'P' ||
               lookahead == 'p')
                ADVANCE(790);
            END_STATE();
        case 780:
            if(lookahead == 'Q' ||
               lookahead == 'q')
                ADVANCE(846);
            END_STATE();
        case 781:
            if(lookahead == 'Q' ||
               lookahead == 'q')
                ADVANCE(846);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(847);
            END_STATE();
        case 782:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(617);
            END_STATE();
        case 783:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1149);
            END_STATE();
        case 784:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(840);
            END_STATE();
        case 785:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(635);
            END_STATE();
        case 786:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(704);
            END_STATE();
        case 787:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(661);
            END_STATE();
        case 788:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(690);
            END_STATE();
        case 789:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(601);
            END_STATE();
        case 790:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(672);
            END_STATE();
        case 791:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(618);
            END_STATE();
        case 792:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(670);
            END_STATE();
        case 793:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(185);
            END_STATE();
        case 794:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(809);
            END_STATE();
        case 795:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(607);
            END_STATE();
        case 796:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(681);
            END_STATE();
        case 797:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(608);
            END_STATE();
        case 798:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(609);
            END_STATE();
        case 799:
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(610);
            END_STATE();
        case 800:
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1126);
            END_STATE();
        case 801:
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(625);
            END_STATE();
        case 802:
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(687);
            END_STATE();
        case 803:
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1135);
            END_STATE();
        case 804:
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(664);
            END_STATE();
        case 805:
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(825);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(592);
            END_STATE();
        case 806:
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(828);
            END_STATE();
        case 807:
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(696);
            END_STATE();
        case 808:
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(668);
            END_STATE();
        case 809:
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(831);
            END_STATE();
        case 810:
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(701);
            END_STATE();
        case 811:
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(826);
            END_STATE();
        case 812:
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(675);
            END_STATE();
        case 813:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(176);
            END_STATE();
        case 814:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1091);
            END_STATE();
        case 815:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1083);
            END_STATE();
        case 816:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1141);
            END_STATE();
        case 817:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1137);
            END_STATE();
        case 818:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(765);
            END_STATE();
        case 819:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(853);
            END_STATE();
        case 820:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(596);
            END_STATE();
        case 821:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(695);
            END_STATE();
        case 822:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(662);
            END_STATE();
        case 823:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(592);
            END_STATE();
        case 824:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(652);
            END_STATE();
        case 825:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(181);
            END_STATE();
        case 826:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(666);
            END_STATE();
        case 827:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(707);
            END_STATE();
        case 828:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(784);
            END_STATE();
        case 829:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(693);
            END_STATE();
        case 830:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(676);
            END_STATE();
        case 831:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(602);
            END_STATE();
        case 832:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(705);
            END_STATE();
        case 833:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(708);
            END_STATE();
        case 834:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(711);
            END_STATE();
        case 835:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(712);
            END_STATE();
        case 836:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(713);
            END_STATE();
        case 837:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(714);
            END_STATE();
        case 838:
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(611);
            END_STATE();
        case 839:
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(720);
            END_STATE();
        case 840:
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(626);
            END_STATE();
        case 841:
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(758);
            END_STATE();
        case 842:
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(654);
            END_STATE();
        case 843:
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(752);
            END_STATE();
        case 844:
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(823);
            END_STATE();
        case 845:
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(722);
            END_STATE();
        case 846:
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(669);
            END_STATE();
        case 847:
            if(lookahead == 'V' ||
               lookahead == 'v')
                ADVANCE(697);
            END_STATE();
        case 848:
            if(lookahead == 'V' ||
               lookahead == 'v')
                ADVANCE(586);
            END_STATE();
        case 849:
            if(lookahead == 'W' ||
               lookahead == 'w')
                ADVANCE(588);
            END_STATE();
        case 850:
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(1089);
            END_STATE();
        case 851:
            if(lookahead == 'Y' ||
               lookahead == 'y')
                ADVANCE(1078);
            END_STATE();
        case 852:
            if(lookahead == 'Y' ||
               lookahead == 'y')
                ADVANCE(1128);
            END_STATE();
        case 853:
            if(lookahead == 'Y' ||
               lookahead == 'y')
                ADVANCE(1070);
            END_STATE();
        case 854:
            if(lookahead == 'Z' ||
               lookahead == 'z')
                ADVANCE(673);
            END_STATE();
        case 855:
            if(lookahead == '0' ||
               lookahead == '1')
                ADVANCE(946);
            END_STATE();
        case 856:
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(950);
            END_STATE();
        case 857:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(956);
            END_STATE();
        case 858:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(965);
            END_STATE();
        case 859:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(858);
            END_STATE();
        case 860:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(859);
            END_STATE();
        case 861:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(860);
            END_STATE();
        case 862:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(861);
            END_STATE();
        case 863:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(862);
            END_STATE();
        case 864:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(863);
            END_STATE();
        case 865:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(864);
            END_STATE();
        case 866:
            if(lookahead != 0 &&
               lookahead != '*')
                ADVANCE(1006);
            END_STATE();
        case 867:
            if(eof)
                ADVANCE(875);
            if(lookahead == '\n')
                SKIP(0);
            END_STATE();
        case 868:
            if(eof)
                ADVANCE(875);
            if(lookahead == '\n')
                SKIP(0);
            if(lookahead == '\r')
                SKIP(867);
            END_STATE();
        case 869:
            if(eof)
                ADVANCE(875);
            if(lookahead == '\n')
                SKIP(874);
            END_STATE();
        case 870:
            if(eof)
                ADVANCE(875);
            if(lookahead == '\n')
                SKIP(874);
            if(lookahead == '\r')
                SKIP(869);
            END_STATE();
        case 871:
            if(eof)
                ADVANCE(875);
            if(lookahead == '\n')
                SKIP(873);
            END_STATE();
        case 872:
            if(eof)
                ADVANCE(875);
            if(lookahead == '\n')
                SKIP(873);
            if(lookahead == '\r')
                SKIP(871);
            END_STATE();
        case 873:
            if(eof)
                ADVANCE(875);
            ADVANCE_MAP(
                '"', 969,
                '%', 942,
                '&', 934,
                '\'', 975,
                '(', 943,
                ')', 944,
                '*', 939,
                '+', 937,
                ',', 927,
                '-', 938,
                '/', 941,
                '0', 953,
                ':', 1024,
                ';', 1025,
                '<', 127,
                '=', 1054,
                '>', 922,
                'F', 1236,
                'L', 974,
                'O', 1280,
                'T', 1241,
                'V', 1256,
            );
            if(lookahead == '\\')
                SKIP(872);
            if(lookahead == ']')
                ADVANCE(1190);
            if(lookahead == '^')
                ADVANCE(933);
            if(lookahead == 'a')
                ADVANCE(1403);
            if(lookahead == 'b')
                ADVANCE(1425);
            if(lookahead == 'c')
                ADVANCE(1358);
            if(lookahead == 'd')
                ADVANCE(1421);
            if(lookahead == 'f')
                ADVANCE(1362);
            if(lookahead == 'i')
                ADVANCE(1407);
            if(lookahead == 'l')
                ADVANCE(1423);
            if(lookahead == 'm')
                ADVANCE(1261);
            if(lookahead == 'o')
                ADVANCE(1294);
            if(lookahead == 's')
                ADVANCE(1314);
            if(lookahead == 'u')
                ADVANCE(1370);
            if(lookahead == 'w')
                ADVANCE(1286);
            if(lookahead == '{')
                ADVANCE(1016);
            if(lookahead == '|')
                ADVANCE(932);
            if(lookahead == '}')
                ADVANCE(1017);
            if(lookahead == '~')
                ADVANCE(945);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(873);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(955);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 874:
            if(eof)
                ADVANCE(875);
            if(lookahead == '#')
                ADVANCE(244);
            if(lookahead == '/')
                ADVANCE(94);
            if(lookahead == '@')
                ADVANCE(1051);
            if(lookahead == '\\')
                SKIP(870);
            if(lookahead == 'a')
                ADVANCE(219);
            if(lookahead == 'b')
                ADVANCE(343);
            if(lookahead == 'c')
                ADVANCE(419);
            if(lookahead == 'e')
                ADVANCE(394);
            if(lookahead == 'h')
                ADVANCE(415);
            if(lookahead == 'i')
                ADVANCE(373);
            if(lookahead == 'l')
                ADVANCE(437);
            if(lookahead == 'm')
                ADVANCE(417);
            if(lookahead == 'n')
                ADVANCE(189);
            if(lookahead == 'p')
                ADVANCE(442);
            if(lookahead == 's')
                ADVANCE(541);
            if(lookahead == 't')
                ADVANCE(581);
            if(lookahead == 'u')
                ADVANCE(414);
            if(lookahead == 'v')
                ADVANCE(198);
            if(lookahead == '}')
                ADVANCE(1017);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(874);
            END_STATE();
        case 875:
            ACCEPT_TOKEN(ts_builtin_sym_end);
            END_STATE();
        case 876:
            ACCEPT_TOKEN(anon_sym_short);
            END_STATE();
        case 877:
            ACCEPT_TOKEN(anon_sym_short);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 878:
            ACCEPT_TOKEN(anon_sym_int16);
            END_STATE();
        case 879:
            ACCEPT_TOKEN(anon_sym_int16);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 880:
            ACCEPT_TOKEN(anon_sym_long);
            if(lookahead == ' ')
                ADVANCE(252);
            END_STATE();
        case 881:
            ACCEPT_TOKEN(anon_sym_long);
            if(lookahead == ' ')
                ADVANCE(252);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 882:
            ACCEPT_TOKEN(anon_sym_long);
            if(lookahead == ' ')
                ADVANCE(369);
            END_STATE();
        case 883:
            ACCEPT_TOKEN(anon_sym_long);
            if(lookahead == ' ')
                ADVANCE(369);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 884:
            ACCEPT_TOKEN(anon_sym_int32);
            END_STATE();
        case 885:
            ACCEPT_TOKEN(anon_sym_int32);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 886:
            ACCEPT_TOKEN(anon_sym_longlong);
            END_STATE();
        case 887:
            ACCEPT_TOKEN(anon_sym_int64);
            END_STATE();
        case 888:
            ACCEPT_TOKEN(anon_sym_int64);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 889:
            ACCEPT_TOKEN(sym_unsigned_tiny_int);
            END_STATE();
        case 890:
            ACCEPT_TOKEN(sym_unsigned_tiny_int);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 891:
            ACCEPT_TOKEN(sym_boolean_type);
            END_STATE();
        case 892:
            ACCEPT_TOKEN(sym_boolean_type);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 893:
            ACCEPT_TOKEN(anon_sym_fixed);
            END_STATE();
        case 894:
            ACCEPT_TOKEN(anon_sym_fixed);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 895:
            ACCEPT_TOKEN(sym_octet_type);
            END_STATE();
        case 896:
            ACCEPT_TOKEN(sym_octet_type);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 897:
            ACCEPT_TOKEN(sym_signed_tiny_int);
            END_STATE();
        case 898:
            ACCEPT_TOKEN(sym_signed_tiny_int);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 899:
            ACCEPT_TOKEN(anon_sym_unsignedshort);
            END_STATE();
        case 900:
            ACCEPT_TOKEN(anon_sym_uint16);
            END_STATE();
        case 901:
            ACCEPT_TOKEN(anon_sym_uint16);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 902:
            ACCEPT_TOKEN(anon_sym_unsignedlong);
            if(lookahead == ' ')
                ADVANCE(371);
            END_STATE();
        case 903:
            ACCEPT_TOKEN(anon_sym_uint32);
            END_STATE();
        case 904:
            ACCEPT_TOKEN(anon_sym_uint32);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 905:
            ACCEPT_TOKEN(anon_sym_unsignedlonglong);
            END_STATE();
        case 906:
            ACCEPT_TOKEN(anon_sym_uint64);
            END_STATE();
        case 907:
            ACCEPT_TOKEN(anon_sym_uint64);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 908:
            ACCEPT_TOKEN(anon_sym_float);
            END_STATE();
        case 909:
            ACCEPT_TOKEN(anon_sym_float);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 910:
            ACCEPT_TOKEN(anon_sym_double);
            END_STATE();
        case 911:
            ACCEPT_TOKEN(anon_sym_double);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 912:
            ACCEPT_TOKEN(anon_sym_longdouble);
            END_STATE();
        case 913:
            ACCEPT_TOKEN(sym_char_type);
            END_STATE();
        case 914:
            ACCEPT_TOKEN(sym_char_type);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 915:
            ACCEPT_TOKEN(sym_wide_char_type);
            END_STATE();
        case 916:
            ACCEPT_TOKEN(sym_wide_char_type);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 917:
            ACCEPT_TOKEN(anon_sym_COLON_COLON);
            END_STATE();
        case 918:
            ACCEPT_TOKEN(anon_sym_string);
            END_STATE();
        case 919:
            ACCEPT_TOKEN(anon_sym_string);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 920:
            ACCEPT_TOKEN(anon_sym_LT);
            END_STATE();
        case 921:
            ACCEPT_TOKEN(anon_sym_GT);
            END_STATE();
        case 922:
            ACCEPT_TOKEN(anon_sym_GT);
            if(lookahead == '>')
                ADVANCE(935);
            END_STATE();
        case 923:
            ACCEPT_TOKEN(anon_sym_wstring);
            END_STATE();
        case 924:
            ACCEPT_TOKEN(anon_sym_wstring);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 925:
            ACCEPT_TOKEN(anon_sym_any);
            END_STATE();
        case 926:
            ACCEPT_TOKEN(anon_sym_any);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 927:
            ACCEPT_TOKEN(anon_sym_COMMA);
            END_STATE();
        case 928:
            ACCEPT_TOKEN(anon_sym_sequence);
            END_STATE();
        case 929:
            ACCEPT_TOKEN(anon_sym_sequence);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 930:
            ACCEPT_TOKEN(anon_sym_map);
            END_STATE();
        case 931:
            ACCEPT_TOKEN(anon_sym_map);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 932:
            ACCEPT_TOKEN(anon_sym_PIPE);
            END_STATE();
        case 933:
            ACCEPT_TOKEN(anon_sym_CARET);
            END_STATE();
        case 934:
            ACCEPT_TOKEN(anon_sym_AMP);
            END_STATE();
        case 935:
            ACCEPT_TOKEN(anon_sym_GT_GT);
            END_STATE();
        case 936:
            ACCEPT_TOKEN(anon_sym_LT_LT);
            END_STATE();
        case 937:
            ACCEPT_TOKEN(anon_sym_PLUS);
            END_STATE();
        case 938:
            ACCEPT_TOKEN(anon_sym_DASH);
            END_STATE();
        case 939:
            ACCEPT_TOKEN(anon_sym_STAR);
            END_STATE();
        case 940:
            ACCEPT_TOKEN(anon_sym_SLASH);
            if(lookahead == '*')
                ADVANCE(1817);
            if(lookahead == '/')
                ADVANCE(1807);
            END_STATE();
        case 941:
            ACCEPT_TOKEN(anon_sym_SLASH);
            if(lookahead == '*')
                ADVANCE(1817);
            if(lookahead == '/')
                ADVANCE(1805);
            END_STATE();
        case 942:
            ACCEPT_TOKEN(anon_sym_PERCENT);
            END_STATE();
        case 943:
            ACCEPT_TOKEN(anon_sym_LPAREN);
            END_STATE();
        case 944:
            ACCEPT_TOKEN(anon_sym_RPAREN);
            END_STATE();
        case 945:
            ACCEPT_TOKEN(anon_sym_TILDE);
            END_STATE();
        case 946:
            ACCEPT_TOKEN(sym_bin_number);
            if(lookahead == '0' ||
               lookahead == '1')
                ADVANCE(946);
            END_STATE();
        case 947:
            ACCEPT_TOKEN(sym_bin_number);
            if(lookahead == '0' ||
               lookahead == '1')
                ADVANCE(947);
            if(('2' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 948:
            ACCEPT_TOKEN(aux_sym_oct_number_token1);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(948);
            END_STATE();
        case 949:
            ACCEPT_TOKEN(aux_sym_oct_number_token1);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(949);
            if(lookahead == '9' ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 950:
            ACCEPT_TOKEN(aux_sym_oct_number_token2);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(950);
            END_STATE();
        case 951:
            ACCEPT_TOKEN(aux_sym_oct_number_token2);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(951);
            if(lookahead == '9' ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 952:
            ACCEPT_TOKEN(anon_sym_0);
            if(lookahead == 'o')
                ADVANCE(856);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(855);
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(857);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(948);
            END_STATE();
        case 953:
            ACCEPT_TOKEN(anon_sym_0);
            if(lookahead == 'o')
                ADVANCE(1802);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(1801);
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(1803);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(949);
            if(lookahead == '9' ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 954:
            ACCEPT_TOKEN(aux_sym_dec_number_token1);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(954);
            END_STATE();
        case 955:
            ACCEPT_TOKEN(aux_sym_dec_number_token1);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(955);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 956:
            ACCEPT_TOKEN(sym_hex_number);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(956);
            END_STATE();
        case 957:
            ACCEPT_TOKEN(sym_hex_number);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(957);
            if(('G' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 958:
            ACCEPT_TOKEN(anon_sym_DOT);
            END_STATE();
        case 959:
            ACCEPT_TOKEN(aux_sym_floating_pt_literal_token1);
            END_STATE();
        case 960:
            ACCEPT_TOKEN(aux_sym_floating_pt_literal_token1);
            if(lookahead == 'N')
                ADVANCE(640);
            if(lookahead == 'X')
                ADVANCE(824);
            if(lookahead == 'm')
                ADVANCE(337);
            if(lookahead == 'n')
                ADVANCE(558);
            if(lookahead == 'v')
                ADVANCE(300);
            if(lookahead == 'x')
                ADVANCE(233);
            END_STATE();
        case 961:
            ACCEPT_TOKEN(aux_sym_floating_pt_literal_token1);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(640);
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(824);
            END_STATE();
        case 962:
            ACCEPT_TOKEN(aux_sym_fixed_pt_literal_token1);
            END_STATE();
        case 963:
            ACCEPT_TOKEN(aux_sym_fixed_pt_literal_token1);
            ADVANCE_MAP(
                'E', 684,
                'e', 145,
                'o', 565,
                'A', 820,
                'a', 820,
                'D', 800,
                'd', 800,
                'I', 801,
                'i', 801,
            );
            END_STATE();
        case 964:
            ACCEPT_TOKEN(aux_sym_fixed_pt_literal_token1);
            ADVANCE_MAP(
                'A', 820,
                'a', 820,
                'D', 800,
                'd', 800,
                'E', 684,
                'e', 684,
                'I', 801,
                'i', 801,
            );
            END_STATE();
        case 965:
            ACCEPT_TOKEN(sym_escape_sequence);
            END_STATE();
        case 966:
            ACCEPT_TOKEN(sym_escape_sequence);
            if(lookahead == '\\')
                ADVANCE(61);
            END_STATE();
        case 967:
            ACCEPT_TOKEN(sym_escape_sequence);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(965);
            END_STATE();
        case 968:
            ACCEPT_TOKEN(sym_escape_sequence);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(967);
            END_STATE();
        case 969:
            ACCEPT_TOKEN(anon_sym_DQUOTE);
            END_STATE();
        case 970:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            if(lookahead == '*')
                ADVANCE(972);
            if(lookahead == '/')
                ADVANCE(972);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '"' &&
               lookahead != '\\')
                ADVANCE(972);
            END_STATE();
        case 971:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            if(lookahead == '/')
                ADVANCE(970);
            if(lookahead == '\t' ||
               (0x0b <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(971);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead) &&
               lookahead != '"' &&
               lookahead != '\\')
                ADVANCE(972);
            END_STATE();
        case 972:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '"' &&
               lookahead != '\\')
                ADVANCE(972);
            END_STATE();
        case 973:
            ACCEPT_TOKEN(anon_sym_L);
            END_STATE();
        case 974:
            ACCEPT_TOKEN(anon_sym_L);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 975:
            ACCEPT_TOKEN(anon_sym_SQUOTE);
            END_STATE();
        case 976:
            ACCEPT_TOKEN(aux_sym_char_literal_token1);
            END_STATE();
        case 977:
            ACCEPT_TOKEN(aux_sym_char_literal_token1);
            if(lookahead == '\n')
                ADVANCE(966);
            if(lookahead == '\r')
                ADVANCE(965);
            if(lookahead == 'U')
                ADVANCE(865);
            if(lookahead == 'u')
                ADVANCE(861);
            if(lookahead == 'x')
                ADVANCE(859);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(968);
            if(lookahead != 0)
                ADVANCE(965);
            END_STATE();
        case 978:
            ACCEPT_TOKEN(aux_sym_char_literal_token1);
            if(lookahead == '*')
                ADVANCE(1817);
            if(lookahead == '/')
                ADVANCE(1805);
            END_STATE();
        case 979:
            ACCEPT_TOKEN(aux_sym_char_literal_token1);
            if(lookahead == '\\')
                ADVANCE(61);
            END_STATE();
        case 980:
            ACCEPT_TOKEN(anon_sym_TRUE);
            END_STATE();
        case 981:
            ACCEPT_TOKEN(anon_sym_TRUE);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 982:
            ACCEPT_TOKEN(anon_sym_FALSE);
            END_STATE();
        case 983:
            ACCEPT_TOKEN(anon_sym_FALSE);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 984:
            ACCEPT_TOKEN(anon_sym_POUNDdefine);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1001);
            END_STATE();
        case 985:
            ACCEPT_TOKEN(aux_sym_preproc_define_token1);
            if(lookahead == '\r')
                ADVANCE(988);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(988);
            END_STATE();
        case 986:
            ACCEPT_TOKEN(aux_sym_preproc_define_token1);
            if(lookahead == '*')
                ADVANCE(1821);
            if(lookahead == '/')
                ADVANCE(1810);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(988);
            END_STATE();
        case 987:
            ACCEPT_TOKEN(aux_sym_preproc_define_token1);
            if(lookahead == '/')
                ADVANCE(986);
            if(lookahead == '\\')
                ADVANCE(985);
            if(lookahead == '\t' ||
               (0x0b <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(987);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead))
                ADVANCE(988);
            END_STATE();
        case 988:
            ACCEPT_TOKEN(aux_sym_preproc_define_token1);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(988);
            END_STATE();
        case 989:
            ACCEPT_TOKEN(aux_sym_preproc_call_token1);
            END_STATE();
        case 990:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'c')
                ADVANCE(997);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1001);
            END_STATE();
        case 991:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'd')
                ADVANCE(994);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1001);
            END_STATE();
        case 992:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'e')
                ADVANCE(995);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1001);
            END_STATE();
        case 993:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'e')
                ADVANCE(984);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1001);
            END_STATE();
        case 994:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'e')
                ADVANCE(1008);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1001);
            END_STATE();
        case 995:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'f')
                ADVANCE(996);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1001);
            END_STATE();
        case 996:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'i')
                ADVANCE(999);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1001);
            END_STATE();
        case 997:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'l')
                ADVANCE(1000);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1001);
            END_STATE();
        case 998:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'n')
                ADVANCE(990);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1001);
            END_STATE();
        case 999:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'n')
                ADVANCE(993);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1001);
            END_STATE();
        case 1000:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'u')
                ADVANCE(991);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1001);
            END_STATE();
        case 1001:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1001);
            END_STATE();
        case 1002:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '\n')
                SKIP(104);
            if(lookahead == '\r')
                ADVANCE(1003);
            if(lookahead == '/')
                ADVANCE(866);
            if(lookahead == '\\')
                ADVANCE(1004);
            if(lookahead != 0)
                ADVANCE(1006);
            END_STATE();
        case 1003:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '\n')
                SKIP(104);
            if(lookahead == '/')
                ADVANCE(866);
            if(lookahead == '\\')
                ADVANCE(1004);
            if(lookahead != 0)
                ADVANCE(1006);
            END_STATE();
        case 1004:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '\r')
                ADVANCE(1007);
            if(lookahead == '/')
                ADVANCE(866);
            if(lookahead == '\\')
                ADVANCE(1004);
            if(lookahead != 0)
                ADVANCE(1006);
            END_STATE();
        case 1005:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '*')
                ADVANCE(1817);
            if(lookahead == '/')
                ADVANCE(1805);
            if(lookahead == '\\')
                ADVANCE(1004);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1006);
            END_STATE();
        case 1006:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '/')
                ADVANCE(866);
            if(lookahead == '\\')
                ADVANCE(1004);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1006);
            END_STATE();
        case 1007:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '/')
                ADVANCE(866);
            if(lookahead == '\\')
                ADVANCE(1004);
            if(lookahead != 0)
                ADVANCE(1006);
            END_STATE();
        case 1008:
            ACCEPT_TOKEN(aux_sym_preproc_include_token1);
            END_STATE();
        case 1009:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '\r')
                ADVANCE(1012);
            if(lookahead == '\\')
                ADVANCE(1013);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1012);
            END_STATE();
        case 1010:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '*')
                ADVANCE(1820);
            if(lookahead == '/')
                ADVANCE(1809);
            if(lookahead == '\\')
                ADVANCE(1013);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '>')
                ADVANCE(1012);
            END_STATE();
        case 1011:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '/')
                ADVANCE(1010);
            if(lookahead == '\\')
                ADVANCE(1009);
            if(lookahead == '\t' ||
               (0x0b <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(1011);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead) &&
               lookahead != '>')
                ADVANCE(1012);
            END_STATE();
        case 1012:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '\\')
                ADVANCE(1013);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '>')
                ADVANCE(1012);
            END_STATE();
        case 1013:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '\\')
                ADVANCE(1013);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1012);
            END_STATE();
        case 1014:
            ACCEPT_TOKEN(anon_sym_exception);
            END_STATE();
        case 1015:
            ACCEPT_TOKEN(anon_sym_exception);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1016:
            ACCEPT_TOKEN(anon_sym_LBRACE);
            END_STATE();
        case 1017:
            ACCEPT_TOKEN(anon_sym_RBRACE);
            END_STATE();
        case 1018:
            ACCEPT_TOKEN(anon_sym_local);
            END_STATE();
        case 1019:
            ACCEPT_TOKEN(anon_sym_abstract);
            END_STATE();
        case 1020:
            ACCEPT_TOKEN(anon_sym_abstract);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1021:
            ACCEPT_TOKEN(anon_sym_interface);
            END_STATE();
        case 1022:
            ACCEPT_TOKEN(anon_sym_interface);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1023:
            ACCEPT_TOKEN(anon_sym_COLON);
            END_STATE();
        case 1024:
            ACCEPT_TOKEN(anon_sym_COLON);
            if(lookahead == ':')
                ADVANCE(917);
            END_STATE();
        case 1025:
            ACCEPT_TOKEN(anon_sym_SEMI);
            END_STATE();
        case 1026:
            ACCEPT_TOKEN(anon_sym_void);
            END_STATE();
        case 1027:
            ACCEPT_TOKEN(anon_sym_void);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1028:
            ACCEPT_TOKEN(anon_sym_in);
            END_STATE();
        case 1029:
            ACCEPT_TOKEN(anon_sym_in);
            if(lookahead == 'o')
                ADVANCE(562);
            if(lookahead == 't')
                ADVANCE(117);
            END_STATE();
        case 1030:
            ACCEPT_TOKEN(anon_sym_in);
            if(lookahead == 'o')
                ADVANCE(1510);
            if(lookahead == 't')
                ADVANCE(1228);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1031:
            ACCEPT_TOKEN(anon_sym_out);
            END_STATE();
        case 1032:
            ACCEPT_TOKEN(anon_sym_out);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1033:
            ACCEPT_TOKEN(anon_sym_inout);
            END_STATE();
        case 1034:
            ACCEPT_TOKEN(anon_sym_inout);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1035:
            ACCEPT_TOKEN(anon_sym_raises);
            END_STATE();
        case 1036:
            ACCEPT_TOKEN(anon_sym_readonly);
            END_STATE();
        case 1037:
            ACCEPT_TOKEN(anon_sym_readonly);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1038:
            ACCEPT_TOKEN(anon_sym_attribute);
            END_STATE();
        case 1039:
            ACCEPT_TOKEN(anon_sym_attribute);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1040:
            ACCEPT_TOKEN(anon_sym_getraises);
            END_STATE();
        case 1041:
            ACCEPT_TOKEN(anon_sym_setraises);
            END_STATE();
        case 1042:
            ACCEPT_TOKEN(anon_sym_bitset);
            END_STATE();
        case 1043:
            ACCEPT_TOKEN(anon_sym_bitset);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1044:
            ACCEPT_TOKEN(anon_sym_bitfield);
            END_STATE();
        case 1045:
            ACCEPT_TOKEN(anon_sym_bitmask);
            END_STATE();
        case 1046:
            ACCEPT_TOKEN(anon_sym_bitmask);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1047:
            ACCEPT_TOKEN(anon_sym_ATannotation);
            END_STATE();
        case 1048:
            ACCEPT_TOKEN(anon_sym_default);
            END_STATE();
        case 1049:
            ACCEPT_TOKEN(anon_sym_default);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1050:
            ACCEPT_TOKEN(anon_sym_AT);
            END_STATE();
        case 1051:
            ACCEPT_TOKEN(anon_sym_AT);
            if(lookahead == 'a')
                ADVANCE(391);
            END_STATE();
        case 1052:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH_AT);
            END_STATE();
        case 1053:
            ACCEPT_TOKEN(aux_sym_extend_annotation_appl_token1);
            if(lookahead == '\n')
                ADVANCE(1053);
            if(lookahead == '\r')
                ADVANCE(53);
            if(lookahead == '/')
                ADVANCE(94);
            END_STATE();
        case 1054:
            ACCEPT_TOKEN(anon_sym_EQ);
            END_STATE();
        case 1055:
            ACCEPT_TOKEN(aux_sym_annotation_appl_id_token1);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1109);
            END_STATE();
        case 1056:
            ACCEPT_TOKEN(aux_sym_annotation_appl_id_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1057:
            ACCEPT_TOKEN(aux_sym_annotation_appl_autoid_token1);
            END_STATE();
        case 1058:
            ACCEPT_TOKEN(aux_sym_annotation_appl_autoid_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1059:
            ACCEPT_TOKEN(aux_sym_autoid_kind_token1);
            END_STATE();
        case 1060:
            ACCEPT_TOKEN(aux_sym_autoid_kind_token2);
            END_STATE();
        case 1061:
            ACCEPT_TOKEN(aux_sym_autoid_kind_token2);
            if(lookahead == 'i')
                ADVANCE(247);
            END_STATE();
        case 1062:
            ACCEPT_TOKEN(aux_sym_annotation_appl_optional_token1);
            END_STATE();
        case 1063:
            ACCEPT_TOKEN(aux_sym_annotation_appl_optional_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1064:
            ACCEPT_TOKEN(aux_sym_annotation_appl_position_token1);
            END_STATE();
        case 1065:
            ACCEPT_TOKEN(aux_sym_annotation_appl_position_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1066:
            ACCEPT_TOKEN(aux_sym_annotation_appl_value_token1);
            END_STATE();
        case 1067:
            ACCEPT_TOKEN(aux_sym_annotation_appl_value_token1);
            if(lookahead == 'B')
                ADVANCE(212);
            END_STATE();
        case 1068:
            ACCEPT_TOKEN(aux_sym_annotation_appl_value_token1);
            if(lookahead == 't')
                ADVANCE(580);
            END_STATE();
        case 1069:
            ACCEPT_TOKEN(aux_sym_annotation_appl_value_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1070:
            ACCEPT_TOKEN(aux_sym_annotation_appl_extensibility_token1);
            END_STATE();
        case 1071:
            ACCEPT_TOKEN(aux_sym_annotation_appl_extensibility_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1072:
            ACCEPT_TOKEN(aux_sym_extensibility_kind_token1);
            END_STATE();
        case 1073:
            ACCEPT_TOKEN(aux_sym_extensibility_kind_token2);
            END_STATE();
        case 1074:
            ACCEPT_TOKEN(aux_sym_extensibility_kind_token3);
            END_STATE();
        case 1075:
            ACCEPT_TOKEN(aux_sym_annotation_appl_final_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1076:
            ACCEPT_TOKEN(aux_sym_annotation_appl_appendable_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1077:
            ACCEPT_TOKEN(aux_sym_annotation_appl_mutable_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1078:
            ACCEPT_TOKEN(aux_sym_annotation_appl_key_token1);
            END_STATE();
        case 1079:
            ACCEPT_TOKEN(aux_sym_annotation_appl_key_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1080:
            ACCEPT_TOKEN(aux_sym_annotation_appl_must_understand_token1);
            END_STATE();
        case 1081:
            ACCEPT_TOKEN(aux_sym_annotation_appl_must_understand_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1082:
            ACCEPT_TOKEN(aux_sym_annotation_appl_default_literal_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1083:
            ACCEPT_TOKEN(aux_sym_annotation_appl_default_token1);
            END_STATE();
        case 1084:
            ACCEPT_TOKEN(aux_sym_annotation_appl_default_token1);
            if(lookahead == '_')
                ADVANCE(1679);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1085:
            ACCEPT_TOKEN(aux_sym_annotation_appl_range_token1);
            END_STATE();
        case 1086:
            ACCEPT_TOKEN(aux_sym_annotation_appl_range_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1087:
            ACCEPT_TOKEN(aux_sym_min_expr_token1);
            END_STATE();
        case 1088:
            ACCEPT_TOKEN(aux_sym_min_expr_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1089:
            ACCEPT_TOKEN(aux_sym_max_expr_token1);
            END_STATE();
        case 1090:
            ACCEPT_TOKEN(aux_sym_max_expr_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1091:
            ACCEPT_TOKEN(aux_sym_annotation_appl_unit_token1);
            END_STATE();
        case 1092:
            ACCEPT_TOKEN(aux_sym_annotation_appl_unit_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1093:
            ACCEPT_TOKEN(aux_sym_annotation_appl_bit_bound_token1);
            END_STATE();
        case 1094:
            ACCEPT_TOKEN(aux_sym_annotation_appl_bit_bound_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1095:
            ACCEPT_TOKEN(aux_sym_annotation_appl_external_token1);
            END_STATE();
        case 1096:
            ACCEPT_TOKEN(aux_sym_annotation_appl_external_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1097:
            ACCEPT_TOKEN(aux_sym_annotation_appl_nested_token1);
            END_STATE();
        case 1098:
            ACCEPT_TOKEN(aux_sym_annotation_appl_nested_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1099:
            ACCEPT_TOKEN(aux_sym_annotation_appl_verbatim_token1);
            END_STATE();
        case 1100:
            ACCEPT_TOKEN(aux_sym_annotation_appl_verbatim_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1101:
            ACCEPT_TOKEN(aux_sym_verbatim_language_token1);
            if(lookahead == 'O')
                ADVANCE(782);
            if(lookahead == 'a')
                ADVANCE(498);
            if(lookahead == 'c')
                ADVANCE(227);
            if(lookahead == 'h')
                ADVANCE(194);
            if(lookahead == 'i')
                ADVANCE(1105);
            if(lookahead == 'o')
                ADVANCE(381);
            if(lookahead == 'u')
                ADVANCE(500);
            END_STATE();
        case 1102:
            ACCEPT_TOKEN(aux_sym_verbatim_language_token1);
            if(lookahead == 'c')
                ADVANCE(1289);
            if(lookahead == 'i')
                ADVANCE(1106);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1103:
            ACCEPT_TOKEN(aux_sym_verbatim_language_token1);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(782);
            END_STATE();
        case 1104:
            ACCEPT_TOKEN(aux_sym_verbatim_language_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1105:
            ACCEPT_TOKEN(aux_sym_verbatim_language_token2);
            if(lookahead == 'i')
                ADVANCE(1105);
            END_STATE();
        case 1106:
            ACCEPT_TOKEN(aux_sym_verbatim_language_token2);
            if(lookahead == 'i')
                ADVANCE(1106);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1107:
            ACCEPT_TOKEN(aux_sym_verbatim_language_token3);
            END_STATE();
        case 1108:
            ACCEPT_TOKEN(aux_sym_verbatim_language_token3);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1109:
            ACCEPT_TOKEN(aux_sym_verbatim_language_token4);
            END_STATE();
        case 1110:
            ACCEPT_TOKEN(aux_sym_verbatim_language_token4);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1111:
            ACCEPT_TOKEN(aux_sym_placement_kind_token1);
            END_STATE();
        case 1112:
            ACCEPT_TOKEN(aux_sym_placement_kind_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1113:
            ACCEPT_TOKEN(aux_sym_placement_kind_token2);
            END_STATE();
        case 1114:
            ACCEPT_TOKEN(aux_sym_placement_kind_token2);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1115:
            ACCEPT_TOKEN(aux_sym_placement_kind_token3);
            END_STATE();
        case 1116:
            ACCEPT_TOKEN(aux_sym_placement_kind_token3);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1117:
            ACCEPT_TOKEN(aux_sym_placement_kind_token4);
            END_STATE();
        case 1118:
            ACCEPT_TOKEN(aux_sym_placement_kind_token4);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1119:
            ACCEPT_TOKEN(aux_sym_placement_kind_token5);
            END_STATE();
        case 1120:
            ACCEPT_TOKEN(aux_sym_placement_kind_token5);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1121:
            ACCEPT_TOKEN(aux_sym_placement_kind_token6);
            END_STATE();
        case 1122:
            ACCEPT_TOKEN(aux_sym_placement_kind_token6);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1123:
            ACCEPT_TOKEN(aux_sym_annotation_appl_service_token1);
            END_STATE();
        case 1124:
            ACCEPT_TOKEN(aux_sym_annotation_appl_service_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1125:
            ACCEPT_TOKEN(aux_sym_service_platform_token1);
            END_STATE();
        case 1126:
            ACCEPT_TOKEN(aux_sym_service_platform_token2);
            END_STATE();
        case 1127:
            ACCEPT_TOKEN(aux_sym_service_platform_token2);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1128:
            ACCEPT_TOKEN(aux_sym_annotation_appl_oneway_token1);
            END_STATE();
        case 1129:
            ACCEPT_TOKEN(aux_sym_annotation_appl_oneway_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1130:
            ACCEPT_TOKEN(aux_sym_annotation_appl_ami_token1);
            END_STATE();
        case 1131:
            ACCEPT_TOKEN(aux_sym_annotation_appl_ami_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1132:
            ACCEPT_TOKEN(anon_sym_hashid);
            END_STATE();
        case 1133:
            ACCEPT_TOKEN(anon_sym_hashid);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1134:
            ACCEPT_TOKEN(aux_sym_annotation_appl_default_nested_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1135:
            ACCEPT_TOKEN(aux_sym_annotation_appl_ignore_literal_names_token1);
            END_STATE();
        case 1136:
            ACCEPT_TOKEN(aux_sym_annotation_appl_ignore_literal_names_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1137:
            ACCEPT_TOKEN(aux_sym_annotation_appl_try_construct_token1);
            END_STATE();
        case 1138:
            ACCEPT_TOKEN(aux_sym_annotation_appl_try_construct_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1139:
            ACCEPT_TOKEN(aux_sym_try_construct_fail_action_token1);
            END_STATE();
        case 1140:
            ACCEPT_TOKEN(aux_sym_try_construct_fail_action_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1141:
            ACCEPT_TOKEN(aux_sym_try_construct_fail_action_token2);
            END_STATE();
        case 1142:
            ACCEPT_TOKEN(aux_sym_try_construct_fail_action_token2);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1143:
            ACCEPT_TOKEN(aux_sym_try_construct_fail_action_token3);
            END_STATE();
        case 1144:
            ACCEPT_TOKEN(aux_sym_try_construct_fail_action_token3);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1145:
            ACCEPT_TOKEN(aux_sym_annotation_appl_non_serialized_token1);
            END_STATE();
        case 1146:
            ACCEPT_TOKEN(aux_sym_annotation_appl_non_serialized_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1147:
            ACCEPT_TOKEN(aux_sym_annotation_appl_data_representation_token1);
            END_STATE();
        case 1148:
            ACCEPT_TOKEN(aux_sym_annotation_appl_data_representation_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1149:
            ACCEPT_TOKEN(aux_sym_data_representation_mask_token1);
            if(lookahead == '1')
                ADVANCE(1151);
            if(lookahead == '2')
                ADVANCE(1155);
            END_STATE();
        case 1150:
            ACCEPT_TOKEN(aux_sym_data_representation_mask_token1);
            if(lookahead == '1')
                ADVANCE(1152);
            if(lookahead == '2')
                ADVANCE(1156);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1151:
            ACCEPT_TOKEN(aux_sym_data_representation_mask_token2);
            END_STATE();
        case 1152:
            ACCEPT_TOKEN(aux_sym_data_representation_mask_token2);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1153:
            ACCEPT_TOKEN(aux_sym_data_representation_mask_token3);
            END_STATE();
        case 1154:
            ACCEPT_TOKEN(aux_sym_data_representation_mask_token3);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1155:
            ACCEPT_TOKEN(aux_sym_data_representation_mask_token4);
            END_STATE();
        case 1156:
            ACCEPT_TOKEN(aux_sym_data_representation_mask_token4);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1157:
            ACCEPT_TOKEN(aux_sym_annotation_appl_topic_token1);
            END_STATE();
        case 1158:
            ACCEPT_TOKEN(aux_sym_annotation_appl_topic_token1);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1159:
            ACCEPT_TOKEN(anon_sym_module);
            END_STATE();
        case 1160:
            ACCEPT_TOKEN(anon_sym_typename);
            END_STATE();
        case 1161:
            ACCEPT_TOKEN(anon_sym_typename);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1162:
            ACCEPT_TOKEN(anon_sym_valuetype);
            END_STATE();
        case 1163:
            ACCEPT_TOKEN(anon_sym_valuetype);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1164:
            ACCEPT_TOKEN(anon_sym_eventtype);
            END_STATE();
        case 1165:
            ACCEPT_TOKEN(anon_sym_eventtype);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1166:
            ACCEPT_TOKEN(anon_sym_struct);
            END_STATE();
        case 1167:
            ACCEPT_TOKEN(anon_sym_struct);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1168:
            ACCEPT_TOKEN(anon_sym_union);
            END_STATE();
        case 1169:
            ACCEPT_TOKEN(anon_sym_union);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1170:
            ACCEPT_TOKEN(anon_sym_enum);
            END_STATE();
        case 1171:
            ACCEPT_TOKEN(anon_sym_enum);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1172:
            ACCEPT_TOKEN(anon_sym_const);
            END_STATE();
        case 1173:
            ACCEPT_TOKEN(anon_sym_const);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1174:
            ACCEPT_TOKEN(anon_sym_alias);
            END_STATE();
        case 1175:
            ACCEPT_TOKEN(anon_sym_custom);
            END_STATE();
        case 1176:
            ACCEPT_TOKEN(anon_sym_custom);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1177:
            ACCEPT_TOKEN(anon_sym_truncatable);
            END_STATE();
        case 1178:
            ACCEPT_TOKEN(anon_sym_truncatable);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1179:
            ACCEPT_TOKEN(anon_sym_supports);
            END_STATE();
        case 1180:
            ACCEPT_TOKEN(anon_sym_supports);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1181:
            ACCEPT_TOKEN(anon_sym_public);
            END_STATE();
        case 1182:
            ACCEPT_TOKEN(anon_sym_public);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1183:
            ACCEPT_TOKEN(anon_sym_private);
            END_STATE();
        case 1184:
            ACCEPT_TOKEN(anon_sym_private);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1185:
            ACCEPT_TOKEN(anon_sym_factory);
            END_STATE();
        case 1186:
            ACCEPT_TOKEN(anon_sym_factory);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1187:
            ACCEPT_TOKEN(anon_sym_typedef);
            END_STATE();
        case 1188:
            ACCEPT_TOKEN(anon_sym_typedef);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1189:
            ACCEPT_TOKEN(anon_sym_LBRACK);
            END_STATE();
        case 1190:
            ACCEPT_TOKEN(anon_sym_RBRACK);
            END_STATE();
        case 1191:
            ACCEPT_TOKEN(anon_sym_switch);
            END_STATE();
        case 1192:
            ACCEPT_TOKEN(anon_sym_switch);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1193:
            ACCEPT_TOKEN(anon_sym_case);
            END_STATE();
        case 1194:
            ACCEPT_TOKEN(anon_sym_case);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1195:
            ACCEPT_TOKEN(anon_sym_typeid);
            END_STATE();
        case 1196:
            ACCEPT_TOKEN(anon_sym_typeid);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1197:
            ACCEPT_TOKEN(anon_sym_typeprefix);
            END_STATE();
        case 1198:
            ACCEPT_TOKEN(anon_sym_import);
            END_STATE();
        case 1199:
            ACCEPT_TOKEN(anon_sym_import);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1200:
            ACCEPT_TOKEN(anon_sym_Object);
            END_STATE();
        case 1201:
            ACCEPT_TOKEN(anon_sym_Object);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1202:
            ACCEPT_TOKEN(anon_sym_oneway);
            END_STATE();
        case 1203:
            ACCEPT_TOKEN(anon_sym_oneway);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1204:
            ACCEPT_TOKEN(anon_sym_context);
            END_STATE();
        case 1205:
            ACCEPT_TOKEN(sym_value_base_type);
            END_STATE();
        case 1206:
            ACCEPT_TOKEN(sym_value_base_type);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1207:
            ACCEPT_TOKEN(anon_sym_component);
            END_STATE();
        case 1208:
            ACCEPT_TOKEN(anon_sym_provides);
            END_STATE();
        case 1209:
            ACCEPT_TOKEN(anon_sym_uses);
            END_STATE();
        case 1210:
            ACCEPT_TOKEN(anon_sym_multiple);
            END_STATE();
        case 1211:
            ACCEPT_TOKEN(anon_sym_multiple);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1212:
            ACCEPT_TOKEN(anon_sym_home);
            END_STATE();
        case 1213:
            ACCEPT_TOKEN(anon_sym_manages);
            END_STATE();
        case 1214:
            ACCEPT_TOKEN(anon_sym_emits);
            END_STATE();
        case 1215:
            ACCEPT_TOKEN(anon_sym_publishes);
            END_STATE();
        case 1216:
            ACCEPT_TOKEN(anon_sym_consumes);
            END_STATE();
        case 1217:
            ACCEPT_TOKEN(anon_sym_primarykey);
            END_STATE();
        case 1218:
            ACCEPT_TOKEN(anon_sym_finder);
            END_STATE();
        case 1219:
            ACCEPT_TOKEN(anon_sym_finder);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1220:
            ACCEPT_TOKEN(anon_sym_porttype);
            END_STATE();
        case 1221:
            ACCEPT_TOKEN(anon_sym_port);
            END_STATE();
        case 1222:
            ACCEPT_TOKEN(anon_sym_mirrorport);
            END_STATE();
        case 1223:
            ACCEPT_TOKEN(anon_sym_connector);
            END_STATE();
        case 1224:
            ACCEPT_TOKEN(anon_sym_native);
            END_STATE();
        case 1225:
            ACCEPT_TOKEN(anon_sym_native);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1226:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == ' ')
                ADVANCE(370);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1227:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '1')
                ADVANCE(1234);
            if(lookahead == '3')
                ADVANCE(1230);
            if(lookahead == '6')
                ADVANCE(1232);
            if(lookahead == '8')
                ADVANCE(898);
            if(lookahead == 'e')
                ADVANCE(1462);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1228:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '1')
                ADVANCE(1234);
            if(lookahead == '3')
                ADVANCE(1230);
            if(lookahead == '6')
                ADVANCE(1232);
            if(lookahead == '8')
                ADVANCE(898);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1229:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '1')
                ADVANCE(1235);
            if(lookahead == '3')
                ADVANCE(1231);
            if(lookahead == '6')
                ADVANCE(1233);
            if(lookahead == '8')
                ADVANCE(890);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1230:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '2')
                ADVANCE(885);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1231:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '2')
                ADVANCE(904);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1232:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '4')
                ADVANCE(888);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1233:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '4')
                ADVANCE(907);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1234:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '6')
                ADVANCE(879);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1235:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '6')
                ADVANCE(901);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1236:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A')
                ADVANCE(1240);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1237:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'B')
                ADVANCE(1263);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1238:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E')
                ADVANCE(981);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1239:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E')
                ADVANCE(983);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1240:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L')
                ADVANCE(1242);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1241:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R')
                ADVANCE(1243);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1242:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S')
                ADVANCE(1239);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1243:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'U')
                ADVANCE(1238);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1244:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1590);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1245:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1587);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1246:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1561);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1247:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1568);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1248:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1788);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1249:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1753);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1250:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1736);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1251:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1678);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1252:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1592);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1253:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1707);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1254:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1593);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1255:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1594);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1256:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1382);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1257:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1310);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1258:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1463);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1259:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1295);
            if(lookahead == 'i')
                ADVANCE(1520);
            if(lookahead == 'l')
                ADVANCE(1432);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1260:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1295);
            if(lookahead == 'i')
                ADVANCE(1412);
            if(lookahead == 'l')
                ADVANCE(1432);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1261:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1435);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1262:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1522);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1263:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1469);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1264:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1449);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1265:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1397);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1266:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1500);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1267:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1465);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1268:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1506);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1269:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1450);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1270:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1475);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1271:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1400);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1272:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1498);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1273:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1470);
            if(lookahead == 'h')
                ADVANCE(1264);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1274:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1497);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1275:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1300);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1276:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1285);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1277:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1299);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1278:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1392);
            if(lookahead == 'o')
                ADVANCE(1367);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1279:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1392);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1280:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1380);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1281:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1471);
            if(lookahead == 'n')
                ADVANCE(1521);
            if(lookahead == 't')
                ADVANCE(1487);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1282:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1385);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1283:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1386);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1284:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1514);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1285:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1390);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1286:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1360);
            if(lookahead == 's')
                ADVANCE(1501);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1287:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1360);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1288:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1182);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1289:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1289);
            if(lookahead == 'i')
                ADVANCE(1106);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1290:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1334);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1291:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1355);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1292:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1491);
            if(lookahead == 'n')
                ADVANCE(1315);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1293:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1491);
            if(lookahead == 'u')
                ADVANCE(1484);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1294:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1491);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1295:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1494);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1296:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1478);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1297:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1322);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1298:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1481);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1299:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1482);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1300:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1329);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1301:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1272);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1302:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1027);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1303:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(894);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1304:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1196);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1305:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1226);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1306:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1133);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1307:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1320);
            if(lookahead == 'i')
                ADVANCE(1304);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1308:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1320);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1309:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1338);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1310:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1428);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1311:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1446);
            if(lookahead == 'h')
                ADVANCE(1426);
            if(lookahead == 't')
                ADVANCE(1448);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1312:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1446);
            if(lookahead == 'h')
                ADVANCE(1426);
            if(lookahead == 't')
                ADVANCE(1454);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1313:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1446);
            if(lookahead == 'h')
                ADVANCE(1426);
            if(lookahead == 't')
                ADVANCE(1457);
            if(lookahead == 'u')
                ADVANCE(1445);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1314:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1446);
            if(lookahead == 'h')
                ADVANCE(1426);
            if(lookahead == 't')
                ADVANCE(1457);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1315:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1518);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1316:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1307);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1317:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1237);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1318:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(911);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1319:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1225);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1320:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1347);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1321:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1184);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1322:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(929);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1323:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1206);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1324:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1039);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1325:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1163);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1326:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1194);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1327:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1161);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1328:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1165);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1329:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1022);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1330:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1211);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1331:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1178);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1332:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1348);
            if(lookahead == 'o')
                ADVANCE(1511);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1333:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1303);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1334:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1437);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1335:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1257);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1336:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1305);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1337:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1418);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1338:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1451);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1339:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1271);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1340:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1476);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1341:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1479);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1342:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1414);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1343:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1502);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1344:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1296);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1345:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1308);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1346:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1417);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1347:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(1188);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1348:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(1268);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1349:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(1275);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1350:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(881);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1351:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(919);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1352:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(924);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1353:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(883);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1354:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(1415);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1355:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1192);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1356:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1264);
            if(lookahead == 'o')
                ADVANCE(1420);
            if(lookahead == 'u')
                ADVANCE(1467);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1357:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1264);
            if(lookahead == 'o')
                ADVANCE(1420);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1358:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1264);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1359:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1426);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1360:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1269);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1361:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1375);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1362:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1520);
            if(lookahead == 'l')
                ADVANCE(1432);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1363:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1517);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1364:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1472);
            if(lookahead == 'o')
                ADVANCE(1422);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1365:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1354);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1366:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1516);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1367:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1302);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1368:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1284);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1369:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1413);
            if(lookahead == 'n')
                ADVANCE(1378);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1370:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1413);
            if(lookahead == 'n')
                ADVANCE(1466);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1371:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1288);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1372:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1408);
            if(lookahead == 'u')
                ADVANCE(1298);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1373:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1408);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1374:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1442);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1375:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1306);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1376:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1409);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1377:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1493);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1378:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1427);
            if(lookahead == 's')
                ADVANCE(1365);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1379:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1430);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1380:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'j')
                ADVANCE(1344);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1381:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'k')
                ADVANCE(1046);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1382:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1507);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1383:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1432);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1384:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1524);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1385:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1371);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1386:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1318);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1387:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1483);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1388:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1496);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1389:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1330);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1390:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1331);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1391:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1339);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1392:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1515);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1393:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1443);
            if(lookahead == 'n')
                ADVANCE(1473);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1394:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1171);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1395:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1176);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1396:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1258);
            if(lookahead == 's')
                ADVANCE(1341);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1397:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1327);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1398:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1350);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1399:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1169);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1400:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(892);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1401:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1015);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1402:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1030);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1403:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1521);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1404:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1505);
            if(lookahead == 'v')
                ADVANCE(1346);
            if(lookahead == 'x')
                ADVANCE(1290);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1405:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1505);
            if(lookahead == 'x')
                ADVANCE(1290);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1406:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1505);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1407:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1473);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1408:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1351);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1409:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1352);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1410:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1384);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1411:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1301);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1412:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1309);
            if(lookahead == 'x')
                ADVANCE(1333);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1413:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1488);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1414:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1265);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1415:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1336);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1416:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1486);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1417:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1504);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1418:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1297);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1419:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1353);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1420:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1468);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1421:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1511);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1422:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1391);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1423:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1398);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1424:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1395);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1425:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1422);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1426:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1459);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1427:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1399);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1428:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1410);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1429:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1452);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1430:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1401);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1431:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1419);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1432:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1270);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1433:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1460);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1434:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1461);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1435:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(931);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1436:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1316);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1437:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1495);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1438:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1325);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1439:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1345);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1440:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1342);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1441:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1328);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1442:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1389);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1443:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1433);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1444:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1434);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1445:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1444);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1446:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'q')
                ADVANCE(1508);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1447:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1363);
            if(lookahead == 'u')
                ADVANCE(1282);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1448:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1372);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1449:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(914);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1450:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(916);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1451:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1219);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1452:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1523);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1453:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1368);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1454:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1513);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1455:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1376);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1456:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1509);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1457:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1373);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1458:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1277);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1459:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1477);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1460:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1480);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1461:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1492);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1462:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1349);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1463:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1381);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1464:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1180);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1465:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1361);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1466:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1365);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1467:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1490);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1468:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1474);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1469:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1323);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1470:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1326);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1471:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1489);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1472:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1396);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1473:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1228);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1474:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1173);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1475:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(909);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1476:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(896);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1477:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(877);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1478:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1201);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1479:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1043);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1480:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1199);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1481:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1167);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1482:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1020);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1483:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1049);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1484:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1032);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1485:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1034);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1486:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1227);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1487:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1453);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1488:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1229);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1489:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1458);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1490:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1424);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1491:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1340);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1492:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1464);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1493:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1291);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1494:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1429);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1495:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1379);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1496:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1374);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1497:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1321);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1498:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1276);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1499:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1324);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1500:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1366);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1501:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1455);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1502:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1526);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1503:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1529);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1504:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1503);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1505:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1394);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1506:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1387);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1507:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1317);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1508:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1337);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1509:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1411);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1510:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1485);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1511:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1283);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1512:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1388);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1513:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1298);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1514:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1499);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1515:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1343);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1516:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'v')
                ADVANCE(1319);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1517:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'v')
                ADVANCE(1274);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1518:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'w')
                ADVANCE(1262);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1519:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'w')
                ADVANCE(1377);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1520:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'x')
                ADVANCE(1333);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1521:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(926);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1522:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1203);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1523:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1186);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1524:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1037);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1525:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1436);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1526:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1438);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1527:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1439);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1528:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1440);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1529:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1441);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1530:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1662);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1731);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1531:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1108);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1532:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1795);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1688);
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(1751);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1533:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1798);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1534:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1793);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1535:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1786);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1536:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1766);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1630);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1748);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1537:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1664);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1538:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1687);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1539:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1562);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1540:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1689);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1541:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1250);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1542:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1734);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1543:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1665);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1544:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1772);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1545:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1666);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1546:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1672);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1547:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1669);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1548:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1667);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1549:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1705);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1550:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1744);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1551:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1791);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1552:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1565);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1553:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1781);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1554:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1782);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1555:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1783);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1556:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1784);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1557:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1785);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1558:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1745);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1559:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1746);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1560:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A' ||
               lookahead == 'a')
                ADVANCE(1747);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1561:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(1724);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1562:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(1673);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1563:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(1544);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1564:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(1661);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1565:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(1674);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1566:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(1584);
            if(lookahead == 'M' ||
               lookahead == 'm')
                ADVANCE(1663);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1567:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(1158);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1568:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(1717);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1569:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(1542);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1570:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(1677);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1571:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(1602);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1572:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(1764);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1573:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(1681);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1574:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(1682);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1575:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'C' ||
               lookahead == 'c')
                ADVANCE(1683);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1576:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1056);
            if(lookahead == 'G' ||
               lookahead == 'g')
                ADVANCE(1698);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1577:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1058);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1578:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1098);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1579:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1140);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1580:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1094);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1581:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1134);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1582:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1146);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1583:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1081);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1584:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1732);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1585:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1750);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1586:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1244);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1587:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1625);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1588:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1668);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1589:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1616);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1590:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1613);
            if(lookahead == 'F' ||
               lookahead == 'f')
                ADVANCE(1653);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1591:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1552);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1592:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1626);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1593:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1627);
            if(lookahead == 'F' ||
               lookahead == 'f')
                ADVANCE(1656);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1594:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(1628);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1595:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1797);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1596:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1730);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1597:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1794);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1598:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1701);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1599:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1086);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1600:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1069);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1601:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1077);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1602:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1124);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1603:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1076);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1604:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1632);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1605:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1122);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1606:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1112);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1607:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1756);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(1696);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1608:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1729);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1609:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1245);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1610:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1578);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1611:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1749);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1612:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1699);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1613:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1570);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1614:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1735);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1615:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1251);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1616:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1742);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1617:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1581);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1618:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1582);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1619:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1737);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1620:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1708);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1621:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1741);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1622:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1757);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1623:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1738);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1624:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1759);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1625:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1633);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1626:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1573);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1627:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1574);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1628:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1575);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1629:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(1255);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1630:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'F' ||
               lookahead == 'f')
                ADVANCE(1535);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1631:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'F' ||
               lookahead == 'f')
                ADVANCE(1777);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1632:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'F' ||
               lookahead == 'f')
                ADVANCE(1725);
            if(lookahead == 'G' ||
               lookahead == 'g')
                ADVANCE(1649);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1633:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'F' ||
               lookahead == 'f')
                ADVANCE(1551);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1634:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'G' ||
               lookahead == 'g')
                ADVANCE(1599);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1635:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1700);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1636:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1131);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1637:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1684);
            if(lookahead == 'Y' ||
               lookahead == 'y')
                ADVANCE(1247);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1638:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1800);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1639:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1760);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1640:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1567);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1641:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1685);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1642:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1726);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1643:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1577);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1644:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1571);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1645:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1564);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1646:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1761);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1647:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1546);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1648:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1767);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1649:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1712);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1650:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1779);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1651:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1718);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1652:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1775);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1653:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1675);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1654:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1719);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1655:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1780);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1656:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1676);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1657:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1720);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1658:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1721);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1659:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1722);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1660:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1723);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1661:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'I' ||
               lookahead == 'i')
                ADVANCE(1680);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1662:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1789);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1663:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1154);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1664:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1075);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1665:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1096);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1666:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1063);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1667:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1082);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1668:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1110);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1669:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1253);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1670:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1762);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1671:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1763);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1672:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1638);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1673:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1601);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1674:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1603);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1675:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1605);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1676:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1606);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1677:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1550);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1678:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1652);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1679:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1655);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1624);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1680:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1648);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1681:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1558);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1682:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1559);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1683:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L' ||
               lookahead == 'l')
                ADVANCE(1560);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1684:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'M' ||
               lookahead == 'm')
                ADVANCE(1144);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1685:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'M' ||
               lookahead == 'm')
                ADVANCE(1100);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1686:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'M' ||
               lookahead == 'm')
                ADVANCE(1636);
            if(lookahead == 'P' ||
               lookahead == 'p')
                ADVANCE(1728);
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(1765);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1687:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'M' ||
               lookahead == 'm')
                ADVANCE(1611);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1688:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1088);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1689:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1634);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1690:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1065);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1691:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1148);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1692:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1118);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1693:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1120);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1694:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1116);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1695:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1114);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1696:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1249);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1697:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1597);
            if(lookahead == 'P' ||
               lookahead == 'p')
                ADVANCE(1768);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1698:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1715);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1699:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1591);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1700:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1537);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1701:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1752);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1703);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1702:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1580);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1703:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1543);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1704:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1545);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1705:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1583);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1706:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1586);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1707:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1538);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1708:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1774);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1709:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1646);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1609);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1710:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1754);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1711:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1589);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1712:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'N' ||
               lookahead == 'n')
                ADVANCE(1254);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1713:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(1727);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1637);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1714:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(1758);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1715:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(1740);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1716:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(1643);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1717:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(1710);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1718:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(1690);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1719:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(1691);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1720:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(1692);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1721:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(1693);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1722:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(1694);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1723:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(1695);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1724:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(1790);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1725:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(1743);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1726:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(1704);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1727:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'P' ||
               lookahead == 'p')
                ADVANCE(1640);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1728:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'P' ||
               lookahead == 'p')
                ADVANCE(1612);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1729:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'P' ||
               lookahead == 'p')
                ADVANCE(1739);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1730:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1792);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1731:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1563);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1732:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1150);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1733:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1787);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1734:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1579);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1735:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1647);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1736:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1608);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1737:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1547);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1738:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1548);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1739:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1622);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1740:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1615);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1741:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1252);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1742:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1755);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1743:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1629);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1744:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1554);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1745:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1555);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1746:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1556);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1747:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R' ||
               lookahead == 'r')
                ADVANCE(1557);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1748:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1569);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1749:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1136);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1750:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1127);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1751:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1770);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1539);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1752:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1645);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1753:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1614);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1754:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1773);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1755:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1778);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1756:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1771);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1757:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1620);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1758:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1650);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1759:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S' ||
               lookahead == 's')
                ADVANCE(1776);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1760:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1246);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1761:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1092);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1762:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1084);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1763:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1142);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1764:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1138);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1765:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1716);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1766:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1541);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1767:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1799);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1768:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1642);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1769:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1598);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1770:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1248);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1771:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1610);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1772:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1641);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1773:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1733);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1774:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1553);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1775:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1619);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1776:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1617);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1777:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1621);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1778:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1549);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1779:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1651);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1780:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1623);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1781:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1654);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1782:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1657);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1783:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1658);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1784:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1659);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1785:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'T' ||
               lookahead == 't')
                ADVANCE(1660);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1786:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(1670);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1787:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(1572);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1788:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(1711);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1789:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(1600);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1790:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(1702);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1791:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'U' ||
               lookahead == 'u')
                ADVANCE(1671);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1792:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'V' ||
               lookahead == 'v')
                ADVANCE(1644);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1793:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'V' ||
               lookahead == 'v')
                ADVANCE(1531);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1794:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'W' ||
               lookahead == 'w')
                ADVANCE(1533);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1795:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(1090);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1796:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(1769);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1797:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'Y' ||
               lookahead == 'y')
                ADVANCE(1079);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1798:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'Y' ||
               lookahead == 'y')
                ADVANCE(1129);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1799:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'Y' ||
               lookahead == 'y')
                ADVANCE(1071);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1800:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'Z' ||
               lookahead == 'z')
                ADVANCE(1618);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Y') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'y'))
                ADVANCE(1804);
            END_STATE();
        case 1801:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '0' ||
               lookahead == '1')
                ADVANCE(947);
            if(('2' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1802:
            ACCEPT_TOKEN(sym_identifier);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(951);
            if(lookahead == '9' ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1803:
            ACCEPT_TOKEN(sym_identifier);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(957);
            if(('G' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1804:
            ACCEPT_TOKEN(sym_identifier);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1804);
            END_STATE();
        case 1805:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            END_STATE();
        case 1806:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead == '*')
                ADVANCE(1822);
            if(lookahead != 0)
                ADVANCE(97);
            END_STATE();
        case 1807:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead == '@')
                ADVANCE(1052);
            END_STATE();
        case 1808:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead == '\\')
                ADVANCE(76);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1815);
            END_STATE();
        case 1809:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead == '\\')
                ADVANCE(1013);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '>')
                ADVANCE(1012);
            END_STATE();
        case 1810:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(988);
            END_STATE();
        case 1811:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\n')
                ADVANCE(1814);
            if(lookahead == '\\')
                ADVANCE(76);
            if(lookahead != 0)
                ADVANCE(1815);
            END_STATE();
        case 1812:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\r')
                ADVANCE(1816);
            if(lookahead == '\\')
                ADVANCE(1812);
            if(lookahead != 0)
                ADVANCE(1815);
            END_STATE();
        case 1813:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '*')
                ADVANCE(1819);
            if(lookahead == '/')
                ADVANCE(1808);
            if(lookahead == '\\')
                ADVANCE(76);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1815);
            END_STATE();
        case 1814:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '/')
                ADVANCE(1813);
            if(lookahead == '\\')
                ADVANCE(71);
            if(lookahead == '\t' ||
               (0x0b <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(1814);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead))
                ADVANCE(1815);
            END_STATE();
        case 1815:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\\')
                ADVANCE(76);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1815);
            END_STATE();
        case 1816:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\\')
                ADVANCE(76);
            if(lookahead != 0)
                ADVANCE(1815);
            END_STATE();
        case 1817:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            END_STATE();
        case 1818:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            if(lookahead == '*')
                ADVANCE(1822);
            if(lookahead != 0 &&
               lookahead != '/')
                ADVANCE(97);
            END_STATE();
        case 1819:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            if(lookahead == '\\')
                ADVANCE(76);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1815);
            END_STATE();
        case 1820:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            if(lookahead == '\\')
                ADVANCE(1013);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '>')
                ADVANCE(1012);
            END_STATE();
        case 1821:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(988);
            END_STATE();
        case 1822:
            ACCEPT_TOKEN(aux_sym_comment_token2);
            if(lookahead == '*')
                ADVANCE(1822);
            if(lookahead != 0 &&
               lookahead != '/')
                ADVANCE(97);
            END_STATE();
        default:
            return false;
    }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
    [0] = { .lex_state = 0 },
    [1] = { .lex_state = 874 },
    [2] = { .lex_state = 100 },
    [3] = { .lex_state = 100 },
    [4] = { .lex_state = 100 },
    [5] = { .lex_state = 100 },
    [6] = { .lex_state = 101 },
    [7] = { .lex_state = 100 },
    [8] = { .lex_state = 101 },
    [9] = { .lex_state = 101 },
    [10] = { .lex_state = 102 },
    [11] = { .lex_state = 102 },
    [12] = { .lex_state = 102 },
    [13] = { .lex_state = 102 },
    [14] = { .lex_state = 102 },
    [15] = { .lex_state = 102 },
    [16] = { .lex_state = 102 },
    [17] = { .lex_state = 102 },
    [18] = { .lex_state = 102 },
    [19] = { .lex_state = 102 },
    [20] = { .lex_state = 102 },
    [21] = { .lex_state = 873 },
    [22] = { .lex_state = 873 },
    [23] = { .lex_state = 874 },
    [24] = { .lex_state = 874 },
    [25] = { .lex_state = 874 },
    [26] = { .lex_state = 874 },
    [27] = { .lex_state = 874 },
    [28] = { .lex_state = 874 },
    [29] = { .lex_state = 874 },
    [30] = { .lex_state = 874 },
    [31] = { .lex_state = 103 },
    [32] = { .lex_state = 92 },
    [33] = { .lex_state = 92 },
    [34] = { .lex_state = 92 },
    [35] = { .lex_state = 92 },
    [36] = { .lex_state = 92 },
    [37] = { .lex_state = 92 },
    [38] = { .lex_state = 92 },
    [39] = { .lex_state = 92 },
    [40] = { .lex_state = 106 },
    [41] = { .lex_state = 89 },
    [42] = { .lex_state = 89 },
    [43] = { .lex_state = 89 },
    [44] = { .lex_state = 89 },
    [45] = { .lex_state = 89 },
    [46] = { .lex_state = 89 },
    [47] = { .lex_state = 89 },
    [48] = { .lex_state = 93 },
    [49] = { .lex_state = 105 },
    [50] = { .lex_state = 93 },
    [51] = { .lex_state = 89 },
    [52] = { .lex_state = 89 },
    [53] = { .lex_state = 111 },
    [54] = { .lex_state = 111 },
    [55] = { .lex_state = 111 },
    [56] = { .lex_state = 107 },
    [57] = { .lex_state = 100 },
    [58] = { .lex_state = 100 },
    [59] = { .lex_state = 100 },
    [60] = { .lex_state = 100 },
    [61] = { .lex_state = 100 },
    [62] = { .lex_state = 100 },
    [63] = { .lex_state = 100 },
    [64] = { .lex_state = 101 },
    [65] = { .lex_state = 101 },
    [66] = { .lex_state = 107 },
    [67] = { .lex_state = 101 },
    [68] = { .lex_state = 101 },
    [69] = { .lex_state = 80 },
    [70] = { .lex_state = 108 },
    [71] = { .lex_state = 108 },
    [72] = { .lex_state = 108 },
    [73] = { .lex_state = 80 },
    [74] = { .lex_state = 108 },
    [75] = { .lex_state = 108 },
    [76] = { .lex_state = 80 },
    [77] = { .lex_state = 108 },
    [78] = { .lex_state = 80 },
    [79] = { .lex_state = 108 },
    [80] = { .lex_state = 108 },
    [81] = { .lex_state = 108 },
    [82] = { .lex_state = 108 },
    [83] = { .lex_state = 102 },
    [84] = { .lex_state = 102 },
    [85] = { .lex_state = 82 },
    [86] = { .lex_state = 82 },
    [87] = { .lex_state = 82 },
    [88] = { .lex_state = 82 },
    [89] = { .lex_state = 112 },
    [90] = { .lex_state = 79 },
    [91] = { .lex_state = 79 },
    [92] = { .lex_state = 79 },
    [93] = { .lex_state = 81 },
    [94] = { .lex_state = 79 },
    [95] = { .lex_state = 81 },
    [96] = { .lex_state = 81 },
    [97] = { .lex_state = 81 },
    [98] = { .lex_state = 112 },
    [99] = { .lex_state = 79 },
    [100] = { .lex_state = 79 },
    [101] = { .lex_state = 79 },
    [102] = { .lex_state = 103 },
    [103] = { .lex_state = 79 },
    [104] = { .lex_state = 79 },
    [105] = { .lex_state = 79 },
    [106] = { .lex_state = 79 },
    [107] = { .lex_state = 79 },
    [108] = { .lex_state = 79 },
    [109] = { .lex_state = 79 },
    [110] = { .lex_state = 79 },
    [111] = { .lex_state = 79 },
    [112] = { .lex_state = 79 },
    [113] = { .lex_state = 79 },
    [114] = { .lex_state = 79 },
    [115] = { .lex_state = 79 },
    [116] = { .lex_state = 79 },
    [117] = { .lex_state = 79 },
    [118] = { .lex_state = 79 },
    [119] = { .lex_state = 79 },
    [120] = { .lex_state = 79 },
    [121] = { .lex_state = 79 },
    [122] = { .lex_state = 79 },
    [123] = { .lex_state = 79 },
    [124] = { .lex_state = 79 },
    [125] = { .lex_state = 79 },
    [126] = { .lex_state = 79 },
    [127] = { .lex_state = 79 },
    [128] = { .lex_state = 79 },
    [129] = { .lex_state = 79 },
    [130] = { .lex_state = 79 },
    [131] = { .lex_state = 79 },
    [132] = { .lex_state = 79 },
    [133] = { .lex_state = 79 },
    [134] = { .lex_state = 79 },
    [135] = { .lex_state = 79 },
    [136] = { .lex_state = 79 },
    [137] = { .lex_state = 79 },
    [138] = { .lex_state = 79 },
    [139] = { .lex_state = 79 },
    [140] = { .lex_state = 79 },
    [141] = { .lex_state = 79 },
    [142] = { .lex_state = 79 },
    [143] = { .lex_state = 79 },
    [144] = { .lex_state = 79 },
    [145] = { .lex_state = 79 },
    [146] = { .lex_state = 79 },
    [147] = { .lex_state = 79 },
    [148] = { .lex_state = 79 },
    [149] = { .lex_state = 103 },
    [150] = { .lex_state = 79 },
    [151] = { .lex_state = 79 },
    [152] = { .lex_state = 79 },
    [153] = { .lex_state = 79 },
    [154] = { .lex_state = 79 },
    [155] = { .lex_state = 79 },
    [156] = { .lex_state = 103 },
    [157] = { .lex_state = 79 },
    [158] = { .lex_state = 79 },
    [159] = { .lex_state = 79 },
    [160] = { .lex_state = 79 },
    [161] = { .lex_state = 79 },
    [162] = { .lex_state = 79 },
    [163] = { .lex_state = 103 },
    [164] = { .lex_state = 79 },
    [165] = { .lex_state = 79 },
    [166] = { .lex_state = 79 },
    [167] = { .lex_state = 79 },
    [168] = { .lex_state = 79 },
    [169] = { .lex_state = 79 },
    [170] = { .lex_state = 79 },
    [171] = { .lex_state = 79 },
    [172] = { .lex_state = 79 },
    [173] = { .lex_state = 79 },
    [174] = { .lex_state = 79 },
    [175] = { .lex_state = 79 },
    [176] = { .lex_state = 79 },
    [177] = { .lex_state = 79 },
    [178] = { .lex_state = 79 },
    [179] = { .lex_state = 79 },
    [180] = { .lex_state = 79 },
    [181] = { .lex_state = 79 },
    [182] = { .lex_state = 79 },
    [183] = { .lex_state = 79 },
    [184] = { .lex_state = 79 },
    [185] = { .lex_state = 79 },
    [186] = { .lex_state = 79 },
    [187] = { .lex_state = 79 },
    [188] = { .lex_state = 79 },
    [189] = { .lex_state = 79 },
    [190] = { .lex_state = 79 },
    [191] = { .lex_state = 79 },
    [192] = { .lex_state = 79 },
    [193] = { .lex_state = 79 },
    [194] = { .lex_state = 79 },
    [195] = { .lex_state = 79 },
    [196] = { .lex_state = 79 },
    [197] = { .lex_state = 79 },
    [198] = { .lex_state = 79 },
    [199] = { .lex_state = 79 },
    [200] = { .lex_state = 79 },
    [201] = { .lex_state = 79 },
    [202] = { .lex_state = 89 },
    [203] = { .lex_state = 89 },
    [204] = { .lex_state = 89 },
    [205] = { .lex_state = 79 },
    [206] = { .lex_state = 89 },
    [207] = { .lex_state = 89 },
    [208] = { .lex_state = 89 },
    [209] = { .lex_state = 89 },
    [210] = { .lex_state = 89 },
    [211] = { .lex_state = 89 },
    [212] = { .lex_state = 89 },
    [213] = { .lex_state = 79 },
    [214] = { .lex_state = 89 },
    [215] = { .lex_state = 89 },
    [216] = { .lex_state = 89 },
    [217] = { .lex_state = 89 },
    [218] = { .lex_state = 89 },
    [219] = { .lex_state = 89 },
    [220] = { .lex_state = 89 },
    [221] = { .lex_state = 89 },
    [222] = { .lex_state = 89 },
    [223] = { .lex_state = 89 },
    [224] = { .lex_state = 89 },
    [225] = { .lex_state = 89 },
    [226] = { .lex_state = 89 },
    [227] = { .lex_state = 89 },
    [228] = { .lex_state = 89 },
    [229] = { .lex_state = 89 },
    [230] = { .lex_state = 89 },
    [231] = { .lex_state = 89 },
    [232] = { .lex_state = 89 },
    [233] = { .lex_state = 89 },
    [234] = { .lex_state = 89 },
    [235] = { .lex_state = 89 },
    [236] = { .lex_state = 89 },
    [237] = { .lex_state = 89 },
    [238] = { .lex_state = 89 },
    [239] = { .lex_state = 89 },
    [240] = { .lex_state = 89 },
    [241] = { .lex_state = 89 },
    [242] = { .lex_state = 89 },
    [243] = { .lex_state = 89 },
    [244] = { .lex_state = 89 },
    [245] = { .lex_state = 89 },
    [246] = { .lex_state = 89 },
    [247] = { .lex_state = 89 },
    [248] = { .lex_state = 89 },
    [249] = { .lex_state = 89 },
    [250] = { .lex_state = 89 },
    [251] = { .lex_state = 89 },
    [252] = { .lex_state = 89 },
    [253] = { .lex_state = 89 },
    [254] = { .lex_state = 89 },
    [255] = { .lex_state = 89 },
    [256] = { .lex_state = 89 },
    [257] = { .lex_state = 89 },
    [258] = { .lex_state = 89 },
    [259] = { .lex_state = 89 },
    [260] = { .lex_state = 89 },
    [261] = { .lex_state = 89 },
    [262] = { .lex_state = 79 },
    [263] = { .lex_state = 89 },
    [264] = { .lex_state = 89 },
    [265] = { .lex_state = 89 },
    [266] = { .lex_state = 89 },
    [267] = { .lex_state = 89 },
    [268] = { .lex_state = 89 },
    [269] = { .lex_state = 89 },
    [270] = { .lex_state = 89 },
    [271] = { .lex_state = 89 },
    [272] = { .lex_state = 89 },
    [273] = { .lex_state = 89 },
    [274] = { .lex_state = 89 },
    [275] = { .lex_state = 89 },
    [276] = { .lex_state = 89 },
    [277] = { .lex_state = 89 },
    [278] = { .lex_state = 89 },
    [279] = { .lex_state = 89 },
    [280] = { .lex_state = 89 },
    [281] = { .lex_state = 89 },
    [282] = { .lex_state = 89 },
    [283] = { .lex_state = 874 },
    [284] = { .lex_state = 111 },
    [285] = { .lex_state = 111 },
    [286] = { .lex_state = 111 },
    [287] = { .lex_state = 111 },
    [288] = { .lex_state = 111 },
    [289] = { .lex_state = 113 },
    [290] = { .lex_state = 108 },
    [291] = { .lex_state = 90 },
    [292] = { .lex_state = 874 },
    [293] = { .lex_state = 79 },
    [294] = { .lex_state = 874 },
    [295] = { .lex_state = 874 },
    [296] = { .lex_state = 874 },
    [297] = { .lex_state = 874 },
    [298] = { .lex_state = 874 },
    [299] = { .lex_state = 874 },
    [300] = { .lex_state = 874 },
    [301] = { .lex_state = 874 },
    [302] = { .lex_state = 86 },
    [303] = { .lex_state = 90 },
    [304] = { .lex_state = 86 },
    [305] = { .lex_state = 86 },
    [306] = { .lex_state = 86 },
    [307] = { .lex_state = 86 },
    [308] = { .lex_state = 86 },
    [309] = { .lex_state = 78 },
    [310] = { .lex_state = 85 },
    [311] = { .lex_state = 873 },
    [312] = { .lex_state = 85 },
    [313] = { .lex_state = 85 },
    [314] = { .lex_state = 85 },
    [315] = { .lex_state = 85 },
    [316] = { .lex_state = 85 },
    [317] = { .lex_state = 85 },
    [318] = { .lex_state = 86 },
    [319] = { .lex_state = 85 },
    [320] = { .lex_state = 85 },
    [321] = { .lex_state = 85 },
    [322] = { .lex_state = 85 },
    [323] = { .lex_state = 85 },
    [324] = { .lex_state = 85 },
    [325] = { .lex_state = 85 },
    [326] = { .lex_state = 86 },
    [327] = { .lex_state = 85 },
    [328] = { .lex_state = 85 },
    [329] = { .lex_state = 86 },
    [330] = { .lex_state = 85 },
    [331] = { .lex_state = 85 },
    [332] = { .lex_state = 86 },
    [333] = { .lex_state = 79 },
    [334] = { .lex_state = 85 },
    [335] = { .lex_state = 85 },
    [336] = { .lex_state = 85 },
    [337] = { .lex_state = 85 },
    [338] = { .lex_state = 85 },
    [339] = { .lex_state = 85 },
    [340] = { .lex_state = 85 },
    [341] = { .lex_state = 85 },
    [342] = { .lex_state = 86 },
    [343] = { .lex_state = 79 },
    [344] = { .lex_state = 90 },
    [345] = { .lex_state = 86 },
    [346] = { .lex_state = 90 },
    [347] = { .lex_state = 90 },
    [348] = { .lex_state = 90 },
    [349] = { .lex_state = 90 },
    [350] = { .lex_state = 90 },
    [351] = { .lex_state = 90 },
    [352] = { .lex_state = 873 },
    [353] = { .lex_state = 85 },
    [354] = { .lex_state = 90 },
    [355] = { .lex_state = 90 },
    [356] = { .lex_state = 90 },
    [357] = { .lex_state = 90 },
    [358] = { .lex_state = 85 },
    [359] = { .lex_state = 90 },
    [360] = { .lex_state = 90 },
    [361] = { .lex_state = 90 },
    [362] = { .lex_state = 90 },
    [363] = { .lex_state = 90 },
    [364] = { .lex_state = 90 },
    [365] = { .lex_state = 873 },
    [366] = { .lex_state = 90 },
    [367] = { .lex_state = 90 },
    [368] = { .lex_state = 90 },
    [369] = { .lex_state = 90 },
    [370] = { .lex_state = 90 },
    [371] = { .lex_state = 86 },
    [372] = { .lex_state = 90 },
    [373] = { .lex_state = 90 },
    [374] = { .lex_state = 90 },
    [375] = { .lex_state = 90 },
    [376] = { .lex_state = 90 },
    [377] = { .lex_state = 90 },
    [378] = { .lex_state = 90 },
    [379] = { .lex_state = 86 },
    [380] = { .lex_state = 90 },
    [381] = { .lex_state = 90 },
    [382] = { .lex_state = 90 },
    [383] = { .lex_state = 90 },
    [384] = { .lex_state = 90 },
    [385] = { .lex_state = 90 },
    [386] = { .lex_state = 90 },
    [387] = { .lex_state = 90 },
    [388] = { .lex_state = 90 },
    [389] = { .lex_state = 90 },
    [390] = { .lex_state = 90 },
    [391] = { .lex_state = 90 },
    [392] = { .lex_state = 90 },
    [393] = { .lex_state = 86 },
    [394] = { .lex_state = 90 },
    [395] = { .lex_state = 90 },
    [396] = { .lex_state = 90 },
    [397] = { .lex_state = 90 },
    [398] = { .lex_state = 90 },
    [399] = { .lex_state = 90 },
    [400] = { .lex_state = 90 },
    [401] = { .lex_state = 90 },
    [402] = { .lex_state = 90 },
    [403] = { .lex_state = 90 },
    [404] = { .lex_state = 90 },
    [405] = { .lex_state = 90 },
    [406] = { .lex_state = 90 },
    [407] = { .lex_state = 90 },
    [408] = { .lex_state = 90 },
    [409] = { .lex_state = 86 },
    [410] = { .lex_state = 90 },
    [411] = { .lex_state = 90 },
    [412] = { .lex_state = 90 },
    [413] = { .lex_state = 90 },
    [414] = { .lex_state = 90 },
    [415] = { .lex_state = 90 },
    [416] = { .lex_state = 90 },
    [417] = { .lex_state = 90 },
    [418] = { .lex_state = 90 },
    [419] = { .lex_state = 90 },
    [420] = { .lex_state = 90 },
    [421] = { .lex_state = 90 },
    [422] = { .lex_state = 85 },
    [423] = { .lex_state = 85 },
    [424] = { .lex_state = 86 },
    [425] = { .lex_state = 86 },
    [426] = { .lex_state = 86 },
    [427] = { .lex_state = 83 },
    [428] = { .lex_state = 83 },
    [429] = { .lex_state = 87 },
    [430] = { .lex_state = 87 },
    [431] = { .lex_state = 91 },
    [432] = { .lex_state = 99 },
    [433] = { .lex_state = 91 },
    [434] = { .lex_state = 86 },
    [435] = { .lex_state = 87 },
    [436] = { .lex_state = 86 },
    [437] = { .lex_state = 87 },
    [438] = { .lex_state = 86 },
    [439] = { .lex_state = 85 },
    [440] = { .lex_state = 91 },
    [441] = { .lex_state = 86 },
    [442] = { .lex_state = 86 },
    [443] = { .lex_state = 86 },
    [444] = { .lex_state = 86 },
    [445] = { .lex_state = 87 },
    [446] = { .lex_state = 86 },
    [447] = { .lex_state = 85 },
    [448] = { .lex_state = 86 },
    [449] = { .lex_state = 86 },
    [450] = { .lex_state = 86 },
    [451] = { .lex_state = 91 },
    [452] = { .lex_state = 86 },
    [453] = { .lex_state = 86 },
    [454] = { .lex_state = 86 },
    [455] = { .lex_state = 85 },
    [456] = { .lex_state = 91 },
    [457] = { .lex_state = 53 },
    [458] = { .lex_state = 53 },
    [459] = { .lex_state = 53 },
    [460] = { .lex_state = 53 },
    [461] = { .lex_state = 86 },
    [462] = { .lex_state = 86 },
    [463] = { .lex_state = 53 },
    [464] = { .lex_state = 85 },
    [465] = { .lex_state = 53 },
    [466] = { .lex_state = 86 },
    [467] = { .lex_state = 86 },
    [468] = { .lex_state = 53 },
    [469] = { .lex_state = 91 },
    [470] = { .lex_state = 109 },
    [471] = { .lex_state = 85 },
    [472] = { .lex_state = 91 },
    [473] = { .lex_state = 53 },
    [474] = { .lex_state = 78 },
    [475] = { .lex_state = 53 },
    [476] = { .lex_state = 78 },
    [477] = { .lex_state = 86 },
    [478] = { .lex_state = 110 },
    [479] = { .lex_state = 86 },
    [480] = { .lex_state = 78 },
    [481] = { .lex_state = 83 },
    [482] = { .lex_state = 83 },
    [483] = { .lex_state = 83 },
    [484] = { .lex_state = 83 },
    [485] = { .lex_state = 114 },
    [486] = { .lex_state = 85 },
    [487] = { .lex_state = 83 },
    [488] = { .lex_state = 86 },
    [489] = { .lex_state = 83 },
    [490] = { .lex_state = 83 },
    [491] = { .lex_state = 53 },
    [492] = { .lex_state = 53 },
    [493] = { .lex_state = 83 },
    [494] = { .lex_state = 53 },
    [495] = { .lex_state = 53 },
    [496] = { .lex_state = 86 },
    [497] = { .lex_state = 86 },
    [498] = { .lex_state = 78 },
    [499] = { .lex_state = 86 },
    [500] = { .lex_state = 83 },
    [501] = { .lex_state = 91 },
    [502] = { .lex_state = 83 },
    [503] = { .lex_state = 83 },
    [504] = { .lex_state = 86 },
    [505] = { .lex_state = 91 },
    [506] = { .lex_state = 91 },
    [507] = { .lex_state = 83 },
    [508] = { .lex_state = 91 },
    [509] = { .lex_state = 110 },
    [510] = { .lex_state = 86 },
    [511] = { .lex_state = 86 },
    [512] = { .lex_state = 83 },
    [513] = { .lex_state = 86 },
    [514] = { .lex_state = 78 },
    [515] = { .lex_state = 86 },
    [516] = { .lex_state = 53 },
    [517] = { .lex_state = 86 },
    [518] = { .lex_state = 91 },
    [519] = { .lex_state = 86 },
    [520] = { .lex_state = 53 },
    [521] = { .lex_state = 86 },
    [522] = { .lex_state = 83 },
    [523] = { .lex_state = 91 },
    [524] = { .lex_state = 60 },
    [525] = { .lex_state = 78 },
    [526] = { .lex_state = 86 },
    [527] = { .lex_state = 62 },
    [528] = { .lex_state = 86 },
    [529] = { .lex_state = 60 },
    [530] = { .lex_state = 53 },
    [531] = { .lex_state = 53 },
    [532] = { .lex_state = 53 },
    [533] = { .lex_state = 86 },
    [534] = { .lex_state = 91 },
    [535] = { .lex_state = 91 },
    [536] = { .lex_state = 86 },
    [537] = { .lex_state = 85 },
    [538] = { .lex_state = 53 },
    [539] = { .lex_state = 91 },
    [540] = { .lex_state = 53 },
    [541] = { .lex_state = 53 },
    [542] = { .lex_state = 53 },
    [543] = { .lex_state = 53 },
    [544] = { .lex_state = 91 },
    [545] = { .lex_state = 53 },
    [546] = { .lex_state = 53 },
    [547] = { .lex_state = 60 },
    [548] = { .lex_state = 86 },
    [549] = { .lex_state = 78 },
    [550] = { .lex_state = 91 },
    [551] = { .lex_state = 86 },
    [552] = { .lex_state = 60 },
    [553] = { .lex_state = 86 },
    [554] = { .lex_state = 86 },
    [555] = { .lex_state = 86 },
    [556] = { .lex_state = 78 },
    [557] = { .lex_state = 78 },
    [558] = { .lex_state = 85 },
    [559] = { .lex_state = 85 },
    [560] = { .lex_state = 83 },
    [561] = { .lex_state = 86 },
    [562] = { .lex_state = 83 },
    [563] = { .lex_state = 83 },
    [564] = { .lex_state = 60 },
    [565] = { .lex_state = 91 },
    [566] = { .lex_state = 86 },
    [567] = { .lex_state = 86 },
    [568] = { .lex_state = 87 },
    [569] = { .lex_state = 60 },
    [570] = { .lex_state = 86 },
    [571] = { .lex_state = 86 },
    [572] = { .lex_state = 873 },
    [573] = { .lex_state = 873 },
    [574] = { .lex_state = 86 },
    [575] = { .lex_state = 91 },
    [576] = { .lex_state = 91 },
    [577] = { .lex_state = 86 },
    [578] = { .lex_state = 86 },
    [579] = { .lex_state = 91 },
    [580] = { .lex_state = 78 },
    [581] = { .lex_state = 86 },
    [582] = { .lex_state = 86 },
    [583] = { .lex_state = 86 },
    [584] = { .lex_state = 78 },
    [585] = { .lex_state = 78 },
    [586] = { .lex_state = 86 },
    [587] = { .lex_state = 83 },
    [588] = { .lex_state = 873 },
    [589] = { .lex_state = 91 },
    [590] = { .lex_state = 83 },
    [591] = { .lex_state = 873 },
    [592] = { .lex_state = 78 },
    [593] = { .lex_state = 83 },
    [594] = { .lex_state = 86 },
    [595] = { .lex_state = 86 },
    [596] = { .lex_state = 83 },
    [597] = { .lex_state = 83 },
    [598] = { .lex_state = 83 },
    [599] = { .lex_state = 86 },
    [600] = { .lex_state = 62 },
    [601] = { .lex_state = 86 },
    [602] = { .lex_state = 78 },
    [603] = { .lex_state = 91 },
    [604] = { .lex_state = 83 },
    [605] = { .lex_state = 62 },
    [606] = { .lex_state = 60 },
    [607] = { .lex_state = 91 },
    [608] = { .lex_state = 83 },
    [609] = { .lex_state = 83 },
    [610] = { .lex_state = 92 },
    [611] = { .lex_state = 86 },
    [612] = { .lex_state = 873 },
    [613] = { .lex_state = 86 },
    [614] = { .lex_state = 83 },
    [615] = { .lex_state = 78 },
    [616] = { .lex_state = 53 },
    [617] = { .lex_state = 91 },
    [618] = { .lex_state = 78 },
    [619] = { .lex_state = 86 },
    [620] = { .lex_state = 85 },
    [621] = { .lex_state = 85 },
    [622] = { .lex_state = 53 },
    [623] = { .lex_state = 78 },
    [624] = { .lex_state = 86 },
    [625] = { .lex_state = 86 },
    [626] = { .lex_state = 53 },
    [627] = { .lex_state = 91 },
    [628] = { .lex_state = 873 },
    [629] = { .lex_state = 78 },
    [630] = { .lex_state = 53 },
    [631] = { .lex_state = 53 },
    [632] = { .lex_state = 873 },
    [633] = { .lex_state = 53 },
    [634] = { .lex_state = 81 },
    [635] = { .lex_state = 53 },
    [636] = { .lex_state = 53 },
    [637] = { .lex_state = 86 },
    [638] = { .lex_state = 78 },
    [639] = { .lex_state = 53 },
    [640] = { .lex_state = 78 },
    [641] = { .lex_state = 78 },
    [642] = { .lex_state = 86 },
    [643] = { .lex_state = 53 },
    [644] = { .lex_state = 873 },
    [645] = { .lex_state = 81 },
    [646] = { .lex_state = 53 },
    [647] = { .lex_state = 53 },
    [648] = { .lex_state = 53 },
    [649] = { .lex_state = 78 },
    [650] = { .lex_state = 53 },
    [651] = { .lex_state = 53 },
    [652] = { .lex_state = 53 },
    [653] = { .lex_state = 53 },
    [654] = { .lex_state = 873 },
    [655] = { .lex_state = 78 },
    [656] = { .lex_state = 53 },
    [657] = { .lex_state = 78 },
    [658] = { .lex_state = 873 },
    [659] = { .lex_state = 78 },
    [660] = { .lex_state = 873 },
    [661] = { .lex_state = 53 },
    [662] = { .lex_state = 53 },
    [663] = { .lex_state = 53 },
    [664] = { .lex_state = 53 },
    [665] = { .lex_state = 873 },
    [666] = { .lex_state = 53 },
    [667] = { .lex_state = 86 },
    [668] = { .lex_state = 53 },
    [669] = { .lex_state = 86 },
    [670] = { .lex_state = 53 },
    [671] = { .lex_state = 81 },
    [672] = { .lex_state = 53 },
    [673] = { .lex_state = 92 },
    [674] = { .lex_state = 53 },
    [675] = { .lex_state = 115 },
    [676] = { .lex_state = 53 },
    [677] = { .lex_state = 53 },
    [678] = { .lex_state = 873 },
    [679] = { .lex_state = 873 },
    [680] = { .lex_state = 873 },
    [681] = { .lex_state = 53 },
    [682] = { .lex_state = 873 },
    [683] = { .lex_state = 53 },
    [684] = { .lex_state = 873 },
    [685] = { .lex_state = 53 },
    [686] = { .lex_state = 53 },
    [687] = { .lex_state = 92 },
    [688] = { .lex_state = 53 },
    [689] = { .lex_state = 62 },
    [690] = { .lex_state = 92 },
    [691] = { .lex_state = 92 },
    [692] = { .lex_state = 873 },
    [693] = { .lex_state = 86 },
    [694] = { .lex_state = 873 },
    [695] = { .lex_state = 53 },
    [696] = { .lex_state = 53 },
    [697] = { .lex_state = 53 },
    [698] = { .lex_state = 85 },
    [699] = { .lex_state = 53 },
    [700] = { .lex_state = 53 },
    [701] = { .lex_state = 873 },
    [702] = { .lex_state = 873 },
    [703] = { .lex_state = 873 },
    [704] = { .lex_state = 53 },
    [705] = { .lex_state = 92 },
    [706] = { .lex_state = 873 },
    [707] = { .lex_state = 86 },
    [708] = { .lex_state = 53 },
    [709] = { .lex_state = 60 },
    [710] = { .lex_state = 873 },
    [711] = { .lex_state = 53 },
    [712] = { .lex_state = 81 },
    [713] = { .lex_state = 53 },
    [714] = { .lex_state = 873 },
    [715] = { .lex_state = 78 },
    [716] = { .lex_state = 873 },
    [717] = { .lex_state = 53 },
    [718] = { .lex_state = 873 },
    [719] = { .lex_state = 53 },
    [720] = { .lex_state = 86 },
    [721] = { .lex_state = 86 },
    [722] = { .lex_state = 86 },
    [723] = { .lex_state = 873 },
    [724] = { .lex_state = 873 },
    [725] = { .lex_state = 78 },
    [726] = { .lex_state = 873 },
    [727] = { .lex_state = 86 },
    [728] = { .lex_state = 62 },
    [729] = { .lex_state = 873 },
    [730] = { .lex_state = 873 },
    [731] = { .lex_state = 873 },
    [732] = { .lex_state = 62 },
    [733] = { .lex_state = 92 },
    [734] = { .lex_state = 86 },
    [735] = { .lex_state = 873 },
    [736] = { .lex_state = 86 },
    [737] = { .lex_state = 873 },
    [738] = { .lex_state = 78 },
    [739] = { .lex_state = 86 },
    [740] = { .lex_state = 92 },
    [741] = { .lex_state = 53 },
    [742] = { .lex_state = 873 },
    [743] = { .lex_state = 86 },
    [744] = { .lex_state = 86 },
    [745] = { .lex_state = 86 },
    [746] = { .lex_state = 873 },
    [747] = { .lex_state = 86 },
    [748] = { .lex_state = 78 },
    [749] = { .lex_state = 78 },
    [750] = { .lex_state = 53 },
    [751] = { .lex_state = 873 },
    [752] = { .lex_state = 53 },
    [753] = { .lex_state = 53 },
    [754] = { .lex_state = 53 },
    [755] = { .lex_state = 78 },
    [756] = { .lex_state = 53 },
    [757] = { .lex_state = 91 },
    [758] = { .lex_state = 92 },
    [759] = { .lex_state = 78 },
    [760] = { .lex_state = 78 },
    [761] = { .lex_state = 91 },
    [762] = { .lex_state = 91 },
    [763] = { .lex_state = 91 },
    [764] = { .lex_state = 86 },
    [765] = { .lex_state = 86 },
    [766] = { .lex_state = 91 },
    [767] = { .lex_state = 91 },
    [768] = { .lex_state = 91 },
    [769] = { .lex_state = 91 },
    [770] = { .lex_state = 78 },
    [771] = { .lex_state = 91 },
    [772] = { .lex_state = 91 },
    [773] = { .lex_state = 91 },
    [774] = { .lex_state = 91 },
    [775] = { .lex_state = 873 },
    [776] = { .lex_state = 92 },
    [777] = { .lex_state = 873 },
    [778] = { .lex_state = 78 },
    [779] = { .lex_state = 873 },
    [780] = { .lex_state = 86 },
    [781] = { .lex_state = 78 },
    [782] = { .lex_state = 91 },
    [783] = { .lex_state = 91 },
    [784] = { .lex_state = 91 },
    [785] = { .lex_state = 91 },
    [786] = { .lex_state = 91 },
    [787] = { .lex_state = 873 },
    [788] = { .lex_state = 91 },
    [789] = { .lex_state = 78 },
    [790] = { .lex_state = 92 },
    [791] = { .lex_state = 91 },
    [792] = { .lex_state = 91 },
    [793] = { .lex_state = 873 },
    [794] = { .lex_state = 873 },
    [795] = { .lex_state = 873 },
    [796] = { .lex_state = 91 },
    [797] = { .lex_state = 873 },
    [798] = { .lex_state = 873 },
    [799] = { .lex_state = 91 },
    [800] = { .lex_state = 53 },
    [801] = { .lex_state = 91 },
    [802] = { .lex_state = 91 },
    [803] = { .lex_state = 91 },
    [804] = { .lex_state = 91 },
    [805] = { .lex_state = 873 },
    [806] = { .lex_state = 91 },
    [807] = { .lex_state = 91 },
    [808] = { .lex_state = 91 },
    [809] = { .lex_state = 86 },
    [810] = { .lex_state = 86 },
    [811] = { .lex_state = 91 },
    [812] = { .lex_state = 873 },
    [813] = { .lex_state = 91 },
    [814] = { .lex_state = 78 },
    [815] = { .lex_state = 86 },
    [816] = { .lex_state = 78 },
    [817] = { .lex_state = 873 },
    [818] = { .lex_state = 91 },
    [819] = { .lex_state = 86 },
    [820] = { .lex_state = 91 },
    [821] = { .lex_state = 91 },
    [822] = { .lex_state = 91 },
    [823] = { .lex_state = 91 },
    [824] = { .lex_state = 91 },
    [825] = { .lex_state = 91 },
    [826] = { .lex_state = 91 },
    [827] = { .lex_state = 78 },
    [828] = { .lex_state = 91 },
    [829] = { .lex_state = 91 },
    [830] = { .lex_state = 873 },
    [831] = { .lex_state = 873 },
    [832] = { .lex_state = 91 },
    [833] = { .lex_state = 873 },
    [834] = { .lex_state = 873 },
    [835] = { .lex_state = 873 },
    [836] = { .lex_state = 86 },
    [837] = { .lex_state = 91 },
    [838] = { .lex_state = 78 },
    [839] = { .lex_state = 86 },
    [840] = { .lex_state = 91 },
    [841] = { .lex_state = 91 },
    [842] = { .lex_state = 78 },
    [843] = { .lex_state = 91 },
    [844] = { .lex_state = 78 },
    [845] = { .lex_state = 86 },
    [846] = { .lex_state = 86 },
    [847] = { .lex_state = 873 },
    [848] = { .lex_state = 78 },
    [849] = { .lex_state = 873 },
    [850] = { .lex_state = 873 },
    [851] = { .lex_state = 91 },
    [852] = { .lex_state = 873 },
    [853] = { .lex_state = 78 },
    [854] = { .lex_state = 91 },
    [855] = { .lex_state = 873 },
    [856] = { .lex_state = 873 },
    [857] = { .lex_state = 873 },
    [858] = { .lex_state = 873 },
    [859] = { .lex_state = 86 },
    [860] = { .lex_state = 873 },
    [861] = { .lex_state = 873 },
    [862] = { .lex_state = 873 },
    [863] = { .lex_state = 85 },
    [864] = { .lex_state = 873 },
    [865] = { .lex_state = 86 },
    [866] = { .lex_state = 78 },
    [867] = { .lex_state = 78 },
    [868] = { .lex_state = 78 },
    [869] = { .lex_state = 873 },
    [870] = { .lex_state = 78 },
    [871] = { .lex_state = 92 },
    [872] = { .lex_state = 85 },
    [873] = { .lex_state = 78 },
    [874] = { .lex_state = 78 },
    [875] = { .lex_state = 85 },
    [876] = { .lex_state = 78 },
    [877] = { .lex_state = 78 },
    [878] = { .lex_state = 92 },
    [879] = { .lex_state = 873 },
    [880] = { .lex_state = 86 },
    [881] = { .lex_state = 873 },
    [882] = { .lex_state = 86 },
    [883] = { .lex_state = 78 },
    [884] = { .lex_state = 873 },
    [885] = { .lex_state = 873 },
    [886] = { .lex_state = 86 },
    [887] = { .lex_state = 873 },
    [888] = { .lex_state = 86 },
    [889] = { .lex_state = 873 },
    [890] = { .lex_state = 78 },
    [891] = { .lex_state = 78 },
    [892] = { .lex_state = 78 },
    [893] = { .lex_state = 873 },
    [894] = { .lex_state = 86 },
    [895] = { .lex_state = 78 },
    [896] = { .lex_state = 86 },
    [897] = { .lex_state = 78 },
    [898] = { .lex_state = 78 },
    [899] = { .lex_state = 85 },
    [900] = { .lex_state = 86 },
    [901] = { .lex_state = 86 },
    [902] = { .lex_state = 92 },
    [903] = { .lex_state = 78 },
    [904] = { .lex_state = 78 },
    [905] = { .lex_state = 78 },
    [906] = { .lex_state = 78 },
    [907] = { .lex_state = 78 },
    [908] = { .lex_state = 86 },
    [909] = { .lex_state = 873 },
    [910] = { .lex_state = 873 },
    [911] = { .lex_state = 78 },
    [912] = { .lex_state = 78 },
    [913] = { .lex_state = 873 },
    [914] = { .lex_state = 92 },
    [915] = { .lex_state = 86 },
    [916] = { .lex_state = 873 },
    [917] = { .lex_state = 92 },
    [918] = { .lex_state = 78 },
    [919] = { .lex_state = 873 },
    [920] = { .lex_state = 873 },
    [921] = { .lex_state = 78 },
    [922] = { .lex_state = 92 },
    [923] = { .lex_state = 83 },
    [924] = { .lex_state = 873 },
    [925] = { .lex_state = 873 },
    [926] = { .lex_state = 78 },
    [927] = { .lex_state = 78 },
    [928] = { .lex_state = 873 },
    [929] = { .lex_state = 78 },
    [930] = { .lex_state = 873 },
    [931] = { .lex_state = 92 },
    [932] = { .lex_state = 873 },
    [933] = { .lex_state = 873 },
    [934] = { .lex_state = 873 },
    [935] = { .lex_state = 78 },
    [936] = { .lex_state = 873 },
    [937] = { .lex_state = 873 },
    [938] = { .lex_state = 92 },
    [939] = { .lex_state = 78 },
    [940] = { .lex_state = 78 },
    [941] = { .lex_state = 873 },
    [942] = { .lex_state = 92 },
    [943] = { .lex_state = 873 },
    [944] = { .lex_state = 92 },
    [945] = { .lex_state = 78 },
    [946] = { .lex_state = 873 },
    [947] = { .lex_state = 873 },
    [948] = { .lex_state = 873 },
    [949] = { .lex_state = 78 },
    [950] = { .lex_state = 92 },
    [951] = { .lex_state = 92 },
    [952] = { .lex_state = 85 },
    [953] = { .lex_state = 873 },
    [954] = { .lex_state = 78 },
    [955] = { .lex_state = 873 },
    [956] = { .lex_state = 85 },
    [957] = { .lex_state = 78 },
    [958] = { .lex_state = 873 },
    [959] = { .lex_state = 78 },
    [960] = { .lex_state = 78 },
    [961] = { .lex_state = 873 },
    [962] = { .lex_state = 92 },
    [963] = { .lex_state = 78 },
    [964] = { .lex_state = 86 },
    [965] = { .lex_state = 92 },
    [966] = { .lex_state = 78 },
    [967] = { .lex_state = 78 },
    [968] = { .lex_state = 86 },
    [969] = { .lex_state = 92 },
    [970] = { .lex_state = 65 },
    [971] = { .lex_state = 92 },
    [972] = { .lex_state = 92 },
    [973] = { .lex_state = 92 },
    [974] = { .lex_state = 873 },
    [975] = { .lex_state = 873 },
    [976] = { .lex_state = 873 },
    [977] = { .lex_state = 873 },
    [978] = { .lex_state = 873 },
    [979] = { .lex_state = 873 },
    [980] = { .lex_state = 873 },
    [981] = { .lex_state = 873 },
    [982] = { .lex_state = 873 },
    [983] = { .lex_state = 873 },
    [984] = { .lex_state = 873 },
    [985] = { .lex_state = 873 },
    [986] = { .lex_state = 873 },
    [987] = { .lex_state = 86 },
    [988] = { .lex_state = 873 },
    [989] = { .lex_state = 873 },
    [990] = { .lex_state = 873 },
    [991] = { .lex_state = 873 },
    [992] = { .lex_state = 873 },
    [993] = { .lex_state = 873 },
    [994] = { .lex_state = 873 },
    [995] = { .lex_state = 873 },
    [996] = { .lex_state = 873 },
    [997] = { .lex_state = 873 },
    [998] = { .lex_state = 873 },
    [999] = { .lex_state = 873 },
    [1000] = { .lex_state = 873 },
    [1001] = { .lex_state = 873 },
    [1002] = { .lex_state = 873 },
    [1003] = { .lex_state = 873 },
    [1004] = { .lex_state = 873 },
    [1005] = { .lex_state = 873 },
    [1006] = { .lex_state = 873 },
    [1007] = { .lex_state = 873 },
    [1008] = { .lex_state = 873 },
    [1009] = { .lex_state = 873 },
    [1010] = { .lex_state = 873 },
    [1011] = { .lex_state = 873 },
    [1012] = { .lex_state = 873 },
    [1013] = { .lex_state = 78 },
    [1014] = { .lex_state = 78 },
    [1015] = { .lex_state = 873 },
    [1016] = { .lex_state = 78 },
    [1017] = { .lex_state = 78 },
    [1018] = { .lex_state = 92 },
    [1019] = { .lex_state = 92 },
    [1020] = { .lex_state = 873 },
    [1021] = { .lex_state = 92 },
    [1022] = { .lex_state = 873 },
    [1023] = { .lex_state = 92 },
    [1024] = { .lex_state = 873 },
    [1025] = { .lex_state = 873 },
    [1026] = { .lex_state = 873 },
    [1027] = { .lex_state = 873 },
    [1028] = { .lex_state = 66 },
    [1029] = { .lex_state = 66 },
    [1030] = { .lex_state = 873 },
    [1031] = { .lex_state = 873 },
    [1032] = { .lex_state = 873 },
    [1033] = { .lex_state = 873 },
    [1034] = { .lex_state = 873 },
    [1035] = { .lex_state = 78 },
    [1036] = { .lex_state = 78 },
    [1037] = { .lex_state = 873 },
    [1038] = { .lex_state = 873 },
    [1039] = { .lex_state = 873 },
    [1040] = { .lex_state = 873 },
    [1041] = { .lex_state = 873 },
    [1042] = { .lex_state = 78 },
    [1043] = { .lex_state = 78 },
    [1044] = { .lex_state = 873 },
    [1045] = { .lex_state = 78 },
    [1046] = { .lex_state = 873 },
    [1047] = { .lex_state = 873 },
    [1048] = { .lex_state = 873 },
    [1049] = { .lex_state = 873 },
    [1050] = { .lex_state = 873 },
    [1051] = { .lex_state = 92 },
    [1052] = { .lex_state = 873 },
    [1053] = { .lex_state = 92 },
    [1054] = { .lex_state = 78 },
    [1055] = { .lex_state = 873 },
    [1056] = { .lex_state = 873 },
    [1057] = { .lex_state = 873 },
    [1058] = { .lex_state = 873 },
    [1059] = { .lex_state = 86 },
    [1060] = { .lex_state = 873 },
    [1061] = { .lex_state = 86 },
    [1062] = { .lex_state = 78 },
    [1063] = { .lex_state = 86 },
    [1064] = { .lex_state = 873 },
    [1065] = { .lex_state = 873 },
    [1066] = { .lex_state = 873 },
    [1067] = { .lex_state = 85 },
    [1068] = { .lex_state = 86 },
    [1069] = { .lex_state = 873 },
    [1070] = { .lex_state = 873 },
    [1071] = { .lex_state = 873 },
    [1072] = { .lex_state = 873 },
    [1073] = { .lex_state = 873 },
    [1074] = { .lex_state = 873 },
    [1075] = { .lex_state = 873 },
    [1076] = { .lex_state = 873 },
    [1077] = { .lex_state = 92 },
    [1078] = { .lex_state = 86 },
    [1079] = { .lex_state = 873 },
    [1080] = { .lex_state = 873 },
    [1081] = { .lex_state = 85 },
    [1082] = { .lex_state = 873 },
    [1083] = { .lex_state = 873 },
    [1084] = { .lex_state = 873 },
    [1085] = { .lex_state = 78 },
    [1086] = { .lex_state = 873 },
    [1087] = { .lex_state = 92 },
    [1088] = { .lex_state = 92 },
    [1089] = { .lex_state = 873 },
    [1090] = { .lex_state = 873 },
    [1091] = { .lex_state = 873 },
    [1092] = { .lex_state = 873 },
    [1093] = { .lex_state = 873 },
    [1094] = { .lex_state = 873 },
    [1095] = { .lex_state = 873 },
    [1096] = { .lex_state = 873 },
    [1097] = { .lex_state = 78 },
    [1098] = { .lex_state = 873 },
    [1099] = { .lex_state = 873 },
    [1100] = { .lex_state = 873 },
    [1101] = { .lex_state = 873 },
    [1102] = { .lex_state = 873 },
    [1103] = { .lex_state = 873 },
    [1104] = { .lex_state = 873 },
    [1105] = { .lex_state = 78 },
    [1106] = { .lex_state = 78 },
    [1107] = { .lex_state = 873 },
    [1108] = { .lex_state = 873 },
    [1109] = { .lex_state = 873 },
    [1110] = { .lex_state = 873 },
    [1111] = { .lex_state = 873 },
    [1112] = { .lex_state = 873 },
    [1113] = { .lex_state = 873 },
    [1114] = { .lex_state = 873 },
    [1115] = { .lex_state = 873 },
    [1116] = { .lex_state = 873 },
    [1117] = { .lex_state = 873 },
    [1118] = { .lex_state = 873 },
    [1119] = { .lex_state = 873 },
    [1120] = { .lex_state = 873 },
    [1121] = { .lex_state = 873 },
    [1122] = { .lex_state = 873 },
    [1123] = { .lex_state = 873 },
    [1124] = { .lex_state = 873 },
    [1125] = { .lex_state = 873 },
    [1126] = { .lex_state = 78 },
    [1127] = { .lex_state = 873 },
    [1128] = { .lex_state = 873 },
    [1129] = { .lex_state = 873 },
    [1130] = { .lex_state = 873 },
    [1131] = { .lex_state = 78 },
    [1132] = { .lex_state = 78 },
    [1133] = { .lex_state = 873 },
    [1134] = { .lex_state = 873 },
    [1135] = { .lex_state = 873 },
    [1136] = { .lex_state = 873 },
    [1137] = { .lex_state = 873 },
    [1138] = { .lex_state = 873 },
    [1139] = { .lex_state = 873 },
    [1140] = { .lex_state = 873 },
    [1141] = { .lex_state = 873 },
    [1142] = { .lex_state = 873 },
    [1143] = { .lex_state = 873 },
    [1144] = { .lex_state = 873 },
    [1145] = { .lex_state = 873 },
    [1146] = { .lex_state = 873 },
    [1147] = { .lex_state = 873 },
    [1148] = { .lex_state = 873 },
    [1149] = { .lex_state = 873 },
    [1150] = { .lex_state = 873 },
    [1151] = { .lex_state = 873 },
    [1152] = { .lex_state = 873 },
    [1153] = { .lex_state = 873 },
    [1154] = { .lex_state = 873 },
    [1155] = { .lex_state = 873 },
    [1156] = { .lex_state = 873 },
    [1157] = { .lex_state = 873 },
    [1158] = { .lex_state = 873 },
    [1159] = { .lex_state = 873 },
    [1160] = { .lex_state = 873 },
    [1161] = { .lex_state = 873 },
    [1162] = { .lex_state = 873 },
    [1163] = { .lex_state = 873 },
    [1164] = { .lex_state = 873 },
    [1165] = { .lex_state = 873 },
    [1166] = { .lex_state = 873 },
    [1167] = { .lex_state = 873 },
    [1168] = { .lex_state = 873 },
    [1169] = { .lex_state = 873 },
    [1170] = { .lex_state = 873 },
    [1171] = { .lex_state = 873 },
    [1172] = { .lex_state = 873 },
    [1173] = { .lex_state = 873 },
    [1174] = { .lex_state = 873 },
    [1175] = { .lex_state = 78 },
    [1176] = { .lex_state = 66 },
    [1177] = { .lex_state = 873 },
    [1178] = { .lex_state = 92 },
    [1179] = { .lex_state = 78 },
    [1180] = { .lex_state = 873 },
    [1181] = { .lex_state = 873 },
    [1182] = { .lex_state = 873 },
    [1183] = { .lex_state = 873 },
    [1184] = { .lex_state = 873 },
    [1185] = { .lex_state = 873 },
    [1186] = { .lex_state = 873 },
    [1187] = { .lex_state = 873 },
    [1188] = { .lex_state = 873 },
    [1189] = { .lex_state = 873 },
    [1190] = { .lex_state = 873 },
    [1191] = { .lex_state = 873 },
    [1192] = { .lex_state = 873 },
    [1193] = { .lex_state = 873 },
    [1194] = { .lex_state = 873 },
    [1195] = { .lex_state = 873 },
    [1196] = { .lex_state = 873 },
    [1197] = { .lex_state = 873 },
    [1198] = { .lex_state = 873 },
    [1199] = { .lex_state = 873 },
    [1200] = { .lex_state = 873 },
    [1201] = { .lex_state = 873 },
    [1202] = { .lex_state = 873 },
    [1203] = { .lex_state = 873 },
    [1204] = { .lex_state = 873 },
    [1205] = { .lex_state = 873 },
    [1206] = { .lex_state = 873 },
    [1207] = { .lex_state = 873 },
    [1208] = { .lex_state = 78 },
    [1209] = { .lex_state = 873 },
    [1210] = { .lex_state = 873 },
    [1211] = { .lex_state = 873 },
    [1212] = { .lex_state = 92 },
    [1213] = { .lex_state = 873 },
    [1214] = { .lex_state = 873 },
    [1215] = { .lex_state = 873 },
    [1216] = { .lex_state = 873 },
    [1217] = { .lex_state = 873 },
    [1218] = { .lex_state = 873 },
    [1219] = { .lex_state = 78 },
    [1220] = { .lex_state = 873 },
    [1221] = { .lex_state = 92 },
    [1222] = { .lex_state = 873 },
    [1223] = { .lex_state = 78 },
    [1224] = { .lex_state = 873 },
    [1225] = { .lex_state = 873 },
    [1226] = { .lex_state = 873 },
    [1227] = { .lex_state = 873 },
    [1228] = { .lex_state = 873 },
    [1229] = { .lex_state = 873 },
    [1230] = { .lex_state = 873 },
    [1231] = { .lex_state = 873 },
    [1232] = { .lex_state = 873 },
    [1233] = { .lex_state = 873 },
    [1234] = { .lex_state = 873 },
    [1235] = { .lex_state = 873 },
    [1236] = { .lex_state = 873 },
    [1237] = { .lex_state = 873 },
    [1238] = { .lex_state = 873 },
    [1239] = { .lex_state = 873 },
    [1240] = { .lex_state = 873 },
    [1241] = { .lex_state = 873 },
    [1242] = { .lex_state = 873 },
    [1243] = { .lex_state = 873 },
    [1244] = { .lex_state = 873 },
    [1245] = { .lex_state = 873 },
    [1246] = { .lex_state = 873 },
    [1247] = { .lex_state = 873 },
    [1248] = { .lex_state = 873 },
    [1249] = { .lex_state = 873 },
    [1250] = { .lex_state = 873 },
    [1251] = { .lex_state = 78 },
    [1252] = { .lex_state = 873 },
    [1253] = { .lex_state = 873 },
    [1254] = { .lex_state = 873 },
    [1255] = { .lex_state = 873 },
    [1256] = { .lex_state = 873 },
    [1257] = { .lex_state = 873 },
    [1258] = { .lex_state = 873 },
    [1259] = { .lex_state = 873 },
    [1260] = { .lex_state = 78 },
    [1261] = { .lex_state = 78 },
    [1262] = { .lex_state = 78 },
    [1263] = { .lex_state = 92 },
    [1264] = { .lex_state = 873 },
    [1265] = { .lex_state = 873 },
    [1266] = { .lex_state = 873 },
    [1267] = { .lex_state = 92 },
    [1268] = { .lex_state = 92 },
    [1269] = { .lex_state = 78 },
    [1270] = { .lex_state = 78 },
    [1271] = { .lex_state = 78 },
    [1272] = { .lex_state = 873 },
    [1273] = { .lex_state = 1814 },
    [1274] = { .lex_state = 78 },
    [1275] = { .lex_state = 78 },
    [1276] = { .lex_state = 873 },
    [1277] = { .lex_state = 873 },
    [1278] = { .lex_state = 873 },
    [1279] = { .lex_state = 873 },
    [1280] = { .lex_state = 873 },
    [1281] = { .lex_state = 873 },
    [1282] = { .lex_state = 873 },
    [1283] = { .lex_state = 873 },
    [1284] = { .lex_state = 873 },
    [1285] = { .lex_state = 873 },
    [1286] = { .lex_state = 873 },
    [1287] = { .lex_state = 873 },
    [1288] = { .lex_state = 873 },
    [1289] = { .lex_state = 873 },
    [1290] = { .lex_state = 873 },
    [1291] = { .lex_state = 873 },
    [1292] = { .lex_state = 873 },
    [1293] = { .lex_state = 873 },
    [1294] = { .lex_state = 873 },
    [1295] = { .lex_state = 78 },
    [1296] = { .lex_state = 873 },
    [1297] = { .lex_state = 873 },
    [1298] = { .lex_state = 873 },
    [1299] = { .lex_state = 78 },
    [1300] = { .lex_state = 78 },
    [1301] = { .lex_state = 78 },
    [1302] = { .lex_state = 873 },
    [1303] = { .lex_state = 66 },
    [1304] = { .lex_state = 1011 },
    [1305] = { .lex_state = 66 },
    [1306] = { .lex_state = 873 },
    [1307] = { .lex_state = 873 },
    [1308] = { .lex_state = 873 },
    [1309] = { .lex_state = 873 },
    [1310] = { .lex_state = 873 },
    [1311] = { .lex_state = 873 },
    [1312] = { .lex_state = 873 },
    [1313] = { .lex_state = 873 },
    [1314] = { .lex_state = 873 },
    [1315] = { .lex_state = 873 },
    [1316] = { .lex_state = 873 },
    [1317] = { .lex_state = 873 },
    [1318] = { .lex_state = 873 },
    [1319] = { .lex_state = 78 },
    [1320] = { .lex_state = 873 },
    [1321] = { .lex_state = 873 },
    [1322] = { .lex_state = 873 },
    [1323] = { .lex_state = 873 },
    [1324] = { .lex_state = 873 },
    [1325] = { .lex_state = 873 },
    [1326] = { .lex_state = 78 },
    [1327] = { .lex_state = 873 },
    [1328] = { .lex_state = 873 },
    [1329] = { .lex_state = 873 },
    [1330] = { .lex_state = 78 },
    [1331] = { .lex_state = 78 },
    [1332] = { .lex_state = 78 },
    [1333] = { .lex_state = 78 },
    [1334] = { .lex_state = 873 },
    [1335] = { .lex_state = 873 },
    [1336] = { .lex_state = 873 },
    [1337] = { .lex_state = 78 },
    [1338] = { .lex_state = 78 },
    [1339] = { .lex_state = 78 },
    [1340] = { .lex_state = 78 },
    [1341] = { .lex_state = 78 },
    [1342] = { .lex_state = 873 },
    [1343] = { .lex_state = 78 },
    [1344] = { .lex_state = 78 },
    [1345] = { .lex_state = 78 },
    [1346] = { .lex_state = 78 },
    [1347] = { .lex_state = 873 },
    [1348] = { .lex_state = 86 },
    [1349] = { .lex_state = 78 },
    [1350] = { .lex_state = 873 },
    [1351] = { .lex_state = 873 },
    [1352] = { .lex_state = 987 },
    [1353] = { .lex_state = 78 },
    [1354] = { .lex_state = 96 },
    [1355] = { .lex_state = 873 },
    [1356] = { .lex_state = 873 },
    [1357] = { .lex_state = 873 },
    [1358] = { .lex_state = 873 },
    [1359] = { .lex_state = 873 },
    [1360] = { .lex_state = 873 },
    [1361] = { .lex_state = 873 },
    [1362] = { .lex_state = 873 },
    [1363] = { .lex_state = 873 },
    [1364] = { .lex_state = 873 },
    [1365] = { .lex_state = 873 },
    [1366] = { .lex_state = 873 },
    [1367] = { .lex_state = 873 },
    [1368] = { .lex_state = 873 },
    [1369] = { .lex_state = 873 },
    [1370] = { .lex_state = 873 },
    [1371] = { .lex_state = 873 },
    [1372] = { .lex_state = 873 },
    [1373] = { .lex_state = 873 },
    [1374] = { .lex_state = 873 },
    [1375] = { .lex_state = 873 },
    [1376] = { .lex_state = 873 },
    [1377] = { .lex_state = 873 },
    [1378] = { .lex_state = 873 },
    [1379] = { .lex_state = 873 },
    [1380] = { .lex_state = 873 },
    [1381] = { .lex_state = 873 },
    [1382] = { .lex_state = 873 },
    [1383] = { .lex_state = 873 },
    [1384] = { .lex_state = 873 },
    [1385] = { .lex_state = 873 },
    [1386] = { .lex_state = 873 },
    [1387] = { .lex_state = 873 },
    [1388] = { .lex_state = 873 },
    [1389] = { .lex_state = 873 },
    [1390] = { .lex_state = 873 },
    [1391] = { .lex_state = 873 },
    [1392] = { .lex_state = 873 },
    [1393] = { .lex_state = 873 },
    [1394] = { .lex_state = 873 },
    [1395] = { .lex_state = 873 },
    [1396] = { .lex_state = 873 },
    [1397] = { .lex_state = 873 },
    [1398] = { .lex_state = 873 },
    [1399] = { .lex_state = 873 },
    [1400] = { .lex_state = 873 },
    [1401] = { .lex_state = 873 },
    [1402] = { .lex_state = 873 },
    [1403] = { .lex_state = 873 },
    [1404] = { (TSStateId)(-1) },
    [1405] = { (TSStateId)(-1) },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
    [0] = {
        [sym_comment] = STATE(0),
        [ts_builtin_sym_end] = ACTIONS(1),
        [anon_sym_short] = ACTIONS(1),
        [anon_sym_int16] = ACTIONS(1),
        [anon_sym_long] = ACTIONS(1),
        [anon_sym_int32] = ACTIONS(1),
        [anon_sym_longlong] = ACTIONS(1),
        [anon_sym_int64] = ACTIONS(1),
        [sym_unsigned_tiny_int] = ACTIONS(1),
        [sym_boolean_type] = ACTIONS(1),
        [anon_sym_fixed] = ACTIONS(1),
        [sym_octet_type] = ACTIONS(1),
        [sym_signed_tiny_int] = ACTIONS(1),
        [anon_sym_unsignedshort] = ACTIONS(1),
        [anon_sym_uint16] = ACTIONS(1),
        [anon_sym_unsignedlong] = ACTIONS(1),
        [anon_sym_uint32] = ACTIONS(1),
        [anon_sym_unsignedlonglong] = ACTIONS(1),
        [anon_sym_uint64] = ACTIONS(1),
        [anon_sym_float] = ACTIONS(1),
        [anon_sym_double] = ACTIONS(1),
        [anon_sym_longdouble] = ACTIONS(1),
        [sym_char_type] = ACTIONS(1),
        [sym_wide_char_type] = ACTIONS(1),
        [anon_sym_COLON_COLON] = ACTIONS(1),
        [anon_sym_string] = ACTIONS(1),
        [anon_sym_LT] = ACTIONS(1),
        [anon_sym_GT] = ACTIONS(1),
        [anon_sym_wstring] = ACTIONS(1),
        [anon_sym_any] = ACTIONS(1),
        [anon_sym_COMMA] = ACTIONS(1),
        [anon_sym_sequence] = ACTIONS(1),
        [anon_sym_map] = ACTIONS(1),
        [anon_sym_PIPE] = ACTIONS(1),
        [anon_sym_CARET] = ACTIONS(1),
        [anon_sym_AMP] = ACTIONS(1),
        [anon_sym_GT_GT] = ACTIONS(1),
        [anon_sym_PLUS] = ACTIONS(1),
        [anon_sym_DASH] = ACTIONS(1),
        [anon_sym_STAR] = ACTIONS(1),
        [anon_sym_SLASH] = ACTIONS(1),
        [anon_sym_PERCENT] = ACTIONS(1),
        [anon_sym_LPAREN] = ACTIONS(1),
        [anon_sym_RPAREN] = ACTIONS(1),
        [anon_sym_TILDE] = ACTIONS(1),
        [sym_bin_number] = ACTIONS(1),
        [aux_sym_oct_number_token1] = ACTIONS(1),
        [aux_sym_oct_number_token2] = ACTIONS(1),
        [anon_sym_0] = ACTIONS(1),
        [aux_sym_dec_number_token1] = ACTIONS(1),
        [sym_hex_number] = ACTIONS(1),
        [anon_sym_DOT] = ACTIONS(1),
        [aux_sym_floating_pt_literal_token1] = ACTIONS(1),
        [aux_sym_fixed_pt_literal_token1] = ACTIONS(1),
        [anon_sym_DQUOTE] = ACTIONS(1),
        [anon_sym_L] = ACTIONS(1),
        [anon_sym_SQUOTE] = ACTIONS(1),
        [anon_sym_TRUE] = ACTIONS(1),
        [anon_sym_FALSE] = ACTIONS(1),
        [anon_sym_POUNDdefine] = ACTIONS(1),
        [sym_preproc_directive] = ACTIONS(1),
        [aux_sym_preproc_include_token1] = ACTIONS(1),
        [anon_sym_exception] = ACTIONS(1),
        [anon_sym_LBRACE] = ACTIONS(1),
        [anon_sym_RBRACE] = ACTIONS(1),
        [anon_sym_local] = ACTIONS(1),
        [anon_sym_abstract] = ACTIONS(1),
        [anon_sym_COLON] = ACTIONS(1),
        [anon_sym_SEMI] = ACTIONS(1),
        [anon_sym_void] = ACTIONS(1),
        [anon_sym_in] = ACTIONS(1),
        [anon_sym_out] = ACTIONS(1),
        [anon_sym_inout] = ACTIONS(1),
        [anon_sym_raises] = ACTIONS(1),
        [anon_sym_readonly] = ACTIONS(1),
        [anon_sym_attribute] = ACTIONS(1),
        [anon_sym_getraises] = ACTIONS(1),
        [anon_sym_setraises] = ACTIONS(1),
        [anon_sym_bitset] = ACTIONS(1),
        [anon_sym_bitfield] = ACTIONS(1),
        [anon_sym_bitmask] = ACTIONS(1),
        [anon_sym_ATannotation] = ACTIONS(1),
        [anon_sym_default] = ACTIONS(1),
        [anon_sym_AT] = ACTIONS(1),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(1),
        [anon_sym_EQ] = ACTIONS(1),
        [aux_sym_annotation_appl_id_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_autoid_token1] = ACTIONS(1),
        [aux_sym_autoid_kind_token1] = ACTIONS(1),
        [aux_sym_autoid_kind_token2] = ACTIONS(1),
        [aux_sym_annotation_appl_optional_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_position_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_value_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_extensibility_token1] = ACTIONS(1),
        [aux_sym_extensibility_kind_token1] = ACTIONS(1),
        [aux_sym_extensibility_kind_token2] = ACTIONS(1),
        [aux_sym_extensibility_kind_token3] = ACTIONS(1),
        [aux_sym_annotation_appl_final_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_appendable_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_mutable_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_key_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_must_understand_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_default_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_range_token1] = ACTIONS(1),
        [aux_sym_min_expr_token1] = ACTIONS(1),
        [aux_sym_max_expr_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_unit_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_bit_bound_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_external_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_nested_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_verbatim_token1] = ACTIONS(1),
        [aux_sym_verbatim_language_token1] = ACTIONS(1),
        [aux_sym_verbatim_language_token2] = ACTIONS(1),
        [aux_sym_verbatim_language_token3] = ACTIONS(1),
        [aux_sym_verbatim_language_token4] = ACTIONS(1),
        [aux_sym_placement_kind_token1] = ACTIONS(1),
        [aux_sym_placement_kind_token2] = ACTIONS(1),
        [aux_sym_placement_kind_token3] = ACTIONS(1),
        [aux_sym_placement_kind_token4] = ACTIONS(1),
        [aux_sym_placement_kind_token5] = ACTIONS(1),
        [aux_sym_placement_kind_token6] = ACTIONS(1),
        [aux_sym_annotation_appl_service_token1] = ACTIONS(1),
        [aux_sym_service_platform_token1] = ACTIONS(1),
        [aux_sym_service_platform_token2] = ACTIONS(1),
        [aux_sym_annotation_appl_oneway_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_ami_token1] = ACTIONS(1),
        [anon_sym_hashid] = ACTIONS(1),
        [aux_sym_annotation_appl_ignore_literal_names_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_try_construct_token1] = ACTIONS(1),
        [aux_sym_try_construct_fail_action_token1] = ACTIONS(1),
        [aux_sym_try_construct_fail_action_token2] = ACTIONS(1),
        [aux_sym_try_construct_fail_action_token3] = ACTIONS(1),
        [aux_sym_annotation_appl_non_serialized_token1] = ACTIONS(1),
        [aux_sym_annotation_appl_data_representation_token1] = ACTIONS(1),
        [aux_sym_data_representation_mask_token1] = ACTIONS(1),
        [aux_sym_data_representation_mask_token2] = ACTIONS(1),
        [aux_sym_data_representation_mask_token3] = ACTIONS(1),
        [aux_sym_data_representation_mask_token4] = ACTIONS(1),
        [aux_sym_annotation_appl_topic_token1] = ACTIONS(1),
        [anon_sym_module] = ACTIONS(1),
        [anon_sym_typename] = ACTIONS(1),
        [anon_sym_valuetype] = ACTIONS(1),
        [anon_sym_eventtype] = ACTIONS(1),
        [anon_sym_struct] = ACTIONS(1),
        [anon_sym_union] = ACTIONS(1),
        [anon_sym_enum] = ACTIONS(1),
        [anon_sym_const] = ACTIONS(1),
        [anon_sym_alias] = ACTIONS(1),
        [anon_sym_custom] = ACTIONS(1),
        [anon_sym_truncatable] = ACTIONS(1),
        [anon_sym_supports] = ACTIONS(1),
        [anon_sym_public] = ACTIONS(1),
        [anon_sym_private] = ACTIONS(1),
        [anon_sym_factory] = ACTIONS(1),
        [anon_sym_typedef] = ACTIONS(1),
        [anon_sym_LBRACK] = ACTIONS(1),
        [anon_sym_RBRACK] = ACTIONS(1),
        [anon_sym_switch] = ACTIONS(1),
        [anon_sym_case] = ACTIONS(1),
        [anon_sym_typeid] = ACTIONS(1),
        [anon_sym_typeprefix] = ACTIONS(1),
        [anon_sym_import] = ACTIONS(1),
        [anon_sym_Object] = ACTIONS(1),
        [anon_sym_oneway] = ACTIONS(1),
        [anon_sym_context] = ACTIONS(1),
        [sym_value_base_type] = ACTIONS(1),
        [anon_sym_component] = ACTIONS(1),
        [anon_sym_provides] = ACTIONS(1),
        [anon_sym_uses] = ACTIONS(1),
        [anon_sym_multiple] = ACTIONS(1),
        [anon_sym_home] = ACTIONS(1),
        [anon_sym_manages] = ACTIONS(1),
        [anon_sym_emits] = ACTIONS(1),
        [anon_sym_publishes] = ACTIONS(1),
        [anon_sym_consumes] = ACTIONS(1),
        [anon_sym_primarykey] = ACTIONS(1),
        [anon_sym_finder] = ACTIONS(1),
        [anon_sym_port] = ACTIONS(1),
        [anon_sym_mirrorport] = ACTIONS(1),
        [anon_sym_connector] = ACTIONS(1),
        [anon_sym_native] = ACTIONS(1),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [1] = {
        [sym_specification] = STATE(1328),
        [sym_preproc_define] = STATE(294),
        [sym_preproc_call] = STATE(294),
        [sym_preproc_include] = STATE(294),
        [sym_except_dcl] = STATE(1327),
        [sym_interface_dcl] = STATE(1327),
        [sym_interface_kind] = STATE(1326),
        [sym_interface_forward_dcl] = STATE(1325),
        [sym_interface_def] = STATE(1325),
        [sym_interface_header] = STATE(1324),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_annotation_dcl] = STATE(1327),
        [sym_annotation_appl] = STATE(372),
        [sym_extend_annotation_appl] = STATE(373),
        [sym_template_module_dcl] = STATE(1327),
        [sym_template_module_inst] = STATE(1327),
        [sym_value_dcl] = STATE(1327),
        [sym_value_def] = STATE(1321),
        [sym_value_kind] = STATE(1319),
        [sym_value_header] = STATE(1318),
        [sym_value_forward_dcl] = STATE(1321),
        [sym_typedef_dcl] = STATE(1317),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_type_id_dcl] = STATE(1327),
        [sym_type_prefix_dcl] = STATE(1327),
        [sym_import_dcl] = STATE(1327),
        [sym_value_box_def] = STATE(1321),
        [sym_value_abs_def] = STATE(1321),
        [sym_component_dcl] = STATE(1327),
        [sym_component_forward_dcl] = STATE(1315),
        [sym_component_def] = STATE(1315),
        [sym_component_header] = STATE(1314),
        [sym_home_dcl] = STATE(1327),
        [sym_home_header] = STATE(1313),
        [sym_event_dcl] = STATE(1327),
        [sym_event_forward_dcl] = STATE(1312),
        [sym_event_abs_def] = STATE(1312),
        [sym_event_def] = STATE(1312),
        [sym_event_header] = STATE(1311),
        [sym_porttype_dcl] = STATE(1327),
        [sym_porttype_forward_dcl] = STATE(1310),
        [sym_porttype_def] = STATE(1310),
        [sym_connector_dcl] = STATE(1327),
        [sym_connector_header] = STATE(1309),
        [sym_definition] = STATE(294),
        [sym_type_dcl] = STATE(1327),
        [sym_constr_type_dcl] = STATE(1317),
        [sym_native_dcl] = STATE(1317),
        [sym_module_dcl] = STATE(1327),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_const_dcl] = STATE(1327),
        [sym_comment] = STATE(1),
        [aux_sym_specification_repeat1] = STATE(24),
        [aux_sym_interface_dcl_repeat1] = STATE(291),
        [ts_builtin_sym_end] = ACTIONS(7),
        [anon_sym_POUNDdefine] = ACTIONS(9),
        [sym_preproc_directive] = ACTIONS(11),
        [aux_sym_preproc_include_token1] = ACTIONS(13),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_typeid] = ACTIONS(51),
        [anon_sym_typeprefix] = ACTIONS(53),
        [anon_sym_import] = ACTIONS(55),
        [anon_sym_component] = ACTIONS(57),
        [anon_sym_home] = ACTIONS(59),
        [anon_sym_porttype] = ACTIONS(61),
        [anon_sym_connector] = ACTIONS(63),
        [anon_sym_native] = ACTIONS(65),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [2] = {
        [sym_signed_short_int] = STATE(487),
        [sym_signed_long_int] = STATE(487),
        [sym_signed_longlong_int] = STATE(487),
        [sym_unsigned_int] = STATE(507),
        [sym_integer_type] = STATE(593),
        [sym_signed_int] = STATE(507),
        [sym_unsigned_short_int] = STATE(484),
        [sym_unsigned_long_int] = STATE(484),
        [sym_unsigned_longlong_int] = STATE(484),
        [sym_floating_pt_type] = STATE(593),
        [sym_scoped_name] = STATE(512),
        [sym_string_type] = STATE(614),
        [sym_wide_string_type] = STATE(614),
        [sym_type_spec] = STATE(1062),
        [sym_simple_type_spec] = STATE(590),
        [sym_base_type_spec] = STATE(522),
        [sym_any_type] = STATE(593),
        [sym_fixed_pt_type] = STATE(614),
        [sym_template_type_spec] = STATE(590),
        [sym_sequence_type] = STATE(614),
        [sym_map_type] = STATE(614),
        [sym_except_dcl] = STATE(1135),
        [sym_export] = STATE(62),
        [sym_op_dcl] = STATE(736),
        [sym_op_type_spec] = STATE(1054),
        [sym_attr_dcl] = STATE(1135),
        [sym_readonly_attr_spec] = STATE(1052),
        [sym_attr_spec] = STATE(1052),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_annotation_appl] = STATE(372),
        [sym_extend_annotation_appl] = STATE(373),
        [sym_value_dcl] = STATE(1135),
        [sym_value_def] = STATE(1321),
        [sym_value_kind] = STATE(1319),
        [sym_value_header] = STATE(1318),
        [sym_value_element] = STATE(61),
        [sym_state_member] = STATE(62),
        [sym_init_dcl] = STATE(62),
        [sym_value_forward_dcl] = STATE(1321),
        [sym_typedef_dcl] = STATE(1317),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_type_id_dcl] = STATE(1135),
        [sym_import_dcl] = STATE(1135),
        [sym_object_type] = STATE(593),
        [sym_op_oneway_dcl] = STATE(736),
        [sym_op_with_context] = STATE(1135),
        [sym_value_box_def] = STATE(1321),
        [sym_value_abs_def] = STATE(1321),
        [sym_type_dcl] = STATE(1135),
        [sym_constr_type_dcl] = STATE(1317),
        [sym_native_dcl] = STATE(1317),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_const_dcl] = STATE(1135),
        [sym_comment] = STATE(2),
        [aux_sym_interface_dcl_repeat1] = STATE(303),
        [aux_sym_value_def_repeat1] = STATE(4),
        [anon_sym_short] = ACTIONS(67),
        [anon_sym_int16] = ACTIONS(67),
        [anon_sym_long] = ACTIONS(69),
        [anon_sym_int32] = ACTIONS(69),
        [anon_sym_longlong] = ACTIONS(71),
        [anon_sym_int64] = ACTIONS(73),
        [sym_unsigned_tiny_int] = ACTIONS(75),
        [sym_boolean_type] = ACTIONS(77),
        [anon_sym_fixed] = ACTIONS(79),
        [sym_octet_type] = ACTIONS(77),
        [sym_signed_tiny_int] = ACTIONS(81),
        [anon_sym_unsignedshort] = ACTIONS(83),
        [anon_sym_uint16] = ACTIONS(85),
        [anon_sym_unsignedlong] = ACTIONS(87),
        [anon_sym_uint32] = ACTIONS(87),
        [anon_sym_unsignedlonglong] = ACTIONS(89),
        [anon_sym_uint64] = ACTIONS(91),
        [anon_sym_float] = ACTIONS(93),
        [anon_sym_double] = ACTIONS(93),
        [anon_sym_longdouble] = ACTIONS(95),
        [sym_char_type] = ACTIONS(77),
        [sym_wide_char_type] = ACTIONS(77),
        [anon_sym_COLON_COLON] = ACTIONS(97),
        [anon_sym_string] = ACTIONS(99),
        [anon_sym_wstring] = ACTIONS(101),
        [anon_sym_any] = ACTIONS(103),
        [anon_sym_sequence] = ACTIONS(105),
        [anon_sym_map] = ACTIONS(107),
        [anon_sym_exception] = ACTIONS(109),
        [anon_sym_RBRACE] = ACTIONS(111),
        [anon_sym_abstract] = ACTIONS(113),
        [anon_sym_void] = ACTIONS(115),
        [anon_sym_readonly] = ACTIONS(117),
        [anon_sym_attribute] = ACTIONS(119),
        [anon_sym_bitset] = ACTIONS(121),
        [anon_sym_bitmask] = ACTIONS(123),
        [anon_sym_AT] = ACTIONS(125),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(127),
        [anon_sym_struct] = ACTIONS(129),
        [anon_sym_union] = ACTIONS(131),
        [anon_sym_enum] = ACTIONS(133),
        [anon_sym_const] = ACTIONS(135),
        [anon_sym_custom] = ACTIONS(137),
        [anon_sym_public] = ACTIONS(139),
        [anon_sym_private] = ACTIONS(139),
        [anon_sym_factory] = ACTIONS(141),
        [anon_sym_typedef] = ACTIONS(143),
        [anon_sym_typeid] = ACTIONS(145),
        [anon_sym_import] = ACTIONS(147),
        [anon_sym_Object] = ACTIONS(149),
        [anon_sym_oneway] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(77),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [3] = {
        [sym_signed_short_int] = STATE(487),
        [sym_signed_long_int] = STATE(487),
        [sym_signed_longlong_int] = STATE(487),
        [sym_unsigned_int] = STATE(507),
        [sym_integer_type] = STATE(593),
        [sym_signed_int] = STATE(507),
        [sym_unsigned_short_int] = STATE(484),
        [sym_unsigned_long_int] = STATE(484),
        [sym_unsigned_longlong_int] = STATE(484),
        [sym_floating_pt_type] = STATE(593),
        [sym_scoped_name] = STATE(512),
        [sym_string_type] = STATE(614),
        [sym_wide_string_type] = STATE(614),
        [sym_type_spec] = STATE(1062),
        [sym_simple_type_spec] = STATE(590),
        [sym_base_type_spec] = STATE(522),
        [sym_any_type] = STATE(593),
        [sym_fixed_pt_type] = STATE(614),
        [sym_template_type_spec] = STATE(590),
        [sym_sequence_type] = STATE(614),
        [sym_map_type] = STATE(614),
        [sym_except_dcl] = STATE(1135),
        [sym_export] = STATE(62),
        [sym_op_dcl] = STATE(736),
        [sym_op_type_spec] = STATE(1054),
        [sym_attr_dcl] = STATE(1135),
        [sym_readonly_attr_spec] = STATE(1052),
        [sym_attr_spec] = STATE(1052),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_annotation_appl] = STATE(372),
        [sym_extend_annotation_appl] = STATE(373),
        [sym_value_dcl] = STATE(1135),
        [sym_value_def] = STATE(1321),
        [sym_value_kind] = STATE(1319),
        [sym_value_header] = STATE(1318),
        [sym_value_element] = STATE(61),
        [sym_state_member] = STATE(62),
        [sym_init_dcl] = STATE(62),
        [sym_value_forward_dcl] = STATE(1321),
        [sym_typedef_dcl] = STATE(1317),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_type_id_dcl] = STATE(1135),
        [sym_import_dcl] = STATE(1135),
        [sym_object_type] = STATE(593),
        [sym_op_oneway_dcl] = STATE(736),
        [sym_op_with_context] = STATE(1135),
        [sym_value_box_def] = STATE(1321),
        [sym_value_abs_def] = STATE(1321),
        [sym_type_dcl] = STATE(1135),
        [sym_constr_type_dcl] = STATE(1317),
        [sym_native_dcl] = STATE(1317),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_const_dcl] = STATE(1135),
        [sym_comment] = STATE(3),
        [aux_sym_interface_dcl_repeat1] = STATE(303),
        [aux_sym_value_def_repeat1] = STATE(4),
        [anon_sym_short] = ACTIONS(67),
        [anon_sym_int16] = ACTIONS(67),
        [anon_sym_long] = ACTIONS(69),
        [anon_sym_int32] = ACTIONS(69),
        [anon_sym_longlong] = ACTIONS(71),
        [anon_sym_int64] = ACTIONS(73),
        [sym_unsigned_tiny_int] = ACTIONS(75),
        [sym_boolean_type] = ACTIONS(77),
        [anon_sym_fixed] = ACTIONS(79),
        [sym_octet_type] = ACTIONS(77),
        [sym_signed_tiny_int] = ACTIONS(81),
        [anon_sym_unsignedshort] = ACTIONS(83),
        [anon_sym_uint16] = ACTIONS(85),
        [anon_sym_unsignedlong] = ACTIONS(87),
        [anon_sym_uint32] = ACTIONS(87),
        [anon_sym_unsignedlonglong] = ACTIONS(89),
        [anon_sym_uint64] = ACTIONS(91),
        [anon_sym_float] = ACTIONS(93),
        [anon_sym_double] = ACTIONS(93),
        [anon_sym_longdouble] = ACTIONS(95),
        [sym_char_type] = ACTIONS(77),
        [sym_wide_char_type] = ACTIONS(77),
        [anon_sym_COLON_COLON] = ACTIONS(97),
        [anon_sym_string] = ACTIONS(99),
        [anon_sym_wstring] = ACTIONS(101),
        [anon_sym_any] = ACTIONS(103),
        [anon_sym_sequence] = ACTIONS(105),
        [anon_sym_map] = ACTIONS(107),
        [anon_sym_exception] = ACTIONS(109),
        [anon_sym_RBRACE] = ACTIONS(157),
        [anon_sym_abstract] = ACTIONS(113),
        [anon_sym_void] = ACTIONS(115),
        [anon_sym_readonly] = ACTIONS(117),
        [anon_sym_attribute] = ACTIONS(119),
        [anon_sym_bitset] = ACTIONS(121),
        [anon_sym_bitmask] = ACTIONS(123),
        [anon_sym_AT] = ACTIONS(125),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(127),
        [anon_sym_struct] = ACTIONS(129),
        [anon_sym_union] = ACTIONS(131),
        [anon_sym_enum] = ACTIONS(133),
        [anon_sym_const] = ACTIONS(135),
        [anon_sym_custom] = ACTIONS(137),
        [anon_sym_public] = ACTIONS(139),
        [anon_sym_private] = ACTIONS(139),
        [anon_sym_factory] = ACTIONS(141),
        [anon_sym_typedef] = ACTIONS(143),
        [anon_sym_typeid] = ACTIONS(145),
        [anon_sym_import] = ACTIONS(147),
        [anon_sym_Object] = ACTIONS(149),
        [anon_sym_oneway] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(77),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [4] = {
        [sym_signed_short_int] = STATE(487),
        [sym_signed_long_int] = STATE(487),
        [sym_signed_longlong_int] = STATE(487),
        [sym_unsigned_int] = STATE(507),
        [sym_integer_type] = STATE(593),
        [sym_signed_int] = STATE(507),
        [sym_unsigned_short_int] = STATE(484),
        [sym_unsigned_long_int] = STATE(484),
        [sym_unsigned_longlong_int] = STATE(484),
        [sym_floating_pt_type] = STATE(593),
        [sym_scoped_name] = STATE(512),
        [sym_string_type] = STATE(614),
        [sym_wide_string_type] = STATE(614),
        [sym_type_spec] = STATE(1062),
        [sym_simple_type_spec] = STATE(590),
        [sym_base_type_spec] = STATE(522),
        [sym_any_type] = STATE(593),
        [sym_fixed_pt_type] = STATE(614),
        [sym_template_type_spec] = STATE(590),
        [sym_sequence_type] = STATE(614),
        [sym_map_type] = STATE(614),
        [sym_except_dcl] = STATE(1135),
        [sym_export] = STATE(62),
        [sym_op_dcl] = STATE(736),
        [sym_op_type_spec] = STATE(1054),
        [sym_attr_dcl] = STATE(1135),
        [sym_readonly_attr_spec] = STATE(1052),
        [sym_attr_spec] = STATE(1052),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_annotation_appl] = STATE(372),
        [sym_extend_annotation_appl] = STATE(373),
        [sym_value_dcl] = STATE(1135),
        [sym_value_def] = STATE(1321),
        [sym_value_kind] = STATE(1319),
        [sym_value_header] = STATE(1318),
        [sym_value_element] = STATE(61),
        [sym_state_member] = STATE(62),
        [sym_init_dcl] = STATE(62),
        [sym_value_forward_dcl] = STATE(1321),
        [sym_typedef_dcl] = STATE(1317),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_type_id_dcl] = STATE(1135),
        [sym_import_dcl] = STATE(1135),
        [sym_object_type] = STATE(593),
        [sym_op_oneway_dcl] = STATE(736),
        [sym_op_with_context] = STATE(1135),
        [sym_value_box_def] = STATE(1321),
        [sym_value_abs_def] = STATE(1321),
        [sym_type_dcl] = STATE(1135),
        [sym_constr_type_dcl] = STATE(1317),
        [sym_native_dcl] = STATE(1317),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_const_dcl] = STATE(1135),
        [sym_comment] = STATE(4),
        [aux_sym_interface_dcl_repeat1] = STATE(303),
        [aux_sym_value_def_repeat1] = STATE(4),
        [anon_sym_short] = ACTIONS(159),
        [anon_sym_int16] = ACTIONS(159),
        [anon_sym_long] = ACTIONS(162),
        [anon_sym_int32] = ACTIONS(162),
        [anon_sym_longlong] = ACTIONS(165),
        [anon_sym_int64] = ACTIONS(168),
        [sym_unsigned_tiny_int] = ACTIONS(171),
        [sym_boolean_type] = ACTIONS(174),
        [anon_sym_fixed] = ACTIONS(177),
        [sym_octet_type] = ACTIONS(174),
        [sym_signed_tiny_int] = ACTIONS(180),
        [anon_sym_unsignedshort] = ACTIONS(183),
        [anon_sym_uint16] = ACTIONS(186),
        [anon_sym_unsignedlong] = ACTIONS(189),
        [anon_sym_uint32] = ACTIONS(189),
        [anon_sym_unsignedlonglong] = ACTIONS(192),
        [anon_sym_uint64] = ACTIONS(195),
        [anon_sym_float] = ACTIONS(198),
        [anon_sym_double] = ACTIONS(198),
        [anon_sym_longdouble] = ACTIONS(201),
        [sym_char_type] = ACTIONS(174),
        [sym_wide_char_type] = ACTIONS(174),
        [anon_sym_COLON_COLON] = ACTIONS(204),
        [anon_sym_string] = ACTIONS(207),
        [anon_sym_wstring] = ACTIONS(210),
        [anon_sym_any] = ACTIONS(213),
        [anon_sym_sequence] = ACTIONS(216),
        [anon_sym_map] = ACTIONS(219),
        [anon_sym_exception] = ACTIONS(222),
        [anon_sym_RBRACE] = ACTIONS(225),
        [anon_sym_abstract] = ACTIONS(227),
        [anon_sym_void] = ACTIONS(230),
        [anon_sym_readonly] = ACTIONS(233),
        [anon_sym_attribute] = ACTIONS(236),
        [anon_sym_bitset] = ACTIONS(239),
        [anon_sym_bitmask] = ACTIONS(242),
        [anon_sym_AT] = ACTIONS(245),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(248),
        [anon_sym_valuetype] = ACTIONS(251),
        [anon_sym_struct] = ACTIONS(254),
        [anon_sym_union] = ACTIONS(257),
        [anon_sym_enum] = ACTIONS(260),
        [anon_sym_const] = ACTIONS(263),
        [anon_sym_custom] = ACTIONS(266),
        [anon_sym_public] = ACTIONS(269),
        [anon_sym_private] = ACTIONS(269),
        [anon_sym_factory] = ACTIONS(272),
        [anon_sym_typedef] = ACTIONS(275),
        [anon_sym_typeid] = ACTIONS(278),
        [anon_sym_import] = ACTIONS(281),
        [anon_sym_Object] = ACTIONS(284),
        [anon_sym_oneway] = ACTIONS(287),
        [sym_value_base_type] = ACTIONS(174),
        [anon_sym_native] = ACTIONS(290),
        [sym_identifier] = ACTIONS(293),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [5] = {
        [sym_signed_short_int] = STATE(487),
        [sym_signed_long_int] = STATE(487),
        [sym_signed_longlong_int] = STATE(487),
        [sym_unsigned_int] = STATE(507),
        [sym_integer_type] = STATE(593),
        [sym_signed_int] = STATE(507),
        [sym_unsigned_short_int] = STATE(484),
        [sym_unsigned_long_int] = STATE(484),
        [sym_unsigned_longlong_int] = STATE(484),
        [sym_floating_pt_type] = STATE(593),
        [sym_scoped_name] = STATE(512),
        [sym_string_type] = STATE(614),
        [sym_wide_string_type] = STATE(614),
        [sym_type_spec] = STATE(1062),
        [sym_simple_type_spec] = STATE(590),
        [sym_base_type_spec] = STATE(522),
        [sym_any_type] = STATE(593),
        [sym_fixed_pt_type] = STATE(614),
        [sym_template_type_spec] = STATE(590),
        [sym_sequence_type] = STATE(614),
        [sym_map_type] = STATE(614),
        [sym_except_dcl] = STATE(1135),
        [sym_export] = STATE(62),
        [sym_op_dcl] = STATE(736),
        [sym_op_type_spec] = STATE(1054),
        [sym_attr_dcl] = STATE(1135),
        [sym_readonly_attr_spec] = STATE(1052),
        [sym_attr_spec] = STATE(1052),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_annotation_appl] = STATE(372),
        [sym_extend_annotation_appl] = STATE(373),
        [sym_value_dcl] = STATE(1135),
        [sym_value_def] = STATE(1321),
        [sym_value_kind] = STATE(1319),
        [sym_value_header] = STATE(1318),
        [sym_value_element] = STATE(61),
        [sym_state_member] = STATE(62),
        [sym_init_dcl] = STATE(62),
        [sym_value_forward_dcl] = STATE(1321),
        [sym_typedef_dcl] = STATE(1317),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_type_id_dcl] = STATE(1135),
        [sym_import_dcl] = STATE(1135),
        [sym_object_type] = STATE(593),
        [sym_op_oneway_dcl] = STATE(736),
        [sym_op_with_context] = STATE(1135),
        [sym_value_box_def] = STATE(1321),
        [sym_value_abs_def] = STATE(1321),
        [sym_type_dcl] = STATE(1135),
        [sym_constr_type_dcl] = STATE(1317),
        [sym_native_dcl] = STATE(1317),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_const_dcl] = STATE(1135),
        [sym_comment] = STATE(5),
        [aux_sym_interface_dcl_repeat1] = STATE(303),
        [aux_sym_value_def_repeat1] = STATE(3),
        [anon_sym_short] = ACTIONS(67),
        [anon_sym_int16] = ACTIONS(67),
        [anon_sym_long] = ACTIONS(69),
        [anon_sym_int32] = ACTIONS(69),
        [anon_sym_longlong] = ACTIONS(71),
        [anon_sym_int64] = ACTIONS(73),
        [sym_unsigned_tiny_int] = ACTIONS(75),
        [sym_boolean_type] = ACTIONS(77),
        [anon_sym_fixed] = ACTIONS(79),
        [sym_octet_type] = ACTIONS(77),
        [sym_signed_tiny_int] = ACTIONS(81),
        [anon_sym_unsignedshort] = ACTIONS(83),
        [anon_sym_uint16] = ACTIONS(85),
        [anon_sym_unsignedlong] = ACTIONS(87),
        [anon_sym_uint32] = ACTIONS(87),
        [anon_sym_unsignedlonglong] = ACTIONS(89),
        [anon_sym_uint64] = ACTIONS(91),
        [anon_sym_float] = ACTIONS(93),
        [anon_sym_double] = ACTIONS(93),
        [anon_sym_longdouble] = ACTIONS(95),
        [sym_char_type] = ACTIONS(77),
        [sym_wide_char_type] = ACTIONS(77),
        [anon_sym_COLON_COLON] = ACTIONS(97),
        [anon_sym_string] = ACTIONS(99),
        [anon_sym_wstring] = ACTIONS(101),
        [anon_sym_any] = ACTIONS(103),
        [anon_sym_sequence] = ACTIONS(105),
        [anon_sym_map] = ACTIONS(107),
        [anon_sym_exception] = ACTIONS(109),
        [anon_sym_RBRACE] = ACTIONS(296),
        [anon_sym_abstract] = ACTIONS(113),
        [anon_sym_void] = ACTIONS(115),
        [anon_sym_readonly] = ACTIONS(117),
        [anon_sym_attribute] = ACTIONS(119),
        [anon_sym_bitset] = ACTIONS(121),
        [anon_sym_bitmask] = ACTIONS(123),
        [anon_sym_AT] = ACTIONS(125),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(127),
        [anon_sym_struct] = ACTIONS(129),
        [anon_sym_union] = ACTIONS(131),
        [anon_sym_enum] = ACTIONS(133),
        [anon_sym_const] = ACTIONS(135),
        [anon_sym_custom] = ACTIONS(137),
        [anon_sym_public] = ACTIONS(139),
        [anon_sym_private] = ACTIONS(139),
        [anon_sym_factory] = ACTIONS(141),
        [anon_sym_typedef] = ACTIONS(143),
        [anon_sym_typeid] = ACTIONS(145),
        [anon_sym_import] = ACTIONS(147),
        [anon_sym_Object] = ACTIONS(149),
        [anon_sym_oneway] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(77),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [6] = {
        [sym_signed_short_int] = STATE(487),
        [sym_signed_long_int] = STATE(487),
        [sym_signed_longlong_int] = STATE(487),
        [sym_unsigned_int] = STATE(507),
        [sym_integer_type] = STATE(593),
        [sym_signed_int] = STATE(507),
        [sym_unsigned_short_int] = STATE(484),
        [sym_unsigned_long_int] = STATE(484),
        [sym_unsigned_longlong_int] = STATE(484),
        [sym_floating_pt_type] = STATE(593),
        [sym_scoped_name] = STATE(512),
        [sym_string_type] = STATE(614),
        [sym_wide_string_type] = STATE(614),
        [sym_type_spec] = STATE(1062),
        [sym_simple_type_spec] = STATE(590),
        [sym_base_type_spec] = STATE(522),
        [sym_any_type] = STATE(593),
        [sym_fixed_pt_type] = STATE(614),
        [sym_template_type_spec] = STATE(590),
        [sym_sequence_type] = STATE(614),
        [sym_map_type] = STATE(614),
        [sym_except_dcl] = STATE(1182),
        [sym_export] = STATE(65),
        [sym_op_dcl] = STATE(707),
        [sym_op_type_spec] = STATE(1054),
        [sym_attr_dcl] = STATE(1182),
        [sym_readonly_attr_spec] = STATE(1052),
        [sym_attr_spec] = STATE(1052),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_annotation_appl] = STATE(372),
        [sym_extend_annotation_appl] = STATE(373),
        [sym_value_dcl] = STATE(1182),
        [sym_value_def] = STATE(1321),
        [sym_value_kind] = STATE(1319),
        [sym_value_header] = STATE(1318),
        [sym_value_forward_dcl] = STATE(1321),
        [sym_typedef_dcl] = STATE(1317),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_type_id_dcl] = STATE(1182),
        [sym_import_dcl] = STATE(1182),
        [sym_object_type] = STATE(593),
        [sym_op_oneway_dcl] = STATE(707),
        [sym_op_with_context] = STATE(1182),
        [sym_value_box_def] = STATE(1321),
        [sym_value_abs_def] = STATE(1321),
        [sym_home_body] = STATE(1034),
        [sym_home_export] = STATE(68),
        [sym_factory_dcl] = STATE(1033),
        [sym_finder_dcl] = STATE(1033),
        [sym_type_dcl] = STATE(1182),
        [sym_constr_type_dcl] = STATE(1317),
        [sym_native_dcl] = STATE(1317),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_const_dcl] = STATE(1182),
        [sym_comment] = STATE(6),
        [aux_sym_interface_dcl_repeat1] = STATE(303),
        [aux_sym_home_body_repeat1] = STATE(9),
        [anon_sym_short] = ACTIONS(67),
        [anon_sym_int16] = ACTIONS(67),
        [anon_sym_long] = ACTIONS(69),
        [anon_sym_int32] = ACTIONS(69),
        [anon_sym_longlong] = ACTIONS(71),
        [anon_sym_int64] = ACTIONS(73),
        [sym_unsigned_tiny_int] = ACTIONS(75),
        [sym_boolean_type] = ACTIONS(77),
        [anon_sym_fixed] = ACTIONS(79),
        [sym_octet_type] = ACTIONS(77),
        [sym_signed_tiny_int] = ACTIONS(81),
        [anon_sym_unsignedshort] = ACTIONS(83),
        [anon_sym_uint16] = ACTIONS(85),
        [anon_sym_unsignedlong] = ACTIONS(87),
        [anon_sym_uint32] = ACTIONS(87),
        [anon_sym_unsignedlonglong] = ACTIONS(89),
        [anon_sym_uint64] = ACTIONS(91),
        [anon_sym_float] = ACTIONS(93),
        [anon_sym_double] = ACTIONS(93),
        [anon_sym_longdouble] = ACTIONS(95),
        [sym_char_type] = ACTIONS(77),
        [sym_wide_char_type] = ACTIONS(77),
        [anon_sym_COLON_COLON] = ACTIONS(97),
        [anon_sym_string] = ACTIONS(99),
        [anon_sym_wstring] = ACTIONS(101),
        [anon_sym_any] = ACTIONS(103),
        [anon_sym_sequence] = ACTIONS(105),
        [anon_sym_map] = ACTIONS(107),
        [anon_sym_exception] = ACTIONS(109),
        [anon_sym_RBRACE] = ACTIONS(298),
        [anon_sym_abstract] = ACTIONS(113),
        [anon_sym_void] = ACTIONS(115),
        [anon_sym_readonly] = ACTIONS(117),
        [anon_sym_attribute] = ACTIONS(119),
        [anon_sym_bitset] = ACTIONS(121),
        [anon_sym_bitmask] = ACTIONS(123),
        [anon_sym_AT] = ACTIONS(125),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(127),
        [anon_sym_struct] = ACTIONS(129),
        [anon_sym_union] = ACTIONS(131),
        [anon_sym_enum] = ACTIONS(133),
        [anon_sym_const] = ACTIONS(135),
        [anon_sym_custom] = ACTIONS(137),
        [anon_sym_factory] = ACTIONS(300),
        [anon_sym_typedef] = ACTIONS(143),
        [anon_sym_typeid] = ACTIONS(145),
        [anon_sym_import] = ACTIONS(147),
        [anon_sym_Object] = ACTIONS(149),
        [anon_sym_oneway] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(77),
        [anon_sym_finder] = ACTIONS(302),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [7] = {
        [sym_signed_short_int] = STATE(487),
        [sym_signed_long_int] = STATE(487),
        [sym_signed_longlong_int] = STATE(487),
        [sym_unsigned_int] = STATE(507),
        [sym_integer_type] = STATE(593),
        [sym_signed_int] = STATE(507),
        [sym_unsigned_short_int] = STATE(484),
        [sym_unsigned_long_int] = STATE(484),
        [sym_unsigned_longlong_int] = STATE(484),
        [sym_floating_pt_type] = STATE(593),
        [sym_scoped_name] = STATE(512),
        [sym_string_type] = STATE(614),
        [sym_wide_string_type] = STATE(614),
        [sym_type_spec] = STATE(1062),
        [sym_simple_type_spec] = STATE(590),
        [sym_base_type_spec] = STATE(522),
        [sym_any_type] = STATE(593),
        [sym_fixed_pt_type] = STATE(614),
        [sym_template_type_spec] = STATE(590),
        [sym_sequence_type] = STATE(614),
        [sym_map_type] = STATE(614),
        [sym_except_dcl] = STATE(1135),
        [sym_export] = STATE(62),
        [sym_op_dcl] = STATE(736),
        [sym_op_type_spec] = STATE(1054),
        [sym_attr_dcl] = STATE(1135),
        [sym_readonly_attr_spec] = STATE(1052),
        [sym_attr_spec] = STATE(1052),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_annotation_appl] = STATE(372),
        [sym_extend_annotation_appl] = STATE(373),
        [sym_value_dcl] = STATE(1135),
        [sym_value_def] = STATE(1321),
        [sym_value_kind] = STATE(1319),
        [sym_value_header] = STATE(1318),
        [sym_value_element] = STATE(61),
        [sym_state_member] = STATE(62),
        [sym_init_dcl] = STATE(62),
        [sym_value_forward_dcl] = STATE(1321),
        [sym_typedef_dcl] = STATE(1317),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_type_id_dcl] = STATE(1135),
        [sym_import_dcl] = STATE(1135),
        [sym_object_type] = STATE(593),
        [sym_op_oneway_dcl] = STATE(736),
        [sym_op_with_context] = STATE(1135),
        [sym_value_box_def] = STATE(1321),
        [sym_value_abs_def] = STATE(1321),
        [sym_type_dcl] = STATE(1135),
        [sym_constr_type_dcl] = STATE(1317),
        [sym_native_dcl] = STATE(1317),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_const_dcl] = STATE(1135),
        [sym_comment] = STATE(7),
        [aux_sym_interface_dcl_repeat1] = STATE(303),
        [aux_sym_value_def_repeat1] = STATE(2),
        [anon_sym_short] = ACTIONS(67),
        [anon_sym_int16] = ACTIONS(67),
        [anon_sym_long] = ACTIONS(69),
        [anon_sym_int32] = ACTIONS(69),
        [anon_sym_longlong] = ACTIONS(71),
        [anon_sym_int64] = ACTIONS(73),
        [sym_unsigned_tiny_int] = ACTIONS(75),
        [sym_boolean_type] = ACTIONS(77),
        [anon_sym_fixed] = ACTIONS(79),
        [sym_octet_type] = ACTIONS(77),
        [sym_signed_tiny_int] = ACTIONS(81),
        [anon_sym_unsignedshort] = ACTIONS(83),
        [anon_sym_uint16] = ACTIONS(85),
        [anon_sym_unsignedlong] = ACTIONS(87),
        [anon_sym_uint32] = ACTIONS(87),
        [anon_sym_unsignedlonglong] = ACTIONS(89),
        [anon_sym_uint64] = ACTIONS(91),
        [anon_sym_float] = ACTIONS(93),
        [anon_sym_double] = ACTIONS(93),
        [anon_sym_longdouble] = ACTIONS(95),
        [sym_char_type] = ACTIONS(77),
        [sym_wide_char_type] = ACTIONS(77),
        [anon_sym_COLON_COLON] = ACTIONS(97),
        [anon_sym_string] = ACTIONS(99),
        [anon_sym_wstring] = ACTIONS(101),
        [anon_sym_any] = ACTIONS(103),
        [anon_sym_sequence] = ACTIONS(105),
        [anon_sym_map] = ACTIONS(107),
        [anon_sym_exception] = ACTIONS(109),
        [anon_sym_RBRACE] = ACTIONS(304),
        [anon_sym_abstract] = ACTIONS(113),
        [anon_sym_void] = ACTIONS(115),
        [anon_sym_readonly] = ACTIONS(117),
        [anon_sym_attribute] = ACTIONS(119),
        [anon_sym_bitset] = ACTIONS(121),
        [anon_sym_bitmask] = ACTIONS(123),
        [anon_sym_AT] = ACTIONS(125),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(127),
        [anon_sym_struct] = ACTIONS(129),
        [anon_sym_union] = ACTIONS(131),
        [anon_sym_enum] = ACTIONS(133),
        [anon_sym_const] = ACTIONS(135),
        [anon_sym_custom] = ACTIONS(137),
        [anon_sym_public] = ACTIONS(139),
        [anon_sym_private] = ACTIONS(139),
        [anon_sym_factory] = ACTIONS(141),
        [anon_sym_typedef] = ACTIONS(143),
        [anon_sym_typeid] = ACTIONS(145),
        [anon_sym_import] = ACTIONS(147),
        [anon_sym_Object] = ACTIONS(149),
        [anon_sym_oneway] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(77),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [8] = {
        [sym_signed_short_int] = STATE(487),
        [sym_signed_long_int] = STATE(487),
        [sym_signed_longlong_int] = STATE(487),
        [sym_unsigned_int] = STATE(507),
        [sym_integer_type] = STATE(593),
        [sym_signed_int] = STATE(507),
        [sym_unsigned_short_int] = STATE(484),
        [sym_unsigned_long_int] = STATE(484),
        [sym_unsigned_longlong_int] = STATE(484),
        [sym_floating_pt_type] = STATE(593),
        [sym_scoped_name] = STATE(512),
        [sym_string_type] = STATE(614),
        [sym_wide_string_type] = STATE(614),
        [sym_type_spec] = STATE(1062),
        [sym_simple_type_spec] = STATE(590),
        [sym_base_type_spec] = STATE(522),
        [sym_any_type] = STATE(593),
        [sym_fixed_pt_type] = STATE(614),
        [sym_template_type_spec] = STATE(590),
        [sym_sequence_type] = STATE(614),
        [sym_map_type] = STATE(614),
        [sym_except_dcl] = STATE(1182),
        [sym_export] = STATE(65),
        [sym_op_dcl] = STATE(707),
        [sym_op_type_spec] = STATE(1054),
        [sym_attr_dcl] = STATE(1182),
        [sym_readonly_attr_spec] = STATE(1052),
        [sym_attr_spec] = STATE(1052),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_annotation_appl] = STATE(372),
        [sym_extend_annotation_appl] = STATE(373),
        [sym_value_dcl] = STATE(1182),
        [sym_value_def] = STATE(1321),
        [sym_value_kind] = STATE(1319),
        [sym_value_header] = STATE(1318),
        [sym_value_forward_dcl] = STATE(1321),
        [sym_typedef_dcl] = STATE(1317),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_type_id_dcl] = STATE(1182),
        [sym_import_dcl] = STATE(1182),
        [sym_object_type] = STATE(593),
        [sym_op_oneway_dcl] = STATE(707),
        [sym_op_with_context] = STATE(1182),
        [sym_value_box_def] = STATE(1321),
        [sym_value_abs_def] = STATE(1321),
        [sym_home_export] = STATE(68),
        [sym_factory_dcl] = STATE(1033),
        [sym_finder_dcl] = STATE(1033),
        [sym_type_dcl] = STATE(1182),
        [sym_constr_type_dcl] = STATE(1317),
        [sym_native_dcl] = STATE(1317),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_const_dcl] = STATE(1182),
        [sym_comment] = STATE(8),
        [aux_sym_interface_dcl_repeat1] = STATE(303),
        [aux_sym_home_body_repeat1] = STATE(8),
        [anon_sym_short] = ACTIONS(306),
        [anon_sym_int16] = ACTIONS(306),
        [anon_sym_long] = ACTIONS(309),
        [anon_sym_int32] = ACTIONS(309),
        [anon_sym_longlong] = ACTIONS(312),
        [anon_sym_int64] = ACTIONS(315),
        [sym_unsigned_tiny_int] = ACTIONS(318),
        [sym_boolean_type] = ACTIONS(321),
        [anon_sym_fixed] = ACTIONS(324),
        [sym_octet_type] = ACTIONS(321),
        [sym_signed_tiny_int] = ACTIONS(327),
        [anon_sym_unsignedshort] = ACTIONS(330),
        [anon_sym_uint16] = ACTIONS(333),
        [anon_sym_unsignedlong] = ACTIONS(336),
        [anon_sym_uint32] = ACTIONS(336),
        [anon_sym_unsignedlonglong] = ACTIONS(339),
        [anon_sym_uint64] = ACTIONS(342),
        [anon_sym_float] = ACTIONS(345),
        [anon_sym_double] = ACTIONS(345),
        [anon_sym_longdouble] = ACTIONS(348),
        [sym_char_type] = ACTIONS(321),
        [sym_wide_char_type] = ACTIONS(321),
        [anon_sym_COLON_COLON] = ACTIONS(351),
        [anon_sym_string] = ACTIONS(354),
        [anon_sym_wstring] = ACTIONS(357),
        [anon_sym_any] = ACTIONS(360),
        [anon_sym_sequence] = ACTIONS(363),
        [anon_sym_map] = ACTIONS(366),
        [anon_sym_exception] = ACTIONS(369),
        [anon_sym_RBRACE] = ACTIONS(372),
        [anon_sym_abstract] = ACTIONS(374),
        [anon_sym_void] = ACTIONS(377),
        [anon_sym_readonly] = ACTIONS(380),
        [anon_sym_attribute] = ACTIONS(383),
        [anon_sym_bitset] = ACTIONS(386),
        [anon_sym_bitmask] = ACTIONS(389),
        [anon_sym_AT] = ACTIONS(392),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(395),
        [anon_sym_valuetype] = ACTIONS(398),
        [anon_sym_struct] = ACTIONS(401),
        [anon_sym_union] = ACTIONS(404),
        [anon_sym_enum] = ACTIONS(407),
        [anon_sym_const] = ACTIONS(410),
        [anon_sym_custom] = ACTIONS(413),
        [anon_sym_factory] = ACTIONS(416),
        [anon_sym_typedef] = ACTIONS(419),
        [anon_sym_typeid] = ACTIONS(422),
        [anon_sym_import] = ACTIONS(425),
        [anon_sym_Object] = ACTIONS(428),
        [anon_sym_oneway] = ACTIONS(431),
        [sym_value_base_type] = ACTIONS(321),
        [anon_sym_finder] = ACTIONS(434),
        [anon_sym_native] = ACTIONS(437),
        [sym_identifier] = ACTIONS(440),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [9] = {
        [sym_signed_short_int] = STATE(487),
        [sym_signed_long_int] = STATE(487),
        [sym_signed_longlong_int] = STATE(487),
        [sym_unsigned_int] = STATE(507),
        [sym_integer_type] = STATE(593),
        [sym_signed_int] = STATE(507),
        [sym_unsigned_short_int] = STATE(484),
        [sym_unsigned_long_int] = STATE(484),
        [sym_unsigned_longlong_int] = STATE(484),
        [sym_floating_pt_type] = STATE(593),
        [sym_scoped_name] = STATE(512),
        [sym_string_type] = STATE(614),
        [sym_wide_string_type] = STATE(614),
        [sym_type_spec] = STATE(1062),
        [sym_simple_type_spec] = STATE(590),
        [sym_base_type_spec] = STATE(522),
        [sym_any_type] = STATE(593),
        [sym_fixed_pt_type] = STATE(614),
        [sym_template_type_spec] = STATE(590),
        [sym_sequence_type] = STATE(614),
        [sym_map_type] = STATE(614),
        [sym_except_dcl] = STATE(1182),
        [sym_export] = STATE(65),
        [sym_op_dcl] = STATE(707),
        [sym_op_type_spec] = STATE(1054),
        [sym_attr_dcl] = STATE(1182),
        [sym_readonly_attr_spec] = STATE(1052),
        [sym_attr_spec] = STATE(1052),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_annotation_appl] = STATE(372),
        [sym_extend_annotation_appl] = STATE(373),
        [sym_value_dcl] = STATE(1182),
        [sym_value_def] = STATE(1321),
        [sym_value_kind] = STATE(1319),
        [sym_value_header] = STATE(1318),
        [sym_value_forward_dcl] = STATE(1321),
        [sym_typedef_dcl] = STATE(1317),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_type_id_dcl] = STATE(1182),
        [sym_import_dcl] = STATE(1182),
        [sym_object_type] = STATE(593),
        [sym_op_oneway_dcl] = STATE(707),
        [sym_op_with_context] = STATE(1182),
        [sym_value_box_def] = STATE(1321),
        [sym_value_abs_def] = STATE(1321),
        [sym_home_export] = STATE(68),
        [sym_factory_dcl] = STATE(1033),
        [sym_finder_dcl] = STATE(1033),
        [sym_type_dcl] = STATE(1182),
        [sym_constr_type_dcl] = STATE(1317),
        [sym_native_dcl] = STATE(1317),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_const_dcl] = STATE(1182),
        [sym_comment] = STATE(9),
        [aux_sym_interface_dcl_repeat1] = STATE(303),
        [aux_sym_home_body_repeat1] = STATE(8),
        [anon_sym_short] = ACTIONS(67),
        [anon_sym_int16] = ACTIONS(67),
        [anon_sym_long] = ACTIONS(69),
        [anon_sym_int32] = ACTIONS(69),
        [anon_sym_longlong] = ACTIONS(71),
        [anon_sym_int64] = ACTIONS(73),
        [sym_unsigned_tiny_int] = ACTIONS(75),
        [sym_boolean_type] = ACTIONS(77),
        [anon_sym_fixed] = ACTIONS(79),
        [sym_octet_type] = ACTIONS(77),
        [sym_signed_tiny_int] = ACTIONS(81),
        [anon_sym_unsignedshort] = ACTIONS(83),
        [anon_sym_uint16] = ACTIONS(85),
        [anon_sym_unsignedlong] = ACTIONS(87),
        [anon_sym_uint32] = ACTIONS(87),
        [anon_sym_unsignedlonglong] = ACTIONS(89),
        [anon_sym_uint64] = ACTIONS(91),
        [anon_sym_float] = ACTIONS(93),
        [anon_sym_double] = ACTIONS(93),
        [anon_sym_longdouble] = ACTIONS(95),
        [sym_char_type] = ACTIONS(77),
        [sym_wide_char_type] = ACTIONS(77),
        [anon_sym_COLON_COLON] = ACTIONS(97),
        [anon_sym_string] = ACTIONS(99),
        [anon_sym_wstring] = ACTIONS(101),
        [anon_sym_any] = ACTIONS(103),
        [anon_sym_sequence] = ACTIONS(105),
        [anon_sym_map] = ACTIONS(107),
        [anon_sym_exception] = ACTIONS(109),
        [anon_sym_RBRACE] = ACTIONS(443),
        [anon_sym_abstract] = ACTIONS(113),
        [anon_sym_void] = ACTIONS(115),
        [anon_sym_readonly] = ACTIONS(117),
        [anon_sym_attribute] = ACTIONS(119),
        [anon_sym_bitset] = ACTIONS(121),
        [anon_sym_bitmask] = ACTIONS(123),
        [anon_sym_AT] = ACTIONS(125),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(127),
        [anon_sym_struct] = ACTIONS(129),
        [anon_sym_union] = ACTIONS(131),
        [anon_sym_enum] = ACTIONS(133),
        [anon_sym_const] = ACTIONS(135),
        [anon_sym_custom] = ACTIONS(137),
        [anon_sym_factory] = ACTIONS(300),
        [anon_sym_typedef] = ACTIONS(143),
        [anon_sym_typeid] = ACTIONS(145),
        [anon_sym_import] = ACTIONS(147),
        [anon_sym_Object] = ACTIONS(149),
        [anon_sym_oneway] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(77),
        [anon_sym_finder] = ACTIONS(302),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [10] = {
        [sym_signed_short_int] = STATE(487),
        [sym_signed_long_int] = STATE(487),
        [sym_signed_longlong_int] = STATE(487),
        [sym_unsigned_int] = STATE(507),
        [sym_integer_type] = STATE(593),
        [sym_signed_int] = STATE(507),
        [sym_unsigned_short_int] = STATE(484),
        [sym_unsigned_long_int] = STATE(484),
        [sym_unsigned_longlong_int] = STATE(484),
        [sym_floating_pt_type] = STATE(593),
        [sym_scoped_name] = STATE(512),
        [sym_string_type] = STATE(614),
        [sym_wide_string_type] = STATE(614),
        [sym_type_spec] = STATE(1062),
        [sym_simple_type_spec] = STATE(590),
        [sym_base_type_spec] = STATE(522),
        [sym_any_type] = STATE(593),
        [sym_fixed_pt_type] = STATE(614),
        [sym_template_type_spec] = STATE(590),
        [sym_sequence_type] = STATE(614),
        [sym_map_type] = STATE(614),
        [sym_except_dcl] = STATE(1058),
        [sym_interface_body] = STATE(1057),
        [sym_export] = STATE(84),
        [sym_op_dcl] = STATE(809),
        [sym_op_type_spec] = STATE(1054),
        [sym_attr_dcl] = STATE(1058),
        [sym_readonly_attr_spec] = STATE(1052),
        [sym_attr_spec] = STATE(1052),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_annotation_appl] = STATE(372),
        [sym_extend_annotation_appl] = STATE(373),
        [sym_value_dcl] = STATE(1058),
        [sym_value_def] = STATE(1321),
        [sym_value_kind] = STATE(1319),
        [sym_value_header] = STATE(1318),
        [sym_value_forward_dcl] = STATE(1321),
        [sym_typedef_dcl] = STATE(1317),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_type_id_dcl] = STATE(1058),
        [sym_import_dcl] = STATE(1058),
        [sym_object_type] = STATE(593),
        [sym_op_oneway_dcl] = STATE(809),
        [sym_op_with_context] = STATE(1058),
        [sym_value_box_def] = STATE(1321),
        [sym_value_abs_def] = STATE(1321),
        [sym_type_dcl] = STATE(1058),
        [sym_constr_type_dcl] = STATE(1317),
        [sym_native_dcl] = STATE(1317),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_const_dcl] = STATE(1058),
        [sym_comment] = STATE(10),
        [aux_sym_interface_dcl_repeat1] = STATE(303),
        [aux_sym_interface_body_repeat1] = STATE(16),
        [anon_sym_short] = ACTIONS(67),
        [anon_sym_int16] = ACTIONS(67),
        [anon_sym_long] = ACTIONS(69),
        [anon_sym_int32] = ACTIONS(69),
        [anon_sym_longlong] = ACTIONS(71),
        [anon_sym_int64] = ACTIONS(73),
        [sym_unsigned_tiny_int] = ACTIONS(75),
        [sym_boolean_type] = ACTIONS(77),
        [anon_sym_fixed] = ACTIONS(79),
        [sym_octet_type] = ACTIONS(77),
        [sym_signed_tiny_int] = ACTIONS(81),
        [anon_sym_unsignedshort] = ACTIONS(83),
        [anon_sym_uint16] = ACTIONS(85),
        [anon_sym_unsignedlong] = ACTIONS(87),
        [anon_sym_uint32] = ACTIONS(87),
        [anon_sym_unsignedlonglong] = ACTIONS(89),
        [anon_sym_uint64] = ACTIONS(91),
        [anon_sym_float] = ACTIONS(93),
        [anon_sym_double] = ACTIONS(93),
        [anon_sym_longdouble] = ACTIONS(95),
        [sym_char_type] = ACTIONS(77),
        [sym_wide_char_type] = ACTIONS(77),
        [anon_sym_COLON_COLON] = ACTIONS(97),
        [anon_sym_string] = ACTIONS(99),
        [anon_sym_wstring] = ACTIONS(101),
        [anon_sym_any] = ACTIONS(103),
        [anon_sym_sequence] = ACTIONS(105),
        [anon_sym_map] = ACTIONS(107),
        [anon_sym_exception] = ACTIONS(109),
        [anon_sym_RBRACE] = ACTIONS(445),
        [anon_sym_abstract] = ACTIONS(113),
        [anon_sym_void] = ACTIONS(115),
        [anon_sym_readonly] = ACTIONS(117),
        [anon_sym_attribute] = ACTIONS(119),
        [anon_sym_bitset] = ACTIONS(121),
        [anon_sym_bitmask] = ACTIONS(123),
        [anon_sym_AT] = ACTIONS(125),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(127),
        [anon_sym_struct] = ACTIONS(129),
        [anon_sym_union] = ACTIONS(131),
        [anon_sym_enum] = ACTIONS(133),
        [anon_sym_const] = ACTIONS(135),
        [anon_sym_custom] = ACTIONS(137),
        [anon_sym_typedef] = ACTIONS(143),
        [anon_sym_typeid] = ACTIONS(145),
        [anon_sym_import] = ACTIONS(147),
        [anon_sym_Object] = ACTIONS(149),
        [anon_sym_oneway] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(77),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [11] = {
        [sym_signed_short_int] = STATE(487),
        [sym_signed_long_int] = STATE(487),
        [sym_signed_longlong_int] = STATE(487),
        [sym_unsigned_int] = STATE(507),
        [sym_integer_type] = STATE(593),
        [sym_signed_int] = STATE(507),
        [sym_unsigned_short_int] = STATE(484),
        [sym_unsigned_long_int] = STATE(484),
        [sym_unsigned_longlong_int] = STATE(484),
        [sym_floating_pt_type] = STATE(593),
        [sym_scoped_name] = STATE(512),
        [sym_string_type] = STATE(614),
        [sym_wide_string_type] = STATE(614),
        [sym_type_spec] = STATE(1062),
        [sym_simple_type_spec] = STATE(590),
        [sym_base_type_spec] = STATE(522),
        [sym_any_type] = STATE(593),
        [sym_fixed_pt_type] = STATE(614),
        [sym_template_type_spec] = STATE(590),
        [sym_sequence_type] = STATE(614),
        [sym_map_type] = STATE(614),
        [sym_except_dcl] = STATE(1058),
        [sym_export] = STATE(84),
        [sym_op_dcl] = STATE(809),
        [sym_op_type_spec] = STATE(1054),
        [sym_attr_dcl] = STATE(1058),
        [sym_readonly_attr_spec] = STATE(1052),
        [sym_attr_spec] = STATE(1052),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_annotation_appl] = STATE(372),
        [sym_extend_annotation_appl] = STATE(373),
        [sym_value_dcl] = STATE(1058),
        [sym_value_def] = STATE(1321),
        [sym_value_kind] = STATE(1319),
        [sym_value_header] = STATE(1318),
        [sym_value_forward_dcl] = STATE(1321),
        [sym_typedef_dcl] = STATE(1317),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_type_id_dcl] = STATE(1058),
        [sym_import_dcl] = STATE(1058),
        [sym_object_type] = STATE(593),
        [sym_op_oneway_dcl] = STATE(809),
        [sym_op_with_context] = STATE(1058),
        [sym_value_box_def] = STATE(1321),
        [sym_value_abs_def] = STATE(1321),
        [sym_type_dcl] = STATE(1058),
        [sym_constr_type_dcl] = STATE(1317),
        [sym_native_dcl] = STATE(1317),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_const_dcl] = STATE(1058),
        [sym_comment] = STATE(11),
        [aux_sym_interface_dcl_repeat1] = STATE(303),
        [aux_sym_interface_body_repeat1] = STATE(12),
        [anon_sym_short] = ACTIONS(67),
        [anon_sym_int16] = ACTIONS(67),
        [anon_sym_long] = ACTIONS(69),
        [anon_sym_int32] = ACTIONS(69),
        [anon_sym_longlong] = ACTIONS(71),
        [anon_sym_int64] = ACTIONS(73),
        [sym_unsigned_tiny_int] = ACTIONS(75),
        [sym_boolean_type] = ACTIONS(77),
        [anon_sym_fixed] = ACTIONS(79),
        [sym_octet_type] = ACTIONS(77),
        [sym_signed_tiny_int] = ACTIONS(81),
        [anon_sym_unsignedshort] = ACTIONS(83),
        [anon_sym_uint16] = ACTIONS(85),
        [anon_sym_unsignedlong] = ACTIONS(87),
        [anon_sym_uint32] = ACTIONS(87),
        [anon_sym_unsignedlonglong] = ACTIONS(89),
        [anon_sym_uint64] = ACTIONS(91),
        [anon_sym_float] = ACTIONS(93),
        [anon_sym_double] = ACTIONS(93),
        [anon_sym_longdouble] = ACTIONS(95),
        [sym_char_type] = ACTIONS(77),
        [sym_wide_char_type] = ACTIONS(77),
        [anon_sym_COLON_COLON] = ACTIONS(97),
        [anon_sym_string] = ACTIONS(99),
        [anon_sym_wstring] = ACTIONS(101),
        [anon_sym_any] = ACTIONS(103),
        [anon_sym_sequence] = ACTIONS(105),
        [anon_sym_map] = ACTIONS(107),
        [anon_sym_exception] = ACTIONS(109),
        [anon_sym_RBRACE] = ACTIONS(447),
        [anon_sym_abstract] = ACTIONS(113),
        [anon_sym_void] = ACTIONS(115),
        [anon_sym_readonly] = ACTIONS(117),
        [anon_sym_attribute] = ACTIONS(119),
        [anon_sym_bitset] = ACTIONS(121),
        [anon_sym_bitmask] = ACTIONS(123),
        [anon_sym_AT] = ACTIONS(125),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(127),
        [anon_sym_struct] = ACTIONS(129),
        [anon_sym_union] = ACTIONS(131),
        [anon_sym_enum] = ACTIONS(133),
        [anon_sym_const] = ACTIONS(135),
        [anon_sym_custom] = ACTIONS(137),
        [anon_sym_typedef] = ACTIONS(143),
        [anon_sym_typeid] = ACTIONS(145),
        [anon_sym_import] = ACTIONS(147),
        [anon_sym_Object] = ACTIONS(149),
        [anon_sym_oneway] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(77),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [12] = {
        [sym_signed_short_int] = STATE(487),
        [sym_signed_long_int] = STATE(487),
        [sym_signed_longlong_int] = STATE(487),
        [sym_unsigned_int] = STATE(507),
        [sym_integer_type] = STATE(593),
        [sym_signed_int] = STATE(507),
        [sym_unsigned_short_int] = STATE(484),
        [sym_unsigned_long_int] = STATE(484),
        [sym_unsigned_longlong_int] = STATE(484),
        [sym_floating_pt_type] = STATE(593),
        [sym_scoped_name] = STATE(512),
        [sym_string_type] = STATE(614),
        [sym_wide_string_type] = STATE(614),
        [sym_type_spec] = STATE(1062),
        [sym_simple_type_spec] = STATE(590),
        [sym_base_type_spec] = STATE(522),
        [sym_any_type] = STATE(593),
        [sym_fixed_pt_type] = STATE(614),
        [sym_template_type_spec] = STATE(590),
        [sym_sequence_type] = STATE(614),
        [sym_map_type] = STATE(614),
        [sym_except_dcl] = STATE(1058),
        [sym_export] = STATE(84),
        [sym_op_dcl] = STATE(809),
        [sym_op_type_spec] = STATE(1054),
        [sym_attr_dcl] = STATE(1058),
        [sym_readonly_attr_spec] = STATE(1052),
        [sym_attr_spec] = STATE(1052),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_annotation_appl] = STATE(372),
        [sym_extend_annotation_appl] = STATE(373),
        [sym_value_dcl] = STATE(1058),
        [sym_value_def] = STATE(1321),
        [sym_value_kind] = STATE(1319),
        [sym_value_header] = STATE(1318),
        [sym_value_forward_dcl] = STATE(1321),
        [sym_typedef_dcl] = STATE(1317),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_type_id_dcl] = STATE(1058),
        [sym_import_dcl] = STATE(1058),
        [sym_object_type] = STATE(593),
        [sym_op_oneway_dcl] = STATE(809),
        [sym_op_with_context] = STATE(1058),
        [sym_value_box_def] = STATE(1321),
        [sym_value_abs_def] = STATE(1321),
        [sym_type_dcl] = STATE(1058),
        [sym_constr_type_dcl] = STATE(1317),
        [sym_native_dcl] = STATE(1317),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_const_dcl] = STATE(1058),
        [sym_comment] = STATE(12),
        [aux_sym_interface_dcl_repeat1] = STATE(303),
        [aux_sym_interface_body_repeat1] = STATE(12),
        [anon_sym_short] = ACTIONS(449),
        [anon_sym_int16] = ACTIONS(449),
        [anon_sym_long] = ACTIONS(452),
        [anon_sym_int32] = ACTIONS(452),
        [anon_sym_longlong] = ACTIONS(455),
        [anon_sym_int64] = ACTIONS(458),
        [sym_unsigned_tiny_int] = ACTIONS(461),
        [sym_boolean_type] = ACTIONS(464),
        [anon_sym_fixed] = ACTIONS(467),
        [sym_octet_type] = ACTIONS(464),
        [sym_signed_tiny_int] = ACTIONS(470),
        [anon_sym_unsignedshort] = ACTIONS(473),
        [anon_sym_uint16] = ACTIONS(476),
        [anon_sym_unsignedlong] = ACTIONS(479),
        [anon_sym_uint32] = ACTIONS(479),
        [anon_sym_unsignedlonglong] = ACTIONS(482),
        [anon_sym_uint64] = ACTIONS(485),
        [anon_sym_float] = ACTIONS(488),
        [anon_sym_double] = ACTIONS(488),
        [anon_sym_longdouble] = ACTIONS(491),
        [sym_char_type] = ACTIONS(464),
        [sym_wide_char_type] = ACTIONS(464),
        [anon_sym_COLON_COLON] = ACTIONS(494),
        [anon_sym_string] = ACTIONS(497),
        [anon_sym_wstring] = ACTIONS(500),
        [anon_sym_any] = ACTIONS(503),
        [anon_sym_sequence] = ACTIONS(506),
        [anon_sym_map] = ACTIONS(509),
        [anon_sym_exception] = ACTIONS(512),
        [anon_sym_RBRACE] = ACTIONS(515),
        [anon_sym_abstract] = ACTIONS(517),
        [anon_sym_void] = ACTIONS(520),
        [anon_sym_readonly] = ACTIONS(523),
        [anon_sym_attribute] = ACTIONS(526),
        [anon_sym_bitset] = ACTIONS(529),
        [anon_sym_bitmask] = ACTIONS(532),
        [anon_sym_AT] = ACTIONS(535),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(538),
        [anon_sym_valuetype] = ACTIONS(541),
        [anon_sym_struct] = ACTIONS(544),
        [anon_sym_union] = ACTIONS(547),
        [anon_sym_enum] = ACTIONS(550),
        [anon_sym_const] = ACTIONS(553),
        [anon_sym_custom] = ACTIONS(556),
        [anon_sym_typedef] = ACTIONS(559),
        [anon_sym_typeid] = ACTIONS(562),
        [anon_sym_import] = ACTIONS(565),
        [anon_sym_Object] = ACTIONS(568),
        [anon_sym_oneway] = ACTIONS(571),
        [sym_value_base_type] = ACTIONS(464),
        [anon_sym_native] = ACTIONS(574),
        [sym_identifier] = ACTIONS(577),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [13] = {
        [sym_signed_short_int] = STATE(487),
        [sym_signed_long_int] = STATE(487),
        [sym_signed_longlong_int] = STATE(487),
        [sym_unsigned_int] = STATE(507),
        [sym_integer_type] = STATE(593),
        [sym_signed_int] = STATE(507),
        [sym_unsigned_short_int] = STATE(484),
        [sym_unsigned_long_int] = STATE(484),
        [sym_unsigned_longlong_int] = STATE(484),
        [sym_floating_pt_type] = STATE(593),
        [sym_scoped_name] = STATE(512),
        [sym_string_type] = STATE(614),
        [sym_wide_string_type] = STATE(614),
        [sym_type_spec] = STATE(1062),
        [sym_simple_type_spec] = STATE(590),
        [sym_base_type_spec] = STATE(522),
        [sym_any_type] = STATE(593),
        [sym_fixed_pt_type] = STATE(614),
        [sym_template_type_spec] = STATE(590),
        [sym_sequence_type] = STATE(614),
        [sym_map_type] = STATE(614),
        [sym_except_dcl] = STATE(1058),
        [sym_export] = STATE(84),
        [sym_op_dcl] = STATE(809),
        [sym_op_type_spec] = STATE(1054),
        [sym_attr_dcl] = STATE(1058),
        [sym_readonly_attr_spec] = STATE(1052),
        [sym_attr_spec] = STATE(1052),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_annotation_appl] = STATE(372),
        [sym_extend_annotation_appl] = STATE(373),
        [sym_value_dcl] = STATE(1058),
        [sym_value_def] = STATE(1321),
        [sym_value_kind] = STATE(1319),
        [sym_value_header] = STATE(1318),
        [sym_value_forward_dcl] = STATE(1321),
        [sym_typedef_dcl] = STATE(1317),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_type_id_dcl] = STATE(1058),
        [sym_import_dcl] = STATE(1058),
        [sym_object_type] = STATE(593),
        [sym_op_oneway_dcl] = STATE(809),
        [sym_op_with_context] = STATE(1058),
        [sym_value_box_def] = STATE(1321),
        [sym_value_abs_def] = STATE(1321),
        [sym_type_dcl] = STATE(1058),
        [sym_constr_type_dcl] = STATE(1317),
        [sym_native_dcl] = STATE(1317),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_const_dcl] = STATE(1058),
        [sym_comment] = STATE(13),
        [aux_sym_interface_dcl_repeat1] = STATE(303),
        [aux_sym_interface_body_repeat1] = STATE(20),
        [anon_sym_short] = ACTIONS(67),
        [anon_sym_int16] = ACTIONS(67),
        [anon_sym_long] = ACTIONS(69),
        [anon_sym_int32] = ACTIONS(69),
        [anon_sym_longlong] = ACTIONS(71),
        [anon_sym_int64] = ACTIONS(73),
        [sym_unsigned_tiny_int] = ACTIONS(75),
        [sym_boolean_type] = ACTIONS(77),
        [anon_sym_fixed] = ACTIONS(79),
        [sym_octet_type] = ACTIONS(77),
        [sym_signed_tiny_int] = ACTIONS(81),
        [anon_sym_unsignedshort] = ACTIONS(83),
        [anon_sym_uint16] = ACTIONS(85),
        [anon_sym_unsignedlong] = ACTIONS(87),
        [anon_sym_uint32] = ACTIONS(87),
        [anon_sym_unsignedlonglong] = ACTIONS(89),
        [anon_sym_uint64] = ACTIONS(91),
        [anon_sym_float] = ACTIONS(93),
        [anon_sym_double] = ACTIONS(93),
        [anon_sym_longdouble] = ACTIONS(95),
        [sym_char_type] = ACTIONS(77),
        [sym_wide_char_type] = ACTIONS(77),
        [anon_sym_COLON_COLON] = ACTIONS(97),
        [anon_sym_string] = ACTIONS(99),
        [anon_sym_wstring] = ACTIONS(101),
        [anon_sym_any] = ACTIONS(103),
        [anon_sym_sequence] = ACTIONS(105),
        [anon_sym_map] = ACTIONS(107),
        [anon_sym_exception] = ACTIONS(109),
        [anon_sym_RBRACE] = ACTIONS(580),
        [anon_sym_abstract] = ACTIONS(113),
        [anon_sym_void] = ACTIONS(115),
        [anon_sym_readonly] = ACTIONS(117),
        [anon_sym_attribute] = ACTIONS(119),
        [anon_sym_bitset] = ACTIONS(121),
        [anon_sym_bitmask] = ACTIONS(123),
        [anon_sym_AT] = ACTIONS(125),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(127),
        [anon_sym_struct] = ACTIONS(129),
        [anon_sym_union] = ACTIONS(131),
        [anon_sym_enum] = ACTIONS(133),
        [anon_sym_const] = ACTIONS(135),
        [anon_sym_custom] = ACTIONS(137),
        [anon_sym_typedef] = ACTIONS(143),
        [anon_sym_typeid] = ACTIONS(145),
        [anon_sym_import] = ACTIONS(147),
        [anon_sym_Object] = ACTIONS(149),
        [anon_sym_oneway] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(77),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [14] = {
        [sym_signed_short_int] = STATE(487),
        [sym_signed_long_int] = STATE(487),
        [sym_signed_longlong_int] = STATE(487),
        [sym_unsigned_int] = STATE(507),
        [sym_integer_type] = STATE(593),
        [sym_signed_int] = STATE(507),
        [sym_unsigned_short_int] = STATE(484),
        [sym_unsigned_long_int] = STATE(484),
        [sym_unsigned_longlong_int] = STATE(484),
        [sym_floating_pt_type] = STATE(593),
        [sym_scoped_name] = STATE(512),
        [sym_string_type] = STATE(614),
        [sym_wide_string_type] = STATE(614),
        [sym_type_spec] = STATE(1062),
        [sym_simple_type_spec] = STATE(590),
        [sym_base_type_spec] = STATE(522),
        [sym_any_type] = STATE(593),
        [sym_fixed_pt_type] = STATE(614),
        [sym_template_type_spec] = STATE(590),
        [sym_sequence_type] = STATE(614),
        [sym_map_type] = STATE(614),
        [sym_except_dcl] = STATE(1058),
        [sym_export] = STATE(84),
        [sym_op_dcl] = STATE(809),
        [sym_op_type_spec] = STATE(1054),
        [sym_attr_dcl] = STATE(1058),
        [sym_readonly_attr_spec] = STATE(1052),
        [sym_attr_spec] = STATE(1052),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_annotation_appl] = STATE(372),
        [sym_extend_annotation_appl] = STATE(373),
        [sym_value_dcl] = STATE(1058),
        [sym_value_def] = STATE(1321),
        [sym_value_kind] = STATE(1319),
        [sym_value_header] = STATE(1318),
        [sym_value_forward_dcl] = STATE(1321),
        [sym_typedef_dcl] = STATE(1317),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_type_id_dcl] = STATE(1058),
        [sym_import_dcl] = STATE(1058),
        [sym_object_type] = STATE(593),
        [sym_op_oneway_dcl] = STATE(809),
        [sym_op_with_context] = STATE(1058),
        [sym_value_box_def] = STATE(1321),
        [sym_value_abs_def] = STATE(1321),
        [sym_type_dcl] = STATE(1058),
        [sym_constr_type_dcl] = STATE(1317),
        [sym_native_dcl] = STATE(1317),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_const_dcl] = STATE(1058),
        [sym_comment] = STATE(14),
        [aux_sym_interface_dcl_repeat1] = STATE(303),
        [aux_sym_interface_body_repeat1] = STATE(12),
        [anon_sym_short] = ACTIONS(67),
        [anon_sym_int16] = ACTIONS(67),
        [anon_sym_long] = ACTIONS(69),
        [anon_sym_int32] = ACTIONS(69),
        [anon_sym_longlong] = ACTIONS(71),
        [anon_sym_int64] = ACTIONS(73),
        [sym_unsigned_tiny_int] = ACTIONS(75),
        [sym_boolean_type] = ACTIONS(77),
        [anon_sym_fixed] = ACTIONS(79),
        [sym_octet_type] = ACTIONS(77),
        [sym_signed_tiny_int] = ACTIONS(81),
        [anon_sym_unsignedshort] = ACTIONS(83),
        [anon_sym_uint16] = ACTIONS(85),
        [anon_sym_unsignedlong] = ACTIONS(87),
        [anon_sym_uint32] = ACTIONS(87),
        [anon_sym_unsignedlonglong] = ACTIONS(89),
        [anon_sym_uint64] = ACTIONS(91),
        [anon_sym_float] = ACTIONS(93),
        [anon_sym_double] = ACTIONS(93),
        [anon_sym_longdouble] = ACTIONS(95),
        [sym_char_type] = ACTIONS(77),
        [sym_wide_char_type] = ACTIONS(77),
        [anon_sym_COLON_COLON] = ACTIONS(97),
        [anon_sym_string] = ACTIONS(99),
        [anon_sym_wstring] = ACTIONS(101),
        [anon_sym_any] = ACTIONS(103),
        [anon_sym_sequence] = ACTIONS(105),
        [anon_sym_map] = ACTIONS(107),
        [anon_sym_exception] = ACTIONS(109),
        [anon_sym_RBRACE] = ACTIONS(580),
        [anon_sym_abstract] = ACTIONS(113),
        [anon_sym_void] = ACTIONS(115),
        [anon_sym_readonly] = ACTIONS(117),
        [anon_sym_attribute] = ACTIONS(119),
        [anon_sym_bitset] = ACTIONS(121),
        [anon_sym_bitmask] = ACTIONS(123),
        [anon_sym_AT] = ACTIONS(125),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(127),
        [anon_sym_struct] = ACTIONS(129),
        [anon_sym_union] = ACTIONS(131),
        [anon_sym_enum] = ACTIONS(133),
        [anon_sym_const] = ACTIONS(135),
        [anon_sym_custom] = ACTIONS(137),
        [anon_sym_typedef] = ACTIONS(143),
        [anon_sym_typeid] = ACTIONS(145),
        [anon_sym_import] = ACTIONS(147),
        [anon_sym_Object] = ACTIONS(149),
        [anon_sym_oneway] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(77),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [15] = {
        [sym_signed_short_int] = STATE(487),
        [sym_signed_long_int] = STATE(487),
        [sym_signed_longlong_int] = STATE(487),
        [sym_unsigned_int] = STATE(507),
        [sym_integer_type] = STATE(593),
        [sym_signed_int] = STATE(507),
        [sym_unsigned_short_int] = STATE(484),
        [sym_unsigned_long_int] = STATE(484),
        [sym_unsigned_longlong_int] = STATE(484),
        [sym_floating_pt_type] = STATE(593),
        [sym_scoped_name] = STATE(512),
        [sym_string_type] = STATE(614),
        [sym_wide_string_type] = STATE(614),
        [sym_type_spec] = STATE(1062),
        [sym_simple_type_spec] = STATE(590),
        [sym_base_type_spec] = STATE(522),
        [sym_any_type] = STATE(593),
        [sym_fixed_pt_type] = STATE(614),
        [sym_template_type_spec] = STATE(590),
        [sym_sequence_type] = STATE(614),
        [sym_map_type] = STATE(614),
        [sym_except_dcl] = STATE(1058),
        [sym_export] = STATE(84),
        [sym_op_dcl] = STATE(809),
        [sym_op_type_spec] = STATE(1054),
        [sym_attr_dcl] = STATE(1058),
        [sym_readonly_attr_spec] = STATE(1052),
        [sym_attr_spec] = STATE(1052),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_annotation_appl] = STATE(372),
        [sym_extend_annotation_appl] = STATE(373),
        [sym_value_dcl] = STATE(1058),
        [sym_value_def] = STATE(1321),
        [sym_value_kind] = STATE(1319),
        [sym_value_header] = STATE(1318),
        [sym_value_forward_dcl] = STATE(1321),
        [sym_typedef_dcl] = STATE(1317),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_type_id_dcl] = STATE(1058),
        [sym_import_dcl] = STATE(1058),
        [sym_object_type] = STATE(593),
        [sym_op_oneway_dcl] = STATE(809),
        [sym_op_with_context] = STATE(1058),
        [sym_value_box_def] = STATE(1321),
        [sym_value_abs_def] = STATE(1321),
        [sym_type_dcl] = STATE(1058),
        [sym_constr_type_dcl] = STATE(1317),
        [sym_native_dcl] = STATE(1317),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_const_dcl] = STATE(1058),
        [sym_comment] = STATE(15),
        [aux_sym_interface_dcl_repeat1] = STATE(303),
        [aux_sym_interface_body_repeat1] = STATE(12),
        [anon_sym_short] = ACTIONS(67),
        [anon_sym_int16] = ACTIONS(67),
        [anon_sym_long] = ACTIONS(69),
        [anon_sym_int32] = ACTIONS(69),
        [anon_sym_longlong] = ACTIONS(71),
        [anon_sym_int64] = ACTIONS(73),
        [sym_unsigned_tiny_int] = ACTIONS(75),
        [sym_boolean_type] = ACTIONS(77),
        [anon_sym_fixed] = ACTIONS(79),
        [sym_octet_type] = ACTIONS(77),
        [sym_signed_tiny_int] = ACTIONS(81),
        [anon_sym_unsignedshort] = ACTIONS(83),
        [anon_sym_uint16] = ACTIONS(85),
        [anon_sym_unsignedlong] = ACTIONS(87),
        [anon_sym_uint32] = ACTIONS(87),
        [anon_sym_unsignedlonglong] = ACTIONS(89),
        [anon_sym_uint64] = ACTIONS(91),
        [anon_sym_float] = ACTIONS(93),
        [anon_sym_double] = ACTIONS(93),
        [anon_sym_longdouble] = ACTIONS(95),
        [sym_char_type] = ACTIONS(77),
        [sym_wide_char_type] = ACTIONS(77),
        [anon_sym_COLON_COLON] = ACTIONS(97),
        [anon_sym_string] = ACTIONS(99),
        [anon_sym_wstring] = ACTIONS(101),
        [anon_sym_any] = ACTIONS(103),
        [anon_sym_sequence] = ACTIONS(105),
        [anon_sym_map] = ACTIONS(107),
        [anon_sym_exception] = ACTIONS(109),
        [anon_sym_RBRACE] = ACTIONS(582),
        [anon_sym_abstract] = ACTIONS(113),
        [anon_sym_void] = ACTIONS(115),
        [anon_sym_readonly] = ACTIONS(117),
        [anon_sym_attribute] = ACTIONS(119),
        [anon_sym_bitset] = ACTIONS(121),
        [anon_sym_bitmask] = ACTIONS(123),
        [anon_sym_AT] = ACTIONS(125),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(127),
        [anon_sym_struct] = ACTIONS(129),
        [anon_sym_union] = ACTIONS(131),
        [anon_sym_enum] = ACTIONS(133),
        [anon_sym_const] = ACTIONS(135),
        [anon_sym_custom] = ACTIONS(137),
        [anon_sym_typedef] = ACTIONS(143),
        [anon_sym_typeid] = ACTIONS(145),
        [anon_sym_import] = ACTIONS(147),
        [anon_sym_Object] = ACTIONS(149),
        [anon_sym_oneway] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(77),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [16] = {
        [sym_signed_short_int] = STATE(487),
        [sym_signed_long_int] = STATE(487),
        [sym_signed_longlong_int] = STATE(487),
        [sym_unsigned_int] = STATE(507),
        [sym_integer_type] = STATE(593),
        [sym_signed_int] = STATE(507),
        [sym_unsigned_short_int] = STATE(484),
        [sym_unsigned_long_int] = STATE(484),
        [sym_unsigned_longlong_int] = STATE(484),
        [sym_floating_pt_type] = STATE(593),
        [sym_scoped_name] = STATE(512),
        [sym_string_type] = STATE(614),
        [sym_wide_string_type] = STATE(614),
        [sym_type_spec] = STATE(1062),
        [sym_simple_type_spec] = STATE(590),
        [sym_base_type_spec] = STATE(522),
        [sym_any_type] = STATE(593),
        [sym_fixed_pt_type] = STATE(614),
        [sym_template_type_spec] = STATE(590),
        [sym_sequence_type] = STATE(614),
        [sym_map_type] = STATE(614),
        [sym_except_dcl] = STATE(1058),
        [sym_export] = STATE(84),
        [sym_op_dcl] = STATE(809),
        [sym_op_type_spec] = STATE(1054),
        [sym_attr_dcl] = STATE(1058),
        [sym_readonly_attr_spec] = STATE(1052),
        [sym_attr_spec] = STATE(1052),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_annotation_appl] = STATE(372),
        [sym_extend_annotation_appl] = STATE(373),
        [sym_value_dcl] = STATE(1058),
        [sym_value_def] = STATE(1321),
        [sym_value_kind] = STATE(1319),
        [sym_value_header] = STATE(1318),
        [sym_value_forward_dcl] = STATE(1321),
        [sym_typedef_dcl] = STATE(1317),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_type_id_dcl] = STATE(1058),
        [sym_import_dcl] = STATE(1058),
        [sym_object_type] = STATE(593),
        [sym_op_oneway_dcl] = STATE(809),
        [sym_op_with_context] = STATE(1058),
        [sym_value_box_def] = STATE(1321),
        [sym_value_abs_def] = STATE(1321),
        [sym_type_dcl] = STATE(1058),
        [sym_constr_type_dcl] = STATE(1317),
        [sym_native_dcl] = STATE(1317),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_const_dcl] = STATE(1058),
        [sym_comment] = STATE(16),
        [aux_sym_interface_dcl_repeat1] = STATE(303),
        [aux_sym_interface_body_repeat1] = STATE(12),
        [anon_sym_short] = ACTIONS(67),
        [anon_sym_int16] = ACTIONS(67),
        [anon_sym_long] = ACTIONS(69),
        [anon_sym_int32] = ACTIONS(69),
        [anon_sym_longlong] = ACTIONS(71),
        [anon_sym_int64] = ACTIONS(73),
        [sym_unsigned_tiny_int] = ACTIONS(75),
        [sym_boolean_type] = ACTIONS(77),
        [anon_sym_fixed] = ACTIONS(79),
        [sym_octet_type] = ACTIONS(77),
        [sym_signed_tiny_int] = ACTIONS(81),
        [anon_sym_unsignedshort] = ACTIONS(83),
        [anon_sym_uint16] = ACTIONS(85),
        [anon_sym_unsignedlong] = ACTIONS(87),
        [anon_sym_uint32] = ACTIONS(87),
        [anon_sym_unsignedlonglong] = ACTIONS(89),
        [anon_sym_uint64] = ACTIONS(91),
        [anon_sym_float] = ACTIONS(93),
        [anon_sym_double] = ACTIONS(93),
        [anon_sym_longdouble] = ACTIONS(95),
        [sym_char_type] = ACTIONS(77),
        [sym_wide_char_type] = ACTIONS(77),
        [anon_sym_COLON_COLON] = ACTIONS(97),
        [anon_sym_string] = ACTIONS(99),
        [anon_sym_wstring] = ACTIONS(101),
        [anon_sym_any] = ACTIONS(103),
        [anon_sym_sequence] = ACTIONS(105),
        [anon_sym_map] = ACTIONS(107),
        [anon_sym_exception] = ACTIONS(109),
        [anon_sym_RBRACE] = ACTIONS(584),
        [anon_sym_abstract] = ACTIONS(113),
        [anon_sym_void] = ACTIONS(115),
        [anon_sym_readonly] = ACTIONS(117),
        [anon_sym_attribute] = ACTIONS(119),
        [anon_sym_bitset] = ACTIONS(121),
        [anon_sym_bitmask] = ACTIONS(123),
        [anon_sym_AT] = ACTIONS(125),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(127),
        [anon_sym_struct] = ACTIONS(129),
        [anon_sym_union] = ACTIONS(131),
        [anon_sym_enum] = ACTIONS(133),
        [anon_sym_const] = ACTIONS(135),
        [anon_sym_custom] = ACTIONS(137),
        [anon_sym_typedef] = ACTIONS(143),
        [anon_sym_typeid] = ACTIONS(145),
        [anon_sym_import] = ACTIONS(147),
        [anon_sym_Object] = ACTIONS(149),
        [anon_sym_oneway] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(77),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [17] = {
        [sym_signed_short_int] = STATE(487),
        [sym_signed_long_int] = STATE(487),
        [sym_signed_longlong_int] = STATE(487),
        [sym_unsigned_int] = STATE(507),
        [sym_integer_type] = STATE(593),
        [sym_signed_int] = STATE(507),
        [sym_unsigned_short_int] = STATE(484),
        [sym_unsigned_long_int] = STATE(484),
        [sym_unsigned_longlong_int] = STATE(484),
        [sym_floating_pt_type] = STATE(593),
        [sym_scoped_name] = STATE(512),
        [sym_string_type] = STATE(614),
        [sym_wide_string_type] = STATE(614),
        [sym_type_spec] = STATE(1062),
        [sym_simple_type_spec] = STATE(590),
        [sym_base_type_spec] = STATE(522),
        [sym_any_type] = STATE(593),
        [sym_fixed_pt_type] = STATE(614),
        [sym_template_type_spec] = STATE(590),
        [sym_sequence_type] = STATE(614),
        [sym_map_type] = STATE(614),
        [sym_except_dcl] = STATE(1058),
        [sym_export] = STATE(84),
        [sym_op_dcl] = STATE(809),
        [sym_op_type_spec] = STATE(1054),
        [sym_attr_dcl] = STATE(1058),
        [sym_readonly_attr_spec] = STATE(1052),
        [sym_attr_spec] = STATE(1052),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_annotation_appl] = STATE(372),
        [sym_extend_annotation_appl] = STATE(373),
        [sym_value_dcl] = STATE(1058),
        [sym_value_def] = STATE(1321),
        [sym_value_kind] = STATE(1319),
        [sym_value_header] = STATE(1318),
        [sym_value_forward_dcl] = STATE(1321),
        [sym_typedef_dcl] = STATE(1317),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_type_id_dcl] = STATE(1058),
        [sym_import_dcl] = STATE(1058),
        [sym_object_type] = STATE(593),
        [sym_op_oneway_dcl] = STATE(809),
        [sym_op_with_context] = STATE(1058),
        [sym_value_box_def] = STATE(1321),
        [sym_value_abs_def] = STATE(1321),
        [sym_type_dcl] = STATE(1058),
        [sym_constr_type_dcl] = STATE(1317),
        [sym_native_dcl] = STATE(1317),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_const_dcl] = STATE(1058),
        [sym_comment] = STATE(17),
        [aux_sym_interface_dcl_repeat1] = STATE(303),
        [aux_sym_interface_body_repeat1] = STATE(15),
        [anon_sym_short] = ACTIONS(67),
        [anon_sym_int16] = ACTIONS(67),
        [anon_sym_long] = ACTIONS(69),
        [anon_sym_int32] = ACTIONS(69),
        [anon_sym_longlong] = ACTIONS(71),
        [anon_sym_int64] = ACTIONS(73),
        [sym_unsigned_tiny_int] = ACTIONS(75),
        [sym_boolean_type] = ACTIONS(77),
        [anon_sym_fixed] = ACTIONS(79),
        [sym_octet_type] = ACTIONS(77),
        [sym_signed_tiny_int] = ACTIONS(81),
        [anon_sym_unsignedshort] = ACTIONS(83),
        [anon_sym_uint16] = ACTIONS(85),
        [anon_sym_unsignedlong] = ACTIONS(87),
        [anon_sym_uint32] = ACTIONS(87),
        [anon_sym_unsignedlonglong] = ACTIONS(89),
        [anon_sym_uint64] = ACTIONS(91),
        [anon_sym_float] = ACTIONS(93),
        [anon_sym_double] = ACTIONS(93),
        [anon_sym_longdouble] = ACTIONS(95),
        [sym_char_type] = ACTIONS(77),
        [sym_wide_char_type] = ACTIONS(77),
        [anon_sym_COLON_COLON] = ACTIONS(97),
        [anon_sym_string] = ACTIONS(99),
        [anon_sym_wstring] = ACTIONS(101),
        [anon_sym_any] = ACTIONS(103),
        [anon_sym_sequence] = ACTIONS(105),
        [anon_sym_map] = ACTIONS(107),
        [anon_sym_exception] = ACTIONS(109),
        [anon_sym_RBRACE] = ACTIONS(447),
        [anon_sym_abstract] = ACTIONS(113),
        [anon_sym_void] = ACTIONS(115),
        [anon_sym_readonly] = ACTIONS(117),
        [anon_sym_attribute] = ACTIONS(119),
        [anon_sym_bitset] = ACTIONS(121),
        [anon_sym_bitmask] = ACTIONS(123),
        [anon_sym_AT] = ACTIONS(125),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(127),
        [anon_sym_struct] = ACTIONS(129),
        [anon_sym_union] = ACTIONS(131),
        [anon_sym_enum] = ACTIONS(133),
        [anon_sym_const] = ACTIONS(135),
        [anon_sym_custom] = ACTIONS(137),
        [anon_sym_typedef] = ACTIONS(143),
        [anon_sym_typeid] = ACTIONS(145),
        [anon_sym_import] = ACTIONS(147),
        [anon_sym_Object] = ACTIONS(149),
        [anon_sym_oneway] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(77),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [18] = {
        [sym_signed_short_int] = STATE(487),
        [sym_signed_long_int] = STATE(487),
        [sym_signed_longlong_int] = STATE(487),
        [sym_unsigned_int] = STATE(507),
        [sym_integer_type] = STATE(593),
        [sym_signed_int] = STATE(507),
        [sym_unsigned_short_int] = STATE(484),
        [sym_unsigned_long_int] = STATE(484),
        [sym_unsigned_longlong_int] = STATE(484),
        [sym_floating_pt_type] = STATE(593),
        [sym_scoped_name] = STATE(512),
        [sym_string_type] = STATE(614),
        [sym_wide_string_type] = STATE(614),
        [sym_type_spec] = STATE(1062),
        [sym_simple_type_spec] = STATE(590),
        [sym_base_type_spec] = STATE(522),
        [sym_any_type] = STATE(593),
        [sym_fixed_pt_type] = STATE(614),
        [sym_template_type_spec] = STATE(590),
        [sym_sequence_type] = STATE(614),
        [sym_map_type] = STATE(614),
        [sym_except_dcl] = STATE(1058),
        [sym_export] = STATE(84),
        [sym_op_dcl] = STATE(809),
        [sym_op_type_spec] = STATE(1054),
        [sym_attr_dcl] = STATE(1058),
        [sym_readonly_attr_spec] = STATE(1052),
        [sym_attr_spec] = STATE(1052),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_annotation_appl] = STATE(372),
        [sym_extend_annotation_appl] = STATE(373),
        [sym_value_dcl] = STATE(1058),
        [sym_value_def] = STATE(1321),
        [sym_value_kind] = STATE(1319),
        [sym_value_header] = STATE(1318),
        [sym_value_forward_dcl] = STATE(1321),
        [sym_typedef_dcl] = STATE(1317),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_type_id_dcl] = STATE(1058),
        [sym_import_dcl] = STATE(1058),
        [sym_object_type] = STATE(593),
        [sym_op_oneway_dcl] = STATE(809),
        [sym_op_with_context] = STATE(1058),
        [sym_value_box_def] = STATE(1321),
        [sym_value_abs_def] = STATE(1321),
        [sym_type_dcl] = STATE(1058),
        [sym_constr_type_dcl] = STATE(1317),
        [sym_native_dcl] = STATE(1317),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_const_dcl] = STATE(1058),
        [sym_comment] = STATE(18),
        [aux_sym_interface_dcl_repeat1] = STATE(303),
        [aux_sym_interface_body_repeat1] = STATE(14),
        [anon_sym_short] = ACTIONS(67),
        [anon_sym_int16] = ACTIONS(67),
        [anon_sym_long] = ACTIONS(69),
        [anon_sym_int32] = ACTIONS(69),
        [anon_sym_longlong] = ACTIONS(71),
        [anon_sym_int64] = ACTIONS(73),
        [sym_unsigned_tiny_int] = ACTIONS(75),
        [sym_boolean_type] = ACTIONS(77),
        [anon_sym_fixed] = ACTIONS(79),
        [sym_octet_type] = ACTIONS(77),
        [sym_signed_tiny_int] = ACTIONS(81),
        [anon_sym_unsignedshort] = ACTIONS(83),
        [anon_sym_uint16] = ACTIONS(85),
        [anon_sym_unsignedlong] = ACTIONS(87),
        [anon_sym_uint32] = ACTIONS(87),
        [anon_sym_unsignedlonglong] = ACTIONS(89),
        [anon_sym_uint64] = ACTIONS(91),
        [anon_sym_float] = ACTIONS(93),
        [anon_sym_double] = ACTIONS(93),
        [anon_sym_longdouble] = ACTIONS(95),
        [sym_char_type] = ACTIONS(77),
        [sym_wide_char_type] = ACTIONS(77),
        [anon_sym_COLON_COLON] = ACTIONS(97),
        [anon_sym_string] = ACTIONS(99),
        [anon_sym_wstring] = ACTIONS(101),
        [anon_sym_any] = ACTIONS(103),
        [anon_sym_sequence] = ACTIONS(105),
        [anon_sym_map] = ACTIONS(107),
        [anon_sym_exception] = ACTIONS(109),
        [anon_sym_RBRACE] = ACTIONS(586),
        [anon_sym_abstract] = ACTIONS(113),
        [anon_sym_void] = ACTIONS(115),
        [anon_sym_readonly] = ACTIONS(117),
        [anon_sym_attribute] = ACTIONS(119),
        [anon_sym_bitset] = ACTIONS(121),
        [anon_sym_bitmask] = ACTIONS(123),
        [anon_sym_AT] = ACTIONS(125),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(127),
        [anon_sym_struct] = ACTIONS(129),
        [anon_sym_union] = ACTIONS(131),
        [anon_sym_enum] = ACTIONS(133),
        [anon_sym_const] = ACTIONS(135),
        [anon_sym_custom] = ACTIONS(137),
        [anon_sym_typedef] = ACTIONS(143),
        [anon_sym_typeid] = ACTIONS(145),
        [anon_sym_import] = ACTIONS(147),
        [anon_sym_Object] = ACTIONS(149),
        [anon_sym_oneway] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(77),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [19] = {
        [sym_signed_short_int] = STATE(487),
        [sym_signed_long_int] = STATE(487),
        [sym_signed_longlong_int] = STATE(487),
        [sym_unsigned_int] = STATE(507),
        [sym_integer_type] = STATE(593),
        [sym_signed_int] = STATE(507),
        [sym_unsigned_short_int] = STATE(484),
        [sym_unsigned_long_int] = STATE(484),
        [sym_unsigned_longlong_int] = STATE(484),
        [sym_floating_pt_type] = STATE(593),
        [sym_scoped_name] = STATE(512),
        [sym_string_type] = STATE(614),
        [sym_wide_string_type] = STATE(614),
        [sym_type_spec] = STATE(1062),
        [sym_simple_type_spec] = STATE(590),
        [sym_base_type_spec] = STATE(522),
        [sym_any_type] = STATE(593),
        [sym_fixed_pt_type] = STATE(614),
        [sym_template_type_spec] = STATE(590),
        [sym_sequence_type] = STATE(614),
        [sym_map_type] = STATE(614),
        [sym_except_dcl] = STATE(1058),
        [sym_export] = STATE(84),
        [sym_op_dcl] = STATE(809),
        [sym_op_type_spec] = STATE(1054),
        [sym_attr_dcl] = STATE(1058),
        [sym_readonly_attr_spec] = STATE(1052),
        [sym_attr_spec] = STATE(1052),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_annotation_appl] = STATE(372),
        [sym_extend_annotation_appl] = STATE(373),
        [sym_value_dcl] = STATE(1058),
        [sym_value_def] = STATE(1321),
        [sym_value_kind] = STATE(1319),
        [sym_value_header] = STATE(1318),
        [sym_value_forward_dcl] = STATE(1321),
        [sym_typedef_dcl] = STATE(1317),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_type_id_dcl] = STATE(1058),
        [sym_import_dcl] = STATE(1058),
        [sym_object_type] = STATE(593),
        [sym_op_oneway_dcl] = STATE(809),
        [sym_op_with_context] = STATE(1058),
        [sym_value_box_def] = STATE(1321),
        [sym_value_abs_def] = STATE(1321),
        [sym_type_dcl] = STATE(1058),
        [sym_constr_type_dcl] = STATE(1317),
        [sym_native_dcl] = STATE(1317),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_const_dcl] = STATE(1058),
        [sym_comment] = STATE(19),
        [aux_sym_interface_dcl_repeat1] = STATE(303),
        [aux_sym_interface_body_repeat1] = STATE(11),
        [anon_sym_short] = ACTIONS(67),
        [anon_sym_int16] = ACTIONS(67),
        [anon_sym_long] = ACTIONS(69),
        [anon_sym_int32] = ACTIONS(69),
        [anon_sym_longlong] = ACTIONS(71),
        [anon_sym_int64] = ACTIONS(73),
        [sym_unsigned_tiny_int] = ACTIONS(75),
        [sym_boolean_type] = ACTIONS(77),
        [anon_sym_fixed] = ACTIONS(79),
        [sym_octet_type] = ACTIONS(77),
        [sym_signed_tiny_int] = ACTIONS(81),
        [anon_sym_unsignedshort] = ACTIONS(83),
        [anon_sym_uint16] = ACTIONS(85),
        [anon_sym_unsignedlong] = ACTIONS(87),
        [anon_sym_uint32] = ACTIONS(87),
        [anon_sym_unsignedlonglong] = ACTIONS(89),
        [anon_sym_uint64] = ACTIONS(91),
        [anon_sym_float] = ACTIONS(93),
        [anon_sym_double] = ACTIONS(93),
        [anon_sym_longdouble] = ACTIONS(95),
        [sym_char_type] = ACTIONS(77),
        [sym_wide_char_type] = ACTIONS(77),
        [anon_sym_COLON_COLON] = ACTIONS(97),
        [anon_sym_string] = ACTIONS(99),
        [anon_sym_wstring] = ACTIONS(101),
        [anon_sym_any] = ACTIONS(103),
        [anon_sym_sequence] = ACTIONS(105),
        [anon_sym_map] = ACTIONS(107),
        [anon_sym_exception] = ACTIONS(109),
        [anon_sym_RBRACE] = ACTIONS(588),
        [anon_sym_abstract] = ACTIONS(113),
        [anon_sym_void] = ACTIONS(115),
        [anon_sym_readonly] = ACTIONS(117),
        [anon_sym_attribute] = ACTIONS(119),
        [anon_sym_bitset] = ACTIONS(121),
        [anon_sym_bitmask] = ACTIONS(123),
        [anon_sym_AT] = ACTIONS(125),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(127),
        [anon_sym_struct] = ACTIONS(129),
        [anon_sym_union] = ACTIONS(131),
        [anon_sym_enum] = ACTIONS(133),
        [anon_sym_const] = ACTIONS(135),
        [anon_sym_custom] = ACTIONS(137),
        [anon_sym_typedef] = ACTIONS(143),
        [anon_sym_typeid] = ACTIONS(145),
        [anon_sym_import] = ACTIONS(147),
        [anon_sym_Object] = ACTIONS(149),
        [anon_sym_oneway] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(77),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [20] = {
        [sym_signed_short_int] = STATE(487),
        [sym_signed_long_int] = STATE(487),
        [sym_signed_longlong_int] = STATE(487),
        [sym_unsigned_int] = STATE(507),
        [sym_integer_type] = STATE(593),
        [sym_signed_int] = STATE(507),
        [sym_unsigned_short_int] = STATE(484),
        [sym_unsigned_long_int] = STATE(484),
        [sym_unsigned_longlong_int] = STATE(484),
        [sym_floating_pt_type] = STATE(593),
        [sym_scoped_name] = STATE(512),
        [sym_string_type] = STATE(614),
        [sym_wide_string_type] = STATE(614),
        [sym_type_spec] = STATE(1062),
        [sym_simple_type_spec] = STATE(590),
        [sym_base_type_spec] = STATE(522),
        [sym_any_type] = STATE(593),
        [sym_fixed_pt_type] = STATE(614),
        [sym_template_type_spec] = STATE(590),
        [sym_sequence_type] = STATE(614),
        [sym_map_type] = STATE(614),
        [sym_except_dcl] = STATE(1058),
        [sym_export] = STATE(84),
        [sym_op_dcl] = STATE(809),
        [sym_op_type_spec] = STATE(1054),
        [sym_attr_dcl] = STATE(1058),
        [sym_readonly_attr_spec] = STATE(1052),
        [sym_attr_spec] = STATE(1052),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_annotation_appl] = STATE(372),
        [sym_extend_annotation_appl] = STATE(373),
        [sym_value_dcl] = STATE(1058),
        [sym_value_def] = STATE(1321),
        [sym_value_kind] = STATE(1319),
        [sym_value_header] = STATE(1318),
        [sym_value_forward_dcl] = STATE(1321),
        [sym_typedef_dcl] = STATE(1317),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_type_id_dcl] = STATE(1058),
        [sym_import_dcl] = STATE(1058),
        [sym_object_type] = STATE(593),
        [sym_op_oneway_dcl] = STATE(809),
        [sym_op_with_context] = STATE(1058),
        [sym_value_box_def] = STATE(1321),
        [sym_value_abs_def] = STATE(1321),
        [sym_type_dcl] = STATE(1058),
        [sym_constr_type_dcl] = STATE(1317),
        [sym_native_dcl] = STATE(1317),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_const_dcl] = STATE(1058),
        [sym_comment] = STATE(20),
        [aux_sym_interface_dcl_repeat1] = STATE(303),
        [aux_sym_interface_body_repeat1] = STATE(12),
        [anon_sym_short] = ACTIONS(67),
        [anon_sym_int16] = ACTIONS(67),
        [anon_sym_long] = ACTIONS(69),
        [anon_sym_int32] = ACTIONS(69),
        [anon_sym_longlong] = ACTIONS(71),
        [anon_sym_int64] = ACTIONS(73),
        [sym_unsigned_tiny_int] = ACTIONS(75),
        [sym_boolean_type] = ACTIONS(77),
        [anon_sym_fixed] = ACTIONS(79),
        [sym_octet_type] = ACTIONS(77),
        [sym_signed_tiny_int] = ACTIONS(81),
        [anon_sym_unsignedshort] = ACTIONS(83),
        [anon_sym_uint16] = ACTIONS(85),
        [anon_sym_unsignedlong] = ACTIONS(87),
        [anon_sym_uint32] = ACTIONS(87),
        [anon_sym_unsignedlonglong] = ACTIONS(89),
        [anon_sym_uint64] = ACTIONS(91),
        [anon_sym_float] = ACTIONS(93),
        [anon_sym_double] = ACTIONS(93),
        [anon_sym_longdouble] = ACTIONS(95),
        [sym_char_type] = ACTIONS(77),
        [sym_wide_char_type] = ACTIONS(77),
        [anon_sym_COLON_COLON] = ACTIONS(97),
        [anon_sym_string] = ACTIONS(99),
        [anon_sym_wstring] = ACTIONS(101),
        [anon_sym_any] = ACTIONS(103),
        [anon_sym_sequence] = ACTIONS(105),
        [anon_sym_map] = ACTIONS(107),
        [anon_sym_exception] = ACTIONS(109),
        [anon_sym_RBRACE] = ACTIONS(590),
        [anon_sym_abstract] = ACTIONS(113),
        [anon_sym_void] = ACTIONS(115),
        [anon_sym_readonly] = ACTIONS(117),
        [anon_sym_attribute] = ACTIONS(119),
        [anon_sym_bitset] = ACTIONS(121),
        [anon_sym_bitmask] = ACTIONS(123),
        [anon_sym_AT] = ACTIONS(125),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_valuetype] = ACTIONS(127),
        [anon_sym_struct] = ACTIONS(129),
        [anon_sym_union] = ACTIONS(131),
        [anon_sym_enum] = ACTIONS(133),
        [anon_sym_const] = ACTIONS(135),
        [anon_sym_custom] = ACTIONS(137),
        [anon_sym_typedef] = ACTIONS(143),
        [anon_sym_typeid] = ACTIONS(145),
        [anon_sym_import] = ACTIONS(147),
        [anon_sym_Object] = ACTIONS(149),
        [anon_sym_oneway] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(77),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [21] = {
        [sym_signed_short_int] = STATE(487),
        [sym_signed_long_int] = STATE(487),
        [sym_signed_longlong_int] = STATE(487),
        [sym_unsigned_int] = STATE(507),
        [sym_integer_type] = STATE(593),
        [sym_signed_int] = STATE(507),
        [sym_unsigned_short_int] = STATE(484),
        [sym_unsigned_long_int] = STATE(484),
        [sym_unsigned_longlong_int] = STATE(484),
        [sym_floating_pt_type] = STATE(593),
        [sym_scoped_name] = STATE(352),
        [sym_string_type] = STATE(614),
        [sym_wide_string_type] = STATE(614),
        [sym_type_spec] = STATE(917),
        [sym_simple_type_spec] = STATE(590),
        [sym_base_type_spec] = STATE(522),
        [sym_any_type] = STATE(593),
        [sym_fixed_pt_type] = STATE(614),
        [sym_template_type_spec] = STATE(590),
        [sym_sequence_type] = STATE(614),
        [sym_map_type] = STATE(614),
        [sym_const_expr] = STATE(917),
        [sym_or_expr] = STATE(445),
        [sym_xor_expr] = STATE(437),
        [sym_and_expr] = STATE(430),
        [sym_shift_expr] = STATE(423),
        [sym_add_expr] = STATE(358),
        [sym_mult_expr] = STATE(319),
        [sym_unary_expr] = STATE(316),
        [sym_primary_expr] = STATE(331),
        [sym_unary_operator] = STATE(293),
        [sym_literal] = STATE(338),
        [sym_integer_literal] = STATE(327),
        [sym_integer_sign] = STATE(436),
        [sym_oct_number] = STATE(336),
        [sym_dec_number] = STATE(312),
        [sym_floating_pt_literal] = STATE(327),
        [sym_fixed_pt_literal] = STATE(327),
        [sym_string_literal] = STATE(327),
        [sym_wide_string_literal] = STATE(327),
        [sym_char_literal] = STATE(327),
        [sym_wide_character_literal] = STATE(327),
        [sym_boolean_literal] = STATE(327),
        [sym_actual_parameters] = STATE(1021),
        [sym_actual_parameter] = STATE(740),
        [sym_object_type] = STATE(593),
        [sym_comment] = STATE(21),
        [anon_sym_short] = ACTIONS(67),
        [anon_sym_int16] = ACTIONS(67),
        [anon_sym_long] = ACTIONS(69),
        [anon_sym_int32] = ACTIONS(69),
        [anon_sym_longlong] = ACTIONS(71),
        [anon_sym_int64] = ACTIONS(73),
        [sym_unsigned_tiny_int] = ACTIONS(75),
        [sym_boolean_type] = ACTIONS(77),
        [anon_sym_fixed] = ACTIONS(79),
        [sym_octet_type] = ACTIONS(77),
        [sym_signed_tiny_int] = ACTIONS(81),
        [anon_sym_unsignedshort] = ACTIONS(83),
        [anon_sym_uint16] = ACTIONS(85),
        [anon_sym_unsignedlong] = ACTIONS(87),
        [anon_sym_uint32] = ACTIONS(87),
        [anon_sym_unsignedlonglong] = ACTIONS(89),
        [anon_sym_uint64] = ACTIONS(91),
        [anon_sym_float] = ACTIONS(93),
        [anon_sym_double] = ACTIONS(93),
        [anon_sym_longdouble] = ACTIONS(95),
        [sym_char_type] = ACTIONS(77),
        [sym_wide_char_type] = ACTIONS(77),
        [anon_sym_COLON_COLON] = ACTIONS(592),
        [anon_sym_string] = ACTIONS(99),
        [anon_sym_wstring] = ACTIONS(101),
        [anon_sym_any] = ACTIONS(103),
        [anon_sym_sequence] = ACTIONS(105),
        [anon_sym_map] = ACTIONS(107),
        [anon_sym_PLUS] = ACTIONS(594),
        [anon_sym_DASH] = ACTIONS(594),
        [anon_sym_LPAREN] = ACTIONS(596),
        [anon_sym_TILDE] = ACTIONS(598),
        [sym_bin_number] = ACTIONS(600),
        [aux_sym_oct_number_token1] = ACTIONS(602),
        [aux_sym_oct_number_token2] = ACTIONS(602),
        [anon_sym_0] = ACTIONS(604),
        [aux_sym_dec_number_token1] = ACTIONS(604),
        [sym_hex_number] = ACTIONS(600),
        [anon_sym_DQUOTE] = ACTIONS(606),
        [anon_sym_L] = ACTIONS(608),
        [anon_sym_SQUOTE] = ACTIONS(610),
        [anon_sym_TRUE] = ACTIONS(612),
        [anon_sym_FALSE] = ACTIONS(612),
        [anon_sym_Object] = ACTIONS(149),
        [sym_value_base_type] = ACTIONS(77),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(614),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [22] = {
        [sym_signed_short_int] = STATE(487),
        [sym_signed_long_int] = STATE(487),
        [sym_signed_longlong_int] = STATE(487),
        [sym_unsigned_int] = STATE(507),
        [sym_integer_type] = STATE(593),
        [sym_signed_int] = STATE(507),
        [sym_unsigned_short_int] = STATE(484),
        [sym_unsigned_long_int] = STATE(484),
        [sym_unsigned_longlong_int] = STATE(484),
        [sym_floating_pt_type] = STATE(593),
        [sym_scoped_name] = STATE(352),
        [sym_string_type] = STATE(614),
        [sym_wide_string_type] = STATE(614),
        [sym_type_spec] = STATE(917),
        [sym_simple_type_spec] = STATE(590),
        [sym_base_type_spec] = STATE(522),
        [sym_any_type] = STATE(593),
        [sym_fixed_pt_type] = STATE(614),
        [sym_template_type_spec] = STATE(590),
        [sym_sequence_type] = STATE(614),
        [sym_map_type] = STATE(614),
        [sym_const_expr] = STATE(917),
        [sym_or_expr] = STATE(445),
        [sym_xor_expr] = STATE(437),
        [sym_and_expr] = STATE(430),
        [sym_shift_expr] = STATE(423),
        [sym_add_expr] = STATE(358),
        [sym_mult_expr] = STATE(319),
        [sym_unary_expr] = STATE(316),
        [sym_primary_expr] = STATE(331),
        [sym_unary_operator] = STATE(293),
        [sym_literal] = STATE(338),
        [sym_integer_literal] = STATE(327),
        [sym_integer_sign] = STATE(436),
        [sym_oct_number] = STATE(336),
        [sym_dec_number] = STATE(312),
        [sym_floating_pt_literal] = STATE(327),
        [sym_fixed_pt_literal] = STATE(327),
        [sym_string_literal] = STATE(327),
        [sym_wide_string_literal] = STATE(327),
        [sym_char_literal] = STATE(327),
        [sym_wide_character_literal] = STATE(327),
        [sym_boolean_literal] = STATE(327),
        [sym_actual_parameter] = STATE(942),
        [sym_object_type] = STATE(593),
        [sym_comment] = STATE(22),
        [anon_sym_short] = ACTIONS(67),
        [anon_sym_int16] = ACTIONS(67),
        [anon_sym_long] = ACTIONS(69),
        [anon_sym_int32] = ACTIONS(69),
        [anon_sym_longlong] = ACTIONS(71),
        [anon_sym_int64] = ACTIONS(73),
        [sym_unsigned_tiny_int] = ACTIONS(75),
        [sym_boolean_type] = ACTIONS(77),
        [anon_sym_fixed] = ACTIONS(79),
        [sym_octet_type] = ACTIONS(77),
        [sym_signed_tiny_int] = ACTIONS(81),
        [anon_sym_unsignedshort] = ACTIONS(83),
        [anon_sym_uint16] = ACTIONS(85),
        [anon_sym_unsignedlong] = ACTIONS(87),
        [anon_sym_uint32] = ACTIONS(87),
        [anon_sym_unsignedlonglong] = ACTIONS(89),
        [anon_sym_uint64] = ACTIONS(91),
        [anon_sym_float] = ACTIONS(93),
        [anon_sym_double] = ACTIONS(93),
        [anon_sym_longdouble] = ACTIONS(95),
        [sym_char_type] = ACTIONS(77),
        [sym_wide_char_type] = ACTIONS(77),
        [anon_sym_COLON_COLON] = ACTIONS(592),
        [anon_sym_string] = ACTIONS(99),
        [anon_sym_wstring] = ACTIONS(101),
        [anon_sym_any] = ACTIONS(103),
        [anon_sym_sequence] = ACTIONS(105),
        [anon_sym_map] = ACTIONS(107),
        [anon_sym_PLUS] = ACTIONS(594),
        [anon_sym_DASH] = ACTIONS(594),
        [anon_sym_LPAREN] = ACTIONS(596),
        [anon_sym_TILDE] = ACTIONS(598),
        [sym_bin_number] = ACTIONS(600),
        [aux_sym_oct_number_token1] = ACTIONS(602),
        [aux_sym_oct_number_token2] = ACTIONS(602),
        [anon_sym_0] = ACTIONS(604),
        [aux_sym_dec_number_token1] = ACTIONS(604),
        [sym_hex_number] = ACTIONS(600),
        [anon_sym_DQUOTE] = ACTIONS(606),
        [anon_sym_L] = ACTIONS(608),
        [anon_sym_SQUOTE] = ACTIONS(610),
        [anon_sym_TRUE] = ACTIONS(612),
        [anon_sym_FALSE] = ACTIONS(612),
        [anon_sym_Object] = ACTIONS(149),
        [sym_value_base_type] = ACTIONS(77),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(614),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [23] = {
        [sym_preproc_define] = STATE(294),
        [sym_preproc_call] = STATE(294),
        [sym_preproc_include] = STATE(294),
        [sym_except_dcl] = STATE(1327),
        [sym_interface_dcl] = STATE(1327),
        [sym_interface_kind] = STATE(1326),
        [sym_interface_forward_dcl] = STATE(1325),
        [sym_interface_def] = STATE(1325),
        [sym_interface_header] = STATE(1324),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_annotation_dcl] = STATE(1327),
        [sym_annotation_appl] = STATE(372),
        [sym_extend_annotation_appl] = STATE(373),
        [sym_template_module_dcl] = STATE(1327),
        [sym_template_module_inst] = STATE(1327),
        [sym_value_dcl] = STATE(1327),
        [sym_value_def] = STATE(1321),
        [sym_value_kind] = STATE(1319),
        [sym_value_header] = STATE(1318),
        [sym_value_forward_dcl] = STATE(1321),
        [sym_typedef_dcl] = STATE(1317),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_type_id_dcl] = STATE(1327),
        [sym_type_prefix_dcl] = STATE(1327),
        [sym_import_dcl] = STATE(1327),
        [sym_value_box_def] = STATE(1321),
        [sym_value_abs_def] = STATE(1321),
        [sym_component_dcl] = STATE(1327),
        [sym_component_forward_dcl] = STATE(1315),
        [sym_component_def] = STATE(1315),
        [sym_component_header] = STATE(1314),
        [sym_home_dcl] = STATE(1327),
        [sym_home_header] = STATE(1313),
        [sym_event_dcl] = STATE(1327),
        [sym_event_forward_dcl] = STATE(1312),
        [sym_event_abs_def] = STATE(1312),
        [sym_event_def] = STATE(1312),
        [sym_event_header] = STATE(1311),
        [sym_porttype_dcl] = STATE(1327),
        [sym_porttype_forward_dcl] = STATE(1310),
        [sym_porttype_def] = STATE(1310),
        [sym_connector_dcl] = STATE(1327),
        [sym_connector_header] = STATE(1309),
        [sym_definition] = STATE(294),
        [sym_type_dcl] = STATE(1327),
        [sym_constr_type_dcl] = STATE(1317),
        [sym_native_dcl] = STATE(1317),
        [sym_module_dcl] = STATE(1327),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_const_dcl] = STATE(1327),
        [sym_comment] = STATE(23),
        [aux_sym_specification_repeat1] = STATE(23),
        [aux_sym_interface_dcl_repeat1] = STATE(291),
        [ts_builtin_sym_end] = ACTIONS(616),
        [anon_sym_POUNDdefine] = ACTIONS(618),
        [sym_preproc_directive] = ACTIONS(621),
        [aux_sym_preproc_include_token1] = ACTIONS(624),
        [anon_sym_exception] = ACTIONS(627),
        [anon_sym_local] = ACTIONS(630),
        [anon_sym_abstract] = ACTIONS(633),
        [anon_sym_interface] = ACTIONS(636),
        [anon_sym_bitset] = ACTIONS(639),
        [anon_sym_bitmask] = ACTIONS(642),
        [anon_sym_ATannotation] = ACTIONS(645),
        [anon_sym_AT] = ACTIONS(648),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(651),
        [anon_sym_module] = ACTIONS(654),
        [anon_sym_valuetype] = ACTIONS(657),
        [anon_sym_eventtype] = ACTIONS(660),
        [anon_sym_struct] = ACTIONS(663),
        [anon_sym_union] = ACTIONS(666),
        [anon_sym_enum] = ACTIONS(669),
        [anon_sym_const] = ACTIONS(672),
        [anon_sym_custom] = ACTIONS(675),
        [anon_sym_typedef] = ACTIONS(678),
        [anon_sym_typeid] = ACTIONS(681),
        [anon_sym_typeprefix] = ACTIONS(684),
        [anon_sym_import] = ACTIONS(687),
        [anon_sym_component] = ACTIONS(690),
        [anon_sym_home] = ACTIONS(693),
        [anon_sym_porttype] = ACTIONS(696),
        [anon_sym_connector] = ACTIONS(699),
        [anon_sym_native] = ACTIONS(702),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [24] = {
        [sym_preproc_define] = STATE(294),
        [sym_preproc_call] = STATE(294),
        [sym_preproc_include] = STATE(294),
        [sym_except_dcl] = STATE(1327),
        [sym_interface_dcl] = STATE(1327),
        [sym_interface_kind] = STATE(1326),
        [sym_interface_forward_dcl] = STATE(1325),
        [sym_interface_def] = STATE(1325),
        [sym_interface_header] = STATE(1324),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_annotation_dcl] = STATE(1327),
        [sym_annotation_appl] = STATE(372),
        [sym_extend_annotation_appl] = STATE(373),
        [sym_template_module_dcl] = STATE(1327),
        [sym_template_module_inst] = STATE(1327),
        [sym_value_dcl] = STATE(1327),
        [sym_value_def] = STATE(1321),
        [sym_value_kind] = STATE(1319),
        [sym_value_header] = STATE(1318),
        [sym_value_forward_dcl] = STATE(1321),
        [sym_typedef_dcl] = STATE(1317),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_type_id_dcl] = STATE(1327),
        [sym_type_prefix_dcl] = STATE(1327),
        [sym_import_dcl] = STATE(1327),
        [sym_value_box_def] = STATE(1321),
        [sym_value_abs_def] = STATE(1321),
        [sym_component_dcl] = STATE(1327),
        [sym_component_forward_dcl] = STATE(1315),
        [sym_component_def] = STATE(1315),
        [sym_component_header] = STATE(1314),
        [sym_home_dcl] = STATE(1327),
        [sym_home_header] = STATE(1313),
        [sym_event_dcl] = STATE(1327),
        [sym_event_forward_dcl] = STATE(1312),
        [sym_event_abs_def] = STATE(1312),
        [sym_event_def] = STATE(1312),
        [sym_event_header] = STATE(1311),
        [sym_porttype_dcl] = STATE(1327),
        [sym_porttype_forward_dcl] = STATE(1310),
        [sym_porttype_def] = STATE(1310),
        [sym_connector_dcl] = STATE(1327),
        [sym_connector_header] = STATE(1309),
        [sym_definition] = STATE(294),
        [sym_type_dcl] = STATE(1327),
        [sym_constr_type_dcl] = STATE(1317),
        [sym_native_dcl] = STATE(1317),
        [sym_module_dcl] = STATE(1327),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_const_dcl] = STATE(1327),
        [sym_comment] = STATE(24),
        [aux_sym_specification_repeat1] = STATE(23),
        [aux_sym_interface_dcl_repeat1] = STATE(291),
        [ts_builtin_sym_end] = ACTIONS(705),
        [anon_sym_POUNDdefine] = ACTIONS(9),
        [sym_preproc_directive] = ACTIONS(11),
        [aux_sym_preproc_include_token1] = ACTIONS(13),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_typeid] = ACTIONS(51),
        [anon_sym_typeprefix] = ACTIONS(53),
        [anon_sym_import] = ACTIONS(55),
        [anon_sym_component] = ACTIONS(57),
        [anon_sym_home] = ACTIONS(59),
        [anon_sym_porttype] = ACTIONS(61),
        [anon_sym_connector] = ACTIONS(63),
        [anon_sym_native] = ACTIONS(65),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [25] = {
        [sym_except_dcl] = STATE(1327),
        [sym_interface_dcl] = STATE(1327),
        [sym_interface_kind] = STATE(1326),
        [sym_interface_forward_dcl] = STATE(1325),
        [sym_interface_def] = STATE(1325),
        [sym_interface_header] = STATE(1324),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_annotation_dcl] = STATE(1327),
        [sym_annotation_appl] = STATE(372),
        [sym_extend_annotation_appl] = STATE(373),
        [sym_template_module_dcl] = STATE(1327),
        [sym_tpl_definition] = STATE(299),
        [sym_template_module_inst] = STATE(1327),
        [sym_template_module_ref] = STATE(1109),
        [sym_value_dcl] = STATE(1327),
        [sym_value_def] = STATE(1321),
        [sym_value_kind] = STATE(1319),
        [sym_value_header] = STATE(1318),
        [sym_value_forward_dcl] = STATE(1321),
        [sym_typedef_dcl] = STATE(1317),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_type_id_dcl] = STATE(1327),
        [sym_type_prefix_dcl] = STATE(1327),
        [sym_import_dcl] = STATE(1327),
        [sym_value_box_def] = STATE(1321),
        [sym_value_abs_def] = STATE(1321),
        [sym_component_dcl] = STATE(1327),
        [sym_component_forward_dcl] = STATE(1315),
        [sym_component_def] = STATE(1315),
        [sym_component_header] = STATE(1314),
        [sym_home_dcl] = STATE(1327),
        [sym_home_header] = STATE(1313),
        [sym_event_dcl] = STATE(1327),
        [sym_event_forward_dcl] = STATE(1312),
        [sym_event_abs_def] = STATE(1312),
        [sym_event_def] = STATE(1312),
        [sym_event_header] = STATE(1311),
        [sym_porttype_dcl] = STATE(1327),
        [sym_porttype_forward_dcl] = STATE(1310),
        [sym_porttype_def] = STATE(1310),
        [sym_connector_dcl] = STATE(1327),
        [sym_connector_header] = STATE(1309),
        [sym_definition] = STATE(300),
        [sym_type_dcl] = STATE(1327),
        [sym_constr_type_dcl] = STATE(1317),
        [sym_native_dcl] = STATE(1317),
        [sym_module_dcl] = STATE(1327),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_const_dcl] = STATE(1327),
        [sym_comment] = STATE(25),
        [aux_sym_interface_dcl_repeat1] = STATE(291),
        [aux_sym_template_module_dcl_repeat1] = STATE(27),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_RBRACE] = ACTIONS(707),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_alias] = ACTIONS(709),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_typeid] = ACTIONS(51),
        [anon_sym_typeprefix] = ACTIONS(53),
        [anon_sym_import] = ACTIONS(55),
        [anon_sym_component] = ACTIONS(57),
        [anon_sym_home] = ACTIONS(59),
        [anon_sym_porttype] = ACTIONS(61),
        [anon_sym_connector] = ACTIONS(63),
        [anon_sym_native] = ACTIONS(65),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [26] = {
        [sym_except_dcl] = STATE(1327),
        [sym_interface_dcl] = STATE(1327),
        [sym_interface_kind] = STATE(1326),
        [sym_interface_forward_dcl] = STATE(1325),
        [sym_interface_def] = STATE(1325),
        [sym_interface_header] = STATE(1324),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_annotation_dcl] = STATE(1327),
        [sym_annotation_appl] = STATE(372),
        [sym_extend_annotation_appl] = STATE(373),
        [sym_template_module_dcl] = STATE(1327),
        [sym_tpl_definition] = STATE(299),
        [sym_template_module_inst] = STATE(1327),
        [sym_template_module_ref] = STATE(1109),
        [sym_value_dcl] = STATE(1327),
        [sym_value_def] = STATE(1321),
        [sym_value_kind] = STATE(1319),
        [sym_value_header] = STATE(1318),
        [sym_value_forward_dcl] = STATE(1321),
        [sym_typedef_dcl] = STATE(1317),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_type_id_dcl] = STATE(1327),
        [sym_type_prefix_dcl] = STATE(1327),
        [sym_import_dcl] = STATE(1327),
        [sym_value_box_def] = STATE(1321),
        [sym_value_abs_def] = STATE(1321),
        [sym_component_dcl] = STATE(1327),
        [sym_component_forward_dcl] = STATE(1315),
        [sym_component_def] = STATE(1315),
        [sym_component_header] = STATE(1314),
        [sym_home_dcl] = STATE(1327),
        [sym_home_header] = STATE(1313),
        [sym_event_dcl] = STATE(1327),
        [sym_event_forward_dcl] = STATE(1312),
        [sym_event_abs_def] = STATE(1312),
        [sym_event_def] = STATE(1312),
        [sym_event_header] = STATE(1311),
        [sym_porttype_dcl] = STATE(1327),
        [sym_porttype_forward_dcl] = STATE(1310),
        [sym_porttype_def] = STATE(1310),
        [sym_connector_dcl] = STATE(1327),
        [sym_connector_header] = STATE(1309),
        [sym_definition] = STATE(300),
        [sym_type_dcl] = STATE(1327),
        [sym_constr_type_dcl] = STATE(1317),
        [sym_native_dcl] = STATE(1317),
        [sym_module_dcl] = STATE(1327),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_const_dcl] = STATE(1327),
        [sym_comment] = STATE(26),
        [aux_sym_interface_dcl_repeat1] = STATE(291),
        [aux_sym_template_module_dcl_repeat1] = STATE(25),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_RBRACE] = ACTIONS(711),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_alias] = ACTIONS(709),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_typeid] = ACTIONS(51),
        [anon_sym_typeprefix] = ACTIONS(53),
        [anon_sym_import] = ACTIONS(55),
        [anon_sym_component] = ACTIONS(57),
        [anon_sym_home] = ACTIONS(59),
        [anon_sym_porttype] = ACTIONS(61),
        [anon_sym_connector] = ACTIONS(63),
        [anon_sym_native] = ACTIONS(65),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [27] = {
        [sym_except_dcl] = STATE(1327),
        [sym_interface_dcl] = STATE(1327),
        [sym_interface_kind] = STATE(1326),
        [sym_interface_forward_dcl] = STATE(1325),
        [sym_interface_def] = STATE(1325),
        [sym_interface_header] = STATE(1324),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_annotation_dcl] = STATE(1327),
        [sym_annotation_appl] = STATE(372),
        [sym_extend_annotation_appl] = STATE(373),
        [sym_template_module_dcl] = STATE(1327),
        [sym_tpl_definition] = STATE(299),
        [sym_template_module_inst] = STATE(1327),
        [sym_template_module_ref] = STATE(1109),
        [sym_value_dcl] = STATE(1327),
        [sym_value_def] = STATE(1321),
        [sym_value_kind] = STATE(1319),
        [sym_value_header] = STATE(1318),
        [sym_value_forward_dcl] = STATE(1321),
        [sym_typedef_dcl] = STATE(1317),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_type_id_dcl] = STATE(1327),
        [sym_type_prefix_dcl] = STATE(1327),
        [sym_import_dcl] = STATE(1327),
        [sym_value_box_def] = STATE(1321),
        [sym_value_abs_def] = STATE(1321),
        [sym_component_dcl] = STATE(1327),
        [sym_component_forward_dcl] = STATE(1315),
        [sym_component_def] = STATE(1315),
        [sym_component_header] = STATE(1314),
        [sym_home_dcl] = STATE(1327),
        [sym_home_header] = STATE(1313),
        [sym_event_dcl] = STATE(1327),
        [sym_event_forward_dcl] = STATE(1312),
        [sym_event_abs_def] = STATE(1312),
        [sym_event_def] = STATE(1312),
        [sym_event_header] = STATE(1311),
        [sym_porttype_dcl] = STATE(1327),
        [sym_porttype_forward_dcl] = STATE(1310),
        [sym_porttype_def] = STATE(1310),
        [sym_connector_dcl] = STATE(1327),
        [sym_connector_header] = STATE(1309),
        [sym_definition] = STATE(300),
        [sym_type_dcl] = STATE(1327),
        [sym_constr_type_dcl] = STATE(1317),
        [sym_native_dcl] = STATE(1317),
        [sym_module_dcl] = STATE(1327),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_const_dcl] = STATE(1327),
        [sym_comment] = STATE(27),
        [aux_sym_interface_dcl_repeat1] = STATE(291),
        [aux_sym_template_module_dcl_repeat1] = STATE(27),
        [anon_sym_exception] = ACTIONS(713),
        [anon_sym_RBRACE] = ACTIONS(716),
        [anon_sym_local] = ACTIONS(718),
        [anon_sym_abstract] = ACTIONS(721),
        [anon_sym_interface] = ACTIONS(724),
        [anon_sym_bitset] = ACTIONS(727),
        [anon_sym_bitmask] = ACTIONS(730),
        [anon_sym_ATannotation] = ACTIONS(733),
        [anon_sym_AT] = ACTIONS(736),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(739),
        [anon_sym_module] = ACTIONS(742),
        [anon_sym_valuetype] = ACTIONS(745),
        [anon_sym_eventtype] = ACTIONS(748),
        [anon_sym_struct] = ACTIONS(751),
        [anon_sym_union] = ACTIONS(754),
        [anon_sym_enum] = ACTIONS(757),
        [anon_sym_const] = ACTIONS(760),
        [anon_sym_alias] = ACTIONS(763),
        [anon_sym_custom] = ACTIONS(766),
        [anon_sym_typedef] = ACTIONS(769),
        [anon_sym_typeid] = ACTIONS(772),
        [anon_sym_typeprefix] = ACTIONS(775),
        [anon_sym_import] = ACTIONS(778),
        [anon_sym_component] = ACTIONS(781),
        [anon_sym_home] = ACTIONS(784),
        [anon_sym_porttype] = ACTIONS(787),
        [anon_sym_connector] = ACTIONS(790),
        [anon_sym_native] = ACTIONS(793),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [28] = {
        [sym_except_dcl] = STATE(1327),
        [sym_interface_dcl] = STATE(1327),
        [sym_interface_kind] = STATE(1326),
        [sym_interface_forward_dcl] = STATE(1325),
        [sym_interface_def] = STATE(1325),
        [sym_interface_header] = STATE(1324),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_annotation_dcl] = STATE(1327),
        [sym_annotation_appl] = STATE(372),
        [sym_extend_annotation_appl] = STATE(373),
        [sym_template_module_dcl] = STATE(1327),
        [sym_template_module_inst] = STATE(1327),
        [sym_value_dcl] = STATE(1327),
        [sym_value_def] = STATE(1321),
        [sym_value_kind] = STATE(1319),
        [sym_value_header] = STATE(1318),
        [sym_value_forward_dcl] = STATE(1321),
        [sym_typedef_dcl] = STATE(1317),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_type_id_dcl] = STATE(1327),
        [sym_type_prefix_dcl] = STATE(1327),
        [sym_import_dcl] = STATE(1327),
        [sym_value_box_def] = STATE(1321),
        [sym_value_abs_def] = STATE(1321),
        [sym_component_dcl] = STATE(1327),
        [sym_component_forward_dcl] = STATE(1315),
        [sym_component_def] = STATE(1315),
        [sym_component_header] = STATE(1314),
        [sym_home_dcl] = STATE(1327),
        [sym_home_header] = STATE(1313),
        [sym_event_dcl] = STATE(1327),
        [sym_event_forward_dcl] = STATE(1312),
        [sym_event_abs_def] = STATE(1312),
        [sym_event_def] = STATE(1312),
        [sym_event_header] = STATE(1311),
        [sym_porttype_dcl] = STATE(1327),
        [sym_porttype_forward_dcl] = STATE(1310),
        [sym_porttype_def] = STATE(1310),
        [sym_connector_dcl] = STATE(1327),
        [sym_connector_header] = STATE(1309),
        [sym_definition] = STATE(301),
        [sym_type_dcl] = STATE(1327),
        [sym_constr_type_dcl] = STATE(1317),
        [sym_native_dcl] = STATE(1317),
        [sym_module_dcl] = STATE(1327),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_const_dcl] = STATE(1327),
        [sym_comment] = STATE(28),
        [aux_sym_interface_dcl_repeat1] = STATE(291),
        [aux_sym_module_dcl_repeat1] = STATE(28),
        [anon_sym_exception] = ACTIONS(796),
        [anon_sym_RBRACE] = ACTIONS(799),
        [anon_sym_local] = ACTIONS(801),
        [anon_sym_abstract] = ACTIONS(804),
        [anon_sym_interface] = ACTIONS(807),
        [anon_sym_bitset] = ACTIONS(810),
        [anon_sym_bitmask] = ACTIONS(813),
        [anon_sym_ATannotation] = ACTIONS(816),
        [anon_sym_AT] = ACTIONS(819),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(822),
        [anon_sym_module] = ACTIONS(825),
        [anon_sym_valuetype] = ACTIONS(828),
        [anon_sym_eventtype] = ACTIONS(831),
        [anon_sym_struct] = ACTIONS(834),
        [anon_sym_union] = ACTIONS(837),
        [anon_sym_enum] = ACTIONS(840),
        [anon_sym_const] = ACTIONS(843),
        [anon_sym_custom] = ACTIONS(846),
        [anon_sym_typedef] = ACTIONS(849),
        [anon_sym_typeid] = ACTIONS(852),
        [anon_sym_typeprefix] = ACTIONS(855),
        [anon_sym_import] = ACTIONS(858),
        [anon_sym_component] = ACTIONS(861),
        [anon_sym_home] = ACTIONS(864),
        [anon_sym_porttype] = ACTIONS(867),
        [anon_sym_connector] = ACTIONS(870),
        [anon_sym_native] = ACTIONS(873),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [29] = {
        [sym_except_dcl] = STATE(1327),
        [sym_interface_dcl] = STATE(1327),
        [sym_interface_kind] = STATE(1326),
        [sym_interface_forward_dcl] = STATE(1325),
        [sym_interface_def] = STATE(1325),
        [sym_interface_header] = STATE(1324),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_annotation_dcl] = STATE(1327),
        [sym_annotation_appl] = STATE(372),
        [sym_extend_annotation_appl] = STATE(373),
        [sym_template_module_dcl] = STATE(1327),
        [sym_template_module_inst] = STATE(1327),
        [sym_value_dcl] = STATE(1327),
        [sym_value_def] = STATE(1321),
        [sym_value_kind] = STATE(1319),
        [sym_value_header] = STATE(1318),
        [sym_value_forward_dcl] = STATE(1321),
        [sym_typedef_dcl] = STATE(1317),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_type_id_dcl] = STATE(1327),
        [sym_type_prefix_dcl] = STATE(1327),
        [sym_import_dcl] = STATE(1327),
        [sym_value_box_def] = STATE(1321),
        [sym_value_abs_def] = STATE(1321),
        [sym_component_dcl] = STATE(1327),
        [sym_component_forward_dcl] = STATE(1315),
        [sym_component_def] = STATE(1315),
        [sym_component_header] = STATE(1314),
        [sym_home_dcl] = STATE(1327),
        [sym_home_header] = STATE(1313),
        [sym_event_dcl] = STATE(1327),
        [sym_event_forward_dcl] = STATE(1312),
        [sym_event_abs_def] = STATE(1312),
        [sym_event_def] = STATE(1312),
        [sym_event_header] = STATE(1311),
        [sym_porttype_dcl] = STATE(1327),
        [sym_porttype_forward_dcl] = STATE(1310),
        [sym_porttype_def] = STATE(1310),
        [sym_connector_dcl] = STATE(1327),
        [sym_connector_header] = STATE(1309),
        [sym_definition] = STATE(301),
        [sym_type_dcl] = STATE(1327),
        [sym_constr_type_dcl] = STATE(1317),
        [sym_native_dcl] = STATE(1317),
        [sym_module_dcl] = STATE(1327),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_const_dcl] = STATE(1327),
        [sym_comment] = STATE(29),
        [aux_sym_interface_dcl_repeat1] = STATE(291),
        [aux_sym_module_dcl_repeat1] = STATE(30),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_RBRACE] = ACTIONS(876),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_typeid] = ACTIONS(51),
        [anon_sym_typeprefix] = ACTIONS(53),
        [anon_sym_import] = ACTIONS(55),
        [anon_sym_component] = ACTIONS(57),
        [anon_sym_home] = ACTIONS(59),
        [anon_sym_porttype] = ACTIONS(61),
        [anon_sym_connector] = ACTIONS(63),
        [anon_sym_native] = ACTIONS(65),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [30] = {
        [sym_except_dcl] = STATE(1327),
        [sym_interface_dcl] = STATE(1327),
        [sym_interface_kind] = STATE(1326),
        [sym_interface_forward_dcl] = STATE(1325),
        [sym_interface_def] = STATE(1325),
        [sym_interface_header] = STATE(1324),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_annotation_dcl] = STATE(1327),
        [sym_annotation_appl] = STATE(372),
        [sym_extend_annotation_appl] = STATE(373),
        [sym_template_module_dcl] = STATE(1327),
        [sym_template_module_inst] = STATE(1327),
        [sym_value_dcl] = STATE(1327),
        [sym_value_def] = STATE(1321),
        [sym_value_kind] = STATE(1319),
        [sym_value_header] = STATE(1318),
        [sym_value_forward_dcl] = STATE(1321),
        [sym_typedef_dcl] = STATE(1317),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_type_id_dcl] = STATE(1327),
        [sym_type_prefix_dcl] = STATE(1327),
        [sym_import_dcl] = STATE(1327),
        [sym_value_box_def] = STATE(1321),
        [sym_value_abs_def] = STATE(1321),
        [sym_component_dcl] = STATE(1327),
        [sym_component_forward_dcl] = STATE(1315),
        [sym_component_def] = STATE(1315),
        [sym_component_header] = STATE(1314),
        [sym_home_dcl] = STATE(1327),
        [sym_home_header] = STATE(1313),
        [sym_event_dcl] = STATE(1327),
        [sym_event_forward_dcl] = STATE(1312),
        [sym_event_abs_def] = STATE(1312),
        [sym_event_def] = STATE(1312),
        [sym_event_header] = STATE(1311),
        [sym_porttype_dcl] = STATE(1327),
        [sym_porttype_forward_dcl] = STATE(1310),
        [sym_porttype_def] = STATE(1310),
        [sym_connector_dcl] = STATE(1327),
        [sym_connector_header] = STATE(1309),
        [sym_definition] = STATE(301),
        [sym_type_dcl] = STATE(1327),
        [sym_constr_type_dcl] = STATE(1317),
        [sym_native_dcl] = STATE(1317),
        [sym_module_dcl] = STATE(1327),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_const_dcl] = STATE(1327),
        [sym_comment] = STATE(30),
        [aux_sym_interface_dcl_repeat1] = STATE(291),
        [aux_sym_module_dcl_repeat1] = STATE(28),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_RBRACE] = ACTIONS(878),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_typeid] = ACTIONS(51),
        [anon_sym_typeprefix] = ACTIONS(53),
        [anon_sym_import] = ACTIONS(55),
        [anon_sym_component] = ACTIONS(57),
        [anon_sym_home] = ACTIONS(59),
        [anon_sym_porttype] = ACTIONS(61),
        [anon_sym_connector] = ACTIONS(63),
        [anon_sym_native] = ACTIONS(65),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [31] = {
        [sym_signed_short_int] = STATE(487),
        [sym_signed_long_int] = STATE(487),
        [sym_signed_longlong_int] = STATE(487),
        [sym_unsigned_int] = STATE(507),
        [sym_integer_type] = STATE(593),
        [sym_signed_int] = STATE(507),
        [sym_unsigned_short_int] = STATE(484),
        [sym_unsigned_long_int] = STATE(484),
        [sym_unsigned_longlong_int] = STATE(484),
        [sym_floating_pt_type] = STATE(593),
        [sym_scoped_name] = STATE(512),
        [sym_string_type] = STATE(614),
        [sym_wide_string_type] = STATE(614),
        [sym_type_spec] = STATE(602),
        [sym_simple_type_spec] = STATE(590),
        [sym_base_type_spec] = STATE(522),
        [sym_any_type] = STATE(593),
        [sym_fixed_pt_type] = STATE(614),
        [sym_template_type_spec] = STATE(590),
        [sym_sequence_type] = STATE(614),
        [sym_map_type] = STATE(614),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(271),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_case_label] = STATE(163),
        [sym_element_spec] = STATE(1055),
        [sym_object_type] = STATE(593),
        [sym_constr_type_dcl] = STATE(602),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_comment] = STATE(31),
        [aux_sym_interface_dcl_repeat1] = STATE(52),
        [aux_sym_case_repeat1] = STATE(102),
        [anon_sym_short] = ACTIONS(67),
        [anon_sym_int16] = ACTIONS(67),
        [anon_sym_long] = ACTIONS(69),
        [anon_sym_int32] = ACTIONS(69),
        [anon_sym_longlong] = ACTIONS(71),
        [anon_sym_int64] = ACTIONS(73),
        [sym_unsigned_tiny_int] = ACTIONS(75),
        [sym_boolean_type] = ACTIONS(77),
        [anon_sym_fixed] = ACTIONS(79),
        [sym_octet_type] = ACTIONS(77),
        [sym_signed_tiny_int] = ACTIONS(81),
        [anon_sym_unsignedshort] = ACTIONS(83),
        [anon_sym_uint16] = ACTIONS(85),
        [anon_sym_unsignedlong] = ACTIONS(87),
        [anon_sym_uint32] = ACTIONS(87),
        [anon_sym_unsignedlonglong] = ACTIONS(89),
        [anon_sym_uint64] = ACTIONS(91),
        [anon_sym_float] = ACTIONS(93),
        [anon_sym_double] = ACTIONS(93),
        [anon_sym_longdouble] = ACTIONS(95),
        [sym_char_type] = ACTIONS(77),
        [sym_wide_char_type] = ACTIONS(77),
        [anon_sym_COLON_COLON] = ACTIONS(97),
        [anon_sym_string] = ACTIONS(99),
        [anon_sym_wstring] = ACTIONS(101),
        [anon_sym_any] = ACTIONS(103),
        [anon_sym_sequence] = ACTIONS(105),
        [anon_sym_map] = ACTIONS(107),
        [anon_sym_bitset] = ACTIONS(121),
        [anon_sym_bitmask] = ACTIONS(123),
        [anon_sym_default] = ACTIONS(880),
        [anon_sym_AT] = ACTIONS(882),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(884),
        [anon_sym_struct] = ACTIONS(129),
        [anon_sym_union] = ACTIONS(131),
        [anon_sym_enum] = ACTIONS(133),
        [anon_sym_case] = ACTIONS(886),
        [anon_sym_Object] = ACTIONS(149),
        [sym_value_base_type] = ACTIONS(77),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [32] = {
        [sym_scoped_name] = STATE(508),
        [sym_annotation_appl_custom_body] = STATE(854),
        [sym_annotation_appl_builtin_body] = STATE(854),
        [sym_annotation_appl_id] = STATE(851),
        [sym_annotation_appl_autoid] = STATE(851),
        [sym_annotation_appl_optional] = STATE(851),
        [sym_annotation_appl_position] = STATE(851),
        [sym_annotation_appl_value] = STATE(851),
        [sym_annotation_appl_extensibility] = STATE(851),
        [sym_annotation_appl_final] = STATE(851),
        [sym_annotation_appl_appendable] = STATE(851),
        [sym_annotation_appl_mutable] = STATE(851),
        [sym_annotation_appl_key] = STATE(851),
        [sym_annotation_appl_must_understand] = STATE(851),
        [sym_annotation_appl_default_literal] = STATE(851),
        [sym_annotation_appl_default] = STATE(851),
        [sym_annotation_appl_range] = STATE(851),
        [sym_annotation_appl_min] = STATE(851),
        [sym_annotation_appl_max] = STATE(851),
        [sym_annotation_appl_unit] = STATE(851),
        [sym_annotation_appl_bit_bound] = STATE(851),
        [sym_annotation_appl_external] = STATE(851),
        [sym_annotation_appl_nested] = STATE(851),
        [sym_annotation_appl_verbatim] = STATE(851),
        [sym_annotation_appl_service] = STATE(851),
        [sym_annotation_appl_oneway] = STATE(851),
        [sym_annotation_appl_ami] = STATE(851),
        [sym_annotation_appl_hashid] = STATE(851),
        [sym_annotation_appl_default_nested] = STATE(851),
        [sym_annotation_appl_ignore_literal_names] = STATE(851),
        [sym_annotation_appl_try_construct] = STATE(851),
        [sym_try_construct_fail_action] = STATE(851),
        [sym_annotation_appl_non_serialized] = STATE(851),
        [sym_annotation_appl_data_representation] = STATE(851),
        [sym_data_representation_mask] = STATE(851),
        [sym_annotation_appl_topic] = STATE(851),
        [sym_comment] = STATE(32),
        [anon_sym_COLON_COLON] = ACTIONS(888),
        [aux_sym_annotation_appl_id_token1] = ACTIONS(890),
        [aux_sym_annotation_appl_autoid_token1] = ACTIONS(892),
        [aux_sym_annotation_appl_optional_token1] = ACTIONS(894),
        [aux_sym_annotation_appl_position_token1] = ACTIONS(896),
        [aux_sym_annotation_appl_value_token1] = ACTIONS(898),
        [aux_sym_annotation_appl_extensibility_token1] = ACTIONS(900),
        [aux_sym_annotation_appl_final_token1] = ACTIONS(902),
        [aux_sym_annotation_appl_appendable_token1] = ACTIONS(904),
        [aux_sym_annotation_appl_mutable_token1] = ACTIONS(906),
        [aux_sym_annotation_appl_key_token1] = ACTIONS(908),
        [aux_sym_annotation_appl_must_understand_token1] = ACTIONS(910),
        [aux_sym_annotation_appl_default_literal_token1] = ACTIONS(912),
        [aux_sym_annotation_appl_default_token1] = ACTIONS(914),
        [aux_sym_annotation_appl_range_token1] = ACTIONS(916),
        [aux_sym_min_expr_token1] = ACTIONS(918),
        [aux_sym_max_expr_token1] = ACTIONS(920),
        [aux_sym_annotation_appl_unit_token1] = ACTIONS(922),
        [aux_sym_annotation_appl_bit_bound_token1] = ACTIONS(924),
        [aux_sym_annotation_appl_external_token1] = ACTIONS(926),
        [aux_sym_annotation_appl_nested_token1] = ACTIONS(928),
        [aux_sym_annotation_appl_verbatim_token1] = ACTIONS(930),
        [aux_sym_annotation_appl_service_token1] = ACTIONS(932),
        [aux_sym_annotation_appl_oneway_token1] = ACTIONS(934),
        [aux_sym_annotation_appl_ami_token1] = ACTIONS(936),
        [anon_sym_hashid] = ACTIONS(938),
        [aux_sym_annotation_appl_default_nested_token1] = ACTIONS(940),
        [aux_sym_annotation_appl_ignore_literal_names_token1] = ACTIONS(942),
        [aux_sym_annotation_appl_try_construct_token1] = ACTIONS(944),
        [aux_sym_try_construct_fail_action_token1] = ACTIONS(946),
        [aux_sym_try_construct_fail_action_token2] = ACTIONS(946),
        [aux_sym_try_construct_fail_action_token3] = ACTIONS(946),
        [aux_sym_annotation_appl_non_serialized_token1] = ACTIONS(948),
        [aux_sym_annotation_appl_data_representation_token1] = ACTIONS(950),
        [aux_sym_data_representation_mask_token1] = ACTIONS(952),
        [aux_sym_data_representation_mask_token2] = ACTIONS(952),
        [aux_sym_data_representation_mask_token3] = ACTIONS(952),
        [aux_sym_data_representation_mask_token4] = ACTIONS(952),
        [aux_sym_annotation_appl_topic_token1] = ACTIONS(954),
        [sym_identifier] = ACTIONS(956),
        [anon_sym_SLASH_SLASH] = ACTIONS(614),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [33] = {
        [sym_scoped_name] = STATE(494),
        [sym_annotation_appl_custom_body] = STATE(460),
        [sym_annotation_appl_builtin_body] = STATE(460),
        [sym_annotation_appl_id] = STATE(704),
        [sym_annotation_appl_autoid] = STATE(704),
        [sym_annotation_appl_optional] = STATE(704),
        [sym_annotation_appl_position] = STATE(704),
        [sym_annotation_appl_value] = STATE(704),
        [sym_annotation_appl_extensibility] = STATE(704),
        [sym_annotation_appl_final] = STATE(704),
        [sym_annotation_appl_appendable] = STATE(704),
        [sym_annotation_appl_mutable] = STATE(704),
        [sym_annotation_appl_key] = STATE(704),
        [sym_annotation_appl_must_understand] = STATE(704),
        [sym_annotation_appl_default_literal] = STATE(704),
        [sym_annotation_appl_default] = STATE(704),
        [sym_annotation_appl_range] = STATE(704),
        [sym_annotation_appl_min] = STATE(704),
        [sym_annotation_appl_max] = STATE(704),
        [sym_annotation_appl_unit] = STATE(704),
        [sym_annotation_appl_bit_bound] = STATE(704),
        [sym_annotation_appl_external] = STATE(704),
        [sym_annotation_appl_nested] = STATE(704),
        [sym_annotation_appl_verbatim] = STATE(704),
        [sym_annotation_appl_service] = STATE(704),
        [sym_annotation_appl_oneway] = STATE(704),
        [sym_annotation_appl_ami] = STATE(704),
        [sym_annotation_appl_hashid] = STATE(704),
        [sym_annotation_appl_default_nested] = STATE(704),
        [sym_annotation_appl_ignore_literal_names] = STATE(704),
        [sym_annotation_appl_try_construct] = STATE(704),
        [sym_try_construct_fail_action] = STATE(704),
        [sym_annotation_appl_non_serialized] = STATE(704),
        [sym_annotation_appl_data_representation] = STATE(704),
        [sym_data_representation_mask] = STATE(704),
        [sym_annotation_appl_topic] = STATE(704),
        [sym_comment] = STATE(33),
        [anon_sym_COLON_COLON] = ACTIONS(958),
        [aux_sym_annotation_appl_id_token1] = ACTIONS(960),
        [aux_sym_annotation_appl_autoid_token1] = ACTIONS(962),
        [aux_sym_annotation_appl_optional_token1] = ACTIONS(964),
        [aux_sym_annotation_appl_position_token1] = ACTIONS(966),
        [aux_sym_annotation_appl_value_token1] = ACTIONS(968),
        [aux_sym_annotation_appl_extensibility_token1] = ACTIONS(970),
        [aux_sym_annotation_appl_final_token1] = ACTIONS(972),
        [aux_sym_annotation_appl_appendable_token1] = ACTIONS(974),
        [aux_sym_annotation_appl_mutable_token1] = ACTIONS(976),
        [aux_sym_annotation_appl_key_token1] = ACTIONS(978),
        [aux_sym_annotation_appl_must_understand_token1] = ACTIONS(980),
        [aux_sym_annotation_appl_default_literal_token1] = ACTIONS(982),
        [aux_sym_annotation_appl_default_token1] = ACTIONS(984),
        [aux_sym_annotation_appl_range_token1] = ACTIONS(986),
        [aux_sym_min_expr_token1] = ACTIONS(988),
        [aux_sym_max_expr_token1] = ACTIONS(990),
        [aux_sym_annotation_appl_unit_token1] = ACTIONS(992),
        [aux_sym_annotation_appl_bit_bound_token1] = ACTIONS(994),
        [aux_sym_annotation_appl_external_token1] = ACTIONS(996),
        [aux_sym_annotation_appl_nested_token1] = ACTIONS(998),
        [aux_sym_annotation_appl_verbatim_token1] = ACTIONS(1000),
        [aux_sym_annotation_appl_service_token1] = ACTIONS(1002),
        [aux_sym_annotation_appl_oneway_token1] = ACTIONS(1004),
        [aux_sym_annotation_appl_ami_token1] = ACTIONS(1006),
        [anon_sym_hashid] = ACTIONS(1008),
        [aux_sym_annotation_appl_default_nested_token1] = ACTIONS(1010),
        [aux_sym_annotation_appl_ignore_literal_names_token1] = ACTIONS(1012),
        [aux_sym_annotation_appl_try_construct_token1] = ACTIONS(1014),
        [aux_sym_try_construct_fail_action_token1] = ACTIONS(1016),
        [aux_sym_try_construct_fail_action_token2] = ACTIONS(1016),
        [aux_sym_try_construct_fail_action_token3] = ACTIONS(1016),
        [aux_sym_annotation_appl_non_serialized_token1] = ACTIONS(1018),
        [aux_sym_annotation_appl_data_representation_token1] = ACTIONS(1020),
        [aux_sym_data_representation_mask_token1] = ACTIONS(1022),
        [aux_sym_data_representation_mask_token2] = ACTIONS(1022),
        [aux_sym_data_representation_mask_token3] = ACTIONS(1022),
        [aux_sym_data_representation_mask_token4] = ACTIONS(1022),
        [aux_sym_annotation_appl_topic_token1] = ACTIONS(1024),
        [sym_identifier] = ACTIONS(1026),
        [anon_sym_SLASH_SLASH] = ACTIONS(614),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [34] = {
        [sym_scoped_name] = STATE(494),
        [sym_annotation_appl_custom_body] = STATE(708),
        [sym_annotation_appl_builtin_body] = STATE(708),
        [sym_annotation_appl_id] = STATE(704),
        [sym_annotation_appl_autoid] = STATE(704),
        [sym_annotation_appl_optional] = STATE(704),
        [sym_annotation_appl_position] = STATE(704),
        [sym_annotation_appl_value] = STATE(704),
        [sym_annotation_appl_extensibility] = STATE(704),
        [sym_annotation_appl_final] = STATE(704),
        [sym_annotation_appl_appendable] = STATE(704),
        [sym_annotation_appl_mutable] = STATE(704),
        [sym_annotation_appl_key] = STATE(704),
        [sym_annotation_appl_must_understand] = STATE(704),
        [sym_annotation_appl_default_literal] = STATE(704),
        [sym_annotation_appl_default] = STATE(704),
        [sym_annotation_appl_range] = STATE(704),
        [sym_annotation_appl_min] = STATE(704),
        [sym_annotation_appl_max] = STATE(704),
        [sym_annotation_appl_unit] = STATE(704),
        [sym_annotation_appl_bit_bound] = STATE(704),
        [sym_annotation_appl_external] = STATE(704),
        [sym_annotation_appl_nested] = STATE(704),
        [sym_annotation_appl_verbatim] = STATE(704),
        [sym_annotation_appl_service] = STATE(704),
        [sym_annotation_appl_oneway] = STATE(704),
        [sym_annotation_appl_ami] = STATE(704),
        [sym_annotation_appl_hashid] = STATE(704),
        [sym_annotation_appl_default_nested] = STATE(704),
        [sym_annotation_appl_ignore_literal_names] = STATE(704),
        [sym_annotation_appl_try_construct] = STATE(704),
        [sym_try_construct_fail_action] = STATE(704),
        [sym_annotation_appl_non_serialized] = STATE(704),
        [sym_annotation_appl_data_representation] = STATE(704),
        [sym_data_representation_mask] = STATE(704),
        [sym_annotation_appl_topic] = STATE(704),
        [sym_comment] = STATE(34),
        [anon_sym_COLON_COLON] = ACTIONS(958),
        [aux_sym_annotation_appl_id_token1] = ACTIONS(960),
        [aux_sym_annotation_appl_autoid_token1] = ACTIONS(962),
        [aux_sym_annotation_appl_optional_token1] = ACTIONS(964),
        [aux_sym_annotation_appl_position_token1] = ACTIONS(966),
        [aux_sym_annotation_appl_value_token1] = ACTIONS(968),
        [aux_sym_annotation_appl_extensibility_token1] = ACTIONS(970),
        [aux_sym_annotation_appl_final_token1] = ACTIONS(972),
        [aux_sym_annotation_appl_appendable_token1] = ACTIONS(974),
        [aux_sym_annotation_appl_mutable_token1] = ACTIONS(976),
        [aux_sym_annotation_appl_key_token1] = ACTIONS(978),
        [aux_sym_annotation_appl_must_understand_token1] = ACTIONS(980),
        [aux_sym_annotation_appl_default_literal_token1] = ACTIONS(982),
        [aux_sym_annotation_appl_default_token1] = ACTIONS(984),
        [aux_sym_annotation_appl_range_token1] = ACTIONS(986),
        [aux_sym_min_expr_token1] = ACTIONS(988),
        [aux_sym_max_expr_token1] = ACTIONS(990),
        [aux_sym_annotation_appl_unit_token1] = ACTIONS(992),
        [aux_sym_annotation_appl_bit_bound_token1] = ACTIONS(994),
        [aux_sym_annotation_appl_external_token1] = ACTIONS(996),
        [aux_sym_annotation_appl_nested_token1] = ACTIONS(998),
        [aux_sym_annotation_appl_verbatim_token1] = ACTIONS(1000),
        [aux_sym_annotation_appl_service_token1] = ACTIONS(1002),
        [aux_sym_annotation_appl_oneway_token1] = ACTIONS(1004),
        [aux_sym_annotation_appl_ami_token1] = ACTIONS(1006),
        [anon_sym_hashid] = ACTIONS(1008),
        [aux_sym_annotation_appl_default_nested_token1] = ACTIONS(1010),
        [aux_sym_annotation_appl_ignore_literal_names_token1] = ACTIONS(1012),
        [aux_sym_annotation_appl_try_construct_token1] = ACTIONS(1014),
        [aux_sym_try_construct_fail_action_token1] = ACTIONS(1016),
        [aux_sym_try_construct_fail_action_token2] = ACTIONS(1016),
        [aux_sym_try_construct_fail_action_token3] = ACTIONS(1016),
        [aux_sym_annotation_appl_non_serialized_token1] = ACTIONS(1018),
        [aux_sym_annotation_appl_data_representation_token1] = ACTIONS(1020),
        [aux_sym_data_representation_mask_token1] = ACTIONS(1022),
        [aux_sym_data_representation_mask_token2] = ACTIONS(1022),
        [aux_sym_data_representation_mask_token3] = ACTIONS(1022),
        [aux_sym_data_representation_mask_token4] = ACTIONS(1022),
        [aux_sym_annotation_appl_topic_token1] = ACTIONS(1024),
        [sym_identifier] = ACTIONS(1026),
        [anon_sym_SLASH_SLASH] = ACTIONS(614),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [35] = {
        [sym_scoped_name] = STATE(346),
        [sym_annotation_appl_custom_body] = STATE(400),
        [sym_annotation_appl_builtin_body] = STATE(400),
        [sym_annotation_appl_id] = STATE(376),
        [sym_annotation_appl_autoid] = STATE(376),
        [sym_annotation_appl_optional] = STATE(376),
        [sym_annotation_appl_position] = STATE(376),
        [sym_annotation_appl_value] = STATE(376),
        [sym_annotation_appl_extensibility] = STATE(376),
        [sym_annotation_appl_final] = STATE(376),
        [sym_annotation_appl_appendable] = STATE(376),
        [sym_annotation_appl_mutable] = STATE(376),
        [sym_annotation_appl_key] = STATE(376),
        [sym_annotation_appl_must_understand] = STATE(376),
        [sym_annotation_appl_default_literal] = STATE(376),
        [sym_annotation_appl_default] = STATE(376),
        [sym_annotation_appl_range] = STATE(376),
        [sym_annotation_appl_min] = STATE(376),
        [sym_annotation_appl_max] = STATE(376),
        [sym_annotation_appl_unit] = STATE(376),
        [sym_annotation_appl_bit_bound] = STATE(376),
        [sym_annotation_appl_external] = STATE(376),
        [sym_annotation_appl_nested] = STATE(376),
        [sym_annotation_appl_verbatim] = STATE(376),
        [sym_annotation_appl_service] = STATE(376),
        [sym_annotation_appl_oneway] = STATE(376),
        [sym_annotation_appl_ami] = STATE(376),
        [sym_annotation_appl_hashid] = STATE(376),
        [sym_annotation_appl_default_nested] = STATE(376),
        [sym_annotation_appl_ignore_literal_names] = STATE(376),
        [sym_annotation_appl_try_construct] = STATE(376),
        [sym_try_construct_fail_action] = STATE(376),
        [sym_annotation_appl_non_serialized] = STATE(376),
        [sym_annotation_appl_data_representation] = STATE(376),
        [sym_data_representation_mask] = STATE(376),
        [sym_annotation_appl_topic] = STATE(376),
        [sym_comment] = STATE(35),
        [anon_sym_COLON_COLON] = ACTIONS(1028),
        [aux_sym_annotation_appl_id_token1] = ACTIONS(1030),
        [aux_sym_annotation_appl_autoid_token1] = ACTIONS(1032),
        [aux_sym_annotation_appl_optional_token1] = ACTIONS(1034),
        [aux_sym_annotation_appl_position_token1] = ACTIONS(1036),
        [aux_sym_annotation_appl_value_token1] = ACTIONS(1038),
        [aux_sym_annotation_appl_extensibility_token1] = ACTIONS(1040),
        [aux_sym_annotation_appl_final_token1] = ACTIONS(1042),
        [aux_sym_annotation_appl_appendable_token1] = ACTIONS(1044),
        [aux_sym_annotation_appl_mutable_token1] = ACTIONS(1046),
        [aux_sym_annotation_appl_key_token1] = ACTIONS(1048),
        [aux_sym_annotation_appl_must_understand_token1] = ACTIONS(1050),
        [aux_sym_annotation_appl_default_literal_token1] = ACTIONS(1052),
        [aux_sym_annotation_appl_default_token1] = ACTIONS(1054),
        [aux_sym_annotation_appl_range_token1] = ACTIONS(1056),
        [aux_sym_min_expr_token1] = ACTIONS(1058),
        [aux_sym_max_expr_token1] = ACTIONS(1060),
        [aux_sym_annotation_appl_unit_token1] = ACTIONS(1062),
        [aux_sym_annotation_appl_bit_bound_token1] = ACTIONS(1064),
        [aux_sym_annotation_appl_external_token1] = ACTIONS(1066),
        [aux_sym_annotation_appl_nested_token1] = ACTIONS(1068),
        [aux_sym_annotation_appl_verbatim_token1] = ACTIONS(1070),
        [aux_sym_annotation_appl_service_token1] = ACTIONS(1072),
        [aux_sym_annotation_appl_oneway_token1] = ACTIONS(1074),
        [aux_sym_annotation_appl_ami_token1] = ACTIONS(1076),
        [anon_sym_hashid] = ACTIONS(1078),
        [aux_sym_annotation_appl_default_nested_token1] = ACTIONS(1080),
        [aux_sym_annotation_appl_ignore_literal_names_token1] = ACTIONS(1082),
        [aux_sym_annotation_appl_try_construct_token1] = ACTIONS(1084),
        [aux_sym_try_construct_fail_action_token1] = ACTIONS(1086),
        [aux_sym_try_construct_fail_action_token2] = ACTIONS(1086),
        [aux_sym_try_construct_fail_action_token3] = ACTIONS(1086),
        [aux_sym_annotation_appl_non_serialized_token1] = ACTIONS(1088),
        [aux_sym_annotation_appl_data_representation_token1] = ACTIONS(1090),
        [aux_sym_data_representation_mask_token1] = ACTIONS(1092),
        [aux_sym_data_representation_mask_token2] = ACTIONS(1092),
        [aux_sym_data_representation_mask_token3] = ACTIONS(1092),
        [aux_sym_data_representation_mask_token4] = ACTIONS(1092),
        [aux_sym_annotation_appl_topic_token1] = ACTIONS(1094),
        [sym_identifier] = ACTIONS(1096),
        [anon_sym_SLASH_SLASH] = ACTIONS(614),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [36] = {
        [sym_scoped_name] = STATE(220),
        [sym_annotation_appl_custom_body] = STATE(249),
        [sym_annotation_appl_builtin_body] = STATE(249),
        [sym_annotation_appl_id] = STATE(256),
        [sym_annotation_appl_autoid] = STATE(256),
        [sym_annotation_appl_optional] = STATE(256),
        [sym_annotation_appl_position] = STATE(256),
        [sym_annotation_appl_value] = STATE(256),
        [sym_annotation_appl_extensibility] = STATE(256),
        [sym_annotation_appl_final] = STATE(256),
        [sym_annotation_appl_appendable] = STATE(256),
        [sym_annotation_appl_mutable] = STATE(256),
        [sym_annotation_appl_key] = STATE(256),
        [sym_annotation_appl_must_understand] = STATE(256),
        [sym_annotation_appl_default_literal] = STATE(256),
        [sym_annotation_appl_default] = STATE(256),
        [sym_annotation_appl_range] = STATE(256),
        [sym_annotation_appl_min] = STATE(256),
        [sym_annotation_appl_max] = STATE(256),
        [sym_annotation_appl_unit] = STATE(256),
        [sym_annotation_appl_bit_bound] = STATE(256),
        [sym_annotation_appl_external] = STATE(256),
        [sym_annotation_appl_nested] = STATE(256),
        [sym_annotation_appl_verbatim] = STATE(256),
        [sym_annotation_appl_service] = STATE(256),
        [sym_annotation_appl_oneway] = STATE(256),
        [sym_annotation_appl_ami] = STATE(256),
        [sym_annotation_appl_hashid] = STATE(256),
        [sym_annotation_appl_default_nested] = STATE(256),
        [sym_annotation_appl_ignore_literal_names] = STATE(256),
        [sym_annotation_appl_try_construct] = STATE(256),
        [sym_try_construct_fail_action] = STATE(256),
        [sym_annotation_appl_non_serialized] = STATE(256),
        [sym_annotation_appl_data_representation] = STATE(256),
        [sym_data_representation_mask] = STATE(256),
        [sym_annotation_appl_topic] = STATE(256),
        [sym_comment] = STATE(36),
        [anon_sym_COLON_COLON] = ACTIONS(1098),
        [aux_sym_annotation_appl_id_token1] = ACTIONS(1100),
        [aux_sym_annotation_appl_autoid_token1] = ACTIONS(1102),
        [aux_sym_annotation_appl_optional_token1] = ACTIONS(1104),
        [aux_sym_annotation_appl_position_token1] = ACTIONS(1106),
        [aux_sym_annotation_appl_value_token1] = ACTIONS(1108),
        [aux_sym_annotation_appl_extensibility_token1] = ACTIONS(1110),
        [aux_sym_annotation_appl_final_token1] = ACTIONS(1112),
        [aux_sym_annotation_appl_appendable_token1] = ACTIONS(1114),
        [aux_sym_annotation_appl_mutable_token1] = ACTIONS(1116),
        [aux_sym_annotation_appl_key_token1] = ACTIONS(1118),
        [aux_sym_annotation_appl_must_understand_token1] = ACTIONS(1120),
        [aux_sym_annotation_appl_default_literal_token1] = ACTIONS(1122),
        [aux_sym_annotation_appl_default_token1] = ACTIONS(1124),
        [aux_sym_annotation_appl_range_token1] = ACTIONS(1126),
        [aux_sym_min_expr_token1] = ACTIONS(1128),
        [aux_sym_max_expr_token1] = ACTIONS(1130),
        [aux_sym_annotation_appl_unit_token1] = ACTIONS(1132),
        [aux_sym_annotation_appl_bit_bound_token1] = ACTIONS(1134),
        [aux_sym_annotation_appl_external_token1] = ACTIONS(1136),
        [aux_sym_annotation_appl_nested_token1] = ACTIONS(1138),
        [aux_sym_annotation_appl_verbatim_token1] = ACTIONS(1140),
        [aux_sym_annotation_appl_service_token1] = ACTIONS(1142),
        [aux_sym_annotation_appl_oneway_token1] = ACTIONS(1144),
        [aux_sym_annotation_appl_ami_token1] = ACTIONS(1146),
        [anon_sym_hashid] = ACTIONS(1148),
        [aux_sym_annotation_appl_default_nested_token1] = ACTIONS(1150),
        [aux_sym_annotation_appl_ignore_literal_names_token1] = ACTIONS(1152),
        [aux_sym_annotation_appl_try_construct_token1] = ACTIONS(1154),
        [aux_sym_try_construct_fail_action_token1] = ACTIONS(1156),
        [aux_sym_try_construct_fail_action_token2] = ACTIONS(1156),
        [aux_sym_try_construct_fail_action_token3] = ACTIONS(1156),
        [aux_sym_annotation_appl_non_serialized_token1] = ACTIONS(1158),
        [aux_sym_annotation_appl_data_representation_token1] = ACTIONS(1160),
        [aux_sym_data_representation_mask_token1] = ACTIONS(1162),
        [aux_sym_data_representation_mask_token2] = ACTIONS(1162),
        [aux_sym_data_representation_mask_token3] = ACTIONS(1162),
        [aux_sym_data_representation_mask_token4] = ACTIONS(1162),
        [aux_sym_annotation_appl_topic_token1] = ACTIONS(1164),
        [sym_identifier] = ACTIONS(1166),
        [anon_sym_SLASH_SLASH] = ACTIONS(614),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [37] = {
        [sym_scoped_name] = STATE(494),
        [sym_annotation_appl_custom_body] = STATE(475),
        [sym_annotation_appl_builtin_body] = STATE(475),
        [sym_annotation_appl_id] = STATE(704),
        [sym_annotation_appl_autoid] = STATE(704),
        [sym_annotation_appl_optional] = STATE(704),
        [sym_annotation_appl_position] = STATE(704),
        [sym_annotation_appl_value] = STATE(704),
        [sym_annotation_appl_extensibility] = STATE(704),
        [sym_annotation_appl_final] = STATE(704),
        [sym_annotation_appl_appendable] = STATE(704),
        [sym_annotation_appl_mutable] = STATE(704),
        [sym_annotation_appl_key] = STATE(704),
        [sym_annotation_appl_must_understand] = STATE(704),
        [sym_annotation_appl_default_literal] = STATE(704),
        [sym_annotation_appl_default] = STATE(704),
        [sym_annotation_appl_range] = STATE(704),
        [sym_annotation_appl_min] = STATE(704),
        [sym_annotation_appl_max] = STATE(704),
        [sym_annotation_appl_unit] = STATE(704),
        [sym_annotation_appl_bit_bound] = STATE(704),
        [sym_annotation_appl_external] = STATE(704),
        [sym_annotation_appl_nested] = STATE(704),
        [sym_annotation_appl_verbatim] = STATE(704),
        [sym_annotation_appl_service] = STATE(704),
        [sym_annotation_appl_oneway] = STATE(704),
        [sym_annotation_appl_ami] = STATE(704),
        [sym_annotation_appl_hashid] = STATE(704),
        [sym_annotation_appl_default_nested] = STATE(704),
        [sym_annotation_appl_ignore_literal_names] = STATE(704),
        [sym_annotation_appl_try_construct] = STATE(704),
        [sym_try_construct_fail_action] = STATE(704),
        [sym_annotation_appl_non_serialized] = STATE(704),
        [sym_annotation_appl_data_representation] = STATE(704),
        [sym_data_representation_mask] = STATE(704),
        [sym_annotation_appl_topic] = STATE(704),
        [sym_comment] = STATE(37),
        [anon_sym_COLON_COLON] = ACTIONS(958),
        [aux_sym_annotation_appl_id_token1] = ACTIONS(960),
        [aux_sym_annotation_appl_autoid_token1] = ACTIONS(962),
        [aux_sym_annotation_appl_optional_token1] = ACTIONS(964),
        [aux_sym_annotation_appl_position_token1] = ACTIONS(966),
        [aux_sym_annotation_appl_value_token1] = ACTIONS(968),
        [aux_sym_annotation_appl_extensibility_token1] = ACTIONS(970),
        [aux_sym_annotation_appl_final_token1] = ACTIONS(972),
        [aux_sym_annotation_appl_appendable_token1] = ACTIONS(974),
        [aux_sym_annotation_appl_mutable_token1] = ACTIONS(976),
        [aux_sym_annotation_appl_key_token1] = ACTIONS(978),
        [aux_sym_annotation_appl_must_understand_token1] = ACTIONS(980),
        [aux_sym_annotation_appl_default_literal_token1] = ACTIONS(982),
        [aux_sym_annotation_appl_default_token1] = ACTIONS(984),
        [aux_sym_annotation_appl_range_token1] = ACTIONS(986),
        [aux_sym_min_expr_token1] = ACTIONS(988),
        [aux_sym_max_expr_token1] = ACTIONS(990),
        [aux_sym_annotation_appl_unit_token1] = ACTIONS(992),
        [aux_sym_annotation_appl_bit_bound_token1] = ACTIONS(994),
        [aux_sym_annotation_appl_external_token1] = ACTIONS(996),
        [aux_sym_annotation_appl_nested_token1] = ACTIONS(998),
        [aux_sym_annotation_appl_verbatim_token1] = ACTIONS(1000),
        [aux_sym_annotation_appl_service_token1] = ACTIONS(1002),
        [aux_sym_annotation_appl_oneway_token1] = ACTIONS(1004),
        [aux_sym_annotation_appl_ami_token1] = ACTIONS(1006),
        [anon_sym_hashid] = ACTIONS(1008),
        [aux_sym_annotation_appl_default_nested_token1] = ACTIONS(1010),
        [aux_sym_annotation_appl_ignore_literal_names_token1] = ACTIONS(1012),
        [aux_sym_annotation_appl_try_construct_token1] = ACTIONS(1014),
        [aux_sym_try_construct_fail_action_token1] = ACTIONS(1016),
        [aux_sym_try_construct_fail_action_token2] = ACTIONS(1016),
        [aux_sym_try_construct_fail_action_token3] = ACTIONS(1016),
        [aux_sym_annotation_appl_non_serialized_token1] = ACTIONS(1018),
        [aux_sym_annotation_appl_data_representation_token1] = ACTIONS(1020),
        [aux_sym_data_representation_mask_token1] = ACTIONS(1022),
        [aux_sym_data_representation_mask_token2] = ACTIONS(1022),
        [aux_sym_data_representation_mask_token3] = ACTIONS(1022),
        [aux_sym_data_representation_mask_token4] = ACTIONS(1022),
        [aux_sym_annotation_appl_topic_token1] = ACTIONS(1024),
        [sym_identifier] = ACTIONS(1026),
        [anon_sym_SLASH_SLASH] = ACTIONS(614),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [38] = {
        [sym_scoped_name] = STATE(494),
        [sym_annotation_appl_custom_body] = STATE(468),
        [sym_annotation_appl_builtin_body] = STATE(468),
        [sym_annotation_appl_id] = STATE(704),
        [sym_annotation_appl_autoid] = STATE(704),
        [sym_annotation_appl_optional] = STATE(704),
        [sym_annotation_appl_position] = STATE(704),
        [sym_annotation_appl_value] = STATE(704),
        [sym_annotation_appl_extensibility] = STATE(704),
        [sym_annotation_appl_final] = STATE(704),
        [sym_annotation_appl_appendable] = STATE(704),
        [sym_annotation_appl_mutable] = STATE(704),
        [sym_annotation_appl_key] = STATE(704),
        [sym_annotation_appl_must_understand] = STATE(704),
        [sym_annotation_appl_default_literal] = STATE(704),
        [sym_annotation_appl_default] = STATE(704),
        [sym_annotation_appl_range] = STATE(704),
        [sym_annotation_appl_min] = STATE(704),
        [sym_annotation_appl_max] = STATE(704),
        [sym_annotation_appl_unit] = STATE(704),
        [sym_annotation_appl_bit_bound] = STATE(704),
        [sym_annotation_appl_external] = STATE(704),
        [sym_annotation_appl_nested] = STATE(704),
        [sym_annotation_appl_verbatim] = STATE(704),
        [sym_annotation_appl_service] = STATE(704),
        [sym_annotation_appl_oneway] = STATE(704),
        [sym_annotation_appl_ami] = STATE(704),
        [sym_annotation_appl_hashid] = STATE(704),
        [sym_annotation_appl_default_nested] = STATE(704),
        [sym_annotation_appl_ignore_literal_names] = STATE(704),
        [sym_annotation_appl_try_construct] = STATE(704),
        [sym_try_construct_fail_action] = STATE(704),
        [sym_annotation_appl_non_serialized] = STATE(704),
        [sym_annotation_appl_data_representation] = STATE(704),
        [sym_data_representation_mask] = STATE(704),
        [sym_annotation_appl_topic] = STATE(704),
        [sym_comment] = STATE(38),
        [anon_sym_COLON_COLON] = ACTIONS(958),
        [aux_sym_annotation_appl_id_token1] = ACTIONS(960),
        [aux_sym_annotation_appl_autoid_token1] = ACTIONS(962),
        [aux_sym_annotation_appl_optional_token1] = ACTIONS(964),
        [aux_sym_annotation_appl_position_token1] = ACTIONS(966),
        [aux_sym_annotation_appl_value_token1] = ACTIONS(968),
        [aux_sym_annotation_appl_extensibility_token1] = ACTIONS(970),
        [aux_sym_annotation_appl_final_token1] = ACTIONS(972),
        [aux_sym_annotation_appl_appendable_token1] = ACTIONS(974),
        [aux_sym_annotation_appl_mutable_token1] = ACTIONS(976),
        [aux_sym_annotation_appl_key_token1] = ACTIONS(978),
        [aux_sym_annotation_appl_must_understand_token1] = ACTIONS(980),
        [aux_sym_annotation_appl_default_literal_token1] = ACTIONS(982),
        [aux_sym_annotation_appl_default_token1] = ACTIONS(984),
        [aux_sym_annotation_appl_range_token1] = ACTIONS(986),
        [aux_sym_min_expr_token1] = ACTIONS(988),
        [aux_sym_max_expr_token1] = ACTIONS(990),
        [aux_sym_annotation_appl_unit_token1] = ACTIONS(992),
        [aux_sym_annotation_appl_bit_bound_token1] = ACTIONS(994),
        [aux_sym_annotation_appl_external_token1] = ACTIONS(996),
        [aux_sym_annotation_appl_nested_token1] = ACTIONS(998),
        [aux_sym_annotation_appl_verbatim_token1] = ACTIONS(1000),
        [aux_sym_annotation_appl_service_token1] = ACTIONS(1002),
        [aux_sym_annotation_appl_oneway_token1] = ACTIONS(1004),
        [aux_sym_annotation_appl_ami_token1] = ACTIONS(1006),
        [anon_sym_hashid] = ACTIONS(1008),
        [aux_sym_annotation_appl_default_nested_token1] = ACTIONS(1010),
        [aux_sym_annotation_appl_ignore_literal_names_token1] = ACTIONS(1012),
        [aux_sym_annotation_appl_try_construct_token1] = ACTIONS(1014),
        [aux_sym_try_construct_fail_action_token1] = ACTIONS(1016),
        [aux_sym_try_construct_fail_action_token2] = ACTIONS(1016),
        [aux_sym_try_construct_fail_action_token3] = ACTIONS(1016),
        [aux_sym_annotation_appl_non_serialized_token1] = ACTIONS(1018),
        [aux_sym_annotation_appl_data_representation_token1] = ACTIONS(1020),
        [aux_sym_data_representation_mask_token1] = ACTIONS(1022),
        [aux_sym_data_representation_mask_token2] = ACTIONS(1022),
        [aux_sym_data_representation_mask_token3] = ACTIONS(1022),
        [aux_sym_data_representation_mask_token4] = ACTIONS(1022),
        [aux_sym_annotation_appl_topic_token1] = ACTIONS(1024),
        [sym_identifier] = ACTIONS(1026),
        [anon_sym_SLASH_SLASH] = ACTIONS(614),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [39] = {
        [sym_scoped_name] = STATE(494),
        [sym_annotation_appl_custom_body] = STATE(459),
        [sym_annotation_appl_builtin_body] = STATE(459),
        [sym_annotation_appl_id] = STATE(704),
        [sym_annotation_appl_autoid] = STATE(704),
        [sym_annotation_appl_optional] = STATE(704),
        [sym_annotation_appl_position] = STATE(704),
        [sym_annotation_appl_value] = STATE(704),
        [sym_annotation_appl_extensibility] = STATE(704),
        [sym_annotation_appl_final] = STATE(704),
        [sym_annotation_appl_appendable] = STATE(704),
        [sym_annotation_appl_mutable] = STATE(704),
        [sym_annotation_appl_key] = STATE(704),
        [sym_annotation_appl_must_understand] = STATE(704),
        [sym_annotation_appl_default_literal] = STATE(704),
        [sym_annotation_appl_default] = STATE(704),
        [sym_annotation_appl_range] = STATE(704),
        [sym_annotation_appl_min] = STATE(704),
        [sym_annotation_appl_max] = STATE(704),
        [sym_annotation_appl_unit] = STATE(704),
        [sym_annotation_appl_bit_bound] = STATE(704),
        [sym_annotation_appl_external] = STATE(704),
        [sym_annotation_appl_nested] = STATE(704),
        [sym_annotation_appl_verbatim] = STATE(704),
        [sym_annotation_appl_service] = STATE(704),
        [sym_annotation_appl_oneway] = STATE(704),
        [sym_annotation_appl_ami] = STATE(704),
        [sym_annotation_appl_hashid] = STATE(704),
        [sym_annotation_appl_default_nested] = STATE(704),
        [sym_annotation_appl_ignore_literal_names] = STATE(704),
        [sym_annotation_appl_try_construct] = STATE(704),
        [sym_try_construct_fail_action] = STATE(704),
        [sym_annotation_appl_non_serialized] = STATE(704),
        [sym_annotation_appl_data_representation] = STATE(704),
        [sym_data_representation_mask] = STATE(704),
        [sym_annotation_appl_topic] = STATE(704),
        [sym_comment] = STATE(39),
        [anon_sym_COLON_COLON] = ACTIONS(958),
        [aux_sym_annotation_appl_id_token1] = ACTIONS(960),
        [aux_sym_annotation_appl_autoid_token1] = ACTIONS(962),
        [aux_sym_annotation_appl_optional_token1] = ACTIONS(964),
        [aux_sym_annotation_appl_position_token1] = ACTIONS(966),
        [aux_sym_annotation_appl_value_token1] = ACTIONS(968),
        [aux_sym_annotation_appl_extensibility_token1] = ACTIONS(970),
        [aux_sym_annotation_appl_final_token1] = ACTIONS(972),
        [aux_sym_annotation_appl_appendable_token1] = ACTIONS(974),
        [aux_sym_annotation_appl_mutable_token1] = ACTIONS(976),
        [aux_sym_annotation_appl_key_token1] = ACTIONS(978),
        [aux_sym_annotation_appl_must_understand_token1] = ACTIONS(980),
        [aux_sym_annotation_appl_default_literal_token1] = ACTIONS(982),
        [aux_sym_annotation_appl_default_token1] = ACTIONS(984),
        [aux_sym_annotation_appl_range_token1] = ACTIONS(986),
        [aux_sym_min_expr_token1] = ACTIONS(988),
        [aux_sym_max_expr_token1] = ACTIONS(990),
        [aux_sym_annotation_appl_unit_token1] = ACTIONS(992),
        [aux_sym_annotation_appl_bit_bound_token1] = ACTIONS(994),
        [aux_sym_annotation_appl_external_token1] = ACTIONS(996),
        [aux_sym_annotation_appl_nested_token1] = ACTIONS(998),
        [aux_sym_annotation_appl_verbatim_token1] = ACTIONS(1000),
        [aux_sym_annotation_appl_service_token1] = ACTIONS(1002),
        [aux_sym_annotation_appl_oneway_token1] = ACTIONS(1004),
        [aux_sym_annotation_appl_ami_token1] = ACTIONS(1006),
        [anon_sym_hashid] = ACTIONS(1008),
        [aux_sym_annotation_appl_default_nested_token1] = ACTIONS(1010),
        [aux_sym_annotation_appl_ignore_literal_names_token1] = ACTIONS(1012),
        [aux_sym_annotation_appl_try_construct_token1] = ACTIONS(1014),
        [aux_sym_try_construct_fail_action_token1] = ACTIONS(1016),
        [aux_sym_try_construct_fail_action_token2] = ACTIONS(1016),
        [aux_sym_try_construct_fail_action_token3] = ACTIONS(1016),
        [aux_sym_annotation_appl_non_serialized_token1] = ACTIONS(1018),
        [aux_sym_annotation_appl_data_representation_token1] = ACTIONS(1020),
        [aux_sym_data_representation_mask_token1] = ACTIONS(1022),
        [aux_sym_data_representation_mask_token2] = ACTIONS(1022),
        [aux_sym_data_representation_mask_token3] = ACTIONS(1022),
        [aux_sym_data_representation_mask_token4] = ACTIONS(1022),
        [aux_sym_annotation_appl_topic_token1] = ACTIONS(1024),
        [sym_identifier] = ACTIONS(1026),
        [anon_sym_SLASH_SLASH] = ACTIONS(614),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [40] = {
        [sym_signed_short_int] = STATE(487),
        [sym_signed_long_int] = STATE(487),
        [sym_signed_longlong_int] = STATE(487),
        [sym_unsigned_int] = STATE(507),
        [sym_integer_type] = STATE(593),
        [sym_signed_int] = STATE(507),
        [sym_unsigned_short_int] = STATE(484),
        [sym_unsigned_long_int] = STATE(484),
        [sym_unsigned_longlong_int] = STATE(484),
        [sym_floating_pt_type] = STATE(593),
        [sym_scoped_name] = STATE(512),
        [sym_string_type] = STATE(614),
        [sym_wide_string_type] = STATE(614),
        [sym_simple_type_spec] = STATE(514),
        [sym_base_type_spec] = STATE(522),
        [sym_any_type] = STATE(593),
        [sym_fixed_pt_type] = STATE(614),
        [sym_template_type_spec] = STATE(514),
        [sym_sequence_type] = STATE(614),
        [sym_map_type] = STATE(614),
        [sym_bitset_dcl] = STATE(966),
        [sym_bitmask_dcl] = STATE(966),
        [sym_type_declarator] = STATE(1266),
        [sym_enum_dcl] = STATE(966),
        [sym_union_dcl] = STATE(966),
        [sym_union_forward_dcl] = STATE(959),
        [sym_union_def] = STATE(959),
        [sym_object_type] = STATE(593),
        [sym_constr_type_dcl] = STATE(514),
        [sym_struct_dcl] = STATE(966),
        [sym_struct_forward_dcl] = STATE(957),
        [sym_struct_def] = STATE(957),
        [sym_comment] = STATE(40),
        [anon_sym_short] = ACTIONS(67),
        [anon_sym_int16] = ACTIONS(67),
        [anon_sym_long] = ACTIONS(69),
        [anon_sym_int32] = ACTIONS(69),
        [anon_sym_longlong] = ACTIONS(71),
        [anon_sym_int64] = ACTIONS(73),
        [sym_unsigned_tiny_int] = ACTIONS(75),
        [sym_boolean_type] = ACTIONS(77),
        [anon_sym_fixed] = ACTIONS(79),
        [sym_octet_type] = ACTIONS(77),
        [sym_signed_tiny_int] = ACTIONS(81),
        [anon_sym_unsignedshort] = ACTIONS(83),
        [anon_sym_uint16] = ACTIONS(85),
        [anon_sym_unsignedlong] = ACTIONS(87),
        [anon_sym_uint32] = ACTIONS(87),
        [anon_sym_unsignedlonglong] = ACTIONS(89),
        [anon_sym_uint64] = ACTIONS(91),
        [anon_sym_float] = ACTIONS(93),
        [anon_sym_double] = ACTIONS(93),
        [anon_sym_longdouble] = ACTIONS(95),
        [sym_char_type] = ACTIONS(77),
        [sym_wide_char_type] = ACTIONS(77),
        [anon_sym_COLON_COLON] = ACTIONS(97),
        [anon_sym_string] = ACTIONS(99),
        [anon_sym_wstring] = ACTIONS(101),
        [anon_sym_any] = ACTIONS(103),
        [anon_sym_sequence] = ACTIONS(105),
        [anon_sym_map] = ACTIONS(107),
        [anon_sym_bitset] = ACTIONS(121),
        [anon_sym_bitmask] = ACTIONS(123),
        [anon_sym_struct] = ACTIONS(129),
        [anon_sym_union] = ACTIONS(131),
        [anon_sym_enum] = ACTIONS(133),
        [anon_sym_Object] = ACTIONS(149),
        [sym_value_base_type] = ACTIONS(77),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(614),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
};

static const uint16_t ts_small_parse_table[] = {
    [0] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_longlong,
    ACTIONS(73),
    1,
    anon_sym_int64,
    ACTIONS(75),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(79),
    1,
    anon_sym_fixed,
    ACTIONS(81),
    1,
    sym_signed_tiny_int,
    ACTIONS(83),
    1,
    anon_sym_unsignedshort,
    ACTIONS(85),
    1,
    anon_sym_uint16,
    ACTIONS(89),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(91),
    1,
    anon_sym_uint64,
    ACTIONS(95),
    1,
    anon_sym_longdouble,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(99),
    1,
    anon_sym_string,
    ACTIONS(101),
    1,
    anon_sym_wstring,
    ACTIONS(103),
    1,
    anon_sym_any,
    ACTIONS(105),
    1,
    anon_sym_sequence,
    ACTIONS(107),
    1,
    anon_sym_map,
    ACTIONS(149),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(882),
    1,
    anon_sym_AT,
    ACTIONS(884),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1168),
    1,
    anon_sym_RBRACE,
    STATE(41),
    1,
    sym_comment,
    STATE(43),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(51),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(218),
    1,
    sym_member,
    STATE(271),
    1,
    sym_extend_annotation_appl,
    STATE(282),
    1,
    sym_annotation_appl,
    STATE(480),
    1,
    sym_type_spec,
    STATE(512),
    1,
    sym_scoped_name,
    STATE(522),
    1,
    sym_base_type_spec,
    ACTIONS(67),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(69),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(87),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(93),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(590),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(593),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(77),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(614),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [151] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_longlong,
    ACTIONS(73),
    1,
    anon_sym_int64,
    ACTIONS(75),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(79),
    1,
    anon_sym_fixed,
    ACTIONS(81),
    1,
    sym_signed_tiny_int,
    ACTIONS(83),
    1,
    anon_sym_unsignedshort,
    ACTIONS(85),
    1,
    anon_sym_uint16,
    ACTIONS(89),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(91),
    1,
    anon_sym_uint64,
    ACTIONS(95),
    1,
    anon_sym_longdouble,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(99),
    1,
    anon_sym_string,
    ACTIONS(101),
    1,
    anon_sym_wstring,
    ACTIONS(103),
    1,
    anon_sym_any,
    ACTIONS(105),
    1,
    anon_sym_sequence,
    ACTIONS(107),
    1,
    anon_sym_map,
    ACTIONS(149),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(882),
    1,
    anon_sym_AT,
    ACTIONS(884),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1170),
    1,
    anon_sym_RBRACE,
    STATE(42),
    1,
    sym_comment,
    STATE(45),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(51),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(218),
    1,
    sym_member,
    STATE(271),
    1,
    sym_extend_annotation_appl,
    STATE(282),
    1,
    sym_annotation_appl,
    STATE(480),
    1,
    sym_type_spec,
    STATE(512),
    1,
    sym_scoped_name,
    STATE(522),
    1,
    sym_base_type_spec,
    ACTIONS(67),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(69),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(87),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(93),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(590),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(593),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(77),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(614),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [302] = 42,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1178),
    1,
    anon_sym_longlong,
    ACTIONS(1181),
    1,
    anon_sym_int64,
    ACTIONS(1184),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(1190),
    1,
    anon_sym_fixed,
    ACTIONS(1193),
    1,
    sym_signed_tiny_int,
    ACTIONS(1196),
    1,
    anon_sym_unsignedshort,
    ACTIONS(1199),
    1,
    anon_sym_uint16,
    ACTIONS(1205),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(1208),
    1,
    anon_sym_uint64,
    ACTIONS(1214),
    1,
    anon_sym_longdouble,
    ACTIONS(1217),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1220),
    1,
    anon_sym_string,
    ACTIONS(1223),
    1,
    anon_sym_wstring,
    ACTIONS(1226),
    1,
    anon_sym_any,
    ACTIONS(1229),
    1,
    anon_sym_sequence,
    ACTIONS(1232),
    1,
    anon_sym_map,
    ACTIONS(1235),
    1,
    anon_sym_RBRACE,
    ACTIONS(1237),
    1,
    anon_sym_AT,
    ACTIONS(1240),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1243),
    1,
    anon_sym_Object,
    ACTIONS(1246),
    1,
    sym_identifier,
    STATE(51),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(218),
    1,
    sym_member,
    STATE(271),
    1,
    sym_extend_annotation_appl,
    STATE(282),
    1,
    sym_annotation_appl,
    STATE(480),
    1,
    sym_type_spec,
    STATE(512),
    1,
    sym_scoped_name,
    STATE(522),
    1,
    sym_base_type_spec,
    ACTIONS(1172),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(1175),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(1202),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(1211),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(43),
    2,
    sym_comment,
    aux_sym_except_dcl_repeat1,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(590),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(593),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(1187),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(614),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [451] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_longlong,
    ACTIONS(73),
    1,
    anon_sym_int64,
    ACTIONS(75),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(79),
    1,
    anon_sym_fixed,
    ACTIONS(81),
    1,
    sym_signed_tiny_int,
    ACTIONS(83),
    1,
    anon_sym_unsignedshort,
    ACTIONS(85),
    1,
    anon_sym_uint16,
    ACTIONS(89),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(91),
    1,
    anon_sym_uint64,
    ACTIONS(95),
    1,
    anon_sym_longdouble,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(99),
    1,
    anon_sym_string,
    ACTIONS(101),
    1,
    anon_sym_wstring,
    ACTIONS(103),
    1,
    anon_sym_any,
    ACTIONS(105),
    1,
    anon_sym_sequence,
    ACTIONS(107),
    1,
    anon_sym_map,
    ACTIONS(149),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(882),
    1,
    anon_sym_AT,
    ACTIONS(884),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1249),
    1,
    anon_sym_RBRACE,
    STATE(41),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(44),
    1,
    sym_comment,
    STATE(51),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(218),
    1,
    sym_member,
    STATE(271),
    1,
    sym_extend_annotation_appl,
    STATE(282),
    1,
    sym_annotation_appl,
    STATE(480),
    1,
    sym_type_spec,
    STATE(512),
    1,
    sym_scoped_name,
    STATE(522),
    1,
    sym_base_type_spec,
    ACTIONS(67),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(69),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(87),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(93),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(590),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(593),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(77),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(614),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [602] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_longlong,
    ACTIONS(73),
    1,
    anon_sym_int64,
    ACTIONS(75),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(79),
    1,
    anon_sym_fixed,
    ACTIONS(81),
    1,
    sym_signed_tiny_int,
    ACTIONS(83),
    1,
    anon_sym_unsignedshort,
    ACTIONS(85),
    1,
    anon_sym_uint16,
    ACTIONS(89),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(91),
    1,
    anon_sym_uint64,
    ACTIONS(95),
    1,
    anon_sym_longdouble,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(99),
    1,
    anon_sym_string,
    ACTIONS(101),
    1,
    anon_sym_wstring,
    ACTIONS(103),
    1,
    anon_sym_any,
    ACTIONS(105),
    1,
    anon_sym_sequence,
    ACTIONS(107),
    1,
    anon_sym_map,
    ACTIONS(149),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(882),
    1,
    anon_sym_AT,
    ACTIONS(884),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1251),
    1,
    anon_sym_RBRACE,
    STATE(43),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(45),
    1,
    sym_comment,
    STATE(51),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(218),
    1,
    sym_member,
    STATE(271),
    1,
    sym_extend_annotation_appl,
    STATE(282),
    1,
    sym_annotation_appl,
    STATE(480),
    1,
    sym_type_spec,
    STATE(512),
    1,
    sym_scoped_name,
    STATE(522),
    1,
    sym_base_type_spec,
    ACTIONS(67),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(69),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(87),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(93),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(590),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(593),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(77),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(614),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [753] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_longlong,
    ACTIONS(73),
    1,
    anon_sym_int64,
    ACTIONS(75),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(79),
    1,
    anon_sym_fixed,
    ACTIONS(81),
    1,
    sym_signed_tiny_int,
    ACTIONS(83),
    1,
    anon_sym_unsignedshort,
    ACTIONS(85),
    1,
    anon_sym_uint16,
    ACTIONS(89),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(91),
    1,
    anon_sym_uint64,
    ACTIONS(95),
    1,
    anon_sym_longdouble,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(99),
    1,
    anon_sym_string,
    ACTIONS(101),
    1,
    anon_sym_wstring,
    ACTIONS(103),
    1,
    anon_sym_any,
    ACTIONS(105),
    1,
    anon_sym_sequence,
    ACTIONS(107),
    1,
    anon_sym_map,
    ACTIONS(149),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(882),
    1,
    anon_sym_AT,
    ACTIONS(884),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1253),
    1,
    anon_sym_RBRACE,
    STATE(43),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(46),
    1,
    sym_comment,
    STATE(51),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(218),
    1,
    sym_member,
    STATE(271),
    1,
    sym_extend_annotation_appl,
    STATE(282),
    1,
    sym_annotation_appl,
    STATE(480),
    1,
    sym_type_spec,
    STATE(512),
    1,
    sym_scoped_name,
    STATE(522),
    1,
    sym_base_type_spec,
    ACTIONS(67),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(69),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(87),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(93),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(590),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(593),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(77),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(614),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [904] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_longlong,
    ACTIONS(73),
    1,
    anon_sym_int64,
    ACTIONS(75),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(79),
    1,
    anon_sym_fixed,
    ACTIONS(81),
    1,
    sym_signed_tiny_int,
    ACTIONS(83),
    1,
    anon_sym_unsignedshort,
    ACTIONS(85),
    1,
    anon_sym_uint16,
    ACTIONS(89),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(91),
    1,
    anon_sym_uint64,
    ACTIONS(95),
    1,
    anon_sym_longdouble,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(99),
    1,
    anon_sym_string,
    ACTIONS(101),
    1,
    anon_sym_wstring,
    ACTIONS(103),
    1,
    anon_sym_any,
    ACTIONS(105),
    1,
    anon_sym_sequence,
    ACTIONS(107),
    1,
    anon_sym_map,
    ACTIONS(149),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(882),
    1,
    anon_sym_AT,
    ACTIONS(884),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1255),
    1,
    anon_sym_RBRACE,
    STATE(46),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(47),
    1,
    sym_comment,
    STATE(51),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(218),
    1,
    sym_member,
    STATE(271),
    1,
    sym_extend_annotation_appl,
    STATE(282),
    1,
    sym_annotation_appl,
    STATE(480),
    1,
    sym_type_spec,
    STATE(512),
    1,
    sym_scoped_name,
    STATE(522),
    1,
    sym_base_type_spec,
    ACTIONS(67),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(69),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(87),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(93),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(590),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(593),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(77),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(614),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [1055] = 40,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_longlong,
    ACTIONS(73),
    1,
    anon_sym_int64,
    ACTIONS(75),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(79),
    1,
    anon_sym_fixed,
    ACTIONS(81),
    1,
    sym_signed_tiny_int,
    ACTIONS(83),
    1,
    anon_sym_unsignedshort,
    ACTIONS(85),
    1,
    anon_sym_uint16,
    ACTIONS(89),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(91),
    1,
    anon_sym_uint64,
    ACTIONS(95),
    1,
    anon_sym_longdouble,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(99),
    1,
    anon_sym_string,
    ACTIONS(101),
    1,
    anon_sym_wstring,
    ACTIONS(103),
    1,
    anon_sym_any,
    ACTIONS(105),
    1,
    anon_sym_sequence,
    ACTIONS(107),
    1,
    anon_sym_map,
    ACTIONS(149),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1257),
    1,
    anon_sym_RPAREN,
    STATE(48),
    1,
    sym_comment,
    STATE(77),
    1,
    sym_param_attribute,
    STATE(512),
    1,
    sym_scoped_name,
    STATE(522),
    1,
    sym_base_type_spec,
    STATE(731),
    1,
    sym_param_dcl,
    STATE(921),
    1,
    sym_type_spec,
    STATE(1166),
    1,
    sym_parameter_dcls,
    ACTIONS(67),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(69),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(87),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(93),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(590),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(1259),
    3,
    anon_sym_in,
    anon_sym_out,
    anon_sym_inout,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(593),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(77),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(614),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [1199] = 42,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_longlong,
    ACTIONS(73),
    1,
    anon_sym_int64,
    ACTIONS(75),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(79),
    1,
    anon_sym_fixed,
    ACTIONS(81),
    1,
    sym_signed_tiny_int,
    ACTIONS(83),
    1,
    anon_sym_unsignedshort,
    ACTIONS(85),
    1,
    anon_sym_uint16,
    ACTIONS(89),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(91),
    1,
    anon_sym_uint64,
    ACTIONS(95),
    1,
    anon_sym_longdouble,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(99),
    1,
    anon_sym_string,
    ACTIONS(101),
    1,
    anon_sym_wstring,
    ACTIONS(103),
    1,
    anon_sym_any,
    ACTIONS(105),
    1,
    anon_sym_sequence,
    ACTIONS(107),
    1,
    anon_sym_map,
    ACTIONS(149),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1261),
    1,
    anon_sym_LBRACE,
    ACTIONS(1263),
    1,
    anon_sym_COLON,
    ACTIONS(1265),
    1,
    anon_sym_SEMI,
    ACTIONS(1267),
    1,
    anon_sym_supports,
    STATE(49),
    1,
    sym_comment,
    STATE(512),
    1,
    sym_scoped_name,
    STATE(522),
    1,
    sym_base_type_spec,
    STATE(744),
    1,
    sym_value_inheritance,
    STATE(1049),
    1,
    sym_value_inheritance_spec,
    STATE(1050),
    1,
    sym_type_spec,
    STATE(1128),
    1,
    sym_value_supports,
    ACTIONS(67),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(69),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(87),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(93),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(590),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(593),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(77),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(614),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [1347] = 38,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_longlong,
    ACTIONS(73),
    1,
    anon_sym_int64,
    ACTIONS(75),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(79),
    1,
    anon_sym_fixed,
    ACTIONS(81),
    1,
    sym_signed_tiny_int,
    ACTIONS(83),
    1,
    anon_sym_unsignedshort,
    ACTIONS(85),
    1,
    anon_sym_uint16,
    ACTIONS(89),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(91),
    1,
    anon_sym_uint64,
    ACTIONS(95),
    1,
    anon_sym_longdouble,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(99),
    1,
    anon_sym_string,
    ACTIONS(101),
    1,
    anon_sym_wstring,
    ACTIONS(103),
    1,
    anon_sym_any,
    ACTIONS(105),
    1,
    anon_sym_sequence,
    ACTIONS(107),
    1,
    anon_sym_map,
    ACTIONS(149),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(50),
    1,
    sym_comment,
    STATE(77),
    1,
    sym_param_attribute,
    STATE(512),
    1,
    sym_scoped_name,
    STATE(522),
    1,
    sym_base_type_spec,
    STATE(857),
    1,
    sym_param_dcl,
    STATE(921),
    1,
    sym_type_spec,
    ACTIONS(67),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(69),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(87),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(93),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(590),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(1259),
    3,
    anon_sym_in,
    anon_sym_out,
    anon_sym_inout,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(593),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(77),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(614),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [1485] = 40,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_longlong,
    ACTIONS(73),
    1,
    anon_sym_int64,
    ACTIONS(75),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(79),
    1,
    anon_sym_fixed,
    ACTIONS(81),
    1,
    sym_signed_tiny_int,
    ACTIONS(83),
    1,
    anon_sym_unsignedshort,
    ACTIONS(85),
    1,
    anon_sym_uint16,
    ACTIONS(89),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(91),
    1,
    anon_sym_uint64,
    ACTIONS(95),
    1,
    anon_sym_longdouble,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(99),
    1,
    anon_sym_string,
    ACTIONS(101),
    1,
    anon_sym_wstring,
    ACTIONS(103),
    1,
    anon_sym_any,
    ACTIONS(105),
    1,
    anon_sym_sequence,
    ACTIONS(107),
    1,
    anon_sym_map,
    ACTIONS(149),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(882),
    1,
    anon_sym_AT,
    ACTIONS(884),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(51),
    1,
    sym_comment,
    STATE(202),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(271),
    1,
    sym_extend_annotation_appl,
    STATE(282),
    1,
    sym_annotation_appl,
    STATE(498),
    1,
    sym_type_spec,
    STATE(512),
    1,
    sym_scoped_name,
    STATE(522),
    1,
    sym_base_type_spec,
    ACTIONS(67),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(69),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(87),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(93),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(590),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(593),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(77),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(614),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [1627] = 40,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_longlong,
    ACTIONS(73),
    1,
    anon_sym_int64,
    ACTIONS(75),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(79),
    1,
    anon_sym_fixed,
    ACTIONS(81),
    1,
    sym_signed_tiny_int,
    ACTIONS(83),
    1,
    anon_sym_unsignedshort,
    ACTIONS(85),
    1,
    anon_sym_uint16,
    ACTIONS(89),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(91),
    1,
    anon_sym_uint64,
    ACTIONS(95),
    1,
    anon_sym_longdouble,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(99),
    1,
    anon_sym_string,
    ACTIONS(101),
    1,
    anon_sym_wstring,
    ACTIONS(103),
    1,
    anon_sym_any,
    ACTIONS(105),
    1,
    anon_sym_sequence,
    ACTIONS(107),
    1,
    anon_sym_map,
    ACTIONS(149),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(882),
    1,
    anon_sym_AT,
    ACTIONS(884),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(52),
    1,
    sym_comment,
    STATE(202),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(271),
    1,
    sym_extend_annotation_appl,
    STATE(282),
    1,
    sym_annotation_appl,
    STATE(512),
    1,
    sym_scoped_name,
    STATE(522),
    1,
    sym_base_type_spec,
    STATE(615),
    1,
    sym_type_spec,
    ACTIONS(67),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(69),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(87),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(93),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(590),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(593),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(77),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(614),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [1769] = 39,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_longlong,
    ACTIONS(73),
    1,
    anon_sym_int64,
    ACTIONS(75),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    sym_signed_tiny_int,
    ACTIONS(83),
    1,
    anon_sym_unsignedshort,
    ACTIONS(85),
    1,
    anon_sym_uint16,
    ACTIONS(89),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(91),
    1,
    anon_sym_uint64,
    ACTIONS(95),
    1,
    anon_sym_longdouble,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(99),
    1,
    anon_sym_string,
    ACTIONS(101),
    1,
    anon_sym_wstring,
    ACTIONS(105),
    1,
    anon_sym_sequence,
    ACTIONS(133),
    1,
    anon_sym_enum,
    ACTIONS(135),
    1,
    anon_sym_const,
    ACTIONS(143),
    1,
    anon_sym_typedef,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1271),
    1,
    anon_sym_fixed,
    ACTIONS(1273),
    1,
    anon_sym_any,
    ACTIONS(1275),
    1,
    anon_sym_RBRACE,
    STATE(53),
    1,
    sym_comment,
    STATE(55),
    1,
    aux_sym_annotation_dcl_repeat1,
    STATE(287),
    1,
    sym_annotation_member,
    STATE(288),
    1,
    sym_annotation_body,
    STATE(927),
    1,
    sym_scoped_name,
    STATE(939),
    1,
    sym_annotation_member_type,
    ACTIONS(67),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(69),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(87),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(93),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(1013),
    2,
    sym_any_const_type,
    sym_const_type,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(1012),
    3,
    sym_typedef_dcl,
    sym_enum_dcl,
    sym_const_dcl,
    ACTIONS(1269),
    4,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    STATE(1275),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_string_type,
    sym_wide_string_type,
    sym_sequence_type,
    [1907] = 39,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_longlong,
    ACTIONS(73),
    1,
    anon_sym_int64,
    ACTIONS(75),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    sym_signed_tiny_int,
    ACTIONS(83),
    1,
    anon_sym_unsignedshort,
    ACTIONS(85),
    1,
    anon_sym_uint16,
    ACTIONS(89),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(91),
    1,
    anon_sym_uint64,
    ACTIONS(95),
    1,
    anon_sym_longdouble,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(99),
    1,
    anon_sym_string,
    ACTIONS(101),
    1,
    anon_sym_wstring,
    ACTIONS(105),
    1,
    anon_sym_sequence,
    ACTIONS(133),
    1,
    anon_sym_enum,
    ACTIONS(135),
    1,
    anon_sym_const,
    ACTIONS(143),
    1,
    anon_sym_typedef,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1271),
    1,
    anon_sym_fixed,
    ACTIONS(1273),
    1,
    anon_sym_any,
    ACTIONS(1277),
    1,
    anon_sym_RBRACE,
    STATE(53),
    1,
    aux_sym_annotation_dcl_repeat1,
    STATE(54),
    1,
    sym_comment,
    STATE(287),
    1,
    sym_annotation_member,
    STATE(288),
    1,
    sym_annotation_body,
    STATE(927),
    1,
    sym_scoped_name,
    STATE(939),
    1,
    sym_annotation_member_type,
    ACTIONS(67),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(69),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(87),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(93),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(1013),
    2,
    sym_any_const_type,
    sym_const_type,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(1012),
    3,
    sym_typedef_dcl,
    sym_enum_dcl,
    sym_const_dcl,
    ACTIONS(1269),
    4,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    STATE(1275),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_string_type,
    sym_wide_string_type,
    sym_sequence_type,
    [2045] = 38,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1285),
    1,
    anon_sym_longlong,
    ACTIONS(1288),
    1,
    anon_sym_int64,
    ACTIONS(1291),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(1297),
    1,
    anon_sym_fixed,
    ACTIONS(1300),
    1,
    sym_signed_tiny_int,
    ACTIONS(1303),
    1,
    anon_sym_unsignedshort,
    ACTIONS(1306),
    1,
    anon_sym_uint16,
    ACTIONS(1312),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(1315),
    1,
    anon_sym_uint64,
    ACTIONS(1321),
    1,
    anon_sym_longdouble,
    ACTIONS(1324),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1327),
    1,
    anon_sym_string,
    ACTIONS(1330),
    1,
    anon_sym_wstring,
    ACTIONS(1333),
    1,
    anon_sym_any,
    ACTIONS(1336),
    1,
    anon_sym_sequence,
    ACTIONS(1339),
    1,
    anon_sym_RBRACE,
    ACTIONS(1341),
    1,
    anon_sym_enum,
    ACTIONS(1344),
    1,
    anon_sym_const,
    ACTIONS(1347),
    1,
    anon_sym_typedef,
    ACTIONS(1350),
    1,
    sym_identifier,
    STATE(287),
    1,
    sym_annotation_member,
    STATE(288),
    1,
    sym_annotation_body,
    STATE(927),
    1,
    sym_scoped_name,
    STATE(939),
    1,
    sym_annotation_member_type,
    ACTIONS(1279),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(1282),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(1309),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(1318),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(55),
    2,
    sym_comment,
    aux_sym_annotation_dcl_repeat1,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(1013),
    2,
    sym_any_const_type,
    sym_const_type,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(1012),
    3,
    sym_typedef_dcl,
    sym_enum_dcl,
    sym_const_dcl,
    ACTIONS(1294),
    4,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    STATE(1275),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_string_type,
    sym_wide_string_type,
    sym_sequence_type,
    [2181] = 34,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_longlong,
    ACTIONS(73),
    1,
    anon_sym_int64,
    ACTIONS(75),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    sym_signed_tiny_int,
    ACTIONS(83),
    1,
    anon_sym_unsignedshort,
    ACTIONS(85),
    1,
    anon_sym_uint16,
    ACTIONS(89),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(91),
    1,
    anon_sym_uint64,
    ACTIONS(95),
    1,
    anon_sym_longdouble,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(103),
    1,
    anon_sym_any,
    ACTIONS(149),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1353),
    1,
    anon_sym_sequence,
    ACTIONS(1357),
    1,
    anon_sym_const,
    STATE(56),
    1,
    sym_comment,
    STATE(512),
    1,
    sym_scoped_name,
    STATE(522),
    1,
    sym_base_type_spec,
    STATE(733),
    1,
    sym_formal_parameter,
    STATE(1014),
    1,
    sym_formal_parameter_type,
    STATE(1018),
    1,
    sym_formal_parameters,
    ACTIONS(67),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(69),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(87),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(93),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(1017),
    2,
    sym_simple_type_spec,
    sym_sequence_type,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(593),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(77),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    ACTIONS(1355),
    8,
    anon_sym_exception,
    anon_sym_interface,
    anon_sym_typename,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    [2308] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(57),
    1,
    sym_comment,
    ACTIONS(1361),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1359),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    anon_sym_oneway,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2377] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(58),
    1,
    sym_comment,
    ACTIONS(1365),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1363),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    anon_sym_oneway,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2446] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(59),
    1,
    sym_comment,
    ACTIONS(1369),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1367),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    anon_sym_oneway,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2515] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(60),
    1,
    sym_comment,
    ACTIONS(1373),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1371),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    anon_sym_oneway,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2584] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(61),
    1,
    sym_comment,
    ACTIONS(1377),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1375),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    anon_sym_oneway,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2653] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(62),
    1,
    sym_comment,
    ACTIONS(1381),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1379),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    anon_sym_oneway,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2722] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(63),
    1,
    sym_comment,
    ACTIONS(1385),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1383),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    anon_sym_oneway,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2791] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(64),
    1,
    sym_comment,
    ACTIONS(1389),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1387),
    46,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    anon_sym_oneway,
    sym_value_base_type,
    anon_sym_finder,
    anon_sym_native,
    sym_identifier,
    [2859] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(65),
    1,
    sym_comment,
    ACTIONS(1393),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1391),
    46,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    anon_sym_oneway,
    sym_value_base_type,
    anon_sym_finder,
    anon_sym_native,
    sym_identifier,
    [2927] = 33,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_longlong,
    ACTIONS(73),
    1,
    anon_sym_int64,
    ACTIONS(75),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    sym_signed_tiny_int,
    ACTIONS(83),
    1,
    anon_sym_unsignedshort,
    ACTIONS(85),
    1,
    anon_sym_uint16,
    ACTIONS(89),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(91),
    1,
    anon_sym_uint64,
    ACTIONS(95),
    1,
    anon_sym_longdouble,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(103),
    1,
    anon_sym_any,
    ACTIONS(149),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1353),
    1,
    anon_sym_sequence,
    ACTIONS(1357),
    1,
    anon_sym_const,
    STATE(66),
    1,
    sym_comment,
    STATE(512),
    1,
    sym_scoped_name,
    STATE(522),
    1,
    sym_base_type_spec,
    STATE(944),
    1,
    sym_formal_parameter,
    STATE(1014),
    1,
    sym_formal_parameter_type,
    ACTIONS(67),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(69),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(87),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(93),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(1017),
    2,
    sym_simple_type_spec,
    sym_sequence_type,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(593),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(77),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    ACTIONS(1355),
    8,
    anon_sym_exception,
    anon_sym_interface,
    anon_sym_typename,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    [3051] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(67),
    1,
    sym_comment,
    ACTIONS(1385),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1383),
    46,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    anon_sym_oneway,
    sym_value_base_type,
    anon_sym_finder,
    anon_sym_native,
    sym_identifier,
    [3119] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(68),
    1,
    sym_comment,
    ACTIONS(1397),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1395),
    46,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    anon_sym_oneway,
    sym_value_base_type,
    anon_sym_finder,
    anon_sym_native,
    sym_identifier,
    [3187] = 36,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1399),
    1,
    anon_sym_STAR,
    STATE(69),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(981),
    1,
    sym_placement_kind,
    STATE(988),
    1,
    sym_verbatim_language,
    STATE(989),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    ACTIONS(1401),
    4,
    aux_sym_verbatim_language_token1,
    aux_sym_verbatim_language_token2,
    aux_sym_verbatim_language_token3,
    aux_sym_verbatim_language_token4,
    ACTIONS(1403),
    6,
    aux_sym_placement_kind_token1,
    aux_sym_placement_kind_token2,
    aux_sym_placement_kind_token3,
    aux_sym_placement_kind_token4,
    aux_sym_placement_kind_token5,
    aux_sym_placement_kind_token6,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [3316] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_longlong,
    ACTIONS(73),
    1,
    anon_sym_int64,
    ACTIONS(75),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(79),
    1,
    anon_sym_fixed,
    ACTIONS(81),
    1,
    sym_signed_tiny_int,
    ACTIONS(83),
    1,
    anon_sym_unsignedshort,
    ACTIONS(85),
    1,
    anon_sym_uint16,
    ACTIONS(89),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(91),
    1,
    anon_sym_uint64,
    ACTIONS(95),
    1,
    anon_sym_longdouble,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(99),
    1,
    anon_sym_string,
    ACTIONS(101),
    1,
    anon_sym_wstring,
    ACTIONS(103),
    1,
    anon_sym_any,
    ACTIONS(105),
    1,
    anon_sym_sequence,
    ACTIONS(107),
    1,
    anon_sym_map,
    ACTIONS(149),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(70),
    1,
    sym_comment,
    STATE(476),
    1,
    sym_type_spec,
    STATE(512),
    1,
    sym_scoped_name,
    STATE(522),
    1,
    sym_base_type_spec,
    ACTIONS(67),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(69),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(87),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(93),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(590),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(593),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(77),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(614),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [3443] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_longlong,
    ACTIONS(73),
    1,
    anon_sym_int64,
    ACTIONS(75),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(79),
    1,
    anon_sym_fixed,
    ACTIONS(81),
    1,
    sym_signed_tiny_int,
    ACTIONS(83),
    1,
    anon_sym_unsignedshort,
    ACTIONS(85),
    1,
    anon_sym_uint16,
    ACTIONS(89),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(91),
    1,
    anon_sym_uint64,
    ACTIONS(95),
    1,
    anon_sym_longdouble,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(99),
    1,
    anon_sym_string,
    ACTIONS(101),
    1,
    anon_sym_wstring,
    ACTIONS(103),
    1,
    anon_sym_any,
    ACTIONS(105),
    1,
    anon_sym_sequence,
    ACTIONS(107),
    1,
    anon_sym_map,
    ACTIONS(149),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(71),
    1,
    sym_comment,
    STATE(512),
    1,
    sym_scoped_name,
    STATE(522),
    1,
    sym_base_type_spec,
    STATE(866),
    1,
    sym_type_spec,
    ACTIONS(67),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(69),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(87),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(93),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(590),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(593),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(77),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(614),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [3570] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_longlong,
    ACTIONS(73),
    1,
    anon_sym_int64,
    ACTIONS(75),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(79),
    1,
    anon_sym_fixed,
    ACTIONS(81),
    1,
    sym_signed_tiny_int,
    ACTIONS(83),
    1,
    anon_sym_unsignedshort,
    ACTIONS(85),
    1,
    anon_sym_uint16,
    ACTIONS(89),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(91),
    1,
    anon_sym_uint64,
    ACTIONS(95),
    1,
    anon_sym_longdouble,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(99),
    1,
    anon_sym_string,
    ACTIONS(101),
    1,
    anon_sym_wstring,
    ACTIONS(103),
    1,
    anon_sym_any,
    ACTIONS(105),
    1,
    anon_sym_sequence,
    ACTIONS(107),
    1,
    anon_sym_map,
    ACTIONS(149),
    1,
    anon_sym_Object,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1405),
    1,
    sym_identifier,
    STATE(72),
    1,
    sym_comment,
    STATE(512),
    1,
    sym_scoped_name,
    STATE(522),
    1,
    sym_base_type_spec,
    STATE(931),
    1,
    sym_type_spec,
    ACTIONS(67),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(69),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(87),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(93),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(590),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(593),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(77),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(614),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [3697] = 36,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1399),
    1,
    anon_sym_STAR,
    STATE(73),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1152),
    1,
    sym_const_expr,
    STATE(1367),
    1,
    sym_verbatim_language,
    STATE(1368),
    1,
    sym_placement_kind,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    ACTIONS(1401),
    4,
    aux_sym_verbatim_language_token1,
    aux_sym_verbatim_language_token2,
    aux_sym_verbatim_language_token3,
    aux_sym_verbatim_language_token4,
    ACTIONS(1403),
    6,
    aux_sym_placement_kind_token1,
    aux_sym_placement_kind_token2,
    aux_sym_placement_kind_token3,
    aux_sym_placement_kind_token4,
    aux_sym_placement_kind_token5,
    aux_sym_placement_kind_token6,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [3826] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_longlong,
    ACTIONS(73),
    1,
    anon_sym_int64,
    ACTIONS(75),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(79),
    1,
    anon_sym_fixed,
    ACTIONS(81),
    1,
    sym_signed_tiny_int,
    ACTIONS(83),
    1,
    anon_sym_unsignedshort,
    ACTIONS(85),
    1,
    anon_sym_uint16,
    ACTIONS(89),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(91),
    1,
    anon_sym_uint64,
    ACTIONS(95),
    1,
    anon_sym_longdouble,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(99),
    1,
    anon_sym_string,
    ACTIONS(101),
    1,
    anon_sym_wstring,
    ACTIONS(103),
    1,
    anon_sym_any,
    ACTIONS(105),
    1,
    anon_sym_sequence,
    ACTIONS(107),
    1,
    anon_sym_map,
    ACTIONS(149),
    1,
    anon_sym_Object,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1405),
    1,
    sym_identifier,
    STATE(74),
    1,
    sym_comment,
    STATE(512),
    1,
    sym_scoped_name,
    STATE(522),
    1,
    sym_base_type_spec,
    STATE(878),
    1,
    sym_type_spec,
    ACTIONS(67),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(69),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(87),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(93),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(590),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(593),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(77),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(614),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [3953] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_longlong,
    ACTIONS(73),
    1,
    anon_sym_int64,
    ACTIONS(75),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(79),
    1,
    anon_sym_fixed,
    ACTIONS(81),
    1,
    sym_signed_tiny_int,
    ACTIONS(83),
    1,
    anon_sym_unsignedshort,
    ACTIONS(85),
    1,
    anon_sym_uint16,
    ACTIONS(89),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(91),
    1,
    anon_sym_uint64,
    ACTIONS(95),
    1,
    anon_sym_longdouble,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(99),
    1,
    anon_sym_string,
    ACTIONS(101),
    1,
    anon_sym_wstring,
    ACTIONS(103),
    1,
    anon_sym_any,
    ACTIONS(105),
    1,
    anon_sym_sequence,
    ACTIONS(107),
    1,
    anon_sym_map,
    ACTIONS(149),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(75),
    1,
    sym_comment,
    STATE(512),
    1,
    sym_scoped_name,
    STATE(522),
    1,
    sym_base_type_spec,
    STATE(1069),
    1,
    sym_type_spec,
    ACTIONS(67),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(69),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(87),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(93),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(590),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(593),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(77),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(614),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [4080] = 36,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1399),
    1,
    anon_sym_STAR,
    STATE(76),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1241),
    1,
    sym_const_expr,
    STATE(1397),
    1,
    sym_verbatim_language,
    STATE(1398),
    1,
    sym_placement_kind,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    ACTIONS(1401),
    4,
    aux_sym_verbatim_language_token1,
    aux_sym_verbatim_language_token2,
    aux_sym_verbatim_language_token3,
    aux_sym_verbatim_language_token4,
    ACTIONS(1403),
    6,
    aux_sym_placement_kind_token1,
    aux_sym_placement_kind_token2,
    aux_sym_placement_kind_token3,
    aux_sym_placement_kind_token4,
    aux_sym_placement_kind_token5,
    aux_sym_placement_kind_token6,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [4209] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_longlong,
    ACTIONS(73),
    1,
    anon_sym_int64,
    ACTIONS(75),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(79),
    1,
    anon_sym_fixed,
    ACTIONS(81),
    1,
    sym_signed_tiny_int,
    ACTIONS(83),
    1,
    anon_sym_unsignedshort,
    ACTIONS(85),
    1,
    anon_sym_uint16,
    ACTIONS(89),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(91),
    1,
    anon_sym_uint64,
    ACTIONS(95),
    1,
    anon_sym_longdouble,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(99),
    1,
    anon_sym_string,
    ACTIONS(101),
    1,
    anon_sym_wstring,
    ACTIONS(103),
    1,
    anon_sym_any,
    ACTIONS(105),
    1,
    anon_sym_sequence,
    ACTIONS(107),
    1,
    anon_sym_map,
    ACTIONS(149),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(77),
    1,
    sym_comment,
    STATE(512),
    1,
    sym_scoped_name,
    STATE(522),
    1,
    sym_base_type_spec,
    STATE(877),
    1,
    sym_type_spec,
    ACTIONS(67),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(69),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(87),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(93),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(590),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(593),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(77),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(614),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [4336] = 36,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1399),
    1,
    anon_sym_STAR,
    STATE(78),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1199),
    1,
    sym_const_expr,
    STATE(1382),
    1,
    sym_verbatim_language,
    STATE(1383),
    1,
    sym_placement_kind,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    ACTIONS(1401),
    4,
    aux_sym_verbatim_language_token1,
    aux_sym_verbatim_language_token2,
    aux_sym_verbatim_language_token3,
    aux_sym_verbatim_language_token4,
    ACTIONS(1403),
    6,
    aux_sym_placement_kind_token1,
    aux_sym_placement_kind_token2,
    aux_sym_placement_kind_token3,
    aux_sym_placement_kind_token4,
    aux_sym_placement_kind_token5,
    aux_sym_placement_kind_token6,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [4465] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_longlong,
    ACTIONS(73),
    1,
    anon_sym_int64,
    ACTIONS(75),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(79),
    1,
    anon_sym_fixed,
    ACTIONS(81),
    1,
    sym_signed_tiny_int,
    ACTIONS(83),
    1,
    anon_sym_unsignedshort,
    ACTIONS(85),
    1,
    anon_sym_uint16,
    ACTIONS(89),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(91),
    1,
    anon_sym_uint64,
    ACTIONS(95),
    1,
    anon_sym_longdouble,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(99),
    1,
    anon_sym_string,
    ACTIONS(101),
    1,
    anon_sym_wstring,
    ACTIONS(103),
    1,
    anon_sym_any,
    ACTIONS(105),
    1,
    anon_sym_sequence,
    ACTIONS(107),
    1,
    anon_sym_map,
    ACTIONS(149),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(79),
    1,
    sym_comment,
    STATE(512),
    1,
    sym_scoped_name,
    STATE(522),
    1,
    sym_base_type_spec,
    STATE(827),
    1,
    sym_type_spec,
    ACTIONS(67),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(69),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(87),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(93),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(590),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(593),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(77),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(614),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [4592] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_longlong,
    ACTIONS(73),
    1,
    anon_sym_int64,
    ACTIONS(75),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(79),
    1,
    anon_sym_fixed,
    ACTIONS(81),
    1,
    sym_signed_tiny_int,
    ACTIONS(83),
    1,
    anon_sym_unsignedshort,
    ACTIONS(85),
    1,
    anon_sym_uint16,
    ACTIONS(89),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(91),
    1,
    anon_sym_uint64,
    ACTIONS(95),
    1,
    anon_sym_longdouble,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(99),
    1,
    anon_sym_string,
    ACTIONS(101),
    1,
    anon_sym_wstring,
    ACTIONS(103),
    1,
    anon_sym_any,
    ACTIONS(105),
    1,
    anon_sym_sequence,
    ACTIONS(107),
    1,
    anon_sym_map,
    ACTIONS(149),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(80),
    1,
    sym_comment,
    STATE(512),
    1,
    sym_scoped_name,
    STATE(522),
    1,
    sym_base_type_spec,
    STATE(876),
    1,
    sym_type_spec,
    ACTIONS(67),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(69),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(87),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(93),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(590),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(593),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(77),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(614),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [4719] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_longlong,
    ACTIONS(73),
    1,
    anon_sym_int64,
    ACTIONS(75),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(79),
    1,
    anon_sym_fixed,
    ACTIONS(81),
    1,
    sym_signed_tiny_int,
    ACTIONS(83),
    1,
    anon_sym_unsignedshort,
    ACTIONS(85),
    1,
    anon_sym_uint16,
    ACTIONS(89),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(91),
    1,
    anon_sym_uint64,
    ACTIONS(95),
    1,
    anon_sym_longdouble,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(99),
    1,
    anon_sym_string,
    ACTIONS(101),
    1,
    anon_sym_wstring,
    ACTIONS(103),
    1,
    anon_sym_any,
    ACTIONS(105),
    1,
    anon_sym_sequence,
    ACTIONS(107),
    1,
    anon_sym_map,
    ACTIONS(149),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(81),
    1,
    sym_comment,
    STATE(512),
    1,
    sym_scoped_name,
    STATE(522),
    1,
    sym_base_type_spec,
    STATE(873),
    1,
    sym_type_spec,
    ACTIONS(67),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(69),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(87),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(93),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(590),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(593),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(77),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(614),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [4846] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_longlong,
    ACTIONS(73),
    1,
    anon_sym_int64,
    ACTIONS(75),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(79),
    1,
    anon_sym_fixed,
    ACTIONS(81),
    1,
    sym_signed_tiny_int,
    ACTIONS(83),
    1,
    anon_sym_unsignedshort,
    ACTIONS(85),
    1,
    anon_sym_uint16,
    ACTIONS(89),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(91),
    1,
    anon_sym_uint64,
    ACTIONS(95),
    1,
    anon_sym_longdouble,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(99),
    1,
    anon_sym_string,
    ACTIONS(101),
    1,
    anon_sym_wstring,
    ACTIONS(103),
    1,
    anon_sym_any,
    ACTIONS(105),
    1,
    anon_sym_sequence,
    ACTIONS(107),
    1,
    anon_sym_map,
    ACTIONS(149),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(82),
    1,
    sym_comment,
    STATE(512),
    1,
    sym_scoped_name,
    STATE(522),
    1,
    sym_base_type_spec,
    STATE(629),
    1,
    sym_type_spec,
    ACTIONS(67),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(69),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(87),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(93),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(590),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(593),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(77),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(614),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [4973] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(83),
    1,
    sym_comment,
    ACTIONS(1385),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1383),
    44,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    anon_sym_oneway,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [5039] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(84),
    1,
    sym_comment,
    ACTIONS(1409),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1407),
    44,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    anon_sym_oneway,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [5105] = 33,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(85),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1214),
    1,
    sym_const_expr,
    STATE(1384),
    1,
    sym_placement_kind,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    ACTIONS(1403),
    6,
    aux_sym_placement_kind_token1,
    aux_sym_placement_kind_token2,
    aux_sym_placement_kind_token3,
    aux_sym_placement_kind_token4,
    aux_sym_placement_kind_token5,
    aux_sym_placement_kind_token6,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [5222] = 33,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(86),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1169),
    1,
    sym_const_expr,
    STATE(1369),
    1,
    sym_placement_kind,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    ACTIONS(1403),
    6,
    aux_sym_placement_kind_token1,
    aux_sym_placement_kind_token2,
    aux_sym_placement_kind_token3,
    aux_sym_placement_kind_token4,
    aux_sym_placement_kind_token5,
    aux_sym_placement_kind_token6,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [5339] = 33,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(87),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1256),
    1,
    sym_const_expr,
    STATE(1399),
    1,
    sym_placement_kind,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    ACTIONS(1403),
    6,
    aux_sym_placement_kind_token1,
    aux_sym_placement_kind_token2,
    aux_sym_placement_kind_token3,
    aux_sym_placement_kind_token4,
    aux_sym_placement_kind_token5,
    aux_sym_placement_kind_token6,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [5456] = 33,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(88),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1278),
    1,
    sym_placement_kind,
    STATE(1279),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    ACTIONS(1403),
    6,
    aux_sym_placement_kind_token1,
    aux_sym_placement_kind_token2,
    aux_sym_placement_kind_token3,
    aux_sym_placement_kind_token4,
    aux_sym_placement_kind_token5,
    aux_sym_placement_kind_token6,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [5573] = 29,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_longlong,
    ACTIONS(73),
    1,
    anon_sym_int64,
    ACTIONS(75),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    sym_signed_tiny_int,
    ACTIONS(83),
    1,
    anon_sym_unsignedshort,
    ACTIONS(85),
    1,
    anon_sym_uint16,
    ACTIONS(89),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(91),
    1,
    anon_sym_uint64,
    ACTIONS(95),
    1,
    anon_sym_longdouble,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(99),
    1,
    anon_sym_string,
    ACTIONS(101),
    1,
    anon_sym_wstring,
    ACTIONS(105),
    1,
    anon_sym_sequence,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1271),
    1,
    anon_sym_fixed,
    STATE(89),
    1,
    sym_comment,
    STATE(949),
    1,
    sym_scoped_name,
    STATE(1271),
    1,
    sym_const_type,
    ACTIONS(67),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(69),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(87),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(93),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    ACTIONS(1269),
    4,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    STATE(1275),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_string_type,
    sym_wide_string_type,
    sym_sequence_type,
    [5678] = 34,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1411),
    1,
    anon_sym_RPAREN,
    ACTIONS(1413),
    1,
    sym_identifier,
    STATE(90),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(718),
    1,
    sym_annotation_appl_param,
    STATE(1164),
    1,
    sym_annotation_appl_params,
    STATE(1189),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [5793] = 34,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1413),
    1,
    sym_identifier,
    ACTIONS(1415),
    1,
    anon_sym_RPAREN,
    STATE(91),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(718),
    1,
    sym_annotation_appl_param,
    STATE(1015),
    1,
    sym_annotation_appl_params,
    STATE(1189),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [5908] = 34,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1413),
    1,
    sym_identifier,
    ACTIONS(1417),
    1,
    anon_sym_RPAREN,
    STATE(92),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(718),
    1,
    sym_annotation_appl_param,
    STATE(1189),
    1,
    sym_const_expr,
    STATE(1211),
    1,
    sym_annotation_appl_params,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6023] = 34,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1419),
    1,
    anon_sym_STAR,
    ACTIONS(1421),
    1,
    aux_sym_service_platform_token2,
    STATE(93),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(943),
    1,
    sym_const_expr,
    STATE(1252),
    1,
    sym_topic_platform,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6138] = 34,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1413),
    1,
    sym_identifier,
    ACTIONS(1423),
    1,
    anon_sym_RPAREN,
    STATE(94),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(718),
    1,
    sym_annotation_appl_param,
    STATE(1189),
    1,
    sym_const_expr,
    STATE(1253),
    1,
    sym_annotation_appl_params,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6253] = 34,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1419),
    1,
    anon_sym_STAR,
    ACTIONS(1421),
    1,
    aux_sym_service_platform_token2,
    STATE(95),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(934),
    1,
    sym_const_expr,
    STATE(1210),
    1,
    sym_topic_platform,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6368] = 34,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1419),
    1,
    anon_sym_STAR,
    ACTIONS(1421),
    1,
    aux_sym_service_platform_token2,
    STATE(96),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(920),
    1,
    sym_const_expr,
    STATE(1163),
    1,
    sym_topic_platform,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6483] = 34,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1419),
    1,
    anon_sym_STAR,
    ACTIONS(1421),
    1,
    aux_sym_service_platform_token2,
    STATE(97),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(932),
    1,
    sym_const_expr,
    STATE(976),
    1,
    sym_topic_platform,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6598] = 29,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_longlong,
    ACTIONS(73),
    1,
    anon_sym_int64,
    ACTIONS(75),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    sym_signed_tiny_int,
    ACTIONS(83),
    1,
    anon_sym_unsignedshort,
    ACTIONS(85),
    1,
    anon_sym_uint16,
    ACTIONS(89),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(91),
    1,
    anon_sym_uint64,
    ACTIONS(95),
    1,
    anon_sym_longdouble,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(99),
    1,
    anon_sym_string,
    ACTIONS(101),
    1,
    anon_sym_wstring,
    ACTIONS(105),
    1,
    anon_sym_sequence,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1271),
    1,
    anon_sym_fixed,
    STATE(98),
    1,
    sym_comment,
    STATE(949),
    1,
    sym_scoped_name,
    STATE(1208),
    1,
    sym_const_type,
    ACTIONS(67),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(69),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(87),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(93),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    ACTIONS(1269),
    4,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    STATE(1275),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_string_type,
    sym_wide_string_type,
    sym_sequence_type,
    [6703] = 33,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1425),
    1,
    anon_sym_RPAREN,
    STATE(99),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1008),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6815] = 33,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1427),
    1,
    anon_sym_RPAREN,
    STATE(100),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1186),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6927] = 33,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1429),
    1,
    anon_sym_RPAREN,
    STATE(101),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1228),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7039] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1435),
    1,
    anon_sym_default,
    ACTIONS(1438),
    1,
    anon_sym_case,
    STATE(163),
    1,
    sym_case_label,
    STATE(102),
    2,
    sym_comment,
    aux_sym_case_repeat1,
    ACTIONS(1433),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1431),
    31,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7101] = 33,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1441),
    1,
    anon_sym_RPAREN,
    STATE(103),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1139),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7213] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(104),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1221),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7322] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(105),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1212),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7431] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(106),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1232),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7540] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(107),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1077),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7649] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(108),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1084),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7758] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(109),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1233),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7867] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(110),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1235),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7976] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(111),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1236),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [8085] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(112),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1229),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [8194] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(113),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1053),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [8303] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(114),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1060),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [8412] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(115),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1151),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [8521] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(116),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1150),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [8630] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(117),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(965),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [8739] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(118),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1007),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [8848] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(119),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1003),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [8957] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(120),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1002),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [9066] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(121),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1149),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [9175] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(122),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(997),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [9284] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(123),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1238),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [9393] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(124),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1239),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [9502] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(125),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1240),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [9611] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(126),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(996),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [9720] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(127),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(994),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [9829] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(128),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(993),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [9938] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(129),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1316),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [10047] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(130),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1147),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [10156] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(131),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(992),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [10265] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(132),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1146),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [10374] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(133),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1293),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [10483] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(134),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1144),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [10592] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(135),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1143),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [10701] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(136),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1187),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [10810] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(137),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1190),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [10919] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(138),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1191),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [11028] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(139),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1193),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [11137] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(140),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1194),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [11246] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(141),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1196),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [11355] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(142),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1197),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [11464] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(143),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1198),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [11573] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(144),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1051),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [11682] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(145),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(610),
    1,
    sym_const_expr,
    STATE(1140),
    1,
    sym_positive_int_const,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [11791] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(146),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1141),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [11897] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(147),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1154),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12003] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(148),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1257),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12109] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(149),
    1,
    sym_comment,
    ACTIONS(1445),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1443),
    33,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_default,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_case,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [12163] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(150),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(980),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12269] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(151),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1249),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12375] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(152),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1129),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12481] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(153),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1247),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12587] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(154),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1246),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12693] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(155),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1245),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12799] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(156),
    1,
    sym_comment,
    ACTIONS(1449),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1447),
    33,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_default,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_case,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [12853] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(157),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1244),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12959] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(158),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1243),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13065] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(159),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1145),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13171] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(160),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1259),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13277] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(161),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1237),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13383] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(162),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1234),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13489] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(163),
    1,
    sym_comment,
    ACTIONS(1453),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1451),
    33,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_default,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_case,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [13543] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(164),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1067),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13649] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(165),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1118),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13755] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(166),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1148),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13861] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(167),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1230),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13967] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(168),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1076),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [14073] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(169),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1217),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [14179] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(170),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1215),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [14285] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(171),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1207),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [14391] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(172),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1205),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [14497] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(173),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1204),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [14603] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(174),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1203),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [14709] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(175),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1202),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [14815] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(176),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1201),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [14921] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(177),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(982),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [15027] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(178),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1195),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [15133] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(179),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(947),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [15239] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(180),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1161),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [15345] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(181),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1308),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [15451] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(182),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1192),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [15557] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(183),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1083),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [15663] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(184),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1188),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [15769] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(185),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1173),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [15875] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(186),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(983),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [15981] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(187),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(984),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [16087] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(188),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1155),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [16193] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(189),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1006),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [16299] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(190),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(978),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [16405] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(191),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1165),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [16511] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(192),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1170),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [16617] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(193),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1001),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [16723] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(194),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1156),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [16829] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(195),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1157),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [16935] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(196),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1158),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [17041] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(197),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(995),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [17147] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(198),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    STATE(437),
    1,
    sym_xor_expr,
    STATE(445),
    1,
    sym_or_expr,
    STATE(1160),
    1,
    sym_const_expr,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [17253] = 29,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(199),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(430),
    1,
    sym_and_expr,
    STATE(435),
    1,
    sym_xor_expr,
    STATE(436),
    1,
    sym_integer_sign,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [17353] = 28,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(200),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(423),
    1,
    sym_shift_expr,
    STATE(429),
    1,
    sym_and_expr,
    STATE(436),
    1,
    sym_integer_sign,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [17450] = 27,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(201),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(358),
    1,
    sym_add_expr,
    STATE(422),
    1,
    sym_shift_expr,
    STATE(436),
    1,
    sym_integer_sign,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [17544] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1459),
    1,
    anon_sym_AT,
    ACTIONS(1462),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(271),
    1,
    sym_extend_annotation_appl,
    STATE(282),
    1,
    sym_annotation_appl,
    STATE(202),
    2,
    sym_comment,
    aux_sym_interface_dcl_repeat1,
    ACTIONS(1457),
    5,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    ACTIONS(1455),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [17602] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(203),
    1,
    sym_comment,
    STATE(233),
    1,
    sym_extend_annotation_appl,
    ACTIONS(1467),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1465),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [17653] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(204),
    1,
    sym_comment,
    STATE(209),
    1,
    sym_extend_annotation_appl,
    ACTIONS(1471),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1469),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [17704] = 26,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(205),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(319),
    1,
    sym_mult_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(353),
    1,
    sym_add_expr,
    STATE(436),
    1,
    sym_integer_sign,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [17795] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(206),
    1,
    sym_comment,
    STATE(215),
    1,
    sym_extend_annotation_appl,
    ACTIONS(1475),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1473),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [17846] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(207),
    1,
    sym_comment,
    STATE(210),
    1,
    sym_extend_annotation_appl,
    ACTIONS(1479),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1477),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [17897] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1485),
    1,
    anon_sym_LPAREN,
    STATE(208),
    1,
    sym_comment,
    ACTIONS(1483),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1481),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [17947] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(209),
    1,
    sym_comment,
    ACTIONS(1475),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1473),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [17995] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(210),
    1,
    sym_comment,
    ACTIONS(1467),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1465),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [18043] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1491),
    1,
    anon_sym_LPAREN,
    STATE(211),
    1,
    sym_comment,
    ACTIONS(1489),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1487),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [18093] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1497),
    1,
    anon_sym_LPAREN,
    STATE(212),
    1,
    sym_comment,
    ACTIONS(1495),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1493),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [18143] = 25,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(213),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(315),
    1,
    sym_mult_expr,
    STATE(316),
    1,
    sym_unary_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(436),
    1,
    sym_integer_sign,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [18231] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1503),
    1,
    anon_sym_LPAREN,
    STATE(214),
    1,
    sym_comment,
    ACTIONS(1501),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1499),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [18281] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(215),
    1,
    sym_comment,
    ACTIONS(1507),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1505),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [18329] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1513),
    1,
    anon_sym_LPAREN,
    STATE(216),
    1,
    sym_comment,
    ACTIONS(1511),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1509),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [18379] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1519),
    1,
    anon_sym_LPAREN,
    STATE(217),
    1,
    sym_comment,
    ACTIONS(1517),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1515),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [18429] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(218),
    1,
    sym_comment,
    ACTIONS(1523),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1521),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [18477] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(219),
    1,
    sym_comment,
    ACTIONS(1527),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1525),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [18525] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1533),
    1,
    anon_sym_LPAREN,
    STATE(220),
    1,
    sym_comment,
    ACTIONS(1531),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1529),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [18575] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1539),
    1,
    anon_sym_LPAREN,
    STATE(221),
    1,
    sym_comment,
    ACTIONS(1537),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1535),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [18625] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(222),
    1,
    sym_comment,
    ACTIONS(1543),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1541),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [18673] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1549),
    1,
    anon_sym_LPAREN,
    STATE(223),
    1,
    sym_comment,
    ACTIONS(1547),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1545),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [18723] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1555),
    1,
    anon_sym_LPAREN,
    STATE(224),
    1,
    sym_comment,
    ACTIONS(1553),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1551),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [18773] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1561),
    1,
    anon_sym_LPAREN,
    STATE(225),
    1,
    sym_comment,
    ACTIONS(1559),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1557),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [18823] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1567),
    1,
    anon_sym_LPAREN,
    STATE(226),
    1,
    sym_comment,
    ACTIONS(1565),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1563),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [18873] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(227),
    1,
    sym_comment,
    ACTIONS(1571),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1569),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [18921] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1577),
    1,
    anon_sym_LPAREN,
    STATE(228),
    1,
    sym_comment,
    ACTIONS(1575),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1573),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [18971] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1583),
    1,
    anon_sym_LPAREN,
    STATE(229),
    1,
    sym_comment,
    ACTIONS(1581),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1579),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [19021] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1589),
    1,
    anon_sym_LPAREN,
    STATE(230),
    1,
    sym_comment,
    ACTIONS(1587),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1585),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [19071] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(231),
    1,
    sym_comment,
    ACTIONS(1593),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1591),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [19119] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(232),
    1,
    sym_comment,
    ACTIONS(1597),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1595),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [19167] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(233),
    1,
    sym_comment,
    ACTIONS(1601),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1599),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [19215] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1607),
    1,
    anon_sym_LPAREN,
    STATE(234),
    1,
    sym_comment,
    ACTIONS(1605),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1603),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [19265] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(235),
    1,
    sym_comment,
    ACTIONS(1611),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1609),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [19312] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(236),
    1,
    sym_comment,
    ACTIONS(1615),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1613),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [19359] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(237),
    1,
    sym_comment,
    ACTIONS(1619),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1617),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [19406] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(238),
    1,
    sym_comment,
    ACTIONS(1623),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1621),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [19453] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(239),
    1,
    sym_comment,
    ACTIONS(1627),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1625),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [19500] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(240),
    1,
    sym_comment,
    ACTIONS(1631),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1629),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [19547] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(241),
    1,
    sym_comment,
    ACTIONS(1635),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1633),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [19594] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(242),
    1,
    sym_comment,
    ACTIONS(1639),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1637),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [19641] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(243),
    1,
    sym_comment,
    ACTIONS(1643),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1641),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [19688] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(244),
    1,
    sym_comment,
    ACTIONS(1647),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1645),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [19735] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(245),
    1,
    sym_comment,
    ACTIONS(1651),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1649),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [19782] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(246),
    1,
    sym_comment,
    ACTIONS(1655),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1653),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [19829] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(247),
    1,
    sym_comment,
    ACTIONS(1659),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1657),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [19876] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(248),
    1,
    sym_comment,
    ACTIONS(1663),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1661),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [19923] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(249),
    1,
    sym_comment,
    ACTIONS(1667),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1665),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [19970] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(250),
    1,
    sym_comment,
    ACTIONS(1671),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1669),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [20017] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(251),
    1,
    sym_comment,
    ACTIONS(1675),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1673),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [20064] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(252),
    1,
    sym_comment,
    ACTIONS(1679),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1677),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [20111] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(253),
    1,
    sym_comment,
    ACTIONS(1683),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1681),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [20158] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(254),
    1,
    sym_comment,
    ACTIONS(1687),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1685),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [20205] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(255),
    1,
    sym_comment,
    ACTIONS(1691),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1689),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [20252] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(256),
    1,
    sym_comment,
    ACTIONS(1695),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1693),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [20299] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(257),
    1,
    sym_comment,
    ACTIONS(1699),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1697),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [20346] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(258),
    1,
    sym_comment,
    ACTIONS(1703),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1701),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [20393] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(259),
    1,
    sym_comment,
    ACTIONS(1707),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1705),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [20440] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(260),
    1,
    sym_comment,
    ACTIONS(1711),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1709),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [20487] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(261),
    1,
    sym_comment,
    ACTIONS(1715),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1713),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [20534] = 24,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(598),
    1,
    anon_sym_TILDE,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(262),
    1,
    sym_comment,
    STATE(293),
    1,
    sym_unary_operator,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(330),
    1,
    sym_unary_expr,
    STATE(331),
    1,
    sym_primary_expr,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(436),
    1,
    sym_integer_sign,
    ACTIONS(594),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [20619] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(263),
    1,
    sym_comment,
    ACTIONS(1719),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1717),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [20666] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(264),
    1,
    sym_comment,
    ACTIONS(1723),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1721),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [20713] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(265),
    1,
    sym_comment,
    ACTIONS(1727),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1725),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [20760] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(266),
    1,
    sym_comment,
    ACTIONS(1731),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1729),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [20807] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(267),
    1,
    sym_comment,
    ACTIONS(1735),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1733),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [20854] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(268),
    1,
    sym_comment,
    ACTIONS(1739),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1737),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [20901] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(269),
    1,
    sym_comment,
    ACTIONS(1743),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1741),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [20948] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(270),
    1,
    sym_comment,
    ACTIONS(1747),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1745),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [20995] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(271),
    1,
    sym_comment,
    ACTIONS(1751),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1749),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [21042] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(272),
    1,
    sym_comment,
    ACTIONS(1755),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1753),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [21089] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(273),
    1,
    sym_comment,
    ACTIONS(1759),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1757),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [21136] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(274),
    1,
    sym_comment,
    ACTIONS(1763),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1761),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [21183] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(275),
    1,
    sym_comment,
    ACTIONS(1767),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1765),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [21230] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(276),
    1,
    sym_comment,
    ACTIONS(1771),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1769),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [21277] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(277),
    1,
    sym_comment,
    ACTIONS(1775),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1773),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [21324] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(278),
    1,
    sym_comment,
    ACTIONS(1779),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1777),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [21371] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(279),
    1,
    sym_comment,
    ACTIONS(1783),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1781),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [21418] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(280),
    1,
    sym_comment,
    ACTIONS(1787),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1785),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [21465] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(281),
    1,
    sym_comment,
    ACTIONS(1791),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1789),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [21512] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(282),
    1,
    sym_comment,
    ACTIONS(1795),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1793),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [21559] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(283),
    1,
    sym_comment,
    ACTIONS(1799),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1797),
    29,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_alias,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [21605] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(284),
    1,
    sym_comment,
    ACTIONS(1803),
    6,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    ACTIONS(1801),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [21651] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(285),
    1,
    sym_comment,
    ACTIONS(1807),
    6,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    ACTIONS(1805),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [21697] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(286),
    1,
    sym_comment,
    ACTIONS(1811),
    6,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    ACTIONS(1809),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [21743] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(287),
    1,
    sym_comment,
    ACTIONS(1815),
    6,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    ACTIONS(1813),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [21789] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(288),
    1,
    sym_comment,
    ACTIONS(1819),
    6,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    ACTIONS(1817),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [21835] = 23,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_longlong,
    ACTIONS(73),
    1,
    anon_sym_int64,
    ACTIONS(75),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    sym_signed_tiny_int,
    ACTIONS(83),
    1,
    anon_sym_unsignedshort,
    ACTIONS(85),
    1,
    anon_sym_uint16,
    ACTIONS(89),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(91),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(289),
    1,
    sym_comment,
    STATE(953),
    1,
    sym_scoped_name,
    STATE(1272),
    1,
    sym_integer_type,
    STATE(1298),
    1,
    sym_switch_type_spec,
    ACTIONS(67),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(69),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(87),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    ACTIONS(1821),
    4,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    [21916] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(290),
    1,
    sym_comment,
    ACTIONS(1825),
    5,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    ACTIONS(1823),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [21961] = 24,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(21),
    1,
    anon_sym_interface,
    ACTIONS(23),
    1,
    anon_sym_bitset,
    ACTIONS(25),
    1,
    anon_sym_bitmask,
    ACTIONS(31),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(39),
    1,
    anon_sym_struct,
    ACTIONS(41),
    1,
    anon_sym_union,
    ACTIONS(43),
    1,
    anon_sym_enum,
    ACTIONS(49),
    1,
    anon_sym_typedef,
    ACTIONS(65),
    1,
    anon_sym_native,
    ACTIONS(125),
    1,
    anon_sym_AT,
    STATE(291),
    1,
    sym_comment,
    STATE(344),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(372),
    1,
    sym_annotation_appl,
    STATE(373),
    1,
    sym_extend_annotation_appl,
    STATE(1324),
    1,
    sym_interface_header,
    STATE(1326),
    1,
    sym_interface_kind,
    ACTIONS(17),
    2,
    anon_sym_local,
    anon_sym_abstract,
    STATE(957),
    2,
    sym_struct_forward_dcl,
    sym_struct_def,
    STATE(959),
    2,
    sym_union_forward_dcl,
    sym_union_def,
    STATE(1218),
    2,
    sym_interface_forward_dcl,
    sym_interface_def,
    STATE(1181),
    3,
    sym_typedef_dcl,
    sym_constr_type_dcl,
    sym_native_dcl,
    STATE(966),
    5,
    sym_bitset_dcl,
    sym_bitmask_dcl,
    sym_enum_dcl,
    sym_union_dcl,
    sym_struct_dcl,
    [22044] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(292),
    1,
    sym_comment,
    ACTIONS(1829),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1827),
    27,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [22088] = 21,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(596),
    1,
    anon_sym_LPAREN,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(608),
    1,
    anon_sym_L,
    ACTIONS(610),
    1,
    anon_sym_SQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(293),
    1,
    sym_comment,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(312),
    1,
    sym_dec_number,
    STATE(336),
    1,
    sym_oct_number,
    STATE(338),
    1,
    sym_literal,
    STATE(339),
    1,
    sym_primary_expr,
    STATE(436),
    1,
    sym_integer_sign,
    ACTIONS(600),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(602),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(604),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(612),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    ACTIONS(1831),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    STATE(327),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [22164] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(294),
    1,
    sym_comment,
    ACTIONS(1835),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1833),
    27,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [22208] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(295),
    1,
    sym_comment,
    ACTIONS(1839),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1837),
    27,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [22252] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(296),
    1,
    sym_comment,
    ACTIONS(1843),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1841),
    27,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [22296] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(297),
    1,
    sym_comment,
    ACTIONS(1847),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1845),
    27,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [22340] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1851),
    1,
    anon_sym_AT,
    STATE(298),
    1,
    sym_comment,
    ACTIONS(1849),
    27,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_alias,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [22382] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1855),
    1,
    anon_sym_AT,
    STATE(299),
    1,
    sym_comment,
    ACTIONS(1853),
    27,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_alias,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [22424] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1859),
    1,
    anon_sym_AT,
    STATE(300),
    1,
    sym_comment,
    ACTIONS(1857),
    27,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_alias,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [22466] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1863),
    1,
    anon_sym_AT,
    STATE(301),
    1,
    sym_comment,
    ACTIONS(1861),
    26,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [22507] = 19,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(69),
    1,
    anon_sym_long,
    ACTIONS(87),
    1,
    anon_sym_unsignedlong,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1867),
    1,
    anon_sym_int32,
    ACTIONS(1869),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(1873),
    1,
    sym_signed_tiny_int,
    ACTIONS(1875),
    1,
    anon_sym_uint32,
    STATE(302),
    1,
    sym_comment,
    STATE(1087),
    1,
    sym_destination_type,
    STATE(1088),
    1,
    sym_integer_type,
    ACTIONS(71),
    2,
    anon_sym_longlong,
    anon_sym_int64,
    ACTIONS(83),
    2,
    anon_sym_unsignedshort,
    anon_sym_uint16,
    ACTIONS(89),
    2,
    anon_sym_unsignedlonglong,
    anon_sym_uint64,
    ACTIONS(1865),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(1871),
    2,
    sym_boolean_type,
    sym_octet_type,
    STATE(507),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(484),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(487),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    [22575] = 19,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(23),
    1,
    anon_sym_bitset,
    ACTIONS(25),
    1,
    anon_sym_bitmask,
    ACTIONS(31),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(39),
    1,
    anon_sym_struct,
    ACTIONS(41),
    1,
    anon_sym_union,
    ACTIONS(43),
    1,
    anon_sym_enum,
    ACTIONS(49),
    1,
    anon_sym_typedef,
    ACTIONS(65),
    1,
    anon_sym_native,
    ACTIONS(125),
    1,
    anon_sym_AT,
    STATE(303),
    1,
    sym_comment,
    STATE(344),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(372),
    1,
    sym_annotation_appl,
    STATE(373),
    1,
    sym_extend_annotation_appl,
    STATE(957),
    2,
    sym_struct_forward_dcl,
    sym_struct_def,
    STATE(959),
    2,
    sym_union_forward_dcl,
    sym_union_def,
    STATE(1181),
    3,
    sym_typedef_dcl,
    sym_constr_type_dcl,
    sym_native_dcl,
    STATE(966),
    5,
    sym_bitset_dcl,
    sym_bitmask_dcl,
    sym_enum_dcl,
    sym_union_dcl,
    sym_struct_dcl,
    [22641] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1877),
    1,
    anon_sym_RBRACE,
    ACTIONS(1879),
    1,
    anon_sym_readonly,
    ACTIONS(1881),
    1,
    anon_sym_attribute,
    ACTIONS(1883),
    1,
    anon_sym_provides,
    ACTIONS(1885),
    1,
    anon_sym_uses,
    ACTIONS(1887),
    1,
    anon_sym_emits,
    ACTIONS(1889),
    1,
    anon_sym_publishes,
    ACTIONS(1891),
    1,
    anon_sym_consumes,
    STATE(304),
    1,
    sym_comment,
    STATE(307),
    1,
    aux_sym_component_body_repeat1,
    STATE(426),
    1,
    sym_component_export,
    STATE(1038),
    1,
    sym_component_body,
    ACTIONS(1893),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(1052),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(1039),
    7,
    sym_attr_dcl,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_emits_dcl,
    sym_publishes_dcl,
    sym_consumes_dcl,
    sym_port_dcl,
    [22701] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(305),
    1,
    sym_comment,
    ACTIONS(1595),
    3,
    anon_sym_GT,
    anon_sym_SLASH,
    anon_sym_COLON,
    ACTIONS(1597),
    18,
    anon_sym_COLON_COLON,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    anon_sym_supports,
    anon_sym_RBRACK,
    anon_sym_manages,
    anon_sym_primarykey,
    [22736] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(306),
    1,
    sym_comment,
    ACTIONS(1591),
    3,
    anon_sym_GT,
    anon_sym_SLASH,
    anon_sym_COLON,
    ACTIONS(1593),
    18,
    anon_sym_COLON_COLON,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    anon_sym_supports,
    anon_sym_RBRACK,
    anon_sym_manages,
    anon_sym_primarykey,
    [22771] = 16,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    anon_sym_readonly,
    ACTIONS(1881),
    1,
    anon_sym_attribute,
    ACTIONS(1883),
    1,
    anon_sym_provides,
    ACTIONS(1885),
    1,
    anon_sym_uses,
    ACTIONS(1887),
    1,
    anon_sym_emits,
    ACTIONS(1889),
    1,
    anon_sym_publishes,
    ACTIONS(1891),
    1,
    anon_sym_consumes,
    ACTIONS(1895),
    1,
    anon_sym_RBRACE,
    STATE(307),
    1,
    sym_comment,
    STATE(308),
    1,
    aux_sym_component_body_repeat1,
    STATE(426),
    1,
    sym_component_export,
    ACTIONS(1893),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(1052),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(1039),
    7,
    sym_attr_dcl,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_emits_dcl,
    sym_publishes_dcl,
    sym_consumes_dcl,
    sym_port_dcl,
    [22828] = 15,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1897),
    1,
    anon_sym_RBRACE,
    ACTIONS(1899),
    1,
    anon_sym_readonly,
    ACTIONS(1902),
    1,
    anon_sym_attribute,
    ACTIONS(1905),
    1,
    anon_sym_provides,
    ACTIONS(1908),
    1,
    anon_sym_uses,
    ACTIONS(1911),
    1,
    anon_sym_emits,
    ACTIONS(1914),
    1,
    anon_sym_publishes,
    ACTIONS(1917),
    1,
    anon_sym_consumes,
    STATE(426),
    1,
    sym_component_export,
    ACTIONS(1920),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(308),
    2,
    sym_comment,
    aux_sym_component_body_repeat1,
    STATE(1052),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(1039),
    7,
    sym_attr_dcl,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_emits_dcl,
    sym_publishes_dcl,
    sym_consumes_dcl,
    sym_port_dcl,
    [22883] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(309),
    1,
    sym_comment,
    ACTIONS(1569),
    3,
    anon_sym_GT,
    anon_sym_SLASH,
    anon_sym_COLON,
    ACTIONS(1571),
    17,
    anon_sym_COLON_COLON,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_DQUOTE,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    sym_identifier,
    [22917] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(310),
    1,
    sym_comment,
    ACTIONS(1923),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1925),
    17,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_DOT,
    aux_sym_floating_pt_literal_token1,
    aux_sym_fixed_pt_literal_token1,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [22950] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1927),
    1,
    anon_sym_COLON_COLON,
    STATE(311),
    1,
    sym_comment,
    ACTIONS(1929),
    3,
    anon_sym_GT,
    anon_sym_SLASH,
    anon_sym_COLON,
    ACTIONS(1931),
    13,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [22983] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1937),
    1,
    anon_sym_DOT,
    STATE(312),
    1,
    sym_comment,
    ACTIONS(1933),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1935),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [23016] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1943),
    1,
    anon_sym_DOT,
    STATE(313),
    1,
    sym_comment,
    ACTIONS(1939),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1941),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [23049] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(314),
    1,
    sym_comment,
    ACTIONS(1945),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1947),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [23079] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1949),
    1,
    anon_sym_GT,
    ACTIONS(1955),
    1,
    anon_sym_SLASH,
    STATE(315),
    1,
    sym_comment,
    ACTIONS(1953),
    2,
    anon_sym_STAR,
    anon_sym_PERCENT,
    ACTIONS(1951),
    12,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [23113] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(316),
    1,
    sym_comment,
    ACTIONS(1957),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1959),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [23143] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(317),
    1,
    sym_comment,
    ACTIONS(1961),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1963),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [23173] = 15,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    anon_sym_readonly,
    ACTIONS(1881),
    1,
    anon_sym_attribute,
    ACTIONS(1883),
    1,
    anon_sym_provides,
    ACTIONS(1885),
    1,
    anon_sym_uses,
    ACTIONS(1965),
    1,
    anon_sym_RBRACE,
    STATE(318),
    1,
    sym_comment,
    STATE(329),
    1,
    aux_sym_port_body_repeat1,
    STATE(449),
    1,
    sym_port_ref,
    STATE(453),
    1,
    sym_port_export,
    STATE(1323),
    1,
    sym_attr_dcl,
    ACTIONS(1893),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(1052),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(1030),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [23223] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1955),
    1,
    anon_sym_SLASH,
    ACTIONS(1967),
    1,
    anon_sym_GT,
    STATE(319),
    1,
    sym_comment,
    ACTIONS(1953),
    2,
    anon_sym_STAR,
    anon_sym_PERCENT,
    ACTIONS(1969),
    12,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [23257] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(320),
    1,
    sym_comment,
    ACTIONS(1971),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1973),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [23287] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(321),
    1,
    sym_comment,
    ACTIONS(1975),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1977),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [23317] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(322),
    1,
    sym_comment,
    ACTIONS(1979),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1981),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [23347] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(323),
    1,
    sym_comment,
    ACTIONS(1983),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1985),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [23377] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(324),
    1,
    sym_comment,
    ACTIONS(1987),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1989),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [23407] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(325),
    1,
    sym_comment,
    ACTIONS(1991),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1993),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [23437] = 14,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1995),
    1,
    anon_sym_RBRACE,
    ACTIONS(1997),
    1,
    anon_sym_readonly,
    ACTIONS(2000),
    1,
    anon_sym_attribute,
    ACTIONS(2003),
    1,
    anon_sym_provides,
    ACTIONS(2006),
    1,
    anon_sym_uses,
    STATE(446),
    1,
    sym_connector_export,
    STATE(454),
    1,
    sym_port_ref,
    STATE(1031),
    1,
    sym_attr_dcl,
    ACTIONS(2009),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(326),
    2,
    sym_comment,
    aux_sym_connector_dcl_repeat1,
    STATE(1052),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(1030),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [23485] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(327),
    1,
    sym_comment,
    ACTIONS(2012),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(2014),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [23515] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(328),
    1,
    sym_comment,
    ACTIONS(1939),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1941),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [23545] = 14,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2016),
    1,
    anon_sym_RBRACE,
    ACTIONS(2018),
    1,
    anon_sym_readonly,
    ACTIONS(2021),
    1,
    anon_sym_attribute,
    ACTIONS(2024),
    1,
    anon_sym_provides,
    ACTIONS(2027),
    1,
    anon_sym_uses,
    STATE(449),
    1,
    sym_port_ref,
    STATE(453),
    1,
    sym_port_export,
    STATE(1323),
    1,
    sym_attr_dcl,
    ACTIONS(2030),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(329),
    2,
    sym_comment,
    aux_sym_port_body_repeat1,
    STATE(1052),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(1030),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [23593] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(330),
    1,
    sym_comment,
    ACTIONS(2033),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(2035),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [23623] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(331),
    1,
    sym_comment,
    ACTIONS(2037),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(2039),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [23653] = 15,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    anon_sym_readonly,
    ACTIONS(1881),
    1,
    anon_sym_attribute,
    ACTIONS(1883),
    1,
    anon_sym_provides,
    ACTIONS(1885),
    1,
    anon_sym_uses,
    ACTIONS(2041),
    1,
    anon_sym_RBRACE,
    STATE(326),
    1,
    aux_sym_connector_dcl_repeat1,
    STATE(332),
    1,
    sym_comment,
    STATE(446),
    1,
    sym_connector_export,
    STATE(454),
    1,
    sym_port_ref,
    STATE(1031),
    1,
    sym_attr_dcl,
    ACTIONS(1893),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(1052),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(1030),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [23703] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(333),
    1,
    sym_comment,
    ACTIONS(2043),
    6,
    anon_sym_COLON_COLON,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_LPAREN,
    anon_sym_DQUOTE,
    anon_sym_SQUOTE,
    ACTIONS(2045),
    10,
    sym_bin_number,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    sym_hex_number,
    anon_sym_L,
    anon_sym_TRUE,
    anon_sym_FALSE,
    sym_identifier,
    [23733] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(334),
    1,
    sym_comment,
    ACTIONS(2047),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(2049),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [23763] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(335),
    1,
    sym_comment,
    ACTIONS(2051),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(2053),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [23793] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(336),
    1,
    sym_comment,
    ACTIONS(1933),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1935),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [23823] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(337),
    1,
    sym_comment,
    ACTIONS(2055),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(2057),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [23853] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(338),
    1,
    sym_comment,
    ACTIONS(1929),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1931),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [23883] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(339),
    1,
    sym_comment,
    ACTIONS(2059),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(2061),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [23913] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(340),
    1,
    sym_comment,
    ACTIONS(2063),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(2065),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [23943] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(341),
    1,
    sym_comment,
    ACTIONS(2067),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(2069),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [23973] = 15,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    anon_sym_readonly,
    ACTIONS(1881),
    1,
    anon_sym_attribute,
    ACTIONS(1883),
    1,
    anon_sym_provides,
    ACTIONS(1885),
    1,
    anon_sym_uses,
    ACTIONS(2071),
    1,
    anon_sym_RBRACE,
    STATE(318),
    1,
    aux_sym_port_body_repeat1,
    STATE(342),
    1,
    sym_comment,
    STATE(449),
    1,
    sym_port_ref,
    STATE(453),
    1,
    sym_port_export,
    STATE(1323),
    1,
    sym_attr_dcl,
    ACTIONS(1893),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(1052),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(1030),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [24023] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(343),
    1,
    sym_comment,
    ACTIONS(2043),
    6,
    anon_sym_COLON_COLON,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_LPAREN,
    anon_sym_DQUOTE,
    anon_sym_SQUOTE,
    ACTIONS(2045),
    10,
    sym_bin_number,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    sym_hex_number,
    anon_sym_L,
    anon_sym_TRUE,
    anon_sym_FALSE,
    sym_identifier,
    [24053] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2073),
    1,
    anon_sym_AT,
    ACTIONS(2076),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(372),
    1,
    sym_annotation_appl,
    STATE(373),
    1,
    sym_extend_annotation_appl,
    STATE(344),
    2,
    sym_comment,
    aux_sym_interface_dcl_repeat1,
    ACTIONS(1457),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [24088] = 14,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1879),
    1,
    anon_sym_readonly,
    ACTIONS(1881),
    1,
    anon_sym_attribute,
    ACTIONS(1883),
    1,
    anon_sym_provides,
    ACTIONS(1885),
    1,
    anon_sym_uses,
    STATE(332),
    1,
    aux_sym_connector_dcl_repeat1,
    STATE(345),
    1,
    sym_comment,
    STATE(446),
    1,
    sym_connector_export,
    STATE(454),
    1,
    sym_port_ref,
    STATE(1031),
    1,
    sym_attr_dcl,
    ACTIONS(1893),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(1052),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(1030),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [24135] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2079),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2081),
    1,
    anon_sym_LPAREN,
    STATE(346),
    1,
    sym_comment,
    ACTIONS(1531),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [24165] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(347),
    1,
    sym_comment,
    ACTIONS(1597),
    14,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [24191] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(348),
    1,
    sym_comment,
    ACTIONS(1571),
    14,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [24217] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(349),
    1,
    sym_comment,
    ACTIONS(1593),
    14,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [24243] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2083),
    1,
    anon_sym_LPAREN,
    STATE(350),
    1,
    sym_comment,
    ACTIONS(1495),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [24270] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2085),
    1,
    anon_sym_LPAREN,
    STATE(351),
    1,
    sym_comment,
    ACTIONS(1565),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [24297] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1927),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1929),
    1,
    anon_sym_SLASH,
    ACTIONS(2087),
    1,
    anon_sym_GT,
    ACTIONS(2089),
    1,
    anon_sym_COMMA,
    STATE(352),
    1,
    sym_comment,
    ACTIONS(1931),
    9,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    [24330] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2091),
    1,
    anon_sym_GT,
    STATE(353),
    1,
    sym_comment,
    ACTIONS(2095),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(2093),
    10,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [24359] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2097),
    1,
    anon_sym_LPAREN,
    STATE(354),
    1,
    sym_comment,
    ACTIONS(1483),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [24386] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2099),
    1,
    anon_sym_LPAREN,
    STATE(355),
    1,
    sym_comment,
    ACTIONS(1553),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [24413] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2101),
    1,
    anon_sym_LPAREN,
    STATE(356),
    1,
    sym_comment,
    ACTIONS(1575),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [24440] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2103),
    1,
    anon_sym_LPAREN,
    STATE(357),
    1,
    sym_comment,
    ACTIONS(1581),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [24467] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2105),
    1,
    anon_sym_GT,
    STATE(358),
    1,
    sym_comment,
    ACTIONS(2095),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(2107),
    10,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [24496] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2109),
    1,
    anon_sym_LPAREN,
    STATE(359),
    1,
    sym_comment,
    ACTIONS(1587),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [24523] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2111),
    1,
    anon_sym_LPAREN,
    STATE(360),
    1,
    sym_comment,
    ACTIONS(1605),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [24550] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2113),
    1,
    anon_sym_LPAREN,
    STATE(361),
    1,
    sym_comment,
    ACTIONS(1559),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [24577] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2115),
    1,
    anon_sym_LPAREN,
    STATE(362),
    1,
    sym_comment,
    ACTIONS(1547),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [24604] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2117),
    1,
    anon_sym_LPAREN,
    STATE(363),
    1,
    sym_comment,
    ACTIONS(1537),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [24631] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2119),
    1,
    anon_sym_LPAREN,
    STATE(364),
    1,
    sym_comment,
    ACTIONS(1517),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [24658] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1569),
    1,
    anon_sym_SLASH,
    ACTIONS(2121),
    1,
    anon_sym_EQ,
    STATE(365),
    1,
    sym_comment,
    ACTIONS(1571),
    11,
    anon_sym_COLON_COLON,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    [24687] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2123),
    1,
    anon_sym_LPAREN,
    STATE(366),
    1,
    sym_comment,
    ACTIONS(1511),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [24714] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2125),
    1,
    anon_sym_LPAREN,
    STATE(367),
    1,
    sym_comment,
    ACTIONS(1501),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [24741] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2127),
    1,
    anon_sym_LPAREN,
    STATE(368),
    1,
    sym_comment,
    ACTIONS(1489),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [24768] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(369),
    1,
    sym_comment,
    ACTIONS(1631),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [24792] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(370),
    1,
    sym_comment,
    ACTIONS(1619),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [24816] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2133),
    1,
    aux_sym_dec_number_token1,
    STATE(371),
    1,
    sym_comment,
    STATE(438),
    1,
    sym_integer_sign,
    STATE(1226),
    1,
    sym_integer_literal,
    ACTIONS(1831),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(2129),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(2131),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(336),
    2,
    sym_oct_number,
    sym_dec_number,
    [24854] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(372),
    1,
    sym_comment,
    ACTIONS(1795),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [24878] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(373),
    1,
    sym_comment,
    ACTIONS(1751),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [24902] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(374),
    1,
    sym_comment,
    ACTIONS(1727),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [24926] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(375),
    1,
    sym_comment,
    ACTIONS(1743),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [24950] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(376),
    1,
    sym_comment,
    ACTIONS(1695),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [24974] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(377),
    1,
    sym_comment,
    ACTIONS(1747),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [24998] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(378),
    1,
    sym_comment,
    ACTIONS(1543),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25022] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2133),
    1,
    aux_sym_dec_number_token1,
    STATE(379),
    1,
    sym_comment,
    STATE(438),
    1,
    sym_integer_sign,
    STATE(1011),
    1,
    sym_integer_literal,
    ACTIONS(1831),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(2129),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(2131),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(336),
    2,
    sym_oct_number,
    sym_dec_number,
    [25060] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(380),
    1,
    sym_comment,
    ACTIONS(1763),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25084] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(381),
    1,
    sym_comment,
    ACTIONS(1767),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25108] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(382),
    1,
    sym_comment,
    ACTIONS(1771),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25132] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(383),
    1,
    sym_comment,
    ACTIONS(1775),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25156] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(384),
    1,
    sym_comment,
    ACTIONS(1779),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25180] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(385),
    1,
    sym_comment,
    ACTIONS(1783),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25204] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(386),
    1,
    sym_comment,
    ACTIONS(1787),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25228] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(387),
    1,
    sym_comment,
    ACTIONS(1791),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25252] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(388),
    1,
    sym_comment,
    ACTIONS(1611),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25276] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(389),
    1,
    sym_comment,
    ACTIONS(1711),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25300] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(390),
    1,
    sym_comment,
    ACTIONS(1703),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25324] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(391),
    1,
    sym_comment,
    ACTIONS(1691),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25348] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(392),
    1,
    sym_comment,
    ACTIONS(1687),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25372] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2133),
    1,
    aux_sym_dec_number_token1,
    STATE(393),
    1,
    sym_comment,
    STATE(438),
    1,
    sym_integer_sign,
    STATE(1184),
    1,
    sym_integer_literal,
    ACTIONS(1831),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(2129),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(2131),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(336),
    2,
    sym_oct_number,
    sym_dec_number,
    [25410] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(394),
    1,
    sym_comment,
    ACTIONS(1683),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25434] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(395),
    1,
    sym_comment,
    ACTIONS(1679),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25458] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(396),
    1,
    sym_comment,
    ACTIONS(1675),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25482] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(397),
    1,
    sym_comment,
    ACTIONS(1707),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25506] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(398),
    1,
    sym_comment,
    ACTIONS(1639),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25530] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(399),
    1,
    sym_comment,
    ACTIONS(1635),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25554] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(400),
    1,
    sym_comment,
    ACTIONS(1667),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25578] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(401),
    1,
    sym_comment,
    ACTIONS(1699),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25602] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(402),
    1,
    sym_comment,
    ACTIONS(1715),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25626] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(403),
    1,
    sym_comment,
    ACTIONS(1647),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25650] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(404),
    1,
    sym_comment,
    ACTIONS(1623),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25674] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(405),
    1,
    sym_comment,
    ACTIONS(1627),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25698] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(406),
    1,
    sym_comment,
    ACTIONS(1527),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25722] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(407),
    1,
    sym_comment,
    ACTIONS(1643),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25746] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(408),
    1,
    sym_comment,
    ACTIONS(1735),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25770] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2133),
    1,
    aux_sym_dec_number_token1,
    STATE(409),
    1,
    sym_comment,
    STATE(438),
    1,
    sym_integer_sign,
    STATE(1137),
    1,
    sym_integer_literal,
    ACTIONS(1831),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(2129),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(2131),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(336),
    2,
    sym_oct_number,
    sym_dec_number,
    [25808] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(410),
    1,
    sym_comment,
    ACTIONS(1723),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25832] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(411),
    1,
    sym_comment,
    ACTIONS(1719),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25856] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(412),
    1,
    sym_comment,
    ACTIONS(1615),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25880] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(413),
    1,
    sym_comment,
    ACTIONS(1655),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25904] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(414),
    1,
    sym_comment,
    ACTIONS(1663),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25928] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(415),
    1,
    sym_comment,
    ACTIONS(1651),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25952] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(416),
    1,
    sym_comment,
    ACTIONS(1659),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [25976] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(417),
    1,
    sym_comment,
    ACTIONS(1739),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [26000] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(418),
    1,
    sym_comment,
    ACTIONS(1671),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [26024] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(419),
    1,
    sym_comment,
    ACTIONS(1759),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [26048] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(420),
    1,
    sym_comment,
    ACTIONS(1755),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [26072] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(421),
    1,
    sym_comment,
    ACTIONS(1731),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_native,
    [26096] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2135),
    1,
    anon_sym_GT,
    STATE(422),
    1,
    sym_comment,
    ACTIONS(2139),
    2,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    ACTIONS(2137),
    8,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [26123] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2141),
    1,
    anon_sym_GT,
    STATE(423),
    1,
    sym_comment,
    ACTIONS(2139),
    2,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    ACTIONS(2143),
    8,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [26150] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1883),
    1,
    anon_sym_provides,
    ACTIONS(1885),
    1,
    anon_sym_uses,
    ACTIONS(2145),
    1,
    anon_sym_RBRACE,
    STATE(342),
    1,
    sym_port_ref,
    STATE(424),
    1,
    sym_comment,
    STATE(1080),
    1,
    sym_port_body,
    ACTIONS(1893),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(1030),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [26184] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(425),
    1,
    sym_comment,
    ACTIONS(2147),
    10,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_emits,
    anon_sym_publishes,
    anon_sym_consumes,
    anon_sym_port,
    anon_sym_mirrorport,
    [26206] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(426),
    1,
    sym_comment,
    ACTIONS(2149),
    10,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_emits,
    anon_sym_publishes,
    anon_sym_consumes,
    anon_sym_port,
    anon_sym_mirrorport,
    [26228] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(427),
    1,
    sym_comment,
    ACTIONS(1597),
    9,
    anon_sym_COLON_COLON,
    anon_sym_LT,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_DQUOTE,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    sym_identifier,
    [26249] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(428),
    1,
    sym_comment,
    ACTIONS(1593),
    9,
    anon_sym_COLON_COLON,
    anon_sym_LT,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_DQUOTE,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    sym_identifier,
    [26270] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2153),
    1,
    anon_sym_AMP,
    STATE(429),
    1,
    sym_comment,
    ACTIONS(2151),
    8,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [26293] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2153),
    1,
    anon_sym_AMP,
    STATE(430),
    1,
    sym_comment,
    ACTIONS(2155),
    8,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [26316] = 11,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2157),
    1,
    anon_sym_RBRACE,
    ACTIONS(2159),
    1,
    anon_sym_AT,
    ACTIONS(2161),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2163),
    1,
    sym_identifier,
    STATE(431),
    1,
    sym_comment,
    STATE(469),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(788),
    1,
    sym_annotation_appl,
    STATE(798),
    1,
    sym_enumerator,
    STATE(801),
    1,
    sym_extend_annotation_appl,
    [26350] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(432),
    1,
    sym_comment,
    ACTIONS(1571),
    8,
    anon_sym_COLON_COLON,
    anon_sym_LT,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    anon_sym_supports,
    anon_sym_manages,
    anon_sym_primarykey,
    [26370] = 11,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2159),
    1,
    anon_sym_AT,
    ACTIONS(2161),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2165),
    1,
    anon_sym_RBRACE,
    ACTIONS(2167),
    1,
    sym_identifier,
    STATE(433),
    1,
    sym_comment,
    STATE(456),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(729),
    1,
    sym_bit_value,
    STATE(788),
    1,
    sym_annotation_appl,
    STATE(801),
    1,
    sym_extend_annotation_appl,
    [26404] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2169),
    1,
    anon_sym_COMMA,
    ACTIONS(2171),
    1,
    anon_sym_SEMI,
    ACTIONS(2173),
    1,
    anon_sym_getraises,
    ACTIONS(2175),
    1,
    anon_sym_setraises,
    STATE(434),
    1,
    sym_comment,
    STATE(721),
    1,
    sym_get_excep_expr,
    STATE(723),
    1,
    aux_sym_readonly_attr_declarator_repeat1,
    STATE(1172),
    1,
    sym_set_excep_expr,
    STATE(1174),
    1,
    sym_attr_raises_expr,
    [26438] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2179),
    1,
    anon_sym_CARET,
    STATE(435),
    1,
    sym_comment,
    ACTIONS(2177),
    7,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [26460] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2133),
    1,
    aux_sym_dec_number_token1,
    STATE(313),
    1,
    sym_dec_number,
    STATE(328),
    1,
    sym_oct_number,
    STATE(436),
    1,
    sym_comment,
    ACTIONS(2131),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(2181),
    2,
    sym_bin_number,
    sym_hex_number,
    [26490] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2179),
    1,
    anon_sym_CARET,
    STATE(437),
    1,
    sym_comment,
    ACTIONS(2183),
    7,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [26512] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(604),
    1,
    anon_sym_0,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2133),
    1,
    aux_sym_dec_number_token1,
    STATE(438),
    1,
    sym_comment,
    ACTIONS(2131),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(2181),
    2,
    sym_bin_number,
    sym_hex_number,
    STATE(328),
    2,
    sym_oct_number,
    sym_dec_number,
    [26540] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2185),
    1,
    anon_sym_LBRACE,
    ACTIONS(2187),
    1,
    anon_sym_COLON,
    ACTIONS(2189),
    1,
    anon_sym_SEMI,
    ACTIONS(2191),
    1,
    anon_sym_supports,
    STATE(439),
    1,
    sym_comment,
    STATE(744),
    1,
    sym_value_inheritance,
    STATE(1128),
    1,
    sym_value_supports,
    STATE(1130),
    1,
    sym_value_inheritance_spec,
    [26571] = 10,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2159),
    1,
    anon_sym_AT,
    ACTIONS(2161),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2167),
    1,
    sym_identifier,
    STATE(440),
    1,
    sym_comment,
    STATE(456),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(788),
    1,
    sym_annotation_appl,
    STATE(801),
    1,
    sym_extend_annotation_appl,
    STATE(961),
    1,
    sym_bit_value,
    [26602] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(441),
    1,
    sym_comment,
    ACTIONS(2193),
    7,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    anon_sym_raises,
    anon_sym_getraises,
    anon_sym_setraises,
    anon_sym_default,
    [26621] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2195),
    1,
    anon_sym_RBRACE,
    ACTIONS(2197),
    1,
    anon_sym_default,
    ACTIONS(2199),
    1,
    anon_sym_case,
    STATE(31),
    1,
    aux_sym_case_repeat1,
    STATE(163),
    1,
    sym_case_label,
    STATE(442),
    1,
    sym_comment,
    STATE(452),
    1,
    aux_sym_union_def_repeat1,
    STATE(839),
    1,
    sym_case,
    [26652] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(443),
    1,
    sym_comment,
    ACTIONS(2201),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [26671] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(444),
    1,
    sym_comment,
    ACTIONS(2203),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [26690] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2207),
    1,
    anon_sym_PIPE,
    STATE(445),
    1,
    sym_comment,
    ACTIONS(2205),
    6,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [26711] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(446),
    1,
    sym_comment,
    ACTIONS(2209),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [26730] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2187),
    1,
    anon_sym_COLON,
    ACTIONS(2191),
    1,
    anon_sym_supports,
    ACTIONS(2211),
    1,
    anon_sym_LBRACE,
    ACTIONS(2213),
    1,
    anon_sym_SEMI,
    STATE(447),
    1,
    sym_comment,
    STATE(744),
    1,
    sym_value_inheritance,
    STATE(1025),
    1,
    sym_value_inheritance_spec,
    STATE(1128),
    1,
    sym_value_supports,
    [26761] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2215),
    1,
    anon_sym_RBRACE,
    ACTIONS(2217),
    1,
    anon_sym_default,
    ACTIONS(2220),
    1,
    anon_sym_case,
    STATE(31),
    1,
    aux_sym_case_repeat1,
    STATE(163),
    1,
    sym_case_label,
    STATE(839),
    1,
    sym_case,
    STATE(448),
    2,
    sym_comment,
    aux_sym_union_def_repeat1,
    [26790] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(449),
    1,
    sym_comment,
    ACTIONS(2223),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [26809] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(450),
    1,
    sym_comment,
    ACTIONS(2225),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [26828] = 10,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2159),
    1,
    anon_sym_AT,
    ACTIONS(2161),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2163),
    1,
    sym_identifier,
    STATE(451),
    1,
    sym_comment,
    STATE(469),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(788),
    1,
    sym_annotation_appl,
    STATE(801),
    1,
    sym_extend_annotation_appl,
    STATE(937),
    1,
    sym_enumerator,
    [26859] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2197),
    1,
    anon_sym_default,
    ACTIONS(2199),
    1,
    anon_sym_case,
    ACTIONS(2227),
    1,
    anon_sym_RBRACE,
    STATE(31),
    1,
    aux_sym_case_repeat1,
    STATE(163),
    1,
    sym_case_label,
    STATE(448),
    1,
    aux_sym_union_def_repeat1,
    STATE(452),
    1,
    sym_comment,
    STATE(839),
    1,
    sym_case,
    [26890] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(453),
    1,
    sym_comment,
    ACTIONS(2229),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [26909] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(454),
    1,
    sym_comment,
    ACTIONS(2231),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [26928] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2187),
    1,
    anon_sym_COLON,
    ACTIONS(2191),
    1,
    anon_sym_supports,
    ACTIONS(2233),
    1,
    anon_sym_LBRACE,
    STATE(455),
    1,
    sym_comment,
    STATE(744),
    1,
    sym_value_inheritance,
    STATE(1056),
    1,
    sym_value_inheritance_spec,
    STATE(1128),
    1,
    sym_value_supports,
    [26956] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2159),
    1,
    anon_sym_AT,
    ACTIONS(2161),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2235),
    1,
    sym_identifier,
    STATE(456),
    1,
    sym_comment,
    STATE(472),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(788),
    1,
    sym_annotation_appl,
    STATE(801),
    1,
    sym_extend_annotation_appl,
    [26984] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2237),
    1,
    anon_sym_AT,
    ACTIONS(2239),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2241),
    1,
    aux_sym_extend_annotation_appl_token1,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(457),
    1,
    sym_comment,
    STATE(458),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(754),
    1,
    sym_extend_annotation_appl,
    STATE(756),
    1,
    sym_annotation_appl,
    [27012] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1455),
    1,
    aux_sym_extend_annotation_appl_token1,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2245),
    1,
    anon_sym_AT,
    ACTIONS(2248),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(754),
    1,
    sym_extend_annotation_appl,
    STATE(756),
    1,
    sym_annotation_appl,
    STATE(458),
    2,
    sym_comment,
    aux_sym_interface_dcl_repeat1,
    [27038] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2237),
    1,
    anon_sym_AT,
    ACTIONS(2239),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2251),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(459),
    1,
    sym_comment,
    STATE(473),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(754),
    1,
    sym_extend_annotation_appl,
    STATE(756),
    1,
    sym_annotation_appl,
    [27066] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2237),
    1,
    anon_sym_AT,
    ACTIONS(2239),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2253),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(457),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(460),
    1,
    sym_comment,
    STATE(754),
    1,
    sym_extend_annotation_appl,
    STATE(756),
    1,
    sym_annotation_appl,
    [27094] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2257),
    1,
    anon_sym_LBRACK,
    STATE(461),
    1,
    sym_comment,
    STATE(466),
    1,
    aux_sym_array_declarator_repeat1,
    STATE(595),
    1,
    sym_fixed_array_size,
    ACTIONS(2255),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [27118] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2257),
    1,
    anon_sym_LBRACK,
    STATE(461),
    1,
    aux_sym_array_declarator_repeat1,
    STATE(462),
    1,
    sym_comment,
    STATE(595),
    1,
    sym_fixed_array_size,
    ACTIONS(2193),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [27142] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2237),
    1,
    anon_sym_AT,
    ACTIONS(2239),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2259),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(458),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(463),
    1,
    sym_comment,
    STATE(754),
    1,
    sym_extend_annotation_appl,
    STATE(756),
    1,
    sym_annotation_appl,
    [27170] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2261),
    1,
    anon_sym_LBRACE,
    ACTIONS(2263),
    1,
    anon_sym_COLON,
    ACTIONS(2265),
    1,
    anon_sym_SEMI,
    ACTIONS(2267),
    1,
    anon_sym_supports,
    STATE(464),
    1,
    sym_comment,
    STATE(845),
    1,
    sym_component_inheritance_spec,
    STATE(1074),
    1,
    sym_supported_interface_spec,
    [27198] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2237),
    1,
    anon_sym_AT,
    ACTIONS(2239),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2269),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(458),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(465),
    1,
    sym_comment,
    STATE(754),
    1,
    sym_extend_annotation_appl,
    STATE(756),
    1,
    sym_annotation_appl,
    [27226] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2273),
    1,
    anon_sym_LBRACK,
    STATE(595),
    1,
    sym_fixed_array_size,
    STATE(466),
    2,
    sym_comment,
    aux_sym_array_declarator_repeat1,
    ACTIONS(2271),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [27248] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2278),
    1,
    anon_sym_0,
    STATE(467),
    1,
    sym_comment,
    ACTIONS(2276),
    5,
    sym_bin_number,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    aux_sym_dec_number_token1,
    sym_hex_number,
    [27268] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2237),
    1,
    anon_sym_AT,
    ACTIONS(2239),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2280),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(463),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(468),
    1,
    sym_comment,
    STATE(754),
    1,
    sym_extend_annotation_appl,
    STATE(756),
    1,
    sym_annotation_appl,
    [27296] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2159),
    1,
    anon_sym_AT,
    ACTIONS(2161),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2282),
    1,
    sym_identifier,
    STATE(469),
    1,
    sym_comment,
    STATE(472),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(788),
    1,
    sym_annotation_appl,
    STATE(801),
    1,
    sym_extend_annotation_appl,
    [27324] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2284),
    1,
    anon_sym_Object,
    ACTIONS(2286),
    1,
    anon_sym_multiple,
    STATE(470),
    1,
    sym_comment,
    STATE(883),
    1,
    sym_scoped_name,
    STATE(1106),
    1,
    sym_interface_type,
    [27352] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2187),
    1,
    anon_sym_COLON,
    ACTIONS(2191),
    1,
    anon_sym_supports,
    ACTIONS(2288),
    1,
    anon_sym_LBRACE,
    STATE(471),
    1,
    sym_comment,
    STATE(744),
    1,
    sym_value_inheritance,
    STATE(1026),
    1,
    sym_value_inheritance_spec,
    STATE(1128),
    1,
    sym_value_supports,
    [27380] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1457),
    1,
    sym_identifier,
    ACTIONS(2290),
    1,
    anon_sym_AT,
    ACTIONS(2293),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(788),
    1,
    sym_annotation_appl,
    STATE(801),
    1,
    sym_extend_annotation_appl,
    STATE(472),
    2,
    sym_comment,
    aux_sym_interface_dcl_repeat1,
    [27406] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2237),
    1,
    anon_sym_AT,
    ACTIONS(2239),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2296),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(458),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(473),
    1,
    sym_comment,
    STATE(754),
    1,
    sym_extend_annotation_appl,
    STATE(756),
    1,
    sym_annotation_appl,
    [27434] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2298),
    1,
    sym_identifier,
    STATE(474),
    1,
    sym_comment,
    STATE(909),
    1,
    sym_scoped_name,
    STATE(1224),
    1,
    sym_imported_scope,
    STATE(1225),
    1,
    sym_string_literal,
    [27462] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2237),
    1,
    anon_sym_AT,
    ACTIONS(2239),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2300),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(465),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(475),
    1,
    sym_comment,
    STATE(754),
    1,
    sym_extend_annotation_appl,
    STATE(756),
    1,
    sym_annotation_appl,
    [27490] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2302),
    1,
    sym_identifier,
    STATE(476),
    1,
    sym_comment,
    STATE(548),
    1,
    sym_declarator,
    STATE(1401),
    1,
    sym_declarators,
    STATE(765),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [27513] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2304),
    1,
    aux_sym_data_representation_mask_token1,
    STATE(477),
    1,
    sym_comment,
    STATE(948),
    1,
    sym_data_representation_mask,
    ACTIONS(2306),
    3,
    aux_sym_data_representation_mask_token2,
    aux_sym_data_representation_mask_token3,
    aux_sym_data_representation_mask_token4,
    [27534] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2284),
    1,
    anon_sym_Object,
    STATE(478),
    1,
    sym_comment,
    STATE(883),
    1,
    sym_scoped_name,
    STATE(1353),
    1,
    sym_interface_type,
    [27559] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2304),
    1,
    aux_sym_data_representation_mask_token1,
    STATE(479),
    1,
    sym_comment,
    STATE(692),
    1,
    sym_data_representation_mask,
    ACTIONS(2306),
    3,
    aux_sym_data_representation_mask_token2,
    aux_sym_data_representation_mask_token3,
    aux_sym_data_representation_mask_token4,
    [27580] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2302),
    1,
    sym_identifier,
    STATE(480),
    1,
    sym_comment,
    STATE(548),
    1,
    sym_declarator,
    STATE(764),
    1,
    sym_declarators,
    STATE(765),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [27603] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(481),
    1,
    sym_comment,
    ACTIONS(2308),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [27620] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(482),
    1,
    sym_comment,
    ACTIONS(2310),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [27637] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(483),
    1,
    sym_comment,
    ACTIONS(2312),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [27654] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(484),
    1,
    sym_comment,
    ACTIONS(2314),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [27671] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1405),
    1,
    sym_identifier,
    ACTIONS(2316),
    1,
    anon_sym_truncatable,
    STATE(485),
    1,
    sym_comment,
    STATE(528),
    1,
    sym_scoped_name,
    STATE(536),
    1,
    sym_value_name,
    [27696] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2318),
    1,
    anon_sym_COLON,
    ACTIONS(2320),
    1,
    anon_sym_supports,
    ACTIONS(2322),
    1,
    anon_sym_manages,
    STATE(486),
    1,
    sym_comment,
    STATE(846),
    1,
    sym_home_inheritance_spec,
    STATE(1068),
    1,
    sym_supported_interface_spec,
    [27721] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(487),
    1,
    sym_comment,
    ACTIONS(2324),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [27738] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2304),
    1,
    aux_sym_data_representation_mask_token1,
    STATE(488),
    1,
    sym_comment,
    STATE(703),
    1,
    sym_data_representation_mask,
    ACTIONS(2306),
    3,
    aux_sym_data_representation_mask_token2,
    aux_sym_data_representation_mask_token3,
    aux_sym_data_representation_mask_token4,
    [27759] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(489),
    1,
    sym_comment,
    ACTIONS(2326),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [27776] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(490),
    1,
    sym_comment,
    ACTIONS(2328),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [27793] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(491),
    1,
    sym_comment,
    ACTIONS(1595),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27810] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(492),
    1,
    sym_comment,
    ACTIONS(1591),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27827] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(493),
    1,
    sym_comment,
    ACTIONS(2330),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [27844] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2332),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2334),
    1,
    anon_sym_LPAREN,
    STATE(494),
    1,
    sym_comment,
    ACTIONS(1529),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27865] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(495),
    1,
    sym_comment,
    ACTIONS(1569),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27882] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2336),
    1,
    anon_sym_RBRACE,
    ACTIONS(2338),
    1,
    anon_sym_bitfield,
    STATE(496),
    1,
    sym_comment,
    STATE(504),
    1,
    aux_sym_bitset_dcl_repeat1,
    STATE(749),
    1,
    sym_bitfield_spec,
    STATE(908),
    1,
    sym_bitfield,
    [27907] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2169),
    1,
    anon_sym_COMMA,
    ACTIONS(2340),
    1,
    anon_sym_SEMI,
    ACTIONS(2342),
    1,
    anon_sym_raises,
    STATE(497),
    1,
    sym_comment,
    STATE(787),
    1,
    aux_sym_readonly_attr_declarator_repeat1,
    STATE(1102),
    1,
    sym_raises_expr,
    [27932] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2302),
    1,
    sym_identifier,
    STATE(498),
    1,
    sym_comment,
    STATE(548),
    1,
    sym_declarator,
    STATE(642),
    1,
    sym_declarators,
    STATE(765),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [27955] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2304),
    1,
    aux_sym_data_representation_mask_token1,
    STATE(499),
    1,
    sym_comment,
    STATE(706),
    1,
    sym_data_representation_mask,
    ACTIONS(2306),
    3,
    aux_sym_data_representation_mask_token2,
    aux_sym_data_representation_mask_token3,
    aux_sym_data_representation_mask_token4,
    [27976] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2344),
    1,
    anon_sym_LT,
    ACTIONS(2346),
    1,
    anon_sym_DQUOTE,
    ACTIONS(2348),
    1,
    sym_identifier,
    STATE(500),
    1,
    sym_comment,
    STATE(1303),
    2,
    sym_string_literal,
    sym_system_lib_string,
    [27999] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(501),
    1,
    sym_comment,
    ACTIONS(1597),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [28016] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2350),
    1,
    anon_sym_LT,
    STATE(502),
    1,
    sym_comment,
    ACTIONS(2352),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [28035] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2354),
    1,
    anon_sym_LT,
    STATE(503),
    1,
    sym_comment,
    ACTIONS(2356),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [28054] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_bitfield,
    ACTIONS(2358),
    1,
    anon_sym_RBRACE,
    STATE(504),
    1,
    sym_comment,
    STATE(510),
    1,
    aux_sym_bitset_dcl_repeat1,
    STATE(749),
    1,
    sym_bitfield_spec,
    STATE(908),
    1,
    sym_bitfield,
    [28079] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(505),
    1,
    sym_comment,
    ACTIONS(1593),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [28096] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(506),
    1,
    sym_comment,
    ACTIONS(1571),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [28113] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(507),
    1,
    sym_comment,
    ACTIONS(2360),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [28130] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2362),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2364),
    1,
    anon_sym_LPAREN,
    STATE(508),
    1,
    sym_comment,
    ACTIONS(1531),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [28151] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2284),
    1,
    anon_sym_Object,
    STATE(509),
    1,
    sym_comment,
    STATE(883),
    1,
    sym_scoped_name,
    STATE(1105),
    1,
    sym_interface_type,
    [28176] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2366),
    1,
    anon_sym_RBRACE,
    ACTIONS(2368),
    1,
    anon_sym_bitfield,
    STATE(749),
    1,
    sym_bitfield_spec,
    STATE(908),
    1,
    sym_bitfield,
    STATE(510),
    2,
    sym_comment,
    aux_sym_bitset_dcl_repeat1,
    [28199] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_bitfield,
    ACTIONS(2371),
    1,
    anon_sym_RBRACE,
    STATE(511),
    1,
    sym_comment,
    STATE(513),
    1,
    aux_sym_bitset_dcl_repeat1,
    STATE(749),
    1,
    sym_bitfield_spec,
    STATE(908),
    1,
    sym_bitfield,
    [28224] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2373),
    1,
    anon_sym_COLON_COLON,
    STATE(512),
    1,
    sym_comment,
    ACTIONS(2089),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [28243] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_bitfield,
    ACTIONS(2375),
    1,
    anon_sym_RBRACE,
    STATE(510),
    1,
    aux_sym_bitset_dcl_repeat1,
    STATE(513),
    1,
    sym_comment,
    STATE(749),
    1,
    sym_bitfield_spec,
    STATE(908),
    1,
    sym_bitfield,
    [28268] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2302),
    1,
    sym_identifier,
    STATE(514),
    1,
    sym_comment,
    STATE(751),
    1,
    sym_any_declarator,
    STATE(1123),
    1,
    sym_any_declarators,
    STATE(910),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [28291] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2304),
    1,
    aux_sym_data_representation_mask_token1,
    STATE(515),
    1,
    sym_comment,
    STATE(735),
    1,
    sym_data_representation_mask,
    ACTIONS(2306),
    3,
    aux_sym_data_representation_mask_token2,
    aux_sym_data_representation_mask_token3,
    aux_sym_data_representation_mask_token4,
    [28312] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2377),
    1,
    anon_sym_LPAREN,
    STATE(516),
    1,
    sym_comment,
    ACTIONS(1545),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [28330] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1927),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2379),
    1,
    anon_sym_LBRACE,
    ACTIONS(2381),
    1,
    anon_sym_primarykey,
    STATE(517),
    1,
    sym_comment,
    STATE(1104),
    1,
    sym_primary_key_spec,
    [28352] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2383),
    1,
    anon_sym_LPAREN,
    STATE(518),
    1,
    sym_comment,
    ACTIONS(1553),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [28370] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(519),
    1,
    sym_comment,
    STATE(1159),
    1,
    sym_try_construct_fail_action,
    ACTIONS(2385),
    3,
    aux_sym_try_construct_fail_action_token1,
    aux_sym_try_construct_fail_action_token2,
    aux_sym_try_construct_fail_action_token3,
    [28388] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2387),
    1,
    anon_sym_LPAREN,
    STATE(520),
    1,
    sym_comment,
    ACTIONS(1535),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [28406] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(521),
    1,
    sym_comment,
    STATE(985),
    1,
    sym_service_platform,
    ACTIONS(2389),
    3,
    anon_sym_STAR,
    aux_sym_service_platform_token1,
    aux_sym_service_platform_token2,
    [28424] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(522),
    1,
    sym_comment,
    ACTIONS(2089),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [28440] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2391),
    1,
    anon_sym_LPAREN,
    STATE(523),
    1,
    sym_comment,
    ACTIONS(1565),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [28458] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2393),
    1,
    sym_escape_sequence,
    ACTIONS(2395),
    1,
    anon_sym_DQUOTE,
    ACTIONS(2397),
    1,
    aux_sym_string_literal_token1,
    STATE(524),
    1,
    sym_comment,
    STATE(606),
    1,
    aux_sym_string_literal_repeat1,
    [28480] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2298),
    1,
    sym_identifier,
    STATE(525),
    1,
    sym_comment,
    STATE(746),
    1,
    sym_scoped_name,
    STATE(831),
    1,
    sym_interface_name,
    [28502] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2342),
    1,
    anon_sym_raises,
    STATE(526),
    1,
    sym_comment,
    STATE(880),
    1,
    sym_raises_expr,
    ACTIONS(2399),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [28522] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2403),
    1,
    anon_sym_SQUOTE,
    STATE(527),
    1,
    sym_comment,
    STATE(600),
    1,
    aux_sym_char_literal_repeat1,
    ACTIONS(2401),
    2,
    sym_escape_sequence,
    aux_sym_char_literal_token1,
    [28542] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1927),
    1,
    anon_sym_COLON_COLON,
    STATE(528),
    1,
    sym_comment,
    ACTIONS(2405),
    3,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    anon_sym_supports,
    [28560] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2407),
    1,
    sym_escape_sequence,
    ACTIONS(2410),
    1,
    anon_sym_DQUOTE,
    ACTIONS(2412),
    1,
    aux_sym_string_literal_token1,
    STATE(529),
    2,
    sym_comment,
    aux_sym_string_literal_repeat1,
    [28580] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2415),
    1,
    anon_sym_LPAREN,
    STATE(530),
    1,
    sym_comment,
    ACTIONS(1557),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [28598] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2417),
    1,
    anon_sym_LPAREN,
    STATE(531),
    1,
    sym_comment,
    ACTIONS(1603),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [28616] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2419),
    1,
    anon_sym_LPAREN,
    STATE(532),
    1,
    sym_comment,
    ACTIONS(1585),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [28634] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1927),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2421),
    1,
    anon_sym_COMMA,
    ACTIONS(2423),
    1,
    anon_sym_manages,
    STATE(533),
    1,
    sym_comment,
    STATE(722),
    1,
    aux_sym_raises_expr_repeat1,
    [28656] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2425),
    1,
    anon_sym_LPAREN,
    STATE(534),
    1,
    sym_comment,
    ACTIONS(1575),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [28674] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2427),
    1,
    anon_sym_LPAREN,
    STATE(535),
    1,
    sym_comment,
    ACTIONS(1581),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [28692] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2429),
    1,
    anon_sym_COMMA,
    ACTIONS(2431),
    1,
    anon_sym_LBRACE,
    ACTIONS(2433),
    1,
    anon_sym_supports,
    STATE(536),
    1,
    sym_comment,
    STATE(586),
    1,
    aux_sym_value_inheritance_spec_repeat1,
    [28714] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2435),
    1,
    anon_sym_RPAREN,
    ACTIONS(2437),
    1,
    anon_sym_in,
    STATE(537),
    1,
    sym_comment,
    STATE(797),
    1,
    sym_in_param_dcl,
    STATE(1099),
    1,
    sym_in_parameter_dcls,
    [28736] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2439),
    1,
    anon_sym_LPAREN,
    STATE(538),
    1,
    sym_comment,
    ACTIONS(1579),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [28754] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2441),
    1,
    anon_sym_LPAREN,
    STATE(539),
    1,
    sym_comment,
    ACTIONS(1489),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [28772] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2443),
    1,
    anon_sym_LPAREN,
    STATE(540),
    1,
    sym_comment,
    ACTIONS(1573),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [28790] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2445),
    1,
    anon_sym_LPAREN,
    STATE(541),
    1,
    sym_comment,
    ACTIONS(1563),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [28808] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2447),
    1,
    anon_sym_LPAREN,
    STATE(542),
    1,
    sym_comment,
    ACTIONS(1551),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [28826] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2449),
    1,
    anon_sym_LPAREN,
    STATE(543),
    1,
    sym_comment,
    ACTIONS(1481),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [28844] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2451),
    1,
    anon_sym_LPAREN,
    STATE(544),
    1,
    sym_comment,
    ACTIONS(1483),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [28862] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2453),
    1,
    anon_sym_LPAREN,
    STATE(545),
    1,
    sym_comment,
    ACTIONS(1515),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [28880] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2455),
    1,
    anon_sym_LPAREN,
    STATE(546),
    1,
    sym_comment,
    ACTIONS(1509),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [28898] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2393),
    1,
    sym_escape_sequence,
    ACTIONS(2397),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2457),
    1,
    anon_sym_DQUOTE,
    STATE(547),
    1,
    sym_comment,
    STATE(552),
    1,
    aux_sym_string_literal_repeat1,
    [28920] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2459),
    1,
    anon_sym_COMMA,
    STATE(548),
    1,
    sym_comment,
    STATE(624),
    1,
    aux_sym_declarators_repeat1,
    ACTIONS(2461),
    2,
    anon_sym_SEMI,
    anon_sym_default,
    [28940] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2463),
    1,
    sym_identifier,
    STATE(528),
    1,
    sym_scoped_name,
    STATE(549),
    1,
    sym_comment,
    STATE(583),
    1,
    sym_value_name,
    [28962] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2465),
    1,
    anon_sym_LPAREN,
    STATE(550),
    1,
    sym_comment,
    ACTIONS(1501),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [28980] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(551),
    1,
    sym_comment,
    STATE(1004),
    1,
    sym_extensibility_kind,
    ACTIONS(2467),
    3,
    aux_sym_extensibility_kind_token1,
    aux_sym_extensibility_kind_token2,
    aux_sym_extensibility_kind_token3,
    [28998] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2393),
    1,
    sym_escape_sequence,
    ACTIONS(2397),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2469),
    1,
    anon_sym_DQUOTE,
    STATE(529),
    1,
    aux_sym_string_literal_repeat1,
    STATE(552),
    1,
    sym_comment,
    [29020] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2471),
    1,
    anon_sym_RPAREN,
    STATE(553),
    1,
    sym_comment,
    STATE(1138),
    1,
    sym_autoid_kind,
    ACTIONS(2473),
    2,
    aux_sym_autoid_kind_token1,
    aux_sym_autoid_kind_token2,
    [29040] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(554),
    1,
    sym_comment,
    STATE(975),
    1,
    sym_extensibility_kind,
    ACTIONS(2467),
    3,
    aux_sym_extensibility_kind_token1,
    aux_sym_extensibility_kind_token2,
    aux_sym_extensibility_kind_token3,
    [29058] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2475),
    1,
    anon_sym_RPAREN,
    STATE(555),
    1,
    sym_comment,
    STATE(1227),
    1,
    sym_autoid_kind,
    ACTIONS(2473),
    2,
    aux_sym_autoid_kind_token1,
    aux_sym_autoid_kind_token2,
    [29078] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2298),
    1,
    sym_identifier,
    STATE(556),
    1,
    sym_comment,
    STATE(746),
    1,
    sym_scoped_name,
    STATE(1022),
    1,
    sym_interface_name,
    [29100] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2298),
    1,
    sym_identifier,
    STATE(557),
    1,
    sym_comment,
    STATE(746),
    1,
    sym_scoped_name,
    STATE(835),
    1,
    sym_interface_name,
    [29122] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2477),
    1,
    anon_sym_RPAREN,
    ACTIONS(2479),
    1,
    anon_sym_in,
    STATE(558),
    1,
    sym_comment,
    STATE(737),
    1,
    sym_init_param_dcl,
    STATE(1117),
    1,
    sym_init_param_dcls,
    [29144] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2481),
    1,
    anon_sym_LBRACE,
    ACTIONS(2483),
    1,
    anon_sym_COLON,
    ACTIONS(2485),
    1,
    anon_sym_SEMI,
    STATE(559),
    1,
    sym_comment,
    STATE(1065),
    1,
    sym_interface_inheritance_spec,
    [29166] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(560),
    1,
    sym_comment,
    ACTIONS(2487),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [29182] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2489),
    1,
    anon_sym_RPAREN,
    STATE(561),
    1,
    sym_comment,
    STATE(1185),
    1,
    sym_autoid_kind,
    ACTIONS(2473),
    2,
    aux_sym_autoid_kind_token1,
    aux_sym_autoid_kind_token2,
    [29202] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(562),
    1,
    sym_comment,
    ACTIONS(2491),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [29218] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(563),
    1,
    sym_comment,
    ACTIONS(2493),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [29234] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2393),
    1,
    sym_escape_sequence,
    ACTIONS(2397),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2495),
    1,
    anon_sym_DQUOTE,
    STATE(529),
    1,
    aux_sym_string_literal_repeat1,
    STATE(564),
    1,
    sym_comment,
    [29256] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2497),
    1,
    anon_sym_LPAREN,
    STATE(565),
    1,
    sym_comment,
    ACTIONS(1587),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [29274] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2342),
    1,
    anon_sym_raises,
    STATE(566),
    1,
    sym_comment,
    STATE(859),
    1,
    sym_raises_expr,
    ACTIONS(2499),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [29294] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(567),
    1,
    sym_comment,
    STATE(1153),
    1,
    sym_service_platform,
    ACTIONS(2389),
    3,
    anon_sym_STAR,
    aux_sym_service_platform_token1,
    aux_sym_service_platform_token2,
    [29312] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2501),
    1,
    anon_sym_LBRACE,
    ACTIONS(2503),
    1,
    anon_sym_COLON,
    STATE(568),
    1,
    sym_comment,
    ACTIONS(2505),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [29332] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2393),
    1,
    sym_escape_sequence,
    ACTIONS(2397),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2507),
    1,
    anon_sym_DQUOTE,
    STATE(564),
    1,
    aux_sym_string_literal_repeat1,
    STATE(569),
    1,
    sym_comment,
    [29354] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1927),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2381),
    1,
    anon_sym_primarykey,
    ACTIONS(2509),
    1,
    anon_sym_LBRACE,
    STATE(570),
    1,
    sym_comment,
    STATE(1320),
    1,
    sym_primary_key_spec,
    [29376] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2511),
    1,
    anon_sym_COMMA,
    ACTIONS(2514),
    2,
    anon_sym_SEMI,
    anon_sym_default,
    STATE(571),
    2,
    sym_comment,
    aux_sym_declarators_repeat1,
    [29394] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2516),
    1,
    anon_sym_COMMA,
    ACTIONS(2519),
    2,
    anon_sym_RPAREN,
    anon_sym_LBRACE,
    STATE(572),
    2,
    sym_comment,
    aux_sym_raises_expr_repeat1,
    [29412] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2373),
    1,
    anon_sym_COLON_COLON,
    STATE(573),
    1,
    sym_comment,
    ACTIONS(2519),
    3,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_LBRACE,
    [29430] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(574),
    1,
    sym_comment,
    ACTIONS(2521),
    4,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    anon_sym_LBRACK,
    [29446] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2523),
    1,
    anon_sym_LPAREN,
    STATE(575),
    1,
    sym_comment,
    ACTIONS(1605),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [29464] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2525),
    1,
    anon_sym_LPAREN,
    STATE(576),
    1,
    sym_comment,
    ACTIONS(1559),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [29482] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2527),
    1,
    anon_sym_COMMA,
    ACTIONS(2530),
    2,
    anon_sym_LBRACE,
    anon_sym_supports,
    STATE(577),
    2,
    sym_comment,
    aux_sym_value_inheritance_spec_repeat1,
    [29500] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2429),
    1,
    anon_sym_COMMA,
    ACTIONS(2532),
    1,
    anon_sym_LBRACE,
    ACTIONS(2534),
    1,
    anon_sym_supports,
    STATE(577),
    1,
    aux_sym_value_inheritance_spec_repeat1,
    STATE(578),
    1,
    sym_comment,
    [29522] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2536),
    1,
    anon_sym_LPAREN,
    STATE(579),
    1,
    sym_comment,
    ACTIONS(1547),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [29540] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2298),
    1,
    sym_identifier,
    STATE(580),
    1,
    sym_comment,
    STATE(746),
    1,
    sym_scoped_name,
    STATE(775),
    1,
    sym_interface_name,
    [29562] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(581),
    1,
    sym_comment,
    STATE(1200),
    1,
    sym_service_platform,
    ACTIONS(2389),
    3,
    anon_sym_STAR,
    aux_sym_service_platform_token1,
    aux_sym_service_platform_token2,
    [29580] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(582),
    1,
    sym_comment,
    STATE(1206),
    1,
    sym_try_construct_fail_action,
    ACTIONS(2385),
    3,
    aux_sym_try_construct_fail_action_token1,
    aux_sym_try_construct_fail_action_token2,
    aux_sym_try_construct_fail_action_token3,
    [29598] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2429),
    1,
    anon_sym_COMMA,
    ACTIONS(2538),
    1,
    anon_sym_LBRACE,
    ACTIONS(2540),
    1,
    anon_sym_supports,
    STATE(578),
    1,
    aux_sym_value_inheritance_spec_repeat1,
    STATE(583),
    1,
    sym_comment,
    [29620] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2463),
    1,
    sym_identifier,
    STATE(528),
    1,
    sym_scoped_name,
    STATE(584),
    1,
    sym_comment,
    STATE(693),
    1,
    sym_value_name,
    [29642] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2298),
    1,
    sym_identifier,
    STATE(585),
    1,
    sym_comment,
    STATE(694),
    1,
    sym_interface_name,
    STATE(746),
    1,
    sym_scoped_name,
    [29664] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2429),
    1,
    anon_sym_COMMA,
    ACTIONS(2538),
    1,
    anon_sym_LBRACE,
    ACTIONS(2540),
    1,
    anon_sym_supports,
    STATE(577),
    1,
    aux_sym_value_inheritance_spec_repeat1,
    STATE(586),
    1,
    sym_comment,
    [29686] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(587),
    1,
    sym_comment,
    ACTIONS(2542),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [29702] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2373),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2544),
    1,
    anon_sym_COMMA,
    ACTIONS(2546),
    1,
    anon_sym_RPAREN,
    STATE(588),
    1,
    sym_comment,
    STATE(795),
    1,
    aux_sym_raises_expr_repeat1,
    [29724] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2548),
    1,
    anon_sym_LPAREN,
    STATE(589),
    1,
    sym_comment,
    ACTIONS(1537),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [29742] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(590),
    1,
    sym_comment,
    ACTIONS(2550),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [29758] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2373),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2423),
    1,
    anon_sym_LBRACE,
    ACTIONS(2544),
    1,
    anon_sym_COMMA,
    STATE(591),
    1,
    sym_comment,
    STATE(658),
    1,
    aux_sym_raises_expr_repeat1,
    [29780] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2302),
    1,
    sym_identifier,
    STATE(592),
    1,
    sym_comment,
    STATE(958),
    1,
    sym_any_declarator,
    STATE(910),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [29800] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(593),
    1,
    sym_comment,
    ACTIONS(2552),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [29816] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2554),
    1,
    anon_sym_RPAREN,
    STATE(594),
    1,
    sym_comment,
    STATE(1009),
    1,
    sym_autoid_kind,
    ACTIONS(2473),
    2,
    aux_sym_autoid_kind_token1,
    aux_sym_autoid_kind_token2,
    [29836] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(595),
    1,
    sym_comment,
    ACTIONS(2556),
    4,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    anon_sym_LBRACK,
    [29852] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(596),
    1,
    sym_comment,
    ACTIONS(2558),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [29868] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(597),
    1,
    sym_comment,
    ACTIONS(2560),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [29884] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(598),
    1,
    sym_comment,
    ACTIONS(2562),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [29900] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(599),
    1,
    sym_comment,
    STATE(979),
    1,
    sym_try_construct_fail_action,
    ACTIONS(2385),
    3,
    aux_sym_try_construct_fail_action_token1,
    aux_sym_try_construct_fail_action_token2,
    aux_sym_try_construct_fail_action_token3,
    [29918] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2567),
    1,
    anon_sym_SQUOTE,
    ACTIONS(2564),
    2,
    sym_escape_sequence,
    aux_sym_char_literal_token1,
    STATE(600),
    2,
    sym_comment,
    aux_sym_char_literal_repeat1,
    [29936] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(601),
    1,
    sym_comment,
    STATE(1142),
    1,
    sym_extensibility_kind,
    ACTIONS(2467),
    3,
    aux_sym_extensibility_kind_token1,
    aux_sym_extensibility_kind_token2,
    aux_sym_extensibility_kind_token3,
    [29954] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2302),
    1,
    sym_identifier,
    STATE(602),
    1,
    sym_comment,
    STATE(1047),
    1,
    sym_declarator,
    STATE(765),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [29974] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2569),
    1,
    anon_sym_LPAREN,
    STATE(603),
    1,
    sym_comment,
    ACTIONS(1517),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [29992] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(604),
    1,
    sym_comment,
    ACTIONS(2571),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [30008] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2573),
    1,
    anon_sym_SQUOTE,
    STATE(600),
    1,
    aux_sym_char_literal_repeat1,
    STATE(605),
    1,
    sym_comment,
    ACTIONS(2401),
    2,
    sym_escape_sequence,
    aux_sym_char_literal_token1,
    [30028] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2393),
    1,
    sym_escape_sequence,
    ACTIONS(2397),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2575),
    1,
    anon_sym_DQUOTE,
    STATE(529),
    1,
    aux_sym_string_literal_repeat1,
    STATE(606),
    1,
    sym_comment,
    [30050] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2577),
    1,
    anon_sym_LPAREN,
    STATE(607),
    1,
    sym_comment,
    ACTIONS(1495),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [30068] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(608),
    1,
    sym_comment,
    ACTIONS(2579),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [30084] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(609),
    1,
    sym_comment,
    ACTIONS(2581),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [30100] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(610),
    1,
    sym_comment,
    ACTIONS(2583),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_RBRACK,
    [30116] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1927),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2381),
    1,
    anon_sym_primarykey,
    ACTIONS(2585),
    1,
    anon_sym_LBRACE,
    STATE(611),
    1,
    sym_comment,
    STATE(1183),
    1,
    sym_primary_key_spec,
    [30138] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2373),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2544),
    1,
    anon_sym_COMMA,
    ACTIONS(2587),
    1,
    anon_sym_RPAREN,
    STATE(612),
    1,
    sym_comment,
    STATE(779),
    1,
    aux_sym_raises_expr_repeat1,
    [30160] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(613),
    1,
    sym_comment,
    STATE(1231),
    1,
    sym_extensibility_kind,
    ACTIONS(2467),
    3,
    aux_sym_extensibility_kind_token1,
    aux_sym_extensibility_kind_token2,
    aux_sym_extensibility_kind_token3,
    [30178] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(614),
    1,
    sym_comment,
    ACTIONS(2589),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [30194] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2302),
    1,
    sym_identifier,
    STATE(615),
    1,
    sym_comment,
    STATE(1041),
    1,
    sym_declarator,
    STATE(765),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [30214] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2591),
    1,
    anon_sym_LPAREN,
    STATE(616),
    1,
    sym_comment,
    ACTIONS(1487),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [30232] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2593),
    1,
    anon_sym_LPAREN,
    STATE(617),
    1,
    sym_comment,
    ACTIONS(1511),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [30250] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2298),
    1,
    sym_identifier,
    STATE(618),
    1,
    sym_comment,
    STATE(746),
    1,
    sym_scoped_name,
    STATE(928),
    1,
    sym_interface_name,
    [30272] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(619),
    1,
    sym_comment,
    STATE(1242),
    1,
    sym_service_platform,
    ACTIONS(2389),
    3,
    anon_sym_STAR,
    aux_sym_service_platform_token1,
    aux_sym_service_platform_token2,
    [30290] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2595),
    1,
    anon_sym_RPAREN,
    ACTIONS(2597),
    1,
    anon_sym_in,
    STATE(620),
    1,
    sym_comment,
    STATE(742),
    1,
    sym_factory_param_dcl,
    STATE(1134),
    1,
    sym_factory_param_dcls,
    [30312] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2479),
    1,
    anon_sym_in,
    ACTIONS(2599),
    1,
    anon_sym_RPAREN,
    STATE(621),
    1,
    sym_comment,
    STATE(737),
    1,
    sym_init_param_dcl,
    STATE(1133),
    1,
    sym_init_param_dcls,
    [30334] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2601),
    1,
    anon_sym_LPAREN,
    STATE(622),
    1,
    sym_comment,
    ACTIONS(1493),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [30352] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2302),
    1,
    sym_identifier,
    STATE(623),
    1,
    sym_comment,
    STATE(745),
    1,
    sym_declarator,
    STATE(765),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [30372] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2459),
    1,
    anon_sym_COMMA,
    STATE(571),
    1,
    aux_sym_declarators_repeat1,
    STATE(624),
    1,
    sym_comment,
    ACTIONS(2603),
    2,
    anon_sym_SEMI,
    anon_sym_default,
    [30392] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(625),
    1,
    sym_comment,
    STATE(1248),
    1,
    sym_try_construct_fail_action,
    ACTIONS(2385),
    3,
    aux_sym_try_construct_fail_action_token1,
    aux_sym_try_construct_fail_action_token2,
    aux_sym_try_construct_fail_action_token3,
    [30410] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2605),
    1,
    anon_sym_LPAREN,
    STATE(626),
    1,
    sym_comment,
    ACTIONS(1499),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [30428] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(627),
    1,
    sym_comment,
    ACTIONS(1723),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [30443] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2607),
    1,
    anon_sym_COMMA,
    ACTIONS(2609),
    1,
    anon_sym_RPAREN,
    STATE(628),
    1,
    sym_comment,
    STATE(852),
    1,
    aux_sym_context_expr_repeat1,
    [30462] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2611),
    1,
    sym_identifier,
    STATE(497),
    1,
    sym_simple_declarator,
    STATE(629),
    1,
    sym_comment,
    STATE(1177),
    1,
    sym_readonly_attr_declarator,
    [30481] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(630),
    1,
    sym_comment,
    ACTIONS(1753),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [30496] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(631),
    1,
    sym_comment,
    ACTIONS(1757),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [30511] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2613),
    1,
    anon_sym_RPAREN,
    STATE(632),
    1,
    sym_comment,
    STATE(726),
    1,
    sym_string_literal,
    [30530] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(633),
    1,
    sym_comment,
    ACTIONS(1761),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [30545] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(634),
    1,
    sym_comment,
    STATE(1258),
    1,
    sym_topic_platform,
    ACTIONS(1419),
    2,
    anon_sym_STAR,
    aux_sym_service_platform_token2,
    [30562] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(635),
    1,
    sym_comment,
    ACTIONS(1765),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [30577] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(636),
    1,
    sym_comment,
    ACTIONS(1769),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [30592] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2615),
    1,
    anon_sym_interface,
    ACTIONS(2617),
    1,
    anon_sym_valuetype,
    ACTIONS(2619),
    1,
    anon_sym_eventtype,
    STATE(637),
    1,
    sym_comment,
    [30611] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2621),
    1,
    sym_identifier,
    STATE(638),
    1,
    sym_comment,
    STATE(950),
    1,
    sym_scoped_name,
    [30630] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(639),
    1,
    sym_comment,
    ACTIONS(1773),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [30645] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2298),
    1,
    sym_identifier,
    STATE(640),
    1,
    sym_comment,
    STATE(678),
    1,
    sym_scoped_name,
    [30664] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2298),
    1,
    sym_identifier,
    STATE(641),
    1,
    sym_comment,
    STATE(680),
    1,
    sym_scoped_name,
    [30683] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2623),
    1,
    anon_sym_SEMI,
    ACTIONS(2625),
    1,
    anon_sym_default,
    STATE(642),
    1,
    sym_comment,
    STATE(1127),
    1,
    sym_default,
    [30702] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(643),
    1,
    sym_comment,
    ACTIONS(1777),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [30717] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2627),
    1,
    anon_sym_PIPE,
    ACTIONS(2629),
    1,
    anon_sym_RPAREN,
    STATE(644),
    1,
    sym_comment,
    STATE(679),
    1,
    aux_sym_annotation_appl_data_representation_repeat1,
    [30736] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(645),
    1,
    sym_comment,
    STATE(1216),
    1,
    sym_topic_platform,
    ACTIONS(1419),
    2,
    anon_sym_STAR,
    aux_sym_service_platform_token2,
    [30753] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(646),
    1,
    sym_comment,
    ACTIONS(1781),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [30768] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(647),
    1,
    sym_comment,
    ACTIONS(1785),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [30783] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(648),
    1,
    sym_comment,
    ACTIONS(1789),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [30798] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2631),
    1,
    anon_sym_SEMI,
    ACTIONS(2633),
    1,
    sym_identifier,
    STATE(649),
    2,
    sym_comment,
    aux_sym_bitfield_repeat1,
    [30815] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(650),
    1,
    sym_comment,
    ACTIONS(1609),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [30830] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(651),
    1,
    sym_comment,
    ACTIONS(1709),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [30845] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(652),
    1,
    sym_comment,
    ACTIONS(1701),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [30860] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(653),
    1,
    sym_comment,
    ACTIONS(1689),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [30875] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2636),
    1,
    anon_sym_COMMA,
    ACTIONS(2639),
    1,
    anon_sym_RBRACE,
    STATE(654),
    2,
    sym_comment,
    aux_sym_bitmask_dcl_repeat1,
    [30892] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2463),
    1,
    sym_identifier,
    STATE(517),
    1,
    sym_scoped_name,
    STATE(655),
    1,
    sym_comment,
    [30911] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(656),
    1,
    sym_comment,
    ACTIONS(1685),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [30926] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2298),
    1,
    sym_identifier,
    STATE(657),
    1,
    sym_comment,
    STATE(930),
    1,
    sym_scoped_name,
    [30945] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2544),
    1,
    anon_sym_COMMA,
    ACTIONS(2641),
    1,
    anon_sym_LBRACE,
    STATE(572),
    1,
    aux_sym_raises_expr_repeat1,
    STATE(658),
    1,
    sym_comment,
    [30964] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2298),
    1,
    sym_identifier,
    STATE(573),
    1,
    sym_scoped_name,
    STATE(659),
    1,
    sym_comment,
    [30983] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2643),
    1,
    anon_sym_COMMA,
    ACTIONS(2646),
    1,
    anon_sym_SEMI,
    STATE(660),
    2,
    sym_comment,
    aux_sym_any_declarators_repeat1,
    [31000] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(661),
    1,
    sym_comment,
    ACTIONS(1681),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [31015] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(662),
    1,
    sym_comment,
    ACTIONS(1677),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [31030] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(663),
    1,
    sym_comment,
    ACTIONS(1673),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [31045] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(664),
    1,
    sym_comment,
    ACTIONS(1705),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [31060] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2648),
    1,
    anon_sym_COMMA,
    ACTIONS(2650),
    1,
    anon_sym_RBRACE,
    STATE(665),
    1,
    sym_comment,
    STATE(701),
    1,
    aux_sym_enum_dcl_repeat1,
    [31079] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(666),
    1,
    sym_comment,
    ACTIONS(1637),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [31094] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1927),
    1,
    anon_sym_COLON_COLON,
    STATE(667),
    1,
    sym_comment,
    ACTIONS(2519),
    2,
    anon_sym_COMMA,
    anon_sym_manages,
    [31111] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(668),
    1,
    sym_comment,
    ACTIONS(1633),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [31126] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(669),
    1,
    sym_comment,
    STATE(899),
    1,
    sym_dec_number,
    ACTIONS(2133),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    [31143] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(670),
    1,
    sym_comment,
    ACTIONS(1617),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [31158] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(671),
    1,
    sym_comment,
    STATE(1171),
    1,
    sym_topic_platform,
    ACTIONS(1419),
    2,
    anon_sym_STAR,
    aux_sym_service_platform_token2,
    [31175] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(672),
    1,
    sym_comment,
    ACTIONS(1697),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [31190] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1571),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2652),
    1,
    anon_sym_LT,
    ACTIONS(2654),
    1,
    anon_sym_LBRACE,
    STATE(673),
    1,
    sym_comment,
    [31209] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(674),
    1,
    sym_comment,
    ACTIONS(1645),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [31224] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2656),
    1,
    anon_sym_SEMI,
    ACTIONS(2658),
    1,
    anon_sym_switch,
    ACTIONS(2660),
    1,
    sym_identifier,
    STATE(675),
    1,
    sym_comment,
    [31243] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(676),
    1,
    sym_comment,
    ACTIONS(1621),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [31258] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(677),
    1,
    sym_comment,
    ACTIONS(1625),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [31273] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2373),
    1,
    anon_sym_COLON_COLON,
    STATE(678),
    1,
    sym_comment,
    STATE(1120),
    1,
    sym_string_literal,
    [31292] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2662),
    1,
    anon_sym_PIPE,
    ACTIONS(2665),
    1,
    anon_sym_RPAREN,
    STATE(679),
    2,
    sym_comment,
    aux_sym_annotation_appl_data_representation_repeat1,
    [31309] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2373),
    1,
    anon_sym_COLON_COLON,
    STATE(680),
    1,
    sym_comment,
    STATE(1119),
    1,
    sym_string_literal,
    [31328] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(681),
    1,
    sym_comment,
    ACTIONS(1629),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [31343] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2627),
    1,
    anon_sym_PIPE,
    ACTIONS(2667),
    1,
    anon_sym_RPAREN,
    STATE(679),
    1,
    aux_sym_annotation_appl_data_representation_repeat1,
    STATE(682),
    1,
    sym_comment,
    [31362] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(683),
    1,
    sym_comment,
    ACTIONS(1641),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [31377] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2669),
    1,
    anon_sym_COMMA,
    ACTIONS(2672),
    1,
    anon_sym_RPAREN,
    STATE(684),
    2,
    sym_comment,
    aux_sym_annotation_appl_params_repeat1,
    [31394] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(685),
    1,
    sym_comment,
    ACTIONS(1613),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [31409] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(686),
    1,
    sym_comment,
    ACTIONS(1653),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [31424] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2674),
    1,
    anon_sym_GT,
    ACTIONS(2676),
    1,
    anon_sym_COMMA,
    STATE(687),
    2,
    sym_comment,
    aux_sym_formal_parameters_repeat1,
    [31441] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(688),
    1,
    sym_comment,
    ACTIONS(1661),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [31456] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(527),
    1,
    aux_sym_char_literal_repeat1,
    STATE(689),
    1,
    sym_comment,
    ACTIONS(2401),
    2,
    sym_escape_sequence,
    aux_sym_char_literal_token1,
    [31473] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2679),
    1,
    anon_sym_GT,
    ACTIONS(2681),
    1,
    anon_sym_COMMA,
    STATE(690),
    2,
    sym_comment,
    aux_sym_actual_parameters_repeat1,
    [31490] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2684),
    1,
    anon_sym_GT,
    ACTIONS(2686),
    1,
    anon_sym_COMMA,
    STATE(690),
    1,
    aux_sym_actual_parameters_repeat1,
    STATE(691),
    1,
    sym_comment,
    [31509] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2627),
    1,
    anon_sym_PIPE,
    ACTIONS(2688),
    1,
    anon_sym_RPAREN,
    STATE(682),
    1,
    aux_sym_annotation_appl_data_representation_repeat1,
    STATE(692),
    1,
    sym_comment,
    [31528] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(693),
    1,
    sym_comment,
    ACTIONS(2530),
    3,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    anon_sym_supports,
    [31543] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2532),
    1,
    anon_sym_LBRACE,
    ACTIONS(2690),
    1,
    anon_sym_COMMA,
    STATE(694),
    1,
    sym_comment,
    STATE(777),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [31562] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(695),
    1,
    sym_comment,
    ACTIONS(1525),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [31577] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(696),
    1,
    sym_comment,
    ACTIONS(1713),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [31592] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(697),
    1,
    sym_comment,
    ACTIONS(1741),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [31607] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2692),
    1,
    anon_sym_LBRACE,
    ACTIONS(2694),
    1,
    anon_sym_COLON,
    STATE(698),
    1,
    sym_comment,
    STATE(1066),
    1,
    sym_connector_inherit_spec,
    [31626] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(699),
    1,
    sym_comment,
    ACTIONS(1745),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [31641] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(700),
    1,
    sym_comment,
    ACTIONS(1541),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [31656] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2696),
    1,
    anon_sym_COMMA,
    ACTIONS(2699),
    1,
    anon_sym_RBRACE,
    STATE(701),
    2,
    sym_comment,
    aux_sym_enum_dcl_repeat1,
    [31673] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2627),
    1,
    anon_sym_PIPE,
    ACTIONS(2701),
    1,
    anon_sym_RPAREN,
    STATE(679),
    1,
    aux_sym_annotation_appl_data_representation_repeat1,
    STATE(702),
    1,
    sym_comment,
    [31692] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2627),
    1,
    anon_sym_PIPE,
    ACTIONS(2703),
    1,
    anon_sym_RPAREN,
    STATE(644),
    1,
    aux_sym_annotation_appl_data_representation_repeat1,
    STATE(703),
    1,
    sym_comment,
    [31711] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(704),
    1,
    sym_comment,
    ACTIONS(1693),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [31726] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2705),
    1,
    anon_sym_GT,
    ACTIONS(2707),
    1,
    anon_sym_COMMA,
    STATE(687),
    1,
    aux_sym_formal_parameters_repeat1,
    STATE(705),
    1,
    sym_comment,
    [31745] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2627),
    1,
    anon_sym_PIPE,
    ACTIONS(2709),
    1,
    anon_sym_RPAREN,
    STATE(702),
    1,
    aux_sym_annotation_appl_data_representation_repeat1,
    STATE(706),
    1,
    sym_comment,
    [31764] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2711),
    1,
    anon_sym_SEMI,
    ACTIONS(2713),
    1,
    anon_sym_context,
    STATE(707),
    1,
    sym_comment,
    STATE(1090),
    1,
    sym_context_expr,
    [31783] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(708),
    1,
    sym_comment,
    ACTIONS(1665),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [31798] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2717),
    1,
    aux_sym_string_literal_token1,
    STATE(709),
    1,
    sym_comment,
    ACTIONS(2715),
    2,
    sym_escape_sequence,
    anon_sym_DQUOTE,
    [31815] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2719),
    1,
    anon_sym_COMMA,
    ACTIONS(2721),
    1,
    anon_sym_RPAREN,
    STATE(684),
    1,
    aux_sym_annotation_appl_params_repeat1,
    STATE(710),
    1,
    sym_comment,
    [31834] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(711),
    1,
    sym_comment,
    ACTIONS(1725),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [31849] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(712),
    1,
    sym_comment,
    STATE(1265),
    1,
    sym_topic_platform,
    ACTIONS(1419),
    2,
    anon_sym_STAR,
    aux_sym_service_platform_token2,
    [31866] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(713),
    1,
    sym_comment,
    ACTIONS(1729),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [31881] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2723),
    1,
    anon_sym_COMMA,
    ACTIONS(2726),
    1,
    anon_sym_LBRACE,
    STATE(714),
    2,
    sym_comment,
    aux_sym_interface_inheritance_spec_repeat1,
    [31898] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2298),
    1,
    sym_identifier,
    STATE(715),
    1,
    sym_comment,
    STATE(916),
    1,
    sym_scoped_name,
    [31917] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2728),
    1,
    anon_sym_COMMA,
    ACTIONS(2730),
    1,
    anon_sym_RBRACE,
    STATE(654),
    1,
    aux_sym_bitmask_dcl_repeat1,
    STATE(716),
    1,
    sym_comment,
    [31936] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(717),
    1,
    sym_comment,
    ACTIONS(1657),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [31951] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2719),
    1,
    anon_sym_COMMA,
    ACTIONS(2732),
    1,
    anon_sym_RPAREN,
    STATE(710),
    1,
    aux_sym_annotation_appl_params_repeat1,
    STATE(718),
    1,
    sym_comment,
    [31970] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(719),
    1,
    sym_comment,
    ACTIONS(1669),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [31985] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2519),
    1,
    anon_sym_manages,
    ACTIONS(2734),
    1,
    anon_sym_COMMA,
    STATE(720),
    2,
    sym_comment,
    aux_sym_raises_expr_repeat1,
    [32002] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2175),
    1,
    anon_sym_setraises,
    ACTIONS(2737),
    1,
    anon_sym_SEMI,
    STATE(721),
    1,
    sym_comment,
    STATE(1100),
    1,
    sym_set_excep_expr,
    [32021] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2421),
    1,
    anon_sym_COMMA,
    ACTIONS(2641),
    1,
    anon_sym_manages,
    STATE(720),
    1,
    aux_sym_raises_expr_repeat1,
    STATE(722),
    1,
    sym_comment,
    [32040] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2169),
    1,
    anon_sym_COMMA,
    ACTIONS(2739),
    1,
    anon_sym_SEMI,
    STATE(723),
    1,
    sym_comment,
    STATE(793),
    1,
    aux_sym_readonly_attr_declarator_repeat1,
    [32059] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2690),
    1,
    anon_sym_COMMA,
    ACTIONS(2741),
    1,
    anon_sym_LBRACE,
    STATE(714),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    STATE(724),
    1,
    sym_comment,
    [32078] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2463),
    1,
    sym_identifier,
    STATE(667),
    1,
    sym_scoped_name,
    STATE(725),
    1,
    sym_comment,
    [32097] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2607),
    1,
    anon_sym_COMMA,
    ACTIONS(2743),
    1,
    anon_sym_RPAREN,
    STATE(628),
    1,
    aux_sym_context_expr_repeat1,
    STATE(726),
    1,
    sym_comment,
    [32116] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(727),
    1,
    sym_comment,
    STATE(952),
    1,
    sym_dec_number,
    ACTIONS(2133),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    [32133] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(728),
    1,
    sym_comment,
    ACTIONS(2745),
    3,
    sym_escape_sequence,
    anon_sym_SQUOTE,
    aux_sym_char_literal_token1,
    [32148] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2728),
    1,
    anon_sym_COMMA,
    ACTIONS(2747),
    1,
    anon_sym_RBRACE,
    STATE(716),
    1,
    aux_sym_bitmask_dcl_repeat1,
    STATE(729),
    1,
    sym_comment,
    [32167] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2627),
    1,
    anon_sym_PIPE,
    ACTIONS(2749),
    1,
    anon_sym_RPAREN,
    STATE(679),
    1,
    aux_sym_annotation_appl_data_representation_repeat1,
    STATE(730),
    1,
    sym_comment,
    [32186] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2751),
    1,
    anon_sym_COMMA,
    ACTIONS(2753),
    1,
    anon_sym_RPAREN,
    STATE(731),
    1,
    sym_comment,
    STATE(805),
    1,
    aux_sym_parameter_dcls_repeat1,
    [32205] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(605),
    1,
    aux_sym_char_literal_repeat1,
    STATE(732),
    1,
    sym_comment,
    ACTIONS(2401),
    2,
    sym_escape_sequence,
    aux_sym_char_literal_token1,
    [32222] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2707),
    1,
    anon_sym_COMMA,
    ACTIONS(2755),
    1,
    anon_sym_GT,
    STATE(705),
    1,
    aux_sym_formal_parameters_repeat1,
    STATE(733),
    1,
    sym_comment,
    [32241] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2342),
    1,
    anon_sym_raises,
    ACTIONS(2757),
    1,
    anon_sym_SEMI,
    STATE(734),
    1,
    sym_comment,
    STATE(1094),
    1,
    sym_raises_expr,
    [32260] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2627),
    1,
    anon_sym_PIPE,
    ACTIONS(2759),
    1,
    anon_sym_RPAREN,
    STATE(730),
    1,
    aux_sym_annotation_appl_data_representation_repeat1,
    STATE(735),
    1,
    sym_comment,
    [32279] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2713),
    1,
    anon_sym_context,
    ACTIONS(2761),
    1,
    anon_sym_SEMI,
    STATE(736),
    1,
    sym_comment,
    STATE(1090),
    1,
    sym_context_expr,
    [32298] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2763),
    1,
    anon_sym_COMMA,
    ACTIONS(2765),
    1,
    anon_sym_RPAREN,
    STATE(737),
    1,
    sym_comment,
    STATE(812),
    1,
    aux_sym_init_param_dcls_repeat1,
    [32317] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2463),
    1,
    sym_identifier,
    STATE(533),
    1,
    sym_scoped_name,
    STATE(738),
    1,
    sym_comment,
    [32336] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2342),
    1,
    anon_sym_raises,
    ACTIONS(2767),
    1,
    anon_sym_SEMI,
    STATE(739),
    1,
    sym_comment,
    STATE(1093),
    1,
    sym_raises_expr,
    [32355] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2686),
    1,
    anon_sym_COMMA,
    ACTIONS(2769),
    1,
    anon_sym_GT,
    STATE(691),
    1,
    aux_sym_actual_parameters_repeat1,
    STATE(740),
    1,
    sym_comment,
    [32374] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(741),
    1,
    sym_comment,
    ACTIONS(1649),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [32389] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2771),
    1,
    anon_sym_COMMA,
    ACTIONS(2773),
    1,
    anon_sym_RPAREN,
    STATE(742),
    1,
    sym_comment,
    STATE(817),
    1,
    aux_sym_factory_param_dcls_repeat1,
    [32408] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2342),
    1,
    anon_sym_raises,
    ACTIONS(2775),
    1,
    anon_sym_SEMI,
    STATE(743),
    1,
    sym_comment,
    STATE(1092),
    1,
    sym_raises_expr,
    [32427] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2191),
    1,
    anon_sym_supports,
    ACTIONS(2777),
    1,
    anon_sym_LBRACE,
    STATE(744),
    1,
    sym_comment,
    STATE(1024),
    1,
    sym_value_supports,
    [32446] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(745),
    1,
    sym_comment,
    ACTIONS(2514),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [32461] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2373),
    1,
    anon_sym_COLON_COLON,
    STATE(746),
    1,
    sym_comment,
    ACTIONS(2779),
    2,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    [32478] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1927),
    1,
    anon_sym_COLON_COLON,
    STATE(747),
    1,
    sym_comment,
    ACTIONS(2781),
    2,
    anon_sym_supports,
    anon_sym_manages,
    [32495] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2298),
    1,
    sym_identifier,
    STATE(748),
    1,
    sym_comment,
    STATE(893),
    1,
    sym_scoped_name,
    [32514] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2783),
    1,
    anon_sym_SEMI,
    ACTIONS(2785),
    1,
    sym_identifier,
    STATE(749),
    1,
    sym_comment,
    STATE(755),
    1,
    aux_sym_bitfield_repeat1,
    [32533] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(750),
    1,
    sym_comment,
    ACTIONS(1717),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [32548] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2787),
    1,
    anon_sym_COMMA,
    ACTIONS(2789),
    1,
    anon_sym_SEMI,
    STATE(751),
    1,
    sym_comment,
    STATE(833),
    1,
    aux_sym_any_declarators_repeat1,
    [32567] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(752),
    1,
    sym_comment,
    ACTIONS(1721),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [32582] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(753),
    1,
    sym_comment,
    ACTIONS(1733),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [32597] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(754),
    1,
    sym_comment,
    ACTIONS(1749),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [32612] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2785),
    1,
    sym_identifier,
    ACTIONS(2791),
    1,
    anon_sym_SEMI,
    STATE(649),
    1,
    aux_sym_bitfield_repeat1,
    STATE(755),
    1,
    sym_comment,
    [32631] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(756),
    1,
    sym_comment,
    ACTIONS(1793),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [32646] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(757),
    1,
    sym_comment,
    ACTIONS(1659),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [32661] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2793),
    1,
    anon_sym_GT,
    ACTIONS(2795),
    1,
    anon_sym_COMMA,
    STATE(758),
    2,
    sym_comment,
    aux_sym_formal_parameter_names_repeat1,
    [32678] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2298),
    1,
    sym_identifier,
    STATE(759),
    1,
    sym_comment,
    STATE(898),
    1,
    sym_scoped_name,
    [32697] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2298),
    1,
    sym_identifier,
    STATE(760),
    1,
    sym_comment,
    STATE(895),
    1,
    sym_scoped_name,
    [32716] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(761),
    1,
    sym_comment,
    ACTIONS(1671),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [32731] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(762),
    1,
    sym_comment,
    ACTIONS(1727),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [32746] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(763),
    1,
    sym_comment,
    ACTIONS(1731),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [32761] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2625),
    1,
    anon_sym_default,
    ACTIONS(2798),
    1,
    anon_sym_SEMI,
    STATE(764),
    1,
    sym_comment,
    STATE(1335),
    1,
    sym_default,
    [32780] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(765),
    1,
    sym_comment,
    ACTIONS(2800),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [32795] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(766),
    1,
    sym_comment,
    ACTIONS(1739),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [32810] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(767),
    1,
    sym_comment,
    ACTIONS(1755),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [32825] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(768),
    1,
    sym_comment,
    ACTIONS(1759),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [32840] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(769),
    1,
    sym_comment,
    ACTIONS(1763),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [32855] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2463),
    1,
    sym_identifier,
    STATE(770),
    1,
    sym_comment,
    STATE(871),
    1,
    sym_scoped_name,
    [32874] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(771),
    1,
    sym_comment,
    ACTIONS(1767),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [32889] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(772),
    1,
    sym_comment,
    ACTIONS(1771),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [32904] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(773),
    1,
    sym_comment,
    ACTIONS(1775),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [32919] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(774),
    1,
    sym_comment,
    ACTIONS(1779),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [32934] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2690),
    1,
    anon_sym_COMMA,
    ACTIONS(2802),
    1,
    anon_sym_LBRACE,
    STATE(775),
    1,
    sym_comment,
    STATE(834),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [32953] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2804),
    1,
    anon_sym_GT,
    ACTIONS(2806),
    1,
    anon_sym_COMMA,
    STATE(758),
    1,
    aux_sym_formal_parameter_names_repeat1,
    STATE(776),
    1,
    sym_comment,
    [32972] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2690),
    1,
    anon_sym_COMMA,
    ACTIONS(2802),
    1,
    anon_sym_LBRACE,
    STATE(714),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    STATE(777),
    1,
    sym_comment,
    [32991] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2298),
    1,
    sym_identifier,
    STATE(778),
    1,
    sym_comment,
    STATE(892),
    1,
    sym_scoped_name,
    [33010] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2544),
    1,
    anon_sym_COMMA,
    ACTIONS(2808),
    1,
    anon_sym_RPAREN,
    STATE(572),
    1,
    aux_sym_raises_expr_repeat1,
    STATE(779),
    1,
    sym_comment,
    [33029] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(780),
    1,
    sym_comment,
    ACTIONS(2810),
    3,
    anon_sym_RBRACE,
    anon_sym_default,
    anon_sym_case,
    [33044] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2298),
    1,
    sym_identifier,
    STATE(781),
    1,
    sym_comment,
    STATE(891),
    1,
    sym_scoped_name,
    [33063] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(782),
    1,
    sym_comment,
    ACTIONS(1783),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33078] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(783),
    1,
    sym_comment,
    ACTIONS(1787),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33093] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(784),
    1,
    sym_comment,
    ACTIONS(1791),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33108] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(785),
    1,
    sym_comment,
    ACTIONS(1611),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33123] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(786),
    1,
    sym_comment,
    ACTIONS(1711),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33138] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2169),
    1,
    anon_sym_COMMA,
    ACTIONS(2812),
    1,
    anon_sym_SEMI,
    STATE(787),
    1,
    sym_comment,
    STATE(793),
    1,
    aux_sym_readonly_attr_declarator_repeat1,
    [33157] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(788),
    1,
    sym_comment,
    ACTIONS(1795),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33172] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2298),
    1,
    sym_identifier,
    STATE(588),
    1,
    sym_scoped_name,
    STATE(789),
    1,
    sym_comment,
    [33191] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2806),
    1,
    anon_sym_COMMA,
    ACTIONS(2814),
    1,
    anon_sym_GT,
    STATE(776),
    1,
    aux_sym_formal_parameter_names_repeat1,
    STATE(790),
    1,
    sym_comment,
    [33210] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(791),
    1,
    sym_comment,
    ACTIONS(1703),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33225] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(792),
    1,
    sym_comment,
    ACTIONS(1691),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33240] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2816),
    1,
    anon_sym_COMMA,
    ACTIONS(2819),
    1,
    anon_sym_SEMI,
    STATE(793),
    2,
    sym_comment,
    aux_sym_readonly_attr_declarator_repeat1,
    [33257] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2821),
    1,
    anon_sym_COMMA,
    ACTIONS(2824),
    1,
    anon_sym_RPAREN,
    STATE(794),
    2,
    sym_comment,
    aux_sym_in_parameter_dcls_repeat1,
    [33274] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2544),
    1,
    anon_sym_COMMA,
    ACTIONS(2826),
    1,
    anon_sym_RPAREN,
    STATE(572),
    1,
    aux_sym_raises_expr_repeat1,
    STATE(795),
    1,
    sym_comment,
    [33293] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(796),
    1,
    sym_comment,
    ACTIONS(1687),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33308] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2828),
    1,
    anon_sym_COMMA,
    ACTIONS(2830),
    1,
    anon_sym_RPAREN,
    STATE(797),
    1,
    sym_comment,
    STATE(849),
    1,
    aux_sym_in_parameter_dcls_repeat1,
    [33327] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2648),
    1,
    anon_sym_COMMA,
    ACTIONS(2832),
    1,
    anon_sym_RBRACE,
    STATE(665),
    1,
    aux_sym_enum_dcl_repeat1,
    STATE(798),
    1,
    sym_comment,
    [33346] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(799),
    1,
    sym_comment,
    ACTIONS(1683),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33361] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(800),
    1,
    sym_comment,
    ACTIONS(1737),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [33376] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(801),
    1,
    sym_comment,
    ACTIONS(1751),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33391] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(802),
    1,
    sym_comment,
    ACTIONS(1735),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33406] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(803),
    1,
    sym_comment,
    ACTIONS(1679),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33421] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(804),
    1,
    sym_comment,
    ACTIONS(1675),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33436] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2751),
    1,
    anon_sym_COMMA,
    ACTIONS(2834),
    1,
    anon_sym_RPAREN,
    STATE(805),
    1,
    sym_comment,
    STATE(855),
    1,
    aux_sym_parameter_dcls_repeat1,
    [33455] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(806),
    1,
    sym_comment,
    ACTIONS(1719),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33470] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(807),
    1,
    sym_comment,
    ACTIONS(1707),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33485] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(808),
    1,
    sym_comment,
    ACTIONS(1639),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33500] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2713),
    1,
    anon_sym_context,
    ACTIONS(2836),
    1,
    anon_sym_SEMI,
    STATE(809),
    1,
    sym_comment,
    STATE(1090),
    1,
    sym_context_expr,
    [33519] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2342),
    1,
    anon_sym_raises,
    ACTIONS(2838),
    1,
    anon_sym_SEMI,
    STATE(810),
    1,
    sym_comment,
    STATE(1072),
    1,
    sym_raises_expr,
    [33538] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(811),
    1,
    sym_comment,
    ACTIONS(1651),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33553] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2763),
    1,
    anon_sym_COMMA,
    ACTIONS(2840),
    1,
    anon_sym_RPAREN,
    STATE(812),
    1,
    sym_comment,
    STATE(850),
    1,
    aux_sym_init_param_dcls_repeat1,
    [33572] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(813),
    1,
    sym_comment,
    ACTIONS(1635),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33587] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2463),
    1,
    sym_identifier,
    STATE(814),
    1,
    sym_comment,
    STATE(836),
    1,
    sym_scoped_name,
    [33606] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2342),
    1,
    anon_sym_raises,
    ACTIONS(2842),
    1,
    anon_sym_SEMI,
    STATE(815),
    1,
    sym_comment,
    STATE(1071),
    1,
    sym_raises_expr,
    [33625] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2298),
    1,
    sym_identifier,
    STATE(816),
    1,
    sym_comment,
    STATE(869),
    1,
    sym_scoped_name,
    [33644] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2771),
    1,
    anon_sym_COMMA,
    ACTIONS(2844),
    1,
    anon_sym_RPAREN,
    STATE(817),
    1,
    sym_comment,
    STATE(847),
    1,
    aux_sym_factory_param_dcls_repeat1,
    [33663] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(818),
    1,
    sym_comment,
    ACTIONS(1619),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33678] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2342),
    1,
    anon_sym_raises,
    ACTIONS(2846),
    1,
    anon_sym_SEMI,
    STATE(819),
    1,
    sym_comment,
    STATE(1070),
    1,
    sym_raises_expr,
    [33697] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(820),
    1,
    sym_comment,
    ACTIONS(1699),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33712] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(821),
    1,
    sym_comment,
    ACTIONS(1647),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33727] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(822),
    1,
    sym_comment,
    ACTIONS(1623),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33742] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(823),
    1,
    sym_comment,
    ACTIONS(1627),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33757] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(824),
    1,
    sym_comment,
    ACTIONS(1631),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33772] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(825),
    1,
    sym_comment,
    ACTIONS(1643),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33787] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(826),
    1,
    sym_comment,
    ACTIONS(1615),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33802] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2611),
    1,
    sym_identifier,
    STATE(434),
    1,
    sym_simple_declarator,
    STATE(827),
    1,
    sym_comment,
    STATE(1277),
    1,
    sym_attr_declarator,
    [33821] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(828),
    1,
    sym_comment,
    ACTIONS(1655),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33836] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(829),
    1,
    sym_comment,
    ACTIONS(1663),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33851] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2690),
    1,
    anon_sym_COMMA,
    ACTIONS(2848),
    1,
    anon_sym_LBRACE,
    STATE(714),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    STATE(830),
    1,
    sym_comment,
    [33870] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2690),
    1,
    anon_sym_COMMA,
    ACTIONS(2850),
    1,
    anon_sym_LBRACE,
    STATE(724),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    STATE(831),
    1,
    sym_comment,
    [33889] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(832),
    1,
    sym_comment,
    ACTIONS(1527),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33904] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2787),
    1,
    anon_sym_COMMA,
    ACTIONS(2852),
    1,
    anon_sym_SEMI,
    STATE(660),
    1,
    aux_sym_any_declarators_repeat1,
    STATE(833),
    1,
    sym_comment,
    [33923] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2690),
    1,
    anon_sym_COMMA,
    ACTIONS(2854),
    1,
    anon_sym_LBRACE,
    STATE(714),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    STATE(834),
    1,
    sym_comment,
    [33942] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2690),
    1,
    anon_sym_COMMA,
    ACTIONS(2854),
    1,
    anon_sym_LBRACE,
    STATE(830),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    STATE(835),
    1,
    sym_comment,
    [33961] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1927),
    1,
    anon_sym_COLON_COLON,
    STATE(836),
    1,
    sym_comment,
    ACTIONS(2856),
    2,
    anon_sym_LBRACE,
    anon_sym_supports,
    [33978] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(837),
    1,
    sym_comment,
    ACTIONS(1715),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [33993] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2298),
    1,
    sym_identifier,
    STATE(591),
    1,
    sym_scoped_name,
    STATE(838),
    1,
    sym_comment,
    [34012] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(839),
    1,
    sym_comment,
    ACTIONS(2858),
    3,
    anon_sym_RBRACE,
    anon_sym_default,
    anon_sym_case,
    [34027] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(840),
    1,
    sym_comment,
    ACTIONS(1743),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [34042] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(841),
    1,
    sym_comment,
    ACTIONS(1747),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [34057] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2463),
    1,
    sym_identifier,
    STATE(611),
    1,
    sym_scoped_name,
    STATE(842),
    1,
    sym_comment,
    [34076] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(843),
    1,
    sym_comment,
    ACTIONS(1543),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [34091] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(97),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2298),
    1,
    sym_identifier,
    STATE(612),
    1,
    sym_scoped_name,
    STATE(844),
    1,
    sym_comment,
    [34110] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2267),
    1,
    anon_sym_supports,
    ACTIONS(2860),
    1,
    anon_sym_LBRACE,
    STATE(845),
    1,
    sym_comment,
    STATE(1073),
    1,
    sym_supported_interface_spec,
    [34129] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2320),
    1,
    anon_sym_supports,
    ACTIONS(2862),
    1,
    anon_sym_manages,
    STATE(846),
    1,
    sym_comment,
    STATE(1078),
    1,
    sym_supported_interface_spec,
    [34148] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2864),
    1,
    anon_sym_COMMA,
    ACTIONS(2867),
    1,
    anon_sym_RPAREN,
    STATE(847),
    2,
    sym_comment,
    aux_sym_factory_param_dcls_repeat1,
    [34165] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2463),
    1,
    sym_identifier,
    STATE(570),
    1,
    sym_scoped_name,
    STATE(848),
    1,
    sym_comment,
    [34184] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2828),
    1,
    anon_sym_COMMA,
    ACTIONS(2869),
    1,
    anon_sym_RPAREN,
    STATE(794),
    1,
    aux_sym_in_parameter_dcls_repeat1,
    STATE(849),
    1,
    sym_comment,
    [34203] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2871),
    1,
    anon_sym_COMMA,
    ACTIONS(2874),
    1,
    anon_sym_RPAREN,
    STATE(850),
    2,
    sym_comment,
    aux_sym_init_param_dcls_repeat1,
    [34220] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(851),
    1,
    sym_comment,
    ACTIONS(1695),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [34235] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2876),
    1,
    anon_sym_COMMA,
    ACTIONS(2879),
    1,
    anon_sym_RPAREN,
    STATE(852),
    2,
    sym_comment,
    aux_sym_context_expr_repeat1,
    [34252] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(592),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2463),
    1,
    sym_identifier,
    STATE(747),
    1,
    sym_scoped_name,
    STATE(853),
    1,
    sym_comment,
    [34271] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(854),
    1,
    sym_comment,
    ACTIONS(1667),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [34286] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2881),
    1,
    anon_sym_COMMA,
    ACTIONS(2884),
    1,
    anon_sym_RPAREN,
    STATE(855),
    2,
    sym_comment,
    aux_sym_parameter_dcls_repeat1,
    [34303] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(856),
    1,
    sym_comment,
    ACTIONS(2886),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [34317] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(857),
    1,
    sym_comment,
    ACTIONS(2884),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [34331] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(858),
    1,
    sym_comment,
    ACTIONS(2888),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [34345] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(859),
    1,
    sym_comment,
    ACTIONS(2890),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [34359] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(860),
    1,
    sym_comment,
    ACTIONS(2874),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [34373] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(861),
    1,
    sym_comment,
    ACTIONS(2879),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [34387] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(862),
    1,
    sym_comment,
    ACTIONS(2892),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [34401] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2437),
    1,
    anon_sym_in,
    STATE(863),
    1,
    sym_comment,
    STATE(885),
    1,
    sym_in_param_dcl,
    [34417] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(864),
    1,
    sym_comment,
    ACTIONS(2867),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [34431] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(865),
    1,
    sym_comment,
    ACTIONS(2894),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [34445] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2611),
    1,
    sym_identifier,
    STATE(866),
    1,
    sym_comment,
    STATE(884),
    1,
    sym_simple_declarator,
    [34461] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(867),
    1,
    sym_comment,
    ACTIONS(2896),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [34475] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(868),
    1,
    sym_comment,
    ACTIONS(2898),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [34489] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2373),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2900),
    1,
    anon_sym_LBRACE,
    STATE(869),
    1,
    sym_comment,
    [34505] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2902),
    1,
    sym_identifier,
    STATE(870),
    1,
    sym_comment,
    STATE(1019),
    1,
    sym_formal_parameter_names,
    [34521] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2373),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2904),
    1,
    anon_sym_LT,
    STATE(871),
    1,
    sym_comment,
    [34537] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2597),
    1,
    anon_sym_in,
    STATE(864),
    1,
    sym_factory_param_dcl,
    STATE(872),
    1,
    sym_comment,
    [34553] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2611),
    1,
    sym_identifier,
    STATE(862),
    1,
    sym_simple_declarator,
    STATE(873),
    1,
    sym_comment,
    [34569] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(874),
    1,
    sym_comment,
    ACTIONS(2906),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [34583] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2479),
    1,
    anon_sym_in,
    STATE(860),
    1,
    sym_init_param_dcl,
    STATE(875),
    1,
    sym_comment,
    [34599] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2611),
    1,
    sym_identifier,
    STATE(858),
    1,
    sym_simple_declarator,
    STATE(876),
    1,
    sym_comment,
    [34615] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2611),
    1,
    sym_identifier,
    STATE(856),
    1,
    sym_simple_declarator,
    STATE(877),
    1,
    sym_comment,
    [34631] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2908),
    1,
    anon_sym_GT,
    ACTIONS(2910),
    1,
    anon_sym_COMMA,
    STATE(878),
    1,
    sym_comment,
    [34647] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(879),
    1,
    sym_comment,
    ACTIONS(2912),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [34661] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(880),
    1,
    sym_comment,
    ACTIONS(2499),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [34675] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(606),
    1,
    anon_sym_DQUOTE,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(861),
    1,
    sym_string_literal,
    STATE(881),
    1,
    sym_comment,
    [34691] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(882),
    1,
    sym_comment,
    ACTIONS(2914),
    2,
    anon_sym_SEMI,
    anon_sym_setraises,
    [34705] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2373),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2916),
    1,
    sym_identifier,
    STATE(883),
    1,
    sym_comment,
    [34721] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(884),
    1,
    sym_comment,
    ACTIONS(2918),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [34735] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(885),
    1,
    sym_comment,
    ACTIONS(2824),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [34749] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(886),
    1,
    sym_comment,
    ACTIONS(2920),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [34763] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(887),
    1,
    sym_comment,
    ACTIONS(2922),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [34777] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(888),
    1,
    sym_comment,
    ACTIONS(2924),
    2,
    anon_sym_SEMI,
    anon_sym_setraises,
    [34791] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(889),
    1,
    sym_comment,
    ACTIONS(2819),
    2,
    anon_sym_COMMA,
    anon_sym_SEMI,
    [34805] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(890),
    1,
    sym_comment,
    ACTIONS(2926),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [34819] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2373),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2928),
    1,
    sym_identifier,
    STATE(891),
    1,
    sym_comment,
    [34835] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2373),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2930),
    1,
    sym_identifier,
    STATE(892),
    1,
    sym_comment,
    [34851] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2373),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2932),
    1,
    anon_sym_LBRACE,
    STATE(893),
    1,
    sym_comment,
    [34867] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(894),
    1,
    sym_comment,
    ACTIONS(2934),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [34881] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2373),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2936),
    1,
    sym_identifier,
    STATE(895),
    1,
    sym_comment,
    [34897] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(896),
    1,
    sym_comment,
    ACTIONS(2938),
    2,
    anon_sym_SEMI,
    anon_sym_setraises,
    [34911] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(897),
    1,
    sym_comment,
    ACTIONS(2940),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [34925] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2373),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2942),
    1,
    sym_identifier,
    STATE(898),
    1,
    sym_comment,
    [34941] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2944),
    1,
    aux_sym_floating_pt_literal_token1,
    ACTIONS(2946),
    1,
    aux_sym_fixed_pt_literal_token1,
    STATE(899),
    1,
    sym_comment,
    [34957] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(900),
    1,
    sym_comment,
    ACTIONS(2948),
    2,
    anon_sym_RBRACE,
    anon_sym_bitfield,
    [34971] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(901),
    1,
    sym_comment,
    ACTIONS(2950),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [34985] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(902),
    1,
    sym_comment,
    ACTIONS(2793),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [34999] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(903),
    1,
    sym_comment,
    ACTIONS(2952),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [35013] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(904),
    1,
    sym_comment,
    ACTIONS(2954),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [35027] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(905),
    1,
    sym_comment,
    ACTIONS(2956),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [35041] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(906),
    1,
    sym_comment,
    ACTIONS(2958),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [35055] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(907),
    1,
    sym_comment,
    ACTIONS(2960),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [35069] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(908),
    1,
    sym_comment,
    ACTIONS(2962),
    2,
    anon_sym_RBRACE,
    anon_sym_bitfield,
    [35083] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2373),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2964),
    1,
    anon_sym_SEMI,
    STATE(909),
    1,
    sym_comment,
    [35099] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(910),
    1,
    sym_comment,
    ACTIONS(2966),
    2,
    anon_sym_COMMA,
    anon_sym_SEMI,
    [35113] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(911),
    1,
    sym_comment,
    ACTIONS(2968),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [35127] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(912),
    1,
    sym_comment,
    ACTIONS(2970),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [35141] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(913),
    1,
    sym_comment,
    ACTIONS(2972),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [35155] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2974),
    1,
    aux_sym_min_expr_token1,
    STATE(914),
    1,
    sym_comment,
    STATE(998),
    1,
    sym_min_expr,
    [35171] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2976),
    1,
    anon_sym_SEMI,
    ACTIONS(2978),
    1,
    anon_sym_default,
    STATE(915),
    1,
    sym_comment,
    [35187] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2373),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2980),
    1,
    anon_sym_LBRACE,
    STATE(916),
    1,
    sym_comment,
    [35203] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(917),
    1,
    sym_comment,
    ACTIONS(2982),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [35217] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(918),
    1,
    sym_comment,
    ACTIONS(2984),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [35231] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(919),
    1,
    sym_comment,
    ACTIONS(2986),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [35245] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2988),
    1,
    anon_sym_COMMA,
    ACTIONS(2990),
    1,
    anon_sym_RPAREN,
    STATE(920),
    1,
    sym_comment,
    [35261] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2611),
    1,
    sym_identifier,
    STATE(879),
    1,
    sym_simple_declarator,
    STATE(921),
    1,
    sym_comment,
    [35277] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2992),
    1,
    aux_sym_max_expr_token1,
    STATE(922),
    1,
    sym_comment,
    STATE(1289),
    1,
    sym_max_expr,
    [35293] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2994),
    1,
    anon_sym_LT,
    ACTIONS(2996),
    1,
    sym_identifier,
    STATE(923),
    1,
    sym_comment,
    [35309] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2998),
    1,
    anon_sym_LPAREN,
    STATE(924),
    1,
    sym_comment,
    STATE(1101),
    1,
    sym_exception_list,
    [35325] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2998),
    1,
    anon_sym_LPAREN,
    STATE(888),
    1,
    sym_exception_list,
    STATE(925),
    1,
    sym_comment,
    [35341] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2611),
    1,
    sym_identifier,
    STATE(889),
    1,
    sym_simple_declarator,
    STATE(926),
    1,
    sym_comment,
    [35357] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2373),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(3000),
    1,
    sym_identifier,
    STATE(927),
    1,
    sym_comment,
    [35373] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(928),
    1,
    sym_comment,
    ACTIONS(2726),
    2,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    [35387] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3002),
    1,
    sym_identifier,
    STATE(929),
    1,
    sym_comment,
    STATE(946),
    1,
    sym_annotation_appl_param,
    [35403] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2373),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(3004),
    1,
    anon_sym_LBRACE,
    STATE(930),
    1,
    sym_comment,
    [35419] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3006),
    1,
    anon_sym_GT,
    ACTIONS(3008),
    1,
    anon_sym_COMMA,
    STATE(931),
    1,
    sym_comment,
    [35435] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3010),
    1,
    anon_sym_COMMA,
    ACTIONS(3012),
    1,
    anon_sym_RPAREN,
    STATE(932),
    1,
    sym_comment,
    [35451] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3014),
    1,
    anon_sym_DQUOTE,
    ACTIONS(3016),
    1,
    anon_sym_SQUOTE,
    STATE(933),
    1,
    sym_comment,
    [35467] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3018),
    1,
    anon_sym_COMMA,
    ACTIONS(3020),
    1,
    anon_sym_RPAREN,
    STATE(934),
    1,
    sym_comment,
    [35483] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(935),
    1,
    sym_comment,
    ACTIONS(3022),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [35497] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(936),
    1,
    sym_comment,
    ACTIONS(1659),
    2,
    anon_sym_PIPE,
    anon_sym_RPAREN,
    [35511] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(937),
    1,
    sym_comment,
    ACTIONS(2699),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [35525] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(938),
    1,
    sym_comment,
    ACTIONS(3024),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [35539] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2611),
    1,
    sym_identifier,
    STATE(915),
    1,
    sym_simple_declarator,
    STATE(939),
    1,
    sym_comment,
    [35555] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(940),
    1,
    sym_comment,
    ACTIONS(3026),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [35569] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3028),
    1,
    anon_sym_LBRACE,
    ACTIONS(3030),
    1,
    anon_sym_SEMI,
    STATE(941),
    1,
    sym_comment,
    [35585] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(942),
    1,
    sym_comment,
    ACTIONS(2679),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [35599] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3032),
    1,
    anon_sym_COMMA,
    ACTIONS(3034),
    1,
    anon_sym_RPAREN,
    STATE(943),
    1,
    sym_comment,
    [35615] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(944),
    1,
    sym_comment,
    ACTIONS(2674),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [35629] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(945),
    1,
    sym_comment,
    ACTIONS(3036),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [35643] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(946),
    1,
    sym_comment,
    ACTIONS(2672),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [35657] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(947),
    1,
    sym_comment,
    ACTIONS(3038),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [35671] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(948),
    1,
    sym_comment,
    ACTIONS(2665),
    2,
    anon_sym_PIPE,
    anon_sym_RPAREN,
    [35685] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2373),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(3040),
    1,
    sym_identifier,
    STATE(949),
    1,
    sym_comment,
    [35701] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2373),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(3042),
    1,
    anon_sym_LT,
    STATE(950),
    1,
    sym_comment,
    [35717] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2992),
    1,
    aux_sym_max_expr_token1,
    STATE(951),
    1,
    sym_comment,
    STATE(1168),
    1,
    sym_max_expr,
    [35733] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3044),
    1,
    aux_sym_floating_pt_literal_token1,
    ACTIONS(3046),
    1,
    aux_sym_fixed_pt_literal_token1,
    STATE(952),
    1,
    sym_comment,
    [35749] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2373),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(3048),
    1,
    anon_sym_RPAREN,
    STATE(953),
    1,
    sym_comment,
    [35765] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(954),
    1,
    sym_comment,
    ACTIONS(3050),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [35779] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(955),
    1,
    sym_comment,
    ACTIONS(3052),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [35793] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3054),
    1,
    anon_sym_LBRACE,
    ACTIONS(3056),
    1,
    anon_sym_COLON,
    STATE(956),
    1,
    sym_comment,
    [35809] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(957),
    1,
    sym_comment,
    ACTIONS(3058),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [35823] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(958),
    1,
    sym_comment,
    ACTIONS(2646),
    2,
    anon_sym_COMMA,
    anon_sym_SEMI,
    [35837] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(959),
    1,
    sym_comment,
    ACTIONS(3060),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [35851] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(960),
    1,
    sym_comment,
    ACTIONS(3062),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [35865] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(961),
    1,
    sym_comment,
    ACTIONS(2639),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [35879] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2992),
    1,
    aux_sym_max_expr_token1,
    STATE(962),
    1,
    sym_comment,
    STATE(1213),
    1,
    sym_max_expr,
    [35895] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(963),
    1,
    sym_comment,
    ACTIONS(3064),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [35909] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(964),
    1,
    sym_comment,
    ACTIONS(3066),
    2,
    anon_sym_RBRACE,
    anon_sym_bitfield,
    [35923] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3068),
    1,
    anon_sym_GT,
    ACTIONS(3070),
    1,
    anon_sym_COMMA,
    STATE(965),
    1,
    sym_comment,
    [35939] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    STATE(966),
    1,
    sym_comment,
    ACTIONS(3072),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [35953] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2611),
    1,
    sym_identifier,
    STATE(967),
    1,
    sym_comment,
    STATE(1220),
    1,
    sym_simple_declarator,
    [35969] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3074),
    1,
    anon_sym_valuetype,
    ACTIONS(3076),
    1,
    anon_sym_eventtype,
    STATE(968),
    1,
    sym_comment,
    [35985] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2992),
    1,
    aux_sym_max_expr_token1,
    STATE(969),
    1,
    sym_comment,
    STATE(1255),
    1,
    sym_max_expr,
    [36001] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3078),
    1,
    aux_sym_preproc_call_token1,
    ACTIONS(3080),
    1,
    sym_preproc_arg,
    STATE(970),
    1,
    sym_comment,
    [36017] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2974),
    1,
    aux_sym_min_expr_token1,
    STATE(971),
    1,
    sym_comment,
    STATE(1366),
    1,
    sym_min_expr,
    [36033] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2974),
    1,
    aux_sym_min_expr_token1,
    STATE(972),
    1,
    sym_comment,
    STATE(1381),
    1,
    sym_min_expr,
    [36049] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2974),
    1,
    aux_sym_min_expr_token1,
    STATE(973),
    1,
    sym_comment,
    STATE(1396),
    1,
    sym_min_expr,
    [36065] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3082),
    1,
    anon_sym_SEMI,
    STATE(974),
    1,
    sym_comment,
    [36078] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3084),
    1,
    anon_sym_RPAREN,
    STATE(975),
    1,
    sym_comment,
    [36091] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3086),
    1,
    anon_sym_RPAREN,
    STATE(976),
    1,
    sym_comment,
    [36104] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3088),
    1,
    anon_sym_RPAREN,
    STATE(977),
    1,
    sym_comment,
    [36117] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3090),
    1,
    anon_sym_RPAREN,
    STATE(978),
    1,
    sym_comment,
    [36130] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3092),
    1,
    anon_sym_RPAREN,
    STATE(979),
    1,
    sym_comment,
    [36143] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3094),
    1,
    anon_sym_RPAREN,
    STATE(980),
    1,
    sym_comment,
    [36156] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3096),
    1,
    anon_sym_COMMA,
    STATE(981),
    1,
    sym_comment,
    [36169] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3098),
    1,
    anon_sym_RPAREN,
    STATE(982),
    1,
    sym_comment,
    [36182] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3100),
    1,
    anon_sym_RPAREN,
    STATE(983),
    1,
    sym_comment,
    [36195] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3102),
    1,
    anon_sym_RPAREN,
    STATE(984),
    1,
    sym_comment,
    [36208] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3104),
    1,
    anon_sym_RPAREN,
    STATE(985),
    1,
    sym_comment,
    [36221] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3106),
    1,
    anon_sym_RPAREN,
    STATE(986),
    1,
    sym_comment,
    [36234] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3074),
    1,
    anon_sym_valuetype,
    STATE(987),
    1,
    sym_comment,
    [36247] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3108),
    1,
    anon_sym_COMMA,
    STATE(988),
    1,
    sym_comment,
    [36260] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3110),
    1,
    anon_sym_RPAREN,
    STATE(989),
    1,
    sym_comment,
    [36273] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3112),
    1,
    anon_sym_COMMA,
    STATE(990),
    1,
    sym_comment,
    [36286] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3114),
    1,
    anon_sym_COMMA,
    STATE(991),
    1,
    sym_comment,
    [36299] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3116),
    1,
    anon_sym_RPAREN,
    STATE(992),
    1,
    sym_comment,
    [36312] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3118),
    1,
    anon_sym_RPAREN,
    STATE(993),
    1,
    sym_comment,
    [36325] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3120),
    1,
    anon_sym_RPAREN,
    STATE(994),
    1,
    sym_comment,
    [36338] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3122),
    1,
    anon_sym_RPAREN,
    STATE(995),
    1,
    sym_comment,
    [36351] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3124),
    1,
    anon_sym_RPAREN,
    STATE(996),
    1,
    sym_comment,
    [36364] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3126),
    1,
    anon_sym_RPAREN,
    STATE(997),
    1,
    sym_comment,
    [36377] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3128),
    1,
    anon_sym_COMMA,
    STATE(998),
    1,
    sym_comment,
    [36390] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3130),
    1,
    anon_sym_EQ,
    STATE(999),
    1,
    sym_comment,
    [36403] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1671),
    1,
    anon_sym_RPAREN,
    STATE(1000),
    1,
    sym_comment,
    [36416] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3132),
    1,
    anon_sym_RPAREN,
    STATE(1001),
    1,
    sym_comment,
    [36429] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3134),
    1,
    anon_sym_RPAREN,
    STATE(1002),
    1,
    sym_comment,
    [36442] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3136),
    1,
    anon_sym_RPAREN,
    STATE(1003),
    1,
    sym_comment,
    [36455] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3138),
    1,
    anon_sym_RPAREN,
    STATE(1004),
    1,
    sym_comment,
    [36468] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3140),
    1,
    anon_sym_RPAREN,
    STATE(1005),
    1,
    sym_comment,
    [36481] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3142),
    1,
    anon_sym_RPAREN,
    STATE(1006),
    1,
    sym_comment,
    [36494] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3144),
    1,
    anon_sym_RPAREN,
    STATE(1007),
    1,
    sym_comment,
    [36507] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3146),
    1,
    anon_sym_RPAREN,
    STATE(1008),
    1,
    sym_comment,
    [36520] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3148),
    1,
    anon_sym_RPAREN,
    STATE(1009),
    1,
    sym_comment,
    [36533] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3150),
    1,
    anon_sym_RPAREN,
    STATE(1010),
    1,
    sym_comment,
    [36546] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3152),
    1,
    anon_sym_RPAREN,
    STATE(1011),
    1,
    sym_comment,
    [36559] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3154),
    1,
    anon_sym_SEMI,
    STATE(1012),
    1,
    sym_comment,
    [36572] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3000),
    1,
    sym_identifier,
    STATE(1013),
    1,
    sym_comment,
    [36585] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3156),
    1,
    sym_identifier,
    STATE(1014),
    1,
    sym_comment,
    [36598] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3158),
    1,
    anon_sym_RPAREN,
    STATE(1015),
    1,
    sym_comment,
    [36611] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3160),
    1,
    sym_identifier,
    STATE(1016),
    1,
    sym_comment,
    [36624] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2996),
    1,
    sym_identifier,
    STATE(1017),
    1,
    sym_comment,
    [36637] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3162),
    1,
    anon_sym_GT,
    STATE(1018),
    1,
    sym_comment,
    [36650] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3164),
    1,
    anon_sym_GT,
    STATE(1019),
    1,
    sym_comment,
    [36663] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3166),
    1,
    anon_sym_SEMI,
    STATE(1020),
    1,
    sym_comment,
    [36676] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3168),
    1,
    anon_sym_GT,
    STATE(1021),
    1,
    sym_comment,
    [36689] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3170),
    1,
    anon_sym_LBRACE,
    STATE(1022),
    1,
    sym_comment,
    [36702] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3172),
    1,
    anon_sym_LT,
    STATE(1023),
    1,
    sym_comment,
    [36715] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2431),
    1,
    anon_sym_LBRACE,
    STATE(1024),
    1,
    sym_comment,
    [36728] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3174),
    1,
    anon_sym_LBRACE,
    STATE(1025),
    1,
    sym_comment,
    [36741] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3176),
    1,
    anon_sym_LBRACE,
    STATE(1026),
    1,
    sym_comment,
    [36754] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3178),
    1,
    anon_sym_SEMI,
    STATE(1027),
    1,
    sym_comment,
    [36767] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1973),
    1,
    aux_sym_preproc_call_token1,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(1028),
    1,
    sym_comment,
    [36780] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3180),
    1,
    aux_sym_preproc_call_token1,
    STATE(1029),
    1,
    sym_comment,
    [36793] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3182),
    1,
    anon_sym_SEMI,
    STATE(1030),
    1,
    sym_comment,
    [36806] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3184),
    1,
    anon_sym_SEMI,
    STATE(1031),
    1,
    sym_comment,
    [36819] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3186),
    1,
    anon_sym_SEMI,
    STATE(1032),
    1,
    sym_comment,
    [36832] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3188),
    1,
    anon_sym_SEMI,
    STATE(1033),
    1,
    sym_comment,
    [36845] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3190),
    1,
    anon_sym_RBRACE,
    STATE(1034),
    1,
    sym_comment,
    [36858] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3192),
    1,
    sym_identifier,
    STATE(1035),
    1,
    sym_comment,
    [36871] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3194),
    1,
    sym_identifier,
    STATE(1036),
    1,
    sym_comment,
    [36884] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3196),
    1,
    anon_sym_SEMI,
    STATE(1037),
    1,
    sym_comment,
    [36897] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3198),
    1,
    anon_sym_RBRACE,
    STATE(1038),
    1,
    sym_comment,
    [36910] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3200),
    1,
    anon_sym_SEMI,
    STATE(1039),
    1,
    sym_comment,
    [36923] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3202),
    1,
    anon_sym_SEMI,
    STATE(1040),
    1,
    sym_comment,
    [36936] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3204),
    1,
    anon_sym_SEMI,
    STATE(1041),
    1,
    sym_comment,
    [36949] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3206),
    1,
    sym_identifier,
    STATE(1042),
    1,
    sym_comment,
    [36962] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3208),
    1,
    sym_identifier,
    STATE(1043),
    1,
    sym_comment,
    [36975] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3210),
    1,
    anon_sym_SEMI,
    STATE(1044),
    1,
    sym_comment,
    [36988] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3212),
    1,
    sym_identifier,
    STATE(1045),
    1,
    sym_comment,
    [37001] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3214),
    1,
    anon_sym_SEMI,
    STATE(1046),
    1,
    sym_comment,
    [37014] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3216),
    1,
    anon_sym_SEMI,
    STATE(1047),
    1,
    sym_comment,
    [37027] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3218),
    1,
    anon_sym_SEMI,
    STATE(1048),
    1,
    sym_comment,
    [37040] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3220),
    1,
    anon_sym_LBRACE,
    STATE(1049),
    1,
    sym_comment,
    [37053] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3222),
    1,
    anon_sym_SEMI,
    STATE(1050),
    1,
    sym_comment,
    [37066] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3224),
    1,
    anon_sym_GT,
    STATE(1051),
    1,
    sym_comment,
    [37079] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3226),
    1,
    anon_sym_SEMI,
    STATE(1052),
    1,
    sym_comment,
    [37092] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3228),
    1,
    anon_sym_GT,
    STATE(1053),
    1,
    sym_comment,
    [37105] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3230),
    1,
    sym_identifier,
    STATE(1054),
    1,
    sym_comment,
    [37118] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3232),
    1,
    anon_sym_SEMI,
    STATE(1055),
    1,
    sym_comment,
    [37131] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3234),
    1,
    anon_sym_LBRACE,
    STATE(1056),
    1,
    sym_comment,
    [37144] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3236),
    1,
    anon_sym_RBRACE,
    STATE(1057),
    1,
    sym_comment,
    [37157] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2836),
    1,
    anon_sym_SEMI,
    STATE(1058),
    1,
    sym_comment,
    [37170] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3238),
    1,
    anon_sym_void,
    STATE(1059),
    1,
    sym_comment,
    [37183] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3240),
    1,
    anon_sym_COMMA,
    STATE(1060),
    1,
    sym_comment,
    [37196] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3242),
    1,
    anon_sym_attribute,
    STATE(1061),
    1,
    sym_comment,
    [37209] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3244),
    1,
    sym_identifier,
    STATE(1062),
    1,
    sym_comment,
    [37222] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2617),
    1,
    anon_sym_valuetype,
    STATE(1063),
    1,
    sym_comment,
    [37235] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3246),
    1,
    anon_sym_SEMI,
    STATE(1064),
    1,
    sym_comment,
    [37248] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3248),
    1,
    anon_sym_LBRACE,
    STATE(1065),
    1,
    sym_comment,
    [37261] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3250),
    1,
    anon_sym_LBRACE,
    STATE(1066),
    1,
    sym_comment,
    [37274] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3252),
    1,
    anon_sym_COLON,
    STATE(1067),
    1,
    sym_comment,
    [37287] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2862),
    1,
    anon_sym_manages,
    STATE(1068),
    1,
    sym_comment,
    [37300] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3254),
    1,
    anon_sym_COMMA,
    STATE(1069),
    1,
    sym_comment,
    [37313] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3256),
    1,
    anon_sym_SEMI,
    STATE(1070),
    1,
    sym_comment,
    [37326] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3258),
    1,
    anon_sym_SEMI,
    STATE(1071),
    1,
    sym_comment,
    [37339] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3260),
    1,
    anon_sym_SEMI,
    STATE(1072),
    1,
    sym_comment,
    [37352] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3262),
    1,
    anon_sym_LBRACE,
    STATE(1073),
    1,
    sym_comment,
    [37365] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2860),
    1,
    anon_sym_LBRACE,
    STATE(1074),
    1,
    sym_comment,
    [37378] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3264),
    1,
    anon_sym_SEMI,
    STATE(1075),
    1,
    sym_comment,
    [37391] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3266),
    1,
    anon_sym_RPAREN,
    STATE(1076),
    1,
    sym_comment,
    [37404] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3268),
    1,
    anon_sym_GT,
    STATE(1077),
    1,
    sym_comment,
    [37417] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3270),
    1,
    anon_sym_manages,
    STATE(1078),
    1,
    sym_comment,
    [37430] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3272),
    1,
    anon_sym_SEMI,
    STATE(1079),
    1,
    sym_comment,
    [37443] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3274),
    1,
    anon_sym_RBRACE,
    STATE(1080),
    1,
    sym_comment,
    [37456] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3276),
    1,
    anon_sym_COLON,
    STATE(1081),
    1,
    sym_comment,
    [37469] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3278),
    1,
    anon_sym_SEMI,
    STATE(1082),
    1,
    sym_comment,
    [37482] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3280),
    1,
    anon_sym_RPAREN,
    STATE(1083),
    1,
    sym_comment,
    [37495] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3282),
    1,
    anon_sym_RPAREN,
    STATE(1084),
    1,
    sym_comment,
    [37508] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3284),
    1,
    sym_identifier,
    STATE(1085),
    1,
    sym_comment,
    [37521] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3286),
    1,
    anon_sym_SEMI,
    STATE(1086),
    1,
    sym_comment,
    [37534] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3288),
    1,
    anon_sym_GT,
    STATE(1087),
    1,
    sym_comment,
    [37547] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3290),
    1,
    anon_sym_GT,
    STATE(1088),
    1,
    sym_comment,
    [37560] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3292),
    1,
    anon_sym_LPAREN,
    STATE(1089),
    1,
    sym_comment,
    [37573] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3294),
    1,
    anon_sym_SEMI,
    STATE(1090),
    1,
    sym_comment,
    [37586] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3296),
    1,
    anon_sym_LPAREN,
    STATE(1091),
    1,
    sym_comment,
    [37599] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2846),
    1,
    anon_sym_SEMI,
    STATE(1092),
    1,
    sym_comment,
    [37612] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2842),
    1,
    anon_sym_SEMI,
    STATE(1093),
    1,
    sym_comment,
    [37625] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2838),
    1,
    anon_sym_SEMI,
    STATE(1094),
    1,
    sym_comment,
    [37638] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3298),
    1,
    anon_sym_LPAREN,
    STATE(1095),
    1,
    sym_comment,
    [37651] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3300),
    1,
    anon_sym_SEMI,
    STATE(1096),
    1,
    sym_comment,
    [37664] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2916),
    1,
    sym_identifier,
    STATE(1097),
    1,
    sym_comment,
    [37677] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3302),
    1,
    anon_sym_SEMI,
    STATE(1098),
    1,
    sym_comment,
    [37690] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3304),
    1,
    anon_sym_RPAREN,
    STATE(1099),
    1,
    sym_comment,
    [37703] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3306),
    1,
    anon_sym_SEMI,
    STATE(1100),
    1,
    sym_comment,
    [37716] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3308),
    1,
    anon_sym_SEMI,
    STATE(1101),
    1,
    sym_comment,
    [37729] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2812),
    1,
    anon_sym_SEMI,
    STATE(1102),
    1,
    sym_comment,
    [37742] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3310),
    1,
    anon_sym_LPAREN,
    STATE(1103),
    1,
    sym_comment,
    [37755] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3312),
    1,
    anon_sym_LBRACE,
    STATE(1104),
    1,
    sym_comment,
    [37768] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3314),
    1,
    sym_identifier,
    STATE(1105),
    1,
    sym_comment,
    [37781] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3316),
    1,
    sym_identifier,
    STATE(1106),
    1,
    sym_comment,
    [37794] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3318),
    1,
    anon_sym_SEMI,
    STATE(1107),
    1,
    sym_comment,
    [37807] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3320),
    1,
    anon_sym_LPAREN,
    STATE(1108),
    1,
    sym_comment,
    [37820] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3322),
    1,
    anon_sym_SEMI,
    STATE(1109),
    1,
    sym_comment,
    [37833] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3324),
    1,
    anon_sym_LPAREN,
    STATE(1110),
    1,
    sym_comment,
    [37846] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3326),
    1,
    anon_sym_SEMI,
    STATE(1111),
    1,
    sym_comment,
    [37859] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3328),
    1,
    anon_sym_SEMI,
    STATE(1112),
    1,
    sym_comment,
    [37872] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3330),
    1,
    anon_sym_SEMI,
    STATE(1113),
    1,
    sym_comment,
    [37885] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3332),
    1,
    anon_sym_SEMI,
    STATE(1114),
    1,
    sym_comment,
    [37898] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3334),
    1,
    anon_sym_SEMI,
    STATE(1115),
    1,
    sym_comment,
    [37911] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3336),
    1,
    anon_sym_SEMI,
    STATE(1116),
    1,
    sym_comment,
    [37924] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3338),
    1,
    anon_sym_RPAREN,
    STATE(1117),
    1,
    sym_comment,
    [37937] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3340),
    1,
    anon_sym_SEMI,
    STATE(1118),
    1,
    sym_comment,
    [37950] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3342),
    1,
    anon_sym_SEMI,
    STATE(1119),
    1,
    sym_comment,
    [37963] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3344),
    1,
    anon_sym_SEMI,
    STATE(1120),
    1,
    sym_comment,
    [37976] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3346),
    1,
    anon_sym_SEMI,
    STATE(1121),
    1,
    sym_comment,
    [37989] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3348),
    1,
    anon_sym_SEMI,
    STATE(1122),
    1,
    sym_comment,
    [38002] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3350),
    1,
    anon_sym_SEMI,
    STATE(1123),
    1,
    sym_comment,
    [38015] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3352),
    1,
    anon_sym_EQ,
    STATE(1124),
    1,
    sym_comment,
    [38028] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3354),
    1,
    anon_sym_LPAREN,
    STATE(1125),
    1,
    sym_comment,
    [38041] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3356),
    1,
    sym_identifier,
    STATE(1126),
    1,
    sym_comment,
    [38054] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3358),
    1,
    anon_sym_SEMI,
    STATE(1127),
    1,
    sym_comment,
    [38067] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2777),
    1,
    anon_sym_LBRACE,
    STATE(1128),
    1,
    sym_comment,
    [38080] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3360),
    1,
    anon_sym_SEMI,
    STATE(1129),
    1,
    sym_comment,
    [38093] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2233),
    1,
    anon_sym_LBRACE,
    STATE(1130),
    1,
    sym_comment,
    [38106] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3362),
    1,
    sym_identifier,
    STATE(1131),
    1,
    sym_comment,
    [38119] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3364),
    1,
    sym_identifier,
    STATE(1132),
    1,
    sym_comment,
    [38132] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3366),
    1,
    anon_sym_RPAREN,
    STATE(1133),
    1,
    sym_comment,
    [38145] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3368),
    1,
    anon_sym_RPAREN,
    STATE(1134),
    1,
    sym_comment,
    [38158] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2761),
    1,
    anon_sym_SEMI,
    STATE(1135),
    1,
    sym_comment,
    [38171] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3370),
    1,
    anon_sym_SEMI,
    STATE(1136),
    1,
    sym_comment,
    [38184] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3372),
    1,
    anon_sym_RPAREN,
    STATE(1137),
    1,
    sym_comment,
    [38197] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3374),
    1,
    anon_sym_RPAREN,
    STATE(1138),
    1,
    sym_comment,
    [38210] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3376),
    1,
    anon_sym_RPAREN,
    STATE(1139),
    1,
    sym_comment,
    [38223] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3378),
    1,
    anon_sym_RPAREN,
    STATE(1140),
    1,
    sym_comment,
    [38236] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3380),
    1,
    anon_sym_RPAREN,
    STATE(1141),
    1,
    sym_comment,
    [38249] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3382),
    1,
    anon_sym_RPAREN,
    STATE(1142),
    1,
    sym_comment,
    [38262] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3384),
    1,
    anon_sym_RPAREN,
    STATE(1143),
    1,
    sym_comment,
    [38275] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3386),
    1,
    anon_sym_RPAREN,
    STATE(1144),
    1,
    sym_comment,
    [38288] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3388),
    1,
    anon_sym_RPAREN,
    STATE(1145),
    1,
    sym_comment,
    [38301] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3390),
    1,
    anon_sym_RPAREN,
    STATE(1146),
    1,
    sym_comment,
    [38314] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3392),
    1,
    anon_sym_RPAREN,
    STATE(1147),
    1,
    sym_comment,
    [38327] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3394),
    1,
    anon_sym_RPAREN,
    STATE(1148),
    1,
    sym_comment,
    [38340] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3396),
    1,
    anon_sym_RPAREN,
    STATE(1149),
    1,
    sym_comment,
    [38353] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3398),
    1,
    anon_sym_RPAREN,
    STATE(1150),
    1,
    sym_comment,
    [38366] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3400),
    1,
    anon_sym_RPAREN,
    STATE(1151),
    1,
    sym_comment,
    [38379] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3402),
    1,
    anon_sym_RPAREN,
    STATE(1152),
    1,
    sym_comment,
    [38392] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3404),
    1,
    anon_sym_RPAREN,
    STATE(1153),
    1,
    sym_comment,
    [38405] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3406),
    1,
    anon_sym_RPAREN,
    STATE(1154),
    1,
    sym_comment,
    [38418] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3408),
    1,
    anon_sym_RPAREN,
    STATE(1155),
    1,
    sym_comment,
    [38431] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3410),
    1,
    anon_sym_RPAREN,
    STATE(1156),
    1,
    sym_comment,
    [38444] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3412),
    1,
    anon_sym_RPAREN,
    STATE(1157),
    1,
    sym_comment,
    [38457] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3414),
    1,
    anon_sym_RPAREN,
    STATE(1158),
    1,
    sym_comment,
    [38470] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3416),
    1,
    anon_sym_RPAREN,
    STATE(1159),
    1,
    sym_comment,
    [38483] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3418),
    1,
    anon_sym_RPAREN,
    STATE(1160),
    1,
    sym_comment,
    [38496] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3420),
    1,
    anon_sym_RPAREN,
    STATE(1161),
    1,
    sym_comment,
    [38509] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3422),
    1,
    anon_sym_SEMI,
    STATE(1162),
    1,
    sym_comment,
    [38522] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3424),
    1,
    anon_sym_RPAREN,
    STATE(1163),
    1,
    sym_comment,
    [38535] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3426),
    1,
    anon_sym_RPAREN,
    STATE(1164),
    1,
    sym_comment,
    [38548] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3428),
    1,
    anon_sym_RPAREN,
    STATE(1165),
    1,
    sym_comment,
    [38561] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3430),
    1,
    anon_sym_RPAREN,
    STATE(1166),
    1,
    sym_comment,
    [38574] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3432),
    1,
    anon_sym_SEMI,
    STATE(1167),
    1,
    sym_comment,
    [38587] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3434),
    1,
    anon_sym_RPAREN,
    STATE(1168),
    1,
    sym_comment,
    [38600] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3436),
    1,
    anon_sym_RPAREN,
    STATE(1169),
    1,
    sym_comment,
    [38613] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3438),
    1,
    anon_sym_RPAREN,
    STATE(1170),
    1,
    sym_comment,
    [38626] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3440),
    1,
    anon_sym_RPAREN,
    STATE(1171),
    1,
    sym_comment,
    [38639] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2737),
    1,
    anon_sym_SEMI,
    STATE(1172),
    1,
    sym_comment,
    [38652] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3442),
    1,
    anon_sym_RPAREN,
    STATE(1173),
    1,
    sym_comment,
    [38665] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2739),
    1,
    anon_sym_SEMI,
    STATE(1174),
    1,
    sym_comment,
    [38678] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3444),
    1,
    sym_identifier,
    STATE(1175),
    1,
    sym_comment,
    [38691] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1993),
    1,
    aux_sym_preproc_call_token1,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    STATE(1176),
    1,
    sym_comment,
    [38704] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3446),
    1,
    anon_sym_SEMI,
    STATE(1177),
    1,
    sym_comment,
    [38717] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3448),
    1,
    anon_sym_GT,
    STATE(1178),
    1,
    sym_comment,
    [38730] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3450),
    1,
    sym_identifier,
    STATE(1179),
    1,
    sym_comment,
    [38743] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3452),
    1,
    anon_sym_LPAREN,
    STATE(1180),
    1,
    sym_comment,
    [38756] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3454),
    1,
    anon_sym_SEMI,
    STATE(1181),
    1,
    sym_comment,
    [38769] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2711),
    1,
    anon_sym_SEMI,
    STATE(1182),
    1,
    sym_comment,
    [38782] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2379),
    1,
    anon_sym_LBRACE,
    STATE(1183),
    1,
    sym_comment,
    [38795] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3456),
    1,
    anon_sym_RPAREN,
    STATE(1184),
    1,
    sym_comment,
    [38808] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3458),
    1,
    anon_sym_RPAREN,
    STATE(1185),
    1,
    sym_comment,
    [38821] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3460),
    1,
    anon_sym_RPAREN,
    STATE(1186),
    1,
    sym_comment,
    [38834] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3462),
    1,
    anon_sym_RPAREN,
    STATE(1187),
    1,
    sym_comment,
    [38847] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3464),
    1,
    anon_sym_RPAREN,
    STATE(1188),
    1,
    sym_comment,
    [38860] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2732),
    1,
    anon_sym_RPAREN,
    STATE(1189),
    1,
    sym_comment,
    [38873] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3466),
    1,
    anon_sym_RPAREN,
    STATE(1190),
    1,
    sym_comment,
    [38886] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3468),
    1,
    anon_sym_RPAREN,
    STATE(1191),
    1,
    sym_comment,
    [38899] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3470),
    1,
    anon_sym_RPAREN,
    STATE(1192),
    1,
    sym_comment,
    [38912] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3472),
    1,
    anon_sym_RPAREN,
    STATE(1193),
    1,
    sym_comment,
    [38925] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3474),
    1,
    anon_sym_RPAREN,
    STATE(1194),
    1,
    sym_comment,
    [38938] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3476),
    1,
    anon_sym_RPAREN,
    STATE(1195),
    1,
    sym_comment,
    [38951] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3478),
    1,
    anon_sym_RPAREN,
    STATE(1196),
    1,
    sym_comment,
    [38964] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3480),
    1,
    anon_sym_RPAREN,
    STATE(1197),
    1,
    sym_comment,
    [38977] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3482),
    1,
    anon_sym_RPAREN,
    STATE(1198),
    1,
    sym_comment,
    [38990] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3484),
    1,
    anon_sym_RPAREN,
    STATE(1199),
    1,
    sym_comment,
    [39003] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3486),
    1,
    anon_sym_RPAREN,
    STATE(1200),
    1,
    sym_comment,
    [39016] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3488),
    1,
    anon_sym_RPAREN,
    STATE(1201),
    1,
    sym_comment,
    [39029] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3490),
    1,
    anon_sym_RPAREN,
    STATE(1202),
    1,
    sym_comment,
    [39042] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3492),
    1,
    anon_sym_RPAREN,
    STATE(1203),
    1,
    sym_comment,
    [39055] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3494),
    1,
    anon_sym_RPAREN,
    STATE(1204),
    1,
    sym_comment,
    [39068] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3496),
    1,
    anon_sym_RPAREN,
    STATE(1205),
    1,
    sym_comment,
    [39081] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3498),
    1,
    anon_sym_RPAREN,
    STATE(1206),
    1,
    sym_comment,
    [39094] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3500),
    1,
    anon_sym_RPAREN,
    STATE(1207),
    1,
    sym_comment,
    [39107] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3502),
    1,
    sym_identifier,
    STATE(1208),
    1,
    sym_comment,
    [39120] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3504),
    1,
    anon_sym_LBRACE,
    STATE(1209),
    1,
    sym_comment,
    [39133] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3506),
    1,
    anon_sym_RPAREN,
    STATE(1210),
    1,
    sym_comment,
    [39146] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3508),
    1,
    anon_sym_RPAREN,
    STATE(1211),
    1,
    sym_comment,
    [39159] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3510),
    1,
    anon_sym_GT,
    STATE(1212),
    1,
    sym_comment,
    [39172] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3512),
    1,
    anon_sym_RPAREN,
    STATE(1213),
    1,
    sym_comment,
    [39185] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3514),
    1,
    anon_sym_RPAREN,
    STATE(1214),
    1,
    sym_comment,
    [39198] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3516),
    1,
    anon_sym_RPAREN,
    STATE(1215),
    1,
    sym_comment,
    [39211] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3518),
    1,
    anon_sym_RPAREN,
    STATE(1216),
    1,
    sym_comment,
    [39224] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3520),
    1,
    anon_sym_RPAREN,
    STATE(1217),
    1,
    sym_comment,
    [39237] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3522),
    1,
    anon_sym_SEMI,
    STATE(1218),
    1,
    sym_comment,
    [39250] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3524),
    1,
    sym_identifier,
    STATE(1219),
    1,
    sym_comment,
    [39263] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3526),
    1,
    anon_sym_SEMI,
    STATE(1220),
    1,
    sym_comment,
    [39276] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3528),
    1,
    anon_sym_GT,
    STATE(1221),
    1,
    sym_comment,
    [39289] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3530),
    1,
    anon_sym_LBRACE,
    STATE(1222),
    1,
    sym_comment,
    [39302] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3532),
    1,
    sym_identifier,
    STATE(1223),
    1,
    sym_comment,
    [39315] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3534),
    1,
    anon_sym_SEMI,
    STATE(1224),
    1,
    sym_comment,
    [39328] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2964),
    1,
    anon_sym_SEMI,
    STATE(1225),
    1,
    sym_comment,
    [39341] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3536),
    1,
    anon_sym_RPAREN,
    STATE(1226),
    1,
    sym_comment,
    [39354] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3538),
    1,
    anon_sym_RPAREN,
    STATE(1227),
    1,
    sym_comment,
    [39367] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3540),
    1,
    anon_sym_RPAREN,
    STATE(1228),
    1,
    sym_comment,
    [39380] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3542),
    1,
    anon_sym_RPAREN,
    STATE(1229),
    1,
    sym_comment,
    [39393] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3544),
    1,
    anon_sym_RPAREN,
    STATE(1230),
    1,
    sym_comment,
    [39406] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3546),
    1,
    anon_sym_RPAREN,
    STATE(1231),
    1,
    sym_comment,
    [39419] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3548),
    1,
    anon_sym_RPAREN,
    STATE(1232),
    1,
    sym_comment,
    [39432] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3550),
    1,
    anon_sym_RPAREN,
    STATE(1233),
    1,
    sym_comment,
    [39445] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3552),
    1,
    anon_sym_RPAREN,
    STATE(1234),
    1,
    sym_comment,
    [39458] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3554),
    1,
    anon_sym_RPAREN,
    STATE(1235),
    1,
    sym_comment,
    [39471] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3556),
    1,
    anon_sym_RPAREN,
    STATE(1236),
    1,
    sym_comment,
    [39484] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3558),
    1,
    anon_sym_RPAREN,
    STATE(1237),
    1,
    sym_comment,
    [39497] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3560),
    1,
    anon_sym_RPAREN,
    STATE(1238),
    1,
    sym_comment,
    [39510] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3562),
    1,
    anon_sym_RPAREN,
    STATE(1239),
    1,
    sym_comment,
    [39523] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3564),
    1,
    anon_sym_RPAREN,
    STATE(1240),
    1,
    sym_comment,
    [39536] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3566),
    1,
    anon_sym_RPAREN,
    STATE(1241),
    1,
    sym_comment,
    [39549] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3568),
    1,
    anon_sym_RPAREN,
    STATE(1242),
    1,
    sym_comment,
    [39562] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3570),
    1,
    anon_sym_RPAREN,
    STATE(1243),
    1,
    sym_comment,
    [39575] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3572),
    1,
    anon_sym_RPAREN,
    STATE(1244),
    1,
    sym_comment,
    [39588] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3574),
    1,
    anon_sym_RPAREN,
    STATE(1245),
    1,
    sym_comment,
    [39601] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3576),
    1,
    anon_sym_RPAREN,
    STATE(1246),
    1,
    sym_comment,
    [39614] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3578),
    1,
    anon_sym_RPAREN,
    STATE(1247),
    1,
    sym_comment,
    [39627] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3580),
    1,
    anon_sym_RPAREN,
    STATE(1248),
    1,
    sym_comment,
    [39640] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3582),
    1,
    anon_sym_RPAREN,
    STATE(1249),
    1,
    sym_comment,
    [39653] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3584),
    1,
    anon_sym_SEMI,
    STATE(1250),
    1,
    sym_comment,
    [39666] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3586),
    1,
    sym_identifier,
    STATE(1251),
    1,
    sym_comment,
    [39679] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3588),
    1,
    anon_sym_RPAREN,
    STATE(1252),
    1,
    sym_comment,
    [39692] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3590),
    1,
    anon_sym_RPAREN,
    STATE(1253),
    1,
    sym_comment,
    [39705] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3592),
    1,
    anon_sym_SEMI,
    STATE(1254),
    1,
    sym_comment,
    [39718] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3594),
    1,
    anon_sym_RPAREN,
    STATE(1255),
    1,
    sym_comment,
    [39731] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3596),
    1,
    anon_sym_RPAREN,
    STATE(1256),
    1,
    sym_comment,
    [39744] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3598),
    1,
    anon_sym_RPAREN,
    STATE(1257),
    1,
    sym_comment,
    [39757] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3600),
    1,
    anon_sym_RPAREN,
    STATE(1258),
    1,
    sym_comment,
    [39770] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3602),
    1,
    anon_sym_RPAREN,
    STATE(1259),
    1,
    sym_comment,
    [39783] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3604),
    1,
    sym_identifier,
    STATE(1260),
    1,
    sym_comment,
    [39796] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3606),
    1,
    sym_identifier,
    STATE(1261),
    1,
    sym_comment,
    [39809] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3608),
    1,
    sym_identifier,
    STATE(1262),
    1,
    sym_comment,
    [39822] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2994),
    1,
    anon_sym_LT,
    STATE(1263),
    1,
    sym_comment,
    [39835] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2121),
    1,
    anon_sym_EQ,
    STATE(1264),
    1,
    sym_comment,
    [39848] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3610),
    1,
    anon_sym_RPAREN,
    STATE(1265),
    1,
    sym_comment,
    [39861] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3612),
    1,
    anon_sym_SEMI,
    STATE(1266),
    1,
    sym_comment,
    [39874] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3614),
    1,
    anon_sym_LT,
    STATE(1267),
    1,
    sym_comment,
    [39887] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3616),
    1,
    anon_sym_LT,
    STATE(1268),
    1,
    sym_comment,
    [39900] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3618),
    1,
    sym_identifier,
    STATE(1269),
    1,
    sym_comment,
    [39913] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3620),
    1,
    sym_identifier,
    STATE(1270),
    1,
    sym_comment,
    [39926] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3622),
    1,
    sym_identifier,
    STATE(1271),
    1,
    sym_comment,
    [39939] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3048),
    1,
    anon_sym_RPAREN,
    STATE(1272),
    1,
    sym_comment,
    [39952] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3624),
    1,
    aux_sym_comment_token1,
    STATE(1273),
    1,
    sym_comment,
    [39965] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3626),
    1,
    sym_identifier,
    STATE(1274),
    1,
    sym_comment,
    [39978] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3040),
    1,
    sym_identifier,
    STATE(1275),
    1,
    sym_comment,
    [39991] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3628),
    1,
    anon_sym_LBRACE,
    STATE(1276),
    1,
    sym_comment,
    [40004] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3630),
    1,
    anon_sym_SEMI,
    STATE(1277),
    1,
    sym_comment,
    [40017] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3632),
    1,
    anon_sym_COMMA,
    STATE(1278),
    1,
    sym_comment,
    [40030] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3634),
    1,
    anon_sym_RPAREN,
    STATE(1279),
    1,
    sym_comment,
    [40043] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3636),
    1,
    anon_sym_LPAREN,
    STATE(1280),
    1,
    sym_comment,
    [40056] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3638),
    1,
    anon_sym_LPAREN,
    STATE(1281),
    1,
    sym_comment,
    [40069] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3640),
    1,
    anon_sym_LPAREN,
    STATE(1282),
    1,
    sym_comment,
    [40082] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3642),
    1,
    anon_sym_LPAREN,
    STATE(1283),
    1,
    sym_comment,
    [40095] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3644),
    1,
    anon_sym_LPAREN,
    STATE(1284),
    1,
    sym_comment,
    [40108] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3646),
    1,
    anon_sym_LPAREN,
    STATE(1285),
    1,
    sym_comment,
    [40121] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3648),
    1,
    anon_sym_LPAREN,
    STATE(1286),
    1,
    sym_comment,
    [40134] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3650),
    1,
    anon_sym_LPAREN,
    STATE(1287),
    1,
    sym_comment,
    [40147] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3652),
    1,
    anon_sym_LPAREN,
    STATE(1288),
    1,
    sym_comment,
    [40160] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3654),
    1,
    anon_sym_RPAREN,
    STATE(1289),
    1,
    sym_comment,
    [40173] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3656),
    1,
    anon_sym_LPAREN,
    STATE(1290),
    1,
    sym_comment,
    [40186] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3658),
    1,
    anon_sym_LPAREN,
    STATE(1291),
    1,
    sym_comment,
    [40199] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3660),
    1,
    anon_sym_EQ,
    STATE(1292),
    1,
    sym_comment,
    [40212] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3662),
    1,
    anon_sym_COMMA,
    STATE(1293),
    1,
    sym_comment,
    [40225] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3664),
    1,
    anon_sym_LPAREN,
    STATE(1294),
    1,
    sym_comment,
    [40238] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3666),
    1,
    sym_identifier,
    STATE(1295),
    1,
    sym_comment,
    [40251] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3668),
    1,
    anon_sym_LBRACE,
    STATE(1296),
    1,
    sym_comment,
    [40264] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3670),
    1,
    anon_sym_LBRACE,
    STATE(1297),
    1,
    sym_comment,
    [40277] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3672),
    1,
    anon_sym_RPAREN,
    STATE(1298),
    1,
    sym_comment,
    [40290] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3674),
    1,
    sym_identifier,
    STATE(1299),
    1,
    sym_comment,
    [40303] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3676),
    1,
    sym_identifier,
    STATE(1300),
    1,
    sym_comment,
    [40316] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3678),
    1,
    sym_identifier,
    STATE(1301),
    1,
    sym_comment,
    [40329] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3680),
    1,
    anon_sym_LBRACE,
    STATE(1302),
    1,
    sym_comment,
    [40342] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3682),
    1,
    aux_sym_preproc_call_token1,
    STATE(1303),
    1,
    sym_comment,
    [40355] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3684),
    1,
    sym_system_lib_path,
    STATE(1304),
    1,
    sym_comment,
    [40368] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3686),
    1,
    aux_sym_preproc_call_token1,
    STATE(1305),
    1,
    sym_comment,
    [40381] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3688),
    1,
    anon_sym_SLASH,
    STATE(1306),
    1,
    sym_comment,
    [40394] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3690),
    1,
    anon_sym_LPAREN,
    STATE(1307),
    1,
    sym_comment,
    [40407] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3692),
    1,
    anon_sym_SEMI,
    STATE(1308),
    1,
    sym_comment,
    [40420] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3694),
    1,
    anon_sym_LBRACE,
    STATE(1309),
    1,
    sym_comment,
    [40433] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3696),
    1,
    anon_sym_SEMI,
    STATE(1310),
    1,
    sym_comment,
    [40446] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3698),
    1,
    anon_sym_LBRACE,
    STATE(1311),
    1,
    sym_comment,
    [40459] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3700),
    1,
    anon_sym_SEMI,
    STATE(1312),
    1,
    sym_comment,
    [40472] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3702),
    1,
    anon_sym_LBRACE,
    STATE(1313),
    1,
    sym_comment,
    [40485] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3704),
    1,
    anon_sym_LBRACE,
    STATE(1314),
    1,
    sym_comment,
    [40498] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3706),
    1,
    anon_sym_SEMI,
    STATE(1315),
    1,
    sym_comment,
    [40511] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3708),
    1,
    anon_sym_RBRACK,
    STATE(1316),
    1,
    sym_comment,
    [40524] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3710),
    1,
    anon_sym_SEMI,
    STATE(1317),
    1,
    sym_comment,
    [40537] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3712),
    1,
    anon_sym_LBRACE,
    STATE(1318),
    1,
    sym_comment,
    [40550] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3714),
    1,
    sym_identifier,
    STATE(1319),
    1,
    sym_comment,
    [40563] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2585),
    1,
    anon_sym_LBRACE,
    STATE(1320),
    1,
    sym_comment,
    [40576] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3716),
    1,
    anon_sym_SEMI,
    STATE(1321),
    1,
    sym_comment,
    [40589] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3718),
    1,
    anon_sym_SEMI,
    STATE(1322),
    1,
    sym_comment,
    [40602] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3720),
    1,
    anon_sym_SEMI,
    STATE(1323),
    1,
    sym_comment,
    [40615] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3722),
    1,
    anon_sym_LBRACE,
    STATE(1324),
    1,
    sym_comment,
    [40628] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3724),
    1,
    anon_sym_SEMI,
    STATE(1325),
    1,
    sym_comment,
    [40641] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3726),
    1,
    sym_identifier,
    STATE(1326),
    1,
    sym_comment,
    [40654] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3728),
    1,
    anon_sym_SEMI,
    STATE(1327),
    1,
    sym_comment,
    [40667] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3730),
    1,
    ts_builtin_sym_end,
    STATE(1328),
    1,
    sym_comment,
    [40680] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3732),
    1,
    anon_sym_SEMI,
    STATE(1329),
    1,
    sym_comment,
    [40693] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3734),
    1,
    sym_identifier,
    STATE(1330),
    1,
    sym_comment,
    [40706] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3736),
    1,
    sym_identifier,
    STATE(1331),
    1,
    sym_comment,
    [40719] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3738),
    1,
    sym_identifier,
    STATE(1332),
    1,
    sym_comment,
    [40732] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3740),
    1,
    sym_identifier,
    STATE(1333),
    1,
    sym_comment,
    [40745] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3742),
    1,
    anon_sym_SEMI,
    STATE(1334),
    1,
    sym_comment,
    [40758] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3744),
    1,
    anon_sym_SEMI,
    STATE(1335),
    1,
    sym_comment,
    [40771] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3746),
    1,
    anon_sym_SEMI,
    STATE(1336),
    1,
    sym_comment,
    [40784] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3748),
    1,
    sym_identifier,
    STATE(1337),
    1,
    sym_comment,
    [40797] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3750),
    1,
    sym_identifier,
    STATE(1338),
    1,
    sym_comment,
    [40810] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3752),
    1,
    sym_identifier,
    STATE(1339),
    1,
    sym_comment,
    [40823] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3754),
    1,
    sym_identifier,
    STATE(1340),
    1,
    sym_comment,
    [40836] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3756),
    1,
    sym_identifier,
    STATE(1341),
    1,
    sym_comment,
    [40849] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3758),
    1,
    anon_sym_SEMI,
    STATE(1342),
    1,
    sym_comment,
    [40862] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3760),
    1,
    sym_identifier,
    STATE(1343),
    1,
    sym_comment,
    [40875] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3762),
    1,
    sym_identifier,
    STATE(1344),
    1,
    sym_comment,
    [40888] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3764),
    1,
    sym_identifier,
    STATE(1345),
    1,
    sym_comment,
    [40901] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3766),
    1,
    sym_identifier,
    STATE(1346),
    1,
    sym_comment,
    [40914] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3768),
    1,
    anon_sym_SEMI,
    STATE(1347),
    1,
    sym_comment,
    [40927] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2615),
    1,
    anon_sym_interface,
    STATE(1348),
    1,
    sym_comment,
    [40940] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3770),
    1,
    sym_identifier,
    STATE(1349),
    1,
    sym_comment,
    [40953] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3772),
    1,
    anon_sym_SEMI,
    STATE(1350),
    1,
    sym_comment,
    [40966] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3774),
    1,
    anon_sym_SEMI,
    STATE(1351),
    1,
    sym_comment,
    [40979] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3776),
    1,
    aux_sym_preproc_define_token1,
    STATE(1352),
    1,
    sym_comment,
    [40992] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3778),
    1,
    sym_identifier,
    STATE(1353),
    1,
    sym_comment,
    [41005] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3780),
    1,
    aux_sym_comment_token2,
    STATE(1354),
    1,
    sym_comment,
    [41018] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3782),
    1,
    anon_sym_LPAREN,
    STATE(1355),
    1,
    sym_comment,
    [41031] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3784),
    1,
    anon_sym_LPAREN,
    STATE(1356),
    1,
    sym_comment,
    [41044] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3786),
    1,
    anon_sym_LPAREN,
    STATE(1357),
    1,
    sym_comment,
    [41057] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3788),
    1,
    anon_sym_LPAREN,
    STATE(1358),
    1,
    sym_comment,
    [41070] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3790),
    1,
    anon_sym_LPAREN,
    STATE(1359),
    1,
    sym_comment,
    [41083] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3792),
    1,
    anon_sym_LPAREN,
    STATE(1360),
    1,
    sym_comment,
    [41096] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3794),
    1,
    anon_sym_LPAREN,
    STATE(1361),
    1,
    sym_comment,
    [41109] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3796),
    1,
    anon_sym_LPAREN,
    STATE(1362),
    1,
    sym_comment,
    [41122] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3798),
    1,
    anon_sym_LPAREN,
    STATE(1363),
    1,
    sym_comment,
    [41135] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3800),
    1,
    anon_sym_LPAREN,
    STATE(1364),
    1,
    sym_comment,
    [41148] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3802),
    1,
    anon_sym_LPAREN,
    STATE(1365),
    1,
    sym_comment,
    [41161] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3804),
    1,
    anon_sym_COMMA,
    STATE(1366),
    1,
    sym_comment,
    [41174] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3806),
    1,
    anon_sym_COMMA,
    STATE(1367),
    1,
    sym_comment,
    [41187] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3808),
    1,
    anon_sym_COMMA,
    STATE(1368),
    1,
    sym_comment,
    [41200] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3810),
    1,
    anon_sym_COMMA,
    STATE(1369),
    1,
    sym_comment,
    [41213] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3812),
    1,
    anon_sym_LPAREN,
    STATE(1370),
    1,
    sym_comment,
    [41226] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3814),
    1,
    anon_sym_LPAREN,
    STATE(1371),
    1,
    sym_comment,
    [41239] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3816),
    1,
    anon_sym_LPAREN,
    STATE(1372),
    1,
    sym_comment,
    [41252] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3818),
    1,
    anon_sym_LPAREN,
    STATE(1373),
    1,
    sym_comment,
    [41265] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3820),
    1,
    anon_sym_LPAREN,
    STATE(1374),
    1,
    sym_comment,
    [41278] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3822),
    1,
    anon_sym_LPAREN,
    STATE(1375),
    1,
    sym_comment,
    [41291] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3824),
    1,
    anon_sym_LPAREN,
    STATE(1376),
    1,
    sym_comment,
    [41304] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3826),
    1,
    anon_sym_LPAREN,
    STATE(1377),
    1,
    sym_comment,
    [41317] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3828),
    1,
    anon_sym_LPAREN,
    STATE(1378),
    1,
    sym_comment,
    [41330] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3830),
    1,
    anon_sym_LPAREN,
    STATE(1379),
    1,
    sym_comment,
    [41343] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3832),
    1,
    anon_sym_LPAREN,
    STATE(1380),
    1,
    sym_comment,
    [41356] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3834),
    1,
    anon_sym_COMMA,
    STATE(1381),
    1,
    sym_comment,
    [41369] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3836),
    1,
    anon_sym_COMMA,
    STATE(1382),
    1,
    sym_comment,
    [41382] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3838),
    1,
    anon_sym_COMMA,
    STATE(1383),
    1,
    sym_comment,
    [41395] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3840),
    1,
    anon_sym_COMMA,
    STATE(1384),
    1,
    sym_comment,
    [41408] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3842),
    1,
    anon_sym_LPAREN,
    STATE(1385),
    1,
    sym_comment,
    [41421] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3844),
    1,
    anon_sym_LPAREN,
    STATE(1386),
    1,
    sym_comment,
    [41434] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3846),
    1,
    anon_sym_LPAREN,
    STATE(1387),
    1,
    sym_comment,
    [41447] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3848),
    1,
    anon_sym_LPAREN,
    STATE(1388),
    1,
    sym_comment,
    [41460] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3850),
    1,
    anon_sym_LPAREN,
    STATE(1389),
    1,
    sym_comment,
    [41473] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3852),
    1,
    anon_sym_LPAREN,
    STATE(1390),
    1,
    sym_comment,
    [41486] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3854),
    1,
    anon_sym_LPAREN,
    STATE(1391),
    1,
    sym_comment,
    [41499] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3856),
    1,
    anon_sym_LPAREN,
    STATE(1392),
    1,
    sym_comment,
    [41512] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3858),
    1,
    anon_sym_LPAREN,
    STATE(1393),
    1,
    sym_comment,
    [41525] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3860),
    1,
    anon_sym_LPAREN,
    STATE(1394),
    1,
    sym_comment,
    [41538] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3862),
    1,
    anon_sym_LPAREN,
    STATE(1395),
    1,
    sym_comment,
    [41551] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3864),
    1,
    anon_sym_COMMA,
    STATE(1396),
    1,
    sym_comment,
    [41564] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3866),
    1,
    anon_sym_COMMA,
    STATE(1397),
    1,
    sym_comment,
    [41577] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3868),
    1,
    anon_sym_COMMA,
    STATE(1398),
    1,
    sym_comment,
    [41590] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3870),
    1,
    anon_sym_COMMA,
    STATE(1399),
    1,
    sym_comment,
    [41603] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3872),
    1,
    anon_sym_SEMI,
    STATE(1400),
    1,
    sym_comment,
    [41616] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3874),
    1,
    anon_sym_SEMI,
    STATE(1401),
    1,
    sym_comment,
    [41629] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3876),
    1,
    anon_sym_LPAREN,
    STATE(1402),
    1,
    sym_comment,
    [41642] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(614),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3878),
    1,
    anon_sym_LPAREN,
    STATE(1403),
    1,
    sym_comment,
    [41655] = 1,
    ACTIONS(3880),
    1,
    ts_builtin_sym_end,
    [41659] = 1,
    ACTIONS(3882),
    1,
    ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
    [SMALL_STATE(41)] = 0,
    [SMALL_STATE(42)] = 151,
    [SMALL_STATE(43)] = 302,
    [SMALL_STATE(44)] = 451,
    [SMALL_STATE(45)] = 602,
    [SMALL_STATE(46)] = 753,
    [SMALL_STATE(47)] = 904,
    [SMALL_STATE(48)] = 1055,
    [SMALL_STATE(49)] = 1199,
    [SMALL_STATE(50)] = 1347,
    [SMALL_STATE(51)] = 1485,
    [SMALL_STATE(52)] = 1627,
    [SMALL_STATE(53)] = 1769,
    [SMALL_STATE(54)] = 1907,
    [SMALL_STATE(55)] = 2045,
    [SMALL_STATE(56)] = 2181,
    [SMALL_STATE(57)] = 2308,
    [SMALL_STATE(58)] = 2377,
    [SMALL_STATE(59)] = 2446,
    [SMALL_STATE(60)] = 2515,
    [SMALL_STATE(61)] = 2584,
    [SMALL_STATE(62)] = 2653,
    [SMALL_STATE(63)] = 2722,
    [SMALL_STATE(64)] = 2791,
    [SMALL_STATE(65)] = 2859,
    [SMALL_STATE(66)] = 2927,
    [SMALL_STATE(67)] = 3051,
    [SMALL_STATE(68)] = 3119,
    [SMALL_STATE(69)] = 3187,
    [SMALL_STATE(70)] = 3316,
    [SMALL_STATE(71)] = 3443,
    [SMALL_STATE(72)] = 3570,
    [SMALL_STATE(73)] = 3697,
    [SMALL_STATE(74)] = 3826,
    [SMALL_STATE(75)] = 3953,
    [SMALL_STATE(76)] = 4080,
    [SMALL_STATE(77)] = 4209,
    [SMALL_STATE(78)] = 4336,
    [SMALL_STATE(79)] = 4465,
    [SMALL_STATE(80)] = 4592,
    [SMALL_STATE(81)] = 4719,
    [SMALL_STATE(82)] = 4846,
    [SMALL_STATE(83)] = 4973,
    [SMALL_STATE(84)] = 5039,
    [SMALL_STATE(85)] = 5105,
    [SMALL_STATE(86)] = 5222,
    [SMALL_STATE(87)] = 5339,
    [SMALL_STATE(88)] = 5456,
    [SMALL_STATE(89)] = 5573,
    [SMALL_STATE(90)] = 5678,
    [SMALL_STATE(91)] = 5793,
    [SMALL_STATE(92)] = 5908,
    [SMALL_STATE(93)] = 6023,
    [SMALL_STATE(94)] = 6138,
    [SMALL_STATE(95)] = 6253,
    [SMALL_STATE(96)] = 6368,
    [SMALL_STATE(97)] = 6483,
    [SMALL_STATE(98)] = 6598,
    [SMALL_STATE(99)] = 6703,
    [SMALL_STATE(100)] = 6815,
    [SMALL_STATE(101)] = 6927,
    [SMALL_STATE(102)] = 7039,
    [SMALL_STATE(103)] = 7101,
    [SMALL_STATE(104)] = 7213,
    [SMALL_STATE(105)] = 7322,
    [SMALL_STATE(106)] = 7431,
    [SMALL_STATE(107)] = 7540,
    [SMALL_STATE(108)] = 7649,
    [SMALL_STATE(109)] = 7758,
    [SMALL_STATE(110)] = 7867,
    [SMALL_STATE(111)] = 7976,
    [SMALL_STATE(112)] = 8085,
    [SMALL_STATE(113)] = 8194,
    [SMALL_STATE(114)] = 8303,
    [SMALL_STATE(115)] = 8412,
    [SMALL_STATE(116)] = 8521,
    [SMALL_STATE(117)] = 8630,
    [SMALL_STATE(118)] = 8739,
    [SMALL_STATE(119)] = 8848,
    [SMALL_STATE(120)] = 8957,
    [SMALL_STATE(121)] = 9066,
    [SMALL_STATE(122)] = 9175,
    [SMALL_STATE(123)] = 9284,
    [SMALL_STATE(124)] = 9393,
    [SMALL_STATE(125)] = 9502,
    [SMALL_STATE(126)] = 9611,
    [SMALL_STATE(127)] = 9720,
    [SMALL_STATE(128)] = 9829,
    [SMALL_STATE(129)] = 9938,
    [SMALL_STATE(130)] = 10047,
    [SMALL_STATE(131)] = 10156,
    [SMALL_STATE(132)] = 10265,
    [SMALL_STATE(133)] = 10374,
    [SMALL_STATE(134)] = 10483,
    [SMALL_STATE(135)] = 10592,
    [SMALL_STATE(136)] = 10701,
    [SMALL_STATE(137)] = 10810,
    [SMALL_STATE(138)] = 10919,
    [SMALL_STATE(139)] = 11028,
    [SMALL_STATE(140)] = 11137,
    [SMALL_STATE(141)] = 11246,
    [SMALL_STATE(142)] = 11355,
    [SMALL_STATE(143)] = 11464,
    [SMALL_STATE(144)] = 11573,
    [SMALL_STATE(145)] = 11682,
    [SMALL_STATE(146)] = 11791,
    [SMALL_STATE(147)] = 11897,
    [SMALL_STATE(148)] = 12003,
    [SMALL_STATE(149)] = 12109,
    [SMALL_STATE(150)] = 12163,
    [SMALL_STATE(151)] = 12269,
    [SMALL_STATE(152)] = 12375,
    [SMALL_STATE(153)] = 12481,
    [SMALL_STATE(154)] = 12587,
    [SMALL_STATE(155)] = 12693,
    [SMALL_STATE(156)] = 12799,
    [SMALL_STATE(157)] = 12853,
    [SMALL_STATE(158)] = 12959,
    [SMALL_STATE(159)] = 13065,
    [SMALL_STATE(160)] = 13171,
    [SMALL_STATE(161)] = 13277,
    [SMALL_STATE(162)] = 13383,
    [SMALL_STATE(163)] = 13489,
    [SMALL_STATE(164)] = 13543,
    [SMALL_STATE(165)] = 13649,
    [SMALL_STATE(166)] = 13755,
    [SMALL_STATE(167)] = 13861,
    [SMALL_STATE(168)] = 13967,
    [SMALL_STATE(169)] = 14073,
    [SMALL_STATE(170)] = 14179,
    [SMALL_STATE(171)] = 14285,
    [SMALL_STATE(172)] = 14391,
    [SMALL_STATE(173)] = 14497,
    [SMALL_STATE(174)] = 14603,
    [SMALL_STATE(175)] = 14709,
    [SMALL_STATE(176)] = 14815,
    [SMALL_STATE(177)] = 14921,
    [SMALL_STATE(178)] = 15027,
    [SMALL_STATE(179)] = 15133,
    [SMALL_STATE(180)] = 15239,
    [SMALL_STATE(181)] = 15345,
    [SMALL_STATE(182)] = 15451,
    [SMALL_STATE(183)] = 15557,
    [SMALL_STATE(184)] = 15663,
    [SMALL_STATE(185)] = 15769,
    [SMALL_STATE(186)] = 15875,
    [SMALL_STATE(187)] = 15981,
    [SMALL_STATE(188)] = 16087,
    [SMALL_STATE(189)] = 16193,
    [SMALL_STATE(190)] = 16299,
    [SMALL_STATE(191)] = 16405,
    [SMALL_STATE(192)] = 16511,
    [SMALL_STATE(193)] = 16617,
    [SMALL_STATE(194)] = 16723,
    [SMALL_STATE(195)] = 16829,
    [SMALL_STATE(196)] = 16935,
    [SMALL_STATE(197)] = 17041,
    [SMALL_STATE(198)] = 17147,
    [SMALL_STATE(199)] = 17253,
    [SMALL_STATE(200)] = 17353,
    [SMALL_STATE(201)] = 17450,
    [SMALL_STATE(202)] = 17544,
    [SMALL_STATE(203)] = 17602,
    [SMALL_STATE(204)] = 17653,
    [SMALL_STATE(205)] = 17704,
    [SMALL_STATE(206)] = 17795,
    [SMALL_STATE(207)] = 17846,
    [SMALL_STATE(208)] = 17897,
    [SMALL_STATE(209)] = 17947,
    [SMALL_STATE(210)] = 17995,
    [SMALL_STATE(211)] = 18043,
    [SMALL_STATE(212)] = 18093,
    [SMALL_STATE(213)] = 18143,
    [SMALL_STATE(214)] = 18231,
    [SMALL_STATE(215)] = 18281,
    [SMALL_STATE(216)] = 18329,
    [SMALL_STATE(217)] = 18379,
    [SMALL_STATE(218)] = 18429,
    [SMALL_STATE(219)] = 18477,
    [SMALL_STATE(220)] = 18525,
    [SMALL_STATE(221)] = 18575,
    [SMALL_STATE(222)] = 18625,
    [SMALL_STATE(223)] = 18673,
    [SMALL_STATE(224)] = 18723,
    [SMALL_STATE(225)] = 18773,
    [SMALL_STATE(226)] = 18823,
    [SMALL_STATE(227)] = 18873,
    [SMALL_STATE(228)] = 18921,
    [SMALL_STATE(229)] = 18971,
    [SMALL_STATE(230)] = 19021,
    [SMALL_STATE(231)] = 19071,
    [SMALL_STATE(232)] = 19119,
    [SMALL_STATE(233)] = 19167,
    [SMALL_STATE(234)] = 19215,
    [SMALL_STATE(235)] = 19265,
    [SMALL_STATE(236)] = 19312,
    [SMALL_STATE(237)] = 19359,
    [SMALL_STATE(238)] = 19406,
    [SMALL_STATE(239)] = 19453,
    [SMALL_STATE(240)] = 19500,
    [SMALL_STATE(241)] = 19547,
    [SMALL_STATE(242)] = 19594,
    [SMALL_STATE(243)] = 19641,
    [SMALL_STATE(244)] = 19688,
    [SMALL_STATE(245)] = 19735,
    [SMALL_STATE(246)] = 19782,
    [SMALL_STATE(247)] = 19829,
    [SMALL_STATE(248)] = 19876,
    [SMALL_STATE(249)] = 19923,
    [SMALL_STATE(250)] = 19970,
    [SMALL_STATE(251)] = 20017,
    [SMALL_STATE(252)] = 20064,
    [SMALL_STATE(253)] = 20111,
    [SMALL_STATE(254)] = 20158,
    [SMALL_STATE(255)] = 20205,
    [SMALL_STATE(256)] = 20252,
    [SMALL_STATE(257)] = 20299,
    [SMALL_STATE(258)] = 20346,
    [SMALL_STATE(259)] = 20393,
    [SMALL_STATE(260)] = 20440,
    [SMALL_STATE(261)] = 20487,
    [SMALL_STATE(262)] = 20534,
    [SMALL_STATE(263)] = 20619,
    [SMALL_STATE(264)] = 20666,
    [SMALL_STATE(265)] = 20713,
    [SMALL_STATE(266)] = 20760,
    [SMALL_STATE(267)] = 20807,
    [SMALL_STATE(268)] = 20854,
    [SMALL_STATE(269)] = 20901,
    [SMALL_STATE(270)] = 20948,
    [SMALL_STATE(271)] = 20995,
    [SMALL_STATE(272)] = 21042,
    [SMALL_STATE(273)] = 21089,
    [SMALL_STATE(274)] = 21136,
    [SMALL_STATE(275)] = 21183,
    [SMALL_STATE(276)] = 21230,
    [SMALL_STATE(277)] = 21277,
    [SMALL_STATE(278)] = 21324,
    [SMALL_STATE(279)] = 21371,
    [SMALL_STATE(280)] = 21418,
    [SMALL_STATE(281)] = 21465,
    [SMALL_STATE(282)] = 21512,
    [SMALL_STATE(283)] = 21559,
    [SMALL_STATE(284)] = 21605,
    [SMALL_STATE(285)] = 21651,
    [SMALL_STATE(286)] = 21697,
    [SMALL_STATE(287)] = 21743,
    [SMALL_STATE(288)] = 21789,
    [SMALL_STATE(289)] = 21835,
    [SMALL_STATE(290)] = 21916,
    [SMALL_STATE(291)] = 21961,
    [SMALL_STATE(292)] = 22044,
    [SMALL_STATE(293)] = 22088,
    [SMALL_STATE(294)] = 22164,
    [SMALL_STATE(295)] = 22208,
    [SMALL_STATE(296)] = 22252,
    [SMALL_STATE(297)] = 22296,
    [SMALL_STATE(298)] = 22340,
    [SMALL_STATE(299)] = 22382,
    [SMALL_STATE(300)] = 22424,
    [SMALL_STATE(301)] = 22466,
    [SMALL_STATE(302)] = 22507,
    [SMALL_STATE(303)] = 22575,
    [SMALL_STATE(304)] = 22641,
    [SMALL_STATE(305)] = 22701,
    [SMALL_STATE(306)] = 22736,
    [SMALL_STATE(307)] = 22771,
    [SMALL_STATE(308)] = 22828,
    [SMALL_STATE(309)] = 22883,
    [SMALL_STATE(310)] = 22917,
    [SMALL_STATE(311)] = 22950,
    [SMALL_STATE(312)] = 22983,
    [SMALL_STATE(313)] = 23016,
    [SMALL_STATE(314)] = 23049,
    [SMALL_STATE(315)] = 23079,
    [SMALL_STATE(316)] = 23113,
    [SMALL_STATE(317)] = 23143,
    [SMALL_STATE(318)] = 23173,
    [SMALL_STATE(319)] = 23223,
    [SMALL_STATE(320)] = 23257,
    [SMALL_STATE(321)] = 23287,
    [SMALL_STATE(322)] = 23317,
    [SMALL_STATE(323)] = 23347,
    [SMALL_STATE(324)] = 23377,
    [SMALL_STATE(325)] = 23407,
    [SMALL_STATE(326)] = 23437,
    [SMALL_STATE(327)] = 23485,
    [SMALL_STATE(328)] = 23515,
    [SMALL_STATE(329)] = 23545,
    [SMALL_STATE(330)] = 23593,
    [SMALL_STATE(331)] = 23623,
    [SMALL_STATE(332)] = 23653,
    [SMALL_STATE(333)] = 23703,
    [SMALL_STATE(334)] = 23733,
    [SMALL_STATE(335)] = 23763,
    [SMALL_STATE(336)] = 23793,
    [SMALL_STATE(337)] = 23823,
    [SMALL_STATE(338)] = 23853,
    [SMALL_STATE(339)] = 23883,
    [SMALL_STATE(340)] = 23913,
    [SMALL_STATE(341)] = 23943,
    [SMALL_STATE(342)] = 23973,
    [SMALL_STATE(343)] = 24023,
    [SMALL_STATE(344)] = 24053,
    [SMALL_STATE(345)] = 24088,
    [SMALL_STATE(346)] = 24135,
    [SMALL_STATE(347)] = 24165,
    [SMALL_STATE(348)] = 24191,
    [SMALL_STATE(349)] = 24217,
    [SMALL_STATE(350)] = 24243,
    [SMALL_STATE(351)] = 24270,
    [SMALL_STATE(352)] = 24297,
    [SMALL_STATE(353)] = 24330,
    [SMALL_STATE(354)] = 24359,
    [SMALL_STATE(355)] = 24386,
    [SMALL_STATE(356)] = 24413,
    [SMALL_STATE(357)] = 24440,
    [SMALL_STATE(358)] = 24467,
    [SMALL_STATE(359)] = 24496,
    [SMALL_STATE(360)] = 24523,
    [SMALL_STATE(361)] = 24550,
    [SMALL_STATE(362)] = 24577,
    [SMALL_STATE(363)] = 24604,
    [SMALL_STATE(364)] = 24631,
    [SMALL_STATE(365)] = 24658,
    [SMALL_STATE(366)] = 24687,
    [SMALL_STATE(367)] = 24714,
    [SMALL_STATE(368)] = 24741,
    [SMALL_STATE(369)] = 24768,
    [SMALL_STATE(370)] = 24792,
    [SMALL_STATE(371)] = 24816,
    [SMALL_STATE(372)] = 24854,
    [SMALL_STATE(373)] = 24878,
    [SMALL_STATE(374)] = 24902,
    [SMALL_STATE(375)] = 24926,
    [SMALL_STATE(376)] = 24950,
    [SMALL_STATE(377)] = 24974,
    [SMALL_STATE(378)] = 24998,
    [SMALL_STATE(379)] = 25022,
    [SMALL_STATE(380)] = 25060,
    [SMALL_STATE(381)] = 25084,
    [SMALL_STATE(382)] = 25108,
    [SMALL_STATE(383)] = 25132,
    [SMALL_STATE(384)] = 25156,
    [SMALL_STATE(385)] = 25180,
    [SMALL_STATE(386)] = 25204,
    [SMALL_STATE(387)] = 25228,
    [SMALL_STATE(388)] = 25252,
    [SMALL_STATE(389)] = 25276,
    [SMALL_STATE(390)] = 25300,
    [SMALL_STATE(391)] = 25324,
    [SMALL_STATE(392)] = 25348,
    [SMALL_STATE(393)] = 25372,
    [SMALL_STATE(394)] = 25410,
    [SMALL_STATE(395)] = 25434,
    [SMALL_STATE(396)] = 25458,
    [SMALL_STATE(397)] = 25482,
    [SMALL_STATE(398)] = 25506,
    [SMALL_STATE(399)] = 25530,
    [SMALL_STATE(400)] = 25554,
    [SMALL_STATE(401)] = 25578,
    [SMALL_STATE(402)] = 25602,
    [SMALL_STATE(403)] = 25626,
    [SMALL_STATE(404)] = 25650,
    [SMALL_STATE(405)] = 25674,
    [SMALL_STATE(406)] = 25698,
    [SMALL_STATE(407)] = 25722,
    [SMALL_STATE(408)] = 25746,
    [SMALL_STATE(409)] = 25770,
    [SMALL_STATE(410)] = 25808,
    [SMALL_STATE(411)] = 25832,
    [SMALL_STATE(412)] = 25856,
    [SMALL_STATE(413)] = 25880,
    [SMALL_STATE(414)] = 25904,
    [SMALL_STATE(415)] = 25928,
    [SMALL_STATE(416)] = 25952,
    [SMALL_STATE(417)] = 25976,
    [SMALL_STATE(418)] = 26000,
    [SMALL_STATE(419)] = 26024,
    [SMALL_STATE(420)] = 26048,
    [SMALL_STATE(421)] = 26072,
    [SMALL_STATE(422)] = 26096,
    [SMALL_STATE(423)] = 26123,
    [SMALL_STATE(424)] = 26150,
    [SMALL_STATE(425)] = 26184,
    [SMALL_STATE(426)] = 26206,
    [SMALL_STATE(427)] = 26228,
    [SMALL_STATE(428)] = 26249,
    [SMALL_STATE(429)] = 26270,
    [SMALL_STATE(430)] = 26293,
    [SMALL_STATE(431)] = 26316,
    [SMALL_STATE(432)] = 26350,
    [SMALL_STATE(433)] = 26370,
    [SMALL_STATE(434)] = 26404,
    [SMALL_STATE(435)] = 26438,
    [SMALL_STATE(436)] = 26460,
    [SMALL_STATE(437)] = 26490,
    [SMALL_STATE(438)] = 26512,
    [SMALL_STATE(439)] = 26540,
    [SMALL_STATE(440)] = 26571,
    [SMALL_STATE(441)] = 26602,
    [SMALL_STATE(442)] = 26621,
    [SMALL_STATE(443)] = 26652,
    [SMALL_STATE(444)] = 26671,
    [SMALL_STATE(445)] = 26690,
    [SMALL_STATE(446)] = 26711,
    [SMALL_STATE(447)] = 26730,
    [SMALL_STATE(448)] = 26761,
    [SMALL_STATE(449)] = 26790,
    [SMALL_STATE(450)] = 26809,
    [SMALL_STATE(451)] = 26828,
    [SMALL_STATE(452)] = 26859,
    [SMALL_STATE(453)] = 26890,
    [SMALL_STATE(454)] = 26909,
    [SMALL_STATE(455)] = 26928,
    [SMALL_STATE(456)] = 26956,
    [SMALL_STATE(457)] = 26984,
    [SMALL_STATE(458)] = 27012,
    [SMALL_STATE(459)] = 27038,
    [SMALL_STATE(460)] = 27066,
    [SMALL_STATE(461)] = 27094,
    [SMALL_STATE(462)] = 27118,
    [SMALL_STATE(463)] = 27142,
    [SMALL_STATE(464)] = 27170,
    [SMALL_STATE(465)] = 27198,
    [SMALL_STATE(466)] = 27226,
    [SMALL_STATE(467)] = 27248,
    [SMALL_STATE(468)] = 27268,
    [SMALL_STATE(469)] = 27296,
    [SMALL_STATE(470)] = 27324,
    [SMALL_STATE(471)] = 27352,
    [SMALL_STATE(472)] = 27380,
    [SMALL_STATE(473)] = 27406,
    [SMALL_STATE(474)] = 27434,
    [SMALL_STATE(475)] = 27462,
    [SMALL_STATE(476)] = 27490,
    [SMALL_STATE(477)] = 27513,
    [SMALL_STATE(478)] = 27534,
    [SMALL_STATE(479)] = 27559,
    [SMALL_STATE(480)] = 27580,
    [SMALL_STATE(481)] = 27603,
    [SMALL_STATE(482)] = 27620,
    [SMALL_STATE(483)] = 27637,
    [SMALL_STATE(484)] = 27654,
    [SMALL_STATE(485)] = 27671,
    [SMALL_STATE(486)] = 27696,
    [SMALL_STATE(487)] = 27721,
    [SMALL_STATE(488)] = 27738,
    [SMALL_STATE(489)] = 27759,
    [SMALL_STATE(490)] = 27776,
    [SMALL_STATE(491)] = 27793,
    [SMALL_STATE(492)] = 27810,
    [SMALL_STATE(493)] = 27827,
    [SMALL_STATE(494)] = 27844,
    [SMALL_STATE(495)] = 27865,
    [SMALL_STATE(496)] = 27882,
    [SMALL_STATE(497)] = 27907,
    [SMALL_STATE(498)] = 27932,
    [SMALL_STATE(499)] = 27955,
    [SMALL_STATE(500)] = 27976,
    [SMALL_STATE(501)] = 27999,
    [SMALL_STATE(502)] = 28016,
    [SMALL_STATE(503)] = 28035,
    [SMALL_STATE(504)] = 28054,
    [SMALL_STATE(505)] = 28079,
    [SMALL_STATE(506)] = 28096,
    [SMALL_STATE(507)] = 28113,
    [SMALL_STATE(508)] = 28130,
    [SMALL_STATE(509)] = 28151,
    [SMALL_STATE(510)] = 28176,
    [SMALL_STATE(511)] = 28199,
    [SMALL_STATE(512)] = 28224,
    [SMALL_STATE(513)] = 28243,
    [SMALL_STATE(514)] = 28268,
    [SMALL_STATE(515)] = 28291,
    [SMALL_STATE(516)] = 28312,
    [SMALL_STATE(517)] = 28330,
    [SMALL_STATE(518)] = 28352,
    [SMALL_STATE(519)] = 28370,
    [SMALL_STATE(520)] = 28388,
    [SMALL_STATE(521)] = 28406,
    [SMALL_STATE(522)] = 28424,
    [SMALL_STATE(523)] = 28440,
    [SMALL_STATE(524)] = 28458,
    [SMALL_STATE(525)] = 28480,
    [SMALL_STATE(526)] = 28502,
    [SMALL_STATE(527)] = 28522,
    [SMALL_STATE(528)] = 28542,
    [SMALL_STATE(529)] = 28560,
    [SMALL_STATE(530)] = 28580,
    [SMALL_STATE(531)] = 28598,
    [SMALL_STATE(532)] = 28616,
    [SMALL_STATE(533)] = 28634,
    [SMALL_STATE(534)] = 28656,
    [SMALL_STATE(535)] = 28674,
    [SMALL_STATE(536)] = 28692,
    [SMALL_STATE(537)] = 28714,
    [SMALL_STATE(538)] = 28736,
    [SMALL_STATE(539)] = 28754,
    [SMALL_STATE(540)] = 28772,
    [SMALL_STATE(541)] = 28790,
    [SMALL_STATE(542)] = 28808,
    [SMALL_STATE(543)] = 28826,
    [SMALL_STATE(544)] = 28844,
    [SMALL_STATE(545)] = 28862,
    [SMALL_STATE(546)] = 28880,
    [SMALL_STATE(547)] = 28898,
    [SMALL_STATE(548)] = 28920,
    [SMALL_STATE(549)] = 28940,
    [SMALL_STATE(550)] = 28962,
    [SMALL_STATE(551)] = 28980,
    [SMALL_STATE(552)] = 28998,
    [SMALL_STATE(553)] = 29020,
    [SMALL_STATE(554)] = 29040,
    [SMALL_STATE(555)] = 29058,
    [SMALL_STATE(556)] = 29078,
    [SMALL_STATE(557)] = 29100,
    [SMALL_STATE(558)] = 29122,
    [SMALL_STATE(559)] = 29144,
    [SMALL_STATE(560)] = 29166,
    [SMALL_STATE(561)] = 29182,
    [SMALL_STATE(562)] = 29202,
    [SMALL_STATE(563)] = 29218,
    [SMALL_STATE(564)] = 29234,
    [SMALL_STATE(565)] = 29256,
    [SMALL_STATE(566)] = 29274,
    [SMALL_STATE(567)] = 29294,
    [SMALL_STATE(568)] = 29312,
    [SMALL_STATE(569)] = 29332,
    [SMALL_STATE(570)] = 29354,
    [SMALL_STATE(571)] = 29376,
    [SMALL_STATE(572)] = 29394,
    [SMALL_STATE(573)] = 29412,
    [SMALL_STATE(574)] = 29430,
    [SMALL_STATE(575)] = 29446,
    [SMALL_STATE(576)] = 29464,
    [SMALL_STATE(577)] = 29482,
    [SMALL_STATE(578)] = 29500,
    [SMALL_STATE(579)] = 29522,
    [SMALL_STATE(580)] = 29540,
    [SMALL_STATE(581)] = 29562,
    [SMALL_STATE(582)] = 29580,
    [SMALL_STATE(583)] = 29598,
    [SMALL_STATE(584)] = 29620,
    [SMALL_STATE(585)] = 29642,
    [SMALL_STATE(586)] = 29664,
    [SMALL_STATE(587)] = 29686,
    [SMALL_STATE(588)] = 29702,
    [SMALL_STATE(589)] = 29724,
    [SMALL_STATE(590)] = 29742,
    [SMALL_STATE(591)] = 29758,
    [SMALL_STATE(592)] = 29780,
    [SMALL_STATE(593)] = 29800,
    [SMALL_STATE(594)] = 29816,
    [SMALL_STATE(595)] = 29836,
    [SMALL_STATE(596)] = 29852,
    [SMALL_STATE(597)] = 29868,
    [SMALL_STATE(598)] = 29884,
    [SMALL_STATE(599)] = 29900,
    [SMALL_STATE(600)] = 29918,
    [SMALL_STATE(601)] = 29936,
    [SMALL_STATE(602)] = 29954,
    [SMALL_STATE(603)] = 29974,
    [SMALL_STATE(604)] = 29992,
    [SMALL_STATE(605)] = 30008,
    [SMALL_STATE(606)] = 30028,
    [SMALL_STATE(607)] = 30050,
    [SMALL_STATE(608)] = 30068,
    [SMALL_STATE(609)] = 30084,
    [SMALL_STATE(610)] = 30100,
    [SMALL_STATE(611)] = 30116,
    [SMALL_STATE(612)] = 30138,
    [SMALL_STATE(613)] = 30160,
    [SMALL_STATE(614)] = 30178,
    [SMALL_STATE(615)] = 30194,
    [SMALL_STATE(616)] = 30214,
    [SMALL_STATE(617)] = 30232,
    [SMALL_STATE(618)] = 30250,
    [SMALL_STATE(619)] = 30272,
    [SMALL_STATE(620)] = 30290,
    [SMALL_STATE(621)] = 30312,
    [SMALL_STATE(622)] = 30334,
    [SMALL_STATE(623)] = 30352,
    [SMALL_STATE(624)] = 30372,
    [SMALL_STATE(625)] = 30392,
    [SMALL_STATE(626)] = 30410,
    [SMALL_STATE(627)] = 30428,
    [SMALL_STATE(628)] = 30443,
    [SMALL_STATE(629)] = 30462,
    [SMALL_STATE(630)] = 30481,
    [SMALL_STATE(631)] = 30496,
    [SMALL_STATE(632)] = 30511,
    [SMALL_STATE(633)] = 30530,
    [SMALL_STATE(634)] = 30545,
    [SMALL_STATE(635)] = 30562,
    [SMALL_STATE(636)] = 30577,
    [SMALL_STATE(637)] = 30592,
    [SMALL_STATE(638)] = 30611,
    [SMALL_STATE(639)] = 30630,
    [SMALL_STATE(640)] = 30645,
    [SMALL_STATE(641)] = 30664,
    [SMALL_STATE(642)] = 30683,
    [SMALL_STATE(643)] = 30702,
    [SMALL_STATE(644)] = 30717,
    [SMALL_STATE(645)] = 30736,
    [SMALL_STATE(646)] = 30753,
    [SMALL_STATE(647)] = 30768,
    [SMALL_STATE(648)] = 30783,
    [SMALL_STATE(649)] = 30798,
    [SMALL_STATE(650)] = 30815,
    [SMALL_STATE(651)] = 30830,
    [SMALL_STATE(652)] = 30845,
    [SMALL_STATE(653)] = 30860,
    [SMALL_STATE(654)] = 30875,
    [SMALL_STATE(655)] = 30892,
    [SMALL_STATE(656)] = 30911,
    [SMALL_STATE(657)] = 30926,
    [SMALL_STATE(658)] = 30945,
    [SMALL_STATE(659)] = 30964,
    [SMALL_STATE(660)] = 30983,
    [SMALL_STATE(661)] = 31000,
    [SMALL_STATE(662)] = 31015,
    [SMALL_STATE(663)] = 31030,
    [SMALL_STATE(664)] = 31045,
    [SMALL_STATE(665)] = 31060,
    [SMALL_STATE(666)] = 31079,
    [SMALL_STATE(667)] = 31094,
    [SMALL_STATE(668)] = 31111,
    [SMALL_STATE(669)] = 31126,
    [SMALL_STATE(670)] = 31143,
    [SMALL_STATE(671)] = 31158,
    [SMALL_STATE(672)] = 31175,
    [SMALL_STATE(673)] = 31190,
    [SMALL_STATE(674)] = 31209,
    [SMALL_STATE(675)] = 31224,
    [SMALL_STATE(676)] = 31243,
    [SMALL_STATE(677)] = 31258,
    [SMALL_STATE(678)] = 31273,
    [SMALL_STATE(679)] = 31292,
    [SMALL_STATE(680)] = 31309,
    [SMALL_STATE(681)] = 31328,
    [SMALL_STATE(682)] = 31343,
    [SMALL_STATE(683)] = 31362,
    [SMALL_STATE(684)] = 31377,
    [SMALL_STATE(685)] = 31394,
    [SMALL_STATE(686)] = 31409,
    [SMALL_STATE(687)] = 31424,
    [SMALL_STATE(688)] = 31441,
    [SMALL_STATE(689)] = 31456,
    [SMALL_STATE(690)] = 31473,
    [SMALL_STATE(691)] = 31490,
    [SMALL_STATE(692)] = 31509,
    [SMALL_STATE(693)] = 31528,
    [SMALL_STATE(694)] = 31543,
    [SMALL_STATE(695)] = 31562,
    [SMALL_STATE(696)] = 31577,
    [SMALL_STATE(697)] = 31592,
    [SMALL_STATE(698)] = 31607,
    [SMALL_STATE(699)] = 31626,
    [SMALL_STATE(700)] = 31641,
    [SMALL_STATE(701)] = 31656,
    [SMALL_STATE(702)] = 31673,
    [SMALL_STATE(703)] = 31692,
    [SMALL_STATE(704)] = 31711,
    [SMALL_STATE(705)] = 31726,
    [SMALL_STATE(706)] = 31745,
    [SMALL_STATE(707)] = 31764,
    [SMALL_STATE(708)] = 31783,
    [SMALL_STATE(709)] = 31798,
    [SMALL_STATE(710)] = 31815,
    [SMALL_STATE(711)] = 31834,
    [SMALL_STATE(712)] = 31849,
    [SMALL_STATE(713)] = 31866,
    [SMALL_STATE(714)] = 31881,
    [SMALL_STATE(715)] = 31898,
    [SMALL_STATE(716)] = 31917,
    [SMALL_STATE(717)] = 31936,
    [SMALL_STATE(718)] = 31951,
    [SMALL_STATE(719)] = 31970,
    [SMALL_STATE(720)] = 31985,
    [SMALL_STATE(721)] = 32002,
    [SMALL_STATE(722)] = 32021,
    [SMALL_STATE(723)] = 32040,
    [SMALL_STATE(724)] = 32059,
    [SMALL_STATE(725)] = 32078,
    [SMALL_STATE(726)] = 32097,
    [SMALL_STATE(727)] = 32116,
    [SMALL_STATE(728)] = 32133,
    [SMALL_STATE(729)] = 32148,
    [SMALL_STATE(730)] = 32167,
    [SMALL_STATE(731)] = 32186,
    [SMALL_STATE(732)] = 32205,
    [SMALL_STATE(733)] = 32222,
    [SMALL_STATE(734)] = 32241,
    [SMALL_STATE(735)] = 32260,
    [SMALL_STATE(736)] = 32279,
    [SMALL_STATE(737)] = 32298,
    [SMALL_STATE(738)] = 32317,
    [SMALL_STATE(739)] = 32336,
    [SMALL_STATE(740)] = 32355,
    [SMALL_STATE(741)] = 32374,
    [SMALL_STATE(742)] = 32389,
    [SMALL_STATE(743)] = 32408,
    [SMALL_STATE(744)] = 32427,
    [SMALL_STATE(745)] = 32446,
    [SMALL_STATE(746)] = 32461,
    [SMALL_STATE(747)] = 32478,
    [SMALL_STATE(748)] = 32495,
    [SMALL_STATE(749)] = 32514,
    [SMALL_STATE(750)] = 32533,
    [SMALL_STATE(751)] = 32548,
    [SMALL_STATE(752)] = 32567,
    [SMALL_STATE(753)] = 32582,
    [SMALL_STATE(754)] = 32597,
    [SMALL_STATE(755)] = 32612,
    [SMALL_STATE(756)] = 32631,
    [SMALL_STATE(757)] = 32646,
    [SMALL_STATE(758)] = 32661,
    [SMALL_STATE(759)] = 32678,
    [SMALL_STATE(760)] = 32697,
    [SMALL_STATE(761)] = 32716,
    [SMALL_STATE(762)] = 32731,
    [SMALL_STATE(763)] = 32746,
    [SMALL_STATE(764)] = 32761,
    [SMALL_STATE(765)] = 32780,
    [SMALL_STATE(766)] = 32795,
    [SMALL_STATE(767)] = 32810,
    [SMALL_STATE(768)] = 32825,
    [SMALL_STATE(769)] = 32840,
    [SMALL_STATE(770)] = 32855,
    [SMALL_STATE(771)] = 32874,
    [SMALL_STATE(772)] = 32889,
    [SMALL_STATE(773)] = 32904,
    [SMALL_STATE(774)] = 32919,
    [SMALL_STATE(775)] = 32934,
    [SMALL_STATE(776)] = 32953,
    [SMALL_STATE(777)] = 32972,
    [SMALL_STATE(778)] = 32991,
    [SMALL_STATE(779)] = 33010,
    [SMALL_STATE(780)] = 33029,
    [SMALL_STATE(781)] = 33044,
    [SMALL_STATE(782)] = 33063,
    [SMALL_STATE(783)] = 33078,
    [SMALL_STATE(784)] = 33093,
    [SMALL_STATE(785)] = 33108,
    [SMALL_STATE(786)] = 33123,
    [SMALL_STATE(787)] = 33138,
    [SMALL_STATE(788)] = 33157,
    [SMALL_STATE(789)] = 33172,
    [SMALL_STATE(790)] = 33191,
    [SMALL_STATE(791)] = 33210,
    [SMALL_STATE(792)] = 33225,
    [SMALL_STATE(793)] = 33240,
    [SMALL_STATE(794)] = 33257,
    [SMALL_STATE(795)] = 33274,
    [SMALL_STATE(796)] = 33293,
    [SMALL_STATE(797)] = 33308,
    [SMALL_STATE(798)] = 33327,
    [SMALL_STATE(799)] = 33346,
    [SMALL_STATE(800)] = 33361,
    [SMALL_STATE(801)] = 33376,
    [SMALL_STATE(802)] = 33391,
    [SMALL_STATE(803)] = 33406,
    [SMALL_STATE(804)] = 33421,
    [SMALL_STATE(805)] = 33436,
    [SMALL_STATE(806)] = 33455,
    [SMALL_STATE(807)] = 33470,
    [SMALL_STATE(808)] = 33485,
    [SMALL_STATE(809)] = 33500,
    [SMALL_STATE(810)] = 33519,
    [SMALL_STATE(811)] = 33538,
    [SMALL_STATE(812)] = 33553,
    [SMALL_STATE(813)] = 33572,
    [SMALL_STATE(814)] = 33587,
    [SMALL_STATE(815)] = 33606,
    [SMALL_STATE(816)] = 33625,
    [SMALL_STATE(817)] = 33644,
    [SMALL_STATE(818)] = 33663,
    [SMALL_STATE(819)] = 33678,
    [SMALL_STATE(820)] = 33697,
    [SMALL_STATE(821)] = 33712,
    [SMALL_STATE(822)] = 33727,
    [SMALL_STATE(823)] = 33742,
    [SMALL_STATE(824)] = 33757,
    [SMALL_STATE(825)] = 33772,
    [SMALL_STATE(826)] = 33787,
    [SMALL_STATE(827)] = 33802,
    [SMALL_STATE(828)] = 33821,
    [SMALL_STATE(829)] = 33836,
    [SMALL_STATE(830)] = 33851,
    [SMALL_STATE(831)] = 33870,
    [SMALL_STATE(832)] = 33889,
    [SMALL_STATE(833)] = 33904,
    [SMALL_STATE(834)] = 33923,
    [SMALL_STATE(835)] = 33942,
    [SMALL_STATE(836)] = 33961,
    [SMALL_STATE(837)] = 33978,
    [SMALL_STATE(838)] = 33993,
    [SMALL_STATE(839)] = 34012,
    [SMALL_STATE(840)] = 34027,
    [SMALL_STATE(841)] = 34042,
    [SMALL_STATE(842)] = 34057,
    [SMALL_STATE(843)] = 34076,
    [SMALL_STATE(844)] = 34091,
    [SMALL_STATE(845)] = 34110,
    [SMALL_STATE(846)] = 34129,
    [SMALL_STATE(847)] = 34148,
    [SMALL_STATE(848)] = 34165,
    [SMALL_STATE(849)] = 34184,
    [SMALL_STATE(850)] = 34203,
    [SMALL_STATE(851)] = 34220,
    [SMALL_STATE(852)] = 34235,
    [SMALL_STATE(853)] = 34252,
    [SMALL_STATE(854)] = 34271,
    [SMALL_STATE(855)] = 34286,
    [SMALL_STATE(856)] = 34303,
    [SMALL_STATE(857)] = 34317,
    [SMALL_STATE(858)] = 34331,
    [SMALL_STATE(859)] = 34345,
    [SMALL_STATE(860)] = 34359,
    [SMALL_STATE(861)] = 34373,
    [SMALL_STATE(862)] = 34387,
    [SMALL_STATE(863)] = 34401,
    [SMALL_STATE(864)] = 34417,
    [SMALL_STATE(865)] = 34431,
    [SMALL_STATE(866)] = 34445,
    [SMALL_STATE(867)] = 34461,
    [SMALL_STATE(868)] = 34475,
    [SMALL_STATE(869)] = 34489,
    [SMALL_STATE(870)] = 34505,
    [SMALL_STATE(871)] = 34521,
    [SMALL_STATE(872)] = 34537,
    [SMALL_STATE(873)] = 34553,
    [SMALL_STATE(874)] = 34569,
    [SMALL_STATE(875)] = 34583,
    [SMALL_STATE(876)] = 34599,
    [SMALL_STATE(877)] = 34615,
    [SMALL_STATE(878)] = 34631,
    [SMALL_STATE(879)] = 34647,
    [SMALL_STATE(880)] = 34661,
    [SMALL_STATE(881)] = 34675,
    [SMALL_STATE(882)] = 34691,
    [SMALL_STATE(883)] = 34705,
    [SMALL_STATE(884)] = 34721,
    [SMALL_STATE(885)] = 34735,
    [SMALL_STATE(886)] = 34749,
    [SMALL_STATE(887)] = 34763,
    [SMALL_STATE(888)] = 34777,
    [SMALL_STATE(889)] = 34791,
    [SMALL_STATE(890)] = 34805,
    [SMALL_STATE(891)] = 34819,
    [SMALL_STATE(892)] = 34835,
    [SMALL_STATE(893)] = 34851,
    [SMALL_STATE(894)] = 34867,
    [SMALL_STATE(895)] = 34881,
    [SMALL_STATE(896)] = 34897,
    [SMALL_STATE(897)] = 34911,
    [SMALL_STATE(898)] = 34925,
    [SMALL_STATE(899)] = 34941,
    [SMALL_STATE(900)] = 34957,
    [SMALL_STATE(901)] = 34971,
    [SMALL_STATE(902)] = 34985,
    [SMALL_STATE(903)] = 34999,
    [SMALL_STATE(904)] = 35013,
    [SMALL_STATE(905)] = 35027,
    [SMALL_STATE(906)] = 35041,
    [SMALL_STATE(907)] = 35055,
    [SMALL_STATE(908)] = 35069,
    [SMALL_STATE(909)] = 35083,
    [SMALL_STATE(910)] = 35099,
    [SMALL_STATE(911)] = 35113,
    [SMALL_STATE(912)] = 35127,
    [SMALL_STATE(913)] = 35141,
    [SMALL_STATE(914)] = 35155,
    [SMALL_STATE(915)] = 35171,
    [SMALL_STATE(916)] = 35187,
    [SMALL_STATE(917)] = 35203,
    [SMALL_STATE(918)] = 35217,
    [SMALL_STATE(919)] = 35231,
    [SMALL_STATE(920)] = 35245,
    [SMALL_STATE(921)] = 35261,
    [SMALL_STATE(922)] = 35277,
    [SMALL_STATE(923)] = 35293,
    [SMALL_STATE(924)] = 35309,
    [SMALL_STATE(925)] = 35325,
    [SMALL_STATE(926)] = 35341,
    [SMALL_STATE(927)] = 35357,
    [SMALL_STATE(928)] = 35373,
    [SMALL_STATE(929)] = 35387,
    [SMALL_STATE(930)] = 35403,
    [SMALL_STATE(931)] = 35419,
    [SMALL_STATE(932)] = 35435,
    [SMALL_STATE(933)] = 35451,
    [SMALL_STATE(934)] = 35467,
    [SMALL_STATE(935)] = 35483,
    [SMALL_STATE(936)] = 35497,
    [SMALL_STATE(937)] = 35511,
    [SMALL_STATE(938)] = 35525,
    [SMALL_STATE(939)] = 35539,
    [SMALL_STATE(940)] = 35555,
    [SMALL_STATE(941)] = 35569,
    [SMALL_STATE(942)] = 35585,
    [SMALL_STATE(943)] = 35599,
    [SMALL_STATE(944)] = 35615,
    [SMALL_STATE(945)] = 35629,
    [SMALL_STATE(946)] = 35643,
    [SMALL_STATE(947)] = 35657,
    [SMALL_STATE(948)] = 35671,
    [SMALL_STATE(949)] = 35685,
    [SMALL_STATE(950)] = 35701,
    [SMALL_STATE(951)] = 35717,
    [SMALL_STATE(952)] = 35733,
    [SMALL_STATE(953)] = 35749,
    [SMALL_STATE(954)] = 35765,
    [SMALL_STATE(955)] = 35779,
    [SMALL_STATE(956)] = 35793,
    [SMALL_STATE(957)] = 35809,
    [SMALL_STATE(958)] = 35823,
    [SMALL_STATE(959)] = 35837,
    [SMALL_STATE(960)] = 35851,
    [SMALL_STATE(961)] = 35865,
    [SMALL_STATE(962)] = 35879,
    [SMALL_STATE(963)] = 35895,
    [SMALL_STATE(964)] = 35909,
    [SMALL_STATE(965)] = 35923,
    [SMALL_STATE(966)] = 35939,
    [SMALL_STATE(967)] = 35953,
    [SMALL_STATE(968)] = 35969,
    [SMALL_STATE(969)] = 35985,
    [SMALL_STATE(970)] = 36001,
    [SMALL_STATE(971)] = 36017,
    [SMALL_STATE(972)] = 36033,
    [SMALL_STATE(973)] = 36049,
    [SMALL_STATE(974)] = 36065,
    [SMALL_STATE(975)] = 36078,
    [SMALL_STATE(976)] = 36091,
    [SMALL_STATE(977)] = 36104,
    [SMALL_STATE(978)] = 36117,
    [SMALL_STATE(979)] = 36130,
    [SMALL_STATE(980)] = 36143,
    [SMALL_STATE(981)] = 36156,
    [SMALL_STATE(982)] = 36169,
    [SMALL_STATE(983)] = 36182,
    [SMALL_STATE(984)] = 36195,
    [SMALL_STATE(985)] = 36208,
    [SMALL_STATE(986)] = 36221,
    [SMALL_STATE(987)] = 36234,
    [SMALL_STATE(988)] = 36247,
    [SMALL_STATE(989)] = 36260,
    [SMALL_STATE(990)] = 36273,
    [SMALL_STATE(991)] = 36286,
    [SMALL_STATE(992)] = 36299,
    [SMALL_STATE(993)] = 36312,
    [SMALL_STATE(994)] = 36325,
    [SMALL_STATE(995)] = 36338,
    [SMALL_STATE(996)] = 36351,
    [SMALL_STATE(997)] = 36364,
    [SMALL_STATE(998)] = 36377,
    [SMALL_STATE(999)] = 36390,
    [SMALL_STATE(1000)] = 36403,
    [SMALL_STATE(1001)] = 36416,
    [SMALL_STATE(1002)] = 36429,
    [SMALL_STATE(1003)] = 36442,
    [SMALL_STATE(1004)] = 36455,
    [SMALL_STATE(1005)] = 36468,
    [SMALL_STATE(1006)] = 36481,
    [SMALL_STATE(1007)] = 36494,
    [SMALL_STATE(1008)] = 36507,
    [SMALL_STATE(1009)] = 36520,
    [SMALL_STATE(1010)] = 36533,
    [SMALL_STATE(1011)] = 36546,
    [SMALL_STATE(1012)] = 36559,
    [SMALL_STATE(1013)] = 36572,
    [SMALL_STATE(1014)] = 36585,
    [SMALL_STATE(1015)] = 36598,
    [SMALL_STATE(1016)] = 36611,
    [SMALL_STATE(1017)] = 36624,
    [SMALL_STATE(1018)] = 36637,
    [SMALL_STATE(1019)] = 36650,
    [SMALL_STATE(1020)] = 36663,
    [SMALL_STATE(1021)] = 36676,
    [SMALL_STATE(1022)] = 36689,
    [SMALL_STATE(1023)] = 36702,
    [SMALL_STATE(1024)] = 36715,
    [SMALL_STATE(1025)] = 36728,
    [SMALL_STATE(1026)] = 36741,
    [SMALL_STATE(1027)] = 36754,
    [SMALL_STATE(1028)] = 36767,
    [SMALL_STATE(1029)] = 36780,
    [SMALL_STATE(1030)] = 36793,
    [SMALL_STATE(1031)] = 36806,
    [SMALL_STATE(1032)] = 36819,
    [SMALL_STATE(1033)] = 36832,
    [SMALL_STATE(1034)] = 36845,
    [SMALL_STATE(1035)] = 36858,
    [SMALL_STATE(1036)] = 36871,
    [SMALL_STATE(1037)] = 36884,
    [SMALL_STATE(1038)] = 36897,
    [SMALL_STATE(1039)] = 36910,
    [SMALL_STATE(1040)] = 36923,
    [SMALL_STATE(1041)] = 36936,
    [SMALL_STATE(1042)] = 36949,
    [SMALL_STATE(1043)] = 36962,
    [SMALL_STATE(1044)] = 36975,
    [SMALL_STATE(1045)] = 36988,
    [SMALL_STATE(1046)] = 37001,
    [SMALL_STATE(1047)] = 37014,
    [SMALL_STATE(1048)] = 37027,
    [SMALL_STATE(1049)] = 37040,
    [SMALL_STATE(1050)] = 37053,
    [SMALL_STATE(1051)] = 37066,
    [SMALL_STATE(1052)] = 37079,
    [SMALL_STATE(1053)] = 37092,
    [SMALL_STATE(1054)] = 37105,
    [SMALL_STATE(1055)] = 37118,
    [SMALL_STATE(1056)] = 37131,
    [SMALL_STATE(1057)] = 37144,
    [SMALL_STATE(1058)] = 37157,
    [SMALL_STATE(1059)] = 37170,
    [SMALL_STATE(1060)] = 37183,
    [SMALL_STATE(1061)] = 37196,
    [SMALL_STATE(1062)] = 37209,
    [SMALL_STATE(1063)] = 37222,
    [SMALL_STATE(1064)] = 37235,
    [SMALL_STATE(1065)] = 37248,
    [SMALL_STATE(1066)] = 37261,
    [SMALL_STATE(1067)] = 37274,
    [SMALL_STATE(1068)] = 37287,
    [SMALL_STATE(1069)] = 37300,
    [SMALL_STATE(1070)] = 37313,
    [SMALL_STATE(1071)] = 37326,
    [SMALL_STATE(1072)] = 37339,
    [SMALL_STATE(1073)] = 37352,
    [SMALL_STATE(1074)] = 37365,
    [SMALL_STATE(1075)] = 37378,
    [SMALL_STATE(1076)] = 37391,
    [SMALL_STATE(1077)] = 37404,
    [SMALL_STATE(1078)] = 37417,
    [SMALL_STATE(1079)] = 37430,
    [SMALL_STATE(1080)] = 37443,
    [SMALL_STATE(1081)] = 37456,
    [SMALL_STATE(1082)] = 37469,
    [SMALL_STATE(1083)] = 37482,
    [SMALL_STATE(1084)] = 37495,
    [SMALL_STATE(1085)] = 37508,
    [SMALL_STATE(1086)] = 37521,
    [SMALL_STATE(1087)] = 37534,
    [SMALL_STATE(1088)] = 37547,
    [SMALL_STATE(1089)] = 37560,
    [SMALL_STATE(1090)] = 37573,
    [SMALL_STATE(1091)] = 37586,
    [SMALL_STATE(1092)] = 37599,
    [SMALL_STATE(1093)] = 37612,
    [SMALL_STATE(1094)] = 37625,
    [SMALL_STATE(1095)] = 37638,
    [SMALL_STATE(1096)] = 37651,
    [SMALL_STATE(1097)] = 37664,
    [SMALL_STATE(1098)] = 37677,
    [SMALL_STATE(1099)] = 37690,
    [SMALL_STATE(1100)] = 37703,
    [SMALL_STATE(1101)] = 37716,
    [SMALL_STATE(1102)] = 37729,
    [SMALL_STATE(1103)] = 37742,
    [SMALL_STATE(1104)] = 37755,
    [SMALL_STATE(1105)] = 37768,
    [SMALL_STATE(1106)] = 37781,
    [SMALL_STATE(1107)] = 37794,
    [SMALL_STATE(1108)] = 37807,
    [SMALL_STATE(1109)] = 37820,
    [SMALL_STATE(1110)] = 37833,
    [SMALL_STATE(1111)] = 37846,
    [SMALL_STATE(1112)] = 37859,
    [SMALL_STATE(1113)] = 37872,
    [SMALL_STATE(1114)] = 37885,
    [SMALL_STATE(1115)] = 37898,
    [SMALL_STATE(1116)] = 37911,
    [SMALL_STATE(1117)] = 37924,
    [SMALL_STATE(1118)] = 37937,
    [SMALL_STATE(1119)] = 37950,
    [SMALL_STATE(1120)] = 37963,
    [SMALL_STATE(1121)] = 37976,
    [SMALL_STATE(1122)] = 37989,
    [SMALL_STATE(1123)] = 38002,
    [SMALL_STATE(1124)] = 38015,
    [SMALL_STATE(1125)] = 38028,
    [SMALL_STATE(1126)] = 38041,
    [SMALL_STATE(1127)] = 38054,
    [SMALL_STATE(1128)] = 38067,
    [SMALL_STATE(1129)] = 38080,
    [SMALL_STATE(1130)] = 38093,
    [SMALL_STATE(1131)] = 38106,
    [SMALL_STATE(1132)] = 38119,
    [SMALL_STATE(1133)] = 38132,
    [SMALL_STATE(1134)] = 38145,
    [SMALL_STATE(1135)] = 38158,
    [SMALL_STATE(1136)] = 38171,
    [SMALL_STATE(1137)] = 38184,
    [SMALL_STATE(1138)] = 38197,
    [SMALL_STATE(1139)] = 38210,
    [SMALL_STATE(1140)] = 38223,
    [SMALL_STATE(1141)] = 38236,
    [SMALL_STATE(1142)] = 38249,
    [SMALL_STATE(1143)] = 38262,
    [SMALL_STATE(1144)] = 38275,
    [SMALL_STATE(1145)] = 38288,
    [SMALL_STATE(1146)] = 38301,
    [SMALL_STATE(1147)] = 38314,
    [SMALL_STATE(1148)] = 38327,
    [SMALL_STATE(1149)] = 38340,
    [SMALL_STATE(1150)] = 38353,
    [SMALL_STATE(1151)] = 38366,
    [SMALL_STATE(1152)] = 38379,
    [SMALL_STATE(1153)] = 38392,
    [SMALL_STATE(1154)] = 38405,
    [SMALL_STATE(1155)] = 38418,
    [SMALL_STATE(1156)] = 38431,
    [SMALL_STATE(1157)] = 38444,
    [SMALL_STATE(1158)] = 38457,
    [SMALL_STATE(1159)] = 38470,
    [SMALL_STATE(1160)] = 38483,
    [SMALL_STATE(1161)] = 38496,
    [SMALL_STATE(1162)] = 38509,
    [SMALL_STATE(1163)] = 38522,
    [SMALL_STATE(1164)] = 38535,
    [SMALL_STATE(1165)] = 38548,
    [SMALL_STATE(1166)] = 38561,
    [SMALL_STATE(1167)] = 38574,
    [SMALL_STATE(1168)] = 38587,
    [SMALL_STATE(1169)] = 38600,
    [SMALL_STATE(1170)] = 38613,
    [SMALL_STATE(1171)] = 38626,
    [SMALL_STATE(1172)] = 38639,
    [SMALL_STATE(1173)] = 38652,
    [SMALL_STATE(1174)] = 38665,
    [SMALL_STATE(1175)] = 38678,
    [SMALL_STATE(1176)] = 38691,
    [SMALL_STATE(1177)] = 38704,
    [SMALL_STATE(1178)] = 38717,
    [SMALL_STATE(1179)] = 38730,
    [SMALL_STATE(1180)] = 38743,
    [SMALL_STATE(1181)] = 38756,
    [SMALL_STATE(1182)] = 38769,
    [SMALL_STATE(1183)] = 38782,
    [SMALL_STATE(1184)] = 38795,
    [SMALL_STATE(1185)] = 38808,
    [SMALL_STATE(1186)] = 38821,
    [SMALL_STATE(1187)] = 38834,
    [SMALL_STATE(1188)] = 38847,
    [SMALL_STATE(1189)] = 38860,
    [SMALL_STATE(1190)] = 38873,
    [SMALL_STATE(1191)] = 38886,
    [SMALL_STATE(1192)] = 38899,
    [SMALL_STATE(1193)] = 38912,
    [SMALL_STATE(1194)] = 38925,
    [SMALL_STATE(1195)] = 38938,
    [SMALL_STATE(1196)] = 38951,
    [SMALL_STATE(1197)] = 38964,
    [SMALL_STATE(1198)] = 38977,
    [SMALL_STATE(1199)] = 38990,
    [SMALL_STATE(1200)] = 39003,
    [SMALL_STATE(1201)] = 39016,
    [SMALL_STATE(1202)] = 39029,
    [SMALL_STATE(1203)] = 39042,
    [SMALL_STATE(1204)] = 39055,
    [SMALL_STATE(1205)] = 39068,
    [SMALL_STATE(1206)] = 39081,
    [SMALL_STATE(1207)] = 39094,
    [SMALL_STATE(1208)] = 39107,
    [SMALL_STATE(1209)] = 39120,
    [SMALL_STATE(1210)] = 39133,
    [SMALL_STATE(1211)] = 39146,
    [SMALL_STATE(1212)] = 39159,
    [SMALL_STATE(1213)] = 39172,
    [SMALL_STATE(1214)] = 39185,
    [SMALL_STATE(1215)] = 39198,
    [SMALL_STATE(1216)] = 39211,
    [SMALL_STATE(1217)] = 39224,
    [SMALL_STATE(1218)] = 39237,
    [SMALL_STATE(1219)] = 39250,
    [SMALL_STATE(1220)] = 39263,
    [SMALL_STATE(1221)] = 39276,
    [SMALL_STATE(1222)] = 39289,
    [SMALL_STATE(1223)] = 39302,
    [SMALL_STATE(1224)] = 39315,
    [SMALL_STATE(1225)] = 39328,
    [SMALL_STATE(1226)] = 39341,
    [SMALL_STATE(1227)] = 39354,
    [SMALL_STATE(1228)] = 39367,
    [SMALL_STATE(1229)] = 39380,
    [SMALL_STATE(1230)] = 39393,
    [SMALL_STATE(1231)] = 39406,
    [SMALL_STATE(1232)] = 39419,
    [SMALL_STATE(1233)] = 39432,
    [SMALL_STATE(1234)] = 39445,
    [SMALL_STATE(1235)] = 39458,
    [SMALL_STATE(1236)] = 39471,
    [SMALL_STATE(1237)] = 39484,
    [SMALL_STATE(1238)] = 39497,
    [SMALL_STATE(1239)] = 39510,
    [SMALL_STATE(1240)] = 39523,
    [SMALL_STATE(1241)] = 39536,
    [SMALL_STATE(1242)] = 39549,
    [SMALL_STATE(1243)] = 39562,
    [SMALL_STATE(1244)] = 39575,
    [SMALL_STATE(1245)] = 39588,
    [SMALL_STATE(1246)] = 39601,
    [SMALL_STATE(1247)] = 39614,
    [SMALL_STATE(1248)] = 39627,
    [SMALL_STATE(1249)] = 39640,
    [SMALL_STATE(1250)] = 39653,
    [SMALL_STATE(1251)] = 39666,
    [SMALL_STATE(1252)] = 39679,
    [SMALL_STATE(1253)] = 39692,
    [SMALL_STATE(1254)] = 39705,
    [SMALL_STATE(1255)] = 39718,
    [SMALL_STATE(1256)] = 39731,
    [SMALL_STATE(1257)] = 39744,
    [SMALL_STATE(1258)] = 39757,
    [SMALL_STATE(1259)] = 39770,
    [SMALL_STATE(1260)] = 39783,
    [SMALL_STATE(1261)] = 39796,
    [SMALL_STATE(1262)] = 39809,
    [SMALL_STATE(1263)] = 39822,
    [SMALL_STATE(1264)] = 39835,
    [SMALL_STATE(1265)] = 39848,
    [SMALL_STATE(1266)] = 39861,
    [SMALL_STATE(1267)] = 39874,
    [SMALL_STATE(1268)] = 39887,
    [SMALL_STATE(1269)] = 39900,
    [SMALL_STATE(1270)] = 39913,
    [SMALL_STATE(1271)] = 39926,
    [SMALL_STATE(1272)] = 39939,
    [SMALL_STATE(1273)] = 39952,
    [SMALL_STATE(1274)] = 39965,
    [SMALL_STATE(1275)] = 39978,
    [SMALL_STATE(1276)] = 39991,
    [SMALL_STATE(1277)] = 40004,
    [SMALL_STATE(1278)] = 40017,
    [SMALL_STATE(1279)] = 40030,
    [SMALL_STATE(1280)] = 40043,
    [SMALL_STATE(1281)] = 40056,
    [SMALL_STATE(1282)] = 40069,
    [SMALL_STATE(1283)] = 40082,
    [SMALL_STATE(1284)] = 40095,
    [SMALL_STATE(1285)] = 40108,
    [SMALL_STATE(1286)] = 40121,
    [SMALL_STATE(1287)] = 40134,
    [SMALL_STATE(1288)] = 40147,
    [SMALL_STATE(1289)] = 40160,
    [SMALL_STATE(1290)] = 40173,
    [SMALL_STATE(1291)] = 40186,
    [SMALL_STATE(1292)] = 40199,
    [SMALL_STATE(1293)] = 40212,
    [SMALL_STATE(1294)] = 40225,
    [SMALL_STATE(1295)] = 40238,
    [SMALL_STATE(1296)] = 40251,
    [SMALL_STATE(1297)] = 40264,
    [SMALL_STATE(1298)] = 40277,
    [SMALL_STATE(1299)] = 40290,
    [SMALL_STATE(1300)] = 40303,
    [SMALL_STATE(1301)] = 40316,
    [SMALL_STATE(1302)] = 40329,
    [SMALL_STATE(1303)] = 40342,
    [SMALL_STATE(1304)] = 40355,
    [SMALL_STATE(1305)] = 40368,
    [SMALL_STATE(1306)] = 40381,
    [SMALL_STATE(1307)] = 40394,
    [SMALL_STATE(1308)] = 40407,
    [SMALL_STATE(1309)] = 40420,
    [SMALL_STATE(1310)] = 40433,
    [SMALL_STATE(1311)] = 40446,
    [SMALL_STATE(1312)] = 40459,
    [SMALL_STATE(1313)] = 40472,
    [SMALL_STATE(1314)] = 40485,
    [SMALL_STATE(1315)] = 40498,
    [SMALL_STATE(1316)] = 40511,
    [SMALL_STATE(1317)] = 40524,
    [SMALL_STATE(1318)] = 40537,
    [SMALL_STATE(1319)] = 40550,
    [SMALL_STATE(1320)] = 40563,
    [SMALL_STATE(1321)] = 40576,
    [SMALL_STATE(1322)] = 40589,
    [SMALL_STATE(1323)] = 40602,
    [SMALL_STATE(1324)] = 40615,
    [SMALL_STATE(1325)] = 40628,
    [SMALL_STATE(1326)] = 40641,
    [SMALL_STATE(1327)] = 40654,
    [SMALL_STATE(1328)] = 40667,
    [SMALL_STATE(1329)] = 40680,
    [SMALL_STATE(1330)] = 40693,
    [SMALL_STATE(1331)] = 40706,
    [SMALL_STATE(1332)] = 40719,
    [SMALL_STATE(1333)] = 40732,
    [SMALL_STATE(1334)] = 40745,
    [SMALL_STATE(1335)] = 40758,
    [SMALL_STATE(1336)] = 40771,
    [SMALL_STATE(1337)] = 40784,
    [SMALL_STATE(1338)] = 40797,
    [SMALL_STATE(1339)] = 40810,
    [SMALL_STATE(1340)] = 40823,
    [SMALL_STATE(1341)] = 40836,
    [SMALL_STATE(1342)] = 40849,
    [SMALL_STATE(1343)] = 40862,
    [SMALL_STATE(1344)] = 40875,
    [SMALL_STATE(1345)] = 40888,
    [SMALL_STATE(1346)] = 40901,
    [SMALL_STATE(1347)] = 40914,
    [SMALL_STATE(1348)] = 40927,
    [SMALL_STATE(1349)] = 40940,
    [SMALL_STATE(1350)] = 40953,
    [SMALL_STATE(1351)] = 40966,
    [SMALL_STATE(1352)] = 40979,
    [SMALL_STATE(1353)] = 40992,
    [SMALL_STATE(1354)] = 41005,
    [SMALL_STATE(1355)] = 41018,
    [SMALL_STATE(1356)] = 41031,
    [SMALL_STATE(1357)] = 41044,
    [SMALL_STATE(1358)] = 41057,
    [SMALL_STATE(1359)] = 41070,
    [SMALL_STATE(1360)] = 41083,
    [SMALL_STATE(1361)] = 41096,
    [SMALL_STATE(1362)] = 41109,
    [SMALL_STATE(1363)] = 41122,
    [SMALL_STATE(1364)] = 41135,
    [SMALL_STATE(1365)] = 41148,
    [SMALL_STATE(1366)] = 41161,
    [SMALL_STATE(1367)] = 41174,
    [SMALL_STATE(1368)] = 41187,
    [SMALL_STATE(1369)] = 41200,
    [SMALL_STATE(1370)] = 41213,
    [SMALL_STATE(1371)] = 41226,
    [SMALL_STATE(1372)] = 41239,
    [SMALL_STATE(1373)] = 41252,
    [SMALL_STATE(1374)] = 41265,
    [SMALL_STATE(1375)] = 41278,
    [SMALL_STATE(1376)] = 41291,
    [SMALL_STATE(1377)] = 41304,
    [SMALL_STATE(1378)] = 41317,
    [SMALL_STATE(1379)] = 41330,
    [SMALL_STATE(1380)] = 41343,
    [SMALL_STATE(1381)] = 41356,
    [SMALL_STATE(1382)] = 41369,
    [SMALL_STATE(1383)] = 41382,
    [SMALL_STATE(1384)] = 41395,
    [SMALL_STATE(1385)] = 41408,
    [SMALL_STATE(1386)] = 41421,
    [SMALL_STATE(1387)] = 41434,
    [SMALL_STATE(1388)] = 41447,
    [SMALL_STATE(1389)] = 41460,
    [SMALL_STATE(1390)] = 41473,
    [SMALL_STATE(1391)] = 41486,
    [SMALL_STATE(1392)] = 41499,
    [SMALL_STATE(1393)] = 41512,
    [SMALL_STATE(1394)] = 41525,
    [SMALL_STATE(1395)] = 41538,
    [SMALL_STATE(1396)] = 41551,
    [SMALL_STATE(1397)] = 41564,
    [SMALL_STATE(1398)] = 41577,
    [SMALL_STATE(1399)] = 41590,
    [SMALL_STATE(1400)] = 41603,
    [SMALL_STATE(1401)] = 41616,
    [SMALL_STATE(1402)] = 41629,
    [SMALL_STATE(1403)] = 41642,
    [SMALL_STATE(1404)] = 41655,
    [SMALL_STATE(1405)] = 41659,
};

static const TSParseActionEntry ts_parse_actions[] = {
    [0] = { .entry = { .count = 0, .reusable = false } },
    [1] = { .entry = { .count = 1, .reusable = false } },
    RECOVER(),
    [3] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1273),
    [5] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1354),
    [7] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_specification, 0, 0, 0),
    [9] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1352),
    [11] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(970),
    [13] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(500),
    [15] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1349),
    [17] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1348),
    [19] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(637),
    [21] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1346),
    [23] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1345),
    [25] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1344),
    [27] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1343),
    [29] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(35),
    [31] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(37),
    [33] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(638),
    [35] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1341),
    [37] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1340),
    [39] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1339),
    [41] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1338),
    [43] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1337),
    [45] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(89),
    [47] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(968),
    [49] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(40),
    [51] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(640),
    [53] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(641),
    [55] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(474),
    [57] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1333),
    [59] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1332),
    [61] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1331),
    [63] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1330),
    [65] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(967),
    [67] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(481),
    [69] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(482),
    [71] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(483),
    [73] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(483),
    [75] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(484),
    [77] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(593),
    [79] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1268),
    [81] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(487),
    [83] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(489),
    [85] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(489),
    [87] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(490),
    [89] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(493),
    [91] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(493),
    [93] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(587),
    [95] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(587),
    [97] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1175),
    [99] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(502),
    [101] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(503),
    [103] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(604),
    [105] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1263),
    [107] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1267),
    [109] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1349),
    [111] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1096),
    [113] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1063),
    [115] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1062),
    [117] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1061),
    [119] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(79),
    [121] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1345),
    [123] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1344),
    [125] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(35),
    [127] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1341),
    [129] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1339),
    [131] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1338),
    [133] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1337),
    [135] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(89),
    [137] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(987),
    [139] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(70),
    [141] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1045),
    [143] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(40),
    [145] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(640),
    [147] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(474),
    [149] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(608),
    [151] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1059),
    [153] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(967),
    [155] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(309),
    [157] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1113),
    [159] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(481),
    [162] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(482),
    [165] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(483),
    [168] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(483),
    [171] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(484),
    [174] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(593),
    [177] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1268),
    [180] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(487),
    [183] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(489),
    [186] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(489),
    [189] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(490),
    [192] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(493),
    [195] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(493),
    [198] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(587),
    [201] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(587),
    [204] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1175),
    [207] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(502),
    [210] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(503),
    [213] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(604),
    [216] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1263),
    [219] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1267),
    [222] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1349),
    [225] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    [227] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1063),
    [230] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1062),
    [233] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1061),
    [236] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(79),
    [239] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1345),
    [242] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1344),
    [245] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(35),
    [248] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(37),
    [251] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1341),
    [254] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1339),
    [257] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1338),
    [260] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1337),
    [263] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(89),
    [266] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(987),
    [269] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(70),
    [272] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1045),
    [275] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(40),
    [278] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(640),
    [281] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(474),
    [284] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(608),
    [287] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1059),
    [290] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(967),
    [293] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(309),
    [296] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1032),
    [298] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1037),
    [300] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1036),
    [302] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1035),
    [304] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1046),
    [306] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(481),
    [309] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(482),
    [312] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(483),
    [315] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(483),
    [318] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(484),
    [321] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(593),
    [324] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1268),
    [327] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(487),
    [330] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(489),
    [333] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(489),
    [336] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(490),
    [339] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(493),
    [342] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(493),
    [345] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(587),
    [348] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(587),
    [351] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1175),
    [354] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(502),
    [357] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(503),
    [360] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(604),
    [363] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1263),
    [366] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1267),
    [369] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1349),
    [372] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    [374] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1063),
    [377] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1062),
    [380] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1061),
    [383] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(79),
    [386] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1345),
    [389] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1344),
    [392] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(35),
    [395] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(37),
    [398] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1341),
    [401] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1339),
    [404] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1338),
    [407] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1337),
    [410] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(89),
    [413] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(987),
    [416] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1036),
    [419] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(40),
    [422] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(640),
    [425] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(474),
    [428] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(608),
    [431] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1059),
    [434] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1035),
    [437] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(967),
    [440] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(309),
    [443] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_body, 1, 0, 0),
    [445] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1064),
    [447] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1334),
    [449] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(481),
    [452] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(482),
    [455] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(483),
    [458] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(483),
    [461] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(484),
    [464] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(593),
    [467] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1268),
    [470] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(487),
    [473] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(489),
    [476] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(489),
    [479] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(490),
    [482] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(493),
    [485] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(493),
    [488] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(587),
    [491] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(587),
    [494] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1175),
    [497] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(502),
    [500] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(503),
    [503] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(604),
    [506] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1263),
    [509] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1267),
    [512] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1349),
    [515] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    [517] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1063),
    [520] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1062),
    [523] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1061),
    [526] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(79),
    [529] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1345),
    [532] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1344),
    [535] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(35),
    [538] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(37),
    [541] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1341),
    [544] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1339),
    [547] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1338),
    [550] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1337),
    [553] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(89),
    [556] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(987),
    [559] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(40),
    [562] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(640),
    [565] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(474),
    [568] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(608),
    [571] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1059),
    [574] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(967),
    [577] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(309),
    [580] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1329),
    [582] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1122),
    [584] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_body, 1, 0, 0),
    [586] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1048),
    [588] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1116),
    [590] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1121),
    [592] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1219),
    [594] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(343),
    [596] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(191),
    [598] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(333),
    [600] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(336),
    [602] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(337),
    [604] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(310),
    [606] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(547),
    [608] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(933),
    [610] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(689),
    [612] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(322),
    [614] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1273),
    [616] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    [618] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1352),
    [621] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(970),
    [624] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(500),
    [627] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1349),
    [630] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1348),
    [633] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(637),
    [636] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1346),
    [639] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1345),
    [642] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1344),
    [645] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1343),
    [648] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(35),
    [651] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(37),
    [654] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(638),
    [657] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1341),
    [660] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1340),
    [663] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1339),
    [666] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1338),
    [669] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1337),
    [672] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(89),
    [675] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(968),
    [678] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(40),
    [681] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(640),
    [684] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(641),
    [687] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(474),
    [690] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1333),
    [693] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1332),
    [696] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1331),
    [699] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1330),
    [702] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(967),
    [705] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_specification, 1, 0, 0),
    [707] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1082),
    [709] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(770),
    [711] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1111),
    [713] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1349),
    [716] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    [718] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1348),
    [721] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(637),
    [724] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1346),
    [727] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1345),
    [730] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1344),
    [733] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1343),
    [736] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(35),
    [739] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(37),
    [742] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(638),
    [745] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1341),
    [748] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1340),
    [751] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1339),
    [754] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1338),
    [757] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1337),
    [760] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(89),
    [763] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(770),
    [766] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(968),
    [769] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(40),
    [772] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(640),
    [775] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(641),
    [778] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(474),
    [781] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1333),
    [784] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1332),
    [787] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1331),
    [790] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1330),
    [793] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(967),
    [796] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1349),
    [799] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    [801] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1348),
    [804] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(637),
    [807] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1346),
    [810] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1345),
    [813] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1344),
    [816] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1343),
    [819] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(35),
    [822] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(37),
    [825] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(638),
    [828] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1341),
    [831] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1340),
    [834] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1339),
    [837] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1338),
    [840] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1337),
    [843] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(89),
    [846] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(968),
    [849] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(40),
    [852] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(640),
    [855] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(641),
    [858] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(474),
    [861] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1333),
    [864] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1332),
    [867] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1331),
    [870] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1330),
    [873] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(967),
    [876] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1020),
    [878] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1250),
    [880] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1081),
    [882] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(36),
    [884] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(39),
    [886] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(164),
    [888] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1261),
    [890] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1385),
    [892] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(539),
    [894] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(607),
    [896] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1386),
    [898] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1387),
    [900] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1388),
    [902] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(802),
    [904] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(627),
    [906] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(806),
    [908] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(550),
    [910] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(617),
    [912] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(811),
    [914] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1389),
    [916] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1180),
    [918] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1390),
    [920] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1391),
    [922] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1392),
    [924] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1393),
    [926] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(603),
    [928] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(589),
    [930] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1394),
    [932] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(579),
    [934] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(576),
    [936] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(575),
    [938] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(565),
    [940] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(535),
    [942] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(534),
    [944] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(523),
    [946] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(761),
    [948] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(518),
    [950] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1395),
    [952] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(757),
    [954] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(544),
    [956] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(506),
    [958] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1126),
    [960] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1355),
    [962] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(616),
    [964] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(622),
    [966] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1356),
    [968] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1357),
    [970] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1358),
    [972] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(753),
    [974] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(752),
    [976] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(750),
    [978] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(626),
    [980] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(546),
    [982] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(741),
    [984] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1359),
    [986] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1403),
    [988] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1360),
    [990] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1361),
    [992] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1362),
    [994] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1363),
    [996] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(545),
    [998] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(520),
    [1000] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1364),
    [1002] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(516),
    [1004] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(530),
    [1006] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(531),
    [1008] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(532),
    [1010] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(538),
    [1012] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(540),
    [1014] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(541),
    [1016] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(719),
    [1018] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(542),
    [1020] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1365),
    [1022] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(717),
    [1024] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(543),
    [1026] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(495),
    [1028] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1295),
    [1030] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1294),
    [1032] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(368),
    [1034] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(350),
    [1036] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1291),
    [1038] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1290),
    [1040] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1288),
    [1042] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(408),
    [1044] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(410),
    [1046] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(411),
    [1048] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(367),
    [1050] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(366),
    [1052] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(415),
    [1054] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1287),
    [1056] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1286),
    [1058] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1285),
    [1060] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1284),
    [1062] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1283),
    [1064] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1282),
    [1066] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(364),
    [1068] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(363),
    [1070] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1281),
    [1072] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(362),
    [1074] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(361),
    [1076] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(360),
    [1078] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(359),
    [1080] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(357),
    [1082] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(356),
    [1084] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(351),
    [1086] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(418),
    [1088] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(355),
    [1090] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1280),
    [1092] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(416),
    [1094] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(354),
    [1096] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(348),
    [1098] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1260),
    [1100] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1370),
    [1102] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(211),
    [1104] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(212),
    [1106] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1371),
    [1108] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1372),
    [1110] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1373),
    [1112] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(267),
    [1114] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(264),
    [1116] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(263),
    [1118] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(214),
    [1120] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(216),
    [1122] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(245),
    [1124] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1374),
    [1126] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1307),
    [1128] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1375),
    [1130] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1376),
    [1132] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1377),
    [1134] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1378),
    [1136] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(217),
    [1138] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(221),
    [1140] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1379),
    [1142] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(223),
    [1144] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(225),
    [1146] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(234),
    [1148] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(230),
    [1150] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(229),
    [1152] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(228),
    [1154] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(226),
    [1156] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(250),
    [1158] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(224),
    [1160] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1380),
    [1162] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(247),
    [1164] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(208),
    [1166] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(227),
    [1168] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1115),
    [1170] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(940),
    [1172] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(481),
    [1175] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(482),
    [1178] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(483),
    [1181] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(483),
    [1184] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(484),
    [1187] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(593),
    [1190] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1268),
    [1193] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(487),
    [1196] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(489),
    [1199] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(489),
    [1202] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(490),
    [1205] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(493),
    [1208] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(493),
    [1211] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(587),
    [1214] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(587),
    [1217] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1175),
    [1220] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(502),
    [1223] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(503),
    [1226] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(604),
    [1229] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1263),
    [1232] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1267),
    [1235] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    [1237] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(36),
    [1240] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(39),
    [1243] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(608),
    [1246] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(309),
    [1249] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1027),
    [1251] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(897),
    [1253] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(945),
    [1255] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(907),
    [1257] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(526),
    [1259] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(290),
    [1261] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_header, 2, 0, 0),
    [1263] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(485),
    [1265] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_forward_dcl, 2, 0, 0),
    [1267] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(556),
    [1269] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1275),
    [1271] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1274),
    [1273] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1016),
    [1275] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1162),
    [1277] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(974),
    [1279] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(481),
    [1282] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(482),
    [1285] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(483),
    [1288] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(483),
    [1291] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(484),
    [1294] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1275),
    [1297] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1274),
    [1300] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(487),
    [1303] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(489),
    [1306] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(489),
    [1309] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(490),
    [1312] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(493),
    [1315] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(493),
    [1318] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(587),
    [1321] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(587),
    [1324] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1175),
    [1327] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(502),
    [1330] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(503),
    [1333] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1016),
    [1336] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1263),
    [1339] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    [1341] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1337),
    [1344] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(89),
    [1347] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(40),
    [1350] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(309),
    [1353] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(923),
    [1355] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1017),
    [1357] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(98),
    [1359] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_init_dcl, 5, 0, 0),
    [1361] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_dcl, 5, 0, 0),
    [1363] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_state_member, 4, 0, 0),
    [1365] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_state_member, 4, 0, 0),
    [1367] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_init_dcl, 7, 0, 0),
    [1369] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_dcl, 7, 0, 0),
    [1371] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_init_dcl, 6, 0, 0),
    [1373] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_dcl, 6, 0, 0),
    [1375] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 1, 0, 0),
    [1377] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 1, 0, 0),
    [1379] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_value_element, 1, 0, 0),
    [1381] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_element, 1, 0, 0),
    [1383] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_export, 2, 0, 0),
    [1385] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_export, 2, 0, 0),
    [1387] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_home_export, 2, 0, 0),
    [1389] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_export, 2, 0, 0),
    [1391] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_home_export, 1, 0, 0),
    [1393] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_export, 1, 0, 0),
    [1395] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 1, 0, 0),
    [1397] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 1, 0, 0),
    [1399] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(991),
    [1401] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(991),
    [1403] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(990),
    [1405] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(432),
    [1407] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 1, 0, 0),
    [1409] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 1, 0, 0),
    [1411] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(696),
    [1413] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(365),
    [1415] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(402),
    [1417] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(261),
    [1419] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(977),
    [1421] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(977),
    [1423] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(837),
    [1425] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(375),
    [1427] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(269),
    [1429] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(840),
    [1431] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_case_repeat1, 2, 0, 0),
    [1433] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_case_repeat1, 2, 0, 0),
    [1435] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_case_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1081),
    [1438] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_case_repeat1, 2, 0, 0),
    SHIFT_REPEAT(164),
    [1441] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(697),
    [1443] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_case_label, 3, 0, 0),
    [1445] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_case_label, 3, 0, 0),
    [1447] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_case_label, 2, 0, 0),
    [1449] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_case_label, 2, 0, 0),
    [1451] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_case_repeat1, 1, 0, 0),
    [1453] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_case_repeat1, 1, 0, 0),
    [1455] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    [1457] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    [1459] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(36),
    [1462] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(39),
    [1465] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 4, 0, 9),
    [1467] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 4, 0, 9),
    [1469] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 4, 0, 11),
    [1471] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 4, 0, 11),
    [1473] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 5, 0, 11),
    [1475] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 5, 0, 11),
    [1477] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 3, 0, 9),
    [1479] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 3, 0, 9),
    [1481] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_topic, 1, 0, 2),
    [1483] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_topic, 1, 0, 2),
    [1485] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(95),
    [1487] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_autoid, 1, 0, 2),
    [1489] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_autoid, 1, 0, 2),
    [1491] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(561),
    [1493] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_optional, 1, 0, 2),
    [1495] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_optional, 1, 0, 2),
    [1497] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(100),
    [1499] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_key, 1, 0, 2),
    [1501] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_key, 1, 0, 2),
    [1503] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(137),
    [1505] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 6, 0, 11),
    [1507] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 6, 0, 11),
    [1509] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_must_understand, 1, 0, 2),
    [1511] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_must_understand, 1, 0, 2),
    [1513] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(138),
    [1515] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_external, 1, 0, 2),
    [1517] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_external, 1, 0, 2),
    [1519] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(142),
    [1521] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 1, 0, 0),
    [1523] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 1, 0, 0),
    [1525] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_extend_annotation_appl, 4, 0, 0),
    [1527] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_extend_annotation_appl, 4, 0, 0),
    [1529] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_custom_body, 1, 0, 0),
    [1531] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_custom_body, 1, 0, 0),
    [1533] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(92),
    [1535] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_nested, 1, 0, 2),
    [1537] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_nested, 1, 0, 2),
    [1539] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(143),
    [1541] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_extend_annotation_appl, 3, 0, 0),
    [1543] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_extend_annotation_appl, 3, 0, 0),
    [1545] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_service, 1, 0, 2),
    [1547] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_service, 1, 0, 2),
    [1549] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(581),
    [1551] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_non_serialized, 1, 0, 2),
    [1553] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_non_serialized, 1, 0, 2),
    [1555] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(171),
    [1557] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_oneway, 1, 0, 2),
    [1559] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_oneway, 1, 0, 2),
    [1561] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(176),
    [1563] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_try_construct, 1, 0, 2),
    [1565] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_try_construct, 1, 0, 2),
    [1567] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(582),
    [1569] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_scoped_name, 1, 0, 0),
    [1571] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_scoped_name, 1, 0, 0),
    [1573] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_ignore_literal_names, 1, 0, 2),
    [1575] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_ignore_literal_names, 1, 0, 2),
    [1577] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(172),
    [1579] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_default_nested, 1, 0, 2),
    [1581] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_default_nested, 1, 0, 2),
    [1583] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(173),
    [1585] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_hashid, 1, 0, 2),
    [1587] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_hashid, 1, 0, 2),
    [1589] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(174),
    [1591] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_scoped_name, 2, 0, 0),
    [1593] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_scoped_name, 2, 0, 0),
    [1595] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_scoped_name, 3, 0, 0),
    [1597] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_scoped_name, 3, 0, 0),
    [1599] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 5, 0, 9),
    [1601] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 5, 0, 9),
    [1603] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_ami, 1, 0, 2),
    [1605] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_ami, 1, 0, 2),
    [1607] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(175),
    [1609] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_default_nested, 4, 0, 2),
    [1611] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_default_nested, 4, 0, 2),
    [1613] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_optional, 4, 0, 2),
    [1615] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_optional, 4, 0, 2),
    [1617] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_min, 4, 0, 5),
    [1619] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_min, 4, 0, 5),
    [1621] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_key, 4, 0, 2),
    [1623] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_key, 4, 0, 2),
    [1625] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_extensibility, 4, 0, 2),
    [1627] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_extensibility, 4, 0, 2),
    [1629] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_value, 4, 0, 2),
    [1631] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_value, 4, 0, 2),
    [1633] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_max, 4, 0, 5),
    [1635] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_max, 4, 0, 5),
    [1637] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_unit, 4, 0, 2),
    [1639] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_unit, 4, 0, 2),
    [1641] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_position, 4, 0, 2),
    [1643] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_position, 4, 0, 2),
    [1645] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_must_understand, 4, 0, 2),
    [1647] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_must_understand, 4, 0, 2),
    [1649] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_default_literal, 1, 0, 2),
    [1651] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_default_literal, 1, 0, 2),
    [1653] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_autoid, 4, 0, 2),
    [1655] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_autoid, 4, 0, 2),
    [1657] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_data_representation_mask, 1, 0, 0),
    [1659] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_data_representation_mask, 1, 0, 0),
    [1661] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_id, 4, 0, 2),
    [1663] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_id, 4, 0, 2),
    [1665] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl, 2, 0, 0),
    [1667] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl, 2, 0, 0),
    [1669] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_try_construct_fail_action, 1, 0, 0),
    [1671] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_try_construct_fail_action, 1, 0, 0),
    [1673] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_external, 4, 0, 2),
    [1675] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_external, 4, 0, 2),
    [1677] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_nested, 4, 0, 2),
    [1679] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_nested, 4, 0, 2),
    [1681] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_verbatim, 4, 0, 6),
    [1683] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_verbatim, 4, 0, 6),
    [1685] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_service, 4, 0, 2),
    [1687] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_service, 4, 0, 2),
    [1689] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_oneway, 4, 0, 2),
    [1691] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_oneway, 4, 0, 2),
    [1693] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_builtin_body, 1, 0, 0),
    [1695] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_builtin_body, 1, 0, 0),
    [1697] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_default, 4, 0, 2),
    [1699] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_default, 4, 0, 2),
    [1701] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_ami, 4, 0, 2),
    [1703] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_ami, 4, 0, 2),
    [1705] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_bit_bound, 4, 0, 2),
    [1707] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_bit_bound, 4, 0, 2),
    [1709] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_hashid, 4, 0, 2),
    [1711] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_hashid, 4, 0, 2),
    [1713] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_custom_body, 3, 0, 0),
    [1715] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_custom_body, 3, 0, 0),
    [1717] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_mutable, 1, 0, 2),
    [1719] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_mutable, 1, 0, 2),
    [1721] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_appendable, 1, 0, 2),
    [1723] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_appendable, 1, 0, 2),
    [1725] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_verbatim, 8, 0, 16),
    [1727] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_verbatim, 8, 0, 16),
    [1729] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_topic, 6, 0, 15),
    [1731] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_topic, 6, 0, 15),
    [1733] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_final, 1, 0, 2),
    [1735] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_final, 1, 0, 2),
    [1737] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_verbatim, 6, 0, 14),
    [1739] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_verbatim, 6, 0, 14),
    [1741] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_optional, 3, 0, 2),
    [1743] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_optional, 3, 0, 2),
    [1745] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_autoid, 3, 0, 2),
    [1747] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_autoid, 3, 0, 2),
    [1749] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl, 1, 0, 0),
    [1751] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl, 1, 0, 0),
    [1753] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_verbatim, 6, 0, 13),
    [1755] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_verbatim, 6, 0, 13),
    [1757] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_range, 6, 0, 12),
    [1759] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_range, 6, 0, 12),
    [1761] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_data_representation, 5, 0, 2),
    [1763] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_data_representation, 5, 0, 2),
    [1765] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_custom_body, 4, 0, 0),
    [1767] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_custom_body, 4, 0, 0),
    [1769] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_topic, 4, 0, 8),
    [1771] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_topic, 4, 0, 8),
    [1773] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_topic, 4, 0, 7),
    [1775] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_topic, 4, 0, 7),
    [1777] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_data_representation, 4, 0, 2),
    [1779] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_data_representation, 4, 0, 2),
    [1781] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_non_serialized, 4, 0, 2),
    [1783] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_non_serialized, 4, 0, 2),
    [1785] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_try_construct, 4, 0, 2),
    [1787] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_try_construct, 4, 0, 2),
    [1789] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_ignore_literal_names, 4, 0, 2),
    [1791] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_ignore_literal_names, 4, 0, 2),
    [1793] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_interface_dcl_repeat1, 1, 0, 0),
    [1795] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 1, 0, 0),
    [1797] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_definition, 2, 0, 0),
    [1799] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_definition, 2, 0, 0),
    [1801] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_member, 3, 0, 0),
    [1803] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_member, 3, 0, 0),
    [1805] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_body, 2, 0, 0),
    [1807] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_body, 2, 0, 0),
    [1809] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_member, 5, 0, 0),
    [1811] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_member, 5, 0, 0),
    [1813] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_body, 1, 0, 0),
    [1815] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_body, 1, 0, 0),
    [1817] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 1, 0, 0),
    [1819] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 1, 0, 0),
    [1821] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1272),
    [1823] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_param_attribute, 1, 0, 0),
    [1825] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_param_attribute, 1, 0, 0),
    [1827] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_preproc_call, 2, 0, 1),
    [1829] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_preproc_call, 2, 0, 1),
    [1831] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(467),
    [1833] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 1, 0, 0),
    [1835] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_specification_repeat1, 1, 0, 0),
    [1837] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_preproc_call, 3, 0, 3),
    [1839] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_preproc_call, 3, 0, 3),
    [1841] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_preproc_include, 3, 0, 4),
    [1843] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_preproc_include, 3, 0, 4),
    [1845] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_preproc_define, 2, 0, 0),
    [1847] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_preproc_define, 2, 0, 0),
    [1849] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_tpl_definition, 2, 0, 0),
    [1851] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_tpl_definition, 2, 0, 0),
    [1853] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 1, 0, 0),
    [1855] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 1, 0, 0),
    [1857] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_tpl_definition, 1, 0, 0),
    [1859] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_tpl_definition, 1, 0, 0),
    [1861] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 1, 0, 0),
    [1863] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_module_dcl_repeat1, 1, 0, 0),
    [1865] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(481),
    [1867] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(482),
    [1869] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(484),
    [1871] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1088),
    [1873] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(487),
    [1875] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(490),
    [1877] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1044),
    [1879] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1061),
    [1881] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(79),
    [1883] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(509),
    [1885] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(470),
    [1887] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(781),
    [1889] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(778),
    [1891] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(760),
    [1893] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(759),
    [1895] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_body, 1, 0, 0),
    [1897] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    [1899] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1061),
    [1902] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(79),
    [1905] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(509),
    [1908] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(470),
    [1911] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(781),
    [1914] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(778),
    [1917] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(760),
    [1920] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(759),
    [1923] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_dec_number, 1, 0, 0),
    [1925] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_dec_number, 1, 0, 0),
    [1927] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1223),
    [1929] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_primary_expr, 1, 0, 0),
    [1931] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_primary_expr, 1, 0, 0),
    [1933] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_integer_literal, 1, 0, 0),
    [1935] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_integer_literal, 1, 0, 0),
    [1937] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(727),
    [1939] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_integer_literal, 2, 0, 0),
    [1941] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_integer_literal, 2, 0, 0),
    [1943] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(669),
    [1945] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_floating_pt_literal, 5, 0, 0),
    [1947] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_floating_pt_literal, 5, 0, 0),
    [1949] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_add_expr, 3, 0, 0),
    [1951] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_add_expr, 3, 0, 0),
    [1953] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(262),
    [1955] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(262),
    [1957] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_mult_expr, 1, 0, 0),
    [1959] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_mult_expr, 1, 0, 0),
    [1961] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_wide_string_literal, 4, 0, 0),
    [1963] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_wide_string_literal, 4, 0, 0),
    [1965] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_body, 2, 0, 0),
    [1967] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_add_expr, 1, 0, 0),
    [1969] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_add_expr, 1, 0, 0),
    [1971] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_string_literal, 3, 0, 0),
    [1973] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_literal, 3, 0, 0),
    [1975] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_wide_character_literal, 4, 0, 0),
    [1977] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_wide_character_literal, 4, 0, 0),
    [1979] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_boolean_literal, 1, 0, 0),
    [1981] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_boolean_literal, 1, 0, 0),
    [1983] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_floating_pt_literal, 4, 0, 0),
    [1985] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_floating_pt_literal, 4, 0, 0),
    [1987] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_fixed_pt_literal, 4, 0, 0),
    [1989] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_pt_literal, 4, 0, 0),
    [1991] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_string_literal, 2, 0, 0),
    [1993] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_literal, 2, 0, 0),
    [1995] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    [1997] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1061),
    [2000] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(79),
    [2003] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(509),
    [2006] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(470),
    [2009] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(759),
    [2012] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_literal, 1, 0, 0),
    [2014] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_literal, 1, 0, 0),
    [2016] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    [2018] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1061),
    [2021] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(79),
    [2024] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(509),
    [2027] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(470),
    [2030] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(759),
    [2033] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_mult_expr, 3, 0, 0),
    [2035] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_mult_expr, 3, 0, 0),
    [2037] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_expr, 1, 0, 0),
    [2039] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unary_expr, 1, 0, 0),
    [2041] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1114),
    [2043] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unary_operator, 1, 0, 0),
    [2045] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_operator, 1, 0, 0),
    [2047] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_primary_expr, 3, 0, 0),
    [2049] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_primary_expr, 3, 0, 0),
    [2051] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_char_literal, 3, 0, 0),
    [2053] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_char_literal, 3, 0, 0),
    [2055] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_oct_number, 1, 0, 0),
    [2057] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_oct_number, 1, 0, 0),
    [2059] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_expr, 2, 0, 0),
    [2061] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unary_expr, 2, 0, 0),
    [2063] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_fixed_pt_literal, 5, 0, 0),
    [2065] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_pt_literal, 5, 0, 0),
    [2067] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_wide_string_literal, 3, 0, 0),
    [2069] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_wide_string_literal, 3, 0, 0),
    [2071] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_body, 1, 0, 0),
    [2073] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(35),
    [2076] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(37),
    [2079] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1132),
    [2081] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(91),
    [2083] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(99),
    [2085] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(599),
    [2087] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_simple_type_spec, 1, 0, 0),
    [2089] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_simple_type_spec, 1, 0, 0),
    [2091] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_shift_expr, 3, 0, 0),
    [2093] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_shift_expr, 3, 0, 0),
    [2095] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(213),
    [2097] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(97),
    [2099] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(190),
    [2101] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(150),
    [2103] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(168),
    [2105] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_shift_expr, 1, 0, 0),
    [2107] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_shift_expr, 1, 0, 0),
    [2109] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(177),
    [2111] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(186),
    [2113] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(187),
    [2115] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(521),
    [2117] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(131),
    [2119] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(128),
    [2121] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(179),
    [2123] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(120),
    [2125] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(119),
    [2127] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(594),
    [2129] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(336),
    [2131] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(337),
    [2133] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(310),
    [2135] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_and_expr, 3, 0, 0),
    [2137] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_and_expr, 3, 0, 0),
    [2139] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(205),
    [2141] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_and_expr, 1, 0, 0),
    [2143] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_and_expr, 1, 0, 0),
    [2145] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1079),
    [2147] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_export, 2, 0, 0),
    [2149] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 1, 0, 0),
    [2151] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_xor_expr, 3, 0, 0),
    [2153] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(201),
    [2155] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_xor_expr, 1, 0, 0),
    [2157] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(890),
    [2159] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(32),
    [2161] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(38),
    [2163] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(887),
    [2165] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(918),
    [2167] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(919),
    [2169] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(926),
    [2171] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_declarator, 1, 0, 0),
    [2173] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(925),
    [2175] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(924),
    [2177] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_or_expr, 3, 0, 0),
    [2179] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(200),
    [2181] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(328),
    [2183] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_or_expr, 1, 0, 0),
    [2185] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_header, 2, 0, 0),
    [2187] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(485),
    [2189] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_forward_dcl, 2, 0, 0),
    [2191] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(556),
    [2193] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_simple_declarator, 1, 0, 0),
    [2195] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(867),
    [2197] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1081),
    [2199] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(164),
    [2201] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_export, 2, 0, 0),
    [2203] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_export, 2, 0, 0),
    [2205] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_const_expr, 1, 0, 0),
    [2207] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(199),
    [2209] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 1, 0, 0),
    [2211] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(18),
    [2213] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_forward_dcl, 3, 0, 0),
    [2215] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_union_def_repeat1, 2, 0, 0),
    [2217] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_union_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1081),
    [2220] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_union_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(164),
    [2223] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_export, 1, 0, 0),
    [2225] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_ref, 2, 0, 0),
    [2227] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(874),
    [2229] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 1, 0, 0),
    [2231] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_export, 1, 0, 0),
    [2233] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_header, 3, 0, 0),
    [2235] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(913),
    [2237] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(34),
    [2239] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(33),
    [2241] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(695),
    [2243] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1354),
    [2245] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(34),
    [2248] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(33),
    [2251] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(222),
    [2253] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(700),
    [2255] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_array_declarator, 2, 0, 0),
    [2257] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(129),
    [2259] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(832),
    [2261] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_header, 2, 0, 0),
    [2263] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(814),
    [2265] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_forward_dcl, 2, 0, 0),
    [2267] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(838),
    [2269] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(406),
    [2271] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
    [2273] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
    SHIFT_REPEAT(129),
    [2276] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_integer_sign, 1, 0, 0),
    [2278] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_integer_sign, 1, 0, 0),
    [2280] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(843),
    [2282] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(955),
    [2284] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1097),
    [2286] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(478),
    [2288] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(19),
    [2290] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(32),
    [2293] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(38),
    [2296] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(219),
    [2298] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(309),
    [2300] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(378),
    [2302] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(462),
    [2304] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(936),
    [2306] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(936),
    [2308] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_signed_short_int, 1, 0, 0),
    [2310] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_signed_long_int, 1, 0, 0),
    [2312] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_signed_longlong_int, 1, 0, 0),
    [2314] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unsigned_int, 1, 0, 0),
    [2316] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(549),
    [2318] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(853),
    [2320] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(738),
    [2322] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(848),
    [2324] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_signed_int, 1, 0, 0),
    [2326] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unsigned_short_int, 1, 0, 0),
    [2328] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unsigned_long_int, 1, 0, 0),
    [2330] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unsigned_longlong_int, 1, 0, 0),
    [2332] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1131),
    [2334] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(90),
    [2336] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(904),
    [2338] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1023),
    [2340] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_readonly_attr_declarator, 1, 0, 0),
    [2342] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1103),
    [2344] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1304),
    [2346] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(569),
    [2348] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1303),
    [2350] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(144),
    [2352] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_type, 1, 0, 0),
    [2354] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(113),
    [2356] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_wide_string_type, 1, 0, 0),
    [2358] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(911),
    [2360] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_integer_type, 1, 0, 0),
    [2362] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1262),
    [2364] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(94),
    [2366] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitset_dcl_repeat1, 2, 0, 0),
    [2368] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_bitset_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1023),
    [2371] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(963),
    [2373] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1179),
    [2375] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(905),
    [2377] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(567),
    [2379] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_header, 6, 0, 0),
    [2381] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(657),
    [2383] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(151),
    [2385] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1000),
    [2387] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(115),
    [2389] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(986),
    [2391] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(625),
    [2393] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(709),
    [2395] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(341),
    [2397] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(709),
    [2399] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_dcl, 4, 0, 0),
    [2401] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(728),
    [2403] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(335),
    [2405] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_name, 1, 0, 0),
    [2407] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(709),
    [2410] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
    [2412] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(709),
    [2415] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(147),
    [2417] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(188),
    [2419] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(194),
    [2421] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(725),
    [2423] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_supported_interface_spec, 2, 0, 0),
    [2425] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(153),
    [2427] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(154),
    [2429] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(584),
    [2431] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 2, 0, 0),
    [2433] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(585),
    [2435] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(886),
    [2437] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(71),
    [2439] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(195),
    [2441] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(555),
    [2443] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(196),
    [2445] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(519),
    [2447] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(198),
    [2449] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(96),
    [2451] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(93),
    [2453] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(116),
    [2455] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(134),
    [2457] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(325),
    [2459] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(623),
    [2461] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_declarators, 1, 0, 0),
    [2463] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(432),
    [2465] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(106),
    [2467] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1005),
    [2469] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(320),
    [2471] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(699),
    [2473] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1010),
    [2475] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(841),
    [2477] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(734),
    [2479] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(80),
    [2481] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_header, 2, 0, 0),
    [2483] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(525),
    [2485] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_forward_dcl, 2, 0, 0),
    [2487] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_sequence_type, 6, 0, 0),
    [2489] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(270),
    [2491] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_pt_type, 6, 0, 0),
    [2493] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_map_type, 6, 0, 0),
    [2495] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1028),
    [2497] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(155),
    [2499] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_dcl, 5, 0, 0),
    [2501] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(47),
    [2503] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(748),
    [2505] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_forward_dcl, 2, 0, 0),
    [2507] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1176),
    [2509] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_header, 4, 0, 0),
    [2511] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_declarators_repeat1, 2, 0, 0),
    SHIFT_REPEAT(623),
    [2514] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_declarators_repeat1, 2, 0, 0),
    [2516] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_raises_expr_repeat1, 2, 0, 0),
    SHIFT_REPEAT(659),
    [2519] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_raises_expr_repeat1, 2, 0, 0),
    [2521] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_array_size, 3, 0, 0),
    [2523] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(157),
    [2525] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(158),
    [2527] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_inheritance_spec_repeat1, 2, 0, 0),
    SHIFT_REPEAT(584),
    [2530] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_value_inheritance_spec_repeat1, 2, 0, 0),
    [2532] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 4, 0, 0),
    [2534] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(557),
    [2536] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(619),
    [2538] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 3, 0, 0),
    [2540] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(580),
    [2542] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_floating_pt_type, 1, 0, 0),
    [2544] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(659),
    [2546] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(882),
    [2548] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(125),
    [2550] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_spec, 1, 0, 0),
    [2552] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_base_type_spec, 1, 0, 0),
    [2554] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(377),
    [2556] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_array_declarator_repeat1, 1, 0, 0),
    [2558] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_type, 4, 0, 0),
    [2560] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_wide_string_type, 4, 0, 0),
    [2562] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_sequence_type, 4, 0, 0),
    [2564] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(728),
    [2567] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
    [2569] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(124),
    [2571] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_type, 1, 0, 0),
    [2573] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(321),
    [2575] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(317),
    [2577] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(101),
    [2579] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_object_type, 1, 0, 0),
    [2581] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_map_type, 8, 0, 0),
    [2583] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_positive_int_const, 1, 0, 0),
    [2585] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_header, 5, 0, 0),
    [2587] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(894),
    [2589] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_type_spec, 1, 0, 0),
    [2591] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(553),
    [2593] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(109),
    [2595] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(739),
    [2597] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(81),
    [2599] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(743),
    [2601] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(103),
    [2603] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_declarators, 2, 0, 0),
    [2605] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(135),
    [2607] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(881),
    [2609] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1075),
    [2611] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(441),
    [2613] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1167),
    [2615] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1301),
    [2617] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1300),
    [2619] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1299),
    [2621] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(673),
    [2623] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(204),
    [2625] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(152),
    [2627] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(477),
    [2629] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(380),
    [2631] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitfield_repeat1, 2, 0, 0),
    [2633] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_bitfield_repeat1, 2, 0, 0),
    SHIFT_REPEAT(903),
    [2636] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_bitmask_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(440),
    [2639] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitmask_dcl_repeat1, 2, 0, 0),
    [2641] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_supported_interface_spec, 3, 0, 0),
    [2643] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_any_declarators_repeat1, 2, 0, 0),
    SHIFT_REPEAT(592),
    [2646] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_any_declarators_repeat1, 2, 0, 0),
    [2648] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(451),
    [2650] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(935),
    [2652] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(56),
    [2654] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(29),
    [2656] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_forward_dcl, 2, 0, 0),
    [2658] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1125),
    [2660] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_union_forward_dcl, 2, 0, 0),
    [2662] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_appl_data_representation_repeat1, 2, 0, 0),
    SHIFT_REPEAT(477),
    [2665] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_annotation_appl_data_representation_repeat1, 2, 0, 0),
    [2667] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(769),
    [2669] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_appl_params_repeat1, 2, 0, 0),
    SHIFT_REPEAT(929),
    [2672] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_annotation_appl_params_repeat1, 2, 0, 0),
    [2674] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
    [2676] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
    SHIFT_REPEAT(66),
    [2679] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_actual_parameters_repeat1, 2, 0, 0),
    [2681] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_actual_parameters_repeat1, 2, 0, 0),
    SHIFT_REPEAT(22),
    [2684] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_actual_parameters, 2, 0, 0),
    [2686] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(22),
    [2688] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(774),
    [2690] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(618),
    [2692] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_header, 2, 0, 0),
    [2694] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(816),
    [2696] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_enum_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(451),
    [2699] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_enum_dcl_repeat1, 2, 0, 0),
    [2701] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(274),
    [2703] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(384),
    [2705] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameters, 2, 0, 0),
    [2707] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(66),
    [2709] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(278),
    [2711] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(67),
    [2713] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1089),
    [2715] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat1, 1, 0, 0),
    [2717] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_string_literal_repeat1, 1, 0, 0),
    [2719] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(929),
    [2721] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_params, 2, 0, 0),
    [2723] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_inheritance_spec_repeat1, 2, 0, 0),
    SHIFT_REPEAT(618),
    [2726] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_inheritance_spec_repeat1, 2, 0, 0),
    [2728] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(440),
    [2730] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(960),
    [2732] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_params, 1, 0, 0),
    [2734] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_raises_expr_repeat1, 2, 0, 0),
    SHIFT_REPEAT(725),
    [2737] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_raises_expr, 1, 0, 0),
    [2739] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_declarator, 2, 0, 0),
    [2741] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_inheritance_spec, 3, 0, 0),
    [2743] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1098),
    [2745] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_char_literal_repeat1, 1, 0, 0),
    [2747] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(912),
    [2749] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(633),
    [2751] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(50),
    [2753] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_parameter_dcls, 1, 0, 0),
    [2755] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameters, 1, 0, 0),
    [2757] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(57),
    [2759] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(643),
    [2761] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(63),
    [2763] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(875),
    [2765] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_param_dcls, 1, 0, 0),
    [2767] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_dcl, 4, 0, 0),
    [2769] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_actual_parameters, 1, 0, 0),
    [2771] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(872),
    [2773] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_param_dcls, 1, 0, 0),
    [2775] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_finder_dcl, 4, 0, 0),
    [2777] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 1, 0, 0),
    [2779] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_name, 1, 0, 0),
    [2781] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_inheritance_spec, 2, 0, 0),
    [2783] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(900),
    [2785] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(903),
    [2787] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(592),
    [2789] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_declarators, 1, 0, 0),
    [2791] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(964),
    [2793] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_formal_parameter_names_repeat1, 2, 0, 0),
    [2795] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_formal_parameter_names_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1043),
    [2798] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(207),
    [2800] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_declarator, 1, 0, 0),
    [2802] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 5, 0, 0),
    [2804] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter_names, 2, 0, 0),
    [2806] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1043),
    [2808] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(901),
    [2810] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_case, 3, 0, 0),
    [2812] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_readonly_attr_declarator, 2, 0, 0),
    [2814] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter_names, 1, 0, 0),
    [2816] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_readonly_attr_declarator_repeat1, 2, 0, 0),
    SHIFT_REPEAT(926),
    [2819] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_readonly_attr_declarator_repeat1, 2, 0, 0),
    [2821] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_in_parameter_dcls_repeat1, 2, 0, 0),
    SHIFT_REPEAT(863),
    [2824] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_in_parameter_dcls_repeat1, 2, 0, 0),
    [2826] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(896),
    [2828] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(863),
    [2830] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_in_parameter_dcls, 1, 0, 0),
    [2832] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(954),
    [2834] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_parameter_dcls, 2, 0, 0),
    [2836] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(83),
    [2838] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(60),
    [2840] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_param_dcls, 2, 0, 0),
    [2842] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_dcl, 5, 0, 0),
    [2844] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_param_dcls, 2, 0, 0),
    [2846] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_finder_dcl, 5, 0, 0),
    [2848] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 7, 0, 0),
    [2850] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_inheritance_spec, 2, 0, 0),
    [2852] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_declarators, 2, 0, 0),
    [2854] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 6, 0, 0),
    [2856] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_inheritance_spec, 2, 0, 0),
    [2858] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_union_def_repeat1, 1, 0, 0),
    [2860] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_header, 3, 0, 0),
    [2862] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(842),
    [2864] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_factory_param_dcls_repeat1, 2, 0, 0),
    SHIFT_REPEAT(872),
    [2867] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_factory_param_dcls_repeat1, 2, 0, 0),
    [2869] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_in_parameter_dcls, 2, 0, 0),
    [2871] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_init_param_dcls_repeat1, 2, 0, 0),
    SHIFT_REPEAT(875),
    [2874] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_init_param_dcls_repeat1, 2, 0, 0),
    [2876] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_context_expr_repeat1, 2, 0, 0),
    SHIFT_REPEAT(881),
    [2879] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_context_expr_repeat1, 2, 0, 0),
    [2881] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_parameter_dcls_repeat1, 2, 0, 0),
    SHIFT_REPEAT(50),
    [2884] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_parameter_dcls_repeat1, 2, 0, 0),
    [2886] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_param_dcl, 3, 0, 0),
    [2888] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_param_dcl, 3, 0, 0),
    [2890] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_dcl, 6, 0, 0),
    [2892] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_param_dcl, 3, 0, 0),
    [2894] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_oneway_dcl, 6, 0, 0),
    [2896] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_def, 8, 0, 0),
    [2898] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitfield_spec, 6, 0, 0),
    [2900] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_inherit_spec, 2, 0, 0),
    [2902] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(790),
    [2904] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(870),
    [2906] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_def, 9, 0, 0),
    [2908] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(598),
    [2910] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(104),
    [2912] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_param_dcl, 2, 0, 0),
    [2914] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_exception_list, 3, 0, 0),
    [2916] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_type, 1, 0, 0),
    [2918] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_in_param_dcl, 3, 0, 0),
    [2920] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_oneway_dcl, 5, 0, 0),
    [2922] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enumerator, 1, 0, 0),
    [2924] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_get_excep_expr, 2, 0, 0),
    [2926] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_dcl, 4, 0, 0),
    [2928] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1350),
    [2930] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1347),
    [2932] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(42),
    [2934] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_raises_expr, 4, 0, 0),
    [2936] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1342),
    [2938] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_exception_list, 4, 0, 0),
    [2940] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 7, 0, 10),
    [2942] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1336),
    [2944] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(314),
    [2946] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(340),
    [2948] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitfield, 2, 0, 0),
    [2950] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_raises_expr, 5, 0, 0),
    [2952] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitfield_repeat1, 1, 0, 0),
    [2954] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitset_dcl, 4, 0, 0),
    [2956] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitset_dcl, 7, 0, 0),
    [2958] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitfield_spec, 4, 0, 0),
    [2960] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 4, 0, 0),
    [2962] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitset_dcl_repeat1, 1, 0, 0),
    [2964] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_imported_scope, 1, 0, 0),
    [2966] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_declarator, 1, 0, 0),
    [2968] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitset_dcl, 5, 0, 0),
    [2970] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitmask_dcl, 5, 0, 0),
    [2972] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bit_value, 2, 0, 0),
    [2974] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(999),
    [2976] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(284),
    [2978] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(165),
    [2980] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(511),
    [2982] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_actual_parameter, 1, 0, 0),
    [2984] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitmask_dcl, 4, 0, 0),
    [2986] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bit_value, 1, 0, 0),
    [2988] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(671),
    [2990] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(639),
    [2992] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1292),
    [2994] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(74),
    [2996] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter_type, 1, 0, 0),
    [2998] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(789),
    [3000] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_member_type, 1, 0, 0),
    [3002] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1264),
    [3004] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_primary_key_spec, 2, 0, 0),
    [3006] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(563),
    [3008] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(107),
    [3010] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(712),
    [3012] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(383),
    [3014] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(524),
    [3016] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(732),
    [3018] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(645),
    [3020] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(277),
    [3022] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_dcl, 6, 0, 0),
    [3024] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter, 2, 0, 0),
    [3026] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 6, 0, 10),
    [3028] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(424),
    [3030] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_porttype_forward_dcl, 2, 0, 0),
    [3032] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(634),
    [3034] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(773),
    [3036] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 5, 0, 0),
    [3038] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_param, 3, 0, 0),
    [3040] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_const_type, 1, 0, 0),
    [3042] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(21),
    [3044] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(323),
    [3046] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(324),
    [3048] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_switch_type_spec, 1, 0, 0),
    [3050] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_dcl, 5, 0, 0),
    [3052] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enumerator, 2, 0, 0),
    [3054] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(496),
    [3056] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(715),
    [3058] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_dcl, 1, 0, 0),
    [3060] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_dcl, 1, 0, 0),
    [3062] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitmask_dcl, 6, 0, 0),
    [3064] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitset_dcl, 6, 0, 0),
    [3066] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitfield, 3, 0, 0),
    [3068] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(906),
    [3070] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(302),
    [3072] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_constr_type_dcl, 1, 0, 0),
    [3074] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1270),
    [3076] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1269),
    [3078] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(292),
    [3080] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1305),
    [3082] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_dcl, 4, 0, 0),
    [3084] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(239),
    [3086] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(382),
    [3088] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_topic_platform, 1, 0, 0),
    [3090] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(385),
    [3092] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(386),
    [3094] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(387),
    [3096] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(180),
    [3098] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(389),
    [3100] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(390),
    [3102] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(391),
    [3104] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(392),
    [3106] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_service_platform, 1, 0, 0),
    [3108] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(88),
    [3110] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(394),
    [3112] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_placement_kind, 1, 0, 0),
    [3114] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_verbatim_language, 1, 0, 0),
    [3116] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(395),
    [3118] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(396),
    [3120] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(397),
    [3122] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(398),
    [3124] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(399),
    [3126] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(370),
    [3128] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(922),
    [3130] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(133),
    [3132] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(401),
    [3134] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(403),
    [3136] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(404),
    [3138] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(405),
    [3140] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_extensibility_kind, 1, 0, 0),
    [3142] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(369),
    [3144] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(407),
    [3146] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(412),
    [3148] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(413),
    [3150] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_autoid_kind, 1, 0, 0),
    [3152] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(414),
    [3154] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(285),
    [3156] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(938),
    [3158] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(381),
    [3160] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_const_type, 1, 0, 0),
    [3162] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1209),
    [3164] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1042),
    [3166] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_module_dcl, 4, 0, 0),
    [3168] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1251),
    [3170] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_supports, 2, 0, 0),
    [3172] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(117),
    [3174] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(13),
    [3176] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(17),
    [3178] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_except_dcl, 4, 0, 0),
    [3180] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_system_lib_string, 3, 0, 0),
    [3182] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(450),
    [3184] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(444),
    [3186] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_def, 3, 0, 0),
    [3188] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(64),
    [3190] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1112),
    [3192] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1110),
    [3194] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1108),
    [3196] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_dcl, 3, 0, 0),
    [3198] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1107),
    [3200] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(425),
    [3202] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_module_ref, 6, 0, 0),
    [3204] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_element_spec, 3, 0, 0),
    [3206] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1040),
    [3208] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(902),
    [3210] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_def, 3, 0, 0),
    [3212] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1095),
    [3214] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_def, 3, 0, 0),
    [3216] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_element_spec, 2, 0, 0),
    [3218] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_abs_def, 5, 0, 0),
    [3220] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_header, 3, 0, 0),
    [3222] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_box_def, 3, 0, 0),
    [3224] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(596),
    [3226] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_dcl, 1, 0, 0),
    [3228] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(597),
    [3230] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1091),
    [3232] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(780),
    [3234] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_header, 4, 0, 0),
    [3236] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1086),
    [3238] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1085),
    [3240] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(105),
    [3242] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(82),
    [3244] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_type_spec, 1, 0, 0),
    [3246] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_def, 3, 0, 0),
    [3248] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_header, 3, 0, 0),
    [3250] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_header, 3, 0, 0),
    [3252] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(149),
    [3254] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(72),
    [3256] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_finder_dcl, 6, 0, 0),
    [3258] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_dcl, 6, 0, 0),
    [3260] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(59),
    [3262] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_header, 4, 0, 0),
    [3264] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_context_expr, 5, 0, 0),
    [3266] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(388),
    [3268] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(609),
    [3270] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(655),
    [3272] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_porttype_def, 4, 0, 0),
    [3274] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1322),
    [3276] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(156),
    [3278] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_module_dcl, 8, 0, 0),
    [3280] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(374),
    [3282] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_max_expr, 3, 0, 0),
    [3284] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1402),
    [3286] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_def, 4, 0, 0),
    [3288] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(868),
    [3290] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_destination_type, 1, 0, 0),
    [3292] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(632),
    [3294] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_with_context, 2, 0, 0),
    [3296] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(48),
    [3298] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(558),
    [3300] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_def, 4, 0, 0),
    [3302] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_context_expr, 4, 0, 0),
    [3304] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(865),
    [3306] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_raises_expr, 2, 0, 0),
    [3308] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_set_excep_expr, 2, 0, 0),
    [3310] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(844),
    [3312] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_header, 7, 0, 0),
    [3314] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1400),
    [3316] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1351),
    [3318] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_def, 4, 0, 0),
    [3320] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(620),
    [3322] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(298),
    [3324] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(621),
    [3326] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_module_dcl, 7, 0, 0),
    [3328] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_dcl, 4, 0, 0),
    [3330] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_def, 4, 0, 0),
    [3332] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_dcl, 4, 0, 0),
    [3334] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_except_dcl, 5, 0, 0),
    [3336] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_abs_def, 5, 0, 0),
    [3338] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(810),
    [3340] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(286),
    [3342] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_prefix_dcl, 3, 0, 0),
    [3344] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_id_dcl, 3, 0, 0),
    [3346] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_abs_def, 7, 0, 0),
    [3348] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_abs_def, 7, 0, 0),
    [3350] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_declarator, 2, 0, 0),
    [3352] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(181),
    [3354] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(289),
    [3356] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(492),
    [3358] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(206),
    [3360] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_default, 2, 0, 0),
    [3362] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(491),
    [3364] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(347),
    [3366] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(819),
    [3368] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(815),
    [3370] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_uses_dcl, 4, 0, 0),
    [3372] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(688),
    [3374] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(686),
    [3376] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(685),
    [3378] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(683),
    [3380] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(681),
    [3382] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(677),
    [3384] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(676),
    [3386] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(674),
    [3388] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(672),
    [3390] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(670),
    [3392] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(668),
    [3394] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(666),
    [3396] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(664),
    [3398] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(663),
    [3400] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(662),
    [3402] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(661),
    [3404] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(656),
    [3406] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(653),
    [3408] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(652),
    [3410] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(651),
    [3412] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(650),
    [3414] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(648),
    [3416] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(647),
    [3418] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(646),
    [3420] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(417),
    [3422] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_dcl, 5, 0, 0),
    [3424] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(636),
    [3426] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(635),
    [3428] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(334),
    [3430] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(566),
    [3432] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_context_expr, 3, 0, 0),
    [3434] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(631),
    [3436] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(630),
    [3438] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(800),
    [3440] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(713),
    [3442] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(711),
    [3444] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(428),
    [3446] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_readonly_attr_spec, 4, 0, 0),
    [3448] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1029),
    [3450] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(427),
    [3452] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(973),
    [3454] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_dcl, 2, 0, 0),
    [3456] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(248),
    [3458] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(246),
    [3460] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(236),
    [3462] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(243),
    [3464] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(240),
    [3466] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(238),
    [3468] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(244),
    [3470] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(257),
    [3472] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(237),
    [3474] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(241),
    [3476] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(242),
    [3478] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(259),
    [3480] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(251),
    [3482] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(252),
    [3484] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(253),
    [3486] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(254),
    [3488] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(255),
    [3490] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(258),
    [3492] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(260),
    [3494] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(235),
    [3496] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(281),
    [3498] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(280),
    [3500] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(279),
    [3502] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter_type, 2, 0, 0),
    [3504] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(26),
    [3506] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(276),
    [3508] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(275),
    [3510] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(562),
    [3512] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(273),
    [3514] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(272),
    [3516] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(268),
    [3518] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(266),
    [3520] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(265),
    [3522] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_dcl, 2, 0, 0),
    [3524] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(306),
    [3526] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_native_dcl, 2, 0, 0),
    [3528] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(560),
    [3530] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(442),
    [3532] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(305),
    [3534] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_dcl, 2, 0, 0),
    [3536] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(829),
    [3538] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(828),
    [3540] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(826),
    [3542] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(825),
    [3544] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(824),
    [3546] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(823),
    [3548] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(822),
    [3550] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(821),
    [3552] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(820),
    [3554] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(818),
    [3556] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(813),
    [3558] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(808),
    [3560] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(807),
    [3562] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(804),
    [3564] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(803),
    [3566] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(799),
    [3568] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(796),
    [3570] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(792),
    [3572] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(791),
    [3574] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(786),
    [3576] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(785),
    [3578] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(784),
    [3580] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(783),
    [3582] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(782),
    [3584] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_module_dcl, 5, 0, 0),
    [3586] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1254),
    [3588] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(772),
    [3590] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(771),
    [3592] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_module_inst, 6, 0, 0),
    [3594] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(768),
    [3596] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(767),
    [3598] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(766),
    [3600] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(763),
    [3602] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(762),
    [3604] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(231),
    [3606] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(505),
    [3608] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(501),
    [3610] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(421),
    [3612] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_typedef_dcl, 2, 0, 0),
    [3614] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(75),
    [3616] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(114),
    [3618] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(455),
    [3620] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_kind, 2, 0, 0),
    [3622] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1124),
    [3624] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1404),
    [3626] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_pt_const_type, 1, 0, 0),
    [3628] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(431),
    [3630] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_spec, 3, 0, 0),
    [3632] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(183),
    [3634] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(420),
    [3636] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(488),
    [3638] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(69),
    [3640] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(127),
    [3642] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(197),
    [3644] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(126),
    [3646] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(122),
    [3648] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(914),
    [3650] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(193),
    [3652] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(551),
    [3654] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(419),
    [3656] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(189),
    [3658] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(118),
    [3660] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(108),
    [3662] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_min_expr, 3, 0, 0),
    [3664] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(379),
    [3666] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(349),
    [3668] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(54),
    [3670] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(433),
    [3672] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1222),
    [3674] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(447),
    [3676] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(471),
    [3678] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_kind, 2, 0, 0),
    [3680] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(44),
    [3682] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(296),
    [3684] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1178),
    [3686] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(295),
    [3688] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1405),
    [3690] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(972),
    [3692] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_const_dcl, 5, 0, 0),
    [3694] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(345),
    [3696] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_porttype_dcl, 1, 0, 0),
    [3698] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(5),
    [3700] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_dcl, 1, 0, 0),
    [3702] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(6),
    [3704] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(304),
    [3706] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_dcl, 1, 0, 0),
    [3708] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(574),
    [3710] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_dcl, 1, 0, 0),
    [3712] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(7),
    [3714] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(49),
    [3716] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_dcl, 1, 0, 0),
    [3718] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_porttype_def, 5, 0, 0),
    [3720] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(443),
    [3722] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(10),
    [3724] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_dcl, 1, 0, 0),
    [3726] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(559),
    [3728] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(283),
    [3730] = { .entry = { .count = 1, .reusable = true } },
    ACCEPT_INPUT(),
    [3732] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_abs_def, 6, 0, 0),
    [3734] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(698),
    [3736] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(941),
    [3738] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(486),
    [3740] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(464),
    [3742] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_abs_def, 6, 0, 0),
    [3744] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(203),
    [3746] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_dcl, 3, 0, 0),
    [3748] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1276),
    [3750] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(675),
    [3752] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(568),
    [3754] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(439),
    [3756] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_kind, 1, 0, 0),
    [3758] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_consumes_dcl, 3, 0, 0),
    [3760] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1296),
    [3762] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1297),
    [3764] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(956),
    [3766] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_kind, 1, 0, 0),
    [3768] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_publishes_dcl, 3, 0, 0),
    [3770] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1302),
    [3772] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_emits_dcl, 3, 0, 0),
    [3774] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_uses_dcl, 3, 0, 0),
    [3776] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(297),
    [3778] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1136),
    [3780] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1306),
    [3782] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(409),
    [3784] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(145),
    [3786] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(146),
    [3788] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(601),
    [3790] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(159),
    [3792] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(132),
    [3794] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(130),
    [3796] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(166),
    [3798] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(121),
    [3800] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(73),
    [3802] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(515),
    [3804] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(951),
    [3806] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(86),
    [3808] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(192),
    [3810] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(185),
    [3812] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(393),
    [3814] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(136),
    [3816] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(184),
    [3818] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(554),
    [3820] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(182),
    [3822] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(139),
    [3824] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(140),
    [3826] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(178),
    [3828] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(141),
    [3830] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(78),
    [3832] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(499),
    [3834] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(962),
    [3836] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(85),
    [3838] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(170),
    [3840] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(169),
    [3842] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(371),
    [3844] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(112),
    [3846] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(167),
    [3848] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(613),
    [3850] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(162),
    [3852] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(110),
    [3854] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(111),
    [3856] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(161),
    [3858] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(123),
    [3860] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(76),
    [3862] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(479),
    [3864] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(969),
    [3866] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(87),
    [3868] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(148),
    [3870] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(160),
    [3872] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_provides_dcl, 3, 0, 0),
    [3874] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(58),
    [3876] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(537),
    [3878] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(971),
    [3880] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_comment, 2, 0, 0),
    [3882] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_comment, 3, 0, 0),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_idl(void) {
    static const TSLanguage language = {
        .version = LANGUAGE_VERSION,
        .symbol_count = SYMBOL_COUNT,
        .alias_count = ALIAS_COUNT,
        .token_count = TOKEN_COUNT,
        .external_token_count = EXTERNAL_TOKEN_COUNT,
        .state_count = STATE_COUNT,
        .large_state_count = LARGE_STATE_COUNT,
        .production_id_count = PRODUCTION_ID_COUNT,
        .field_count = FIELD_COUNT,
        .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
        .parse_table = &ts_parse_table[0][0],
        .small_parse_table = ts_small_parse_table,
        .small_parse_table_map = ts_small_parse_table_map,
        .parse_actions = ts_parse_actions,
        .symbol_names = ts_symbol_names,
        .field_names = ts_field_names,
        .field_map_slices = ts_field_map_slices,
        .field_map_entries = ts_field_map_entries,
        .symbol_metadata = ts_symbol_metadata,
        .public_symbol_map = ts_symbol_map,
        .alias_map = ts_non_terminal_alias_map,
        .alias_sequences = &ts_alias_sequences[0][0],
        .lex_modes = ts_lex_modes,
        .lex_fn = ts_lex,
        .primary_state_ids = ts_primary_state_ids,
    };
    return &language;
}
#ifdef __cplusplus
}
#endif
